#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 13
#define STATE_COUNT 1616
#define LARGE_STATE_COUNT 293
#define SYMBOL_COUNT 249
#define ALIAS_COUNT 6
#define TOKEN_COUNT 128
#define EXTERNAL_TOKEN_COUNT 3
#define FIELD_COUNT 38
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 110

enum {
  sym_identifier = 1,
  sym_hash_bang_line = 2,
  anon_sym_export = 3,
  anon_sym_STAR = 4,
  anon_sym_default = 5,
  anon_sym_LBRACE = 6,
  anon_sym_COMMA = 7,
  anon_sym_RBRACE = 8,
  anon_sym_as = 9,
  anon_sym_import = 10,
  anon_sym_from = 11,
  anon_sym_var = 12,
  anon_sym_let = 13,
  anon_sym_const = 14,
  anon_sym_else = 15,
  anon_sym_if = 16,
  anon_sym_switch = 17,
  anon_sym_for = 18,
  anon_sym_LPAREN = 19,
  anon_sym_RPAREN = 20,
  anon_sym_await = 21,
  anon_sym_in = 22,
  anon_sym_of = 23,
  anon_sym_while = 24,
  anon_sym_do = 25,
  anon_sym_try = 26,
  anon_sym_with = 27,
  anon_sym_break = 28,
  anon_sym_continue = 29,
  anon_sym_debugger = 30,
  anon_sym_return = 31,
  anon_sym_throw = 32,
  anon_sym_SEMI = 33,
  anon_sym_COLON = 34,
  anon_sym_case = 35,
  anon_sym_catch = 36,
  anon_sym_finally = 37,
  anon_sym_yield = 38,
  anon_sym_EQ = 39,
  anon_sym_LBRACK = 40,
  anon_sym_RBRACK = 41,
  sym__glimmer_template_content = 42,
  anon_sym_LTtemplate_GT = 43,
  anon_sym_LT_SLASHtemplate_GT = 44,
  anon_sym_LT = 45,
  anon_sym_GT = 46,
  anon_sym_SLASH = 47,
  sym_jsx_text = 48,
  sym_jsx_identifier = 49,
  anon_sym_DOT = 50,
  anon_sym_class = 51,
  anon_sym_extends = 52,
  anon_sym_async = 53,
  anon_sym_function = 54,
  anon_sym_EQ_GT = 55,
  sym_optional_chain = 56,
  anon_sym_new = 57,
  anon_sym_PLUS_EQ = 58,
  anon_sym_DASH_EQ = 59,
  anon_sym_STAR_EQ = 60,
  anon_sym_SLASH_EQ = 61,
  anon_sym_PERCENT_EQ = 62,
  anon_sym_CARET_EQ = 63,
  anon_sym_AMP_EQ = 64,
  anon_sym_PIPE_EQ = 65,
  anon_sym_GT_GT_EQ = 66,
  anon_sym_GT_GT_GT_EQ = 67,
  anon_sym_LT_LT_EQ = 68,
  anon_sym_STAR_STAR_EQ = 69,
  anon_sym_AMP_AMP_EQ = 70,
  anon_sym_PIPE_PIPE_EQ = 71,
  anon_sym_QMARK_QMARK_EQ = 72,
  anon_sym_DOT_DOT_DOT = 73,
  anon_sym_AMP_AMP = 74,
  anon_sym_PIPE_PIPE = 75,
  anon_sym_GT_GT = 76,
  anon_sym_GT_GT_GT = 77,
  anon_sym_LT_LT = 78,
  anon_sym_AMP = 79,
  anon_sym_CARET = 80,
  anon_sym_PIPE = 81,
  anon_sym_PLUS = 82,
  anon_sym_DASH = 83,
  anon_sym_PERCENT = 84,
  anon_sym_STAR_STAR = 85,
  anon_sym_LT_EQ = 86,
  anon_sym_EQ_EQ = 87,
  anon_sym_EQ_EQ_EQ = 88,
  anon_sym_BANG_EQ = 89,
  anon_sym_BANG_EQ_EQ = 90,
  anon_sym_GT_EQ = 91,
  anon_sym_QMARK_QMARK = 92,
  anon_sym_instanceof = 93,
  anon_sym_BANG = 94,
  anon_sym_TILDE = 95,
  anon_sym_typeof = 96,
  anon_sym_void = 97,
  anon_sym_delete = 98,
  anon_sym_PLUS_PLUS = 99,
  anon_sym_DASH_DASH = 100,
  anon_sym_DQUOTE = 101,
  anon_sym_SQUOTE = 102,
  sym_unescaped_double_string_fragment = 103,
  sym_unescaped_single_string_fragment = 104,
  sym_escape_sequence = 105,
  sym_comment = 106,
  anon_sym_BQUOTE = 107,
  anon_sym_DOLLAR_LBRACE = 108,
  anon_sym_SLASH2 = 109,
  sym_regex_pattern = 110,
  sym_regex_flags = 111,
  sym_number = 112,
  sym_private_property_identifier = 113,
  anon_sym_target = 114,
  sym_this = 115,
  sym_super = 116,
  sym_true = 117,
  sym_false = 118,
  sym_null = 119,
  sym_undefined = 120,
  anon_sym_AT = 121,
  anon_sym_static = 122,
  anon_sym_get = 123,
  anon_sym_set = 124,
  sym__automatic_semicolon = 125,
  sym__template_chars = 126,
  sym__ternary_qmark = 127,
  sym_program = 128,
  sym_export_statement = 129,
  sym_export_clause = 130,
  sym__import_export_specifier = 131,
  sym_declaration = 132,
  sym_import = 133,
  sym_import_statement = 134,
  sym_import_clause = 135,
  sym__from_clause = 136,
  sym_namespace_import_export = 137,
  sym_named_imports = 138,
  sym_expression_statement = 139,
  sym_variable_declaration = 140,
  sym_lexical_declaration = 141,
  sym_variable_declarator = 142,
  sym_statement_block = 143,
  sym_else_clause = 144,
  sym_if_statement = 145,
  sym_switch_statement = 146,
  sym_for_statement = 147,
  sym_for_in_statement = 148,
  sym__for_header = 149,
  sym_while_statement = 150,
  sym_do_statement = 151,
  sym_try_statement = 152,
  sym_with_statement = 153,
  sym_break_statement = 154,
  sym_continue_statement = 155,
  sym_debugger_statement = 156,
  sym_return_statement = 157,
  sym_throw_statement = 158,
  sym_empty_statement = 159,
  sym_labeled_statement = 160,
  sym_switch_body = 161,
  sym_switch_case = 162,
  sym_switch_default = 163,
  sym_catch_clause = 164,
  sym_finally_clause = 165,
  sym_parenthesized_expression = 166,
  sym_expression = 167,
  sym_primary_expression = 168,
  sym_yield_expression = 169,
  sym_object = 170,
  sym_object_pattern = 171,
  sym_assignment_pattern = 172,
  sym_object_assignment_pattern = 173,
  sym_array = 174,
  sym_array_pattern = 175,
  sym_glimmer_template = 176,
  sym_glimmer_opening_tag = 177,
  sym_glimmer_closing_tag = 178,
  sym_jsx_element = 179,
  sym_jsx_fragment = 180,
  sym_jsx_expression = 181,
  sym_jsx_opening_element = 182,
  sym_nested_identifier = 183,
  sym_jsx_namespace_name = 184,
  sym_jsx_closing_element = 185,
  sym_jsx_self_closing_element = 186,
  sym_jsx_attribute = 187,
  sym_class = 188,
  sym_class_declaration = 189,
  sym_class_heritage = 190,
  sym_function = 191,
  sym_function_declaration = 192,
  sym_generator_function = 193,
  sym_generator_function_declaration = 194,
  sym_arrow_function = 195,
  sym_call_expression = 196,
  sym_new_expression = 197,
  sym_await_expression = 198,
  sym_member_expression = 199,
  sym_subscript_expression = 200,
  sym_assignment_expression = 201,
  sym__augmented_assignment_lhs = 202,
  sym_augmented_assignment_expression = 203,
  sym__initializer = 204,
  sym__destructuring_pattern = 205,
  sym_spread_element = 206,
  sym_ternary_expression = 207,
  sym_binary_expression = 208,
  sym_unary_expression = 209,
  sym_update_expression = 210,
  sym_sequence_expression = 211,
  sym_string = 212,
  sym_template_string = 213,
  sym_template_substitution = 214,
  sym_regex = 215,
  sym_meta_property = 216,
  sym_arguments = 217,
  sym_decorator = 218,
  sym_decorator_member_expression = 219,
  sym_decorator_call_expression = 220,
  sym_class_body = 221,
  sym_field_definition = 222,
  sym_formal_parameters = 223,
  sym_pattern = 224,
  sym_rest_pattern = 225,
  sym_method_definition = 226,
  sym_pair = 227,
  sym_pair_pattern = 228,
  sym__property_name = 229,
  sym_computed_property_name = 230,
  aux_sym_program_repeat1 = 231,
  aux_sym_export_statement_repeat1 = 232,
  aux_sym_export_clause_repeat1 = 233,
  aux_sym_named_imports_repeat1 = 234,
  aux_sym_variable_declaration_repeat1 = 235,
  aux_sym_switch_body_repeat1 = 236,
  aux_sym_object_repeat1 = 237,
  aux_sym_object_pattern_repeat1 = 238,
  aux_sym_array_repeat1 = 239,
  aux_sym_array_pattern_repeat1 = 240,
  aux_sym_glimmer_template_repeat1 = 241,
  aux_sym_jsx_element_repeat1 = 242,
  aux_sym_jsx_opening_element_repeat1 = 243,
  aux_sym_string_repeat1 = 244,
  aux_sym_string_repeat2 = 245,
  aux_sym_template_string_repeat1 = 246,
  aux_sym_class_body_repeat1 = 247,
  aux_sym_formal_parameters_repeat1 = 248,
  alias_sym_import_specifier = 249,
  alias_sym_namespace_export = 250,
  alias_sym_property_identifier = 251,
  alias_sym_shorthand_property_identifier = 252,
  alias_sym_shorthand_property_identifier_pattern = 253,
  alias_sym_statement_identifier = 254,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_hash_bang_line] = "hash_bang_line",
  [anon_sym_export] = "export",
  [anon_sym_STAR] = "*",
  [anon_sym_default] = "default",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_as] = "as",
  [anon_sym_import] = "import",
  [anon_sym_from] = "from",
  [anon_sym_var] = "var",
  [anon_sym_let] = "let",
  [anon_sym_const] = "const",
  [anon_sym_else] = "else",
  [anon_sym_if] = "if",
  [anon_sym_switch] = "switch",
  [anon_sym_for] = "for",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_await] = "await",
  [anon_sym_in] = "in",
  [anon_sym_of] = "of",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_try] = "try",
  [anon_sym_with] = "with",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_debugger] = "debugger",
  [anon_sym_return] = "return",
  [anon_sym_throw] = "throw",
  [anon_sym_SEMI] = ";",
  [anon_sym_COLON] = ":",
  [anon_sym_case] = "case",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_yield] = "yield",
  [anon_sym_EQ] = "=",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [sym__glimmer_template_content] = "_glimmer_template_content",
  [anon_sym_LTtemplate_GT] = "<template>",
  [anon_sym_LT_SLASHtemplate_GT] = "</template>",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_SLASH] = "/",
  [sym_jsx_text] = "jsx_text",
  [sym_jsx_identifier] = "identifier",
  [anon_sym_DOT] = ".",
  [anon_sym_class] = "class",
  [anon_sym_extends] = "extends",
  [anon_sym_async] = "async",
  [anon_sym_function] = "function",
  [anon_sym_EQ_GT] = "=>",
  [sym_optional_chain] = "optional_chain",
  [anon_sym_new] = "new",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_AMP_AMP_EQ] = "&&=",
  [anon_sym_PIPE_PIPE_EQ] = "||=",
  [anon_sym_QMARK_QMARK_EQ] = "\?\?=",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_PIPE] = "|",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_EQ_EQ_EQ] = "===",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_BANG_EQ_EQ] = "!==",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_QMARK_QMARK] = "\?\?",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_typeof] = "typeof",
  [anon_sym_void] = "void",
  [anon_sym_delete] = "delete",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE] = "'",
  [sym_unescaped_double_string_fragment] = "string_fragment",
  [sym_unescaped_single_string_fragment] = "string_fragment",
  [sym_escape_sequence] = "escape_sequence",
  [sym_comment] = "comment",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_DOLLAR_LBRACE] = "${",
  [anon_sym_SLASH2] = "/",
  [sym_regex_pattern] = "regex_pattern",
  [sym_regex_flags] = "regex_flags",
  [sym_number] = "number",
  [sym_private_property_identifier] = "private_property_identifier",
  [anon_sym_target] = "target",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_null] = "null",
  [sym_undefined] = "undefined",
  [anon_sym_AT] = "@",
  [anon_sym_static] = "static",
  [anon_sym_get] = "get",
  [anon_sym_set] = "set",
  [sym__automatic_semicolon] = "_automatic_semicolon",
  [sym__template_chars] = "_template_chars",
  [sym__ternary_qmark] = "\?",
  [sym_program] = "program",
  [sym_export_statement] = "export_statement",
  [sym_export_clause] = "export_clause",
  [sym__import_export_specifier] = "export_specifier",
  [sym_declaration] = "declaration",
  [sym_import] = "import",
  [sym_import_statement] = "import_statement",
  [sym_import_clause] = "import_clause",
  [sym__from_clause] = "_from_clause",
  [sym_namespace_import_export] = "namespace_import",
  [sym_named_imports] = "named_imports",
  [sym_expression_statement] = "expression_statement",
  [sym_variable_declaration] = "variable_declaration",
  [sym_lexical_declaration] = "lexical_declaration",
  [sym_variable_declarator] = "variable_declarator",
  [sym_statement_block] = "statement_block",
  [sym_else_clause] = "else_clause",
  [sym_if_statement] = "if_statement",
  [sym_switch_statement] = "switch_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_in_statement] = "for_in_statement",
  [sym__for_header] = "_for_header",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_try_statement] = "try_statement",
  [sym_with_statement] = "with_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_debugger_statement] = "debugger_statement",
  [sym_return_statement] = "return_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_empty_statement] = "empty_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_switch_body] = "switch_body",
  [sym_switch_case] = "switch_case",
  [sym_switch_default] = "switch_default",
  [sym_catch_clause] = "catch_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_yield_expression] = "yield_expression",
  [sym_object] = "object",
  [sym_object_pattern] = "object_pattern",
  [sym_assignment_pattern] = "assignment_pattern",
  [sym_object_assignment_pattern] = "object_assignment_pattern",
  [sym_array] = "array",
  [sym_array_pattern] = "array_pattern",
  [sym_glimmer_template] = "glimmer_template",
  [sym_glimmer_opening_tag] = "glimmer_opening_tag",
  [sym_glimmer_closing_tag] = "glimmer_closing_tag",
  [sym_jsx_element] = "jsx_element",
  [sym_jsx_fragment] = "jsx_fragment",
  [sym_jsx_expression] = "jsx_expression",
  [sym_jsx_opening_element] = "jsx_opening_element",
  [sym_nested_identifier] = "nested_identifier",
  [sym_jsx_namespace_name] = "jsx_namespace_name",
  [sym_jsx_closing_element] = "jsx_closing_element",
  [sym_jsx_self_closing_element] = "jsx_self_closing_element",
  [sym_jsx_attribute] = "jsx_attribute",
  [sym_class] = "class",
  [sym_class_declaration] = "class_declaration",
  [sym_class_heritage] = "class_heritage",
  [sym_function] = "function",
  [sym_function_declaration] = "function_declaration",
  [sym_generator_function] = "generator_function",
  [sym_generator_function_declaration] = "generator_function_declaration",
  [sym_arrow_function] = "arrow_function",
  [sym_call_expression] = "call_expression",
  [sym_new_expression] = "new_expression",
  [sym_await_expression] = "await_expression",
  [sym_member_expression] = "member_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym__augmented_assignment_lhs] = "_augmented_assignment_lhs",
  [sym_augmented_assignment_expression] = "augmented_assignment_expression",
  [sym__initializer] = "_initializer",
  [sym__destructuring_pattern] = "_destructuring_pattern",
  [sym_spread_element] = "spread_element",
  [sym_ternary_expression] = "ternary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_string] = "string",
  [sym_template_string] = "template_string",
  [sym_template_substitution] = "template_substitution",
  [sym_regex] = "regex",
  [sym_meta_property] = "meta_property",
  [sym_arguments] = "arguments",
  [sym_decorator] = "decorator",
  [sym_decorator_member_expression] = "member_expression",
  [sym_decorator_call_expression] = "call_expression",
  [sym_class_body] = "class_body",
  [sym_field_definition] = "field_definition",
  [sym_formal_parameters] = "formal_parameters",
  [sym_pattern] = "pattern",
  [sym_rest_pattern] = "rest_pattern",
  [sym_method_definition] = "method_definition",
  [sym_pair] = "pair",
  [sym_pair_pattern] = "pair_pattern",
  [sym__property_name] = "_property_name",
  [sym_computed_property_name] = "computed_property_name",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_export_statement_repeat1] = "export_statement_repeat1",
  [aux_sym_export_clause_repeat1] = "export_clause_repeat1",
  [aux_sym_named_imports_repeat1] = "named_imports_repeat1",
  [aux_sym_variable_declaration_repeat1] = "variable_declaration_repeat1",
  [aux_sym_switch_body_repeat1] = "switch_body_repeat1",
  [aux_sym_object_repeat1] = "object_repeat1",
  [aux_sym_object_pattern_repeat1] = "object_pattern_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_array_pattern_repeat1] = "array_pattern_repeat1",
  [aux_sym_glimmer_template_repeat1] = "glimmer_template_repeat1",
  [aux_sym_jsx_element_repeat1] = "jsx_element_repeat1",
  [aux_sym_jsx_opening_element_repeat1] = "jsx_opening_element_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_string_repeat2] = "string_repeat2",
  [aux_sym_template_string_repeat1] = "template_string_repeat1",
  [aux_sym_class_body_repeat1] = "class_body_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [alias_sym_import_specifier] = "import_specifier",
  [alias_sym_namespace_export] = "namespace_export",
  [alias_sym_property_identifier] = "property_identifier",
  [alias_sym_shorthand_property_identifier] = "shorthand_property_identifier",
  [alias_sym_shorthand_property_identifier_pattern] = "shorthand_property_identifier_pattern",
  [alias_sym_statement_identifier] = "statement_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_hash_bang_line] = sym_hash_bang_line,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_from] = anon_sym_from,
  [anon_sym_var] = anon_sym_var,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_await] = anon_sym_await,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_debugger] = anon_sym_debugger,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [sym__glimmer_template_content] = sym__glimmer_template_content,
  [anon_sym_LTtemplate_GT] = anon_sym_LTtemplate_GT,
  [anon_sym_LT_SLASHtemplate_GT] = anon_sym_LT_SLASHtemplate_GT,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [sym_jsx_text] = sym_jsx_text,
  [sym_jsx_identifier] = sym_identifier,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [sym_optional_chain] = sym_optional_chain,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_AMP_AMP_EQ] = anon_sym_AMP_AMP_EQ,
  [anon_sym_PIPE_PIPE_EQ] = anon_sym_PIPE_PIPE_EQ,
  [anon_sym_QMARK_QMARK_EQ] = anon_sym_QMARK_QMARK_EQ,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_EQ_EQ_EQ] = anon_sym_EQ_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_BANG_EQ_EQ] = anon_sym_BANG_EQ_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_QMARK_QMARK] = anon_sym_QMARK_QMARK,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_typeof] = anon_sym_typeof,
  [anon_sym_void] = anon_sym_void,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [sym_unescaped_double_string_fragment] = sym_unescaped_double_string_fragment,
  [sym_unescaped_single_string_fragment] = sym_unescaped_double_string_fragment,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_comment] = sym_comment,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_DOLLAR_LBRACE] = anon_sym_DOLLAR_LBRACE,
  [anon_sym_SLASH2] = anon_sym_SLASH,
  [sym_regex_pattern] = sym_regex_pattern,
  [sym_regex_flags] = sym_regex_flags,
  [sym_number] = sym_number,
  [sym_private_property_identifier] = sym_private_property_identifier,
  [anon_sym_target] = anon_sym_target,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_null] = sym_null,
  [sym_undefined] = sym_undefined,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_get] = anon_sym_get,
  [anon_sym_set] = anon_sym_set,
  [sym__automatic_semicolon] = sym__automatic_semicolon,
  [sym__template_chars] = sym__template_chars,
  [sym__ternary_qmark] = sym__ternary_qmark,
  [sym_program] = sym_program,
  [sym_export_statement] = sym_export_statement,
  [sym_export_clause] = sym_export_clause,
  [sym__import_export_specifier] = sym__import_export_specifier,
  [sym_declaration] = sym_declaration,
  [sym_import] = sym_import,
  [sym_import_statement] = sym_import_statement,
  [sym_import_clause] = sym_import_clause,
  [sym__from_clause] = sym__from_clause,
  [sym_namespace_import_export] = sym_namespace_import_export,
  [sym_named_imports] = sym_named_imports,
  [sym_expression_statement] = sym_expression_statement,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_lexical_declaration] = sym_lexical_declaration,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym_statement_block] = sym_statement_block,
  [sym_else_clause] = sym_else_clause,
  [sym_if_statement] = sym_if_statement,
  [sym_switch_statement] = sym_switch_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_in_statement] = sym_for_in_statement,
  [sym__for_header] = sym__for_header,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_with_statement] = sym_with_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_debugger_statement] = sym_debugger_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_switch_body] = sym_switch_body,
  [sym_switch_case] = sym_switch_case,
  [sym_switch_default] = sym_switch_default,
  [sym_catch_clause] = sym_catch_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_yield_expression] = sym_yield_expression,
  [sym_object] = sym_object,
  [sym_object_pattern] = sym_object_pattern,
  [sym_assignment_pattern] = sym_assignment_pattern,
  [sym_object_assignment_pattern] = sym_object_assignment_pattern,
  [sym_array] = sym_array,
  [sym_array_pattern] = sym_array_pattern,
  [sym_glimmer_template] = sym_glimmer_template,
  [sym_glimmer_opening_tag] = sym_glimmer_opening_tag,
  [sym_glimmer_closing_tag] = sym_glimmer_closing_tag,
  [sym_jsx_element] = sym_jsx_element,
  [sym_jsx_fragment] = sym_jsx_fragment,
  [sym_jsx_expression] = sym_jsx_expression,
  [sym_jsx_opening_element] = sym_jsx_opening_element,
  [sym_nested_identifier] = sym_nested_identifier,
  [sym_jsx_namespace_name] = sym_jsx_namespace_name,
  [sym_jsx_closing_element] = sym_jsx_closing_element,
  [sym_jsx_self_closing_element] = sym_jsx_self_closing_element,
  [sym_jsx_attribute] = sym_jsx_attribute,
  [sym_class] = sym_class,
  [sym_class_declaration] = sym_class_declaration,
  [sym_class_heritage] = sym_class_heritage,
  [sym_function] = sym_function,
  [sym_function_declaration] = sym_function_declaration,
  [sym_generator_function] = sym_generator_function,
  [sym_generator_function_declaration] = sym_generator_function_declaration,
  [sym_arrow_function] = sym_arrow_function,
  [sym_call_expression] = sym_call_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_await_expression] = sym_await_expression,
  [sym_member_expression] = sym_member_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym__augmented_assignment_lhs] = sym__augmented_assignment_lhs,
  [sym_augmented_assignment_expression] = sym_augmented_assignment_expression,
  [sym__initializer] = sym__initializer,
  [sym__destructuring_pattern] = sym__destructuring_pattern,
  [sym_spread_element] = sym_spread_element,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_string] = sym_string,
  [sym_template_string] = sym_template_string,
  [sym_template_substitution] = sym_template_substitution,
  [sym_regex] = sym_regex,
  [sym_meta_property] = sym_meta_property,
  [sym_arguments] = sym_arguments,
  [sym_decorator] = sym_decorator,
  [sym_decorator_member_expression] = sym_member_expression,
  [sym_decorator_call_expression] = sym_call_expression,
  [sym_class_body] = sym_class_body,
  [sym_field_definition] = sym_field_definition,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_pattern] = sym_pattern,
  [sym_rest_pattern] = sym_rest_pattern,
  [sym_method_definition] = sym_method_definition,
  [sym_pair] = sym_pair,
  [sym_pair_pattern] = sym_pair_pattern,
  [sym__property_name] = sym__property_name,
  [sym_computed_property_name] = sym_computed_property_name,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_export_statement_repeat1] = aux_sym_export_statement_repeat1,
  [aux_sym_export_clause_repeat1] = aux_sym_export_clause_repeat1,
  [aux_sym_named_imports_repeat1] = aux_sym_named_imports_repeat1,
  [aux_sym_variable_declaration_repeat1] = aux_sym_variable_declaration_repeat1,
  [aux_sym_switch_body_repeat1] = aux_sym_switch_body_repeat1,
  [aux_sym_object_repeat1] = aux_sym_object_repeat1,
  [aux_sym_object_pattern_repeat1] = aux_sym_object_pattern_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_array_pattern_repeat1] = aux_sym_array_pattern_repeat1,
  [aux_sym_glimmer_template_repeat1] = aux_sym_glimmer_template_repeat1,
  [aux_sym_jsx_element_repeat1] = aux_sym_jsx_element_repeat1,
  [aux_sym_jsx_opening_element_repeat1] = aux_sym_jsx_opening_element_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_string_repeat2] = aux_sym_string_repeat2,
  [aux_sym_template_string_repeat1] = aux_sym_template_string_repeat1,
  [aux_sym_class_body_repeat1] = aux_sym_class_body_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [alias_sym_import_specifier] = alias_sym_import_specifier,
  [alias_sym_namespace_export] = alias_sym_namespace_export,
  [alias_sym_property_identifier] = alias_sym_property_identifier,
  [alias_sym_shorthand_property_identifier] = alias_sym_shorthand_property_identifier,
  [alias_sym_shorthand_property_identifier_pattern] = alias_sym_shorthand_property_identifier_pattern,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_bang_line] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_var] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_debugger] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym__glimmer_template_content] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_LTtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_SLASHtemplate_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [sym_jsx_text] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_optional_chain] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_void] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_unescaped_double_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_unescaped_single_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH2] = {
    .visible = true,
    .named = false,
  },
  [sym_regex_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_regex_flags] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_private_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_target] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_get] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_set] = {
    .visible = true,
    .named = false,
  },
  [sym__automatic_semicolon] = {
    .visible = false,
    .named = true,
  },
  [sym__template_chars] = {
    .visible = false,
    .named = true,
  },
  [sym__ternary_qmark] = {
    .visible = true,
    .named = false,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_export_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_export_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__import_export_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__from_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_namespace_import_export] = {
    .visible = true,
    .named = true,
  },
  [sym_named_imports] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_lexical_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_statement_block] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_in_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_header] = {
    .visible = false,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_debugger_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_body] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_default] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_yield_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object] = {
    .visible = true,
    .named = true,
  },
  [sym_object_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_object_assignment_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_template] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_opening_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_glimmer_closing_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_opening_element] = {
    .visible = true,
    .named = true,
  },
  [sym_nested_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_namespace_name] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_self_closing_element] = {
    .visible = true,
    .named = true,
  },
  [sym_jsx_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_class_heritage] = {
    .visible = true,
    .named = true,
  },
  [sym_function] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_arrow_function] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__augmented_assignment_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_augmented_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__initializer] = {
    .visible = false,
    .named = true,
  },
  [sym__destructuring_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_spread_element] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_string] = {
    .visible = true,
    .named = true,
  },
  [sym_template_substitution] = {
    .visible = true,
    .named = true,
  },
  [sym_regex] = {
    .visible = true,
    .named = true,
  },
  [sym_meta_property] = {
    .visible = true,
    .named = true,
  },
  [sym_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_member_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_field_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_rest_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_pair_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__property_name] = {
    .visible = false,
    .named = true,
  },
  [sym_computed_property_name] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_export_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_named_imports_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variable_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_glimmer_template_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_jsx_opening_element_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_import_specifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_namespace_export] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_shorthand_property_identifier_pattern] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_close_tag = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constructor = 10,
  field_content = 11,
  field_declaration = 12,
  field_decorator = 13,
  field_finalizer = 14,
  field_flags = 15,
  field_function = 16,
  field_handler = 17,
  field_increment = 18,
  field_index = 19,
  field_initializer = 20,
  field_key = 21,
  field_kind = 22,
  field_label = 23,
  field_left = 24,
  field_member = 25,
  field_name = 26,
  field_object = 27,
  field_open_tag = 28,
  field_operator = 29,
  field_optional_chain = 30,
  field_parameter = 31,
  field_parameters = 32,
  field_pattern = 33,
  field_property = 34,
  field_right = 35,
  field_source = 36,
  field_template = 37,
  field_value = 38,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_close_tag] = "close_tag",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constructor] = "constructor",
  [field_content] = "content",
  [field_declaration] = "declaration",
  [field_decorator] = "decorator",
  [field_finalizer] = "finalizer",
  [field_flags] = "flags",
  [field_function] = "function",
  [field_handler] = "handler",
  [field_increment] = "increment",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_key] = "key",
  [field_kind] = "kind",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_object] = "object",
  [field_open_tag] = "open_tag",
  [field_operator] = "operator",
  [field_optional_chain] = "optional_chain",
  [field_parameter] = "parameter",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_property] = "property",
  [field_right] = "right",
  [field_source] = "source",
  [field_template] = "template",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 1},
  [7] = {.index = 4, .length = 1},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 7, .length = 2},
  [10] = {.index = 9, .length = 2},
  [11] = {.index = 11, .length = 2},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 1},
  [14] = {.index = 16, .length = 2},
  [15] = {.index = 18, .length = 2},
  [16] = {.index = 20, .length = 2},
  [20] = {.index = 22, .length = 1},
  [21] = {.index = 23, .length = 2},
  [22] = {.index = 25, .length = 1},
  [23] = {.index = 26, .length = 2},
  [24] = {.index = 28, .length = 2},
  [25] = {.index = 30, .length = 6},
  [26] = {.index = 36, .length = 2},
  [27] = {.index = 38, .length = 2},
  [28] = {.index = 40, .length = 2},
  [29] = {.index = 42, .length = 2},
  [30] = {.index = 44, .length = 1},
  [31] = {.index = 45, .length = 1},
  [32] = {.index = 46, .length = 1},
  [33] = {.index = 47, .length = 1},
  [34] = {.index = 48, .length = 1},
  [35] = {.index = 49, .length = 1},
  [36] = {.index = 50, .length = 1},
  [37] = {.index = 51, .length = 2},
  [38] = {.index = 53, .length = 1},
  [39] = {.index = 54, .length = 2},
  [40] = {.index = 56, .length = 2},
  [41] = {.index = 18, .length = 2},
  [42] = {.index = 20, .length = 2},
  [43] = {.index = 58, .length = 3},
  [44] = {.index = 61, .length = 2},
  [45] = {.index = 61, .length = 2},
  [46] = {.index = 63, .length = 3},
  [47] = {.index = 63, .length = 3},
  [48] = {.index = 66, .length = 3},
  [49] = {.index = 69, .length = 3},
  [50] = {.index = 72, .length = 2},
  [51] = {.index = 74, .length = 2},
  [52] = {.index = 76, .length = 2},
  [53] = {.index = 78, .length = 2},
  [54] = {.index = 80, .length = 1},
  [55] = {.index = 81, .length = 1},
  [56] = {.index = 82, .length = 2},
  [57] = {.index = 80, .length = 1},
  [58] = {.index = 18, .length = 2},
  [59] = {.index = 84, .length = 2},
  [60] = {.index = 86, .length = 3},
  [61] = {.index = 82, .length = 2},
  [62] = {.index = 89, .length = 1},
  [63] = {.index = 90, .length = 3},
  [64] = {.index = 93, .length = 6},
  [65] = {.index = 99, .length = 3},
  [66] = {.index = 102, .length = 2},
  [67] = {.index = 104, .length = 2},
  [68] = {.index = 106, .length = 2},
  [69] = {.index = 108, .length = 1},
  [70] = {.index = 109, .length = 2},
  [71] = {.index = 111, .length = 2},
  [72] = {.index = 113, .length = 2},
  [73] = {.index = 115, .length = 4},
  [74] = {.index = 119, .length = 2},
  [75] = {.index = 121, .length = 2},
  [76] = {.index = 123, .length = 2},
  [77] = {.index = 121, .length = 2},
  [78] = {.index = 125, .length = 2},
  [79] = {.index = 127, .length = 3},
  [80] = {.index = 130, .length = 2},
  [81] = {.index = 132, .length = 2},
  [82] = {.index = 134, .length = 3},
  [83] = {.index = 137, .length = 2},
  [84] = {.index = 139, .length = 2},
  [85] = {.index = 141, .length = 4},
  [86] = {.index = 145, .length = 2},
  [87] = {.index = 147, .length = 2},
  [88] = {.index = 149, .length = 2},
  [89] = {.index = 151, .length = 3},
  [90] = {.index = 154, .length = 2},
  [91] = {.index = 156, .length = 3},
  [92] = {.index = 159, .length = 3},
  [93] = {.index = 162, .length = 3},
  [94] = {.index = 165, .length = 1},
  [95] = {.index = 166, .length = 2},
  [96] = {.index = 168, .length = 3},
  [97] = {.index = 171, .length = 4},
  [98] = {.index = 175, .length = 3},
  [99] = {.index = 175, .length = 3},
  [100] = {.index = 178, .length = 3},
  [101] = {.index = 181, .length = 3},
  [102] = {.index = 184, .length = 3},
  [103] = {.index = 187, .length = 4},
  [104] = {.index = 191, .length = 2},
  [105] = {.index = 193, .length = 4},
  [106] = {.index = 197, .length = 4},
  [107] = {.index = 201, .length = 2},
  [108] = {.index = 203, .length = 4},
  [109] = {.index = 207, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_decorator, 0},
  [1] =
    {field_declaration, 1},
  [2] =
    {field_name, 0},
  [3] =
    {field_body, 1},
  [4] =
    {field_constructor, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_argument, 0},
    {field_operator, 1},
  [9] =
    {field_arguments, 1},
    {field_function, 0},
  [11] =
    {field_close_tag, 1},
    {field_open_tag, 0},
  [13] =
    {field_decorator, 0, .inherited = true},
    {field_decorator, 1, .inherited = true},
  [15] =
    {field_declaration, 2},
  [16] =
    {field_body, 2},
    {field_label, 0},
  [18] =
    {field_left, 0},
    {field_right, 2},
  [20] =
    {field_body, 2},
    {field_parameter, 0},
  [22] =
    {field_source, 1},
  [23] =
    {field_name, 0},
    {field_value, 1, .inherited = true},
  [25] =
    {field_kind, 0},
  [26] =
    {field_condition, 1},
    {field_consequence, 2},
  [28] =
    {field_body, 2},
    {field_value, 1},
  [30] =
    {field_body, 2},
    {field_kind, 1, .inherited = true},
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [36] =
    {field_body, 2},
    {field_condition, 1},
  [38] =
    {field_body, 1},
    {field_handler, 2},
  [40] =
    {field_body, 1},
    {field_finalizer, 2},
  [42] =
    {field_body, 2},
    {field_object, 1},
  [44] =
    {field_label, 1},
  [45] =
    {field_name, 1},
  [46] =
    {field_attribute, 0},
  [47] =
    {field_pattern, 1},
  [48] =
    {field_template, 0},
  [49] =
    {field_member, 0},
  [50] =
    {field_property, 0},
  [51] =
    {field_body, 2},
    {field_name, 1},
  [53] =
    {field_body, 2},
  [54] =
    {field_body, 2},
    {field_parameters, 1},
  [56] =
    {field_arguments, 2},
    {field_constructor, 1},
  [58] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [61] =
    {field_object, 0},
    {field_property, 2},
  [63] =
    {field_object, 0},
    {field_optional_chain, 1},
    {field_property, 2},
  [66] =
    {field_arguments, 2},
    {field_function, 0},
    {field_optional_chain, 1},
  [69] =
    {field_close_tag, 2},
    {field_content, 1},
    {field_open_tag, 0},
  [72] =
    {field_close_tag, 2},
    {field_open_tag, 0},
  [74] =
    {field_body, 2},
    {field_parameters, 0},
  [76] =
    {field_declaration, 2},
    {field_decorator, 0, .inherited = true},
  [78] =
    {field_body, 2},
    {field_decorator, 0, .inherited = true},
  [80] =
    {field_source, 2, .inherited = true},
  [81] =
    {field_value, 2},
  [82] =
    {field_alias, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [84] =
    {field_key, 0},
    {field_value, 2},
  [86] =
    {field_body, 2},
    {field_name, 0},
    {field_parameters, 1},
  [89] =
    {field_value, 1},
  [90] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [93] =
    {field_body, 3},
    {field_kind, 2, .inherited = true},
    {field_left, 2, .inherited = true},
    {field_operator, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [99] =
    {field_body, 1},
    {field_finalizer, 3},
    {field_handler, 2},
  [102] =
    {field_attribute, 2, .inherited = true},
    {field_name, 1},
  [104] =
    {field_attribute, 0, .inherited = true},
    {field_attribute, 1, .inherited = true},
  [106] =
    {field_flags, 3},
    {field_pattern, 1},
  [108] =
    {field_property, 1},
  [109] =
    {field_property, 0},
    {field_value, 1, .inherited = true},
  [111] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
  [113] =
    {field_member, 1, .inherited = true},
    {field_template, 1, .inherited = true},
  [115] =
    {field_member, 0, .inherited = true},
    {field_member, 1, .inherited = true},
    {field_template, 0, .inherited = true},
    {field_template, 1, .inherited = true},
  [119] =
    {field_body, 3},
    {field_name, 1},
  [121] =
    {field_body, 3},
    {field_parameter, 1},
  [123] =
    {field_body, 3},
    {field_parameters, 2},
  [125] =
    {field_body, 3},
    {field_parameters, 1},
  [127] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [130] =
    {field_index, 2},
    {field_object, 0},
  [132] =
    {field_declaration, 3},
    {field_decorator, 0, .inherited = true},
  [134] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [137] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
  [139] =
    {field_alias, 2},
    {field_name, 0},
  [141] =
    {field_body, 3},
    {field_decorator, 0, .inherited = true},
    {field_name, 1},
    {field_parameters, 2},
  [145] =
    {field_body, 1},
    {field_condition, 3},
  [147] =
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [149] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
  [151] =
    {field_decorator, 0, .inherited = true},
    {field_property, 1},
    {field_value, 2, .inherited = true},
  [154] =
    {field_body, 4},
    {field_parameters, 3},
  [156] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [159] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [162] =
    {field_index, 3},
    {field_object, 0},
    {field_optional_chain, 1},
  [165] =
    {field_name, 2},
  [166] =
    {field_decorator, 0, .inherited = true},
    {field_value, 3},
  [168] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
  [171] =
    {field_body, 4},
    {field_decorator, 0, .inherited = true},
    {field_name, 2},
    {field_parameters, 3},
  [175] =
    {field_left, 1},
    {field_operator, 2},
    {field_right, 3},
  [178] =
    {field_body, 5},
    {field_condition, 3},
    {field_initializer, 2},
  [181] =
    {field_decorator, 0, .inherited = true},
    {field_property, 2},
    {field_value, 3, .inherited = true},
  [184] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
  [187] =
    {field_body, 5},
    {field_decorator, 0, .inherited = true},
    {field_name, 3},
    {field_parameters, 4},
  [191] =
    {field_body, 3},
    {field_value, 1},
  [193] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 3},
    {field_right, 4},
  [197] =
    {field_body, 6},
    {field_condition, 3},
    {field_increment, 4},
    {field_initializer, 2},
  [201] =
    {field_body, 4},
    {field_parameter, 2},
  [203] =
    {field_body, 6},
    {field_decorator, 0, .inherited = true},
    {field_name, 4},
    {field_parameters, 5},
  [207] =
    {field_kind, 1},
    {field_left, 2},
    {field_operator, 4},
    {field_right, 5},
    {field_value, 3, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [4] = {
    [0] = alias_sym_property_identifier,
  },
  [14] = {
    [0] = alias_sym_statement_identifier,
  },
  [15] = {
    [0] = sym_identifier,
  },
  [16] = {
    [0] = sym_identifier,
  },
  [17] = {
    [1] = alias_sym_shorthand_property_identifier,
  },
  [18] = {
    [1] = alias_sym_shorthand_property_identifier_pattern,
  },
  [19] = {
    [1] = sym_identifier,
  },
  [30] = {
    [1] = alias_sym_statement_identifier,
  },
  [44] = {
    [2] = alias_sym_property_identifier,
  },
  [46] = {
    [2] = alias_sym_property_identifier,
  },
  [57] = {
    [1] = alias_sym_namespace_export,
  },
  [58] = {
    [0] = alias_sym_shorthand_property_identifier_pattern,
  },
  [61] = {
    [1] = alias_sym_import_specifier,
  },
  [75] = {
    [1] = sym_identifier,
  },
  [98] = {
    [1] = sym_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__import_export_specifier, 2,
    sym__import_export_specifier,
    alias_sym_import_specifier,
  sym_namespace_import_export, 2,
    sym_namespace_import_export,
    alias_sym_namespace_export,
  0,
};

static inline bool sym__glimmer_template_content_character_set_1(int32_t c) {
  return (c < 8192
    ? (c < ' '
      ? (c < '\r'
        ? c == '\t'
        : c <= '\r')
      : (c <= ' ' || (c < 5760
        ? c == 160
        : c <= 5760)))
    : (c <= 8203 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool anon_sym_BANG_character_set_1(int32_t c) {
  return (c < 8192
    ? (c < ' '
      ? (c < '\r'
        ? (c >= '\t' && c <= '\n')
        : c <= '\r')
      : (c <= ' ' || (c < 5760
        ? c == 160
        : c <= 5760)))
    : (c <= 8203 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '{' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 8192
    ? (c < 160
      ? (c < 0
        ? c == 0
        : c <= '~')
      : (c <= 160 || c == 5760))
    : (c <= 8203 || (c < 12288
      ? (c < 8287
        ? c == 8239
        : c <= 8288)
      : (c <= 12288 || c == 65279))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 160
    ? (c < ':'
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '/')))
      : (c <= '@' || (c < '`'
        ? (c >= '[' && c <= '^')
        : (c <= '`' || (c >= '|' && c <= '~')))))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static inline bool sym_private_property_identifier_character_set_1(int32_t c) {
  return (c < 160
    ? (c < '['
      ? (c < 0
        ? c == 0
        : (c <= '#' || (c >= '%' && c <= '@')))
      : (c <= '^' || (c < '{'
        ? c == '`'
        : c <= '~')))
    : (c <= 160 || (c < 8287
      ? (c < 8192
        ? c == 5760
        : (c <= 8203 || c == 8239))
      : (c <= 8288 || (c < 65279
        ? c == 12288
        : c <= 65279)))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(86);
      if (lookahead == '!') ADVANCE(182);
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '#') ADVANCE(3);
      if (lookahead == '$') ADVANCE(223);
      if (lookahead == '%') ADVANCE(170);
      if (lookahead == '&') ADVANCE(159);
      if (lookahead == '\'') ADVANCE(187);
      if (lookahead == '(') ADVANCE(94);
      if (lookahead == ')') ADVANCE(95);
      if (lookahead == '*') ADVANCE(89);
      if (lookahead == '+') ADVANCE(166);
      if (lookahead == ',') ADVANCE(92);
      if (lookahead == '-') ADVANCE(168);
      if (lookahead == '.') ADVANCE(129);
      if (lookahead == '/') ADVANCE(208);
      if (lookahead == '0') ADVANCE(213);
      if (lookahead == ':') ADVANCE(97);
      if (lookahead == ';') ADVANCE(96);
      if (lookahead == '<') ADVANCE(112);
      if (lookahead == '=') ADVANCE(100);
      if (lookahead == '>') ADVANCE(117);
      if (lookahead == '?') ADVANCE(18);
      if (lookahead == '@') ADVANCE(226);
      if (lookahead == '[') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == ']') ADVANCE(103);
      if (lookahead == '^') ADVANCE(162);
      if (lookahead == '`') ADVANCE(206);
      if (lookahead == '{') ADVANCE(91);
      if (lookahead == '|') ADVANCE(163);
      if (lookahead == '}') ADVANCE(93);
      if (lookahead == '~') ADVANCE(183);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(214);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(83)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(224);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(1)
      if (lookahead == '/') ADVANCE(105);
      if (lookahead == '<') ADVANCE(107);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(106);
      if (lookahead != 0) ADVANCE(104);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(22)
      if (lookahead == '/') ADVANCE(14);
      if (lookahead == '[') ADVANCE(28);
      if (lookahead == '\\') ADVANCE(82);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(209);
      if (lookahead != 0) ADVANCE(210);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(87);
      if (lookahead == '\\') ADVANCE(45);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(225);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(181);
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '\'') ADVANCE(187);
      if (lookahead == '(') ADVANCE(94);
      if (lookahead == '+') ADVANCE(165);
      if (lookahead == '-') ADVANCE(167);
      if (lookahead == '.') ADVANCE(130);
      if (lookahead == '/') ADVANCE(119);
      if (lookahead == '0') ADVANCE(213);
      if (lookahead == ':') ADVANCE(97);
      if (lookahead == '<') ADVANCE(115);
      if (lookahead == '>') ADVANCE(116);
      if (lookahead == '@') ADVANCE(226);
      if (lookahead == '[') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(46);
      if (lookahead == '`') ADVANCE(206);
      if (lookahead == '{') ADVANCE(91);
      if (lookahead == '~') ADVANCE(183);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(214);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(4)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != ']' &&
          lookahead != '^' &&
          lookahead != '|' &&
          lookahead != '}') ADVANCE(224);
      END_STATE();
    case 5:
      if (lookahead == '!') ADVANCE(23);
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '#') ADVANCE(27);
      if (lookahead == '%') ADVANCE(170);
      if (lookahead == '&') ADVANCE(159);
      if (lookahead == '\'') ADVANCE(187);
      if (lookahead == '(') ADVANCE(94);
      if (lookahead == ')') ADVANCE(95);
      if (lookahead == '*') ADVANCE(89);
      if (lookahead == '+') ADVANCE(166);
      if (lookahead == ',') ADVANCE(92);
      if (lookahead == '-') ADVANCE(168);
      if (lookahead == '.') ADVANCE(130);
      if (lookahead == '/') ADVANCE(120);
      if (lookahead == '0') ADVANCE(213);
      if (lookahead == ':') ADVANCE(97);
      if (lookahead == ';') ADVANCE(96);
      if (lookahead == '<') ADVANCE(111);
      if (lookahead == '=') ADVANCE(100);
      if (lookahead == '>') ADVANCE(117);
      if (lookahead == '?') ADVANCE(18);
      if (lookahead == '@') ADVANCE(226);
      if (lookahead == '[') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(46);
      if (lookahead == ']') ADVANCE(103);
      if (lookahead == '^') ADVANCE(162);
      if (lookahead == '`') ADVANCE(206);
      if (lookahead == '{') ADVANCE(91);
      if (lookahead == '|') ADVANCE(163);
      if (lookahead == '}') ADVANCE(93);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(214);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(5)
      if (lookahead != 0 &&
          lookahead > 31 &&
          lookahead != '~') ADVANCE(224);
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(23);
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '%') ADVANCE(169);
      if (lookahead == '&') ADVANCE(160);
      if (lookahead == '\'') ADVANCE(187);
      if (lookahead == '(') ADVANCE(94);
      if (lookahead == ')') ADVANCE(95);
      if (lookahead == '*') ADVANCE(90);
      if (lookahead == '+') ADVANCE(165);
      if (lookahead == ',') ADVANCE(92);
      if (lookahead == '-') ADVANCE(167);
      if (lookahead == '.') ADVANCE(128);
      if (lookahead == '/') ADVANCE(119);
      if (lookahead == ':') ADVANCE(97);
      if (lookahead == ';') ADVANCE(96);
      if (lookahead == '<') ADVANCE(113);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '>') ADVANCE(118);
      if (lookahead == '?') ADVANCE(19);
      if (lookahead == '[') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(46);
      if (lookahead == ']') ADVANCE(103);
      if (lookahead == '^') ADVANCE(161);
      if (lookahead == '`') ADVANCE(206);
      if (lookahead == '{') ADVANCE(91);
      if (lookahead == '|') ADVANCE(164);
      if (lookahead == '}') ADVANCE(93);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(6)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '0' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(224);
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(23);
      if (lookahead == '%') ADVANCE(169);
      if (lookahead == '&') ADVANCE(160);
      if (lookahead == '(') ADVANCE(94);
      if (lookahead == ')') ADVANCE(95);
      if (lookahead == '*') ADVANCE(90);
      if (lookahead == '+') ADVANCE(165);
      if (lookahead == ',') ADVANCE(92);
      if (lookahead == '-') ADVANCE(167);
      if (lookahead == '.') ADVANCE(128);
      if (lookahead == '/') ADVANCE(119);
      if (lookahead == ':') ADVANCE(97);
      if (lookahead == ';') ADVANCE(96);
      if (lookahead == '<') ADVANCE(113);
      if (lookahead == '=') ADVANCE(24);
      if (lookahead == '>') ADVANCE(118);
      if (lookahead == '?') ADVANCE(19);
      if (lookahead == '[') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(46);
      if (lookahead == ']') ADVANCE(103);
      if (lookahead == '^') ADVANCE(161);
      if (lookahead == '`') ADVANCE(206);
      if (lookahead == '{') ADVANCE(91);
      if (lookahead == '|') ADVANCE(164);
      if (lookahead == '}') ADVANCE(93);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(8)
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(211);
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(224);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(23);
      if (lookahead == '%') ADVANCE(169);
      if (lookahead == '&') ADVANCE(160);
      if (lookahead == '(') ADVANCE(94);
      if (lookahead == ')') ADVANCE(95);
      if (lookahead == '*') ADVANCE(90);
      if (lookahead == '+') ADVANCE(165);
      if (lookahead == ',') ADVANCE(92);
      if (lookahead == '-') ADVANCE(167);
      if (lookahead == '.') ADVANCE(128);
      if (lookahead == '/') ADVANCE(119);
      if (lookahead == ':') ADVANCE(97);
      if (lookahead == ';') ADVANCE(96);
      if (lookahead == '<') ADVANCE(113);
      if (lookahead == '=') ADVANCE(24);
      if (lookahead == '>') ADVANCE(118);
      if (lookahead == '?') ADVANCE(19);
      if (lookahead == '[') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(46);
      if (lookahead == ']') ADVANCE(103);
      if (lookahead == '^') ADVANCE(161);
      if (lookahead == '`') ADVANCE(206);
      if (lookahead == '{') ADVANCE(91);
      if (lookahead == '|') ADVANCE(164);
      if (lookahead == '}') ADVANCE(93);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(8)
      if (lookahead != 0 &&
          lookahead > '#' &&
          (lookahead < '\'' || '@' < lookahead) &&
          lookahead != '~') ADVANCE(224);
      END_STATE();
    case 9:
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '\'') ADVANCE(187);
      if (lookahead == '(') ADVANCE(94);
      if (lookahead == '.') ADVANCE(128);
      if (lookahead == '/') ADVANCE(119);
      if (lookahead == ':') ADVANCE(97);
      if (lookahead == '<') ADVANCE(110);
      if (lookahead == '=') ADVANCE(98);
      if (lookahead == '>') ADVANCE(116);
      if (lookahead == '\\') ADVANCE(46);
      if (lookahead == '{') ADVANCE(91);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(9)
      if (lookahead == '$' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(222);
      if (lookahead != 0 &&
          lookahead > '~') ADVANCE(224);
      END_STATE();
    case 10:
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '/') ADVANCE(189);
      if (lookahead == '\\') ADVANCE(47);
      if (anon_sym_BANG_character_set_1(lookahead)) ADVANCE(192);
      if (lookahead != 0) ADVANCE(193);
      END_STATE();
    case 11:
      if (lookahead == '$') ADVANCE(48);
      if (lookahead == '/') ADVANCE(208);
      if (lookahead == '\\') ADVANCE(47);
      if (lookahead == '`') ADVANCE(206);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(12)
      END_STATE();
    case 12:
      if (lookahead == '$') ADVANCE(48);
      if (lookahead == '/') ADVANCE(14);
      if (lookahead == '`') ADVANCE(206);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(12)
      END_STATE();
    case 13:
      if (lookahead == '\'') ADVANCE(187);
      if (lookahead == '/') ADVANCE(195);
      if (lookahead == '\\') ADVANCE(47);
      if (anon_sym_BANG_character_set_1(lookahead)) ADVANCE(198);
      if (lookahead != 0) ADVANCE(199);
      END_STATE();
    case 14:
      if (lookahead == '*') ADVANCE(16);
      if (lookahead == '/') ADVANCE(205);
      END_STATE();
    case 15:
      if (lookahead == '*') ADVANCE(15);
      if (lookahead == '/') ADVANCE(204);
      if (lookahead != 0) ADVANCE(16);
      END_STATE();
    case 16:
      if (lookahead == '*') ADVANCE(15);
      if (lookahead != 0) ADVANCE(16);
      END_STATE();
    case 17:
      if (lookahead == '.') ADVANCE(20);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 18:
      if (lookahead == '.') ADVANCE(132);
      if (lookahead == '?') ADVANCE(180);
      END_STATE();
    case 19:
      if (lookahead == '.') ADVANCE(132);
      if (lookahead == '?') ADVANCE(179);
      END_STATE();
    case 20:
      if (lookahead == '.') ADVANCE(148);
      END_STATE();
    case 21:
      if (lookahead == '/') ADVANCE(122);
      if (lookahead == '<') ADVANCE(110);
      if (lookahead == '{') ADVANCE(91);
      if (anon_sym_BANG_character_set_1(lookahead)) ADVANCE(125);
      if (lookahead != 0 &&
          lookahead != '>' &&
          lookahead != '}') ADVANCE(126);
      END_STATE();
    case 22:
      if (lookahead == '/') ADVANCE(14);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(22)
      END_STATE();
    case 23:
      if (lookahead == '=') ADVANCE(176);
      END_STATE();
    case 24:
      if (lookahead == '=') ADVANCE(174);
      END_STATE();
    case 25:
      if (lookahead == '>') ADVANCE(108);
      END_STATE();
    case 26:
      if (lookahead == '>') ADVANCE(109);
      END_STATE();
    case 27:
      if (lookahead == '\\') ADVANCE(45);
      if (!sym_private_property_identifier_character_set_1(lookahead)) ADVANCE(225);
      END_STATE();
    case 28:
      if (lookahead == '\\') ADVANCE(81);
      if (lookahead == ']') ADVANCE(210);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(28);
      END_STATE();
    case 29:
      if (lookahead == 'a') ADVANCE(41);
      END_STATE();
    case 30:
      if (lookahead == 'a') ADVANCE(42);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(37);
      END_STATE();
    case 32:
      if (lookahead == 'e') ADVANCE(25);
      END_STATE();
    case 33:
      if (lookahead == 'e') ADVANCE(26);
      END_STATE();
    case 34:
      if (lookahead == 'e') ADVANCE(38);
      END_STATE();
    case 35:
      if (lookahead == 'l') ADVANCE(29);
      END_STATE();
    case 36:
      if (lookahead == 'l') ADVANCE(30);
      END_STATE();
    case 37:
      if (lookahead == 'm') ADVANCE(39);
      END_STATE();
    case 38:
      if (lookahead == 'm') ADVANCE(40);
      END_STATE();
    case 39:
      if (lookahead == 'p') ADVANCE(35);
      END_STATE();
    case 40:
      if (lookahead == 'p') ADVANCE(36);
      END_STATE();
    case 41:
      if (lookahead == 't') ADVANCE(32);
      END_STATE();
    case 42:
      if (lookahead == 't') ADVANCE(33);
      END_STATE();
    case 43:
      if (lookahead == 't') ADVANCE(34);
      END_STATE();
    case 44:
      if (lookahead == 'u') ADVANCE(49);
      if (lookahead == 'x') ADVANCE(73);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(203);
      if (lookahead != 0) ADVANCE(200);
      END_STATE();
    case 45:
      if (lookahead == 'u') ADVANCE(50);
      END_STATE();
    case 46:
      if (lookahead == 'u') ADVANCE(51);
      END_STATE();
    case 47:
      if (lookahead == 'u') ADVANCE(52);
      if (lookahead == 'x') ADVANCE(73);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(203);
      if (lookahead != 0) ADVANCE(200);
      END_STATE();
    case 48:
      if (lookahead == '{') ADVANCE(207);
      END_STATE();
    case 49:
      if (lookahead == '{') ADVANCE(68);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(78);
      END_STATE();
    case 50:
      if (lookahead == '{') ADVANCE(71);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(79);
      END_STATE();
    case 51:
      if (lookahead == '{') ADVANCE(72);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(80);
      END_STATE();
    case 52:
      if (lookahead == '{') ADVANCE(74);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(70);
      END_STATE();
    case 53:
      if (lookahead == '}') ADVANCE(224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(53);
      END_STATE();
    case 54:
      if (lookahead == '}') ADVANCE(225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(54);
      END_STATE();
    case 55:
      if (lookahead == '}') ADVANCE(200);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(55);
      END_STATE();
    case 56:
      if (lookahead == '}') ADVANCE(201);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(56);
      END_STATE();
    case 57:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(219);
      END_STATE();
    case 58:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(215);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(216);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(214);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(218);
      END_STATE();
    case 63:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(219);
      END_STATE();
    case 64:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(224);
      END_STATE();
    case 65:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(225);
      END_STATE();
    case 66:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(200);
      END_STATE();
    case 67:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(217);
      END_STATE();
    case 68:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(56);
      END_STATE();
    case 69:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(201);
      END_STATE();
    case 70:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(73);
      END_STATE();
    case 71:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(54);
      END_STATE();
    case 72:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(53);
      END_STATE();
    case 73:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(66);
      END_STATE();
    case 74:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(55);
      END_STATE();
    case 75:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(69);
      END_STATE();
    case 76:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(65);
      END_STATE();
    case 77:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(64);
      END_STATE();
    case 78:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(75);
      END_STATE();
    case 79:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(76);
      END_STATE();
    case 80:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(77);
      END_STATE();
    case 81:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(28);
      END_STATE();
    case 82:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(210);
      END_STATE();
    case 83:
      if (eof) ADVANCE(86);
      if (lookahead == '!') ADVANCE(182);
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '#') ADVANCE(3);
      if (lookahead == '$') ADVANCE(223);
      if (lookahead == '%') ADVANCE(170);
      if (lookahead == '&') ADVANCE(159);
      if (lookahead == '\'') ADVANCE(187);
      if (lookahead == '(') ADVANCE(94);
      if (lookahead == ')') ADVANCE(95);
      if (lookahead == '*') ADVANCE(89);
      if (lookahead == '+') ADVANCE(166);
      if (lookahead == ',') ADVANCE(92);
      if (lookahead == '-') ADVANCE(168);
      if (lookahead == '.') ADVANCE(129);
      if (lookahead == '/') ADVANCE(119);
      if (lookahead == '0') ADVANCE(213);
      if (lookahead == ':') ADVANCE(97);
      if (lookahead == ';') ADVANCE(96);
      if (lookahead == '<') ADVANCE(112);
      if (lookahead == '=') ADVANCE(100);
      if (lookahead == '>') ADVANCE(117);
      if (lookahead == '?') ADVANCE(18);
      if (lookahead == '@') ADVANCE(226);
      if (lookahead == '[') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(46);
      if (lookahead == ']') ADVANCE(103);
      if (lookahead == '^') ADVANCE(162);
      if (lookahead == '`') ADVANCE(206);
      if (lookahead == '{') ADVANCE(91);
      if (lookahead == '|') ADVANCE(163);
      if (lookahead == '}') ADVANCE(93);
      if (lookahead == '~') ADVANCE(183);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(214);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(83)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(224);
      END_STATE();
    case 84:
      if (eof) ADVANCE(86);
      if (lookahead == '!') ADVANCE(182);
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '#') ADVANCE(27);
      if (lookahead == '%') ADVANCE(169);
      if (lookahead == '&') ADVANCE(160);
      if (lookahead == '\'') ADVANCE(187);
      if (lookahead == '(') ADVANCE(94);
      if (lookahead == ')') ADVANCE(95);
      if (lookahead == '*') ADVANCE(90);
      if (lookahead == '+') ADVANCE(165);
      if (lookahead == ',') ADVANCE(92);
      if (lookahead == '-') ADVANCE(167);
      if (lookahead == '.') ADVANCE(130);
      if (lookahead == '/') ADVANCE(119);
      if (lookahead == '0') ADVANCE(213);
      if (lookahead == ':') ADVANCE(97);
      if (lookahead == ';') ADVANCE(96);
      if (lookahead == '<') ADVANCE(114);
      if (lookahead == '=') ADVANCE(99);
      if (lookahead == '>') ADVANCE(118);
      if (lookahead == '?') ADVANCE(19);
      if (lookahead == '@') ADVANCE(226);
      if (lookahead == '[') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(46);
      if (lookahead == ']') ADVANCE(103);
      if (lookahead == '^') ADVANCE(161);
      if (lookahead == '`') ADVANCE(206);
      if (lookahead == '{') ADVANCE(91);
      if (lookahead == '|') ADVANCE(164);
      if (lookahead == '}') ADVANCE(93);
      if (lookahead == '~') ADVANCE(183);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(214);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(84)
      if (lookahead != 0 &&
          lookahead > 31) ADVANCE(224);
      END_STATE();
    case 85:
      if (eof) ADVANCE(86);
      if (lookahead == '!') ADVANCE(181);
      if (lookahead == '"') ADVANCE(186);
      if (lookahead == '#') ADVANCE(3);
      if (lookahead == '\'') ADVANCE(187);
      if (lookahead == '(') ADVANCE(94);
      if (lookahead == ')') ADVANCE(95);
      if (lookahead == '*') ADVANCE(88);
      if (lookahead == '+') ADVANCE(165);
      if (lookahead == ',') ADVANCE(92);
      if (lookahead == '-') ADVANCE(167);
      if (lookahead == '.') ADVANCE(17);
      if (lookahead == '/') ADVANCE(119);
      if (lookahead == '0') ADVANCE(213);
      if (lookahead == ':') ADVANCE(97);
      if (lookahead == ';') ADVANCE(96);
      if (lookahead == '<') ADVANCE(115);
      if (lookahead == '=') ADVANCE(101);
      if (lookahead == '>') ADVANCE(116);
      if (lookahead == '@') ADVANCE(226);
      if (lookahead == '[') ADVANCE(102);
      if (lookahead == '\\') ADVANCE(46);
      if (lookahead == ']') ADVANCE(103);
      if (lookahead == '`') ADVANCE(206);
      if (lookahead == '{') ADVANCE(91);
      if (lookahead == '}') ADVANCE(93);
      if (lookahead == '~') ADVANCE(183);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(214);
      if (anon_sym_BANG_character_set_1(lookahead)) SKIP(85)
      if (lookahead != 0 &&
          lookahead > 31 &&
          (lookahead < '%' || '?' < lookahead) &&
          lookahead != '^' &&
          lookahead != '|') ADVANCE(224);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_hash_bang_line);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(87);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(172);
      if (lookahead == '=') ADVANCE(135);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(171);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(174);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(174);
      if (lookahead == '>') ADVANCE(131);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(131);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '*') ADVANCE(16);
      if (lookahead == '/') ADVANCE(205);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(105);
      if (lookahead == '<') ADVANCE(107);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(106);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(104);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym__glimmer_template_content);
      if (lookahead == '/') ADVANCE(43);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_LTtemplate_GT);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_LT_SLASHtemplate_GT);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(158);
      if (lookahead == '=') ADVANCE(173);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(158);
      if (lookahead == '=') ADVANCE(173);
      if (lookahead == 't') ADVANCE(31);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(157);
      if (lookahead == '=') ADVANCE(173);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(157);
      if (lookahead == '=') ADVANCE(173);
      if (lookahead == 't') ADVANCE(31);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == 't') ADVANCE(31);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(178);
      if (lookahead == '>') ADVANCE(153);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(178);
      if (lookahead == '>') ADVANCE(154);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(16);
      if (lookahead == '/') ADVANCE(205);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(16);
      if (lookahead == '/') ADVANCE(205);
      if (lookahead == '=') ADVANCE(136);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '\n') ADVANCE(126);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(205);
      if (lookahead != 0) ADVANCE(121);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(124);
      if (lookahead == '/') ADVANCE(121);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(126);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(123);
      if (lookahead == '/') ADVANCE(126);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(16);
      if (lookahead != 0) ADVANCE(124);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '*') ADVANCE(123);
      if (lookahead == '<' ||
          lookahead == '>' ||
          lookahead == '{' ||
          lookahead == '}') ADVANCE(16);
      if (lookahead != 0) ADVANCE(124);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead == '/') ADVANCE(122);
      if (anon_sym_BANG_character_set_1(lookahead)) ADVANCE(125);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(126);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_jsx_text);
      if (lookahead != 0 &&
          lookahead != '<' &&
          lookahead != '>' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(126);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(sym_jsx_identifier);
      if (lookahead == '$' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(127);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(20);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_optional_chain);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_AMP_AMP_EQ);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE_EQ);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK_EQ);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      if (lookahead == '=') ADVANCE(145);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      if (lookahead == '=') ADVANCE(146);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(141);
      if (lookahead == '>') ADVANCE(156);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(155);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(142);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(143);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(150);
      if (lookahead == '=') ADVANCE(139);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(149);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(138);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(140);
      if (lookahead == '|') ADVANCE(152);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(151);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(184);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(184);
      if (lookahead == '=') ADVANCE(133);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(185);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(185);
      if (lookahead == '=') ADVANCE(134);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(137);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(144);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      if (lookahead == '=') ADVANCE(175);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_EQ_EQ_EQ);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      if (lookahead == '=') ADVANCE(177);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_BANG_EQ_EQ);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_QMARK_QMARK);
      if (lookahead == '=') ADVANCE(147);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(176);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '\n') ADVANCE(193);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(188);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(191);
      if (lookahead == '/') ADVANCE(188);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(193);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(190);
      if (lookahead == '/') ADVANCE(193);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(191);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '*') ADVANCE(190);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(191);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead == '/') ADVANCE(189);
      if (anon_sym_BANG_character_set_1(lookahead)) ADVANCE(192);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(193);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_unescaped_double_string_fragment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(193);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '\n') ADVANCE(199);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(194);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(197);
      if (lookahead == '/') ADVANCE(194);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(199);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(196);
      if (lookahead == '/') ADVANCE(199);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(197);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '*') ADVANCE(196);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(197);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead == '/') ADVANCE(195);
      if (anon_sym_BANG_character_set_1(lookahead)) ADVANCE(198);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(199);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_unescaped_single_string_fragment);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(199);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(46);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(224);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(200);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(202);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(205);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_DOLLAR_LBRACE);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_SLASH2);
      if (lookahead == '*') ADVANCE(16);
      if (lookahead == '/') ADVANCE(205);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '\n') SKIP(22)
      if (lookahead == '/') ADVANCE(14);
      if (lookahead == '[') ADVANCE(28);
      if (lookahead == '\\') ADVANCE(82);
      if (sym__glimmer_template_content_character_set_1(lookahead)) ADVANCE(209);
      if (lookahead != 0) ADVANCE(210);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_regex_pattern);
      if (lookahead == '[') ADVANCE(28);
      if (lookahead == '\\') ADVANCE(82);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '/') ADVANCE(210);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_regex_flags);
      if (lookahead == '\\') ADVANCE(46);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(211);
      if (!sym_identifier_character_set_2(lookahead)) ADVANCE(224);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_number);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(221);
      if (lookahead == '0') ADVANCE(218);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(58);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(57);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(59);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(67);
      if (lookahead == '_') ADVANCE(62);
      if (lookahead == 'n') ADVANCE(212);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(214);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(221);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(57);
      if (lookahead == '_') ADVANCE(60);
      if (lookahead == 'n') ADVANCE(212);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(214);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(58);
      if (lookahead == 'n') ADVANCE(212);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(215);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(59);
      if (lookahead == 'n') ADVANCE(212);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(216);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(67);
      if (lookahead == 'n') ADVANCE(212);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(217);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(62);
      if (lookahead == 'n') ADVANCE(212);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(218);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '_') ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(219);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(57);
      if (lookahead == '_') ADVANCE(61);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(220);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(127);
      if (lookahead == '\\') ADVANCE(46);
      if (lookahead == '$' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(222);
      if (!sym_identifier_character_set_3(lookahead)) ADVANCE(224);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(46);
      if (lookahead == '{') ADVANCE(207);
      if (!sym_identifier_character_set_4(lookahead)) ADVANCE(224);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '\\') ADVANCE(46);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(224);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_private_property_identifier);
      if (lookahead == '\\') ADVANCE(45);
      if (!sym_identifier_character_set_1(lookahead)) ADVANCE(225);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'a') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'f') ADVANCE(6);
      if (lookahead == 'g') ADVANCE(7);
      if (lookahead == 'i') ADVANCE(8);
      if (lookahead == 'l') ADVANCE(9);
      if (lookahead == 'n') ADVANCE(10);
      if (lookahead == 'o') ADVANCE(11);
      if (lookahead == 'r') ADVANCE(12);
      if (lookahead == 's') ADVANCE(13);
      if (lookahead == 't') ADVANCE(14);
      if (lookahead == 'u') ADVANCE(15);
      if (lookahead == 'v') ADVANCE(16);
      if (lookahead == 'w') ADVANCE(17);
      if (lookahead == 'y') ADVANCE(18);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 160 ||
          lookahead == 5760 ||
          (8192 <= lookahead && lookahead <= 8203) ||
          lookahead == 8239 ||
          lookahead == 8287 ||
          lookahead == 8288 ||
          lookahead == 12288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 's') ADVANCE(19);
      if (lookahead == 'w') ADVANCE(20);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(21);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(22);
      if (lookahead == 'l') ADVANCE(23);
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(25);
      if (lookahead == 'o') ADVANCE(26);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(27);
      if (lookahead == 'x') ADVANCE(28);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(29);
      if (lookahead == 'i') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      if (lookahead == 'r') ADVANCE(32);
      if (lookahead == 'u') ADVANCE(33);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(34);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(35);
      if (lookahead == 'm') ADVANCE(36);
      if (lookahead == 'n') ADVANCE(37);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(38);
      END_STATE();
    case 10:
      if (lookahead == 'e') ADVANCE(39);
      if (lookahead == 'u') ADVANCE(40);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(41);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(42);
      END_STATE();
    case 13:
      if (lookahead == 'e') ADVANCE(43);
      if (lookahead == 't') ADVANCE(44);
      if (lookahead == 'u') ADVANCE(45);
      if (lookahead == 'w') ADVANCE(46);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(47);
      if (lookahead == 'h') ADVANCE(48);
      if (lookahead == 'r') ADVANCE(49);
      if (lookahead == 'y') ADVANCE(50);
      END_STATE();
    case 15:
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(52);
      if (lookahead == 'o') ADVANCE(53);
      END_STATE();
    case 17:
      if (lookahead == 'h') ADVANCE(54);
      if (lookahead == 'i') ADVANCE(55);
      END_STATE();
    case 18:
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 19:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 'y') ADVANCE(57);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(58);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(60);
      if (lookahead == 't') ADVANCE(61);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(62);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(63);
      END_STATE();
    case 25:
      if (lookahead == 'b') ADVANCE(64);
      if (lookahead == 'f') ADVANCE(65);
      if (lookahead == 'l') ADVANCE(66);
      END_STATE();
    case 26:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 27:
      if (lookahead == 's') ADVANCE(67);
      END_STATE();
    case 28:
      if (lookahead == 'p') ADVANCE(68);
      if (lookahead == 't') ADVANCE(69);
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(70);
      END_STATE();
    case 30:
      if (lookahead == 'n') ADVANCE(71);
      END_STATE();
    case 31:
      if (lookahead == 'r') ADVANCE(72);
      END_STATE();
    case 32:
      if (lookahead == 'o') ADVANCE(73);
      END_STATE();
    case 33:
      if (lookahead == 'n') ADVANCE(74);
      END_STATE();
    case 34:
      if (lookahead == 't') ADVANCE(75);
      END_STATE();
    case 35:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 36:
      if (lookahead == 'p') ADVANCE(76);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(77);
      END_STATE();
    case 38:
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 39:
      if (lookahead == 'w') ADVANCE(79);
      END_STATE();
    case 40:
      if (lookahead == 'l') ADVANCE(80);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 42:
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 43:
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 44:
      if (lookahead == 'a') ADVANCE(83);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(84);
      END_STATE();
    case 46:
      if (lookahead == 'i') ADVANCE(85);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(86);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(88);
      END_STATE();
    case 49:
      if (lookahead == 'u') ADVANCE(89);
      if (lookahead == 'y') ADVANCE(90);
      END_STATE();
    case 50:
      if (lookahead == 'p') ADVANCE(91);
      END_STATE();
    case 51:
      if (lookahead == 'd') ADVANCE(92);
      END_STATE();
    case 52:
      if (lookahead == 'r') ADVANCE(93);
      END_STATE();
    case 53:
      if (lookahead == 'i') ADVANCE(94);
      END_STATE();
    case 54:
      if (lookahead == 'i') ADVANCE(95);
      END_STATE();
    case 55:
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 58:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 59:
      if (lookahead == 'a') ADVANCE(100);
      END_STATE();
    case 60:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 61:
      if (lookahead == 'c') ADVANCE(102);
      END_STATE();
    case 62:
      if (lookahead == 's') ADVANCE(103);
      END_STATE();
    case 63:
      if (lookahead == 's') ADVANCE(104);
      if (lookahead == 't') ADVANCE(105);
      END_STATE();
    case 64:
      if (lookahead == 'u') ADVANCE(106);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(107);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(108);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 68:
      if (lookahead == 'o') ADVANCE(110);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(111);
      END_STATE();
    case 70:
      if (lookahead == 's') ADVANCE(112);
      END_STATE();
    case 71:
      if (lookahead == 'a') ADVANCE(113);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 73:
      if (lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 74:
      if (lookahead == 'c') ADVANCE(115);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_get);
      END_STATE();
    case 76:
      if (lookahead == 'o') ADVANCE(116);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(118);
      END_STATE();
    case 81:
      if (lookahead == 'u') ADVANCE(119);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_set);
      END_STATE();
    case 83:
      if (lookahead == 't') ADVANCE(120);
      END_STATE();
    case 84:
      if (lookahead == 'e') ADVANCE(121);
      END_STATE();
    case 85:
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 86:
      if (lookahead == 'g') ADVANCE(123);
      END_STATE();
    case 87:
      if (lookahead == 's') ADVANCE(124);
      END_STATE();
    case 88:
      if (lookahead == 'o') ADVANCE(125);
      END_STATE();
    case 89:
      if (lookahead == 'e') ADVANCE(126);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(127);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(128);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_var);
      END_STATE();
    case 94:
      if (lookahead == 'd') ADVANCE(129);
      END_STATE();
    case 95:
      if (lookahead == 'l') ADVANCE(130);
      END_STATE();
    case 96:
      if (lookahead == 'h') ADVANCE(131);
      END_STATE();
    case 97:
      if (lookahead == 'l') ADVANCE(132);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(133);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(134);
      END_STATE();
    case 100:
      if (lookahead == 'k') ADVANCE(135);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 102:
      if (lookahead == 'h') ADVANCE(136);
      END_STATE();
    case 103:
      if (lookahead == 's') ADVANCE(137);
      END_STATE();
    case 104:
      if (lookahead == 't') ADVANCE(138);
      END_STATE();
    case 105:
      if (lookahead == 'i') ADVANCE(139);
      END_STATE();
    case 106:
      if (lookahead == 'g') ADVANCE(140);
      END_STATE();
    case 107:
      if (lookahead == 'u') ADVANCE(141);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(142);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 110:
      if (lookahead == 'r') ADVANCE(143);
      END_STATE();
    case 111:
      if (lookahead == 'n') ADVANCE(144);
      END_STATE();
    case 112:
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 113:
      if (lookahead == 'l') ADVANCE(146);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 115:
      if (lookahead == 't') ADVANCE(147);
      END_STATE();
    case 116:
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 117:
      if (lookahead == 'a') ADVANCE(149);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_null);
      END_STATE();
    case 119:
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 120:
      if (lookahead == 'i') ADVANCE(151);
      END_STATE();
    case 121:
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 122:
      if (lookahead == 'c') ADVANCE(153);
      END_STATE();
    case 123:
      if (lookahead == 'e') ADVANCE(154);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 125:
      if (lookahead == 'w') ADVANCE(155);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 127:
      if (lookahead == 'o') ADVANCE(156);
      END_STATE();
    case 128:
      if (lookahead == 'f') ADVANCE(157);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_void);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 132:
      if (lookahead == 'd') ADVANCE(159);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_const);
      END_STATE();
    case 139:
      if (lookahead == 'n') ADVANCE(160);
      END_STATE();
    case 140:
      if (lookahead == 'g') ADVANCE(161);
      END_STATE();
    case 141:
      if (lookahead == 'l') ADVANCE(162);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(163);
      END_STATE();
    case 143:
      if (lookahead == 't') ADVANCE(164);
      END_STATE();
    case 144:
      if (lookahead == 'd') ADVANCE(165);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 146:
      if (lookahead == 'l') ADVANCE(166);
      END_STATE();
    case 147:
      if (lookahead == 'i') ADVANCE(167);
      END_STATE();
    case 148:
      if (lookahead == 't') ADVANCE(168);
      END_STATE();
    case 149:
      if (lookahead == 'n') ADVANCE(169);
      END_STATE();
    case 150:
      if (lookahead == 'n') ADVANCE(170);
      END_STATE();
    case 151:
      if (lookahead == 'c') ADVANCE(171);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 153:
      if (lookahead == 'h') ADVANCE(172);
      END_STATE();
    case 154:
      if (lookahead == 't') ADVANCE(173);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 156:
      if (lookahead == 'f') ADVANCE(174);
      END_STATE();
    case 157:
      if (lookahead == 'i') ADVANCE(175);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 160:
      if (lookahead == 'u') ADVANCE(176);
      END_STATE();
    case 161:
      if (lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 162:
      if (lookahead == 't') ADVANCE(178);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 165:
      if (lookahead == 's') ADVANCE(179);
      END_STATE();
    case 166:
      if (lookahead == 'y') ADVANCE(180);
      END_STATE();
    case 167:
      if (lookahead == 'o') ADVANCE(181);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 169:
      if (lookahead == 'c') ADVANCE(182);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_target);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_typeof);
      END_STATE();
    case 175:
      if (lookahead == 'n') ADVANCE(183);
      END_STATE();
    case 176:
      if (lookahead == 'e') ADVANCE(184);
      END_STATE();
    case 177:
      if (lookahead == 'r') ADVANCE(185);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 181:
      if (lookahead == 'n') ADVANCE(186);
      END_STATE();
    case 182:
      if (lookahead == 'e') ADVANCE(187);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(188);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_debugger);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    case 187:
      if (lookahead == 'o') ADVANCE(189);
      END_STATE();
    case 188:
      if (lookahead == 'd') ADVANCE(190);
      END_STATE();
    case 189:
      if (lookahead == 'f') ADVANCE(191);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_undefined);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 85},
  [2] = {.lex_state = 85},
  [3] = {.lex_state = 85},
  [4] = {.lex_state = 85},
  [5] = {.lex_state = 85},
  [6] = {.lex_state = 85},
  [7] = {.lex_state = 85},
  [8] = {.lex_state = 85},
  [9] = {.lex_state = 85},
  [10] = {.lex_state = 85},
  [11] = {.lex_state = 85},
  [12] = {.lex_state = 85},
  [13] = {.lex_state = 85},
  [14] = {.lex_state = 85},
  [15] = {.lex_state = 85},
  [16] = {.lex_state = 85},
  [17] = {.lex_state = 85},
  [18] = {.lex_state = 85},
  [19] = {.lex_state = 85},
  [20] = {.lex_state = 85},
  [21] = {.lex_state = 85},
  [22] = {.lex_state = 85},
  [23] = {.lex_state = 85},
  [24] = {.lex_state = 85},
  [25] = {.lex_state = 85},
  [26] = {.lex_state = 85},
  [27] = {.lex_state = 85},
  [28] = {.lex_state = 85},
  [29] = {.lex_state = 85},
  [30] = {.lex_state = 85},
  [31] = {.lex_state = 85},
  [32] = {.lex_state = 85},
  [33] = {.lex_state = 85},
  [34] = {.lex_state = 85},
  [35] = {.lex_state = 85},
  [36] = {.lex_state = 85},
  [37] = {.lex_state = 85},
  [38] = {.lex_state = 85},
  [39] = {.lex_state = 85},
  [40] = {.lex_state = 85},
  [41] = {.lex_state = 85},
  [42] = {.lex_state = 85},
  [43] = {.lex_state = 85},
  [44] = {.lex_state = 84, .external_lex_state = 2},
  [45] = {.lex_state = 84, .external_lex_state = 3},
  [46] = {.lex_state = 84, .external_lex_state = 3},
  [47] = {.lex_state = 84, .external_lex_state = 2},
  [48] = {.lex_state = 84, .external_lex_state = 2},
  [49] = {.lex_state = 85},
  [50] = {.lex_state = 85},
  [51] = {.lex_state = 85},
  [52] = {.lex_state = 85},
  [53] = {.lex_state = 85},
  [54] = {.lex_state = 85},
  [55] = {.lex_state = 85},
  [56] = {.lex_state = 85},
  [57] = {.lex_state = 85},
  [58] = {.lex_state = 84, .external_lex_state = 3},
  [59] = {.lex_state = 85},
  [60] = {.lex_state = 85},
  [61] = {.lex_state = 85},
  [62] = {.lex_state = 85},
  [63] = {.lex_state = 85},
  [64] = {.lex_state = 84, .external_lex_state = 3},
  [65] = {.lex_state = 84, .external_lex_state = 3},
  [66] = {.lex_state = 84, .external_lex_state = 3},
  [67] = {.lex_state = 84, .external_lex_state = 3},
  [68] = {.lex_state = 84, .external_lex_state = 3},
  [69] = {.lex_state = 84, .external_lex_state = 3},
  [70] = {.lex_state = 84, .external_lex_state = 3},
  [71] = {.lex_state = 84, .external_lex_state = 3},
  [72] = {.lex_state = 84, .external_lex_state = 3},
  [73] = {.lex_state = 84, .external_lex_state = 3},
  [74] = {.lex_state = 84, .external_lex_state = 3},
  [75] = {.lex_state = 84, .external_lex_state = 3},
  [76] = {.lex_state = 84, .external_lex_state = 3},
  [77] = {.lex_state = 84, .external_lex_state = 3},
  [78] = {.lex_state = 85},
  [79] = {.lex_state = 85},
  [80] = {.lex_state = 85},
  [81] = {.lex_state = 85},
  [82] = {.lex_state = 85},
  [83] = {.lex_state = 85},
  [84] = {.lex_state = 85},
  [85] = {.lex_state = 85},
  [86] = {.lex_state = 85},
  [87] = {.lex_state = 85},
  [88] = {.lex_state = 85},
  [89] = {.lex_state = 85},
  [90] = {.lex_state = 85},
  [91] = {.lex_state = 85},
  [92] = {.lex_state = 85},
  [93] = {.lex_state = 85},
  [94] = {.lex_state = 85},
  [95] = {.lex_state = 85},
  [96] = {.lex_state = 85},
  [97] = {.lex_state = 85},
  [98] = {.lex_state = 85},
  [99] = {.lex_state = 85, .external_lex_state = 4},
  [100] = {.lex_state = 85},
  [101] = {.lex_state = 85},
  [102] = {.lex_state = 85},
  [103] = {.lex_state = 85},
  [104] = {.lex_state = 85},
  [105] = {.lex_state = 85},
  [106] = {.lex_state = 85},
  [107] = {.lex_state = 85},
  [108] = {.lex_state = 85},
  [109] = {.lex_state = 85},
  [110] = {.lex_state = 85},
  [111] = {.lex_state = 85},
  [112] = {.lex_state = 85},
  [113] = {.lex_state = 85},
  [114] = {.lex_state = 85},
  [115] = {.lex_state = 85},
  [116] = {.lex_state = 85},
  [117] = {.lex_state = 85},
  [118] = {.lex_state = 85},
  [119] = {.lex_state = 85},
  [120] = {.lex_state = 85},
  [121] = {.lex_state = 85},
  [122] = {.lex_state = 85},
  [123] = {.lex_state = 85},
  [124] = {.lex_state = 85},
  [125] = {.lex_state = 85},
  [126] = {.lex_state = 85},
  [127] = {.lex_state = 85},
  [128] = {.lex_state = 85},
  [129] = {.lex_state = 85},
  [130] = {.lex_state = 85},
  [131] = {.lex_state = 85},
  [132] = {.lex_state = 85},
  [133] = {.lex_state = 4},
  [134] = {.lex_state = 85},
  [135] = {.lex_state = 4},
  [136] = {.lex_state = 85},
  [137] = {.lex_state = 85},
  [138] = {.lex_state = 4},
  [139] = {.lex_state = 85},
  [140] = {.lex_state = 4},
  [141] = {.lex_state = 85},
  [142] = {.lex_state = 85},
  [143] = {.lex_state = 4},
  [144] = {.lex_state = 85},
  [145] = {.lex_state = 85},
  [146] = {.lex_state = 85},
  [147] = {.lex_state = 85},
  [148] = {.lex_state = 85},
  [149] = {.lex_state = 85},
  [150] = {.lex_state = 85},
  [151] = {.lex_state = 85},
  [152] = {.lex_state = 85},
  [153] = {.lex_state = 85},
  [154] = {.lex_state = 85},
  [155] = {.lex_state = 85},
  [156] = {.lex_state = 85},
  [157] = {.lex_state = 85},
  [158] = {.lex_state = 85},
  [159] = {.lex_state = 85},
  [160] = {.lex_state = 85},
  [161] = {.lex_state = 85},
  [162] = {.lex_state = 85},
  [163] = {.lex_state = 85},
  [164] = {.lex_state = 85},
  [165] = {.lex_state = 85},
  [166] = {.lex_state = 85},
  [167] = {.lex_state = 85},
  [168] = {.lex_state = 85},
  [169] = {.lex_state = 85},
  [170] = {.lex_state = 85},
  [171] = {.lex_state = 85},
  [172] = {.lex_state = 85},
  [173] = {.lex_state = 85},
  [174] = {.lex_state = 85},
  [175] = {.lex_state = 85},
  [176] = {.lex_state = 85},
  [177] = {.lex_state = 85},
  [178] = {.lex_state = 85},
  [179] = {.lex_state = 85},
  [180] = {.lex_state = 85},
  [181] = {.lex_state = 85},
  [182] = {.lex_state = 85},
  [183] = {.lex_state = 85},
  [184] = {.lex_state = 85},
  [185] = {.lex_state = 85},
  [186] = {.lex_state = 85},
  [187] = {.lex_state = 85},
  [188] = {.lex_state = 85},
  [189] = {.lex_state = 85},
  [190] = {.lex_state = 85},
  [191] = {.lex_state = 85},
  [192] = {.lex_state = 85},
  [193] = {.lex_state = 85},
  [194] = {.lex_state = 85},
  [195] = {.lex_state = 85},
  [196] = {.lex_state = 85},
  [197] = {.lex_state = 85},
  [198] = {.lex_state = 85},
  [199] = {.lex_state = 85},
  [200] = {.lex_state = 85},
  [201] = {.lex_state = 85},
  [202] = {.lex_state = 85},
  [203] = {.lex_state = 85},
  [204] = {.lex_state = 85},
  [205] = {.lex_state = 85},
  [206] = {.lex_state = 85},
  [207] = {.lex_state = 85},
  [208] = {.lex_state = 85},
  [209] = {.lex_state = 85},
  [210] = {.lex_state = 85},
  [211] = {.lex_state = 85},
  [212] = {.lex_state = 85},
  [213] = {.lex_state = 85},
  [214] = {.lex_state = 85},
  [215] = {.lex_state = 85},
  [216] = {.lex_state = 85},
  [217] = {.lex_state = 85},
  [218] = {.lex_state = 85},
  [219] = {.lex_state = 85},
  [220] = {.lex_state = 85},
  [221] = {.lex_state = 85},
  [222] = {.lex_state = 85},
  [223] = {.lex_state = 85},
  [224] = {.lex_state = 85},
  [225] = {.lex_state = 85},
  [226] = {.lex_state = 85},
  [227] = {.lex_state = 85},
  [228] = {.lex_state = 85},
  [229] = {.lex_state = 85},
  [230] = {.lex_state = 85},
  [231] = {.lex_state = 85},
  [232] = {.lex_state = 85},
  [233] = {.lex_state = 85},
  [234] = {.lex_state = 85},
  [235] = {.lex_state = 85},
  [236] = {.lex_state = 85},
  [237] = {.lex_state = 85},
  [238] = {.lex_state = 85},
  [239] = {.lex_state = 85},
  [240] = {.lex_state = 85},
  [241] = {.lex_state = 85},
  [242] = {.lex_state = 85},
  [243] = {.lex_state = 85},
  [244] = {.lex_state = 85},
  [245] = {.lex_state = 85},
  [246] = {.lex_state = 85},
  [247] = {.lex_state = 85},
  [248] = {.lex_state = 85},
  [249] = {.lex_state = 85},
  [250] = {.lex_state = 85},
  [251] = {.lex_state = 85},
  [252] = {.lex_state = 85},
  [253] = {.lex_state = 85},
  [254] = {.lex_state = 85},
  [255] = {.lex_state = 85},
  [256] = {.lex_state = 85},
  [257] = {.lex_state = 85},
  [258] = {.lex_state = 85},
  [259] = {.lex_state = 85},
  [260] = {.lex_state = 85},
  [261] = {.lex_state = 85},
  [262] = {.lex_state = 85},
  [263] = {.lex_state = 85},
  [264] = {.lex_state = 85},
  [265] = {.lex_state = 85},
  [266] = {.lex_state = 85},
  [267] = {.lex_state = 85},
  [268] = {.lex_state = 85},
  [269] = {.lex_state = 85},
  [270] = {.lex_state = 85},
  [271] = {.lex_state = 85},
  [272] = {.lex_state = 85},
  [273] = {.lex_state = 85},
  [274] = {.lex_state = 85},
  [275] = {.lex_state = 5, .external_lex_state = 3},
  [276] = {.lex_state = 5, .external_lex_state = 3},
  [277] = {.lex_state = 5, .external_lex_state = 3},
  [278] = {.lex_state = 5, .external_lex_state = 3},
  [279] = {.lex_state = 5, .external_lex_state = 3},
  [280] = {.lex_state = 5, .external_lex_state = 3},
  [281] = {.lex_state = 5, .external_lex_state = 3},
  [282] = {.lex_state = 5, .external_lex_state = 3},
  [283] = {.lex_state = 5, .external_lex_state = 3},
  [284] = {.lex_state = 5, .external_lex_state = 3},
  [285] = {.lex_state = 5, .external_lex_state = 3},
  [286] = {.lex_state = 5, .external_lex_state = 3},
  [287] = {.lex_state = 5, .external_lex_state = 3},
  [288] = {.lex_state = 5, .external_lex_state = 3},
  [289] = {.lex_state = 85, .external_lex_state = 4},
  [290] = {.lex_state = 85, .external_lex_state = 4},
  [291] = {.lex_state = 85},
  [292] = {.lex_state = 85},
  [293] = {.lex_state = 5, .external_lex_state = 2},
  [294] = {.lex_state = 85},
  [295] = {.lex_state = 5, .external_lex_state = 2},
  [296] = {.lex_state = 5, .external_lex_state = 3},
  [297] = {.lex_state = 5, .external_lex_state = 3},
  [298] = {.lex_state = 5, .external_lex_state = 3},
  [299] = {.lex_state = 5, .external_lex_state = 3},
  [300] = {.lex_state = 5, .external_lex_state = 3},
  [301] = {.lex_state = 5, .external_lex_state = 2},
  [302] = {.lex_state = 5, .external_lex_state = 2},
  [303] = {.lex_state = 5, .external_lex_state = 3},
  [304] = {.lex_state = 5, .external_lex_state = 2},
  [305] = {.lex_state = 5, .external_lex_state = 3},
  [306] = {.lex_state = 85},
  [307] = {.lex_state = 5, .external_lex_state = 2},
  [308] = {.lex_state = 85, .external_lex_state = 4},
  [309] = {.lex_state = 85, .external_lex_state = 4},
  [310] = {.lex_state = 85},
  [311] = {.lex_state = 85},
  [312] = {.lex_state = 85, .external_lex_state = 4},
  [313] = {.lex_state = 85},
  [314] = {.lex_state = 85},
  [315] = {.lex_state = 5, .external_lex_state = 3},
  [316] = {.lex_state = 85, .external_lex_state = 4},
  [317] = {.lex_state = 5, .external_lex_state = 2},
  [318] = {.lex_state = 85, .external_lex_state = 4},
  [319] = {.lex_state = 85},
  [320] = {.lex_state = 5, .external_lex_state = 3},
  [321] = {.lex_state = 5, .external_lex_state = 2},
  [322] = {.lex_state = 85, .external_lex_state = 4},
  [323] = {.lex_state = 85, .external_lex_state = 4},
  [324] = {.lex_state = 85, .external_lex_state = 4},
  [325] = {.lex_state = 85, .external_lex_state = 4},
  [326] = {.lex_state = 85, .external_lex_state = 4},
  [327] = {.lex_state = 85, .external_lex_state = 4},
  [328] = {.lex_state = 85, .external_lex_state = 4},
  [329] = {.lex_state = 85, .external_lex_state = 4},
  [330] = {.lex_state = 85, .external_lex_state = 4},
  [331] = {.lex_state = 85},
  [332] = {.lex_state = 85},
  [333] = {.lex_state = 85},
  [334] = {.lex_state = 85},
  [335] = {.lex_state = 85},
  [336] = {.lex_state = 85},
  [337] = {.lex_state = 85},
  [338] = {.lex_state = 85},
  [339] = {.lex_state = 85},
  [340] = {.lex_state = 85},
  [341] = {.lex_state = 85},
  [342] = {.lex_state = 85},
  [343] = {.lex_state = 85},
  [344] = {.lex_state = 85},
  [345] = {.lex_state = 85},
  [346] = {.lex_state = 85},
  [347] = {.lex_state = 85},
  [348] = {.lex_state = 85},
  [349] = {.lex_state = 85},
  [350] = {.lex_state = 85},
  [351] = {.lex_state = 5, .external_lex_state = 2},
  [352] = {.lex_state = 5, .external_lex_state = 2},
  [353] = {.lex_state = 85},
  [354] = {.lex_state = 5, .external_lex_state = 2},
  [355] = {.lex_state = 85},
  [356] = {.lex_state = 85},
  [357] = {.lex_state = 85},
  [358] = {.lex_state = 85},
  [359] = {.lex_state = 85},
  [360] = {.lex_state = 85},
  [361] = {.lex_state = 85},
  [362] = {.lex_state = 85},
  [363] = {.lex_state = 85},
  [364] = {.lex_state = 85},
  [365] = {.lex_state = 85},
  [366] = {.lex_state = 85},
  [367] = {.lex_state = 85},
  [368] = {.lex_state = 85},
  [369] = {.lex_state = 85},
  [370] = {.lex_state = 85},
  [371] = {.lex_state = 85},
  [372] = {.lex_state = 85},
  [373] = {.lex_state = 85},
  [374] = {.lex_state = 85},
  [375] = {.lex_state = 85},
  [376] = {.lex_state = 85},
  [377] = {.lex_state = 85},
  [378] = {.lex_state = 85},
  [379] = {.lex_state = 85},
  [380] = {.lex_state = 85},
  [381] = {.lex_state = 85},
  [382] = {.lex_state = 85},
  [383] = {.lex_state = 85},
  [384] = {.lex_state = 85},
  [385] = {.lex_state = 85},
  [386] = {.lex_state = 85},
  [387] = {.lex_state = 85},
  [388] = {.lex_state = 85},
  [389] = {.lex_state = 85},
  [390] = {.lex_state = 85},
  [391] = {.lex_state = 85},
  [392] = {.lex_state = 85},
  [393] = {.lex_state = 85},
  [394] = {.lex_state = 85},
  [395] = {.lex_state = 85},
  [396] = {.lex_state = 85},
  [397] = {.lex_state = 85},
  [398] = {.lex_state = 85},
  [399] = {.lex_state = 85},
  [400] = {.lex_state = 85},
  [401] = {.lex_state = 85},
  [402] = {.lex_state = 85},
  [403] = {.lex_state = 85},
  [404] = {.lex_state = 85},
  [405] = {.lex_state = 85},
  [406] = {.lex_state = 85},
  [407] = {.lex_state = 85},
  [408] = {.lex_state = 85},
  [409] = {.lex_state = 85},
  [410] = {.lex_state = 85},
  [411] = {.lex_state = 85},
  [412] = {.lex_state = 85},
  [413] = {.lex_state = 85},
  [414] = {.lex_state = 85},
  [415] = {.lex_state = 85},
  [416] = {.lex_state = 85},
  [417] = {.lex_state = 85},
  [418] = {.lex_state = 85},
  [419] = {.lex_state = 85},
  [420] = {.lex_state = 85},
  [421] = {.lex_state = 85},
  [422] = {.lex_state = 85},
  [423] = {.lex_state = 85},
  [424] = {.lex_state = 85},
  [425] = {.lex_state = 85},
  [426] = {.lex_state = 5, .external_lex_state = 3},
  [427] = {.lex_state = 5, .external_lex_state = 3},
  [428] = {.lex_state = 5, .external_lex_state = 3},
  [429] = {.lex_state = 5, .external_lex_state = 2},
  [430] = {.lex_state = 5, .external_lex_state = 2},
  [431] = {.lex_state = 5, .external_lex_state = 2},
  [432] = {.lex_state = 5, .external_lex_state = 2},
  [433] = {.lex_state = 5, .external_lex_state = 2},
  [434] = {.lex_state = 5, .external_lex_state = 2},
  [435] = {.lex_state = 5, .external_lex_state = 2},
  [436] = {.lex_state = 5, .external_lex_state = 2},
  [437] = {.lex_state = 5, .external_lex_state = 2},
  [438] = {.lex_state = 5, .external_lex_state = 2},
  [439] = {.lex_state = 5, .external_lex_state = 2},
  [440] = {.lex_state = 5, .external_lex_state = 2},
  [441] = {.lex_state = 5, .external_lex_state = 3},
  [442] = {.lex_state = 5, .external_lex_state = 2},
  [443] = {.lex_state = 5, .external_lex_state = 3},
  [444] = {.lex_state = 5, .external_lex_state = 3},
  [445] = {.lex_state = 5, .external_lex_state = 3},
  [446] = {.lex_state = 5, .external_lex_state = 3},
  [447] = {.lex_state = 85},
  [448] = {.lex_state = 85},
  [449] = {.lex_state = 5, .external_lex_state = 2},
  [450] = {.lex_state = 5, .external_lex_state = 2},
  [451] = {.lex_state = 5, .external_lex_state = 3},
  [452] = {.lex_state = 5, .external_lex_state = 3},
  [453] = {.lex_state = 5, .external_lex_state = 2},
  [454] = {.lex_state = 5, .external_lex_state = 3},
  [455] = {.lex_state = 5, .external_lex_state = 3},
  [456] = {.lex_state = 5, .external_lex_state = 3},
  [457] = {.lex_state = 5, .external_lex_state = 3},
  [458] = {.lex_state = 5, .external_lex_state = 3},
  [459] = {.lex_state = 5, .external_lex_state = 3},
  [460] = {.lex_state = 85},
  [461] = {.lex_state = 5, .external_lex_state = 3},
  [462] = {.lex_state = 5, .external_lex_state = 3},
  [463] = {.lex_state = 5, .external_lex_state = 2},
  [464] = {.lex_state = 5, .external_lex_state = 2},
  [465] = {.lex_state = 5, .external_lex_state = 3},
  [466] = {.lex_state = 5, .external_lex_state = 2},
  [467] = {.lex_state = 5, .external_lex_state = 3},
  [468] = {.lex_state = 85},
  [469] = {.lex_state = 85},
  [470] = {.lex_state = 5, .external_lex_state = 3},
  [471] = {.lex_state = 5, .external_lex_state = 3},
  [472] = {.lex_state = 85},
  [473] = {.lex_state = 85},
  [474] = {.lex_state = 5, .external_lex_state = 3},
  [475] = {.lex_state = 85},
  [476] = {.lex_state = 5, .external_lex_state = 3},
  [477] = {.lex_state = 5, .external_lex_state = 3},
  [478] = {.lex_state = 5, .external_lex_state = 3},
  [479] = {.lex_state = 5, .external_lex_state = 2},
  [480] = {.lex_state = 5, .external_lex_state = 2},
  [481] = {.lex_state = 5, .external_lex_state = 3},
  [482] = {.lex_state = 5, .external_lex_state = 2},
  [483] = {.lex_state = 5, .external_lex_state = 2},
  [484] = {.lex_state = 5, .external_lex_state = 2},
  [485] = {.lex_state = 5, .external_lex_state = 3},
  [486] = {.lex_state = 5, .external_lex_state = 2},
  [487] = {.lex_state = 5, .external_lex_state = 2},
  [488] = {.lex_state = 5, .external_lex_state = 2},
  [489] = {.lex_state = 5, .external_lex_state = 2},
  [490] = {.lex_state = 5, .external_lex_state = 2},
  [491] = {.lex_state = 5, .external_lex_state = 2},
  [492] = {.lex_state = 5, .external_lex_state = 2},
  [493] = {.lex_state = 5, .external_lex_state = 2},
  [494] = {.lex_state = 5, .external_lex_state = 2},
  [495] = {.lex_state = 5, .external_lex_state = 2},
  [496] = {.lex_state = 5, .external_lex_state = 2},
  [497] = {.lex_state = 5, .external_lex_state = 2},
  [498] = {.lex_state = 5, .external_lex_state = 2},
  [499] = {.lex_state = 5, .external_lex_state = 2},
  [500] = {.lex_state = 6, .external_lex_state = 3},
  [501] = {.lex_state = 6, .external_lex_state = 2},
  [502] = {.lex_state = 6, .external_lex_state = 3},
  [503] = {.lex_state = 6, .external_lex_state = 2},
  [504] = {.lex_state = 6, .external_lex_state = 2},
  [505] = {.lex_state = 6, .external_lex_state = 3},
  [506] = {.lex_state = 6, .external_lex_state = 2},
  [507] = {.lex_state = 6, .external_lex_state = 2},
  [508] = {.lex_state = 6, .external_lex_state = 3},
  [509] = {.lex_state = 6, .external_lex_state = 2},
  [510] = {.lex_state = 6, .external_lex_state = 2},
  [511] = {.lex_state = 6, .external_lex_state = 2},
  [512] = {.lex_state = 6, .external_lex_state = 2},
  [513] = {.lex_state = 6, .external_lex_state = 2},
  [514] = {.lex_state = 6, .external_lex_state = 2},
  [515] = {.lex_state = 6, .external_lex_state = 2},
  [516] = {.lex_state = 6, .external_lex_state = 3},
  [517] = {.lex_state = 6, .external_lex_state = 3},
  [518] = {.lex_state = 6, .external_lex_state = 2},
  [519] = {.lex_state = 6, .external_lex_state = 2},
  [520] = {.lex_state = 6, .external_lex_state = 2},
  [521] = {.lex_state = 6, .external_lex_state = 2},
  [522] = {.lex_state = 6, .external_lex_state = 2},
  [523] = {.lex_state = 6, .external_lex_state = 2},
  [524] = {.lex_state = 6, .external_lex_state = 2},
  [525] = {.lex_state = 6, .external_lex_state = 2},
  [526] = {.lex_state = 6, .external_lex_state = 2},
  [527] = {.lex_state = 6, .external_lex_state = 2},
  [528] = {.lex_state = 6, .external_lex_state = 2},
  [529] = {.lex_state = 6, .external_lex_state = 2},
  [530] = {.lex_state = 6, .external_lex_state = 3},
  [531] = {.lex_state = 6, .external_lex_state = 2},
  [532] = {.lex_state = 6, .external_lex_state = 2},
  [533] = {.lex_state = 6, .external_lex_state = 2},
  [534] = {.lex_state = 6, .external_lex_state = 2},
  [535] = {.lex_state = 6, .external_lex_state = 2},
  [536] = {.lex_state = 6, .external_lex_state = 2},
  [537] = {.lex_state = 6, .external_lex_state = 2},
  [538] = {.lex_state = 6, .external_lex_state = 2},
  [539] = {.lex_state = 6, .external_lex_state = 2},
  [540] = {.lex_state = 6, .external_lex_state = 2},
  [541] = {.lex_state = 6, .external_lex_state = 2},
  [542] = {.lex_state = 6, .external_lex_state = 3},
  [543] = {.lex_state = 6, .external_lex_state = 2},
  [544] = {.lex_state = 6, .external_lex_state = 2},
  [545] = {.lex_state = 6, .external_lex_state = 2},
  [546] = {.lex_state = 6, .external_lex_state = 2},
  [547] = {.lex_state = 6, .external_lex_state = 2},
  [548] = {.lex_state = 6, .external_lex_state = 2},
  [549] = {.lex_state = 6, .external_lex_state = 2},
  [550] = {.lex_state = 6, .external_lex_state = 2},
  [551] = {.lex_state = 6, .external_lex_state = 2},
  [552] = {.lex_state = 6, .external_lex_state = 2},
  [553] = {.lex_state = 6, .external_lex_state = 2},
  [554] = {.lex_state = 6, .external_lex_state = 2},
  [555] = {.lex_state = 6, .external_lex_state = 2},
  [556] = {.lex_state = 6, .external_lex_state = 3},
  [557] = {.lex_state = 6, .external_lex_state = 2},
  [558] = {.lex_state = 6, .external_lex_state = 2},
  [559] = {.lex_state = 6, .external_lex_state = 2},
  [560] = {.lex_state = 6, .external_lex_state = 2},
  [561] = {.lex_state = 6, .external_lex_state = 2},
  [562] = {.lex_state = 6, .external_lex_state = 2},
  [563] = {.lex_state = 6, .external_lex_state = 3},
  [564] = {.lex_state = 6, .external_lex_state = 3},
  [565] = {.lex_state = 6, .external_lex_state = 2},
  [566] = {.lex_state = 6, .external_lex_state = 2},
  [567] = {.lex_state = 6, .external_lex_state = 2},
  [568] = {.lex_state = 6, .external_lex_state = 2},
  [569] = {.lex_state = 6, .external_lex_state = 2},
  [570] = {.lex_state = 6, .external_lex_state = 2},
  [571] = {.lex_state = 6, .external_lex_state = 2},
  [572] = {.lex_state = 6, .external_lex_state = 2},
  [573] = {.lex_state = 6, .external_lex_state = 2},
  [574] = {.lex_state = 6, .external_lex_state = 2},
  [575] = {.lex_state = 6, .external_lex_state = 2},
  [576] = {.lex_state = 7, .external_lex_state = 2},
  [577] = {.lex_state = 6, .external_lex_state = 2},
  [578] = {.lex_state = 6, .external_lex_state = 3},
  [579] = {.lex_state = 6, .external_lex_state = 2},
  [580] = {.lex_state = 6, .external_lex_state = 2},
  [581] = {.lex_state = 6, .external_lex_state = 2},
  [582] = {.lex_state = 6, .external_lex_state = 2},
  [583] = {.lex_state = 6, .external_lex_state = 2},
  [584] = {.lex_state = 6, .external_lex_state = 2},
  [585] = {.lex_state = 6, .external_lex_state = 2},
  [586] = {.lex_state = 6, .external_lex_state = 2},
  [587] = {.lex_state = 6, .external_lex_state = 2},
  [588] = {.lex_state = 6, .external_lex_state = 2},
  [589] = {.lex_state = 6, .external_lex_state = 2},
  [590] = {.lex_state = 6, .external_lex_state = 2},
  [591] = {.lex_state = 6, .external_lex_state = 3},
  [592] = {.lex_state = 6, .external_lex_state = 2},
  [593] = {.lex_state = 6, .external_lex_state = 2},
  [594] = {.lex_state = 6, .external_lex_state = 2},
  [595] = {.lex_state = 6, .external_lex_state = 2},
  [596] = {.lex_state = 6, .external_lex_state = 2},
  [597] = {.lex_state = 6, .external_lex_state = 2},
  [598] = {.lex_state = 6, .external_lex_state = 2},
  [599] = {.lex_state = 6, .external_lex_state = 2},
  [600] = {.lex_state = 6, .external_lex_state = 2},
  [601] = {.lex_state = 6, .external_lex_state = 2},
  [602] = {.lex_state = 6, .external_lex_state = 2},
  [603] = {.lex_state = 6, .external_lex_state = 2},
  [604] = {.lex_state = 6, .external_lex_state = 2},
  [605] = {.lex_state = 6, .external_lex_state = 2},
  [606] = {.lex_state = 6, .external_lex_state = 2},
  [607] = {.lex_state = 6, .external_lex_state = 2},
  [608] = {.lex_state = 6, .external_lex_state = 2},
  [609] = {.lex_state = 6, .external_lex_state = 3},
  [610] = {.lex_state = 6, .external_lex_state = 3},
  [611] = {.lex_state = 6, .external_lex_state = 2},
  [612] = {.lex_state = 6, .external_lex_state = 3},
  [613] = {.lex_state = 6, .external_lex_state = 3},
  [614] = {.lex_state = 6, .external_lex_state = 3},
  [615] = {.lex_state = 6, .external_lex_state = 3},
  [616] = {.lex_state = 6, .external_lex_state = 3},
  [617] = {.lex_state = 6, .external_lex_state = 3},
  [618] = {.lex_state = 6, .external_lex_state = 3},
  [619] = {.lex_state = 6, .external_lex_state = 3},
  [620] = {.lex_state = 6, .external_lex_state = 3},
  [621] = {.lex_state = 6, .external_lex_state = 3},
  [622] = {.lex_state = 6, .external_lex_state = 3},
  [623] = {.lex_state = 6, .external_lex_state = 3},
  [624] = {.lex_state = 6, .external_lex_state = 2},
  [625] = {.lex_state = 6, .external_lex_state = 3},
  [626] = {.lex_state = 6, .external_lex_state = 2},
  [627] = {.lex_state = 6, .external_lex_state = 2},
  [628] = {.lex_state = 6, .external_lex_state = 3},
  [629] = {.lex_state = 6, .external_lex_state = 3},
  [630] = {.lex_state = 6, .external_lex_state = 3},
  [631] = {.lex_state = 6, .external_lex_state = 3},
  [632] = {.lex_state = 6, .external_lex_state = 3},
  [633] = {.lex_state = 6, .external_lex_state = 3},
  [634] = {.lex_state = 6, .external_lex_state = 3},
  [635] = {.lex_state = 6, .external_lex_state = 3},
  [636] = {.lex_state = 6, .external_lex_state = 3},
  [637] = {.lex_state = 6, .external_lex_state = 3},
  [638] = {.lex_state = 6, .external_lex_state = 3},
  [639] = {.lex_state = 6, .external_lex_state = 3},
  [640] = {.lex_state = 6, .external_lex_state = 2},
  [641] = {.lex_state = 6, .external_lex_state = 3},
  [642] = {.lex_state = 6, .external_lex_state = 3},
  [643] = {.lex_state = 6, .external_lex_state = 3},
  [644] = {.lex_state = 6, .external_lex_state = 3},
  [645] = {.lex_state = 6, .external_lex_state = 3},
  [646] = {.lex_state = 6, .external_lex_state = 3},
  [647] = {.lex_state = 6, .external_lex_state = 3},
  [648] = {.lex_state = 6, .external_lex_state = 3},
  [649] = {.lex_state = 6, .external_lex_state = 3},
  [650] = {.lex_state = 6, .external_lex_state = 3},
  [651] = {.lex_state = 6, .external_lex_state = 3},
  [652] = {.lex_state = 6, .external_lex_state = 3},
  [653] = {.lex_state = 6, .external_lex_state = 3},
  [654] = {.lex_state = 6, .external_lex_state = 3},
  [655] = {.lex_state = 6, .external_lex_state = 3},
  [656] = {.lex_state = 6, .external_lex_state = 2},
  [657] = {.lex_state = 6, .external_lex_state = 3},
  [658] = {.lex_state = 6, .external_lex_state = 3},
  [659] = {.lex_state = 6, .external_lex_state = 3},
  [660] = {.lex_state = 6, .external_lex_state = 3},
  [661] = {.lex_state = 6, .external_lex_state = 3},
  [662] = {.lex_state = 6, .external_lex_state = 3},
  [663] = {.lex_state = 6, .external_lex_state = 3},
  [664] = {.lex_state = 6, .external_lex_state = 3},
  [665] = {.lex_state = 6, .external_lex_state = 3},
  [666] = {.lex_state = 6, .external_lex_state = 3},
  [667] = {.lex_state = 6, .external_lex_state = 3},
  [668] = {.lex_state = 6, .external_lex_state = 3},
  [669] = {.lex_state = 6, .external_lex_state = 3},
  [670] = {.lex_state = 6, .external_lex_state = 3},
  [671] = {.lex_state = 6, .external_lex_state = 3},
  [672] = {.lex_state = 6, .external_lex_state = 3},
  [673] = {.lex_state = 6, .external_lex_state = 3},
  [674] = {.lex_state = 6, .external_lex_state = 3},
  [675] = {.lex_state = 6, .external_lex_state = 3},
  [676] = {.lex_state = 6, .external_lex_state = 3},
  [677] = {.lex_state = 6, .external_lex_state = 3},
  [678] = {.lex_state = 6, .external_lex_state = 3},
  [679] = {.lex_state = 6, .external_lex_state = 3},
  [680] = {.lex_state = 6, .external_lex_state = 3},
  [681] = {.lex_state = 6, .external_lex_state = 3},
  [682] = {.lex_state = 6, .external_lex_state = 3},
  [683] = {.lex_state = 6, .external_lex_state = 3},
  [684] = {.lex_state = 6, .external_lex_state = 2},
  [685] = {.lex_state = 6, .external_lex_state = 3},
  [686] = {.lex_state = 6, .external_lex_state = 2},
  [687] = {.lex_state = 6, .external_lex_state = 2},
  [688] = {.lex_state = 6, .external_lex_state = 3},
  [689] = {.lex_state = 6, .external_lex_state = 3},
  [690] = {.lex_state = 6, .external_lex_state = 3},
  [691] = {.lex_state = 6, .external_lex_state = 3},
  [692] = {.lex_state = 6, .external_lex_state = 3},
  [693] = {.lex_state = 6, .external_lex_state = 3},
  [694] = {.lex_state = 6, .external_lex_state = 2},
  [695] = {.lex_state = 6, .external_lex_state = 2},
  [696] = {.lex_state = 6, .external_lex_state = 3},
  [697] = {.lex_state = 6, .external_lex_state = 3},
  [698] = {.lex_state = 6, .external_lex_state = 3},
  [699] = {.lex_state = 6, .external_lex_state = 3},
  [700] = {.lex_state = 6, .external_lex_state = 3},
  [701] = {.lex_state = 6, .external_lex_state = 3},
  [702] = {.lex_state = 6, .external_lex_state = 3},
  [703] = {.lex_state = 6, .external_lex_state = 3},
  [704] = {.lex_state = 7, .external_lex_state = 3},
  [705] = {.lex_state = 6, .external_lex_state = 3},
  [706] = {.lex_state = 6, .external_lex_state = 3},
  [707] = {.lex_state = 6, .external_lex_state = 3},
  [708] = {.lex_state = 6, .external_lex_state = 2},
  [709] = {.lex_state = 6, .external_lex_state = 3},
  [710] = {.lex_state = 6, .external_lex_state = 3},
  [711] = {.lex_state = 6, .external_lex_state = 3},
  [712] = {.lex_state = 6, .external_lex_state = 3},
  [713] = {.lex_state = 6, .external_lex_state = 3},
  [714] = {.lex_state = 6, .external_lex_state = 3},
  [715] = {.lex_state = 6, .external_lex_state = 3},
  [716] = {.lex_state = 6, .external_lex_state = 3},
  [717] = {.lex_state = 6, .external_lex_state = 3},
  [718] = {.lex_state = 6, .external_lex_state = 3},
  [719] = {.lex_state = 6, .external_lex_state = 3},
  [720] = {.lex_state = 6, .external_lex_state = 3},
  [721] = {.lex_state = 6, .external_lex_state = 3},
  [722] = {.lex_state = 6, .external_lex_state = 3},
  [723] = {.lex_state = 6, .external_lex_state = 2},
  [724] = {.lex_state = 6, .external_lex_state = 3},
  [725] = {.lex_state = 6, .external_lex_state = 3},
  [726] = {.lex_state = 6, .external_lex_state = 3},
  [727] = {.lex_state = 6, .external_lex_state = 3},
  [728] = {.lex_state = 6, .external_lex_state = 3},
  [729] = {.lex_state = 6, .external_lex_state = 3},
  [730] = {.lex_state = 6, .external_lex_state = 3},
  [731] = {.lex_state = 6, .external_lex_state = 3},
  [732] = {.lex_state = 6, .external_lex_state = 2},
  [733] = {.lex_state = 6, .external_lex_state = 2},
  [734] = {.lex_state = 6, .external_lex_state = 2},
  [735] = {.lex_state = 6, .external_lex_state = 3},
  [736] = {.lex_state = 6, .external_lex_state = 3},
  [737] = {.lex_state = 6, .external_lex_state = 2},
  [738] = {.lex_state = 6, .external_lex_state = 3},
  [739] = {.lex_state = 6, .external_lex_state = 3},
  [740] = {.lex_state = 6, .external_lex_state = 2},
  [741] = {.lex_state = 6, .external_lex_state = 3},
  [742] = {.lex_state = 6, .external_lex_state = 3},
  [743] = {.lex_state = 6, .external_lex_state = 3},
  [744] = {.lex_state = 6, .external_lex_state = 3},
  [745] = {.lex_state = 6, .external_lex_state = 3},
  [746] = {.lex_state = 6, .external_lex_state = 3},
  [747] = {.lex_state = 6, .external_lex_state = 3},
  [748] = {.lex_state = 7, .external_lex_state = 3},
  [749] = {.lex_state = 6, .external_lex_state = 3},
  [750] = {.lex_state = 6, .external_lex_state = 2},
  [751] = {.lex_state = 6, .external_lex_state = 3},
  [752] = {.lex_state = 6, .external_lex_state = 3},
  [753] = {.lex_state = 6, .external_lex_state = 3},
  [754] = {.lex_state = 6, .external_lex_state = 3},
  [755] = {.lex_state = 6, .external_lex_state = 3},
  [756] = {.lex_state = 6, .external_lex_state = 3},
  [757] = {.lex_state = 6, .external_lex_state = 3},
  [758] = {.lex_state = 6, .external_lex_state = 3},
  [759] = {.lex_state = 6, .external_lex_state = 3},
  [760] = {.lex_state = 6, .external_lex_state = 3},
  [761] = {.lex_state = 6, .external_lex_state = 3},
  [762] = {.lex_state = 6, .external_lex_state = 3},
  [763] = {.lex_state = 6, .external_lex_state = 3},
  [764] = {.lex_state = 6, .external_lex_state = 3},
  [765] = {.lex_state = 6, .external_lex_state = 3},
  [766] = {.lex_state = 6, .external_lex_state = 3},
  [767] = {.lex_state = 6, .external_lex_state = 2},
  [768] = {.lex_state = 6, .external_lex_state = 2},
  [769] = {.lex_state = 6, .external_lex_state = 2},
  [770] = {.lex_state = 6, .external_lex_state = 3},
  [771] = {.lex_state = 6, .external_lex_state = 2},
  [772] = {.lex_state = 6, .external_lex_state = 2},
  [773] = {.lex_state = 6, .external_lex_state = 2},
  [774] = {.lex_state = 6, .external_lex_state = 2},
  [775] = {.lex_state = 6, .external_lex_state = 2},
  [776] = {.lex_state = 6, .external_lex_state = 2},
  [777] = {.lex_state = 6, .external_lex_state = 3},
  [778] = {.lex_state = 6, .external_lex_state = 2},
  [779] = {.lex_state = 6, .external_lex_state = 2},
  [780] = {.lex_state = 6, .external_lex_state = 2},
  [781] = {.lex_state = 6, .external_lex_state = 2},
  [782] = {.lex_state = 6, .external_lex_state = 2},
  [783] = {.lex_state = 6, .external_lex_state = 2},
  [784] = {.lex_state = 6, .external_lex_state = 2},
  [785] = {.lex_state = 6, .external_lex_state = 2},
  [786] = {.lex_state = 6, .external_lex_state = 2},
  [787] = {.lex_state = 6, .external_lex_state = 2},
  [788] = {.lex_state = 6, .external_lex_state = 2},
  [789] = {.lex_state = 6, .external_lex_state = 2},
  [790] = {.lex_state = 6, .external_lex_state = 2},
  [791] = {.lex_state = 6, .external_lex_state = 2},
  [792] = {.lex_state = 6, .external_lex_state = 2},
  [793] = {.lex_state = 6, .external_lex_state = 3},
  [794] = {.lex_state = 6, .external_lex_state = 2},
  [795] = {.lex_state = 6, .external_lex_state = 2},
  [796] = {.lex_state = 6, .external_lex_state = 2},
  [797] = {.lex_state = 6, .external_lex_state = 2},
  [798] = {.lex_state = 6, .external_lex_state = 2},
  [799] = {.lex_state = 6, .external_lex_state = 2},
  [800] = {.lex_state = 6, .external_lex_state = 2},
  [801] = {.lex_state = 6, .external_lex_state = 2},
  [802] = {.lex_state = 6, .external_lex_state = 2},
  [803] = {.lex_state = 6, .external_lex_state = 2},
  [804] = {.lex_state = 6, .external_lex_state = 2},
  [805] = {.lex_state = 6, .external_lex_state = 2},
  [806] = {.lex_state = 6, .external_lex_state = 2},
  [807] = {.lex_state = 6, .external_lex_state = 2},
  [808] = {.lex_state = 6, .external_lex_state = 2},
  [809] = {.lex_state = 6, .external_lex_state = 2},
  [810] = {.lex_state = 6, .external_lex_state = 2},
  [811] = {.lex_state = 6, .external_lex_state = 2},
  [812] = {.lex_state = 6, .external_lex_state = 2},
  [813] = {.lex_state = 6, .external_lex_state = 2},
  [814] = {.lex_state = 6, .external_lex_state = 2},
  [815] = {.lex_state = 6, .external_lex_state = 2},
  [816] = {.lex_state = 6, .external_lex_state = 2},
  [817] = {.lex_state = 6, .external_lex_state = 2},
  [818] = {.lex_state = 6, .external_lex_state = 2},
  [819] = {.lex_state = 6, .external_lex_state = 2},
  [820] = {.lex_state = 6, .external_lex_state = 2},
  [821] = {.lex_state = 6, .external_lex_state = 2},
  [822] = {.lex_state = 6, .external_lex_state = 2},
  [823] = {.lex_state = 6, .external_lex_state = 2},
  [824] = {.lex_state = 6, .external_lex_state = 2},
  [825] = {.lex_state = 6, .external_lex_state = 2},
  [826] = {.lex_state = 6, .external_lex_state = 2},
  [827] = {.lex_state = 6, .external_lex_state = 2},
  [828] = {.lex_state = 6, .external_lex_state = 2},
  [829] = {.lex_state = 6, .external_lex_state = 2},
  [830] = {.lex_state = 6, .external_lex_state = 2},
  [831] = {.lex_state = 6, .external_lex_state = 2},
  [832] = {.lex_state = 6, .external_lex_state = 2},
  [833] = {.lex_state = 6, .external_lex_state = 2},
  [834] = {.lex_state = 6, .external_lex_state = 2},
  [835] = {.lex_state = 6, .external_lex_state = 2},
  [836] = {.lex_state = 6, .external_lex_state = 2},
  [837] = {.lex_state = 6, .external_lex_state = 2},
  [838] = {.lex_state = 6, .external_lex_state = 2},
  [839] = {.lex_state = 6, .external_lex_state = 2},
  [840] = {.lex_state = 6, .external_lex_state = 2},
  [841] = {.lex_state = 6, .external_lex_state = 2},
  [842] = {.lex_state = 6, .external_lex_state = 2},
  [843] = {.lex_state = 6, .external_lex_state = 2},
  [844] = {.lex_state = 6, .external_lex_state = 2},
  [845] = {.lex_state = 6, .external_lex_state = 2},
  [846] = {.lex_state = 6, .external_lex_state = 2},
  [847] = {.lex_state = 6, .external_lex_state = 2},
  [848] = {.lex_state = 6, .external_lex_state = 2},
  [849] = {.lex_state = 6, .external_lex_state = 2},
  [850] = {.lex_state = 6, .external_lex_state = 2},
  [851] = {.lex_state = 6, .external_lex_state = 2},
  [852] = {.lex_state = 6, .external_lex_state = 2},
  [853] = {.lex_state = 6, .external_lex_state = 2},
  [854] = {.lex_state = 6, .external_lex_state = 2},
  [855] = {.lex_state = 6, .external_lex_state = 2},
  [856] = {.lex_state = 6, .external_lex_state = 2},
  [857] = {.lex_state = 6, .external_lex_state = 2},
  [858] = {.lex_state = 6, .external_lex_state = 2},
  [859] = {.lex_state = 6, .external_lex_state = 2},
  [860] = {.lex_state = 7, .external_lex_state = 2},
  [861] = {.lex_state = 6, .external_lex_state = 2},
  [862] = {.lex_state = 85},
  [863] = {.lex_state = 85},
  [864] = {.lex_state = 85},
  [865] = {.lex_state = 85},
  [866] = {.lex_state = 85},
  [867] = {.lex_state = 85},
  [868] = {.lex_state = 85},
  [869] = {.lex_state = 85},
  [870] = {.lex_state = 85},
  [871] = {.lex_state = 85},
  [872] = {.lex_state = 85},
  [873] = {.lex_state = 85},
  [874] = {.lex_state = 85},
  [875] = {.lex_state = 85},
  [876] = {.lex_state = 85},
  [877] = {.lex_state = 85},
  [878] = {.lex_state = 85},
  [879] = {.lex_state = 85},
  [880] = {.lex_state = 85},
  [881] = {.lex_state = 85},
  [882] = {.lex_state = 85},
  [883] = {.lex_state = 85},
  [884] = {.lex_state = 85},
  [885] = {.lex_state = 85},
  [886] = {.lex_state = 85},
  [887] = {.lex_state = 85},
  [888] = {.lex_state = 85},
  [889] = {.lex_state = 85},
  [890] = {.lex_state = 85},
  [891] = {.lex_state = 85},
  [892] = {.lex_state = 85},
  [893] = {.lex_state = 85},
  [894] = {.lex_state = 85},
  [895] = {.lex_state = 85},
  [896] = {.lex_state = 85},
  [897] = {.lex_state = 85},
  [898] = {.lex_state = 85},
  [899] = {.lex_state = 85},
  [900] = {.lex_state = 85},
  [901] = {.lex_state = 85},
  [902] = {.lex_state = 85},
  [903] = {.lex_state = 85},
  [904] = {.lex_state = 85},
  [905] = {.lex_state = 85},
  [906] = {.lex_state = 85, .external_lex_state = 4},
  [907] = {.lex_state = 85, .external_lex_state = 4},
  [908] = {.lex_state = 85},
  [909] = {.lex_state = 85, .external_lex_state = 4},
  [910] = {.lex_state = 85, .external_lex_state = 4},
  [911] = {.lex_state = 85},
  [912] = {.lex_state = 85, .external_lex_state = 4},
  [913] = {.lex_state = 85, .external_lex_state = 4},
  [914] = {.lex_state = 85},
  [915] = {.lex_state = 85},
  [916] = {.lex_state = 85, .external_lex_state = 4},
  [917] = {.lex_state = 85, .external_lex_state = 4},
  [918] = {.lex_state = 85, .external_lex_state = 4},
  [919] = {.lex_state = 85, .external_lex_state = 4},
  [920] = {.lex_state = 85},
  [921] = {.lex_state = 85, .external_lex_state = 4},
  [922] = {.lex_state = 85},
  [923] = {.lex_state = 85, .external_lex_state = 4},
  [924] = {.lex_state = 85},
  [925] = {.lex_state = 84},
  [926] = {.lex_state = 85},
  [927] = {.lex_state = 85},
  [928] = {.lex_state = 85},
  [929] = {.lex_state = 85},
  [930] = {.lex_state = 85},
  [931] = {.lex_state = 85},
  [932] = {.lex_state = 85},
  [933] = {.lex_state = 85},
  [934] = {.lex_state = 85},
  [935] = {.lex_state = 85},
  [936] = {.lex_state = 85},
  [937] = {.lex_state = 85},
  [938] = {.lex_state = 85},
  [939] = {.lex_state = 85},
  [940] = {.lex_state = 85},
  [941] = {.lex_state = 85},
  [942] = {.lex_state = 85},
  [943] = {.lex_state = 85},
  [944] = {.lex_state = 85},
  [945] = {.lex_state = 85},
  [946] = {.lex_state = 85},
  [947] = {.lex_state = 85},
  [948] = {.lex_state = 84},
  [949] = {.lex_state = 85},
  [950] = {.lex_state = 85},
  [951] = {.lex_state = 85},
  [952] = {.lex_state = 85},
  [953] = {.lex_state = 85},
  [954] = {.lex_state = 85},
  [955] = {.lex_state = 85},
  [956] = {.lex_state = 85},
  [957] = {.lex_state = 5},
  [958] = {.lex_state = 85},
  [959] = {.lex_state = 85},
  [960] = {.lex_state = 85},
  [961] = {.lex_state = 85},
  [962] = {.lex_state = 85},
  [963] = {.lex_state = 5},
  [964] = {.lex_state = 85},
  [965] = {.lex_state = 5},
  [966] = {.lex_state = 85},
  [967] = {.lex_state = 85},
  [968] = {.lex_state = 5},
  [969] = {.lex_state = 85},
  [970] = {.lex_state = 85},
  [971] = {.lex_state = 85},
  [972] = {.lex_state = 85},
  [973] = {.lex_state = 85},
  [974] = {.lex_state = 85},
  [975] = {.lex_state = 5},
  [976] = {.lex_state = 85},
  [977] = {.lex_state = 85},
  [978] = {.lex_state = 85},
  [979] = {.lex_state = 85},
  [980] = {.lex_state = 85},
  [981] = {.lex_state = 85},
  [982] = {.lex_state = 85},
  [983] = {.lex_state = 85},
  [984] = {.lex_state = 85},
  [985] = {.lex_state = 85},
  [986] = {.lex_state = 85},
  [987] = {.lex_state = 85},
  [988] = {.lex_state = 85},
  [989] = {.lex_state = 85},
  [990] = {.lex_state = 9},
  [991] = {.lex_state = 9},
  [992] = {.lex_state = 9},
  [993] = {.lex_state = 9},
  [994] = {.lex_state = 9},
  [995] = {.lex_state = 9},
  [996] = {.lex_state = 9},
  [997] = {.lex_state = 9},
  [998] = {.lex_state = 21},
  [999] = {.lex_state = 21},
  [1000] = {.lex_state = 21},
  [1001] = {.lex_state = 21},
  [1002] = {.lex_state = 21},
  [1003] = {.lex_state = 21},
  [1004] = {.lex_state = 9},
  [1005] = {.lex_state = 9},
  [1006] = {.lex_state = 21},
  [1007] = {.lex_state = 9},
  [1008] = {.lex_state = 9},
  [1009] = {.lex_state = 9},
  [1010] = {.lex_state = 9},
  [1011] = {.lex_state = 21},
  [1012] = {.lex_state = 9},
  [1013] = {.lex_state = 9},
  [1014] = {.lex_state = 21},
  [1015] = {.lex_state = 21},
  [1016] = {.lex_state = 21},
  [1017] = {.lex_state = 9},
  [1018] = {.lex_state = 21},
  [1019] = {.lex_state = 21},
  [1020] = {.lex_state = 9},
  [1021] = {.lex_state = 9},
  [1022] = {.lex_state = 21},
  [1023] = {.lex_state = 9},
  [1024] = {.lex_state = 9},
  [1025] = {.lex_state = 9},
  [1026] = {.lex_state = 9},
  [1027] = {.lex_state = 21},
  [1028] = {.lex_state = 9},
  [1029] = {.lex_state = 21},
  [1030] = {.lex_state = 9},
  [1031] = {.lex_state = 9},
  [1032] = {.lex_state = 9},
  [1033] = {.lex_state = 9},
  [1034] = {.lex_state = 9},
  [1035] = {.lex_state = 9},
  [1036] = {.lex_state = 9},
  [1037] = {.lex_state = 9},
  [1038] = {.lex_state = 9},
  [1039] = {.lex_state = 9},
  [1040] = {.lex_state = 9},
  [1041] = {.lex_state = 21},
  [1042] = {.lex_state = 85},
  [1043] = {.lex_state = 85},
  [1044] = {.lex_state = 0},
  [1045] = {.lex_state = 9},
  [1046] = {.lex_state = 9},
  [1047] = {.lex_state = 85},
  [1048] = {.lex_state = 0},
  [1049] = {.lex_state = 85},
  [1050] = {.lex_state = 0},
  [1051] = {.lex_state = 0},
  [1052] = {.lex_state = 85},
  [1053] = {.lex_state = 85},
  [1054] = {.lex_state = 0},
  [1055] = {.lex_state = 85},
  [1056] = {.lex_state = 0},
  [1057] = {.lex_state = 0},
  [1058] = {.lex_state = 85},
  [1059] = {.lex_state = 85, .external_lex_state = 4},
  [1060] = {.lex_state = 85},
  [1061] = {.lex_state = 9},
  [1062] = {.lex_state = 85},
  [1063] = {.lex_state = 85, .external_lex_state = 4},
  [1064] = {.lex_state = 0, .external_lex_state = 4},
  [1065] = {.lex_state = 11, .external_lex_state = 5},
  [1066] = {.lex_state = 9},
  [1067] = {.lex_state = 9},
  [1068] = {.lex_state = 0, .external_lex_state = 4},
  [1069] = {.lex_state = 0, .external_lex_state = 4},
  [1070] = {.lex_state = 9},
  [1071] = {.lex_state = 0, .external_lex_state = 4},
  [1072] = {.lex_state = 9},
  [1073] = {.lex_state = 85, .external_lex_state = 4},
  [1074] = {.lex_state = 11, .external_lex_state = 5},
  [1075] = {.lex_state = 85},
  [1076] = {.lex_state = 9},
  [1077] = {.lex_state = 9},
  [1078] = {.lex_state = 9},
  [1079] = {.lex_state = 9},
  [1080] = {.lex_state = 9},
  [1081] = {.lex_state = 85},
  [1082] = {.lex_state = 85, .external_lex_state = 4},
  [1083] = {.lex_state = 85, .external_lex_state = 4},
  [1084] = {.lex_state = 85, .external_lex_state = 4},
  [1085] = {.lex_state = 85, .external_lex_state = 4},
  [1086] = {.lex_state = 85},
  [1087] = {.lex_state = 85},
  [1088] = {.lex_state = 85, .external_lex_state = 4},
  [1089] = {.lex_state = 11, .external_lex_state = 5},
  [1090] = {.lex_state = 9},
  [1091] = {.lex_state = 11, .external_lex_state = 5},
  [1092] = {.lex_state = 11, .external_lex_state = 5},
  [1093] = {.lex_state = 85, .external_lex_state = 4},
  [1094] = {.lex_state = 9},
  [1095] = {.lex_state = 9},
  [1096] = {.lex_state = 9},
  [1097] = {.lex_state = 9},
  [1098] = {.lex_state = 85},
  [1099] = {.lex_state = 85, .external_lex_state = 4},
  [1100] = {.lex_state = 9},
  [1101] = {.lex_state = 85},
  [1102] = {.lex_state = 9},
  [1103] = {.lex_state = 85},
  [1104] = {.lex_state = 9},
  [1105] = {.lex_state = 9},
  [1106] = {.lex_state = 9},
  [1107] = {.lex_state = 9},
  [1108] = {.lex_state = 9},
  [1109] = {.lex_state = 9},
  [1110] = {.lex_state = 9},
  [1111] = {.lex_state = 9},
  [1112] = {.lex_state = 85},
  [1113] = {.lex_state = 85},
  [1114] = {.lex_state = 85, .external_lex_state = 4},
  [1115] = {.lex_state = 9},
  [1116] = {.lex_state = 0},
  [1117] = {.lex_state = 85},
  [1118] = {.lex_state = 85},
  [1119] = {.lex_state = 0},
  [1120] = {.lex_state = 9},
  [1121] = {.lex_state = 0},
  [1122] = {.lex_state = 85},
  [1123] = {.lex_state = 0},
  [1124] = {.lex_state = 0},
  [1125] = {.lex_state = 0},
  [1126] = {.lex_state = 85},
  [1127] = {.lex_state = 85},
  [1128] = {.lex_state = 0, .external_lex_state = 4},
  [1129] = {.lex_state = 9},
  [1130] = {.lex_state = 85},
  [1131] = {.lex_state = 9},
  [1132] = {.lex_state = 85},
  [1133] = {.lex_state = 9},
  [1134] = {.lex_state = 9},
  [1135] = {.lex_state = 9},
  [1136] = {.lex_state = 85},
  [1137] = {.lex_state = 9},
  [1138] = {.lex_state = 9},
  [1139] = {.lex_state = 85},
  [1140] = {.lex_state = 0},
  [1141] = {.lex_state = 9},
  [1142] = {.lex_state = 0},
  [1143] = {.lex_state = 0, .external_lex_state = 4},
  [1144] = {.lex_state = 1},
  [1145] = {.lex_state = 0, .external_lex_state = 4},
  [1146] = {.lex_state = 85},
  [1147] = {.lex_state = 0, .external_lex_state = 4},
  [1148] = {.lex_state = 9},
  [1149] = {.lex_state = 0},
  [1150] = {.lex_state = 13},
  [1151] = {.lex_state = 10},
  [1152] = {.lex_state = 85},
  [1153] = {.lex_state = 0, .external_lex_state = 4},
  [1154] = {.lex_state = 85},
  [1155] = {.lex_state = 85},
  [1156] = {.lex_state = 0},
  [1157] = {.lex_state = 13},
  [1158] = {.lex_state = 10},
  [1159] = {.lex_state = 0, .external_lex_state = 4},
  [1160] = {.lex_state = 85},
  [1161] = {.lex_state = 85},
  [1162] = {.lex_state = 85},
  [1163] = {.lex_state = 85},
  [1164] = {.lex_state = 0, .external_lex_state = 4},
  [1165] = {.lex_state = 13},
  [1166] = {.lex_state = 10},
  [1167] = {.lex_state = 9},
  [1168] = {.lex_state = 10},
  [1169] = {.lex_state = 13},
  [1170] = {.lex_state = 10},
  [1171] = {.lex_state = 85},
  [1172] = {.lex_state = 0, .external_lex_state = 4},
  [1173] = {.lex_state = 0},
  [1174] = {.lex_state = 1},
  [1175] = {.lex_state = 1},
  [1176] = {.lex_state = 13},
  [1177] = {.lex_state = 13},
  [1178] = {.lex_state = 10},
  [1179] = {.lex_state = 85},
  [1180] = {.lex_state = 85},
  [1181] = {.lex_state = 11, .external_lex_state = 5},
  [1182] = {.lex_state = 85},
  [1183] = {.lex_state = 9},
  [1184] = {.lex_state = 0},
  [1185] = {.lex_state = 85},
  [1186] = {.lex_state = 1},
  [1187] = {.lex_state = 85},
  [1188] = {.lex_state = 10},
  [1189] = {.lex_state = 0, .external_lex_state = 4},
  [1190] = {.lex_state = 13},
  [1191] = {.lex_state = 85, .external_lex_state = 4},
  [1192] = {.lex_state = 85},
  [1193] = {.lex_state = 1},
  [1194] = {.lex_state = 85},
  [1195] = {.lex_state = 9},
  [1196] = {.lex_state = 85},
  [1197] = {.lex_state = 0},
  [1198] = {.lex_state = 85},
  [1199] = {.lex_state = 85},
  [1200] = {.lex_state = 0},
  [1201] = {.lex_state = 85},
  [1202] = {.lex_state = 85},
  [1203] = {.lex_state = 85},
  [1204] = {.lex_state = 10},
  [1205] = {.lex_state = 13},
  [1206] = {.lex_state = 0, .external_lex_state = 4},
  [1207] = {.lex_state = 85},
  [1208] = {.lex_state = 85},
  [1209] = {.lex_state = 85},
  [1210] = {.lex_state = 85},
  [1211] = {.lex_state = 85},
  [1212] = {.lex_state = 85},
  [1213] = {.lex_state = 10},
  [1214] = {.lex_state = 85},
  [1215] = {.lex_state = 13},
  [1216] = {.lex_state = 1},
  [1217] = {.lex_state = 0},
  [1218] = {.lex_state = 0},
  [1219] = {.lex_state = 21},
  [1220] = {.lex_state = 0},
  [1221] = {.lex_state = 0},
  [1222] = {.lex_state = 0},
  [1223] = {.lex_state = 21},
  [1224] = {.lex_state = 85},
  [1225] = {.lex_state = 0},
  [1226] = {.lex_state = 4},
  [1227] = {.lex_state = 85},
  [1228] = {.lex_state = 85},
  [1229] = {.lex_state = 85},
  [1230] = {.lex_state = 85},
  [1231] = {.lex_state = 0},
  [1232] = {.lex_state = 21},
  [1233] = {.lex_state = 0},
  [1234] = {.lex_state = 0},
  [1235] = {.lex_state = 21},
  [1236] = {.lex_state = 4},
  [1237] = {.lex_state = 0},
  [1238] = {.lex_state = 85, .external_lex_state = 4},
  [1239] = {.lex_state = 85},
  [1240] = {.lex_state = 0},
  [1241] = {.lex_state = 85, .external_lex_state = 4},
  [1242] = {.lex_state = 0},
  [1243] = {.lex_state = 85, .external_lex_state = 4},
  [1244] = {.lex_state = 0},
  [1245] = {.lex_state = 0},
  [1246] = {.lex_state = 21},
  [1247] = {.lex_state = 0},
  [1248] = {.lex_state = 85},
  [1249] = {.lex_state = 21},
  [1250] = {.lex_state = 1},
  [1251] = {.lex_state = 0},
  [1252] = {.lex_state = 0},
  [1253] = {.lex_state = 0},
  [1254] = {.lex_state = 0},
  [1255] = {.lex_state = 21},
  [1256] = {.lex_state = 0},
  [1257] = {.lex_state = 21},
  [1258] = {.lex_state = 0},
  [1259] = {.lex_state = 0},
  [1260] = {.lex_state = 0},
  [1261] = {.lex_state = 85},
  [1262] = {.lex_state = 0},
  [1263] = {.lex_state = 0},
  [1264] = {.lex_state = 85},
  [1265] = {.lex_state = 0},
  [1266] = {.lex_state = 85},
  [1267] = {.lex_state = 0},
  [1268] = {.lex_state = 21},
  [1269] = {.lex_state = 85},
  [1270] = {.lex_state = 21},
  [1271] = {.lex_state = 0, .external_lex_state = 4},
  [1272] = {.lex_state = 21},
  [1273] = {.lex_state = 0},
  [1274] = {.lex_state = 0},
  [1275] = {.lex_state = 0},
  [1276] = {.lex_state = 85, .external_lex_state = 4},
  [1277] = {.lex_state = 21},
  [1278] = {.lex_state = 21},
  [1279] = {.lex_state = 21},
  [1280] = {.lex_state = 21},
  [1281] = {.lex_state = 0},
  [1282] = {.lex_state = 0},
  [1283] = {.lex_state = 0},
  [1284] = {.lex_state = 0},
  [1285] = {.lex_state = 21},
  [1286] = {.lex_state = 0},
  [1287] = {.lex_state = 0},
  [1288] = {.lex_state = 0},
  [1289] = {.lex_state = 0},
  [1290] = {.lex_state = 0},
  [1291] = {.lex_state = 0},
  [1292] = {.lex_state = 0},
  [1293] = {.lex_state = 0},
  [1294] = {.lex_state = 85},
  [1295] = {.lex_state = 85, .external_lex_state = 4},
  [1296] = {.lex_state = 0},
  [1297] = {.lex_state = 0},
  [1298] = {.lex_state = 0},
  [1299] = {.lex_state = 0},
  [1300] = {.lex_state = 0},
  [1301] = {.lex_state = 0},
  [1302] = {.lex_state = 0},
  [1303] = {.lex_state = 85},
  [1304] = {.lex_state = 0},
  [1305] = {.lex_state = 85},
  [1306] = {.lex_state = 4},
  [1307] = {.lex_state = 0},
  [1308] = {.lex_state = 0},
  [1309] = {.lex_state = 85},
  [1310] = {.lex_state = 0},
  [1311] = {.lex_state = 85},
  [1312] = {.lex_state = 0},
  [1313] = {.lex_state = 0},
  [1314] = {.lex_state = 0},
  [1315] = {.lex_state = 21},
  [1316] = {.lex_state = 85, .external_lex_state = 4},
  [1317] = {.lex_state = 85, .external_lex_state = 4},
  [1318] = {.lex_state = 85},
  [1319] = {.lex_state = 85},
  [1320] = {.lex_state = 85, .external_lex_state = 4},
  [1321] = {.lex_state = 0},
  [1322] = {.lex_state = 0},
  [1323] = {.lex_state = 85},
  [1324] = {.lex_state = 85},
  [1325] = {.lex_state = 85},
  [1326] = {.lex_state = 0},
  [1327] = {.lex_state = 85},
  [1328] = {.lex_state = 4},
  [1329] = {.lex_state = 0, .external_lex_state = 4},
  [1330] = {.lex_state = 0},
  [1331] = {.lex_state = 0},
  [1332] = {.lex_state = 0},
  [1333] = {.lex_state = 85},
  [1334] = {.lex_state = 0},
  [1335] = {.lex_state = 0},
  [1336] = {.lex_state = 85},
  [1337] = {.lex_state = 0},
  [1338] = {.lex_state = 0},
  [1339] = {.lex_state = 0},
  [1340] = {.lex_state = 0},
  [1341] = {.lex_state = 0},
  [1342] = {.lex_state = 0},
  [1343] = {.lex_state = 9},
  [1344] = {.lex_state = 0, .external_lex_state = 4},
  [1345] = {.lex_state = 0},
  [1346] = {.lex_state = 0},
  [1347] = {.lex_state = 85},
  [1348] = {.lex_state = 0},
  [1349] = {.lex_state = 0},
  [1350] = {.lex_state = 0},
  [1351] = {.lex_state = 85},
  [1352] = {.lex_state = 4},
  [1353] = {.lex_state = 4},
  [1354] = {.lex_state = 0},
  [1355] = {.lex_state = 0},
  [1356] = {.lex_state = 85},
  [1357] = {.lex_state = 0},
  [1358] = {.lex_state = 4},
  [1359] = {.lex_state = 85},
  [1360] = {.lex_state = 85},
  [1361] = {.lex_state = 0},
  [1362] = {.lex_state = 0},
  [1363] = {.lex_state = 0},
  [1364] = {.lex_state = 0, .external_lex_state = 4},
  [1365] = {.lex_state = 0},
  [1366] = {.lex_state = 0},
  [1367] = {.lex_state = 0, .external_lex_state = 4},
  [1368] = {.lex_state = 0},
  [1369] = {.lex_state = 0, .external_lex_state = 4},
  [1370] = {.lex_state = 0, .external_lex_state = 4},
  [1371] = {.lex_state = 0},
  [1372] = {.lex_state = 0},
  [1373] = {.lex_state = 0},
  [1374] = {.lex_state = 85},
  [1375] = {.lex_state = 0},
  [1376] = {.lex_state = 0},
  [1377] = {.lex_state = 0},
  [1378] = {.lex_state = 0},
  [1379] = {.lex_state = 0},
  [1380] = {.lex_state = 0},
  [1381] = {.lex_state = 0},
  [1382] = {.lex_state = 0},
  [1383] = {.lex_state = 0},
  [1384] = {.lex_state = 85},
  [1385] = {.lex_state = 0},
  [1386] = {.lex_state = 0},
  [1387] = {.lex_state = 0},
  [1388] = {.lex_state = 0},
  [1389] = {.lex_state = 0},
  [1390] = {.lex_state = 0},
  [1391] = {.lex_state = 0},
  [1392] = {.lex_state = 0, .external_lex_state = 4},
  [1393] = {.lex_state = 0},
  [1394] = {.lex_state = 0},
  [1395] = {.lex_state = 0},
  [1396] = {.lex_state = 0, .external_lex_state = 4},
  [1397] = {.lex_state = 0},
  [1398] = {.lex_state = 0},
  [1399] = {.lex_state = 0},
  [1400] = {.lex_state = 0},
  [1401] = {.lex_state = 0},
  [1402] = {.lex_state = 0},
  [1403] = {.lex_state = 0},
  [1404] = {.lex_state = 0, .external_lex_state = 4},
  [1405] = {.lex_state = 0},
  [1406] = {.lex_state = 0},
  [1407] = {.lex_state = 0},
  [1408] = {.lex_state = 0},
  [1409] = {.lex_state = 0},
  [1410] = {.lex_state = 0},
  [1411] = {.lex_state = 0},
  [1412] = {.lex_state = 0},
  [1413] = {.lex_state = 0, .external_lex_state = 4},
  [1414] = {.lex_state = 0},
  [1415] = {.lex_state = 0},
  [1416] = {.lex_state = 0},
  [1417] = {.lex_state = 0},
  [1418] = {.lex_state = 0, .external_lex_state = 4},
  [1419] = {.lex_state = 0},
  [1420] = {.lex_state = 0},
  [1421] = {.lex_state = 0},
  [1422] = {.lex_state = 0, .external_lex_state = 4},
  [1423] = {.lex_state = 0, .external_lex_state = 4},
  [1424] = {.lex_state = 0},
  [1425] = {.lex_state = 0},
  [1426] = {.lex_state = 0},
  [1427] = {.lex_state = 0},
  [1428] = {.lex_state = 85},
  [1429] = {.lex_state = 0, .external_lex_state = 4},
  [1430] = {.lex_state = 0},
  [1431] = {.lex_state = 0},
  [1432] = {.lex_state = 0},
  [1433] = {.lex_state = 0},
  [1434] = {.lex_state = 0},
  [1435] = {.lex_state = 0},
  [1436] = {.lex_state = 0},
  [1437] = {.lex_state = 0},
  [1438] = {.lex_state = 4},
  [1439] = {.lex_state = 85},
  [1440] = {.lex_state = 0},
  [1441] = {.lex_state = 0},
  [1442] = {.lex_state = 0},
  [1443] = {.lex_state = 0},
  [1444] = {.lex_state = 0},
  [1445] = {.lex_state = 0},
  [1446] = {.lex_state = 0},
  [1447] = {.lex_state = 0, .external_lex_state = 4},
  [1448] = {.lex_state = 0},
  [1449] = {.lex_state = 0, .external_lex_state = 4},
  [1450] = {.lex_state = 0},
  [1451] = {.lex_state = 1},
  [1452] = {.lex_state = 0},
  [1453] = {.lex_state = 0},
  [1454] = {.lex_state = 0},
  [1455] = {.lex_state = 0},
  [1456] = {.lex_state = 0},
  [1457] = {.lex_state = 0},
  [1458] = {.lex_state = 85},
  [1459] = {.lex_state = 85},
  [1460] = {.lex_state = 0},
  [1461] = {.lex_state = 0},
  [1462] = {.lex_state = 0},
  [1463] = {.lex_state = 0, .external_lex_state = 4},
  [1464] = {.lex_state = 0},
  [1465] = {.lex_state = 85},
  [1466] = {.lex_state = 0},
  [1467] = {.lex_state = 0},
  [1468] = {.lex_state = 0},
  [1469] = {.lex_state = 0},
  [1470] = {.lex_state = 0},
  [1471] = {.lex_state = 0},
  [1472] = {.lex_state = 0},
  [1473] = {.lex_state = 0},
  [1474] = {.lex_state = 0},
  [1475] = {.lex_state = 0},
  [1476] = {.lex_state = 0},
  [1477] = {.lex_state = 0},
  [1478] = {.lex_state = 0},
  [1479] = {.lex_state = 0},
  [1480] = {.lex_state = 0},
  [1481] = {.lex_state = 0},
  [1482] = {.lex_state = 0},
  [1483] = {.lex_state = 0},
  [1484] = {.lex_state = 0},
  [1485] = {.lex_state = 0},
  [1486] = {.lex_state = 0},
  [1487] = {.lex_state = 0},
  [1488] = {.lex_state = 0, .external_lex_state = 4},
  [1489] = {.lex_state = 0},
  [1490] = {.lex_state = 0, .external_lex_state = 4},
  [1491] = {.lex_state = 0, .external_lex_state = 4},
  [1492] = {.lex_state = 0, .external_lex_state = 4},
  [1493] = {.lex_state = 0},
  [1494] = {.lex_state = 0},
  [1495] = {.lex_state = 0},
  [1496] = {.lex_state = 85},
  [1497] = {.lex_state = 0},
  [1498] = {.lex_state = 0},
  [1499] = {.lex_state = 0},
  [1500] = {.lex_state = 0},
  [1501] = {.lex_state = 85},
  [1502] = {.lex_state = 2},
  [1503] = {.lex_state = 2},
  [1504] = {.lex_state = 0},
  [1505] = {.lex_state = 85},
  [1506] = {.lex_state = 0},
  [1507] = {.lex_state = 11},
  [1508] = {.lex_state = 0},
  [1509] = {.lex_state = 0},
  [1510] = {.lex_state = 0},
  [1511] = {.lex_state = 0},
  [1512] = {.lex_state = 85},
  [1513] = {.lex_state = 0},
  [1514] = {.lex_state = 0},
  [1515] = {.lex_state = 85},
  [1516] = {.lex_state = 0},
  [1517] = {.lex_state = 0},
  [1518] = {.lex_state = 0},
  [1519] = {.lex_state = 85},
  [1520] = {.lex_state = 0},
  [1521] = {.lex_state = 0},
  [1522] = {.lex_state = 85},
  [1523] = {.lex_state = 85},
  [1524] = {.lex_state = 0},
  [1525] = {.lex_state = 0},
  [1526] = {.lex_state = 0},
  [1527] = {.lex_state = 85},
  [1528] = {.lex_state = 0},
  [1529] = {.lex_state = 0},
  [1530] = {.lex_state = 2},
  [1531] = {.lex_state = 85},
  [1532] = {.lex_state = 0},
  [1533] = {.lex_state = 85},
  [1534] = {.lex_state = 0},
  [1535] = {.lex_state = 85},
  [1536] = {.lex_state = 85},
  [1537] = {.lex_state = 85},
  [1538] = {.lex_state = 85},
  [1539] = {.lex_state = 85},
  [1540] = {.lex_state = 85},
  [1541] = {.lex_state = 0},
  [1542] = {.lex_state = 85},
  [1543] = {.lex_state = 85},
  [1544] = {.lex_state = 85},
  [1545] = {.lex_state = 11},
  [1546] = {.lex_state = 0},
  [1547] = {.lex_state = 85},
  [1548] = {.lex_state = 85},
  [1549] = {.lex_state = 85},
  [1550] = {.lex_state = 85},
  [1551] = {.lex_state = 85},
  [1552] = {.lex_state = 85},
  [1553] = {.lex_state = 85},
  [1554] = {.lex_state = 85},
  [1555] = {.lex_state = 85},
  [1556] = {.lex_state = 85},
  [1557] = {.lex_state = 85},
  [1558] = {.lex_state = 0},
  [1559] = {.lex_state = 0},
  [1560] = {.lex_state = 0},
  [1561] = {.lex_state = 11},
  [1562] = {.lex_state = 0},
  [1563] = {.lex_state = 0},
  [1564] = {.lex_state = 85},
  [1565] = {.lex_state = 0},
  [1566] = {.lex_state = 0},
  [1567] = {.lex_state = 0},
  [1568] = {.lex_state = 85},
  [1569] = {.lex_state = 0},
  [1570] = {.lex_state = 85},
  [1571] = {.lex_state = 85},
  [1572] = {.lex_state = 85},
  [1573] = {.lex_state = 0},
  [1574] = {.lex_state = 0},
  [1575] = {.lex_state = 0},
  [1576] = {.lex_state = 85},
  [1577] = {.lex_state = 85},
  [1578] = {.lex_state = 0},
  [1579] = {.lex_state = 85},
  [1580] = {.lex_state = 85},
  [1581] = {.lex_state = 85},
  [1582] = {.lex_state = 0},
  [1583] = {.lex_state = 85},
  [1584] = {.lex_state = 0},
  [1585] = {.lex_state = 85},
  [1586] = {.lex_state = 85},
  [1587] = {.lex_state = 85},
  [1588] = {.lex_state = 85},
  [1589] = {.lex_state = 85},
  [1590] = {.lex_state = 0},
  [1591] = {.lex_state = 0},
  [1592] = {.lex_state = 0},
  [1593] = {.lex_state = 0},
  [1594] = {.lex_state = 2},
  [1595] = {.lex_state = 85},
  [1596] = {.lex_state = 0},
  [1597] = {.lex_state = 0},
  [1598] = {.lex_state = 85},
  [1599] = {.lex_state = 85},
  [1600] = {.lex_state = 85},
  [1601] = {.lex_state = 0},
  [1602] = {.lex_state = 0},
  [1603] = {.lex_state = 0},
  [1604] = {.lex_state = 0},
  [1605] = {.lex_state = 0},
  [1606] = {.lex_state = 11},
  [1607] = {.lex_state = 85},
  [1608] = {.lex_state = 85},
  [1609] = {.lex_state = 0},
  [1610] = {.lex_state = 85},
  [1611] = {.lex_state = 0},
  [1612] = {.lex_state = 0},
  [1613] = {.lex_state = 0},
  [1614] = {.lex_state = 85},
  [1615] = {.lex_state = 0},
};

enum {
  ts_external_token__automatic_semicolon = 0,
  ts_external_token__template_chars = 1,
  ts_external_token__ternary_qmark = 2,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__automatic_semicolon] = sym__automatic_semicolon,
  [ts_external_token__template_chars] = sym__template_chars,
  [ts_external_token__ternary_qmark] = sym__ternary_qmark,
};

static const bool ts_external_scanner_states[6][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__template_chars] = true,
    [ts_external_token__ternary_qmark] = true,
  },
  [2] = {
    [ts_external_token__ternary_qmark] = true,
  },
  [3] = {
    [ts_external_token__automatic_semicolon] = true,
    [ts_external_token__ternary_qmark] = true,
  },
  [4] = {
    [ts_external_token__automatic_semicolon] = true,
  },
  [5] = {
    [ts_external_token__template_chars] = true,
  },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_hash_bang_line] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym_var] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_debugger] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LTtemplate_GT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [sym_optional_chain] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_QMARK_QMARK] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_typeof] = ACTIONS(1),
    [anon_sym_void] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOLLAR_LBRACE] = ACTIONS(1),
    [anon_sym_SLASH2] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [sym_private_property_identifier] = ACTIONS(1),
    [anon_sym_target] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_null] = ACTIONS(1),
    [sym_undefined] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_get] = ACTIONS(1),
    [anon_sym_set] = ACTIONS(1),
    [sym__automatic_semicolon] = ACTIONS(1),
    [sym__template_chars] = ACTIONS(1),
    [sym__ternary_qmark] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(1582),
    [sym_export_statement] = STATE(17),
    [sym_declaration] = STATE(17),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(17),
    [sym_expression_statement] = STATE(17),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(17),
    [sym_if_statement] = STATE(17),
    [sym_switch_statement] = STATE(17),
    [sym_for_statement] = STATE(17),
    [sym_for_in_statement] = STATE(17),
    [sym_while_statement] = STATE(17),
    [sym_do_statement] = STATE(17),
    [sym_try_statement] = STATE(17),
    [sym_with_statement] = STATE(17),
    [sym_break_statement] = STATE(17),
    [sym_continue_statement] = STATE(17),
    [sym_debugger_statement] = STATE(17),
    [sym_return_statement] = STATE(17),
    [sym_throw_statement] = STATE(17),
    [sym_empty_statement] = STATE(17),
    [sym_labeled_statement] = STATE(17),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_program_repeat1] = STATE(17),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [sym_hash_bang_line] = ACTIONS(9),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [2] = {
    [sym_export_statement] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_for_in_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_try_statement] = STATE(24),
    [sym_with_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_debugger_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_throw_statement] = STATE(24),
    [sym_empty_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1563),
    [sym_object_assignment_pattern] = STATE(1281),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1563),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1563),
    [sym_spread_element] = STATE(1302),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(793),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [sym_rest_pattern] = STATE(1281),
    [sym_method_definition] = STATE(1302),
    [sym_pair] = STATE(1302),
    [sym_pair_pattern] = STATE(1281),
    [sym__property_name] = STATE(1287),
    [sym_computed_property_name] = STATE(1287),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(911),
    [aux_sym_object_repeat1] = STATE(1282),
    [aux_sym_object_pattern_repeat1] = STATE(1292),
    [sym_identifier] = ACTIONS(91),
    [anon_sym_export] = ACTIONS(93),
    [anon_sym_STAR] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(97),
    [anon_sym_RBRACE] = ACTIONS(99),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(103),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(107),
    [sym_private_property_identifier] = ACTIONS(109),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(111),
    [anon_sym_get] = ACTIONS(113),
    [anon_sym_set] = ACTIONS(113),
  },
  [3] = {
    [sym_export_statement] = STATE(18),
    [sym_declaration] = STATE(18),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(18),
    [sym_expression_statement] = STATE(18),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(18),
    [sym_if_statement] = STATE(18),
    [sym_switch_statement] = STATE(18),
    [sym_for_statement] = STATE(18),
    [sym_for_in_statement] = STATE(18),
    [sym_while_statement] = STATE(18),
    [sym_do_statement] = STATE(18),
    [sym_try_statement] = STATE(18),
    [sym_with_statement] = STATE(18),
    [sym_break_statement] = STATE(18),
    [sym_continue_statement] = STATE(18),
    [sym_debugger_statement] = STATE(18),
    [sym_return_statement] = STATE(18),
    [sym_throw_statement] = STATE(18),
    [sym_empty_statement] = STATE(18),
    [sym_labeled_statement] = STATE(18),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1563),
    [sym_object_assignment_pattern] = STATE(1281),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1563),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1563),
    [sym_spread_element] = STATE(1284),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(793),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [sym_rest_pattern] = STATE(1281),
    [sym_method_definition] = STATE(1284),
    [sym_pair] = STATE(1284),
    [sym_pair_pattern] = STATE(1281),
    [sym__property_name] = STATE(1287),
    [sym_computed_property_name] = STATE(1287),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(911),
    [aux_sym_object_repeat1] = STATE(1291),
    [aux_sym_object_pattern_repeat1] = STATE(1292),
    [sym_identifier] = ACTIONS(115),
    [anon_sym_export] = ACTIONS(117),
    [anon_sym_STAR] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(97),
    [anon_sym_RBRACE] = ACTIONS(119),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(121),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(107),
    [sym_private_property_identifier] = ACTIONS(109),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(123),
    [anon_sym_get] = ACTIONS(125),
    [anon_sym_set] = ACTIONS(125),
  },
  [4] = {
    [sym_export_statement] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_for_in_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_try_statement] = STATE(24),
    [sym_with_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_debugger_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_throw_statement] = STATE(24),
    [sym_empty_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1563),
    [sym_object_assignment_pattern] = STATE(1281),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1563),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1563),
    [sym_spread_element] = STATE(1302),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(793),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [sym_rest_pattern] = STATE(1281),
    [sym_method_definition] = STATE(1302),
    [sym_pair] = STATE(1302),
    [sym_pair_pattern] = STATE(1281),
    [sym__property_name] = STATE(1287),
    [sym_computed_property_name] = STATE(1287),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(911),
    [aux_sym_object_repeat1] = STATE(1282),
    [aux_sym_object_pattern_repeat1] = STATE(1292),
    [sym_identifier] = ACTIONS(127),
    [anon_sym_export] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(97),
    [anon_sym_RBRACE] = ACTIONS(99),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(131),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(107),
    [sym_private_property_identifier] = ACTIONS(109),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(133),
    [anon_sym_get] = ACTIONS(135),
    [anon_sym_set] = ACTIONS(135),
  },
  [5] = {
    [sym_export_statement] = STATE(12),
    [sym_declaration] = STATE(12),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1563),
    [sym_object_assignment_pattern] = STATE(1281),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1563),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1563),
    [sym_spread_element] = STATE(1284),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(793),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [sym_rest_pattern] = STATE(1281),
    [sym_method_definition] = STATE(1284),
    [sym_pair] = STATE(1284),
    [sym_pair_pattern] = STATE(1281),
    [sym__property_name] = STATE(1287),
    [sym_computed_property_name] = STATE(1287),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(911),
    [aux_sym_object_repeat1] = STATE(1291),
    [aux_sym_object_pattern_repeat1] = STATE(1292),
    [sym_identifier] = ACTIONS(115),
    [anon_sym_export] = ACTIONS(117),
    [anon_sym_STAR] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(97),
    [anon_sym_RBRACE] = ACTIONS(137),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(121),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(107),
    [sym_private_property_identifier] = ACTIONS(109),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(123),
    [anon_sym_get] = ACTIONS(125),
    [anon_sym_set] = ACTIONS(125),
  },
  [6] = {
    [sym_export_statement] = STATE(18),
    [sym_declaration] = STATE(18),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(18),
    [sym_expression_statement] = STATE(18),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(18),
    [sym_if_statement] = STATE(18),
    [sym_switch_statement] = STATE(18),
    [sym_for_statement] = STATE(18),
    [sym_for_in_statement] = STATE(18),
    [sym_while_statement] = STATE(18),
    [sym_do_statement] = STATE(18),
    [sym_try_statement] = STATE(18),
    [sym_with_statement] = STATE(18),
    [sym_break_statement] = STATE(18),
    [sym_continue_statement] = STATE(18),
    [sym_debugger_statement] = STATE(18),
    [sym_return_statement] = STATE(18),
    [sym_throw_statement] = STATE(18),
    [sym_empty_statement] = STATE(18),
    [sym_labeled_statement] = STATE(18),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1563),
    [sym_object_assignment_pattern] = STATE(1281),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1563),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1563),
    [sym_spread_element] = STATE(1284),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(793),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [sym_rest_pattern] = STATE(1281),
    [sym_method_definition] = STATE(1284),
    [sym_pair] = STATE(1284),
    [sym_pair_pattern] = STATE(1281),
    [sym__property_name] = STATE(1287),
    [sym_computed_property_name] = STATE(1287),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(911),
    [aux_sym_object_repeat1] = STATE(1291),
    [aux_sym_object_pattern_repeat1] = STATE(1292),
    [sym_identifier] = ACTIONS(115),
    [anon_sym_export] = ACTIONS(117),
    [anon_sym_STAR] = ACTIONS(95),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(97),
    [anon_sym_RBRACE] = ACTIONS(139),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(101),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(121),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(107),
    [sym_private_property_identifier] = ACTIONS(109),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(123),
    [anon_sym_get] = ACTIONS(125),
    [anon_sym_set] = ACTIONS(125),
  },
  [7] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [ts_builtin_sym_end] = ACTIONS(141),
    [sym_identifier] = ACTIONS(143),
    [anon_sym_export] = ACTIONS(146),
    [anon_sym_default] = ACTIONS(149),
    [anon_sym_LBRACE] = ACTIONS(151),
    [anon_sym_RBRACE] = ACTIONS(141),
    [anon_sym_import] = ACTIONS(154),
    [anon_sym_var] = ACTIONS(157),
    [anon_sym_let] = ACTIONS(160),
    [anon_sym_const] = ACTIONS(160),
    [anon_sym_if] = ACTIONS(163),
    [anon_sym_switch] = ACTIONS(166),
    [anon_sym_for] = ACTIONS(169),
    [anon_sym_LPAREN] = ACTIONS(172),
    [anon_sym_await] = ACTIONS(175),
    [anon_sym_while] = ACTIONS(178),
    [anon_sym_do] = ACTIONS(181),
    [anon_sym_try] = ACTIONS(184),
    [anon_sym_with] = ACTIONS(187),
    [anon_sym_break] = ACTIONS(190),
    [anon_sym_continue] = ACTIONS(193),
    [anon_sym_debugger] = ACTIONS(196),
    [anon_sym_return] = ACTIONS(199),
    [anon_sym_throw] = ACTIONS(202),
    [anon_sym_SEMI] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(149),
    [anon_sym_yield] = ACTIONS(208),
    [anon_sym_LBRACK] = ACTIONS(211),
    [anon_sym_LTtemplate_GT] = ACTIONS(214),
    [anon_sym_LT] = ACTIONS(217),
    [anon_sym_SLASH] = ACTIONS(220),
    [anon_sym_class] = ACTIONS(223),
    [anon_sym_async] = ACTIONS(226),
    [anon_sym_function] = ACTIONS(229),
    [anon_sym_new] = ACTIONS(232),
    [anon_sym_PLUS] = ACTIONS(235),
    [anon_sym_DASH] = ACTIONS(235),
    [anon_sym_BANG] = ACTIONS(238),
    [anon_sym_TILDE] = ACTIONS(238),
    [anon_sym_typeof] = ACTIONS(235),
    [anon_sym_void] = ACTIONS(235),
    [anon_sym_delete] = ACTIONS(235),
    [anon_sym_PLUS_PLUS] = ACTIONS(241),
    [anon_sym_DASH_DASH] = ACTIONS(241),
    [anon_sym_DQUOTE] = ACTIONS(244),
    [anon_sym_SQUOTE] = ACTIONS(247),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(250),
    [sym_number] = ACTIONS(253),
    [sym_this] = ACTIONS(256),
    [sym_super] = ACTIONS(256),
    [sym_true] = ACTIONS(256),
    [sym_false] = ACTIONS(256),
    [sym_null] = ACTIONS(256),
    [sym_undefined] = ACTIONS(259),
    [anon_sym_AT] = ACTIONS(262),
    [anon_sym_static] = ACTIONS(265),
    [anon_sym_get] = ACTIONS(265),
    [anon_sym_set] = ACTIONS(265),
  },
  [8] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(268),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(270),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_case] = ACTIONS(268),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [9] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(272),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(274),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_case] = ACTIONS(272),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [10] = {
    [sym_export_statement] = STATE(9),
    [sym_declaration] = STATE(9),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_for_in_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_try_statement] = STATE(9),
    [sym_with_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_debugger_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_throw_statement] = STATE(9),
    [sym_empty_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_program_repeat1] = STATE(9),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(276),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(278),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_case] = ACTIONS(276),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [11] = {
    [sym_export_statement] = STATE(8),
    [sym_declaration] = STATE(8),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(8),
    [sym_expression_statement] = STATE(8),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(8),
    [sym_if_statement] = STATE(8),
    [sym_switch_statement] = STATE(8),
    [sym_for_statement] = STATE(8),
    [sym_for_in_statement] = STATE(8),
    [sym_while_statement] = STATE(8),
    [sym_do_statement] = STATE(8),
    [sym_try_statement] = STATE(8),
    [sym_with_statement] = STATE(8),
    [sym_break_statement] = STATE(8),
    [sym_continue_statement] = STATE(8),
    [sym_debugger_statement] = STATE(8),
    [sym_return_statement] = STATE(8),
    [sym_throw_statement] = STATE(8),
    [sym_empty_statement] = STATE(8),
    [sym_labeled_statement] = STATE(8),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_program_repeat1] = STATE(8),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_default] = ACTIONS(280),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(282),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_case] = ACTIONS(280),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [12] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(284),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [13] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [ts_builtin_sym_end] = ACTIONS(286),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [14] = {
    [sym_export_statement] = STATE(20),
    [sym_declaration] = STATE(20),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(20),
    [sym_expression_statement] = STATE(20),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(20),
    [sym_if_statement] = STATE(20),
    [sym_switch_statement] = STATE(20),
    [sym_for_statement] = STATE(20),
    [sym_for_in_statement] = STATE(20),
    [sym_while_statement] = STATE(20),
    [sym_do_statement] = STATE(20),
    [sym_try_statement] = STATE(20),
    [sym_with_statement] = STATE(20),
    [sym_break_statement] = STATE(20),
    [sym_continue_statement] = STATE(20),
    [sym_debugger_statement] = STATE(20),
    [sym_return_statement] = STATE(20),
    [sym_throw_statement] = STATE(20),
    [sym_empty_statement] = STATE(20),
    [sym_labeled_statement] = STATE(20),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_program_repeat1] = STATE(20),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(288),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [15] = {
    [sym_export_statement] = STATE(13),
    [sym_declaration] = STATE(13),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(13),
    [sym_expression_statement] = STATE(13),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(13),
    [sym_if_statement] = STATE(13),
    [sym_switch_statement] = STATE(13),
    [sym_for_statement] = STATE(13),
    [sym_for_in_statement] = STATE(13),
    [sym_while_statement] = STATE(13),
    [sym_do_statement] = STATE(13),
    [sym_try_statement] = STATE(13),
    [sym_with_statement] = STATE(13),
    [sym_break_statement] = STATE(13),
    [sym_continue_statement] = STATE(13),
    [sym_debugger_statement] = STATE(13),
    [sym_return_statement] = STATE(13),
    [sym_throw_statement] = STATE(13),
    [sym_empty_statement] = STATE(13),
    [sym_labeled_statement] = STATE(13),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_program_repeat1] = STATE(13),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [ts_builtin_sym_end] = ACTIONS(290),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [16] = {
    [sym_export_statement] = STATE(18),
    [sym_declaration] = STATE(18),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(18),
    [sym_expression_statement] = STATE(18),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(18),
    [sym_if_statement] = STATE(18),
    [sym_switch_statement] = STATE(18),
    [sym_for_statement] = STATE(18),
    [sym_for_in_statement] = STATE(18),
    [sym_while_statement] = STATE(18),
    [sym_do_statement] = STATE(18),
    [sym_try_statement] = STATE(18),
    [sym_with_statement] = STATE(18),
    [sym_break_statement] = STATE(18),
    [sym_continue_statement] = STATE(18),
    [sym_debugger_statement] = STATE(18),
    [sym_return_statement] = STATE(18),
    [sym_throw_statement] = STATE(18),
    [sym_empty_statement] = STATE(18),
    [sym_labeled_statement] = STATE(18),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_program_repeat1] = STATE(18),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(292),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [17] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [ts_builtin_sym_end] = ACTIONS(290),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [18] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(294),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [19] = {
    [sym_export_statement] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_for_in_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_try_statement] = STATE(24),
    [sym_with_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_debugger_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_throw_statement] = STATE(24),
    [sym_empty_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_program_repeat1] = STATE(24),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(296),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [20] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(298),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [21] = {
    [sym_export_statement] = STATE(12),
    [sym_declaration] = STATE(12),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_for_in_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_try_statement] = STATE(12),
    [sym_with_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_debugger_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_throw_statement] = STATE(12),
    [sym_empty_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_program_repeat1] = STATE(12),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(300),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [22] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(302),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [23] = {
    [sym_export_statement] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_for_in_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_try_statement] = STATE(22),
    [sym_with_statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_debugger_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_throw_statement] = STATE(22),
    [sym_empty_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_program_repeat1] = STATE(22),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(304),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [24] = {
    [sym_export_statement] = STATE(7),
    [sym_declaration] = STATE(7),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(7),
    [sym_expression_statement] = STATE(7),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(7),
    [sym_if_statement] = STATE(7),
    [sym_switch_statement] = STATE(7),
    [sym_for_statement] = STATE(7),
    [sym_for_in_statement] = STATE(7),
    [sym_while_statement] = STATE(7),
    [sym_do_statement] = STATE(7),
    [sym_try_statement] = STATE(7),
    [sym_with_statement] = STATE(7),
    [sym_break_statement] = STATE(7),
    [sym_continue_statement] = STATE(7),
    [sym_debugger_statement] = STATE(7),
    [sym_return_statement] = STATE(7),
    [sym_throw_statement] = STATE(7),
    [sym_empty_statement] = STATE(7),
    [sym_labeled_statement] = STATE(7),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_program_repeat1] = STATE(7),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(306),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [25] = {
    [sym_export_statement] = STATE(409),
    [sym_declaration] = STATE(409),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(409),
    [sym_expression_statement] = STATE(409),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(409),
    [sym_if_statement] = STATE(409),
    [sym_switch_statement] = STATE(409),
    [sym_for_statement] = STATE(409),
    [sym_for_in_statement] = STATE(409),
    [sym_while_statement] = STATE(409),
    [sym_do_statement] = STATE(409),
    [sym_try_statement] = STATE(409),
    [sym_with_statement] = STATE(409),
    [sym_break_statement] = STATE(409),
    [sym_continue_statement] = STATE(409),
    [sym_debugger_statement] = STATE(409),
    [sym_return_statement] = STATE(409),
    [sym_throw_statement] = STATE(409),
    [sym_empty_statement] = STATE(409),
    [sym_labeled_statement] = STATE(409),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(308),
    [anon_sym_export] = ACTIONS(310),
    [anon_sym_LBRACE] = ACTIONS(312),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(314),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(316),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(318),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(320),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(322),
    [anon_sym_async] = ACTIONS(324),
    [anon_sym_function] = ACTIONS(326),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(328),
    [anon_sym_get] = ACTIONS(328),
    [anon_sym_set] = ACTIONS(328),
  },
  [26] = {
    [sym_export_statement] = STATE(425),
    [sym_declaration] = STATE(425),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(425),
    [sym_expression_statement] = STATE(425),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(425),
    [sym_if_statement] = STATE(425),
    [sym_switch_statement] = STATE(425),
    [sym_for_statement] = STATE(425),
    [sym_for_in_statement] = STATE(425),
    [sym_while_statement] = STATE(425),
    [sym_do_statement] = STATE(425),
    [sym_try_statement] = STATE(425),
    [sym_with_statement] = STATE(425),
    [sym_break_statement] = STATE(425),
    [sym_continue_statement] = STATE(425),
    [sym_debugger_statement] = STATE(425),
    [sym_return_statement] = STATE(425),
    [sym_throw_statement] = STATE(425),
    [sym_empty_statement] = STATE(425),
    [sym_labeled_statement] = STATE(425),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [27] = {
    [sym_export_statement] = STATE(372),
    [sym_declaration] = STATE(372),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(372),
    [sym_expression_statement] = STATE(372),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(372),
    [sym_if_statement] = STATE(372),
    [sym_switch_statement] = STATE(372),
    [sym_for_statement] = STATE(372),
    [sym_for_in_statement] = STATE(372),
    [sym_while_statement] = STATE(372),
    [sym_do_statement] = STATE(372),
    [sym_try_statement] = STATE(372),
    [sym_with_statement] = STATE(372),
    [sym_break_statement] = STATE(372),
    [sym_continue_statement] = STATE(372),
    [sym_debugger_statement] = STATE(372),
    [sym_return_statement] = STATE(372),
    [sym_throw_statement] = STATE(372),
    [sym_empty_statement] = STATE(372),
    [sym_labeled_statement] = STATE(372),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(308),
    [anon_sym_export] = ACTIONS(310),
    [anon_sym_LBRACE] = ACTIONS(312),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(314),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(316),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(318),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(320),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(322),
    [anon_sym_async] = ACTIONS(324),
    [anon_sym_function] = ACTIONS(326),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(328),
    [anon_sym_get] = ACTIONS(328),
    [anon_sym_set] = ACTIONS(328),
  },
  [28] = {
    [sym_export_statement] = STATE(398),
    [sym_declaration] = STATE(397),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(396),
    [sym_expression_statement] = STATE(395),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(394),
    [sym_if_statement] = STATE(393),
    [sym_switch_statement] = STATE(392),
    [sym_for_statement] = STATE(388),
    [sym_for_in_statement] = STATE(387),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(384),
    [sym_try_statement] = STATE(383),
    [sym_with_statement] = STATE(382),
    [sym_break_statement] = STATE(378),
    [sym_continue_statement] = STATE(377),
    [sym_debugger_statement] = STATE(370),
    [sym_return_statement] = STATE(369),
    [sym_throw_statement] = STATE(367),
    [sym_empty_statement] = STATE(332),
    [sym_labeled_statement] = STATE(364),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [29] = {
    [sym_export_statement] = STATE(310),
    [sym_declaration] = STATE(310),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(310),
    [sym_expression_statement] = STATE(310),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(310),
    [sym_if_statement] = STATE(310),
    [sym_switch_statement] = STATE(310),
    [sym_for_statement] = STATE(310),
    [sym_for_in_statement] = STATE(310),
    [sym_while_statement] = STATE(310),
    [sym_do_statement] = STATE(310),
    [sym_try_statement] = STATE(310),
    [sym_with_statement] = STATE(310),
    [sym_break_statement] = STATE(310),
    [sym_continue_statement] = STATE(310),
    [sym_debugger_statement] = STATE(310),
    [sym_return_statement] = STATE(310),
    [sym_throw_statement] = STATE(310),
    [sym_empty_statement] = STATE(310),
    [sym_labeled_statement] = STATE(310),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [30] = {
    [sym_export_statement] = STATE(368),
    [sym_declaration] = STATE(368),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_for_in_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_try_statement] = STATE(368),
    [sym_with_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_debugger_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_empty_statement] = STATE(368),
    [sym_labeled_statement] = STATE(368),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [31] = {
    [sym_export_statement] = STATE(365),
    [sym_declaration] = STATE(365),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(365),
    [sym_expression_statement] = STATE(365),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(365),
    [sym_if_statement] = STATE(365),
    [sym_switch_statement] = STATE(365),
    [sym_for_statement] = STATE(365),
    [sym_for_in_statement] = STATE(365),
    [sym_while_statement] = STATE(365),
    [sym_do_statement] = STATE(365),
    [sym_try_statement] = STATE(365),
    [sym_with_statement] = STATE(365),
    [sym_break_statement] = STATE(365),
    [sym_continue_statement] = STATE(365),
    [sym_debugger_statement] = STATE(365),
    [sym_return_statement] = STATE(365),
    [sym_throw_statement] = STATE(365),
    [sym_empty_statement] = STATE(365),
    [sym_labeled_statement] = STATE(365),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(308),
    [anon_sym_export] = ACTIONS(310),
    [anon_sym_LBRACE] = ACTIONS(312),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(314),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(316),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(318),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(320),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(322),
    [anon_sym_async] = ACTIONS(324),
    [anon_sym_function] = ACTIONS(326),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(328),
    [anon_sym_get] = ACTIONS(328),
    [anon_sym_set] = ACTIONS(328),
  },
  [32] = {
    [sym_export_statement] = STATE(390),
    [sym_declaration] = STATE(391),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(366),
    [sym_expression_statement] = STATE(333),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(334),
    [sym_if_statement] = STATE(335),
    [sym_switch_statement] = STATE(336),
    [sym_for_statement] = STATE(337),
    [sym_for_in_statement] = STATE(338),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(340),
    [sym_try_statement] = STATE(341),
    [sym_with_statement] = STATE(342),
    [sym_break_statement] = STATE(343),
    [sym_continue_statement] = STATE(344),
    [sym_debugger_statement] = STATE(345),
    [sym_return_statement] = STATE(346),
    [sym_throw_statement] = STATE(347),
    [sym_empty_statement] = STATE(348),
    [sym_labeled_statement] = STATE(349),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(308),
    [anon_sym_export] = ACTIONS(310),
    [anon_sym_LBRACE] = ACTIONS(312),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(314),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(316),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(318),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(320),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(322),
    [anon_sym_async] = ACTIONS(324),
    [anon_sym_function] = ACTIONS(326),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(328),
    [anon_sym_get] = ACTIONS(328),
    [anon_sym_set] = ACTIONS(328),
  },
  [33] = {
    [sym_export_statement] = STATE(357),
    [sym_declaration] = STATE(357),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(357),
    [sym_expression_statement] = STATE(357),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(357),
    [sym_if_statement] = STATE(357),
    [sym_switch_statement] = STATE(357),
    [sym_for_statement] = STATE(357),
    [sym_for_in_statement] = STATE(357),
    [sym_while_statement] = STATE(357),
    [sym_do_statement] = STATE(357),
    [sym_try_statement] = STATE(357),
    [sym_with_statement] = STATE(357),
    [sym_break_statement] = STATE(357),
    [sym_continue_statement] = STATE(357),
    [sym_debugger_statement] = STATE(357),
    [sym_return_statement] = STATE(357),
    [sym_throw_statement] = STATE(357),
    [sym_empty_statement] = STATE(357),
    [sym_labeled_statement] = STATE(357),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [34] = {
    [sym_export_statement] = STATE(1230),
    [sym_declaration] = STATE(1230),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(1230),
    [sym_expression_statement] = STATE(1230),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(1230),
    [sym_if_statement] = STATE(1230),
    [sym_switch_statement] = STATE(1230),
    [sym_for_statement] = STATE(1230),
    [sym_for_in_statement] = STATE(1230),
    [sym_while_statement] = STATE(1230),
    [sym_do_statement] = STATE(1230),
    [sym_try_statement] = STATE(1230),
    [sym_with_statement] = STATE(1230),
    [sym_break_statement] = STATE(1230),
    [sym_continue_statement] = STATE(1230),
    [sym_debugger_statement] = STATE(1230),
    [sym_return_statement] = STATE(1230),
    [sym_throw_statement] = STATE(1230),
    [sym_empty_statement] = STATE(1230),
    [sym_labeled_statement] = STATE(1230),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(308),
    [anon_sym_export] = ACTIONS(310),
    [anon_sym_LBRACE] = ACTIONS(312),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(314),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(316),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(318),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(320),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(322),
    [anon_sym_async] = ACTIONS(324),
    [anon_sym_function] = ACTIONS(326),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(328),
    [anon_sym_get] = ACTIONS(328),
    [anon_sym_set] = ACTIONS(328),
  },
  [35] = {
    [sym_export_statement] = STATE(425),
    [sym_declaration] = STATE(425),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(425),
    [sym_expression_statement] = STATE(425),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(425),
    [sym_if_statement] = STATE(425),
    [sym_switch_statement] = STATE(425),
    [sym_for_statement] = STATE(425),
    [sym_for_in_statement] = STATE(425),
    [sym_while_statement] = STATE(425),
    [sym_do_statement] = STATE(425),
    [sym_try_statement] = STATE(425),
    [sym_with_statement] = STATE(425),
    [sym_break_statement] = STATE(425),
    [sym_continue_statement] = STATE(425),
    [sym_debugger_statement] = STATE(425),
    [sym_return_statement] = STATE(425),
    [sym_throw_statement] = STATE(425),
    [sym_empty_statement] = STATE(425),
    [sym_labeled_statement] = STATE(425),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(308),
    [anon_sym_export] = ACTIONS(310),
    [anon_sym_LBRACE] = ACTIONS(312),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(314),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(316),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(318),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(320),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(322),
    [anon_sym_async] = ACTIONS(324),
    [anon_sym_function] = ACTIONS(326),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(328),
    [anon_sym_get] = ACTIONS(328),
    [anon_sym_set] = ACTIONS(328),
  },
  [36] = {
    [sym_export_statement] = STATE(368),
    [sym_declaration] = STATE(368),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(368),
    [sym_expression_statement] = STATE(368),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(368),
    [sym_if_statement] = STATE(368),
    [sym_switch_statement] = STATE(368),
    [sym_for_statement] = STATE(368),
    [sym_for_in_statement] = STATE(368),
    [sym_while_statement] = STATE(368),
    [sym_do_statement] = STATE(368),
    [sym_try_statement] = STATE(368),
    [sym_with_statement] = STATE(368),
    [sym_break_statement] = STATE(368),
    [sym_continue_statement] = STATE(368),
    [sym_debugger_statement] = STATE(368),
    [sym_return_statement] = STATE(368),
    [sym_throw_statement] = STATE(368),
    [sym_empty_statement] = STATE(368),
    [sym_labeled_statement] = STATE(368),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(308),
    [anon_sym_export] = ACTIONS(310),
    [anon_sym_LBRACE] = ACTIONS(312),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(314),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(316),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(318),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(320),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(322),
    [anon_sym_async] = ACTIONS(324),
    [anon_sym_function] = ACTIONS(326),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(328),
    [anon_sym_get] = ACTIONS(328),
    [anon_sym_set] = ACTIONS(328),
  },
  [37] = {
    [sym_export_statement] = STATE(365),
    [sym_declaration] = STATE(365),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(365),
    [sym_expression_statement] = STATE(365),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(365),
    [sym_if_statement] = STATE(365),
    [sym_switch_statement] = STATE(365),
    [sym_for_statement] = STATE(365),
    [sym_for_in_statement] = STATE(365),
    [sym_while_statement] = STATE(365),
    [sym_do_statement] = STATE(365),
    [sym_try_statement] = STATE(365),
    [sym_with_statement] = STATE(365),
    [sym_break_statement] = STATE(365),
    [sym_continue_statement] = STATE(365),
    [sym_debugger_statement] = STATE(365),
    [sym_return_statement] = STATE(365),
    [sym_throw_statement] = STATE(365),
    [sym_empty_statement] = STATE(365),
    [sym_labeled_statement] = STATE(365),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [38] = {
    [sym_export_statement] = STATE(398),
    [sym_declaration] = STATE(397),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(396),
    [sym_expression_statement] = STATE(395),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(394),
    [sym_if_statement] = STATE(393),
    [sym_switch_statement] = STATE(392),
    [sym_for_statement] = STATE(388),
    [sym_for_in_statement] = STATE(387),
    [sym_while_statement] = STATE(385),
    [sym_do_statement] = STATE(384),
    [sym_try_statement] = STATE(383),
    [sym_with_statement] = STATE(382),
    [sym_break_statement] = STATE(378),
    [sym_continue_statement] = STATE(377),
    [sym_debugger_statement] = STATE(370),
    [sym_return_statement] = STATE(369),
    [sym_throw_statement] = STATE(367),
    [sym_empty_statement] = STATE(332),
    [sym_labeled_statement] = STATE(364),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(308),
    [anon_sym_export] = ACTIONS(310),
    [anon_sym_LBRACE] = ACTIONS(312),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(314),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(316),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(318),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(320),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(322),
    [anon_sym_async] = ACTIONS(324),
    [anon_sym_function] = ACTIONS(326),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(328),
    [anon_sym_get] = ACTIONS(328),
    [anon_sym_set] = ACTIONS(328),
  },
  [39] = {
    [sym_export_statement] = STATE(390),
    [sym_declaration] = STATE(391),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(366),
    [sym_expression_statement] = STATE(333),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(334),
    [sym_if_statement] = STATE(335),
    [sym_switch_statement] = STATE(336),
    [sym_for_statement] = STATE(337),
    [sym_for_in_statement] = STATE(338),
    [sym_while_statement] = STATE(339),
    [sym_do_statement] = STATE(340),
    [sym_try_statement] = STATE(341),
    [sym_with_statement] = STATE(342),
    [sym_break_statement] = STATE(343),
    [sym_continue_statement] = STATE(344),
    [sym_debugger_statement] = STATE(345),
    [sym_return_statement] = STATE(346),
    [sym_throw_statement] = STATE(347),
    [sym_empty_statement] = STATE(348),
    [sym_labeled_statement] = STATE(349),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [40] = {
    [sym_export_statement] = STATE(1537),
    [sym_declaration] = STATE(1537),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(1537),
    [sym_expression_statement] = STATE(1537),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(1537),
    [sym_if_statement] = STATE(1537),
    [sym_switch_statement] = STATE(1537),
    [sym_for_statement] = STATE(1537),
    [sym_for_in_statement] = STATE(1537),
    [sym_while_statement] = STATE(1537),
    [sym_do_statement] = STATE(1537),
    [sym_try_statement] = STATE(1537),
    [sym_with_statement] = STATE(1537),
    [sym_break_statement] = STATE(1537),
    [sym_continue_statement] = STATE(1537),
    [sym_debugger_statement] = STATE(1537),
    [sym_return_statement] = STATE(1537),
    [sym_throw_statement] = STATE(1537),
    [sym_empty_statement] = STATE(1537),
    [sym_labeled_statement] = STATE(1537),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(308),
    [anon_sym_export] = ACTIONS(310),
    [anon_sym_LBRACE] = ACTIONS(312),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(314),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(316),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(318),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(320),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(322),
    [anon_sym_async] = ACTIONS(324),
    [anon_sym_function] = ACTIONS(326),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(328),
    [anon_sym_get] = ACTIONS(328),
    [anon_sym_set] = ACTIONS(328),
  },
  [41] = {
    [sym_export_statement] = STATE(357),
    [sym_declaration] = STATE(357),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(357),
    [sym_expression_statement] = STATE(357),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(357),
    [sym_if_statement] = STATE(357),
    [sym_switch_statement] = STATE(357),
    [sym_for_statement] = STATE(357),
    [sym_for_in_statement] = STATE(357),
    [sym_while_statement] = STATE(357),
    [sym_do_statement] = STATE(357),
    [sym_try_statement] = STATE(357),
    [sym_with_statement] = STATE(357),
    [sym_break_statement] = STATE(357),
    [sym_continue_statement] = STATE(357),
    [sym_debugger_statement] = STATE(357),
    [sym_return_statement] = STATE(357),
    [sym_throw_statement] = STATE(357),
    [sym_empty_statement] = STATE(357),
    [sym_labeled_statement] = STATE(357),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1118),
    [sym_identifier] = ACTIONS(308),
    [anon_sym_export] = ACTIONS(310),
    [anon_sym_LBRACE] = ACTIONS(312),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(314),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(316),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(318),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(320),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(322),
    [anon_sym_async] = ACTIONS(324),
    [anon_sym_function] = ACTIONS(326),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(328),
    [anon_sym_get] = ACTIONS(328),
    [anon_sym_set] = ACTIONS(328),
  },
  [42] = {
    [sym_export_statement] = STATE(409),
    [sym_declaration] = STATE(409),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(409),
    [sym_expression_statement] = STATE(409),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(409),
    [sym_if_statement] = STATE(409),
    [sym_switch_statement] = STATE(409),
    [sym_for_statement] = STATE(409),
    [sym_for_in_statement] = STATE(409),
    [sym_while_statement] = STATE(409),
    [sym_do_statement] = STATE(409),
    [sym_try_statement] = STATE(409),
    [sym_with_statement] = STATE(409),
    [sym_break_statement] = STATE(409),
    [sym_continue_statement] = STATE(409),
    [sym_debugger_statement] = STATE(409),
    [sym_return_statement] = STATE(409),
    [sym_throw_statement] = STATE(409),
    [sym_empty_statement] = STATE(409),
    [sym_labeled_statement] = STATE(409),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [43] = {
    [sym_export_statement] = STATE(372),
    [sym_declaration] = STATE(372),
    [sym_import] = STATE(683),
    [sym_import_statement] = STATE(372),
    [sym_expression_statement] = STATE(372),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_statement_block] = STATE(372),
    [sym_if_statement] = STATE(372),
    [sym_switch_statement] = STATE(372),
    [sym_for_statement] = STATE(372),
    [sym_for_in_statement] = STATE(372),
    [sym_while_statement] = STATE(372),
    [sym_do_statement] = STATE(372),
    [sym_try_statement] = STATE(372),
    [sym_with_statement] = STATE(372),
    [sym_break_statement] = STATE(372),
    [sym_continue_statement] = STATE(372),
    [sym_debugger_statement] = STATE(372),
    [sym_return_statement] = STATE(372),
    [sym_throw_statement] = STATE(372),
    [sym_empty_statement] = STATE(372),
    [sym_labeled_statement] = STATE(372),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1130),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_export] = ACTIONS(11),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_import] = ACTIONS(15),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_if] = ACTIONS(21),
    [anon_sym_switch] = ACTIONS(23),
    [anon_sym_for] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_while] = ACTIONS(31),
    [anon_sym_do] = ACTIONS(33),
    [anon_sym_try] = ACTIONS(35),
    [anon_sym_with] = ACTIONS(37),
    [anon_sym_break] = ACTIONS(39),
    [anon_sym_continue] = ACTIONS(41),
    [anon_sym_debugger] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_throw] = ACTIONS(47),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(63),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(89),
    [anon_sym_get] = ACTIONS(89),
    [anon_sym_set] = ACTIONS(89),
  },
  [44] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(531),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_STAR] = ACTIONS(334),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_COMMA] = ACTIONS(338),
    [anon_sym_RBRACE] = ACTIONS(338),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_RPAREN] = ACTIONS(338),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_in] = ACTIONS(346),
    [anon_sym_COLON] = ACTIONS(338),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_RBRACK] = ACTIONS(338),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_GT] = ACTIONS(346),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_DOT] = ACTIONS(346),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [sym_optional_chain] = ACTIONS(338),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_AMP_AMP] = ACTIONS(338),
    [anon_sym_PIPE_PIPE] = ACTIONS(338),
    [anon_sym_GT_GT] = ACTIONS(346),
    [anon_sym_GT_GT_GT] = ACTIONS(338),
    [anon_sym_LT_LT] = ACTIONS(338),
    [anon_sym_AMP] = ACTIONS(346),
    [anon_sym_CARET] = ACTIONS(338),
    [anon_sym_PIPE] = ACTIONS(346),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_PERCENT] = ACTIONS(338),
    [anon_sym_STAR_STAR] = ACTIONS(338),
    [anon_sym_LT_EQ] = ACTIONS(338),
    [anon_sym_EQ_EQ] = ACTIONS(346),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(338),
    [anon_sym_BANG_EQ] = ACTIONS(346),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(338),
    [anon_sym_GT_EQ] = ACTIONS(338),
    [anon_sym_QMARK_QMARK] = ACTIONS(338),
    [anon_sym_instanceof] = ACTIONS(346),
    [anon_sym_BANG] = ACTIONS(364),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
    [sym__ternary_qmark] = ACTIONS(338),
  },
  [45] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(659),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_STAR] = ACTIONS(386),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_COMMA] = ACTIONS(338),
    [anon_sym_RBRACE] = ACTIONS(338),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_in] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(338),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_GT] = ACTIONS(346),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_DOT] = ACTIONS(346),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [sym_optional_chain] = ACTIONS(338),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_AMP_AMP] = ACTIONS(338),
    [anon_sym_PIPE_PIPE] = ACTIONS(338),
    [anon_sym_GT_GT] = ACTIONS(346),
    [anon_sym_GT_GT_GT] = ACTIONS(338),
    [anon_sym_LT_LT] = ACTIONS(338),
    [anon_sym_AMP] = ACTIONS(346),
    [anon_sym_CARET] = ACTIONS(338),
    [anon_sym_PIPE] = ACTIONS(346),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_PERCENT] = ACTIONS(338),
    [anon_sym_STAR_STAR] = ACTIONS(338),
    [anon_sym_LT_EQ] = ACTIONS(338),
    [anon_sym_EQ_EQ] = ACTIONS(346),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(338),
    [anon_sym_BANG_EQ] = ACTIONS(346),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(338),
    [anon_sym_GT_EQ] = ACTIONS(338),
    [anon_sym_QMARK_QMARK] = ACTIONS(338),
    [anon_sym_instanceof] = ACTIONS(346),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
    [sym__automatic_semicolon] = ACTIONS(338),
    [sym__ternary_qmark] = ACTIONS(338),
  },
  [46] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(655),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_STAR] = ACTIONS(402),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_COMMA] = ACTIONS(338),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_in] = ACTIONS(346),
    [anon_sym_of] = ACTIONS(346),
    [anon_sym_SEMI] = ACTIONS(338),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_GT] = ACTIONS(346),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_DOT] = ACTIONS(346),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [sym_optional_chain] = ACTIONS(338),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_AMP_AMP] = ACTIONS(338),
    [anon_sym_PIPE_PIPE] = ACTIONS(338),
    [anon_sym_GT_GT] = ACTIONS(346),
    [anon_sym_GT_GT_GT] = ACTIONS(338),
    [anon_sym_LT_LT] = ACTIONS(338),
    [anon_sym_AMP] = ACTIONS(346),
    [anon_sym_CARET] = ACTIONS(338),
    [anon_sym_PIPE] = ACTIONS(346),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_PERCENT] = ACTIONS(338),
    [anon_sym_STAR_STAR] = ACTIONS(338),
    [anon_sym_LT_EQ] = ACTIONS(338),
    [anon_sym_EQ_EQ] = ACTIONS(346),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(338),
    [anon_sym_BANG_EQ] = ACTIONS(346),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(338),
    [anon_sym_GT_EQ] = ACTIONS(338),
    [anon_sym_QMARK_QMARK] = ACTIONS(338),
    [anon_sym_instanceof] = ACTIONS(346),
    [anon_sym_BANG] = ACTIONS(414),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
    [sym__automatic_semicolon] = ACTIONS(338),
    [sym__ternary_qmark] = ACTIONS(338),
  },
  [47] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(832),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_in] = ACTIONS(346),
    [anon_sym_of] = ACTIONS(346),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_GT] = ACTIONS(346),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_DOT] = ACTIONS(346),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [sym_optional_chain] = ACTIONS(338),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_AMP_AMP] = ACTIONS(338),
    [anon_sym_PIPE_PIPE] = ACTIONS(338),
    [anon_sym_GT_GT] = ACTIONS(346),
    [anon_sym_GT_GT_GT] = ACTIONS(338),
    [anon_sym_LT_LT] = ACTIONS(338),
    [anon_sym_AMP] = ACTIONS(346),
    [anon_sym_CARET] = ACTIONS(338),
    [anon_sym_PIPE] = ACTIONS(346),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_PERCENT] = ACTIONS(338),
    [anon_sym_STAR_STAR] = ACTIONS(338),
    [anon_sym_LT_EQ] = ACTIONS(338),
    [anon_sym_EQ_EQ] = ACTIONS(346),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(338),
    [anon_sym_BANG_EQ] = ACTIONS(346),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(338),
    [anon_sym_GT_EQ] = ACTIONS(338),
    [anon_sym_QMARK_QMARK] = ACTIONS(338),
    [anon_sym_instanceof] = ACTIONS(346),
    [anon_sym_BANG] = ACTIONS(442),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
    [sym__ternary_qmark] = ACTIONS(338),
  },
  [48] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(809),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_STAR] = ACTIONS(454),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_in] = ACTIONS(346),
    [anon_sym_COLON] = ACTIONS(338),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_GT] = ACTIONS(346),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_DOT] = ACTIONS(346),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [sym_optional_chain] = ACTIONS(338),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_AMP_AMP] = ACTIONS(338),
    [anon_sym_PIPE_PIPE] = ACTIONS(338),
    [anon_sym_GT_GT] = ACTIONS(346),
    [anon_sym_GT_GT_GT] = ACTIONS(338),
    [anon_sym_LT_LT] = ACTIONS(338),
    [anon_sym_AMP] = ACTIONS(346),
    [anon_sym_CARET] = ACTIONS(338),
    [anon_sym_PIPE] = ACTIONS(346),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_PERCENT] = ACTIONS(338),
    [anon_sym_STAR_STAR] = ACTIONS(338),
    [anon_sym_LT_EQ] = ACTIONS(338),
    [anon_sym_EQ_EQ] = ACTIONS(346),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(338),
    [anon_sym_BANG_EQ] = ACTIONS(346),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(338),
    [anon_sym_GT_EQ] = ACTIONS(338),
    [anon_sym_QMARK_QMARK] = ACTIONS(338),
    [anon_sym_instanceof] = ACTIONS(346),
    [anon_sym_BANG] = ACTIONS(464),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
    [sym__ternary_qmark] = ACTIONS(338),
  },
  [49] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(732),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1125),
    [sym_assignment_pattern] = STATE(1225),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1125),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(480),
    [sym_subscript_expression] = STATE(480),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1125),
    [sym_spread_element] = STATE(1313),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [sym_pattern] = STATE(1197),
    [sym_rest_pattern] = STATE(1124),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [aux_sym_array_repeat1] = STATE(1312),
    [aux_sym_array_pattern_repeat1] = STATE(1240),
    [sym_identifier] = ACTIONS(472),
    [anon_sym_export] = ACTIONS(474),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_COMMA] = ACTIONS(476),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_RBRACK] = ACTIONS(478),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(480),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(474),
    [anon_sym_get] = ACTIONS(474),
    [anon_sym_set] = ACTIONS(474),
  },
  [50] = {
    [sym_declaration] = STATE(353),
    [sym_import] = STATE(683),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(777),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1212),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(322),
    [anon_sym_async] = ACTIONS(484),
    [anon_sym_function] = ACTIONS(326),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [51] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(732),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1125),
    [sym_assignment_pattern] = STATE(1225),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1125),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(480),
    [sym_subscript_expression] = STATE(480),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1125),
    [sym_spread_element] = STATE(1313),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [sym_pattern] = STATE(1197),
    [sym_rest_pattern] = STATE(1124),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [aux_sym_array_repeat1] = STATE(1312),
    [aux_sym_array_pattern_repeat1] = STATE(1240),
    [sym_identifier] = ACTIONS(472),
    [anon_sym_export] = ACTIONS(474),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_COMMA] = ACTIONS(476),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_RBRACK] = ACTIONS(486),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(480),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(474),
    [anon_sym_get] = ACTIONS(474),
    [anon_sym_set] = ACTIONS(474),
  },
  [52] = {
    [sym_import] = STATE(683),
    [sym_expression_statement] = STATE(93),
    [sym_variable_declaration] = STATE(93),
    [sym_lexical_declaration] = STATE(93),
    [sym_empty_statement] = STATE(93),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1318),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(488),
    [anon_sym_export] = ACTIONS(490),
    [anon_sym_LBRACE] = ACTIONS(492),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_var] = ACTIONS(494),
    [anon_sym_let] = ACTIONS(496),
    [anon_sym_const] = ACTIONS(496),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(498),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(500),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(490),
    [anon_sym_get] = ACTIONS(490),
    [anon_sym_set] = ACTIONS(490),
  },
  [53] = {
    [sym_import] = STATE(683),
    [sym_expression_statement] = STATE(96),
    [sym_variable_declaration] = STATE(96),
    [sym_lexical_declaration] = STATE(96),
    [sym_empty_statement] = STATE(96),
    [sym_parenthesized_expression] = STATE(478),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1318),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1318),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(478),
    [sym_subscript_expression] = STATE(478),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1318),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(488),
    [anon_sym_export] = ACTIONS(490),
    [anon_sym_LBRACE] = ACTIONS(492),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_var] = ACTIONS(494),
    [anon_sym_let] = ACTIONS(496),
    [anon_sym_const] = ACTIONS(496),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(498),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(500),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(502),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(490),
    [anon_sym_get] = ACTIONS(490),
    [anon_sym_set] = ACTIONS(490),
  },
  [54] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(732),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1125),
    [sym_assignment_pattern] = STATE(1225),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1125),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(480),
    [sym_subscript_expression] = STATE(480),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1125),
    [sym_spread_element] = STATE(1313),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [sym_pattern] = STATE(1197),
    [sym_rest_pattern] = STATE(1124),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [aux_sym_array_repeat1] = STATE(1312),
    [aux_sym_array_pattern_repeat1] = STATE(1240),
    [sym_identifier] = ACTIONS(472),
    [anon_sym_export] = ACTIONS(474),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_COMMA] = ACTIONS(476),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_RBRACK] = ACTIONS(504),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(480),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(474),
    [anon_sym_get] = ACTIONS(474),
    [anon_sym_set] = ACTIONS(474),
  },
  [55] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(732),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1125),
    [sym_assignment_pattern] = STATE(1225),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1125),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(480),
    [sym_subscript_expression] = STATE(480),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1125),
    [sym_spread_element] = STATE(1313),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [sym_pattern] = STATE(1197),
    [sym_rest_pattern] = STATE(1124),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [aux_sym_array_repeat1] = STATE(1312),
    [aux_sym_array_pattern_repeat1] = STATE(1240),
    [sym_identifier] = ACTIONS(472),
    [anon_sym_export] = ACTIONS(474),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_COMMA] = ACTIONS(476),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_RBRACK] = ACTIONS(506),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(480),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(474),
    [anon_sym_get] = ACTIONS(474),
    [anon_sym_set] = ACTIONS(474),
  },
  [56] = {
    [sym_declaration] = STATE(424),
    [sym_import] = STATE(683),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(766),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1212),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(322),
    [anon_sym_async] = ACTIONS(484),
    [anon_sym_function] = ACTIONS(326),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [57] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(733),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1125),
    [sym_assignment_pattern] = STATE(1225),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1125),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(480),
    [sym_subscript_expression] = STATE(480),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1125),
    [sym_spread_element] = STATE(1274),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [sym_pattern] = STATE(1197),
    [sym_rest_pattern] = STATE(1124),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [aux_sym_array_repeat1] = STATE(1267),
    [aux_sym_array_pattern_repeat1] = STATE(1240),
    [sym_identifier] = ACTIONS(472),
    [anon_sym_export] = ACTIONS(474),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_COMMA] = ACTIONS(476),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_RBRACK] = ACTIONS(508),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(480),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(474),
    [anon_sym_get] = ACTIONS(474),
    [anon_sym_set] = ACTIONS(474),
  },
  [58] = {
    [ts_builtin_sym_end] = ACTIONS(510),
    [sym_identifier] = ACTIONS(512),
    [anon_sym_export] = ACTIONS(512),
    [anon_sym_STAR] = ACTIONS(514),
    [anon_sym_default] = ACTIONS(512),
    [anon_sym_LBRACE] = ACTIONS(510),
    [anon_sym_COMMA] = ACTIONS(516),
    [anon_sym_RBRACE] = ACTIONS(510),
    [anon_sym_import] = ACTIONS(512),
    [anon_sym_var] = ACTIONS(512),
    [anon_sym_let] = ACTIONS(512),
    [anon_sym_const] = ACTIONS(512),
    [anon_sym_else] = ACTIONS(512),
    [anon_sym_if] = ACTIONS(512),
    [anon_sym_switch] = ACTIONS(512),
    [anon_sym_for] = ACTIONS(512),
    [anon_sym_LPAREN] = ACTIONS(510),
    [anon_sym_await] = ACTIONS(512),
    [anon_sym_in] = ACTIONS(514),
    [anon_sym_while] = ACTIONS(512),
    [anon_sym_do] = ACTIONS(512),
    [anon_sym_try] = ACTIONS(512),
    [anon_sym_with] = ACTIONS(512),
    [anon_sym_break] = ACTIONS(512),
    [anon_sym_continue] = ACTIONS(512),
    [anon_sym_debugger] = ACTIONS(512),
    [anon_sym_return] = ACTIONS(512),
    [anon_sym_throw] = ACTIONS(512),
    [anon_sym_SEMI] = ACTIONS(510),
    [anon_sym_case] = ACTIONS(512),
    [anon_sym_yield] = ACTIONS(512),
    [anon_sym_EQ] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(510),
    [anon_sym_LTtemplate_GT] = ACTIONS(510),
    [anon_sym_LT] = ACTIONS(512),
    [anon_sym_GT] = ACTIONS(514),
    [anon_sym_SLASH] = ACTIONS(512),
    [anon_sym_DOT] = ACTIONS(514),
    [anon_sym_class] = ACTIONS(512),
    [anon_sym_async] = ACTIONS(512),
    [anon_sym_function] = ACTIONS(512),
    [sym_optional_chain] = ACTIONS(516),
    [anon_sym_new] = ACTIONS(512),
    [anon_sym_AMP_AMP] = ACTIONS(516),
    [anon_sym_PIPE_PIPE] = ACTIONS(516),
    [anon_sym_GT_GT] = ACTIONS(514),
    [anon_sym_GT_GT_GT] = ACTIONS(516),
    [anon_sym_LT_LT] = ACTIONS(516),
    [anon_sym_AMP] = ACTIONS(514),
    [anon_sym_CARET] = ACTIONS(516),
    [anon_sym_PIPE] = ACTIONS(514),
    [anon_sym_PLUS] = ACTIONS(512),
    [anon_sym_DASH] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(516),
    [anon_sym_STAR_STAR] = ACTIONS(516),
    [anon_sym_LT_EQ] = ACTIONS(516),
    [anon_sym_EQ_EQ] = ACTIONS(514),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(516),
    [anon_sym_BANG_EQ] = ACTIONS(514),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(516),
    [anon_sym_GT_EQ] = ACTIONS(516),
    [anon_sym_QMARK_QMARK] = ACTIONS(516),
    [anon_sym_instanceof] = ACTIONS(514),
    [anon_sym_BANG] = ACTIONS(512),
    [anon_sym_TILDE] = ACTIONS(510),
    [anon_sym_typeof] = ACTIONS(512),
    [anon_sym_void] = ACTIONS(512),
    [anon_sym_delete] = ACTIONS(512),
    [anon_sym_PLUS_PLUS] = ACTIONS(510),
    [anon_sym_DASH_DASH] = ACTIONS(510),
    [anon_sym_DQUOTE] = ACTIONS(510),
    [anon_sym_SQUOTE] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(510),
    [sym_number] = ACTIONS(510),
    [sym_this] = ACTIONS(512),
    [sym_super] = ACTIONS(512),
    [sym_true] = ACTIONS(512),
    [sym_false] = ACTIONS(512),
    [sym_null] = ACTIONS(512),
    [sym_undefined] = ACTIONS(512),
    [anon_sym_AT] = ACTIONS(510),
    [anon_sym_static] = ACTIONS(512),
    [anon_sym_get] = ACTIONS(512),
    [anon_sym_set] = ACTIONS(512),
    [sym__automatic_semicolon] = ACTIONS(520),
    [sym__ternary_qmark] = ACTIONS(516),
  },
  [59] = {
    [sym_declaration] = STATE(424),
    [sym_import] = STATE(683),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(766),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1199),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(522),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [60] = {
    [sym_declaration] = STATE(353),
    [sym_import] = STATE(683),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(777),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_class_declaration] = STATE(356),
    [sym_function] = STATE(683),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function] = STATE(683),
    [sym_generator_function_declaration] = STATE(356),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1199),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_var] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_const] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(61),
    [anon_sym_async] = ACTIONS(522),
    [anon_sym_function] = ACTIONS(65),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [61] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(734),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1125),
    [sym_assignment_pattern] = STATE(1225),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1125),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(480),
    [sym_subscript_expression] = STATE(480),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1125),
    [sym_spread_element] = STATE(1274),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [sym_pattern] = STATE(1197),
    [sym_rest_pattern] = STATE(1124),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [aux_sym_array_repeat1] = STATE(1267),
    [aux_sym_array_pattern_repeat1] = STATE(1240),
    [sym_identifier] = ACTIONS(472),
    [anon_sym_export] = ACTIONS(474),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_COMMA] = ACTIONS(476),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_RBRACK] = ACTIONS(508),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(480),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(474),
    [anon_sym_get] = ACTIONS(474),
    [anon_sym_set] = ACTIONS(474),
  },
  [62] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(734),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1125),
    [sym_assignment_pattern] = STATE(1225),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1125),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(480),
    [sym_subscript_expression] = STATE(480),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1125),
    [sym_spread_element] = STATE(1274),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [sym_pattern] = STATE(1197),
    [sym_rest_pattern] = STATE(1124),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [aux_sym_array_repeat1] = STATE(1267),
    [aux_sym_array_pattern_repeat1] = STATE(1240),
    [sym_identifier] = ACTIONS(472),
    [anon_sym_export] = ACTIONS(474),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_COMMA] = ACTIONS(476),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_RBRACK] = ACTIONS(524),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(480),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(474),
    [anon_sym_get] = ACTIONS(474),
    [anon_sym_set] = ACTIONS(474),
  },
  [63] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(732),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1125),
    [sym_assignment_pattern] = STATE(1225),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1125),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(480),
    [sym_subscript_expression] = STATE(480),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1125),
    [sym_spread_element] = STATE(1313),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [sym_pattern] = STATE(1197),
    [sym_rest_pattern] = STATE(1124),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [aux_sym_array_repeat1] = STATE(1312),
    [aux_sym_array_pattern_repeat1] = STATE(1240),
    [sym_identifier] = ACTIONS(472),
    [anon_sym_export] = ACTIONS(474),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_COMMA] = ACTIONS(476),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_RBRACK] = ACTIONS(526),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(480),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(474),
    [anon_sym_get] = ACTIONS(474),
    [anon_sym_set] = ACTIONS(474),
  },
  [64] = {
    [ts_builtin_sym_end] = ACTIONS(510),
    [sym_identifier] = ACTIONS(512),
    [anon_sym_export] = ACTIONS(512),
    [anon_sym_STAR] = ACTIONS(512),
    [anon_sym_default] = ACTIONS(512),
    [anon_sym_LBRACE] = ACTIONS(510),
    [anon_sym_COMMA] = ACTIONS(510),
    [anon_sym_RBRACE] = ACTIONS(510),
    [anon_sym_import] = ACTIONS(512),
    [anon_sym_var] = ACTIONS(512),
    [anon_sym_let] = ACTIONS(512),
    [anon_sym_const] = ACTIONS(512),
    [anon_sym_else] = ACTIONS(512),
    [anon_sym_if] = ACTIONS(512),
    [anon_sym_switch] = ACTIONS(512),
    [anon_sym_for] = ACTIONS(512),
    [anon_sym_LPAREN] = ACTIONS(510),
    [anon_sym_await] = ACTIONS(512),
    [anon_sym_in] = ACTIONS(512),
    [anon_sym_while] = ACTIONS(512),
    [anon_sym_do] = ACTIONS(512),
    [anon_sym_try] = ACTIONS(512),
    [anon_sym_with] = ACTIONS(512),
    [anon_sym_break] = ACTIONS(512),
    [anon_sym_continue] = ACTIONS(512),
    [anon_sym_debugger] = ACTIONS(512),
    [anon_sym_return] = ACTIONS(512),
    [anon_sym_throw] = ACTIONS(512),
    [anon_sym_SEMI] = ACTIONS(510),
    [anon_sym_case] = ACTIONS(512),
    [anon_sym_yield] = ACTIONS(512),
    [anon_sym_LBRACK] = ACTIONS(510),
    [anon_sym_LTtemplate_GT] = ACTIONS(510),
    [anon_sym_LT] = ACTIONS(512),
    [anon_sym_GT] = ACTIONS(512),
    [anon_sym_SLASH] = ACTIONS(512),
    [anon_sym_DOT] = ACTIONS(512),
    [anon_sym_class] = ACTIONS(512),
    [anon_sym_async] = ACTIONS(512),
    [anon_sym_function] = ACTIONS(512),
    [sym_optional_chain] = ACTIONS(510),
    [anon_sym_new] = ACTIONS(512),
    [anon_sym_AMP_AMP] = ACTIONS(510),
    [anon_sym_PIPE_PIPE] = ACTIONS(510),
    [anon_sym_GT_GT] = ACTIONS(512),
    [anon_sym_GT_GT_GT] = ACTIONS(510),
    [anon_sym_LT_LT] = ACTIONS(510),
    [anon_sym_AMP] = ACTIONS(512),
    [anon_sym_CARET] = ACTIONS(510),
    [anon_sym_PIPE] = ACTIONS(512),
    [anon_sym_PLUS] = ACTIONS(512),
    [anon_sym_DASH] = ACTIONS(512),
    [anon_sym_PERCENT] = ACTIONS(510),
    [anon_sym_STAR_STAR] = ACTIONS(510),
    [anon_sym_LT_EQ] = ACTIONS(510),
    [anon_sym_EQ_EQ] = ACTIONS(512),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(510),
    [anon_sym_BANG_EQ] = ACTIONS(512),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(510),
    [anon_sym_GT_EQ] = ACTIONS(510),
    [anon_sym_QMARK_QMARK] = ACTIONS(510),
    [anon_sym_instanceof] = ACTIONS(512),
    [anon_sym_BANG] = ACTIONS(512),
    [anon_sym_TILDE] = ACTIONS(510),
    [anon_sym_typeof] = ACTIONS(512),
    [anon_sym_void] = ACTIONS(512),
    [anon_sym_delete] = ACTIONS(512),
    [anon_sym_PLUS_PLUS] = ACTIONS(510),
    [anon_sym_DASH_DASH] = ACTIONS(510),
    [anon_sym_DQUOTE] = ACTIONS(510),
    [anon_sym_SQUOTE] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(510),
    [sym_number] = ACTIONS(510),
    [sym_this] = ACTIONS(512),
    [sym_super] = ACTIONS(512),
    [sym_true] = ACTIONS(512),
    [sym_false] = ACTIONS(512),
    [sym_null] = ACTIONS(512),
    [sym_undefined] = ACTIONS(512),
    [anon_sym_AT] = ACTIONS(510),
    [anon_sym_static] = ACTIONS(512),
    [anon_sym_get] = ACTIONS(512),
    [anon_sym_set] = ACTIONS(512),
    [sym__automatic_semicolon] = ACTIONS(528),
    [sym__ternary_qmark] = ACTIONS(510),
  },
  [65] = {
    [ts_builtin_sym_end] = ACTIONS(530),
    [sym_identifier] = ACTIONS(532),
    [anon_sym_export] = ACTIONS(532),
    [anon_sym_STAR] = ACTIONS(532),
    [anon_sym_default] = ACTIONS(532),
    [anon_sym_LBRACE] = ACTIONS(530),
    [anon_sym_COMMA] = ACTIONS(530),
    [anon_sym_RBRACE] = ACTIONS(530),
    [anon_sym_import] = ACTIONS(532),
    [anon_sym_var] = ACTIONS(532),
    [anon_sym_let] = ACTIONS(532),
    [anon_sym_const] = ACTIONS(532),
    [anon_sym_else] = ACTIONS(532),
    [anon_sym_if] = ACTIONS(532),
    [anon_sym_switch] = ACTIONS(532),
    [anon_sym_for] = ACTIONS(532),
    [anon_sym_LPAREN] = ACTIONS(530),
    [anon_sym_await] = ACTIONS(532),
    [anon_sym_in] = ACTIONS(532),
    [anon_sym_while] = ACTIONS(532),
    [anon_sym_do] = ACTIONS(532),
    [anon_sym_try] = ACTIONS(532),
    [anon_sym_with] = ACTIONS(532),
    [anon_sym_break] = ACTIONS(532),
    [anon_sym_continue] = ACTIONS(532),
    [anon_sym_debugger] = ACTIONS(532),
    [anon_sym_return] = ACTIONS(532),
    [anon_sym_throw] = ACTIONS(532),
    [anon_sym_SEMI] = ACTIONS(530),
    [anon_sym_case] = ACTIONS(532),
    [anon_sym_yield] = ACTIONS(532),
    [anon_sym_LBRACK] = ACTIONS(530),
    [anon_sym_LTtemplate_GT] = ACTIONS(530),
    [anon_sym_LT] = ACTIONS(532),
    [anon_sym_GT] = ACTIONS(532),
    [anon_sym_SLASH] = ACTIONS(532),
    [anon_sym_DOT] = ACTIONS(532),
    [anon_sym_class] = ACTIONS(532),
    [anon_sym_async] = ACTIONS(532),
    [anon_sym_function] = ACTIONS(532),
    [sym_optional_chain] = ACTIONS(530),
    [anon_sym_new] = ACTIONS(532),
    [anon_sym_AMP_AMP] = ACTIONS(530),
    [anon_sym_PIPE_PIPE] = ACTIONS(530),
    [anon_sym_GT_GT] = ACTIONS(532),
    [anon_sym_GT_GT_GT] = ACTIONS(530),
    [anon_sym_LT_LT] = ACTIONS(530),
    [anon_sym_AMP] = ACTIONS(532),
    [anon_sym_CARET] = ACTIONS(530),
    [anon_sym_PIPE] = ACTIONS(532),
    [anon_sym_PLUS] = ACTIONS(532),
    [anon_sym_DASH] = ACTIONS(532),
    [anon_sym_PERCENT] = ACTIONS(530),
    [anon_sym_STAR_STAR] = ACTIONS(530),
    [anon_sym_LT_EQ] = ACTIONS(530),
    [anon_sym_EQ_EQ] = ACTIONS(532),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(530),
    [anon_sym_BANG_EQ] = ACTIONS(532),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(530),
    [anon_sym_GT_EQ] = ACTIONS(530),
    [anon_sym_QMARK_QMARK] = ACTIONS(530),
    [anon_sym_instanceof] = ACTIONS(532),
    [anon_sym_BANG] = ACTIONS(532),
    [anon_sym_TILDE] = ACTIONS(530),
    [anon_sym_typeof] = ACTIONS(532),
    [anon_sym_void] = ACTIONS(532),
    [anon_sym_delete] = ACTIONS(532),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(530),
    [anon_sym_DQUOTE] = ACTIONS(530),
    [anon_sym_SQUOTE] = ACTIONS(530),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(530),
    [sym_number] = ACTIONS(530),
    [sym_this] = ACTIONS(532),
    [sym_super] = ACTIONS(532),
    [sym_true] = ACTIONS(532),
    [sym_false] = ACTIONS(532),
    [sym_null] = ACTIONS(532),
    [sym_undefined] = ACTIONS(532),
    [anon_sym_AT] = ACTIONS(530),
    [anon_sym_static] = ACTIONS(532),
    [anon_sym_get] = ACTIONS(532),
    [anon_sym_set] = ACTIONS(532),
    [sym__automatic_semicolon] = ACTIONS(530),
    [sym__ternary_qmark] = ACTIONS(530),
  },
  [66] = {
    [ts_builtin_sym_end] = ACTIONS(534),
    [sym_identifier] = ACTIONS(536),
    [anon_sym_export] = ACTIONS(536),
    [anon_sym_STAR] = ACTIONS(538),
    [anon_sym_default] = ACTIONS(536),
    [anon_sym_LBRACE] = ACTIONS(534),
    [anon_sym_COMMA] = ACTIONS(540),
    [anon_sym_RBRACE] = ACTIONS(534),
    [anon_sym_import] = ACTIONS(536),
    [anon_sym_var] = ACTIONS(536),
    [anon_sym_let] = ACTIONS(536),
    [anon_sym_const] = ACTIONS(536),
    [anon_sym_else] = ACTIONS(536),
    [anon_sym_if] = ACTIONS(536),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(536),
    [anon_sym_LPAREN] = ACTIONS(534),
    [anon_sym_await] = ACTIONS(536),
    [anon_sym_in] = ACTIONS(538),
    [anon_sym_while] = ACTIONS(536),
    [anon_sym_do] = ACTIONS(536),
    [anon_sym_try] = ACTIONS(536),
    [anon_sym_with] = ACTIONS(536),
    [anon_sym_break] = ACTIONS(536),
    [anon_sym_continue] = ACTIONS(536),
    [anon_sym_debugger] = ACTIONS(536),
    [anon_sym_return] = ACTIONS(536),
    [anon_sym_throw] = ACTIONS(536),
    [anon_sym_SEMI] = ACTIONS(534),
    [anon_sym_case] = ACTIONS(536),
    [anon_sym_yield] = ACTIONS(536),
    [anon_sym_LBRACK] = ACTIONS(534),
    [anon_sym_LTtemplate_GT] = ACTIONS(534),
    [anon_sym_LT] = ACTIONS(536),
    [anon_sym_GT] = ACTIONS(538),
    [anon_sym_SLASH] = ACTIONS(536),
    [anon_sym_DOT] = ACTIONS(538),
    [anon_sym_class] = ACTIONS(536),
    [anon_sym_async] = ACTIONS(536),
    [anon_sym_function] = ACTIONS(536),
    [sym_optional_chain] = ACTIONS(540),
    [anon_sym_new] = ACTIONS(536),
    [anon_sym_AMP_AMP] = ACTIONS(540),
    [anon_sym_PIPE_PIPE] = ACTIONS(540),
    [anon_sym_GT_GT] = ACTIONS(538),
    [anon_sym_GT_GT_GT] = ACTIONS(540),
    [anon_sym_LT_LT] = ACTIONS(540),
    [anon_sym_AMP] = ACTIONS(538),
    [anon_sym_CARET] = ACTIONS(540),
    [anon_sym_PIPE] = ACTIONS(538),
    [anon_sym_PLUS] = ACTIONS(536),
    [anon_sym_DASH] = ACTIONS(536),
    [anon_sym_PERCENT] = ACTIONS(540),
    [anon_sym_STAR_STAR] = ACTIONS(540),
    [anon_sym_LT_EQ] = ACTIONS(540),
    [anon_sym_EQ_EQ] = ACTIONS(538),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(540),
    [anon_sym_BANG_EQ] = ACTIONS(538),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(540),
    [anon_sym_GT_EQ] = ACTIONS(540),
    [anon_sym_QMARK_QMARK] = ACTIONS(540),
    [anon_sym_instanceof] = ACTIONS(538),
    [anon_sym_BANG] = ACTIONS(536),
    [anon_sym_TILDE] = ACTIONS(534),
    [anon_sym_typeof] = ACTIONS(536),
    [anon_sym_void] = ACTIONS(536),
    [anon_sym_delete] = ACTIONS(536),
    [anon_sym_PLUS_PLUS] = ACTIONS(534),
    [anon_sym_DASH_DASH] = ACTIONS(534),
    [anon_sym_DQUOTE] = ACTIONS(534),
    [anon_sym_SQUOTE] = ACTIONS(534),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(534),
    [sym_number] = ACTIONS(534),
    [sym_this] = ACTIONS(536),
    [sym_super] = ACTIONS(536),
    [sym_true] = ACTIONS(536),
    [sym_false] = ACTIONS(536),
    [sym_null] = ACTIONS(536),
    [sym_undefined] = ACTIONS(536),
    [anon_sym_AT] = ACTIONS(534),
    [anon_sym_static] = ACTIONS(536),
    [anon_sym_get] = ACTIONS(536),
    [anon_sym_set] = ACTIONS(536),
    [sym__automatic_semicolon] = ACTIONS(542),
    [sym__ternary_qmark] = ACTIONS(540),
  },
  [67] = {
    [ts_builtin_sym_end] = ACTIONS(544),
    [sym_identifier] = ACTIONS(546),
    [anon_sym_export] = ACTIONS(546),
    [anon_sym_STAR] = ACTIONS(548),
    [anon_sym_default] = ACTIONS(546),
    [anon_sym_LBRACE] = ACTIONS(544),
    [anon_sym_COMMA] = ACTIONS(550),
    [anon_sym_RBRACE] = ACTIONS(544),
    [anon_sym_import] = ACTIONS(546),
    [anon_sym_var] = ACTIONS(546),
    [anon_sym_let] = ACTIONS(546),
    [anon_sym_const] = ACTIONS(546),
    [anon_sym_else] = ACTIONS(546),
    [anon_sym_if] = ACTIONS(546),
    [anon_sym_switch] = ACTIONS(546),
    [anon_sym_for] = ACTIONS(546),
    [anon_sym_LPAREN] = ACTIONS(544),
    [anon_sym_await] = ACTIONS(546),
    [anon_sym_in] = ACTIONS(548),
    [anon_sym_while] = ACTIONS(546),
    [anon_sym_do] = ACTIONS(546),
    [anon_sym_try] = ACTIONS(546),
    [anon_sym_with] = ACTIONS(546),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(546),
    [anon_sym_debugger] = ACTIONS(546),
    [anon_sym_return] = ACTIONS(546),
    [anon_sym_throw] = ACTIONS(546),
    [anon_sym_SEMI] = ACTIONS(544),
    [anon_sym_case] = ACTIONS(546),
    [anon_sym_yield] = ACTIONS(546),
    [anon_sym_LBRACK] = ACTIONS(544),
    [anon_sym_LTtemplate_GT] = ACTIONS(544),
    [anon_sym_LT] = ACTIONS(546),
    [anon_sym_GT] = ACTIONS(548),
    [anon_sym_SLASH] = ACTIONS(546),
    [anon_sym_DOT] = ACTIONS(548),
    [anon_sym_class] = ACTIONS(546),
    [anon_sym_async] = ACTIONS(546),
    [anon_sym_function] = ACTIONS(546),
    [sym_optional_chain] = ACTIONS(550),
    [anon_sym_new] = ACTIONS(546),
    [anon_sym_AMP_AMP] = ACTIONS(550),
    [anon_sym_PIPE_PIPE] = ACTIONS(550),
    [anon_sym_GT_GT] = ACTIONS(548),
    [anon_sym_GT_GT_GT] = ACTIONS(550),
    [anon_sym_LT_LT] = ACTIONS(550),
    [anon_sym_AMP] = ACTIONS(548),
    [anon_sym_CARET] = ACTIONS(550),
    [anon_sym_PIPE] = ACTIONS(548),
    [anon_sym_PLUS] = ACTIONS(546),
    [anon_sym_DASH] = ACTIONS(546),
    [anon_sym_PERCENT] = ACTIONS(550),
    [anon_sym_STAR_STAR] = ACTIONS(550),
    [anon_sym_LT_EQ] = ACTIONS(550),
    [anon_sym_EQ_EQ] = ACTIONS(548),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(550),
    [anon_sym_BANG_EQ] = ACTIONS(548),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(550),
    [anon_sym_GT_EQ] = ACTIONS(550),
    [anon_sym_QMARK_QMARK] = ACTIONS(550),
    [anon_sym_instanceof] = ACTIONS(548),
    [anon_sym_BANG] = ACTIONS(546),
    [anon_sym_TILDE] = ACTIONS(544),
    [anon_sym_typeof] = ACTIONS(546),
    [anon_sym_void] = ACTIONS(546),
    [anon_sym_delete] = ACTIONS(546),
    [anon_sym_PLUS_PLUS] = ACTIONS(544),
    [anon_sym_DASH_DASH] = ACTIONS(544),
    [anon_sym_DQUOTE] = ACTIONS(544),
    [anon_sym_SQUOTE] = ACTIONS(544),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(544),
    [sym_number] = ACTIONS(544),
    [sym_this] = ACTIONS(546),
    [sym_super] = ACTIONS(546),
    [sym_true] = ACTIONS(546),
    [sym_false] = ACTIONS(546),
    [sym_null] = ACTIONS(546),
    [sym_undefined] = ACTIONS(546),
    [anon_sym_AT] = ACTIONS(544),
    [anon_sym_static] = ACTIONS(546),
    [anon_sym_get] = ACTIONS(546),
    [anon_sym_set] = ACTIONS(546),
    [sym__automatic_semicolon] = ACTIONS(552),
    [sym__ternary_qmark] = ACTIONS(550),
  },
  [68] = {
    [ts_builtin_sym_end] = ACTIONS(554),
    [sym_identifier] = ACTIONS(556),
    [anon_sym_export] = ACTIONS(556),
    [anon_sym_STAR] = ACTIONS(558),
    [anon_sym_default] = ACTIONS(556),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(560),
    [anon_sym_RBRACE] = ACTIONS(554),
    [anon_sym_import] = ACTIONS(556),
    [anon_sym_var] = ACTIONS(556),
    [anon_sym_let] = ACTIONS(556),
    [anon_sym_const] = ACTIONS(556),
    [anon_sym_else] = ACTIONS(556),
    [anon_sym_if] = ACTIONS(556),
    [anon_sym_switch] = ACTIONS(556),
    [anon_sym_for] = ACTIONS(556),
    [anon_sym_LPAREN] = ACTIONS(554),
    [anon_sym_await] = ACTIONS(556),
    [anon_sym_in] = ACTIONS(558),
    [anon_sym_while] = ACTIONS(556),
    [anon_sym_do] = ACTIONS(556),
    [anon_sym_try] = ACTIONS(556),
    [anon_sym_with] = ACTIONS(556),
    [anon_sym_break] = ACTIONS(556),
    [anon_sym_continue] = ACTIONS(556),
    [anon_sym_debugger] = ACTIONS(556),
    [anon_sym_return] = ACTIONS(556),
    [anon_sym_throw] = ACTIONS(556),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_case] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(554),
    [anon_sym_LTtemplate_GT] = ACTIONS(554),
    [anon_sym_LT] = ACTIONS(556),
    [anon_sym_GT] = ACTIONS(558),
    [anon_sym_SLASH] = ACTIONS(556),
    [anon_sym_DOT] = ACTIONS(558),
    [anon_sym_class] = ACTIONS(556),
    [anon_sym_async] = ACTIONS(556),
    [anon_sym_function] = ACTIONS(556),
    [sym_optional_chain] = ACTIONS(560),
    [anon_sym_new] = ACTIONS(556),
    [anon_sym_AMP_AMP] = ACTIONS(560),
    [anon_sym_PIPE_PIPE] = ACTIONS(560),
    [anon_sym_GT_GT] = ACTIONS(558),
    [anon_sym_GT_GT_GT] = ACTIONS(560),
    [anon_sym_LT_LT] = ACTIONS(560),
    [anon_sym_AMP] = ACTIONS(558),
    [anon_sym_CARET] = ACTIONS(560),
    [anon_sym_PIPE] = ACTIONS(558),
    [anon_sym_PLUS] = ACTIONS(556),
    [anon_sym_DASH] = ACTIONS(556),
    [anon_sym_PERCENT] = ACTIONS(560),
    [anon_sym_STAR_STAR] = ACTIONS(560),
    [anon_sym_LT_EQ] = ACTIONS(560),
    [anon_sym_EQ_EQ] = ACTIONS(558),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(560),
    [anon_sym_BANG_EQ] = ACTIONS(558),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(560),
    [anon_sym_GT_EQ] = ACTIONS(560),
    [anon_sym_QMARK_QMARK] = ACTIONS(560),
    [anon_sym_instanceof] = ACTIONS(558),
    [anon_sym_BANG] = ACTIONS(556),
    [anon_sym_TILDE] = ACTIONS(554),
    [anon_sym_typeof] = ACTIONS(556),
    [anon_sym_void] = ACTIONS(556),
    [anon_sym_delete] = ACTIONS(556),
    [anon_sym_PLUS_PLUS] = ACTIONS(554),
    [anon_sym_DASH_DASH] = ACTIONS(554),
    [anon_sym_DQUOTE] = ACTIONS(554),
    [anon_sym_SQUOTE] = ACTIONS(554),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(554),
    [sym_number] = ACTIONS(554),
    [sym_this] = ACTIONS(556),
    [sym_super] = ACTIONS(556),
    [sym_true] = ACTIONS(556),
    [sym_false] = ACTIONS(556),
    [sym_null] = ACTIONS(556),
    [sym_undefined] = ACTIONS(556),
    [anon_sym_AT] = ACTIONS(554),
    [anon_sym_static] = ACTIONS(556),
    [anon_sym_get] = ACTIONS(556),
    [anon_sym_set] = ACTIONS(556),
    [sym__automatic_semicolon] = ACTIONS(562),
    [sym__ternary_qmark] = ACTIONS(560),
  },
  [69] = {
    [ts_builtin_sym_end] = ACTIONS(564),
    [sym_identifier] = ACTIONS(566),
    [anon_sym_export] = ACTIONS(566),
    [anon_sym_STAR] = ACTIONS(566),
    [anon_sym_default] = ACTIONS(566),
    [anon_sym_LBRACE] = ACTIONS(564),
    [anon_sym_COMMA] = ACTIONS(564),
    [anon_sym_RBRACE] = ACTIONS(564),
    [anon_sym_import] = ACTIONS(566),
    [anon_sym_var] = ACTIONS(566),
    [anon_sym_let] = ACTIONS(566),
    [anon_sym_const] = ACTIONS(566),
    [anon_sym_else] = ACTIONS(566),
    [anon_sym_if] = ACTIONS(566),
    [anon_sym_switch] = ACTIONS(566),
    [anon_sym_for] = ACTIONS(566),
    [anon_sym_LPAREN] = ACTIONS(564),
    [anon_sym_await] = ACTIONS(566),
    [anon_sym_in] = ACTIONS(566),
    [anon_sym_while] = ACTIONS(566),
    [anon_sym_do] = ACTIONS(566),
    [anon_sym_try] = ACTIONS(566),
    [anon_sym_with] = ACTIONS(566),
    [anon_sym_break] = ACTIONS(566),
    [anon_sym_continue] = ACTIONS(566),
    [anon_sym_debugger] = ACTIONS(566),
    [anon_sym_return] = ACTIONS(566),
    [anon_sym_throw] = ACTIONS(566),
    [anon_sym_SEMI] = ACTIONS(564),
    [anon_sym_case] = ACTIONS(566),
    [anon_sym_yield] = ACTIONS(566),
    [anon_sym_LBRACK] = ACTIONS(564),
    [anon_sym_LTtemplate_GT] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(566),
    [anon_sym_GT] = ACTIONS(566),
    [anon_sym_SLASH] = ACTIONS(566),
    [anon_sym_DOT] = ACTIONS(566),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_async] = ACTIONS(566),
    [anon_sym_function] = ACTIONS(566),
    [sym_optional_chain] = ACTIONS(564),
    [anon_sym_new] = ACTIONS(566),
    [anon_sym_AMP_AMP] = ACTIONS(564),
    [anon_sym_PIPE_PIPE] = ACTIONS(564),
    [anon_sym_GT_GT] = ACTIONS(566),
    [anon_sym_GT_GT_GT] = ACTIONS(564),
    [anon_sym_LT_LT] = ACTIONS(564),
    [anon_sym_AMP] = ACTIONS(566),
    [anon_sym_CARET] = ACTIONS(564),
    [anon_sym_PIPE] = ACTIONS(566),
    [anon_sym_PLUS] = ACTIONS(566),
    [anon_sym_DASH] = ACTIONS(566),
    [anon_sym_PERCENT] = ACTIONS(564),
    [anon_sym_STAR_STAR] = ACTIONS(564),
    [anon_sym_LT_EQ] = ACTIONS(564),
    [anon_sym_EQ_EQ] = ACTIONS(566),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(564),
    [anon_sym_BANG_EQ] = ACTIONS(566),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(564),
    [anon_sym_GT_EQ] = ACTIONS(564),
    [anon_sym_QMARK_QMARK] = ACTIONS(564),
    [anon_sym_instanceof] = ACTIONS(566),
    [anon_sym_BANG] = ACTIONS(566),
    [anon_sym_TILDE] = ACTIONS(564),
    [anon_sym_typeof] = ACTIONS(566),
    [anon_sym_void] = ACTIONS(566),
    [anon_sym_delete] = ACTIONS(566),
    [anon_sym_PLUS_PLUS] = ACTIONS(564),
    [anon_sym_DASH_DASH] = ACTIONS(564),
    [anon_sym_DQUOTE] = ACTIONS(564),
    [anon_sym_SQUOTE] = ACTIONS(564),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(564),
    [sym_number] = ACTIONS(564),
    [sym_this] = ACTIONS(566),
    [sym_super] = ACTIONS(566),
    [sym_true] = ACTIONS(566),
    [sym_false] = ACTIONS(566),
    [sym_null] = ACTIONS(566),
    [sym_undefined] = ACTIONS(566),
    [anon_sym_AT] = ACTIONS(564),
    [anon_sym_static] = ACTIONS(566),
    [anon_sym_get] = ACTIONS(566),
    [anon_sym_set] = ACTIONS(566),
    [sym__automatic_semicolon] = ACTIONS(564),
    [sym__ternary_qmark] = ACTIONS(564),
  },
  [70] = {
    [ts_builtin_sym_end] = ACTIONS(568),
    [sym_identifier] = ACTIONS(570),
    [anon_sym_export] = ACTIONS(570),
    [anon_sym_STAR] = ACTIONS(572),
    [anon_sym_default] = ACTIONS(570),
    [anon_sym_LBRACE] = ACTIONS(568),
    [anon_sym_COMMA] = ACTIONS(574),
    [anon_sym_RBRACE] = ACTIONS(568),
    [anon_sym_import] = ACTIONS(570),
    [anon_sym_var] = ACTIONS(570),
    [anon_sym_let] = ACTIONS(570),
    [anon_sym_const] = ACTIONS(570),
    [anon_sym_else] = ACTIONS(570),
    [anon_sym_if] = ACTIONS(570),
    [anon_sym_switch] = ACTIONS(570),
    [anon_sym_for] = ACTIONS(570),
    [anon_sym_LPAREN] = ACTIONS(568),
    [anon_sym_await] = ACTIONS(570),
    [anon_sym_in] = ACTIONS(572),
    [anon_sym_while] = ACTIONS(570),
    [anon_sym_do] = ACTIONS(570),
    [anon_sym_try] = ACTIONS(570),
    [anon_sym_with] = ACTIONS(570),
    [anon_sym_break] = ACTIONS(570),
    [anon_sym_continue] = ACTIONS(570),
    [anon_sym_debugger] = ACTIONS(570),
    [anon_sym_return] = ACTIONS(570),
    [anon_sym_throw] = ACTIONS(570),
    [anon_sym_SEMI] = ACTIONS(568),
    [anon_sym_case] = ACTIONS(570),
    [anon_sym_yield] = ACTIONS(570),
    [anon_sym_LBRACK] = ACTIONS(568),
    [anon_sym_LTtemplate_GT] = ACTIONS(568),
    [anon_sym_LT] = ACTIONS(570),
    [anon_sym_GT] = ACTIONS(572),
    [anon_sym_SLASH] = ACTIONS(570),
    [anon_sym_DOT] = ACTIONS(572),
    [anon_sym_class] = ACTIONS(570),
    [anon_sym_async] = ACTIONS(570),
    [anon_sym_function] = ACTIONS(570),
    [sym_optional_chain] = ACTIONS(574),
    [anon_sym_new] = ACTIONS(570),
    [anon_sym_AMP_AMP] = ACTIONS(574),
    [anon_sym_PIPE_PIPE] = ACTIONS(574),
    [anon_sym_GT_GT] = ACTIONS(572),
    [anon_sym_GT_GT_GT] = ACTIONS(574),
    [anon_sym_LT_LT] = ACTIONS(574),
    [anon_sym_AMP] = ACTIONS(572),
    [anon_sym_CARET] = ACTIONS(574),
    [anon_sym_PIPE] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(570),
    [anon_sym_DASH] = ACTIONS(570),
    [anon_sym_PERCENT] = ACTIONS(574),
    [anon_sym_STAR_STAR] = ACTIONS(574),
    [anon_sym_LT_EQ] = ACTIONS(574),
    [anon_sym_EQ_EQ] = ACTIONS(572),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(574),
    [anon_sym_BANG_EQ] = ACTIONS(572),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(574),
    [anon_sym_GT_EQ] = ACTIONS(574),
    [anon_sym_QMARK_QMARK] = ACTIONS(574),
    [anon_sym_instanceof] = ACTIONS(572),
    [anon_sym_BANG] = ACTIONS(570),
    [anon_sym_TILDE] = ACTIONS(568),
    [anon_sym_typeof] = ACTIONS(570),
    [anon_sym_void] = ACTIONS(570),
    [anon_sym_delete] = ACTIONS(570),
    [anon_sym_PLUS_PLUS] = ACTIONS(568),
    [anon_sym_DASH_DASH] = ACTIONS(568),
    [anon_sym_DQUOTE] = ACTIONS(568),
    [anon_sym_SQUOTE] = ACTIONS(568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(568),
    [sym_number] = ACTIONS(568),
    [sym_this] = ACTIONS(570),
    [sym_super] = ACTIONS(570),
    [sym_true] = ACTIONS(570),
    [sym_false] = ACTIONS(570),
    [sym_null] = ACTIONS(570),
    [sym_undefined] = ACTIONS(570),
    [anon_sym_AT] = ACTIONS(568),
    [anon_sym_static] = ACTIONS(570),
    [anon_sym_get] = ACTIONS(570),
    [anon_sym_set] = ACTIONS(570),
    [sym__automatic_semicolon] = ACTIONS(576),
    [sym__ternary_qmark] = ACTIONS(574),
  },
  [71] = {
    [ts_builtin_sym_end] = ACTIONS(578),
    [sym_identifier] = ACTIONS(580),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_default] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(578),
    [anon_sym_COMMA] = ACTIONS(578),
    [anon_sym_RBRACE] = ACTIONS(578),
    [anon_sym_import] = ACTIONS(580),
    [anon_sym_var] = ACTIONS(580),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_else] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(580),
    [anon_sym_switch] = ACTIONS(580),
    [anon_sym_for] = ACTIONS(580),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_await] = ACTIONS(580),
    [anon_sym_in] = ACTIONS(580),
    [anon_sym_while] = ACTIONS(580),
    [anon_sym_do] = ACTIONS(580),
    [anon_sym_try] = ACTIONS(580),
    [anon_sym_with] = ACTIONS(580),
    [anon_sym_break] = ACTIONS(580),
    [anon_sym_continue] = ACTIONS(580),
    [anon_sym_debugger] = ACTIONS(580),
    [anon_sym_return] = ACTIONS(580),
    [anon_sym_throw] = ACTIONS(580),
    [anon_sym_SEMI] = ACTIONS(578),
    [anon_sym_case] = ACTIONS(580),
    [anon_sym_yield] = ACTIONS(580),
    [anon_sym_LBRACK] = ACTIONS(578),
    [anon_sym_LTtemplate_GT] = ACTIONS(578),
    [anon_sym_LT] = ACTIONS(580),
    [anon_sym_GT] = ACTIONS(580),
    [anon_sym_SLASH] = ACTIONS(580),
    [anon_sym_DOT] = ACTIONS(580),
    [anon_sym_class] = ACTIONS(580),
    [anon_sym_async] = ACTIONS(580),
    [anon_sym_function] = ACTIONS(580),
    [sym_optional_chain] = ACTIONS(578),
    [anon_sym_new] = ACTIONS(580),
    [anon_sym_AMP_AMP] = ACTIONS(578),
    [anon_sym_PIPE_PIPE] = ACTIONS(578),
    [anon_sym_GT_GT] = ACTIONS(580),
    [anon_sym_GT_GT_GT] = ACTIONS(578),
    [anon_sym_LT_LT] = ACTIONS(578),
    [anon_sym_AMP] = ACTIONS(580),
    [anon_sym_CARET] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(580),
    [anon_sym_DASH] = ACTIONS(580),
    [anon_sym_PERCENT] = ACTIONS(578),
    [anon_sym_STAR_STAR] = ACTIONS(578),
    [anon_sym_LT_EQ] = ACTIONS(578),
    [anon_sym_EQ_EQ] = ACTIONS(580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(578),
    [anon_sym_BANG_EQ] = ACTIONS(580),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(578),
    [anon_sym_GT_EQ] = ACTIONS(578),
    [anon_sym_QMARK_QMARK] = ACTIONS(578),
    [anon_sym_instanceof] = ACTIONS(580),
    [anon_sym_BANG] = ACTIONS(580),
    [anon_sym_TILDE] = ACTIONS(578),
    [anon_sym_typeof] = ACTIONS(580),
    [anon_sym_void] = ACTIONS(580),
    [anon_sym_delete] = ACTIONS(580),
    [anon_sym_PLUS_PLUS] = ACTIONS(578),
    [anon_sym_DASH_DASH] = ACTIONS(578),
    [anon_sym_DQUOTE] = ACTIONS(578),
    [anon_sym_SQUOTE] = ACTIONS(578),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(578),
    [sym_number] = ACTIONS(578),
    [sym_this] = ACTIONS(580),
    [sym_super] = ACTIONS(580),
    [sym_true] = ACTIONS(580),
    [sym_false] = ACTIONS(580),
    [sym_null] = ACTIONS(580),
    [sym_undefined] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [sym__automatic_semicolon] = ACTIONS(582),
    [sym__ternary_qmark] = ACTIONS(578),
  },
  [72] = {
    [ts_builtin_sym_end] = ACTIONS(578),
    [sym_identifier] = ACTIONS(580),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_STAR] = ACTIONS(580),
    [anon_sym_default] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(578),
    [anon_sym_COMMA] = ACTIONS(578),
    [anon_sym_RBRACE] = ACTIONS(578),
    [anon_sym_import] = ACTIONS(580),
    [anon_sym_var] = ACTIONS(580),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_else] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(580),
    [anon_sym_switch] = ACTIONS(580),
    [anon_sym_for] = ACTIONS(580),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_await] = ACTIONS(580),
    [anon_sym_in] = ACTIONS(580),
    [anon_sym_while] = ACTIONS(580),
    [anon_sym_do] = ACTIONS(580),
    [anon_sym_try] = ACTIONS(580),
    [anon_sym_with] = ACTIONS(580),
    [anon_sym_break] = ACTIONS(580),
    [anon_sym_continue] = ACTIONS(580),
    [anon_sym_debugger] = ACTIONS(580),
    [anon_sym_return] = ACTIONS(580),
    [anon_sym_throw] = ACTIONS(580),
    [anon_sym_SEMI] = ACTIONS(578),
    [anon_sym_case] = ACTIONS(580),
    [anon_sym_yield] = ACTIONS(580),
    [anon_sym_LBRACK] = ACTIONS(578),
    [anon_sym_LTtemplate_GT] = ACTIONS(578),
    [anon_sym_LT] = ACTIONS(580),
    [anon_sym_GT] = ACTIONS(580),
    [anon_sym_SLASH] = ACTIONS(580),
    [anon_sym_DOT] = ACTIONS(580),
    [anon_sym_class] = ACTIONS(580),
    [anon_sym_async] = ACTIONS(580),
    [anon_sym_function] = ACTIONS(580),
    [sym_optional_chain] = ACTIONS(578),
    [anon_sym_new] = ACTIONS(580),
    [anon_sym_AMP_AMP] = ACTIONS(578),
    [anon_sym_PIPE_PIPE] = ACTIONS(578),
    [anon_sym_GT_GT] = ACTIONS(580),
    [anon_sym_GT_GT_GT] = ACTIONS(578),
    [anon_sym_LT_LT] = ACTIONS(578),
    [anon_sym_AMP] = ACTIONS(580),
    [anon_sym_CARET] = ACTIONS(578),
    [anon_sym_PIPE] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(580),
    [anon_sym_DASH] = ACTIONS(580),
    [anon_sym_PERCENT] = ACTIONS(578),
    [anon_sym_STAR_STAR] = ACTIONS(578),
    [anon_sym_LT_EQ] = ACTIONS(578),
    [anon_sym_EQ_EQ] = ACTIONS(580),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(578),
    [anon_sym_BANG_EQ] = ACTIONS(580),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(578),
    [anon_sym_GT_EQ] = ACTIONS(578),
    [anon_sym_QMARK_QMARK] = ACTIONS(578),
    [anon_sym_instanceof] = ACTIONS(580),
    [anon_sym_BANG] = ACTIONS(580),
    [anon_sym_TILDE] = ACTIONS(578),
    [anon_sym_typeof] = ACTIONS(580),
    [anon_sym_void] = ACTIONS(580),
    [anon_sym_delete] = ACTIONS(580),
    [anon_sym_PLUS_PLUS] = ACTIONS(578),
    [anon_sym_DASH_DASH] = ACTIONS(578),
    [anon_sym_DQUOTE] = ACTIONS(578),
    [anon_sym_SQUOTE] = ACTIONS(578),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(578),
    [sym_number] = ACTIONS(578),
    [sym_this] = ACTIONS(580),
    [sym_super] = ACTIONS(580),
    [sym_true] = ACTIONS(580),
    [sym_false] = ACTIONS(580),
    [sym_null] = ACTIONS(580),
    [sym_undefined] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [sym__automatic_semicolon] = ACTIONS(578),
    [sym__ternary_qmark] = ACTIONS(578),
  },
  [73] = {
    [ts_builtin_sym_end] = ACTIONS(584),
    [sym_identifier] = ACTIONS(586),
    [anon_sym_export] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(586),
    [anon_sym_default] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(584),
    [anon_sym_COMMA] = ACTIONS(584),
    [anon_sym_RBRACE] = ACTIONS(584),
    [anon_sym_import] = ACTIONS(586),
    [anon_sym_var] = ACTIONS(586),
    [anon_sym_let] = ACTIONS(586),
    [anon_sym_const] = ACTIONS(586),
    [anon_sym_else] = ACTIONS(586),
    [anon_sym_if] = ACTIONS(586),
    [anon_sym_switch] = ACTIONS(586),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(584),
    [anon_sym_await] = ACTIONS(586),
    [anon_sym_in] = ACTIONS(586),
    [anon_sym_while] = ACTIONS(586),
    [anon_sym_do] = ACTIONS(586),
    [anon_sym_try] = ACTIONS(586),
    [anon_sym_with] = ACTIONS(586),
    [anon_sym_break] = ACTIONS(586),
    [anon_sym_continue] = ACTIONS(586),
    [anon_sym_debugger] = ACTIONS(586),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_throw] = ACTIONS(586),
    [anon_sym_SEMI] = ACTIONS(584),
    [anon_sym_case] = ACTIONS(586),
    [anon_sym_yield] = ACTIONS(586),
    [anon_sym_LBRACK] = ACTIONS(584),
    [anon_sym_LTtemplate_GT] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(586),
    [anon_sym_GT] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(586),
    [anon_sym_DOT] = ACTIONS(586),
    [anon_sym_class] = ACTIONS(586),
    [anon_sym_async] = ACTIONS(586),
    [anon_sym_function] = ACTIONS(586),
    [sym_optional_chain] = ACTIONS(584),
    [anon_sym_new] = ACTIONS(586),
    [anon_sym_AMP_AMP] = ACTIONS(584),
    [anon_sym_PIPE_PIPE] = ACTIONS(584),
    [anon_sym_GT_GT] = ACTIONS(586),
    [anon_sym_GT_GT_GT] = ACTIONS(584),
    [anon_sym_LT_LT] = ACTIONS(584),
    [anon_sym_AMP] = ACTIONS(586),
    [anon_sym_CARET] = ACTIONS(584),
    [anon_sym_PIPE] = ACTIONS(586),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_PERCENT] = ACTIONS(584),
    [anon_sym_STAR_STAR] = ACTIONS(584),
    [anon_sym_LT_EQ] = ACTIONS(584),
    [anon_sym_EQ_EQ] = ACTIONS(586),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(584),
    [anon_sym_BANG_EQ] = ACTIONS(586),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(584),
    [anon_sym_GT_EQ] = ACTIONS(584),
    [anon_sym_QMARK_QMARK] = ACTIONS(584),
    [anon_sym_instanceof] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(586),
    [anon_sym_TILDE] = ACTIONS(584),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(584),
    [anon_sym_DASH_DASH] = ACTIONS(584),
    [anon_sym_DQUOTE] = ACTIONS(584),
    [anon_sym_SQUOTE] = ACTIONS(584),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(584),
    [sym_number] = ACTIONS(584),
    [sym_this] = ACTIONS(586),
    [sym_super] = ACTIONS(586),
    [sym_true] = ACTIONS(586),
    [sym_false] = ACTIONS(586),
    [sym_null] = ACTIONS(586),
    [sym_undefined] = ACTIONS(586),
    [anon_sym_AT] = ACTIONS(584),
    [anon_sym_static] = ACTIONS(586),
    [anon_sym_get] = ACTIONS(586),
    [anon_sym_set] = ACTIONS(586),
    [sym__automatic_semicolon] = ACTIONS(584),
    [sym__ternary_qmark] = ACTIONS(584),
  },
  [74] = {
    [ts_builtin_sym_end] = ACTIONS(588),
    [sym_identifier] = ACTIONS(590),
    [anon_sym_export] = ACTIONS(590),
    [anon_sym_STAR] = ACTIONS(592),
    [anon_sym_default] = ACTIONS(590),
    [anon_sym_LBRACE] = ACTIONS(588),
    [anon_sym_COMMA] = ACTIONS(594),
    [anon_sym_RBRACE] = ACTIONS(588),
    [anon_sym_import] = ACTIONS(590),
    [anon_sym_var] = ACTIONS(590),
    [anon_sym_let] = ACTIONS(590),
    [anon_sym_const] = ACTIONS(590),
    [anon_sym_else] = ACTIONS(590),
    [anon_sym_if] = ACTIONS(590),
    [anon_sym_switch] = ACTIONS(590),
    [anon_sym_for] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(588),
    [anon_sym_await] = ACTIONS(590),
    [anon_sym_in] = ACTIONS(592),
    [anon_sym_while] = ACTIONS(590),
    [anon_sym_do] = ACTIONS(590),
    [anon_sym_try] = ACTIONS(590),
    [anon_sym_with] = ACTIONS(590),
    [anon_sym_break] = ACTIONS(590),
    [anon_sym_continue] = ACTIONS(590),
    [anon_sym_debugger] = ACTIONS(590),
    [anon_sym_return] = ACTIONS(590),
    [anon_sym_throw] = ACTIONS(590),
    [anon_sym_SEMI] = ACTIONS(588),
    [anon_sym_case] = ACTIONS(590),
    [anon_sym_yield] = ACTIONS(590),
    [anon_sym_LBRACK] = ACTIONS(588),
    [anon_sym_LTtemplate_GT] = ACTIONS(588),
    [anon_sym_LT] = ACTIONS(590),
    [anon_sym_GT] = ACTIONS(592),
    [anon_sym_SLASH] = ACTIONS(590),
    [anon_sym_DOT] = ACTIONS(592),
    [anon_sym_class] = ACTIONS(590),
    [anon_sym_async] = ACTIONS(590),
    [anon_sym_function] = ACTIONS(590),
    [sym_optional_chain] = ACTIONS(594),
    [anon_sym_new] = ACTIONS(590),
    [anon_sym_AMP_AMP] = ACTIONS(594),
    [anon_sym_PIPE_PIPE] = ACTIONS(594),
    [anon_sym_GT_GT] = ACTIONS(592),
    [anon_sym_GT_GT_GT] = ACTIONS(594),
    [anon_sym_LT_LT] = ACTIONS(594),
    [anon_sym_AMP] = ACTIONS(592),
    [anon_sym_CARET] = ACTIONS(594),
    [anon_sym_PIPE] = ACTIONS(592),
    [anon_sym_PLUS] = ACTIONS(590),
    [anon_sym_DASH] = ACTIONS(590),
    [anon_sym_PERCENT] = ACTIONS(594),
    [anon_sym_STAR_STAR] = ACTIONS(594),
    [anon_sym_LT_EQ] = ACTIONS(594),
    [anon_sym_EQ_EQ] = ACTIONS(592),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(594),
    [anon_sym_BANG_EQ] = ACTIONS(592),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(594),
    [anon_sym_GT_EQ] = ACTIONS(594),
    [anon_sym_QMARK_QMARK] = ACTIONS(594),
    [anon_sym_instanceof] = ACTIONS(592),
    [anon_sym_BANG] = ACTIONS(590),
    [anon_sym_TILDE] = ACTIONS(588),
    [anon_sym_typeof] = ACTIONS(590),
    [anon_sym_void] = ACTIONS(590),
    [anon_sym_delete] = ACTIONS(590),
    [anon_sym_PLUS_PLUS] = ACTIONS(588),
    [anon_sym_DASH_DASH] = ACTIONS(588),
    [anon_sym_DQUOTE] = ACTIONS(588),
    [anon_sym_SQUOTE] = ACTIONS(588),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(588),
    [sym_number] = ACTIONS(588),
    [sym_this] = ACTIONS(590),
    [sym_super] = ACTIONS(590),
    [sym_true] = ACTIONS(590),
    [sym_false] = ACTIONS(590),
    [sym_null] = ACTIONS(590),
    [sym_undefined] = ACTIONS(590),
    [anon_sym_AT] = ACTIONS(588),
    [anon_sym_static] = ACTIONS(590),
    [anon_sym_get] = ACTIONS(590),
    [anon_sym_set] = ACTIONS(590),
    [sym__automatic_semicolon] = ACTIONS(596),
    [sym__ternary_qmark] = ACTIONS(594),
  },
  [75] = {
    [ts_builtin_sym_end] = ACTIONS(598),
    [sym_identifier] = ACTIONS(600),
    [anon_sym_export] = ACTIONS(600),
    [anon_sym_STAR] = ACTIONS(602),
    [anon_sym_default] = ACTIONS(600),
    [anon_sym_LBRACE] = ACTIONS(598),
    [anon_sym_COMMA] = ACTIONS(604),
    [anon_sym_RBRACE] = ACTIONS(598),
    [anon_sym_import] = ACTIONS(600),
    [anon_sym_var] = ACTIONS(600),
    [anon_sym_let] = ACTIONS(600),
    [anon_sym_const] = ACTIONS(600),
    [anon_sym_else] = ACTIONS(600),
    [anon_sym_if] = ACTIONS(600),
    [anon_sym_switch] = ACTIONS(600),
    [anon_sym_for] = ACTIONS(600),
    [anon_sym_LPAREN] = ACTIONS(598),
    [anon_sym_await] = ACTIONS(600),
    [anon_sym_in] = ACTIONS(602),
    [anon_sym_while] = ACTIONS(600),
    [anon_sym_do] = ACTIONS(600),
    [anon_sym_try] = ACTIONS(600),
    [anon_sym_with] = ACTIONS(600),
    [anon_sym_break] = ACTIONS(600),
    [anon_sym_continue] = ACTIONS(600),
    [anon_sym_debugger] = ACTIONS(600),
    [anon_sym_return] = ACTIONS(600),
    [anon_sym_throw] = ACTIONS(600),
    [anon_sym_SEMI] = ACTIONS(598),
    [anon_sym_case] = ACTIONS(600),
    [anon_sym_yield] = ACTIONS(600),
    [anon_sym_LBRACK] = ACTIONS(598),
    [anon_sym_LTtemplate_GT] = ACTIONS(598),
    [anon_sym_LT] = ACTIONS(600),
    [anon_sym_GT] = ACTIONS(602),
    [anon_sym_SLASH] = ACTIONS(600),
    [anon_sym_DOT] = ACTIONS(602),
    [anon_sym_class] = ACTIONS(600),
    [anon_sym_async] = ACTIONS(600),
    [anon_sym_function] = ACTIONS(600),
    [sym_optional_chain] = ACTIONS(604),
    [anon_sym_new] = ACTIONS(600),
    [anon_sym_AMP_AMP] = ACTIONS(604),
    [anon_sym_PIPE_PIPE] = ACTIONS(604),
    [anon_sym_GT_GT] = ACTIONS(602),
    [anon_sym_GT_GT_GT] = ACTIONS(604),
    [anon_sym_LT_LT] = ACTIONS(604),
    [anon_sym_AMP] = ACTIONS(602),
    [anon_sym_CARET] = ACTIONS(604),
    [anon_sym_PIPE] = ACTIONS(602),
    [anon_sym_PLUS] = ACTIONS(600),
    [anon_sym_DASH] = ACTIONS(600),
    [anon_sym_PERCENT] = ACTIONS(604),
    [anon_sym_STAR_STAR] = ACTIONS(604),
    [anon_sym_LT_EQ] = ACTIONS(604),
    [anon_sym_EQ_EQ] = ACTIONS(602),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(604),
    [anon_sym_BANG_EQ] = ACTIONS(602),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(604),
    [anon_sym_GT_EQ] = ACTIONS(604),
    [anon_sym_QMARK_QMARK] = ACTIONS(604),
    [anon_sym_instanceof] = ACTIONS(602),
    [anon_sym_BANG] = ACTIONS(600),
    [anon_sym_TILDE] = ACTIONS(598),
    [anon_sym_typeof] = ACTIONS(600),
    [anon_sym_void] = ACTIONS(600),
    [anon_sym_delete] = ACTIONS(600),
    [anon_sym_PLUS_PLUS] = ACTIONS(598),
    [anon_sym_DASH_DASH] = ACTIONS(598),
    [anon_sym_DQUOTE] = ACTIONS(598),
    [anon_sym_SQUOTE] = ACTIONS(598),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(598),
    [sym_number] = ACTIONS(598),
    [sym_this] = ACTIONS(600),
    [sym_super] = ACTIONS(600),
    [sym_true] = ACTIONS(600),
    [sym_false] = ACTIONS(600),
    [sym_null] = ACTIONS(600),
    [sym_undefined] = ACTIONS(600),
    [anon_sym_AT] = ACTIONS(598),
    [anon_sym_static] = ACTIONS(600),
    [anon_sym_get] = ACTIONS(600),
    [anon_sym_set] = ACTIONS(600),
    [sym__automatic_semicolon] = ACTIONS(606),
    [sym__ternary_qmark] = ACTIONS(604),
  },
  [76] = {
    [ts_builtin_sym_end] = ACTIONS(608),
    [sym_identifier] = ACTIONS(610),
    [anon_sym_export] = ACTIONS(610),
    [anon_sym_STAR] = ACTIONS(612),
    [anon_sym_default] = ACTIONS(610),
    [anon_sym_LBRACE] = ACTIONS(608),
    [anon_sym_COMMA] = ACTIONS(614),
    [anon_sym_RBRACE] = ACTIONS(608),
    [anon_sym_import] = ACTIONS(610),
    [anon_sym_var] = ACTIONS(610),
    [anon_sym_let] = ACTIONS(610),
    [anon_sym_const] = ACTIONS(610),
    [anon_sym_else] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(610),
    [anon_sym_switch] = ACTIONS(610),
    [anon_sym_for] = ACTIONS(610),
    [anon_sym_LPAREN] = ACTIONS(608),
    [anon_sym_await] = ACTIONS(610),
    [anon_sym_in] = ACTIONS(612),
    [anon_sym_while] = ACTIONS(610),
    [anon_sym_do] = ACTIONS(610),
    [anon_sym_try] = ACTIONS(610),
    [anon_sym_with] = ACTIONS(610),
    [anon_sym_break] = ACTIONS(610),
    [anon_sym_continue] = ACTIONS(610),
    [anon_sym_debugger] = ACTIONS(610),
    [anon_sym_return] = ACTIONS(610),
    [anon_sym_throw] = ACTIONS(610),
    [anon_sym_SEMI] = ACTIONS(608),
    [anon_sym_case] = ACTIONS(610),
    [anon_sym_yield] = ACTIONS(610),
    [anon_sym_LBRACK] = ACTIONS(608),
    [anon_sym_LTtemplate_GT] = ACTIONS(608),
    [anon_sym_LT] = ACTIONS(610),
    [anon_sym_GT] = ACTIONS(612),
    [anon_sym_SLASH] = ACTIONS(610),
    [anon_sym_DOT] = ACTIONS(612),
    [anon_sym_class] = ACTIONS(610),
    [anon_sym_async] = ACTIONS(610),
    [anon_sym_function] = ACTIONS(610),
    [sym_optional_chain] = ACTIONS(614),
    [anon_sym_new] = ACTIONS(610),
    [anon_sym_AMP_AMP] = ACTIONS(614),
    [anon_sym_PIPE_PIPE] = ACTIONS(614),
    [anon_sym_GT_GT] = ACTIONS(612),
    [anon_sym_GT_GT_GT] = ACTIONS(614),
    [anon_sym_LT_LT] = ACTIONS(614),
    [anon_sym_AMP] = ACTIONS(612),
    [anon_sym_CARET] = ACTIONS(614),
    [anon_sym_PIPE] = ACTIONS(612),
    [anon_sym_PLUS] = ACTIONS(610),
    [anon_sym_DASH] = ACTIONS(610),
    [anon_sym_PERCENT] = ACTIONS(614),
    [anon_sym_STAR_STAR] = ACTIONS(614),
    [anon_sym_LT_EQ] = ACTIONS(614),
    [anon_sym_EQ_EQ] = ACTIONS(612),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(614),
    [anon_sym_BANG_EQ] = ACTIONS(612),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(614),
    [anon_sym_GT_EQ] = ACTIONS(614),
    [anon_sym_QMARK_QMARK] = ACTIONS(614),
    [anon_sym_instanceof] = ACTIONS(612),
    [anon_sym_BANG] = ACTIONS(610),
    [anon_sym_TILDE] = ACTIONS(608),
    [anon_sym_typeof] = ACTIONS(610),
    [anon_sym_void] = ACTIONS(610),
    [anon_sym_delete] = ACTIONS(610),
    [anon_sym_PLUS_PLUS] = ACTIONS(608),
    [anon_sym_DASH_DASH] = ACTIONS(608),
    [anon_sym_DQUOTE] = ACTIONS(608),
    [anon_sym_SQUOTE] = ACTIONS(608),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(608),
    [sym_number] = ACTIONS(608),
    [sym_this] = ACTIONS(610),
    [sym_super] = ACTIONS(610),
    [sym_true] = ACTIONS(610),
    [sym_false] = ACTIONS(610),
    [sym_null] = ACTIONS(610),
    [sym_undefined] = ACTIONS(610),
    [anon_sym_AT] = ACTIONS(608),
    [anon_sym_static] = ACTIONS(610),
    [anon_sym_get] = ACTIONS(610),
    [anon_sym_set] = ACTIONS(610),
    [sym__automatic_semicolon] = ACTIONS(616),
    [sym__ternary_qmark] = ACTIONS(614),
  },
  [77] = {
    [ts_builtin_sym_end] = ACTIONS(618),
    [sym_identifier] = ACTIONS(620),
    [anon_sym_export] = ACTIONS(620),
    [anon_sym_STAR] = ACTIONS(622),
    [anon_sym_default] = ACTIONS(620),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_COMMA] = ACTIONS(624),
    [anon_sym_RBRACE] = ACTIONS(618),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_var] = ACTIONS(620),
    [anon_sym_let] = ACTIONS(620),
    [anon_sym_const] = ACTIONS(620),
    [anon_sym_else] = ACTIONS(620),
    [anon_sym_if] = ACTIONS(620),
    [anon_sym_switch] = ACTIONS(620),
    [anon_sym_for] = ACTIONS(620),
    [anon_sym_LPAREN] = ACTIONS(618),
    [anon_sym_await] = ACTIONS(620),
    [anon_sym_in] = ACTIONS(622),
    [anon_sym_while] = ACTIONS(620),
    [anon_sym_do] = ACTIONS(620),
    [anon_sym_try] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(620),
    [anon_sym_break] = ACTIONS(620),
    [anon_sym_continue] = ACTIONS(620),
    [anon_sym_debugger] = ACTIONS(620),
    [anon_sym_return] = ACTIONS(620),
    [anon_sym_throw] = ACTIONS(620),
    [anon_sym_SEMI] = ACTIONS(618),
    [anon_sym_case] = ACTIONS(620),
    [anon_sym_yield] = ACTIONS(620),
    [anon_sym_LBRACK] = ACTIONS(618),
    [anon_sym_LTtemplate_GT] = ACTIONS(618),
    [anon_sym_LT] = ACTIONS(620),
    [anon_sym_GT] = ACTIONS(622),
    [anon_sym_SLASH] = ACTIONS(620),
    [anon_sym_DOT] = ACTIONS(622),
    [anon_sym_class] = ACTIONS(620),
    [anon_sym_async] = ACTIONS(620),
    [anon_sym_function] = ACTIONS(620),
    [sym_optional_chain] = ACTIONS(624),
    [anon_sym_new] = ACTIONS(620),
    [anon_sym_AMP_AMP] = ACTIONS(624),
    [anon_sym_PIPE_PIPE] = ACTIONS(624),
    [anon_sym_GT_GT] = ACTIONS(622),
    [anon_sym_GT_GT_GT] = ACTIONS(624),
    [anon_sym_LT_LT] = ACTIONS(624),
    [anon_sym_AMP] = ACTIONS(622),
    [anon_sym_CARET] = ACTIONS(624),
    [anon_sym_PIPE] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_PERCENT] = ACTIONS(624),
    [anon_sym_STAR_STAR] = ACTIONS(624),
    [anon_sym_LT_EQ] = ACTIONS(624),
    [anon_sym_EQ_EQ] = ACTIONS(622),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(624),
    [anon_sym_BANG_EQ] = ACTIONS(622),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(624),
    [anon_sym_GT_EQ] = ACTIONS(624),
    [anon_sym_QMARK_QMARK] = ACTIONS(624),
    [anon_sym_instanceof] = ACTIONS(622),
    [anon_sym_BANG] = ACTIONS(620),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_typeof] = ACTIONS(620),
    [anon_sym_void] = ACTIONS(620),
    [anon_sym_delete] = ACTIONS(620),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_DQUOTE] = ACTIONS(618),
    [anon_sym_SQUOTE] = ACTIONS(618),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(618),
    [sym_number] = ACTIONS(618),
    [sym_this] = ACTIONS(620),
    [sym_super] = ACTIONS(620),
    [sym_true] = ACTIONS(620),
    [sym_false] = ACTIONS(620),
    [sym_null] = ACTIONS(620),
    [sym_undefined] = ACTIONS(620),
    [anon_sym_AT] = ACTIONS(618),
    [anon_sym_static] = ACTIONS(620),
    [anon_sym_get] = ACTIONS(620),
    [anon_sym_set] = ACTIONS(620),
    [sym__automatic_semicolon] = ACTIONS(626),
    [sym__ternary_qmark] = ACTIONS(624),
  },
  [78] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(857),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1121),
    [sym_assignment_pattern] = STATE(1225),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1121),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(482),
    [sym_subscript_expression] = STATE(482),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1121),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [sym_pattern] = STATE(1197),
    [sym_rest_pattern] = STATE(1124),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [aux_sym_array_pattern_repeat1] = STATE(1240),
    [sym_identifier] = ACTIONS(628),
    [anon_sym_export] = ACTIONS(630),
    [anon_sym_LBRACE] = ACTIONS(632),
    [anon_sym_COMMA] = ACTIONS(634),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(636),
    [anon_sym_RBRACK] = ACTIONS(638),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(640),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(630),
    [anon_sym_get] = ACTIONS(630),
    [anon_sym_set] = ACTIONS(630),
  },
  [79] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(740),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1125),
    [sym_assignment_pattern] = STATE(1337),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1125),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(480),
    [sym_subscript_expression] = STATE(480),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1125),
    [sym_spread_element] = STATE(1298),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [sym_pattern] = STATE(1297),
    [sym_rest_pattern] = STATE(1124),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(472),
    [anon_sym_export] = ACTIONS(474),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_COMMA] = ACTIONS(646),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(480),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(105),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(474),
    [anon_sym_get] = ACTIONS(474),
    [anon_sym_set] = ACTIONS(474),
  },
  [80] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(825),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1125),
    [sym_assignment_pattern] = STATE(1225),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1125),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(494),
    [sym_subscript_expression] = STATE(494),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1125),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [sym_pattern] = STATE(1197),
    [sym_rest_pattern] = STATE(1124),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [aux_sym_array_pattern_repeat1] = STATE(1240),
    [sym_identifier] = ACTIONS(649),
    [anon_sym_export] = ACTIONS(651),
    [anon_sym_LBRACE] = ACTIONS(653),
    [anon_sym_COMMA] = ACTIONS(634),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(655),
    [anon_sym_RBRACK] = ACTIONS(638),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(657),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(659),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(651),
    [anon_sym_get] = ACTIONS(651),
    [anon_sym_set] = ACTIONS(651),
  },
  [81] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(857),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1121),
    [sym_assignment_pattern] = STATE(1314),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1121),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(482),
    [sym_subscript_expression] = STATE(482),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1121),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [sym_pattern] = STATE(1156),
    [sym_rest_pattern] = STATE(1124),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [aux_sym_array_pattern_repeat1] = STATE(1310),
    [sym_identifier] = ACTIONS(628),
    [anon_sym_export] = ACTIONS(630),
    [anon_sym_LBRACE] = ACTIONS(632),
    [anon_sym_COMMA] = ACTIONS(634),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(636),
    [anon_sym_RBRACK] = ACTIONS(661),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(640),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(630),
    [anon_sym_get] = ACTIONS(630),
    [anon_sym_set] = ACTIONS(630),
  },
  [82] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(805),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1125),
    [sym_assignment_pattern] = STATE(1321),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1125),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(480),
    [sym_subscript_expression] = STATE(480),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1125),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_sequence_expression] = STATE(1562),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [sym_pattern] = STATE(1149),
    [sym_rest_pattern] = STATE(1124),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(472),
    [anon_sym_export] = ACTIONS(474),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_RPAREN] = ACTIONS(663),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(480),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(474),
    [anon_sym_get] = ACTIONS(474),
    [anon_sym_set] = ACTIONS(474),
  },
  [83] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(857),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1121),
    [sym_assignment_pattern] = STATE(1337),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1121),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(482),
    [sym_subscript_expression] = STATE(482),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1121),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [sym_pattern] = STATE(1297),
    [sym_rest_pattern] = STATE(1124),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(628),
    [anon_sym_export] = ACTIONS(630),
    [anon_sym_LBRACE] = ACTIONS(632),
    [anon_sym_COMMA] = ACTIONS(665),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(636),
    [anon_sym_RBRACK] = ACTIONS(665),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(640),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(630),
    [anon_sym_get] = ACTIONS(630),
    [anon_sym_set] = ACTIONS(630),
  },
  [84] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(794),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1125),
    [sym_assignment_pattern] = STATE(1321),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1125),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(480),
    [sym_subscript_expression] = STATE(480),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1125),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_sequence_expression] = STATE(1541),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [sym_pattern] = STATE(1149),
    [sym_rest_pattern] = STATE(1124),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(472),
    [anon_sym_export] = ACTIONS(474),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_RPAREN] = ACTIONS(663),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(480),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(474),
    [anon_sym_get] = ACTIONS(474),
    [anon_sym_set] = ACTIONS(474),
  },
  [85] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(750),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_spread_element] = STATE(1253),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [aux_sym_array_repeat1] = STATE(1252),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_COMMA] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_RPAREN] = ACTIONS(669),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(671),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [86] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(857),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1121),
    [sym_assignment_pattern] = STATE(1362),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1121),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(482),
    [sym_subscript_expression] = STATE(482),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1121),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [sym_pattern] = STATE(1254),
    [sym_rest_pattern] = STATE(1124),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(628),
    [anon_sym_export] = ACTIONS(630),
    [anon_sym_LBRACE] = ACTIONS(632),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_RPAREN] = ACTIONS(673),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(636),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(640),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(630),
    [anon_sym_get] = ACTIONS(630),
    [anon_sym_set] = ACTIONS(630),
  },
  [87] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(857),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1121),
    [sym_assignment_pattern] = STATE(1321),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1121),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(482),
    [sym_subscript_expression] = STATE(482),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1121),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [sym_pattern] = STATE(1149),
    [sym_rest_pattern] = STATE(1124),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(628),
    [anon_sym_export] = ACTIONS(630),
    [anon_sym_LBRACE] = ACTIONS(632),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_RPAREN] = ACTIONS(663),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(636),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(640),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(630),
    [anon_sym_get] = ACTIONS(630),
    [anon_sym_set] = ACTIONS(630),
  },
  [88] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(737),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_spread_element] = STATE(1300),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [aux_sym_array_repeat1] = STATE(1301),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_COMMA] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_RPAREN] = ACTIONS(675),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(671),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [89] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(740),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_spread_element] = STATE(1298),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_COMMA] = ACTIONS(677),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_RPAREN] = ACTIONS(677),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_RBRACK] = ACTIONS(677),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(671),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [90] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(857),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1121),
    [sym_assignment_pattern] = STATE(1362),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1121),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(482),
    [sym_subscript_expression] = STATE(482),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1121),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [sym_pattern] = STATE(1254),
    [sym_rest_pattern] = STATE(1124),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(628),
    [anon_sym_export] = ACTIONS(630),
    [anon_sym_LBRACE] = ACTIONS(632),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_RPAREN] = ACTIONS(679),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(636),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(640),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(630),
    [anon_sym_get] = ACTIONS(630),
    [anon_sym_set] = ACTIONS(630),
  },
  [91] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(695),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_spread_element] = STATE(1259),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [aux_sym_array_repeat1] = STATE(1258),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_COMMA] = ACTIONS(667),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_RPAREN] = ACTIONS(681),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(671),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [92] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(773),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_spread_element] = STATE(1574),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_sequence_expression] = STATE(1574),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_RBRACE] = ACTIONS(683),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(671),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [93] = {
    [sym_import] = STATE(683),
    [sym_expression_statement] = STATE(101),
    [sym_empty_statement] = STATE(101),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [94] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(803),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_spread_element] = STATE(1596),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_sequence_expression] = STATE(1596),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_RBRACE] = ACTIONS(685),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(671),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [95] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(857),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1121),
    [sym_assignment_pattern] = STATE(1362),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1121),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(482),
    [sym_subscript_expression] = STATE(482),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1121),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [sym_pattern] = STATE(1254),
    [sym_rest_pattern] = STATE(1124),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(628),
    [anon_sym_export] = ACTIONS(630),
    [anon_sym_LBRACE] = ACTIONS(632),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(636),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(640),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(630),
    [anon_sym_get] = ACTIONS(630),
    [anon_sym_set] = ACTIONS(630),
  },
  [96] = {
    [sym_import] = STATE(683),
    [sym_expression_statement] = STATE(102),
    [sym_empty_statement] = STATE(102),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(692),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1404),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [97] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(857),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1121),
    [sym_assignment_pattern] = STATE(1452),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1121),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(482),
    [sym_subscript_expression] = STATE(482),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1121),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [sym_pattern] = STATE(1260),
    [sym_rest_pattern] = STATE(1124),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(628),
    [anon_sym_export] = ACTIONS(630),
    [anon_sym_LBRACE] = ACTIONS(632),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(636),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(640),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(644),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(630),
    [anon_sym_get] = ACTIONS(630),
    [anon_sym_set] = ACTIONS(630),
  },
  [98] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(807),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1125),
    [sym_assignment_pattern] = STATE(1452),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1125),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(480),
    [sym_subscript_expression] = STATE(480),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1125),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [sym_pattern] = STATE(1260),
    [sym_rest_pattern] = STATE(1124),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(472),
    [anon_sym_export] = ACTIONS(474),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(480),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(642),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(482),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(474),
    [anon_sym_get] = ACTIONS(474),
    [anon_sym_set] = ACTIONS(474),
  },
  [99] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(710),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1413),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(687),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
    [sym__automatic_semicolon] = ACTIONS(687),
  },
  [100] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(498),
    [sym_expression] = STATE(857),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1309),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1309),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(498),
    [sym_subscript_expression] = STATE(498),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1309),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(689),
    [anon_sym_export] = ACTIONS(691),
    [anon_sym_LBRACE] = ACTIONS(693),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_var] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_const] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(699),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(701),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(703),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(691),
    [anon_sym_get] = ACTIONS(691),
    [anon_sym_set] = ACTIONS(691),
  },
  [101] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(810),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_sequence_expression] = STATE(1509),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_RPAREN] = ACTIONS(705),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [102] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(813),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_sequence_expression] = STATE(1513),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_RPAREN] = ACTIONS(707),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [103] = {
    [sym_import] = STATE(574),
    [sym_statement_block] = STATE(608),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(819),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [104] = {
    [sym_import] = STATE(574),
    [sym_statement_block] = STATE(586),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(823),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [105] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(801),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_sequence_expression] = STATE(1567),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [106] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(769),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_sequence_expression] = STATE(1584),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [107] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(814),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_sequence_expression] = STATE(1609),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [108] = {
    [sym_import] = STATE(574),
    [sym_statement_block] = STATE(608),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(595),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [109] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(559),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_sequence_expression] = STATE(1217),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [110] = {
    [sym_import] = STATE(574),
    [sym_statement_block] = STATE(586),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(585),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [111] = {
    [sym_import] = STATE(683),
    [sym_statement_block] = STATE(759),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(637),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [112] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(815),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_sequence_expression] = STATE(1603),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [113] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(804),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_sequence_expression] = STATE(1597),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [114] = {
    [sym_import] = STATE(574),
    [sym_statement_block] = STATE(575),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(587),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [115] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(816),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_sequence_expression] = STATE(1604),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [116] = {
    [sym_import] = STATE(574),
    [sym_statement_block] = STATE(575),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(852),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [117] = {
    [sym_import] = STATE(574),
    [sym_statement_block] = STATE(536),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(797),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [118] = {
    [sym_import] = STATE(574),
    [sym_statement_block] = STATE(606),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(824),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [119] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(776),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_sequence_expression] = STATE(1573),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [120] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(753),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1392),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [121] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(812),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_sequence_expression] = STATE(1514),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [122] = {
    [sym_import] = STATE(683),
    [sym_statement_block] = STATE(763),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(663),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [123] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(811),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_sequence_expression] = STATE(1569),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [124] = {
    [sym_import] = STATE(574),
    [sym_statement_block] = STATE(575),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(779),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [125] = {
    [sym_import] = STATE(683),
    [sym_statement_block] = STATE(763),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(630),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [126] = {
    [sym_import] = STATE(574),
    [sym_statement_block] = STATE(608),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(774),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [127] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(808),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_sequence_expression] = STATE(1517),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [128] = {
    [sym_import] = STATE(574),
    [sym_statement_block] = STATE(601),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(798),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [129] = {
    [sym_import] = STATE(683),
    [sym_statement_block] = STATE(731),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(676),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [130] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(806),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_sequence_expression] = STATE(1518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [131] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(767),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_sequence_expression] = STATE(1546),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [132] = {
    [sym_import] = STATE(683),
    [sym_statement_block] = STATE(731),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(651),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [133] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(857),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(507),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_DOT] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [134] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(791),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_sequence_expression] = STATE(1534),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [135] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(857),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(507),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(717),
    [anon_sym_export] = ACTIONS(719),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_DOT] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(721),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(719),
    [anon_sym_get] = ACTIONS(719),
    [anon_sym_set] = ACTIONS(719),
  },
  [136] = {
    [sym_import] = STATE(683),
    [sym_statement_block] = STATE(705),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(639),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [137] = {
    [sym_import] = STATE(574),
    [sym_statement_block] = STATE(536),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(537),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [138] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(465),
    [sym_expression] = STATE(858),
    [sym_primary_expression] = STATE(672),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(675),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(465),
    [sym_subscript_expression] = STATE(465),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(723),
    [anon_sym_export] = ACTIONS(725),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_DOT] = ACTIONS(727),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(729),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(725),
    [anon_sym_get] = ACTIONS(725),
    [anon_sym_set] = ACTIONS(725),
  },
  [139] = {
    [sym_import] = STATE(574),
    [sym_statement_block] = STATE(606),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(799),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [140] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(465),
    [sym_expression] = STATE(858),
    [sym_primary_expression] = STATE(672),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(675),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(465),
    [sym_subscript_expression] = STATE(465),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(733),
    [anon_sym_export] = ACTIONS(735),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_DOT] = ACTIONS(727),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(737),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(731),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(735),
    [anon_sym_get] = ACTIONS(735),
    [anon_sym_set] = ACTIONS(735),
  },
  [141] = {
    [sym_import] = STATE(683),
    [sym_statement_block] = STATE(697),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(668),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [142] = {
    [sym_import] = STATE(683),
    [sym_statement_block] = STATE(701),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(669),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [143] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(857),
    [sym_primary_expression] = STATE(510),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(507),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(739),
    [anon_sym_export] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_DOT] = ACTIONS(715),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(743),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(741),
    [anon_sym_get] = ACTIONS(741),
    [anon_sym_set] = ACTIONS(741),
  },
  [144] = {
    [sym_import] = STATE(683),
    [sym_statement_block] = STATE(705),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(670),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [145] = {
    [sym_import] = STATE(574),
    [sym_statement_block] = STATE(586),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(800),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [146] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(712),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_sequence_expression] = STATE(1418),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [147] = {
    [sym_import] = STATE(683),
    [sym_statement_block] = STATE(697),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(647),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [148] = {
    [sym_import] = STATE(683),
    [sym_statement_block] = STATE(701),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(645),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [149] = {
    [sym_import] = STATE(574),
    [sym_statement_block] = STATE(601),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(602),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [150] = {
    [sym_import] = STATE(574),
    [sym_statement_block] = STATE(606),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(560),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [151] = {
    [sym_import] = STATE(574),
    [sym_statement_block] = STATE(601),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(828),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [152] = {
    [sym_import] = STATE(683),
    [sym_statement_block] = STATE(759),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(671),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(713),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [153] = {
    [sym_import] = STATE(574),
    [sym_statement_block] = STATE(536),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(829),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [154] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(501),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [155] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(524),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [156] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(807),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [157] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(817),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [158] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(564),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [159] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(821),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [160] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(564),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [161] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(827),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [162] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(504),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [163] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(611),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [164] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(545),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [165] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(660),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [166] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(846),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [167] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(665),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [168] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(771),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [169] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(768),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [170] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(772),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [171] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(628),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [172] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(857),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1116),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1116),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(483),
    [sym_subscript_expression] = STATE(483),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1116),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(745),
    [anon_sym_export] = ACTIONS(747),
    [anon_sym_LBRACE] = ACTIONS(632),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(636),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(749),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(751),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(747),
    [anon_sym_get] = ACTIONS(747),
    [anon_sym_set] = ACTIONS(747),
  },
  [173] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(643),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [174] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(831),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [175] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(775),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [176] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(778),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [177] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(503),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [178] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(780),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [179] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(781),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [180] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(517),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [181] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(783),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [182] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(516),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [183] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(504),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [184] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(784),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [185] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(667),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [186] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(501),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [187] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(785),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [188] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(786),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [189] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(822),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [190] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(826),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [191] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(657),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [192] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(820),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [193] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(568),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [194] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(635),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [195] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(521),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [196] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(787),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [197] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(788),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [198] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(623),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [199] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(619),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [200] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(618),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [201] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(617),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [202] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(614),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [203] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(615),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [204] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(612),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [205] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(610),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [206] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(621),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [207] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(622),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [208] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(789),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [209] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(790),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [210] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(792),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [211] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(795),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [212] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(728),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [213] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(504),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [214] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(844),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [215] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(796),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [216] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(535),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [217] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(841),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [218] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(634),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [219] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(517),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [220] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(849),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [221] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(848),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [222] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(847),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [223] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(516),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [224] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(845),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [225] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(818),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [226] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(571),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [227] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(503),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [228] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(589),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [229] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(656),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [230] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(843),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [231] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(842),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [232] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(501),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [233] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(850),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [234] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(840),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [235] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(839),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [236] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(838),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [237] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(836),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [238] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(835),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [239] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(658),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [240] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(609),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [241] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(499),
    [sym_expression] = STATE(833),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1615),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1615),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(499),
    [sym_subscript_expression] = STATE(499),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(968),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1615),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1590),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(422),
    [anon_sym_export] = ACTIONS(424),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(430),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(438),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_PLUS] = ACTIONS(442),
    [anon_sym_DASH] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(444),
    [anon_sym_typeof] = ACTIONS(442),
    [anon_sym_void] = ACTIONS(442),
    [anon_sym_delete] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(424),
    [anon_sym_get] = ACTIONS(424),
    [anon_sym_set] = ACTIONS(424),
  },
  [242] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(552),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [243] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(584),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [244] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(654),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [245] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(653),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [246] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(652),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [247] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(662),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [248] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(674),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [249] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(650),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [250] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(649),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [251] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(644),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [252] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(825),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [253] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(641),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [254] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(638),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [255] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(633),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [256] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(607),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [257] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(526),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [258] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(632),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [259] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(656),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1142),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1142),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(486),
    [sym_subscript_expression] = STATE(486),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1142),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(753),
    [anon_sym_export] = ACTIONS(755),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(757),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(759),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(755),
    [anon_sym_get] = ACTIONS(755),
    [anon_sym_set] = ACTIONS(755),
  },
  [260] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(629),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [261] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(625),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [262] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(853),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [263] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(631),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [264] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(553),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [265] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(527),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [266] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(636),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [267] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(481),
    [sym_expression] = STATE(648),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1520),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1520),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(481),
    [sym_subscript_expression] = STATE(481),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(957),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1520),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1521),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(398),
    [anon_sym_export] = ACTIONS(400),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(404),
    [anon_sym_yield] = ACTIONS(406),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(410),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(412),
    [anon_sym_PLUS] = ACTIONS(414),
    [anon_sym_DASH] = ACTIONS(414),
    [anon_sym_BANG] = ACTIONS(416),
    [anon_sym_TILDE] = ACTIONS(416),
    [anon_sym_typeof] = ACTIONS(414),
    [anon_sym_void] = ACTIONS(414),
    [anon_sym_delete] = ACTIONS(414),
    [anon_sym_PLUS_PLUS] = ACTIONS(418),
    [anon_sym_DASH_DASH] = ACTIONS(418),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(400),
    [anon_sym_get] = ACTIONS(400),
    [anon_sym_set] = ACTIONS(400),
  },
  [268] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(547),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [269] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(544),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [270] = {
    [sym_import] = STATE(683),
    [sym_parenthesized_expression] = STATE(485),
    [sym_expression] = STATE(666),
    [sym_primary_expression] = STATE(693),
    [sym_yield_expression] = STATE(707),
    [sym_object] = STATE(683),
    [sym_object_pattern] = STATE(1578),
    [sym_array] = STATE(683),
    [sym_array_pattern] = STATE(1578),
    [sym_glimmer_template] = STATE(707),
    [sym_glimmer_opening_tag] = STATE(1216),
    [sym_jsx_element] = STATE(707),
    [sym_jsx_fragment] = STATE(707),
    [sym_jsx_opening_element] = STATE(998),
    [sym_jsx_self_closing_element] = STATE(707),
    [sym_class] = STATE(683),
    [sym_function] = STATE(683),
    [sym_generator_function] = STATE(683),
    [sym_arrow_function] = STATE(683),
    [sym_call_expression] = STATE(683),
    [sym_new_expression] = STATE(707),
    [sym_await_expression] = STATE(707),
    [sym_member_expression] = STATE(485),
    [sym_subscript_expression] = STATE(485),
    [sym_assignment_expression] = STATE(707),
    [sym__augmented_assignment_lhs] = STATE(975),
    [sym_augmented_assignment_expression] = STATE(707),
    [sym__destructuring_pattern] = STATE(1578),
    [sym_ternary_expression] = STATE(707),
    [sym_binary_expression] = STATE(707),
    [sym_unary_expression] = STATE(707),
    [sym_update_expression] = STATE(707),
    [sym_string] = STATE(683),
    [sym_template_string] = STATE(683),
    [sym_regex] = STATE(683),
    [sym_meta_property] = STATE(683),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1575),
    [aux_sym_export_statement_repeat1] = STATE(1209),
    [sym_identifier] = ACTIONS(382),
    [anon_sym_export] = ACTIONS(384),
    [anon_sym_LBRACE] = ACTIONS(388),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_await] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(53),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(57),
    [anon_sym_SLASH] = ACTIONS(59),
    [anon_sym_class] = ACTIONS(392),
    [anon_sym_async] = ACTIONS(394),
    [anon_sym_function] = ACTIONS(396),
    [anon_sym_new] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(71),
    [anon_sym_TILDE] = ACTIONS(71),
    [anon_sym_typeof] = ACTIONS(69),
    [anon_sym_void] = ACTIONS(69),
    [anon_sym_delete] = ACTIONS(69),
    [anon_sym_PLUS_PLUS] = ACTIONS(73),
    [anon_sym_DASH_DASH] = ACTIONS(73),
    [anon_sym_DQUOTE] = ACTIONS(75),
    [anon_sym_SQUOTE] = ACTIONS(77),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(79),
    [sym_number] = ACTIONS(81),
    [sym_this] = ACTIONS(83),
    [sym_super] = ACTIONS(83),
    [sym_true] = ACTIONS(83),
    [sym_false] = ACTIONS(83),
    [sym_null] = ACTIONS(83),
    [sym_undefined] = ACTIONS(85),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(384),
    [anon_sym_get] = ACTIONS(384),
    [anon_sym_set] = ACTIONS(384),
  },
  [271] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(782),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [272] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(529),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [273] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(434),
    [sym_expression] = STATE(503),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1613),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1613),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(434),
    [sym_subscript_expression] = STATE(434),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(965),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1613),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1565),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(450),
    [anon_sym_export] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(456),
    [anon_sym_yield] = ACTIONS(458),
    [anon_sym_LBRACK] = ACTIONS(434),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(460),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(462),
    [anon_sym_PLUS] = ACTIONS(464),
    [anon_sym_DASH] = ACTIONS(464),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_TILDE] = ACTIONS(466),
    [anon_sym_typeof] = ACTIONS(464),
    [anon_sym_void] = ACTIONS(464),
    [anon_sym_delete] = ACTIONS(464),
    [anon_sym_PLUS_PLUS] = ACTIONS(468),
    [anon_sym_DASH_DASH] = ACTIONS(468),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(470),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_get] = ACTIONS(452),
    [anon_sym_set] = ACTIONS(452),
  },
  [274] = {
    [sym_import] = STATE(574),
    [sym_parenthesized_expression] = STATE(449),
    [sym_expression] = STATE(532),
    [sym_primary_expression] = STATE(577),
    [sym_yield_expression] = STATE(518),
    [sym_object] = STATE(574),
    [sym_object_pattern] = STATE(1566),
    [sym_array] = STATE(574),
    [sym_array_pattern] = STATE(1566),
    [sym_glimmer_template] = STATE(518),
    [sym_glimmer_opening_tag] = STATE(1193),
    [sym_jsx_element] = STATE(518),
    [sym_jsx_fragment] = STATE(518),
    [sym_jsx_opening_element] = STATE(1000),
    [sym_jsx_self_closing_element] = STATE(518),
    [sym_class] = STATE(574),
    [sym_function] = STATE(574),
    [sym_generator_function] = STATE(574),
    [sym_arrow_function] = STATE(574),
    [sym_call_expression] = STATE(574),
    [sym_new_expression] = STATE(518),
    [sym_await_expression] = STATE(518),
    [sym_member_expression] = STATE(449),
    [sym_subscript_expression] = STATE(449),
    [sym_assignment_expression] = STATE(518),
    [sym__augmented_assignment_lhs] = STATE(963),
    [sym_augmented_assignment_expression] = STATE(518),
    [sym__destructuring_pattern] = STATE(1566),
    [sym_ternary_expression] = STATE(518),
    [sym_binary_expression] = STATE(518),
    [sym_unary_expression] = STATE(518),
    [sym_update_expression] = STATE(518),
    [sym_string] = STATE(574),
    [sym_template_string] = STATE(574),
    [sym_regex] = STATE(574),
    [sym_meta_property] = STATE(574),
    [sym_decorator] = STATE(978),
    [sym_formal_parameters] = STATE(1612),
    [aux_sym_export_statement_repeat1] = STATE(1146),
    [sym_identifier] = ACTIONS(330),
    [anon_sym_export] = ACTIONS(332),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_import] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(342),
    [anon_sym_await] = ACTIONS(344),
    [anon_sym_yield] = ACTIONS(348),
    [anon_sym_LBRACK] = ACTIONS(350),
    [anon_sym_LTtemplate_GT] = ACTIONS(55),
    [anon_sym_LT] = ACTIONS(352),
    [anon_sym_SLASH] = ACTIONS(354),
    [anon_sym_class] = ACTIONS(356),
    [anon_sym_async] = ACTIONS(358),
    [anon_sym_function] = ACTIONS(360),
    [anon_sym_new] = ACTIONS(362),
    [anon_sym_PLUS] = ACTIONS(364),
    [anon_sym_DASH] = ACTIONS(364),
    [anon_sym_BANG] = ACTIONS(366),
    [anon_sym_TILDE] = ACTIONS(366),
    [anon_sym_typeof] = ACTIONS(364),
    [anon_sym_void] = ACTIONS(364),
    [anon_sym_delete] = ACTIONS(364),
    [anon_sym_PLUS_PLUS] = ACTIONS(368),
    [anon_sym_DASH_DASH] = ACTIONS(368),
    [anon_sym_DQUOTE] = ACTIONS(370),
    [anon_sym_SQUOTE] = ACTIONS(372),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(374),
    [sym_number] = ACTIONS(376),
    [sym_this] = ACTIONS(378),
    [sym_super] = ACTIONS(378),
    [sym_true] = ACTIONS(378),
    [sym_false] = ACTIONS(378),
    [sym_null] = ACTIONS(378),
    [sym_undefined] = ACTIONS(380),
    [anon_sym_AT] = ACTIONS(87),
    [anon_sym_static] = ACTIONS(332),
    [anon_sym_get] = ACTIONS(332),
    [anon_sym_set] = ACTIONS(332),
  },
  [275] = {
    [sym_export_clause] = STATE(1191),
    [sym_declaration] = STATE(362),
    [sym_namespace_import_export] = STATE(1333),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_class_declaration] = STATE(356),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function_declaration] = STATE(356),
    [sym_decorator] = STATE(978),
    [aux_sym_export_statement_repeat1] = STATE(1179),
    [aux_sym_object_repeat1] = STATE(1233),
    [aux_sym_object_pattern_repeat1] = STATE(1234),
    [anon_sym_STAR] = ACTIONS(761),
    [anon_sym_default] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_COMMA] = ACTIONS(767),
    [anon_sym_RBRACE] = ACTIONS(769),
    [anon_sym_var] = ACTIONS(771),
    [anon_sym_let] = ACTIONS(773),
    [anon_sym_const] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(775),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(767),
    [anon_sym_COLON] = ACTIONS(780),
    [anon_sym_EQ] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(767),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_DOT] = ACTIONS(767),
    [anon_sym_class] = ACTIONS(785),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_function] = ACTIONS(789),
    [anon_sym_EQ_GT] = ACTIONS(791),
    [sym_optional_chain] = ACTIONS(767),
    [anon_sym_PLUS_EQ] = ACTIONS(793),
    [anon_sym_DASH_EQ] = ACTIONS(793),
    [anon_sym_STAR_EQ] = ACTIONS(793),
    [anon_sym_SLASH_EQ] = ACTIONS(793),
    [anon_sym_PERCENT_EQ] = ACTIONS(793),
    [anon_sym_CARET_EQ] = ACTIONS(793),
    [anon_sym_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_LT_LT_EQ] = ACTIONS(793),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(793),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(778),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_GT_GT_GT] = ACTIONS(778),
    [anon_sym_LT_LT] = ACTIONS(778),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(778),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_STAR_STAR] = ACTIONS(778),
    [anon_sym_LT_EQ] = ACTIONS(767),
    [anon_sym_EQ_EQ] = ACTIONS(778),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(767),
    [anon_sym_BANG_EQ] = ACTIONS(778),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(767),
    [anon_sym_QMARK_QMARK] = ACTIONS(778),
    [anon_sym_instanceof] = ACTIONS(767),
    [anon_sym_PLUS_PLUS] = ACTIONS(767),
    [anon_sym_DASH_DASH] = ACTIONS(767),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_AT] = ACTIONS(87),
    [sym__automatic_semicolon] = ACTIONS(767),
    [sym__ternary_qmark] = ACTIONS(767),
  },
  [276] = {
    [sym_export_clause] = STATE(1191),
    [sym_declaration] = STATE(362),
    [sym_namespace_import_export] = STATE(1333),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_class_declaration] = STATE(356),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function_declaration] = STATE(356),
    [sym_decorator] = STATE(978),
    [aux_sym_export_statement_repeat1] = STATE(1179),
    [aux_sym_object_repeat1] = STATE(1293),
    [aux_sym_object_pattern_repeat1] = STATE(1234),
    [anon_sym_STAR] = ACTIONS(761),
    [anon_sym_default] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_COMMA] = ACTIONS(767),
    [anon_sym_RBRACE] = ACTIONS(795),
    [anon_sym_var] = ACTIONS(771),
    [anon_sym_let] = ACTIONS(773),
    [anon_sym_const] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(775),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(767),
    [anon_sym_COLON] = ACTIONS(780),
    [anon_sym_EQ] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(767),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_DOT] = ACTIONS(767),
    [anon_sym_class] = ACTIONS(785),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_function] = ACTIONS(789),
    [anon_sym_EQ_GT] = ACTIONS(791),
    [sym_optional_chain] = ACTIONS(767),
    [anon_sym_PLUS_EQ] = ACTIONS(793),
    [anon_sym_DASH_EQ] = ACTIONS(793),
    [anon_sym_STAR_EQ] = ACTIONS(793),
    [anon_sym_SLASH_EQ] = ACTIONS(793),
    [anon_sym_PERCENT_EQ] = ACTIONS(793),
    [anon_sym_CARET_EQ] = ACTIONS(793),
    [anon_sym_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_LT_LT_EQ] = ACTIONS(793),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(793),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(778),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_GT_GT_GT] = ACTIONS(778),
    [anon_sym_LT_LT] = ACTIONS(778),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(778),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_STAR_STAR] = ACTIONS(778),
    [anon_sym_LT_EQ] = ACTIONS(767),
    [anon_sym_EQ_EQ] = ACTIONS(778),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(767),
    [anon_sym_BANG_EQ] = ACTIONS(778),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(767),
    [anon_sym_QMARK_QMARK] = ACTIONS(778),
    [anon_sym_instanceof] = ACTIONS(767),
    [anon_sym_PLUS_PLUS] = ACTIONS(767),
    [anon_sym_DASH_DASH] = ACTIONS(767),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_AT] = ACTIONS(87),
    [sym__automatic_semicolon] = ACTIONS(767),
    [sym__ternary_qmark] = ACTIONS(767),
  },
  [277] = {
    [sym_export_clause] = STATE(1191),
    [sym_declaration] = STATE(362),
    [sym_namespace_import_export] = STATE(1333),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_class_declaration] = STATE(356),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function_declaration] = STATE(356),
    [sym_decorator] = STATE(978),
    [aux_sym_export_statement_repeat1] = STATE(1179),
    [aux_sym_object_repeat1] = STATE(1293),
    [aux_sym_object_pattern_repeat1] = STATE(1234),
    [anon_sym_STAR] = ACTIONS(761),
    [anon_sym_default] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_COMMA] = ACTIONS(767),
    [anon_sym_RBRACE] = ACTIONS(797),
    [anon_sym_var] = ACTIONS(771),
    [anon_sym_let] = ACTIONS(773),
    [anon_sym_const] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(775),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(767),
    [anon_sym_COLON] = ACTIONS(780),
    [anon_sym_EQ] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(767),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_DOT] = ACTIONS(767),
    [anon_sym_class] = ACTIONS(785),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_function] = ACTIONS(789),
    [anon_sym_EQ_GT] = ACTIONS(791),
    [sym_optional_chain] = ACTIONS(767),
    [anon_sym_PLUS_EQ] = ACTIONS(793),
    [anon_sym_DASH_EQ] = ACTIONS(793),
    [anon_sym_STAR_EQ] = ACTIONS(793),
    [anon_sym_SLASH_EQ] = ACTIONS(793),
    [anon_sym_PERCENT_EQ] = ACTIONS(793),
    [anon_sym_CARET_EQ] = ACTIONS(793),
    [anon_sym_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_LT_LT_EQ] = ACTIONS(793),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(793),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(778),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_GT_GT_GT] = ACTIONS(778),
    [anon_sym_LT_LT] = ACTIONS(778),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(778),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_STAR_STAR] = ACTIONS(778),
    [anon_sym_LT_EQ] = ACTIONS(767),
    [anon_sym_EQ_EQ] = ACTIONS(778),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(767),
    [anon_sym_BANG_EQ] = ACTIONS(778),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(767),
    [anon_sym_QMARK_QMARK] = ACTIONS(778),
    [anon_sym_instanceof] = ACTIONS(767),
    [anon_sym_PLUS_PLUS] = ACTIONS(767),
    [anon_sym_DASH_DASH] = ACTIONS(767),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_AT] = ACTIONS(87),
    [sym__automatic_semicolon] = ACTIONS(767),
    [sym__ternary_qmark] = ACTIONS(767),
  },
  [278] = {
    [sym_export_clause] = STATE(1191),
    [sym_declaration] = STATE(362),
    [sym_namespace_import_export] = STATE(1333),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_class_declaration] = STATE(356),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function_declaration] = STATE(356),
    [sym_decorator] = STATE(978),
    [aux_sym_export_statement_repeat1] = STATE(1179),
    [anon_sym_STAR] = ACTIONS(761),
    [anon_sym_default] = ACTIONS(799),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_COMMA] = ACTIONS(767),
    [anon_sym_var] = ACTIONS(771),
    [anon_sym_let] = ACTIONS(773),
    [anon_sym_const] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(767),
    [anon_sym_COLON] = ACTIONS(801),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(767),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_DOT] = ACTIONS(767),
    [anon_sym_class] = ACTIONS(785),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_function] = ACTIONS(789),
    [anon_sym_EQ_GT] = ACTIONS(791),
    [sym_optional_chain] = ACTIONS(767),
    [anon_sym_PLUS_EQ] = ACTIONS(793),
    [anon_sym_DASH_EQ] = ACTIONS(793),
    [anon_sym_STAR_EQ] = ACTIONS(793),
    [anon_sym_SLASH_EQ] = ACTIONS(793),
    [anon_sym_PERCENT_EQ] = ACTIONS(793),
    [anon_sym_CARET_EQ] = ACTIONS(793),
    [anon_sym_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_LT_LT_EQ] = ACTIONS(793),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(793),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(778),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_GT_GT_GT] = ACTIONS(778),
    [anon_sym_LT_LT] = ACTIONS(778),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(778),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_STAR_STAR] = ACTIONS(778),
    [anon_sym_LT_EQ] = ACTIONS(767),
    [anon_sym_EQ_EQ] = ACTIONS(778),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(767),
    [anon_sym_BANG_EQ] = ACTIONS(778),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(767),
    [anon_sym_QMARK_QMARK] = ACTIONS(778),
    [anon_sym_instanceof] = ACTIONS(767),
    [anon_sym_PLUS_PLUS] = ACTIONS(767),
    [anon_sym_DASH_DASH] = ACTIONS(767),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_AT] = ACTIONS(87),
    [sym__automatic_semicolon] = ACTIONS(767),
    [sym__ternary_qmark] = ACTIONS(767),
  },
  [279] = {
    [sym_export_clause] = STATE(1191),
    [sym_declaration] = STATE(362),
    [sym_namespace_import_export] = STATE(1333),
    [sym_variable_declaration] = STATE(356),
    [sym_lexical_declaration] = STATE(356),
    [sym_class_declaration] = STATE(356),
    [sym_function_declaration] = STATE(356),
    [sym_generator_function_declaration] = STATE(356),
    [sym_decorator] = STATE(978),
    [aux_sym_export_statement_repeat1] = STATE(1179),
    [anon_sym_STAR] = ACTIONS(761),
    [anon_sym_default] = ACTIONS(763),
    [anon_sym_LBRACE] = ACTIONS(765),
    [anon_sym_COMMA] = ACTIONS(767),
    [anon_sym_var] = ACTIONS(771),
    [anon_sym_let] = ACTIONS(773),
    [anon_sym_const] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(767),
    [anon_sym_COLON] = ACTIONS(805),
    [anon_sym_EQ] = ACTIONS(803),
    [anon_sym_LBRACK] = ACTIONS(767),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_DOT] = ACTIONS(767),
    [anon_sym_class] = ACTIONS(785),
    [anon_sym_async] = ACTIONS(787),
    [anon_sym_function] = ACTIONS(789),
    [anon_sym_EQ_GT] = ACTIONS(791),
    [sym_optional_chain] = ACTIONS(767),
    [anon_sym_PLUS_EQ] = ACTIONS(793),
    [anon_sym_DASH_EQ] = ACTIONS(793),
    [anon_sym_STAR_EQ] = ACTIONS(793),
    [anon_sym_SLASH_EQ] = ACTIONS(793),
    [anon_sym_PERCENT_EQ] = ACTIONS(793),
    [anon_sym_CARET_EQ] = ACTIONS(793),
    [anon_sym_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_LT_LT_EQ] = ACTIONS(793),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(793),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(778),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_GT_GT_GT] = ACTIONS(778),
    [anon_sym_LT_LT] = ACTIONS(778),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(778),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_STAR_STAR] = ACTIONS(778),
    [anon_sym_LT_EQ] = ACTIONS(767),
    [anon_sym_EQ_EQ] = ACTIONS(778),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(767),
    [anon_sym_BANG_EQ] = ACTIONS(778),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(767),
    [anon_sym_QMARK_QMARK] = ACTIONS(778),
    [anon_sym_instanceof] = ACTIONS(767),
    [anon_sym_PLUS_PLUS] = ACTIONS(767),
    [anon_sym_DASH_DASH] = ACTIONS(767),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [anon_sym_AT] = ACTIONS(87),
    [sym__automatic_semicolon] = ACTIONS(767),
    [sym__ternary_qmark] = ACTIONS(767),
  },
  [280] = {
    [sym_string] = STATE(1417),
    [sym_formal_parameters] = STATE(1511),
    [sym__property_name] = STATE(1417),
    [sym_computed_property_name] = STATE(1417),
    [aux_sym_object_repeat1] = STATE(1233),
    [aux_sym_object_pattern_repeat1] = STATE(1234),
    [sym_identifier] = ACTIONS(807),
    [anon_sym_export] = ACTIONS(809),
    [anon_sym_STAR] = ACTIONS(811),
    [anon_sym_COMMA] = ACTIONS(767),
    [anon_sym_RBRACE] = ACTIONS(769),
    [anon_sym_LPAREN] = ACTIONS(814),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(767),
    [anon_sym_COLON] = ACTIONS(780),
    [anon_sym_EQ] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(818),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_async] = ACTIONS(809),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_EQ_GT] = ACTIONS(791),
    [sym_optional_chain] = ACTIONS(767),
    [anon_sym_PLUS_EQ] = ACTIONS(793),
    [anon_sym_DASH_EQ] = ACTIONS(793),
    [anon_sym_STAR_EQ] = ACTIONS(793),
    [anon_sym_SLASH_EQ] = ACTIONS(793),
    [anon_sym_PERCENT_EQ] = ACTIONS(793),
    [anon_sym_CARET_EQ] = ACTIONS(793),
    [anon_sym_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_LT_LT_EQ] = ACTIONS(793),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(793),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(778),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_GT_GT_GT] = ACTIONS(778),
    [anon_sym_LT_LT] = ACTIONS(778),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(778),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_STAR_STAR] = ACTIONS(778),
    [anon_sym_LT_EQ] = ACTIONS(767),
    [anon_sym_EQ_EQ] = ACTIONS(778),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(767),
    [anon_sym_BANG_EQ] = ACTIONS(778),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(767),
    [anon_sym_QMARK_QMARK] = ACTIONS(778),
    [anon_sym_instanceof] = ACTIONS(778),
    [anon_sym_PLUS_PLUS] = ACTIONS(767),
    [anon_sym_DASH_DASH] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(823),
    [anon_sym_SQUOTE] = ACTIONS(825),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [sym_number] = ACTIONS(827),
    [sym_private_property_identifier] = ACTIONS(827),
    [anon_sym_static] = ACTIONS(809),
    [anon_sym_get] = ACTIONS(829),
    [anon_sym_set] = ACTIONS(829),
    [sym__automatic_semicolon] = ACTIONS(767),
    [sym__ternary_qmark] = ACTIONS(767),
  },
  [281] = {
    [sym_string] = STATE(1417),
    [sym_formal_parameters] = STATE(1511),
    [sym__property_name] = STATE(1417),
    [sym_computed_property_name] = STATE(1417),
    [aux_sym_object_repeat1] = STATE(1293),
    [aux_sym_object_pattern_repeat1] = STATE(1234),
    [sym_identifier] = ACTIONS(807),
    [anon_sym_export] = ACTIONS(809),
    [anon_sym_STAR] = ACTIONS(811),
    [anon_sym_COMMA] = ACTIONS(767),
    [anon_sym_RBRACE] = ACTIONS(795),
    [anon_sym_LPAREN] = ACTIONS(814),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(767),
    [anon_sym_COLON] = ACTIONS(780),
    [anon_sym_EQ] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(818),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_async] = ACTIONS(809),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_EQ_GT] = ACTIONS(791),
    [sym_optional_chain] = ACTIONS(767),
    [anon_sym_PLUS_EQ] = ACTIONS(793),
    [anon_sym_DASH_EQ] = ACTIONS(793),
    [anon_sym_STAR_EQ] = ACTIONS(793),
    [anon_sym_SLASH_EQ] = ACTIONS(793),
    [anon_sym_PERCENT_EQ] = ACTIONS(793),
    [anon_sym_CARET_EQ] = ACTIONS(793),
    [anon_sym_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_LT_LT_EQ] = ACTIONS(793),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(793),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(778),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_GT_GT_GT] = ACTIONS(778),
    [anon_sym_LT_LT] = ACTIONS(778),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(778),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_STAR_STAR] = ACTIONS(778),
    [anon_sym_LT_EQ] = ACTIONS(767),
    [anon_sym_EQ_EQ] = ACTIONS(778),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(767),
    [anon_sym_BANG_EQ] = ACTIONS(778),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(767),
    [anon_sym_QMARK_QMARK] = ACTIONS(778),
    [anon_sym_instanceof] = ACTIONS(778),
    [anon_sym_PLUS_PLUS] = ACTIONS(767),
    [anon_sym_DASH_DASH] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(823),
    [anon_sym_SQUOTE] = ACTIONS(825),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [sym_number] = ACTIONS(827),
    [sym_private_property_identifier] = ACTIONS(827),
    [anon_sym_static] = ACTIONS(809),
    [anon_sym_get] = ACTIONS(829),
    [anon_sym_set] = ACTIONS(829),
    [sym__automatic_semicolon] = ACTIONS(767),
    [sym__ternary_qmark] = ACTIONS(767),
  },
  [282] = {
    [sym_string] = STATE(1417),
    [sym_formal_parameters] = STATE(1511),
    [sym__property_name] = STATE(1417),
    [sym_computed_property_name] = STATE(1417),
    [aux_sym_object_repeat1] = STATE(1293),
    [aux_sym_object_pattern_repeat1] = STATE(1234),
    [sym_identifier] = ACTIONS(807),
    [anon_sym_export] = ACTIONS(809),
    [anon_sym_STAR] = ACTIONS(811),
    [anon_sym_COMMA] = ACTIONS(767),
    [anon_sym_RBRACE] = ACTIONS(797),
    [anon_sym_LPAREN] = ACTIONS(814),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(767),
    [anon_sym_COLON] = ACTIONS(780),
    [anon_sym_EQ] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(818),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_async] = ACTIONS(809),
    [anon_sym_function] = ACTIONS(821),
    [anon_sym_EQ_GT] = ACTIONS(791),
    [sym_optional_chain] = ACTIONS(767),
    [anon_sym_PLUS_EQ] = ACTIONS(793),
    [anon_sym_DASH_EQ] = ACTIONS(793),
    [anon_sym_STAR_EQ] = ACTIONS(793),
    [anon_sym_SLASH_EQ] = ACTIONS(793),
    [anon_sym_PERCENT_EQ] = ACTIONS(793),
    [anon_sym_CARET_EQ] = ACTIONS(793),
    [anon_sym_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_LT_LT_EQ] = ACTIONS(793),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(793),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(778),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_GT_GT_GT] = ACTIONS(778),
    [anon_sym_LT_LT] = ACTIONS(778),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(778),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_STAR_STAR] = ACTIONS(778),
    [anon_sym_LT_EQ] = ACTIONS(767),
    [anon_sym_EQ_EQ] = ACTIONS(778),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(767),
    [anon_sym_BANG_EQ] = ACTIONS(778),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(767),
    [anon_sym_QMARK_QMARK] = ACTIONS(778),
    [anon_sym_instanceof] = ACTIONS(778),
    [anon_sym_PLUS_PLUS] = ACTIONS(767),
    [anon_sym_DASH_DASH] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(823),
    [anon_sym_SQUOTE] = ACTIONS(825),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [sym_number] = ACTIONS(827),
    [sym_private_property_identifier] = ACTIONS(827),
    [anon_sym_static] = ACTIONS(809),
    [anon_sym_get] = ACTIONS(829),
    [anon_sym_set] = ACTIONS(829),
    [sym__automatic_semicolon] = ACTIONS(767),
    [sym__ternary_qmark] = ACTIONS(767),
  },
  [283] = {
    [sym_string] = STATE(1417),
    [sym__property_name] = STATE(1417),
    [sym_computed_property_name] = STATE(1417),
    [aux_sym_object_repeat1] = STATE(1293),
    [aux_sym_object_pattern_repeat1] = STATE(1234),
    [sym_identifier] = ACTIONS(831),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(778),
    [anon_sym_COMMA] = ACTIONS(767),
    [anon_sym_RBRACE] = ACTIONS(795),
    [anon_sym_LPAREN] = ACTIONS(775),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(767),
    [anon_sym_COLON] = ACTIONS(780),
    [anon_sym_EQ] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(818),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_EQ_GT] = ACTIONS(791),
    [sym_optional_chain] = ACTIONS(767),
    [anon_sym_PLUS_EQ] = ACTIONS(793),
    [anon_sym_DASH_EQ] = ACTIONS(793),
    [anon_sym_STAR_EQ] = ACTIONS(793),
    [anon_sym_SLASH_EQ] = ACTIONS(793),
    [anon_sym_PERCENT_EQ] = ACTIONS(793),
    [anon_sym_CARET_EQ] = ACTIONS(793),
    [anon_sym_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_LT_LT_EQ] = ACTIONS(793),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(793),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(778),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_GT_GT_GT] = ACTIONS(778),
    [anon_sym_LT_LT] = ACTIONS(778),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(778),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_STAR_STAR] = ACTIONS(778),
    [anon_sym_LT_EQ] = ACTIONS(767),
    [anon_sym_EQ_EQ] = ACTIONS(778),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(767),
    [anon_sym_BANG_EQ] = ACTIONS(778),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(767),
    [anon_sym_QMARK_QMARK] = ACTIONS(778),
    [anon_sym_instanceof] = ACTIONS(778),
    [anon_sym_PLUS_PLUS] = ACTIONS(767),
    [anon_sym_DASH_DASH] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(823),
    [anon_sym_SQUOTE] = ACTIONS(825),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [sym_number] = ACTIONS(827),
    [sym_private_property_identifier] = ACTIONS(827),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [sym__automatic_semicolon] = ACTIONS(767),
    [sym__ternary_qmark] = ACTIONS(767),
  },
  [284] = {
    [sym_string] = STATE(1417),
    [sym__property_name] = STATE(1417),
    [sym_computed_property_name] = STATE(1417),
    [aux_sym_object_repeat1] = STATE(1233),
    [aux_sym_object_pattern_repeat1] = STATE(1234),
    [sym_identifier] = ACTIONS(831),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(811),
    [anon_sym_COMMA] = ACTIONS(767),
    [anon_sym_RBRACE] = ACTIONS(769),
    [anon_sym_LPAREN] = ACTIONS(775),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(767),
    [anon_sym_COLON] = ACTIONS(780),
    [anon_sym_EQ] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(818),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_async] = ACTIONS(833),
    [anon_sym_EQ_GT] = ACTIONS(791),
    [sym_optional_chain] = ACTIONS(767),
    [anon_sym_PLUS_EQ] = ACTIONS(793),
    [anon_sym_DASH_EQ] = ACTIONS(793),
    [anon_sym_STAR_EQ] = ACTIONS(793),
    [anon_sym_SLASH_EQ] = ACTIONS(793),
    [anon_sym_PERCENT_EQ] = ACTIONS(793),
    [anon_sym_CARET_EQ] = ACTIONS(793),
    [anon_sym_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_LT_LT_EQ] = ACTIONS(793),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(793),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(778),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_GT_GT_GT] = ACTIONS(778),
    [anon_sym_LT_LT] = ACTIONS(778),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(778),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_STAR_STAR] = ACTIONS(778),
    [anon_sym_LT_EQ] = ACTIONS(767),
    [anon_sym_EQ_EQ] = ACTIONS(778),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(767),
    [anon_sym_BANG_EQ] = ACTIONS(778),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(767),
    [anon_sym_QMARK_QMARK] = ACTIONS(778),
    [anon_sym_instanceof] = ACTIONS(778),
    [anon_sym_PLUS_PLUS] = ACTIONS(767),
    [anon_sym_DASH_DASH] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(823),
    [anon_sym_SQUOTE] = ACTIONS(825),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [sym_number] = ACTIONS(827),
    [sym_private_property_identifier] = ACTIONS(827),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(835),
    [anon_sym_set] = ACTIONS(835),
    [sym__automatic_semicolon] = ACTIONS(767),
    [sym__ternary_qmark] = ACTIONS(767),
  },
  [285] = {
    [sym_string] = STATE(1417),
    [sym__property_name] = STATE(1417),
    [sym_computed_property_name] = STATE(1417),
    [aux_sym_object_repeat1] = STATE(1233),
    [aux_sym_object_pattern_repeat1] = STATE(1234),
    [sym_identifier] = ACTIONS(831),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(778),
    [anon_sym_COMMA] = ACTIONS(767),
    [anon_sym_RBRACE] = ACTIONS(769),
    [anon_sym_LPAREN] = ACTIONS(775),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(767),
    [anon_sym_COLON] = ACTIONS(780),
    [anon_sym_EQ] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(818),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_EQ_GT] = ACTIONS(791),
    [sym_optional_chain] = ACTIONS(767),
    [anon_sym_PLUS_EQ] = ACTIONS(793),
    [anon_sym_DASH_EQ] = ACTIONS(793),
    [anon_sym_STAR_EQ] = ACTIONS(793),
    [anon_sym_SLASH_EQ] = ACTIONS(793),
    [anon_sym_PERCENT_EQ] = ACTIONS(793),
    [anon_sym_CARET_EQ] = ACTIONS(793),
    [anon_sym_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_LT_LT_EQ] = ACTIONS(793),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(793),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(778),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_GT_GT_GT] = ACTIONS(778),
    [anon_sym_LT_LT] = ACTIONS(778),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(778),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_STAR_STAR] = ACTIONS(778),
    [anon_sym_LT_EQ] = ACTIONS(767),
    [anon_sym_EQ_EQ] = ACTIONS(778),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(767),
    [anon_sym_BANG_EQ] = ACTIONS(778),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(767),
    [anon_sym_QMARK_QMARK] = ACTIONS(778),
    [anon_sym_instanceof] = ACTIONS(778),
    [anon_sym_PLUS_PLUS] = ACTIONS(767),
    [anon_sym_DASH_DASH] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(823),
    [anon_sym_SQUOTE] = ACTIONS(825),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [sym_number] = ACTIONS(827),
    [sym_private_property_identifier] = ACTIONS(827),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [sym__automatic_semicolon] = ACTIONS(767),
    [sym__ternary_qmark] = ACTIONS(767),
  },
  [286] = {
    [sym_string] = STATE(1417),
    [sym__property_name] = STATE(1417),
    [sym_computed_property_name] = STATE(1417),
    [aux_sym_object_repeat1] = STATE(1293),
    [aux_sym_object_pattern_repeat1] = STATE(1234),
    [sym_identifier] = ACTIONS(831),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(811),
    [anon_sym_COMMA] = ACTIONS(767),
    [anon_sym_RBRACE] = ACTIONS(795),
    [anon_sym_LPAREN] = ACTIONS(775),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(767),
    [anon_sym_COLON] = ACTIONS(780),
    [anon_sym_EQ] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(818),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_async] = ACTIONS(833),
    [anon_sym_EQ_GT] = ACTIONS(791),
    [sym_optional_chain] = ACTIONS(767),
    [anon_sym_PLUS_EQ] = ACTIONS(793),
    [anon_sym_DASH_EQ] = ACTIONS(793),
    [anon_sym_STAR_EQ] = ACTIONS(793),
    [anon_sym_SLASH_EQ] = ACTIONS(793),
    [anon_sym_PERCENT_EQ] = ACTIONS(793),
    [anon_sym_CARET_EQ] = ACTIONS(793),
    [anon_sym_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_LT_LT_EQ] = ACTIONS(793),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(793),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(778),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_GT_GT_GT] = ACTIONS(778),
    [anon_sym_LT_LT] = ACTIONS(778),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(778),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_STAR_STAR] = ACTIONS(778),
    [anon_sym_LT_EQ] = ACTIONS(767),
    [anon_sym_EQ_EQ] = ACTIONS(778),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(767),
    [anon_sym_BANG_EQ] = ACTIONS(778),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(767),
    [anon_sym_QMARK_QMARK] = ACTIONS(778),
    [anon_sym_instanceof] = ACTIONS(778),
    [anon_sym_PLUS_PLUS] = ACTIONS(767),
    [anon_sym_DASH_DASH] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(823),
    [anon_sym_SQUOTE] = ACTIONS(825),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [sym_number] = ACTIONS(827),
    [sym_private_property_identifier] = ACTIONS(827),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(835),
    [anon_sym_set] = ACTIONS(835),
    [sym__automatic_semicolon] = ACTIONS(767),
    [sym__ternary_qmark] = ACTIONS(767),
  },
  [287] = {
    [sym_string] = STATE(1417),
    [sym__property_name] = STATE(1417),
    [sym_computed_property_name] = STATE(1417),
    [aux_sym_object_repeat1] = STATE(1293),
    [aux_sym_object_pattern_repeat1] = STATE(1234),
    [sym_identifier] = ACTIONS(831),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(778),
    [anon_sym_COMMA] = ACTIONS(767),
    [anon_sym_RBRACE] = ACTIONS(797),
    [anon_sym_LPAREN] = ACTIONS(775),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(767),
    [anon_sym_COLON] = ACTIONS(780),
    [anon_sym_EQ] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(818),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_async] = ACTIONS(831),
    [anon_sym_EQ_GT] = ACTIONS(791),
    [sym_optional_chain] = ACTIONS(767),
    [anon_sym_PLUS_EQ] = ACTIONS(793),
    [anon_sym_DASH_EQ] = ACTIONS(793),
    [anon_sym_STAR_EQ] = ACTIONS(793),
    [anon_sym_SLASH_EQ] = ACTIONS(793),
    [anon_sym_PERCENT_EQ] = ACTIONS(793),
    [anon_sym_CARET_EQ] = ACTIONS(793),
    [anon_sym_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_LT_LT_EQ] = ACTIONS(793),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(793),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(778),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_GT_GT_GT] = ACTIONS(778),
    [anon_sym_LT_LT] = ACTIONS(778),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(778),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_STAR_STAR] = ACTIONS(778),
    [anon_sym_LT_EQ] = ACTIONS(767),
    [anon_sym_EQ_EQ] = ACTIONS(778),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(767),
    [anon_sym_BANG_EQ] = ACTIONS(778),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(767),
    [anon_sym_QMARK_QMARK] = ACTIONS(778),
    [anon_sym_instanceof] = ACTIONS(778),
    [anon_sym_PLUS_PLUS] = ACTIONS(767),
    [anon_sym_DASH_DASH] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(823),
    [anon_sym_SQUOTE] = ACTIONS(825),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [sym_number] = ACTIONS(827),
    [sym_private_property_identifier] = ACTIONS(827),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(831),
    [anon_sym_set] = ACTIONS(831),
    [sym__automatic_semicolon] = ACTIONS(767),
    [sym__ternary_qmark] = ACTIONS(767),
  },
  [288] = {
    [sym_string] = STATE(1417),
    [sym__property_name] = STATE(1417),
    [sym_computed_property_name] = STATE(1417),
    [aux_sym_object_repeat1] = STATE(1293),
    [aux_sym_object_pattern_repeat1] = STATE(1234),
    [sym_identifier] = ACTIONS(831),
    [anon_sym_export] = ACTIONS(831),
    [anon_sym_STAR] = ACTIONS(811),
    [anon_sym_COMMA] = ACTIONS(767),
    [anon_sym_RBRACE] = ACTIONS(797),
    [anon_sym_LPAREN] = ACTIONS(775),
    [anon_sym_in] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(767),
    [anon_sym_COLON] = ACTIONS(780),
    [anon_sym_EQ] = ACTIONS(783),
    [anon_sym_LBRACK] = ACTIONS(818),
    [anon_sym_LT] = ACTIONS(778),
    [anon_sym_GT] = ACTIONS(778),
    [anon_sym_SLASH] = ACTIONS(778),
    [anon_sym_DOT] = ACTIONS(778),
    [anon_sym_async] = ACTIONS(833),
    [anon_sym_EQ_GT] = ACTIONS(791),
    [sym_optional_chain] = ACTIONS(767),
    [anon_sym_PLUS_EQ] = ACTIONS(793),
    [anon_sym_DASH_EQ] = ACTIONS(793),
    [anon_sym_STAR_EQ] = ACTIONS(793),
    [anon_sym_SLASH_EQ] = ACTIONS(793),
    [anon_sym_PERCENT_EQ] = ACTIONS(793),
    [anon_sym_CARET_EQ] = ACTIONS(793),
    [anon_sym_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(793),
    [anon_sym_LT_LT_EQ] = ACTIONS(793),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP_EQ] = ACTIONS(793),
    [anon_sym_PIPE_PIPE_EQ] = ACTIONS(793),
    [anon_sym_QMARK_QMARK_EQ] = ACTIONS(793),
    [anon_sym_AMP_AMP] = ACTIONS(778),
    [anon_sym_PIPE_PIPE] = ACTIONS(778),
    [anon_sym_GT_GT] = ACTIONS(778),
    [anon_sym_GT_GT_GT] = ACTIONS(778),
    [anon_sym_LT_LT] = ACTIONS(778),
    [anon_sym_AMP] = ACTIONS(778),
    [anon_sym_CARET] = ACTIONS(778),
    [anon_sym_PIPE] = ACTIONS(778),
    [anon_sym_PLUS] = ACTIONS(778),
    [anon_sym_DASH] = ACTIONS(778),
    [anon_sym_PERCENT] = ACTIONS(778),
    [anon_sym_STAR_STAR] = ACTIONS(778),
    [anon_sym_LT_EQ] = ACTIONS(767),
    [anon_sym_EQ_EQ] = ACTIONS(778),
    [anon_sym_EQ_EQ_EQ] = ACTIONS(767),
    [anon_sym_BANG_EQ] = ACTIONS(778),
    [anon_sym_BANG_EQ_EQ] = ACTIONS(767),
    [anon_sym_GT_EQ] = ACTIONS(767),
    [anon_sym_QMARK_QMARK] = ACTIONS(778),
    [anon_sym_instanceof] = ACTIONS(778),
    [anon_sym_PLUS_PLUS] = ACTIONS(767),
    [anon_sym_DASH_DASH] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(823),
    [anon_sym_SQUOTE] = ACTIONS(825),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(767),
    [sym_number] = ACTIONS(827),
    [sym_private_property_identifier] = ACTIONS(827),
    [anon_sym_static] = ACTIONS(831),
    [anon_sym_get] = ACTIONS(835),
    [anon_sym_set] = ACTIONS(835),
    [sym__automatic_semicolon] = ACTIONS(767),
    [sym__ternary_qmark] = ACTIONS(767),
  },
  [289] = {
    [ts_builtin_sym_end] = ACTIONS(510),
    [sym_identifier] = ACTIONS(512),
    [anon_sym_export] = ACTIONS(512),
    [anon_sym_STAR] = ACTIONS(510),
    [anon_sym_default] = ACTIONS(512),
    [anon_sym_LBRACE] = ACTIONS(510),
    [anon_sym_COMMA] = ACTIONS(510),
    [anon_sym_RBRACE] = ACTIONS(510),
    [anon_sym_import] = ACTIONS(512),
    [anon_sym_var] = ACTIONS(512),
    [anon_sym_let] = ACTIONS(512),
    [anon_sym_const] = ACTIONS(512),
    [anon_sym_else] = ACTIONS(512),
    [anon_sym_if] = ACTIONS(512),
    [anon_sym_switch] = ACTIONS(512),
    [anon_sym_for] = ACTIONS(512),
    [anon_sym_LPAREN] = ACTIONS(510),
    [anon_sym_await] = ACTIONS(512),
    [anon_sym_while] = ACTIONS(512),
    [anon_sym_do] = ACTIONS(512),
    [anon_sym_try] = ACTIONS(512),
    [anon_sym_with] = ACTIONS(512),
    [anon_sym_break] = ACTIONS(512),
    [anon_sym_continue] = ACTIONS(512),
    [anon_sym_debugger] = ACTIONS(512),
    [anon_sym_return] = ACTIONS(512),
    [anon_sym_throw] = ACTIONS(512),
    [anon_sym_SEMI] = ACTIONS(510),
    [anon_sym_case] = ACTIONS(512),
    [anon_sym_catch] = ACTIONS(512),
    [anon_sym_finally] = ACTIONS(512),
    [anon_sym_yield] = ACTIONS(512),
    [anon_sym_LBRACK] = ACTIONS(510),
    [anon_sym_LTtemplate_GT] = ACTIONS(510),
    [anon_sym_LT] = ACTIONS(512),
    [anon_sym_SLASH] = ACTIONS(512),
    [anon_sym_class] = ACTIONS(512),
    [anon_sym_async] = ACTIONS(512),
    [anon_sym_function] = ACTIONS(512),
    [anon_sym_new] = ACTIONS(512),
    [anon_sym_PLUS] = ACTIONS(512),
    [anon_sym_DASH] = ACTIONS(512),
    [anon_sym_BANG] = ACTIONS(510),
    [anon_sym_TILDE] = ACTIONS(510),
    [anon_sym_typeof] = ACTIONS(512),
    [anon_sym_void] = ACTIONS(512),
    [anon_sym_delete] = ACTIONS(512),
    [anon_sym_PLUS_PLUS] = ACTIONS(510),
    [anon_sym_DASH_DASH] = ACTIONS(510),
    [anon_sym_DQUOTE] = ACTIONS(510),
    [anon_sym_SQUOTE] = ACTIONS(510),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(510),
    [sym_number] = ACTIONS(510),
    [sym_private_property_identifier] = ACTIONS(510),
    [sym_this] = ACTIONS(512),
    [sym_super] = ACTIONS(512),
    [sym_true] = ACTIONS(512),
    [sym_false] = ACTIONS(512),
    [sym_null] = ACTIONS(512),
    [sym_undefined] = ACTIONS(512),
    [anon_sym_AT] = ACTIONS(510),
    [anon_sym_static] = ACTIONS(512),
    [anon_sym_get] = ACTIONS(512),
    [anon_sym_set] = ACTIONS(512),
    [sym__automatic_semicolon] = ACTIONS(520),
  },
  [290] = {
    [ts_builtin_sym_end] = ACTIONS(578),
    [sym_identifier] = ACTIONS(580),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_STAR] = ACTIONS(578),
    [anon_sym_default] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(578),
    [anon_sym_COMMA] = ACTIONS(578),
    [anon_sym_RBRACE] = ACTIONS(578),
    [anon_sym_import] = ACTIONS(580),
    [anon_sym_var] = ACTIONS(580),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_else] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(580),
    [anon_sym_switch] = ACTIONS(580),
    [anon_sym_for] = ACTIONS(580),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_await] = ACTIONS(580),
    [anon_sym_while] = ACTIONS(580),
    [anon_sym_do] = ACTIONS(580),
    [anon_sym_try] = ACTIONS(580),
    [anon_sym_with] = ACTIONS(580),
    [anon_sym_break] = ACTIONS(580),
    [anon_sym_continue] = ACTIONS(580),
    [anon_sym_debugger] = ACTIONS(580),
    [anon_sym_return] = ACTIONS(580),
    [anon_sym_throw] = ACTIONS(580),
    [anon_sym_SEMI] = ACTIONS(578),
    [anon_sym_case] = ACTIONS(580),
    [anon_sym_catch] = ACTIONS(580),
    [anon_sym_finally] = ACTIONS(580),
    [anon_sym_yield] = ACTIONS(580),
    [anon_sym_LBRACK] = ACTIONS(578),
    [anon_sym_LTtemplate_GT] = ACTIONS(578),
    [anon_sym_LT] = ACTIONS(580),
    [anon_sym_SLASH] = ACTIONS(580),
    [anon_sym_class] = ACTIONS(580),
    [anon_sym_async] = ACTIONS(580),
    [anon_sym_function] = ACTIONS(580),
    [anon_sym_new] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(580),
    [anon_sym_DASH] = ACTIONS(580),
    [anon_sym_BANG] = ACTIONS(578),
    [anon_sym_TILDE] = ACTIONS(578),
    [anon_sym_typeof] = ACTIONS(580),
    [anon_sym_void] = ACTIONS(580),
    [anon_sym_delete] = ACTIONS(580),
    [anon_sym_PLUS_PLUS] = ACTIONS(578),
    [anon_sym_DASH_DASH] = ACTIONS(578),
    [anon_sym_DQUOTE] = ACTIONS(578),
    [anon_sym_SQUOTE] = ACTIONS(578),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(578),
    [sym_number] = ACTIONS(578),
    [sym_private_property_identifier] = ACTIONS(578),
    [sym_this] = ACTIONS(580),
    [sym_super] = ACTIONS(580),
    [sym_true] = ACTIONS(580),
    [sym_false] = ACTIONS(580),
    [sym_null] = ACTIONS(580),
    [sym_undefined] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
    [sym__automatic_semicolon] = ACTIONS(837),
  },
  [291] = {
    [ts_builtin_sym_end] = ACTIONS(578),
    [sym_identifier] = ACTIONS(580),
    [anon_sym_export] = ACTIONS(580),
    [anon_sym_STAR] = ACTIONS(578),
    [anon_sym_default] = ACTIONS(580),
    [anon_sym_LBRACE] = ACTIONS(578),
    [anon_sym_COMMA] = ACTIONS(578),
    [anon_sym_RBRACE] = ACTIONS(578),
    [anon_sym_import] = ACTIONS(580),
    [anon_sym_var] = ACTIONS(580),
    [anon_sym_let] = ACTIONS(580),
    [anon_sym_const] = ACTIONS(580),
    [anon_sym_else] = ACTIONS(580),
    [anon_sym_if] = ACTIONS(580),
    [anon_sym_switch] = ACTIONS(580),
    [anon_sym_for] = ACTIONS(580),
    [anon_sym_LPAREN] = ACTIONS(578),
    [anon_sym_await] = ACTIONS(580),
    [anon_sym_while] = ACTIONS(580),
    [anon_sym_do] = ACTIONS(580),
    [anon_sym_try] = ACTIONS(580),
    [anon_sym_with] = ACTIONS(580),
    [anon_sym_break] = ACTIONS(580),
    [anon_sym_continue] = ACTIONS(580),
    [anon_sym_debugger] = ACTIONS(580),
    [anon_sym_return] = ACTIONS(580),
    [anon_sym_throw] = ACTIONS(580),
    [anon_sym_SEMI] = ACTIONS(578),
    [anon_sym_case] = ACTIONS(580),
    [anon_sym_catch] = ACTIONS(580),
    [anon_sym_finally] = ACTIONS(580),
    [anon_sym_yield] = ACTIONS(580),
    [anon_sym_LBRACK] = ACTIONS(578),
    [anon_sym_LTtemplate_GT] = ACTIONS(578),
    [anon_sym_LT] = ACTIONS(580),
    [anon_sym_SLASH] = ACTIONS(580),
    [anon_sym_class] = ACTIONS(580),
    [anon_sym_async] = ACTIONS(580),
    [anon_sym_function] = ACTIONS(580),
    [anon_sym_new] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(580),
    [anon_sym_DASH] = ACTIONS(580),
    [anon_sym_BANG] = ACTIONS(578),
    [anon_sym_TILDE] = ACTIONS(578),
    [anon_sym_typeof] = ACTIONS(580),
    [anon_sym_void] = ACTIONS(580),
    [anon_sym_delete] = ACTIONS(580),
    [anon_sym_PLUS_PLUS] = ACTIONS(578),
    [anon_sym_DASH_DASH] = ACTIONS(578),
    [anon_sym_DQUOTE] = ACTIONS(578),
    [anon_sym_SQUOTE] = ACTIONS(578),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(578),
    [sym_number] = ACTIONS(578),
    [sym_private_property_identifier] = ACTIONS(578),
    [sym_this] = ACTIONS(580),
    [sym_super] = ACTIONS(580),
    [sym_true] = ACTIONS(580),
    [sym_false] = ACTIONS(580),
    [sym_null] = ACTIONS(580),
    [sym_undefined] = ACTIONS(580),
    [anon_sym_AT] = ACTIONS(578),
    [anon_sym_static] = ACTIONS(580),
    [anon_sym_get] = ACTIONS(580),
    [anon_sym_set] = ACTIONS(580),
  },
  [292] = {
    [ts_builtin_sym_end] = ACTIONS(584),
    [sym_identifier] = ACTIONS(586),
    [anon_sym_export] = ACTIONS(586),
    [anon_sym_STAR] = ACTIONS(584),
    [anon_sym_default] = ACTIONS(586),
    [anon_sym_LBRACE] = ACTIONS(584),
    [anon_sym_COMMA] = ACTIONS(584),
    [anon_sym_RBRACE] = ACTIONS(584),
    [anon_sym_import] = ACTIONS(586),
    [anon_sym_var] = ACTIONS(586),
    [anon_sym_let] = ACTIONS(586),
    [anon_sym_const] = ACTIONS(586),
    [anon_sym_else] = ACTIONS(586),
    [anon_sym_if] = ACTIONS(586),
    [anon_sym_switch] = ACTIONS(586),
    [anon_sym_for] = ACTIONS(586),
    [anon_sym_LPAREN] = ACTIONS(584),
    [anon_sym_await] = ACTIONS(586),
    [anon_sym_while] = ACTIONS(586),
    [anon_sym_do] = ACTIONS(586),
    [anon_sym_try] = ACTIONS(586),
    [anon_sym_with] = ACTIONS(586),
    [anon_sym_break] = ACTIONS(586),
    [anon_sym_continue] = ACTIONS(586),
    [anon_sym_debugger] = ACTIONS(586),
    [anon_sym_return] = ACTIONS(586),
    [anon_sym_throw] = ACTIONS(586),
    [anon_sym_SEMI] = ACTIONS(584),
    [anon_sym_case] = ACTIONS(586),
    [anon_sym_catch] = ACTIONS(586),
    [anon_sym_finally] = ACTIONS(586),
    [anon_sym_yield] = ACTIONS(586),
    [anon_sym_LBRACK] = ACTIONS(584),
    [anon_sym_LTtemplate_GT] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(586),
    [anon_sym_SLASH] = ACTIONS(586),
    [anon_sym_class] = ACTIONS(586),
    [anon_sym_async] = ACTIONS(586),
    [anon_sym_function] = ACTIONS(586),
    [anon_sym_new] = ACTIONS(586),
    [anon_sym_PLUS] = ACTIONS(586),
    [anon_sym_DASH] = ACTIONS(586),
    [anon_sym_BANG] = ACTIONS(584),
    [anon_sym_TILDE] = ACTIONS(584),
    [anon_sym_typeof] = ACTIONS(586),
    [anon_sym_void] = ACTIONS(586),
    [anon_sym_delete] = ACTIONS(586),
    [anon_sym_PLUS_PLUS] = ACTIONS(584),
    [anon_sym_DASH_DASH] = ACTIONS(584),
    [anon_sym_DQUOTE] = ACTIONS(584),
    [anon_sym_SQUOTE] = ACTIONS(584),
    [sym_comment] = ACTIONS(3),
    [anon_sym_BQUOTE] = ACTIONS(584),
    [sym_number] = ACTIONS(584),
    [sym_private_property_identifier] = ACTIONS(584),
    [sym_this] = ACTIONS(586),
    [sym_super] = ACTIONS(586),
    [sym_true] = ACTIONS(586),
    [sym_false] = ACTIONS(586),
    [sym_null] = ACTIONS(586),
    [sym_undefined] = ACTIONS(586),
    [anon_sym_AT] = ACTIONS(584),
    [anon_sym_static] = ACTIONS(586),
    [anon_sym_get] = ACTIONS(586),
    [anon_sym_set] = ACTIONS(586),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(839), 1,
      sym_identifier,
    ACTIONS(843), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_EQ,
    ACTIONS(848), 1,
      anon_sym_function,
    ACTIONS(850), 1,
      anon_sym_EQ_GT,
    STATE(1601), 1,
      sym_formal_parameters,
    ACTIONS(841), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(767), 16,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(778), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [87] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_catch,
    ACTIONS(858), 1,
      anon_sym_finally,
    STATE(306), 1,
      sym_catch_clause,
    STATE(371), 1,
      sym_finally_clause,
    ACTIONS(852), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(854), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [166] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(839), 1,
      sym_identifier,
    ACTIONS(843), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_function,
    ACTIONS(850), 1,
      anon_sym_EQ_GT,
    ACTIONS(860), 1,
      anon_sym_EQ,
    STATE(1601), 1,
      sym_formal_parameters,
    ACTIONS(841), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(767), 16,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(778), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [253] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_EQ_GT,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(805), 1,
      anon_sym_COLON,
    ACTIONS(821), 1,
      anon_sym_function,
    ACTIONS(843), 1,
      anon_sym_LPAREN,
    ACTIONS(862), 1,
      sym_identifier,
    STATE(1511), 1,
      sym_formal_parameters,
    ACTIONS(864), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(767), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [341] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_EQ_GT,
    ACTIONS(801), 1,
      anon_sym_COLON,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(843), 1,
      anon_sym_LPAREN,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(866), 1,
      anon_sym_function,
    STATE(1511), 1,
      sym_formal_parameters,
    ACTIONS(864), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(767), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [429] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(843), 1,
      anon_sym_LPAREN,
    ACTIONS(868), 1,
      sym_identifier,
    ACTIONS(872), 1,
      anon_sym_EQ,
    ACTIONS(874), 1,
      anon_sym_function,
    ACTIONS(876), 1,
      anon_sym_EQ_GT,
    STATE(1529), 1,
      sym_formal_parameters,
    ACTIONS(870), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(767), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [515] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(843), 1,
      anon_sym_LPAREN,
    ACTIONS(860), 1,
      anon_sym_EQ,
    ACTIONS(868), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_function,
    ACTIONS(876), 1,
      anon_sym_EQ_GT,
    STATE(1529), 1,
      sym_formal_parameters,
    ACTIONS(870), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(767), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [601] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_EQ_GT,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(843), 1,
      anon_sym_LPAREN,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_function,
    STATE(1511), 1,
      sym_formal_parameters,
    ACTIONS(864), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(767), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [687] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(843), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_function,
    ACTIONS(878), 1,
      sym_identifier,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(887), 1,
      anon_sym_EQ_GT,
    STATE(1558), 1,
      sym_formal_parameters,
    ACTIONS(882), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(880), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(767), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [775] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(843), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_function,
    ACTIONS(860), 1,
      anon_sym_EQ,
    ACTIONS(878), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_EQ_GT,
    STATE(1558), 1,
      sym_formal_parameters,
    ACTIONS(889), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(880), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(767), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [863] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_EQ_GT,
    ACTIONS(843), 1,
      anon_sym_LPAREN,
    ACTIONS(860), 1,
      anon_sym_EQ,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_function,
    STATE(1511), 1,
      sym_formal_parameters,
    ACTIONS(864), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(767), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [949] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(839), 1,
      sym_identifier,
    ACTIONS(843), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_function,
    ACTIONS(850), 1,
      anon_sym_EQ_GT,
    ACTIONS(894), 1,
      anon_sym_EQ,
    STATE(1601), 1,
      sym_formal_parameters,
    ACTIONS(891), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(841), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(767), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1037] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_EQ_GT,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(843), 1,
      anon_sym_LPAREN,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(874), 1,
      anon_sym_function,
    ACTIONS(897), 1,
      anon_sym_in,
    ACTIONS(900), 1,
      anon_sym_of,
    STATE(1511), 1,
      sym_formal_parameters,
    ACTIONS(864), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(767), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1127] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(858), 1,
      anon_sym_finally,
    STATE(360), 1,
      sym_finally_clause,
    ACTIONS(902), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(904), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1200] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(839), 1,
      sym_identifier,
    ACTIONS(843), 1,
      anon_sym_LPAREN,
    ACTIONS(846), 1,
      anon_sym_EQ,
    ACTIONS(848), 1,
      anon_sym_function,
    ACTIONS(850), 1,
      anon_sym_EQ_GT,
    STATE(1601), 1,
      sym_formal_parameters,
    ACTIONS(906), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(841), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(767), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(626), 1,
      sym__automatic_semicolon,
    ACTIONS(618), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(620), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 1,
      sym__automatic_semicolon,
    ACTIONS(568), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(570), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1427] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(913), 1,
      anon_sym_else,
    STATE(401), 1,
      sym_else_clause,
    ACTIONS(909), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(911), 42,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(917), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1567] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(596), 1,
      sym__automatic_semicolon,
    ACTIONS(588), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(590), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(921), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(923), 17,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(925), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1773] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_EQ_GT,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(821), 1,
      anon_sym_function,
    ACTIONS(843), 1,
      anon_sym_LPAREN,
    ACTIONS(862), 1,
      sym_identifier,
    STATE(1511), 1,
      sym_formal_parameters,
    ACTIONS(864), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(767), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [1857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(530), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(532), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [1925] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(843), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_function,
    ACTIONS(860), 1,
      anon_sym_EQ,
    ACTIONS(878), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_EQ_GT,
    STATE(1558), 1,
      sym_formal_parameters,
    ACTIONS(880), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(767), 13,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [2009] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 1,
      sym__automatic_semicolon,
    ACTIONS(534), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(536), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(927), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(929), 44,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_finally,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2147] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_EQ_GT,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(843), 1,
      anon_sym_LPAREN,
    ACTIONS(862), 1,
      sym_identifier,
    ACTIONS(866), 1,
      anon_sym_function,
    STATE(1511), 1,
      sym_formal_parameters,
    ACTIONS(864), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(767), 13,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [2231] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(839), 1,
      sym_identifier,
    ACTIONS(843), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_function,
    ACTIONS(850), 1,
      anon_sym_EQ_GT,
    ACTIONS(882), 1,
      anon_sym_COMMA,
    ACTIONS(891), 1,
      anon_sym_RBRACK,
    ACTIONS(894), 1,
      anon_sym_EQ,
    STATE(1601), 1,
      sym_formal_parameters,
    ACTIONS(841), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(767), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [2319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(564), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(566), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2387] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(616), 1,
      sym__automatic_semicolon,
    ACTIONS(608), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(610), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2457] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(931), 1,
      sym__automatic_semicolon,
    ACTIONS(578), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(580), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2527] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(562), 1,
      sym__automatic_semicolon,
    ACTIONS(554), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(556), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(552), 1,
      sym__automatic_semicolon,
    ACTIONS(544), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(546), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(606), 1,
      sym__automatic_semicolon,
    ACTIONS(598), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(600), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(578), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(580), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(933), 1,
      sym__automatic_semicolon,
    ACTIONS(510), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(512), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(584), 17,
      sym__automatic_semicolon,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(586), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [2943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(935), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(937), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(941), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(945), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(945), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(945), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(945), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(945), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(945), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(945), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(945), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(945), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(945), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(945), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(945), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(945), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [3948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(945), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(945), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(945), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(945), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(947), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(949), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4283] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(843), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_function,
    ACTIONS(860), 1,
      anon_sym_EQ,
    ACTIONS(951), 1,
      sym_identifier,
    ACTIONS(955), 1,
      anon_sym_EQ_GT,
    STATE(1593), 1,
      sym_formal_parameters,
    ACTIONS(953), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(767), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [4366] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(843), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_function,
    ACTIONS(860), 1,
      anon_sym_EQ,
    ACTIONS(878), 1,
      sym_identifier,
    ACTIONS(887), 1,
      anon_sym_EQ_GT,
    ACTIONS(897), 1,
      anon_sym_in,
    ACTIONS(900), 1,
      anon_sym_of,
    STATE(1558), 1,
      sym_formal_parameters,
    ACTIONS(880), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(767), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 20,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [4453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(957), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(959), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4520] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(843), 1,
      anon_sym_LPAREN,
    ACTIONS(848), 1,
      anon_sym_function,
    ACTIONS(951), 1,
      sym_identifier,
    ACTIONS(955), 1,
      anon_sym_EQ_GT,
    ACTIONS(961), 1,
      anon_sym_EQ,
    STATE(1593), 1,
      sym_formal_parameters,
    ACTIONS(953), 5,
      anon_sym_export,
      anon_sym_async,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(767), 11,
      sym__ternary_qmark,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 22,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [4603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(963), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(965), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(967), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(969), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(973), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(975), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(977), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(981), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [4938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(983), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(985), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(989), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(993), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(995), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(997), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(941), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(999), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1001), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(945), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(941), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1003), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1005), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(941), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(941), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1007), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1009), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1011), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1013), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1015), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1017), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1019), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1021), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [5943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1023), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1025), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1027), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1029), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(941), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(941), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1031), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1033), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1035), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1037), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1041), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(941), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(941), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(941), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(941), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1043), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1045), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(941), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(941), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1047), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1049), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [6948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(945), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(943), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(945), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(941), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(941), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(941), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(941), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(941), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(941), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(939), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(941), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1053), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1055), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1057), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1059), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1061), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1063), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1065), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1067), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1069), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1071), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1073), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [7953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1075), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1077), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1081), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1079), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1081), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1083), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1085), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1087), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1089), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1091), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1093), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1095), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1097), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1099), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1101), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1099), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1101), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1105), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1105), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1107), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1109), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1111), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1113), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1105), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1103), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1105), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [8958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1115), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1117), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1119), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1121), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1119), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1121), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1123), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1125), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1127), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1129), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1131), 16,
      ts_builtin_sym_end,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1133), 43,
      anon_sym_export,
      anon_sym_default,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_else,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_case,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [9360] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(780), 1,
      anon_sym_COLON,
    ACTIONS(797), 1,
      anon_sym_RBRACE,
    ACTIONS(1139), 1,
      anon_sym_LPAREN,
    ACTIONS(1142), 1,
      anon_sym_EQ,
    ACTIONS(1144), 1,
      anon_sym_EQ_GT,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1293), 1,
      aux_sym_object_repeat1,
    ACTIONS(1137), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9441] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(780), 1,
      anon_sym_COLON,
    ACTIONS(795), 1,
      anon_sym_RBRACE,
    ACTIONS(1139), 1,
      anon_sym_LPAREN,
    ACTIONS(1142), 1,
      anon_sym_EQ,
    ACTIONS(1144), 1,
      anon_sym_EQ_GT,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1293), 1,
      aux_sym_object_repeat1,
    ACTIONS(1137), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9522] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(769), 1,
      anon_sym_RBRACE,
    ACTIONS(780), 1,
      anon_sym_COLON,
    ACTIONS(1139), 1,
      anon_sym_LPAREN,
    ACTIONS(1142), 1,
      anon_sym_EQ,
    ACTIONS(1144), 1,
      anon_sym_EQ_GT,
    STATE(1233), 1,
      aux_sym_object_repeat1,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1137), 15,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [9603] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1150), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1154), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1158), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1162), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1164), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1166), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9923] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1168), 1,
      anon_sym_EQ,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1137), 20,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [9991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1172), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [10055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1176), 35,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [10119] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(846), 1,
      anon_sym_EQ,
    ACTIONS(850), 1,
      anon_sym_EQ_GT,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(767), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(778), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10188] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1178), 1,
      anon_sym_EQ,
    ACTIONS(1180), 1,
      anon_sym_EQ_GT,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1137), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10257] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1168), 1,
      anon_sym_EQ,
    ACTIONS(1180), 1,
      anon_sym_EQ_GT,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1137), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10326] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_EQ_GT,
    ACTIONS(860), 1,
      anon_sym_EQ,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(767), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(778), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10395] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_EQ_GT,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(767), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(778), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10463] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(884), 1,
      anon_sym_EQ,
    ACTIONS(887), 1,
      anon_sym_EQ_GT,
    ACTIONS(882), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(767), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10533] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1168), 1,
      anon_sym_EQ,
    ACTIONS(1182), 1,
      anon_sym_EQ_GT,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1137), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10601] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 1,
      anon_sym_EQ_GT,
    ACTIONS(1168), 1,
      anon_sym_EQ,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1137), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10669] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_EQ,
    ACTIONS(876), 1,
      anon_sym_EQ_GT,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(767), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(778), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1174), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1176), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [10799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1186), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1184), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1190), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1188), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [10923] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1178), 1,
      anon_sym_EQ,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1137), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [10989] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1168), 1,
      anon_sym_EQ,
    ACTIONS(1194), 1,
      anon_sym_EQ_GT,
    ACTIONS(1192), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1137), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11059] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(805), 1,
      anon_sym_COLON,
    ACTIONS(1144), 1,
      anon_sym_EQ_GT,
    ACTIONS(1196), 1,
      anon_sym_EQ,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1137), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11129] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 1,
      anon_sym_EQ_GT,
    ACTIONS(1196), 1,
      anon_sym_EQ,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1137), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11197] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_EQ,
    ACTIONS(887), 1,
      anon_sym_EQ_GT,
    ACTIONS(889), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(767), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1148), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1150), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1156), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1158), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11391] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_EQ_GT,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(805), 1,
      anon_sym_COLON,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(767), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(778), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1162), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1164), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1166), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11585] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_EQ_GT,
    ACTIONS(860), 1,
      anon_sym_EQ,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(767), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(778), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1198), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [11715] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1182), 1,
      anon_sym_EQ_GT,
    ACTIONS(1202), 1,
      anon_sym_EQ,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1137), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1170), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1172), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [11845] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1194), 1,
      anon_sym_EQ_GT,
    ACTIONS(1206), 1,
      anon_sym_EQ,
    ACTIONS(1204), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1137), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11915] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_EQ_GT,
    ACTIONS(894), 1,
      anon_sym_EQ,
    ACTIONS(891), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(767), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [11985] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1168), 1,
      anon_sym_EQ,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1137), 18,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12051] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1180), 1,
      anon_sym_EQ_GT,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(1209), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1137), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12121] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_EQ_GT,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(897), 1,
      anon_sym_in,
    ACTIONS(1215), 1,
      anon_sym_of,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(767), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(778), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1219), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1217), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1198), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12317] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(872), 1,
      anon_sym_EQ,
    ACTIONS(876), 1,
      anon_sym_EQ_GT,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(767), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(778), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12385] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 1,
      anon_sym_EQ_GT,
    ACTIONS(1196), 1,
      anon_sym_EQ,
    ACTIONS(1221), 1,
      anon_sym_in,
    ACTIONS(1224), 1,
      anon_sym_of,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1137), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1135), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1198), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1198), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12581] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym_EQ_GT,
    ACTIONS(801), 1,
      anon_sym_COLON,
    ACTIONS(803), 1,
      anon_sym_EQ,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(767), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(778), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1172), 14,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_number,
      anon_sym_AT,
    ACTIONS(1170), 40,
      anon_sym_export,
      anon_sym_import,
      anon_sym_var,
      anon_sym_let,
      anon_sym_const,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_for,
      anon_sym_await,
      anon_sym_while,
      anon_sym_do,
      anon_sym_try,
      anon_sym_with,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_debugger,
      anon_sym_return,
      anon_sym_throw,
      anon_sym_yield,
      anon_sym_LT,
      anon_sym_SLASH,
      anon_sym_class,
      anon_sym_async,
      anon_sym_function,
      anon_sym_new,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_typeof,
      anon_sym_void,
      anon_sym_delete,
      sym_identifier,
      sym_this,
      sym_super,
      sym_true,
      sym_false,
      sym_null,
      sym_undefined,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [12713] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(801), 1,
      anon_sym_COLON,
    ACTIONS(1144), 1,
      anon_sym_EQ_GT,
    ACTIONS(1196), 1,
      anon_sym_EQ,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1137), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1152), 21,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
    ACTIONS(1154), 33,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [12845] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1196), 1,
      anon_sym_EQ,
    ACTIONS(1221), 1,
      anon_sym_in,
    ACTIONS(1224), 1,
      anon_sym_of,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1137), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1135), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12914] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(846), 1,
      anon_sym_EQ,
    ACTIONS(850), 1,
      anon_sym_EQ_GT,
    ACTIONS(906), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(767), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [12983] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(1209), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1137), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13050] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1202), 1,
      anon_sym_EQ,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1137), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13115] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1206), 1,
      anon_sym_EQ,
    ACTIONS(1204), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1137), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13182] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1168), 1,
      anon_sym_EQ,
    ACTIONS(1192), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1137), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13249] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1178), 1,
      anon_sym_EQ,
    ACTIONS(1180), 1,
      anon_sym_EQ_GT,
    ACTIONS(1226), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1137), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13318] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1196), 1,
      anon_sym_EQ,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1137), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13383] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1178), 1,
      anon_sym_EQ,
    ACTIONS(1226), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1137), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13449] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1180), 1,
      anon_sym_EQ_GT,
    ACTIONS(1204), 1,
      anon_sym_COMMA,
    ACTIONS(1209), 1,
      anon_sym_RBRACK,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(1137), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13519] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1168), 1,
      anon_sym_EQ,
    ACTIONS(1194), 1,
      anon_sym_EQ_GT,
    ACTIONS(1137), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13585] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_EQ,
    ACTIONS(887), 1,
      anon_sym_EQ_GT,
    ACTIONS(767), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13651] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 1,
      anon_sym_EQ_GT,
    ACTIONS(882), 1,
      anon_sym_COMMA,
    ACTIONS(891), 1,
      anon_sym_RBRACK,
    ACTIONS(894), 1,
      anon_sym_EQ,
    ACTIONS(767), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13721] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_EQ,
    ACTIONS(1231), 1,
      anon_sym_EQ_GT,
    ACTIONS(1137), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13786] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1168), 1,
      anon_sym_EQ,
    ACTIONS(1194), 1,
      anon_sym_EQ_GT,
    ACTIONS(1221), 1,
      anon_sym_in,
    ACTIONS(1224), 1,
      anon_sym_of,
    ACTIONS(1137), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1135), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13855] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1168), 1,
      anon_sym_EQ,
    ACTIONS(1231), 1,
      anon_sym_EQ_GT,
    ACTIONS(1137), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13920] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1204), 1,
      anon_sym_COMMA,
    ACTIONS(1209), 1,
      anon_sym_RBRACK,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(1137), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [13987] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_EQ,
    ACTIONS(887), 1,
      anon_sym_EQ_GT,
    ACTIONS(897), 1,
      anon_sym_in,
    ACTIONS(1215), 1,
      anon_sym_of,
    ACTIONS(767), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14056] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(955), 1,
      anon_sym_EQ_GT,
    ACTIONS(961), 1,
      anon_sym_EQ,
    ACTIONS(767), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14121] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(860), 1,
      anon_sym_EQ,
    ACTIONS(955), 1,
      anon_sym_EQ_GT,
    ACTIONS(767), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(793), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(778), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14186] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1168), 1,
      anon_sym_EQ,
    ACTIONS(1221), 1,
      anon_sym_in,
    ACTIONS(1224), 1,
      anon_sym_of,
    ACTIONS(1137), 13,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1135), 19,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14252] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_EQ,
    ACTIONS(1137), 14,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
    ACTIONS(1146), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
    ACTIONS(1135), 20,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK_QMARK,
  [14314] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 1,
      sym_identifier,
    ACTIONS(1235), 1,
      anon_sym_STAR,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(1243), 1,
      anon_sym_DQUOTE,
    ACTIONS(1245), 1,
      anon_sym_SQUOTE,
    STATE(1336), 1,
      sym_import_clause,
    STATE(1344), 1,
      sym_string,
    STATE(1553), 2,
      sym_namespace_import_export,
      sym_named_imports,
    ACTIONS(1241), 12,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1239), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14382] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1247), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1249), 23,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [14444] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_EQ,
    ACTIONS(1259), 1,
      sym__automatic_semicolon,
    ACTIONS(512), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(510), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14498] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1261), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1263), 21,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [14562] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1267), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1269), 21,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [14626] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1259), 1,
      sym__automatic_semicolon,
    ACTIONS(512), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(510), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14677] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1168), 1,
      anon_sym_EQ,
    ACTIONS(1135), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1137), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14728] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    STATE(513), 1,
      sym_arguments,
    ACTIONS(1271), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1273), 27,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14781] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1275), 1,
      sym__automatic_semicolon,
    ACTIONS(580), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(578), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14832] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 1,
      anon_sym_EQ,
    ACTIONS(1281), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1277), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1279), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14885] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1286), 1,
      sym_optional_chain,
    STATE(513), 1,
      sym_arguments,
    ACTIONS(1271), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1273), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_EQ,
    ACTIONS(1288), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(514), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(516), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [14997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1298), 1,
      anon_sym_EQ,
    ACTIONS(1295), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1291), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1293), 24,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1302), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(538), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(540), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1306), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15194] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1247), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1249), 21,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
  [15254] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1267), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1269), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1320), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1322), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1324), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1326), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1328), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15460] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1332), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [15554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1368), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1306), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15650] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 9,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [15736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1374), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15784] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 8,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [15872] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1376), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [15942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1380), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [15990] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1376), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 10,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [16072] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1382), 1,
      sym__automatic_semicolon,
    ACTIONS(512), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(510), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16122] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1384), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [16216] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1376), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 10,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [16300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1386), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1388), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1390), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1392), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16396] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1394), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [16490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1396), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1398), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16538] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1398), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [16632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1402), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1406), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1410), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(602), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(604), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(586), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(584), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1414), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [16920] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1376), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 9,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [17006] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1416), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [17100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(548), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(550), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17148] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1376), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 17,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [17216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1420), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1424), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1426), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1428), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1432), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17408] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1376), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 15,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [17482] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1376), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [17546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(558), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(560), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1434), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1436), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(532), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(530), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1438), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1440), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(622), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(624), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [17786] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1442), 1,
      anon_sym_COMMA,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1444), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [17882] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1446), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [17976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(580), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(578), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1450), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18072] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1452), 1,
      sym__automatic_semicolon,
    ACTIONS(580), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(578), 27,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18122] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1261), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1263), 19,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [18184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1306), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1306), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1456), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18328] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1458), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [18422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1460), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1462), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1466), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18518] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1376), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 18,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [18582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1474), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1137), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1478), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      sym_regex_flags,
    ACTIONS(1480), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1482), 26,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18824] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1286), 1,
      sym_optional_chain,
    ACTIONS(1318), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1320), 25,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(566), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(564), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(572), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(574), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [18974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1488), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1490), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1492), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(586), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(584), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1494), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1496), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19166] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1376), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 12,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [19244] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1498), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [19338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1498), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19386] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1478), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [19480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1502), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1504), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19528] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 7,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_QMARK_QMARK,
  [19618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1506), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1508), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(580), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(578), 28,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_while,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1239), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(592), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(594), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(532), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(530), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [19858] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1510), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [19952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(612), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(614), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1512), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1514), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(566), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(564), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1518), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1522), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1524), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1526), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20240] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1526), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [20334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1530), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1534), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1536), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1538), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1540), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1446), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20526] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1542), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [20620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1510), 28,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_of,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [20668] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1554), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_AMP,
    ACTIONS(1560), 1,
      anon_sym_CARET,
    ACTIONS(1562), 1,
      anon_sym_PIPE,
    ACTIONS(1566), 1,
      anon_sym_PERCENT,
    ACTIONS(1568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1546), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1572), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1570), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [20757] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1376), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [20820] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1578), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [20913] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1376), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [20980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_EQ,
    ACTIONS(514), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(516), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21029] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1376), 1,
      anon_sym_PIPE,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [21112] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1376), 1,
      anon_sym_PIPE,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [21197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1434), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1436), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21244] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1376), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [21325] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1376), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [21394] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1602), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1604), 1,
      anon_sym_PIPE,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [21481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1168), 1,
      anon_sym_EQ,
    ACTIONS(1135), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1137), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21530] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1376), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [21607] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1602), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1604), 1,
      anon_sym_PIPE,
    ACTIONS(1606), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 6,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_QMARK_QMARK,
  [21696] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1604), 1,
      anon_sym_PIPE,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [21781] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_EQ,
    ACTIONS(514), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(516), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21830] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1376), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [21893] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 1,
      anon_sym_EQ,
    ACTIONS(1277), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1279), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21942] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1298), 1,
      anon_sym_EQ,
    ACTIONS(1291), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1293), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [21991] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1602), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1604), 1,
      anon_sym_PIPE,
    ACTIONS(1606), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1610), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1416), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [22084] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1554), 1,
      anon_sym_GT_GT,
    ACTIONS(1566), 1,
      anon_sym_PERCENT,
    ACTIONS(1568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1546), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1376), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [22157] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1554), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_AMP,
    ACTIONS(1560), 1,
      anon_sym_CARET,
    ACTIONS(1562), 1,
      anon_sym_PIPE,
    ACTIONS(1566), 1,
      anon_sym_PERCENT,
    ACTIONS(1568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1612), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1614), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1546), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1572), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1570), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1478), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [22250] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1602), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1604), 1,
      anon_sym_PIPE,
    ACTIONS(1606), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1610), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1542), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [22343] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1554), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_AMP,
    ACTIONS(1560), 1,
      anon_sym_CARET,
    ACTIONS(1562), 1,
      anon_sym_PIPE,
    ACTIONS(1566), 1,
      anon_sym_PERCENT,
    ACTIONS(1568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1546), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1572), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1570), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [22428] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1554), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_AMP,
    ACTIONS(1560), 1,
      anon_sym_CARET,
    ACTIONS(1562), 1,
      anon_sym_PIPE,
    ACTIONS(1566), 1,
      anon_sym_PERCENT,
    ACTIONS(1568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1612), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1614), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1546), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1572), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1570), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1542), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [22521] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1602), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1604), 1,
      anon_sym_PIPE,
    ACTIONS(1606), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1610), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1394), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [22614] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1376), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 14,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [22687] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1554), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_AMP,
    ACTIONS(1560), 1,
      anon_sym_CARET,
    ACTIONS(1562), 1,
      anon_sym_PIPE,
    ACTIONS(1566), 1,
      anon_sym_PERCENT,
    ACTIONS(1568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1612), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1614), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1546), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1572), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1570), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1458), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [22780] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1602), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1604), 1,
      anon_sym_PIPE,
    ACTIONS(1606), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1610), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1398), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [22873] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1554), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_AMP,
    ACTIONS(1560), 1,
      anon_sym_CARET,
    ACTIONS(1562), 1,
      anon_sym_PIPE,
    ACTIONS(1566), 1,
      anon_sym_PERCENT,
    ACTIONS(1568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1546), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1572), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1570), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 7,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [22960] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1602), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1604), 1,
      anon_sym_PIPE,
    ACTIONS(1606), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1610), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1526), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [23053] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1178), 1,
      anon_sym_EQ,
    ACTIONS(1135), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1137), 26,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23102] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1566), 1,
      anon_sym_PERCENT,
    ACTIONS(1568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1546), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1376), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [23171] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_EQ,
    ACTIONS(520), 1,
      sym__automatic_semicolon,
    ACTIONS(510), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(514), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(516), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23224] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1602), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1604), 1,
      anon_sym_PIPE,
    ACTIONS(1606), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1610), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1332), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [23317] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1554), 1,
      anon_sym_GT_GT,
    ACTIONS(1566), 1,
      anon_sym_PERCENT,
    ACTIONS(1568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1376), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1546), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1572), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1570), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [23398] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1602), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1604), 1,
      anon_sym_PIPE,
    ACTIONS(1606), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1610), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1446), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [23491] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 1,
      anon_sym_EQ,
    ACTIONS(1277), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1279), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [23540] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1602), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1604), 1,
      anon_sym_PIPE,
    ACTIONS(1606), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1610), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1498), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [23633] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1554), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_AMP,
    ACTIONS(1560), 1,
      anon_sym_CARET,
    ACTIONS(1562), 1,
      anon_sym_PIPE,
    ACTIONS(1566), 1,
      anon_sym_PERCENT,
    ACTIONS(1568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1612), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1614), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1546), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1572), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1570), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1416), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [23726] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1376), 1,
      anon_sym_PIPE,
    ACTIONS(1554), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_AMP,
    ACTIONS(1566), 1,
      anon_sym_PERCENT,
    ACTIONS(1568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1546), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1572), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1570), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 9,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [23809] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1376), 1,
      anon_sym_PIPE,
    ACTIONS(1554), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_AMP,
    ACTIONS(1560), 1,
      anon_sym_CARET,
    ACTIONS(1566), 1,
      anon_sym_PERCENT,
    ACTIONS(1568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1546), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1572), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1570), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 8,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [23894] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1554), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_AMP,
    ACTIONS(1560), 1,
      anon_sym_CARET,
    ACTIONS(1562), 1,
      anon_sym_PIPE,
    ACTIONS(1566), 1,
      anon_sym_PERCENT,
    ACTIONS(1568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1612), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1614), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1546), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1572), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1570), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1510), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [23987] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1566), 1,
      anon_sym_PERCENT,
    ACTIONS(1568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1546), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1376), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 16,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [24054] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1376), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [24117] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1554), 1,
      anon_sym_GT_GT,
    ACTIONS(1566), 1,
      anon_sym_PERCENT,
    ACTIONS(1568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1546), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1570), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1376), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 11,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [24194] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1554), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_AMP,
    ACTIONS(1560), 1,
      anon_sym_CARET,
    ACTIONS(1562), 1,
      anon_sym_PIPE,
    ACTIONS(1566), 1,
      anon_sym_PERCENT,
    ACTIONS(1568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1612), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1614), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1546), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1572), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1570), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1384), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [24287] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1616), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [24380] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1376), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 17,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [24443] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1554), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_AMP,
    ACTIONS(1560), 1,
      anon_sym_CARET,
    ACTIONS(1562), 1,
      anon_sym_PIPE,
    ACTIONS(1566), 1,
      anon_sym_PERCENT,
    ACTIONS(1568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1612), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1614), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1546), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1572), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1570), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1394), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [24536] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1602), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1604), 1,
      anon_sym_PIPE,
    ACTIONS(1606), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1610), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1384), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [24629] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1554), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_AMP,
    ACTIONS(1560), 1,
      anon_sym_CARET,
    ACTIONS(1562), 1,
      anon_sym_PIPE,
    ACTIONS(1566), 1,
      anon_sym_PERCENT,
    ACTIONS(1568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1612), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1614), 1,
      sym__ternary_qmark,
    ACTIONS(1620), 1,
      anon_sym_in,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1546), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1548), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1556), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1572), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1570), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1618), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [24724] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1298), 1,
      anon_sym_EQ,
    ACTIONS(1291), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1293), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [24773] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1602), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1604), 1,
      anon_sym_PIPE,
    ACTIONS(1606), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1610), 1,
      sym__ternary_qmark,
    ACTIONS(1623), 1,
      anon_sym_COMMA,
    ACTIONS(1626), 1,
      anon_sym_RBRACE,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1458), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [24870] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1602), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1604), 1,
      anon_sym_PIPE,
    ACTIONS(1606), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1610), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1478), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [24963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_EQ,
    ACTIONS(1382), 1,
      sym__automatic_semicolon,
    ACTIONS(512), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(510), 25,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25014] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1554), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_AMP,
    ACTIONS(1560), 1,
      anon_sym_CARET,
    ACTIONS(1562), 1,
      anon_sym_PIPE,
    ACTIONS(1566), 1,
      anon_sym_PERCENT,
    ACTIONS(1568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1612), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1614), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1546), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1572), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1570), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1332), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [25107] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1602), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1604), 1,
      anon_sym_PIPE,
    ACTIONS(1606), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1610), 1,
      sym__ternary_qmark,
    ACTIONS(1628), 1,
      anon_sym_COMMA,
    ACTIONS(1631), 1,
      anon_sym_RBRACE,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1458), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25204] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1602), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1604), 1,
      anon_sym_PIPE,
    ACTIONS(1606), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1610), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1458), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [25297] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1554), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_AMP,
    ACTIONS(1560), 1,
      anon_sym_CARET,
    ACTIONS(1562), 1,
      anon_sym_PIPE,
    ACTIONS(1566), 1,
      anon_sym_PERCENT,
    ACTIONS(1568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1612), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1614), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1546), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1572), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1570), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1498), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [25390] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1554), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_AMP,
    ACTIONS(1560), 1,
      anon_sym_CARET,
    ACTIONS(1562), 1,
      anon_sym_PIPE,
    ACTIONS(1566), 1,
      anon_sym_PERCENT,
    ACTIONS(1568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1612), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1614), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1546), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1572), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1570), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1446), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [25483] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1554), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_AMP,
    ACTIONS(1560), 1,
      anon_sym_CARET,
    ACTIONS(1562), 1,
      anon_sym_PIPE,
    ACTIONS(1566), 1,
      anon_sym_PERCENT,
    ACTIONS(1568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1612), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1614), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1546), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1572), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1570), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1526), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [25576] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1550), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1552), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1554), 1,
      anon_sym_GT_GT,
    ACTIONS(1558), 1,
      anon_sym_AMP,
    ACTIONS(1560), 1,
      anon_sym_CARET,
    ACTIONS(1562), 1,
      anon_sym_PIPE,
    ACTIONS(1566), 1,
      anon_sym_PERCENT,
    ACTIONS(1568), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1612), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1614), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1546), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1556), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1564), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1572), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1574), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1548), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1570), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1398), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_of,
      anon_sym_SEMI,
  [25669] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1633), 1,
      sym_optional_chain,
    STATE(754), 1,
      sym_arguments,
    ACTIONS(1271), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1273), 22,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1490), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1492), 27,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25773] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1602), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1604), 1,
      anon_sym_PIPE,
    ACTIONS(1606), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1610), 1,
      sym__ternary_qmark,
    ACTIONS(1631), 1,
      anon_sym_RBRACE,
    ACTIONS(1635), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1542), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [25870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    STATE(754), 1,
      sym_arguments,
    ACTIONS(1271), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1273), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [25921] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1602), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1604), 1,
      anon_sym_PIPE,
    ACTIONS(1606), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1610), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1510), 4,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [26014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(572), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(574), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1506), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1508), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1460), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1462), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(622), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(624), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1474), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26244] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(576), 1,
      sym__automatic_semicolon,
    ACTIONS(568), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(572), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(574), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1135), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1137), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26340] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1168), 1,
      anon_sym_EQ,
    ACTIONS(1192), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1135), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1137), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26390] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1196), 1,
      anon_sym_EQ,
    ACTIONS(1135), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1137), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26438] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 1,
      anon_sym_EQ,
    ACTIONS(1638), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1277), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1279), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26488] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_EQ,
    ACTIONS(1640), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(514), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(516), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(612), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(614), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26584] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(616), 1,
      sym__automatic_semicolon,
    ACTIONS(608), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(612), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(614), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 1,
      sym__automatic_semicolon,
    ACTIONS(534), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(538), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(540), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(626), 1,
      sym__automatic_semicolon,
    ACTIONS(618), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(622), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(624), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26734] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1602), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1604), 1,
      anon_sym_PIPE,
    ACTIONS(1606), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1610), 1,
      sym__ternary_qmark,
    ACTIONS(1642), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1644), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [26828] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1633), 1,
      sym_optional_chain,
    ACTIONS(1318), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1320), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1298), 1,
      anon_sym_EQ,
    ACTIONS(1646), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1291), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1293), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [26930] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(667), 1,
      anon_sym_COMMA,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1648), 1,
      anon_sym_RPAREN,
    STATE(1222), 1,
      aux_sym_array_repeat1,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1494), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1496), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1498), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(602), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(604), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(548), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(550), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(558), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(560), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1540), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1446), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(606), 1,
      sym__automatic_semicolon,
    ACTIONS(598), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(602), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(604), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1536), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1538), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 1,
      sym_regex_flags,
    ACTIONS(1480), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1482), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1524), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1526), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27492] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(552), 1,
      sym__automatic_semicolon,
    ACTIONS(544), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(548), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(550), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1320), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27588] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(1209), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1135), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1137), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1438), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1440), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27684] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1602), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1604), 1,
      anon_sym_PIPE,
    ACTIONS(1606), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1610), 1,
      sym__ternary_qmark,
    ACTIONS(1642), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1652), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27778] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1298), 1,
      anon_sym_EQ,
    ACTIONS(1646), 1,
      anon_sym_of,
    ACTIONS(1654), 1,
      anon_sym_in,
    ACTIONS(1291), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1293), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27830] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1602), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1604), 1,
      anon_sym_PIPE,
    ACTIONS(1606), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1610), 1,
      sym__ternary_qmark,
    ACTIONS(1642), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1657), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [27924] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 1,
      anon_sym_EQ,
    ACTIONS(1638), 1,
      anon_sym_of,
    ACTIONS(1659), 1,
      anon_sym_in,
    ACTIONS(1277), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1279), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [27976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1424), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28022] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_EQ,
    ACTIONS(1640), 1,
      anon_sym_of,
    ACTIONS(1662), 1,
      anon_sym_in,
    ACTIONS(514), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(516), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28074] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1202), 1,
      anon_sym_EQ,
    ACTIONS(1135), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1137), 25,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1414), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1420), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1466), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1512), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1514), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1518), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1522), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1206), 1,
      anon_sym_EQ,
    ACTIONS(1204), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    ACTIONS(1135), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1137), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28448] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(562), 1,
      sym__automatic_semicolon,
    ACTIONS(554), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(558), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(560), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28498] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1530), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1534), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1239), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28636] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1602), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1604), 1,
      anon_sym_PIPE,
    ACTIONS(1606), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1610), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1618), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(538), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(540), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(592), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(594), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1510), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [28866] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(667), 1,
      anon_sym_COMMA,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1665), 1,
      anon_sym_RBRACK,
    STATE(1275), 1,
      aux_sym_array_repeat1,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [28962] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(667), 1,
      anon_sym_COMMA,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1667), 1,
      anon_sym_RBRACK,
    STATE(1296), 1,
      aux_sym_array_repeat1,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29058] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(667), 1,
      anon_sym_COMMA,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1669), 1,
      anon_sym_RBRACK,
    STATE(1296), 1,
      aux_sym_array_repeat1,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1468), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1470), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29200] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1196), 1,
      anon_sym_EQ,
    ACTIONS(1221), 1,
      anon_sym_in,
    ACTIONS(1224), 1,
      anon_sym_of,
    ACTIONS(1135), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1137), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29252] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(667), 1,
      anon_sym_COMMA,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1671), 1,
      anon_sym_RPAREN,
    STATE(1245), 1,
      aux_sym_array_repeat1,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [29348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1456), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29394] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(596), 1,
      sym__automatic_semicolon,
    ACTIONS(588), 2,
      anon_sym_else,
      anon_sym_while,
    ACTIONS(592), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(594), 23,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29444] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1673), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [29536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1448), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1450), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1306), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1306), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1306), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1306), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1380), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1410), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 1,
      sym_regex_flags,
    ACTIONS(1480), 13,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1482), 24,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1322), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1324), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [29952] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(667), 1,
      anon_sym_COMMA,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1675), 1,
      anon_sym_RPAREN,
    STATE(1220), 1,
      aux_sym_array_repeat1,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1326), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1328), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1426), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1428), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30140] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1602), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1604), 1,
      anon_sym_PIPE,
    ACTIONS(1606), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1610), 1,
      sym__ternary_qmark,
    ACTIONS(1642), 1,
      anon_sym_COMMA,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1444), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1300), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1302), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1406), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1368), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1402), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1374), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1396), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1398), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1390), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1392), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1432), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1488), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1478), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1386), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1388), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30740] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1502), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1504), 26,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [30786] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1602), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1604), 1,
      anon_sym_PIPE,
    ACTIONS(1606), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1610), 1,
      sym__ternary_qmark,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1677), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30877] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1442), 1,
      anon_sym_COMMA,
    ACTIONS(1679), 1,
      anon_sym_RPAREN,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [30970] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1631), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31061] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1442), 1,
      anon_sym_COMMA,
    ACTIONS(1681), 1,
      anon_sym_RBRACK,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31154] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1683), 1,
      anon_sym_LPAREN,
    ACTIONS(1686), 1,
      anon_sym_COLON,
    ACTIONS(1448), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1450), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [31203] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1626), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31294] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1692), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1694), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1700), 1,
      anon_sym_AMP,
    ACTIONS(1702), 1,
      anon_sym_CARET,
    ACTIONS(1704), 1,
      anon_sym_PIPE,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1718), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1720), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1542), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31385] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1442), 1,
      anon_sym_COMMA,
    ACTIONS(1722), 1,
      anon_sym_RBRACE,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31478] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1692), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1694), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1700), 1,
      anon_sym_AMP,
    ACTIONS(1702), 1,
      anon_sym_CARET,
    ACTIONS(1704), 1,
      anon_sym_PIPE,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1718), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1720), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1510), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31569] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1692), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1694), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1700), 1,
      anon_sym_AMP,
    ACTIONS(1702), 1,
      anon_sym_CARET,
    ACTIONS(1704), 1,
      anon_sym_PIPE,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1718), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1720), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1416), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31660] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1442), 1,
      anon_sym_COMMA,
    ACTIONS(1724), 1,
      anon_sym_RBRACK,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31753] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1576), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1582), 1,
      anon_sym_PERCENT,
    ACTIONS(1586), 1,
      anon_sym_GT_GT,
    ACTIONS(1590), 1,
      anon_sym_AMP,
    ACTIONS(1600), 1,
      anon_sym_CARET,
    ACTIONS(1602), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1604), 1,
      anon_sym_PIPE,
    ACTIONS(1606), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1608), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1610), 1,
      sym__ternary_qmark,
    ACTIONS(1726), 1,
      anon_sym_SEMI,
    ACTIONS(1728), 1,
      sym__automatic_semicolon,
    ACTIONS(1316), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1580), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1588), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1592), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1596), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1598), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1584), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1594), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31846] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1692), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1694), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1700), 1,
      anon_sym_AMP,
    ACTIONS(1702), 1,
      anon_sym_CARET,
    ACTIONS(1704), 1,
      anon_sym_PIPE,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1718), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1720), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1458), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [31937] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1692), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1694), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1700), 1,
      anon_sym_AMP,
    ACTIONS(1702), 1,
      anon_sym_CARET,
    ACTIONS(1704), 1,
      anon_sym_PIPE,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1718), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1720), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1478), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32028] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1376), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [32089] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1376), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 12,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [32160] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1692), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1694), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1700), 1,
      anon_sym_AMP,
    ACTIONS(1702), 1,
      anon_sym_CARET,
    ACTIONS(1704), 1,
      anon_sym_PIPE,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1718), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1720), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1332), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32251] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1700), 1,
      anon_sym_AMP,
    ACTIONS(1702), 1,
      anon_sym_CARET,
    ACTIONS(1704), 1,
      anon_sym_PIPE,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 6,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [32334] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1692), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1700), 1,
      anon_sym_AMP,
    ACTIONS(1702), 1,
      anon_sym_CARET,
    ACTIONS(1704), 1,
      anon_sym_PIPE,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 5,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [32419] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1376), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [32486] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1376), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [32565] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1376), 1,
      anon_sym_PIPE,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1700), 1,
      anon_sym_AMP,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 7,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [32646] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1376), 1,
      anon_sym_PIPE,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1700), 1,
      anon_sym_AMP,
    ACTIONS(1702), 1,
      anon_sym_CARET,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 6,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [32729] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1376), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 14,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [32794] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1376), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 15,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [32855] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1442), 1,
      anon_sym_COMMA,
    ACTIONS(1730), 1,
      anon_sym_RPAREN,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [32948] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1376), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 9,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [33023] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1732), 1,
      anon_sym_LPAREN,
    ACTIONS(1735), 1,
      anon_sym_COLON,
    ACTIONS(1135), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1137), 23,
      sym__automatic_semicolon,
      sym__ternary_qmark,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [33072] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1442), 1,
      anon_sym_COMMA,
    ACTIONS(1737), 1,
      anon_sym_RPAREN,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33165] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1692), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1694), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1700), 1,
      anon_sym_AMP,
    ACTIONS(1702), 1,
      anon_sym_CARET,
    ACTIONS(1704), 1,
      anon_sym_PIPE,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 4,
      sym__ternary_qmark,
      anon_sym_LBRACE,
      anon_sym_COLON,
      anon_sym_QMARK_QMARK,
  [33252] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1692), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1694), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1700), 1,
      anon_sym_AMP,
    ACTIONS(1702), 1,
      anon_sym_CARET,
    ACTIONS(1704), 1,
      anon_sym_PIPE,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1718), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1720), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1394), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33343] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1692), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1694), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1700), 1,
      anon_sym_AMP,
    ACTIONS(1702), 1,
      anon_sym_CARET,
    ACTIONS(1704), 1,
      anon_sym_PIPE,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1718), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1720), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1398), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33434] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1692), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1694), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1700), 1,
      anon_sym_AMP,
    ACTIONS(1702), 1,
      anon_sym_CARET,
    ACTIONS(1704), 1,
      anon_sym_PIPE,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1718), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1720), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1526), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33525] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1692), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1694), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1700), 1,
      anon_sym_AMP,
    ACTIONS(1702), 1,
      anon_sym_CARET,
    ACTIONS(1704), 1,
      anon_sym_PIPE,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1718), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1720), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1446), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33616] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1692), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1694), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1700), 1,
      anon_sym_AMP,
    ACTIONS(1702), 1,
      anon_sym_CARET,
    ACTIONS(1704), 1,
      anon_sym_PIPE,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1718), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1720), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1498), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33707] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1442), 1,
      anon_sym_COMMA,
    ACTIONS(1739), 1,
      anon_sym_RBRACK,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1178), 1,
      anon_sym_EQ,
    ACTIONS(1226), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
    ACTIONS(1135), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1137), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [33849] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1442), 1,
      anon_sym_COMMA,
    ACTIONS(1741), 1,
      anon_sym_RBRACE,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [33942] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1442), 1,
      anon_sym_COMMA,
    ACTIONS(1743), 1,
      anon_sym_RBRACK,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34035] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1442), 1,
      anon_sym_COMMA,
    ACTIONS(1745), 1,
      anon_sym_RPAREN,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34128] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1442), 1,
      anon_sym_COMMA,
    ACTIONS(1747), 1,
      anon_sym_COLON,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34221] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    ACTIONS(1749), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34312] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1442), 1,
      anon_sym_COMMA,
    ACTIONS(1751), 1,
      anon_sym_RPAREN,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34405] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1692), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1694), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1700), 1,
      anon_sym_AMP,
    ACTIONS(1702), 1,
      anon_sym_CARET,
    ACTIONS(1704), 1,
      anon_sym_PIPE,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1718), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1720), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1384), 2,
      anon_sym_LBRACE,
      anon_sym_COLON,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34496] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1442), 1,
      anon_sym_COMMA,
    ACTIONS(1753), 1,
      anon_sym_RPAREN,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34589] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1442), 1,
      anon_sym_COMMA,
    ACTIONS(1755), 1,
      anon_sym_RBRACE,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34682] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1442), 1,
      anon_sym_COMMA,
    ACTIONS(1757), 1,
      anon_sym_RPAREN,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34775] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1442), 1,
      anon_sym_COMMA,
    ACTIONS(1759), 1,
      anon_sym_RPAREN,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34868] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1442), 1,
      anon_sym_COMMA,
    ACTIONS(1761), 1,
      anon_sym_RPAREN,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [34961] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1442), 1,
      anon_sym_COMMA,
    ACTIONS(1763), 1,
      anon_sym_RPAREN,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35054] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1442), 1,
      anon_sym_COMMA,
    ACTIONS(1765), 1,
      anon_sym_RPAREN,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35147] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1692), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1694), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1700), 1,
      anon_sym_AMP,
    ACTIONS(1702), 1,
      anon_sym_CARET,
    ACTIONS(1704), 1,
      anon_sym_PIPE,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1718), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1720), 1,
      sym__ternary_qmark,
    ACTIONS(1767), 1,
      anon_sym_COLON,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35237] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1773), 1,
      anon_sym_PERCENT,
    ACTIONS(1775), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1769), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1376), 8,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 13,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [35303] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1510), 1,
      anon_sym_of,
    ACTIONS(1773), 1,
      anon_sym_PERCENT,
    ACTIONS(1775), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1781), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1783), 1,
      anon_sym_GT_GT,
    ACTIONS(1787), 1,
      anon_sym_AMP,
    ACTIONS(1789), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_PIPE,
    ACTIONS(1799), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1801), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1769), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1785), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1795), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1797), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1777), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1793), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35393] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1542), 1,
      anon_sym_of,
    ACTIONS(1773), 1,
      anon_sym_PERCENT,
    ACTIONS(1775), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1781), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1783), 1,
      anon_sym_GT_GT,
    ACTIONS(1787), 1,
      anon_sym_AMP,
    ACTIONS(1789), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_PIPE,
    ACTIONS(1799), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1801), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1769), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1785), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1795), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1797), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1777), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1793), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35483] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1692), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1694), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1700), 1,
      anon_sym_AMP,
    ACTIONS(1702), 1,
      anon_sym_CARET,
    ACTIONS(1704), 1,
      anon_sym_PIPE,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1718), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1720), 1,
      sym__ternary_qmark,
    ACTIONS(1803), 1,
      anon_sym_COLON,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35573] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1332), 1,
      anon_sym_of,
    ACTIONS(1773), 1,
      anon_sym_PERCENT,
    ACTIONS(1775), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1781), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1783), 1,
      anon_sym_GT_GT,
    ACTIONS(1787), 1,
      anon_sym_AMP,
    ACTIONS(1789), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_PIPE,
    ACTIONS(1799), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1801), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1769), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1785), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1795), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1797), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1777), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1793), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35663] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1498), 1,
      anon_sym_of,
    ACTIONS(1773), 1,
      anon_sym_PERCENT,
    ACTIONS(1775), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1781), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1783), 1,
      anon_sym_GT_GT,
    ACTIONS(1787), 1,
      anon_sym_AMP,
    ACTIONS(1789), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_PIPE,
    ACTIONS(1799), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1801), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1769), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1785), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1795), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1797), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1777), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1793), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35753] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1446), 1,
      anon_sym_of,
    ACTIONS(1773), 1,
      anon_sym_PERCENT,
    ACTIONS(1775), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1781), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1783), 1,
      anon_sym_GT_GT,
    ACTIONS(1787), 1,
      anon_sym_AMP,
    ACTIONS(1789), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_PIPE,
    ACTIONS(1799), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1801), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1769), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1785), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1795), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1797), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1777), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1793), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35843] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1805), 1,
      anon_sym_RBRACK,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [35933] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1692), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1694), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1700), 1,
      anon_sym_AMP,
    ACTIONS(1702), 1,
      anon_sym_CARET,
    ACTIONS(1704), 1,
      anon_sym_PIPE,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1718), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1720), 1,
      sym__ternary_qmark,
    ACTIONS(1807), 1,
      anon_sym_COLON,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36023] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1692), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1694), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1700), 1,
      anon_sym_AMP,
    ACTIONS(1702), 1,
      anon_sym_CARET,
    ACTIONS(1704), 1,
      anon_sym_PIPE,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1718), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1720), 1,
      sym__ternary_qmark,
    ACTIONS(1809), 1,
      anon_sym_LBRACE,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36113] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1526), 1,
      anon_sym_of,
    ACTIONS(1773), 1,
      anon_sym_PERCENT,
    ACTIONS(1775), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1781), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1783), 1,
      anon_sym_GT_GT,
    ACTIONS(1787), 1,
      anon_sym_AMP,
    ACTIONS(1789), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_PIPE,
    ACTIONS(1799), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1801), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1769), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1785), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1795), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1797), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1777), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1793), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36203] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1398), 1,
      anon_sym_of,
    ACTIONS(1773), 1,
      anon_sym_PERCENT,
    ACTIONS(1775), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1781), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1783), 1,
      anon_sym_GT_GT,
    ACTIONS(1787), 1,
      anon_sym_AMP,
    ACTIONS(1789), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_PIPE,
    ACTIONS(1799), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1801), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1769), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1785), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1795), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1797), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1777), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1793), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36293] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1204), 1,
      anon_sym_COMMA,
    ACTIONS(1209), 1,
      anon_sym_RBRACK,
    ACTIONS(1212), 1,
      anon_sym_EQ,
    ACTIONS(1135), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1137), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36343] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1618), 1,
      anon_sym_of,
    ACTIONS(1773), 1,
      anon_sym_PERCENT,
    ACTIONS(1775), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1781), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1783), 1,
      anon_sym_GT_GT,
    ACTIONS(1787), 1,
      anon_sym_AMP,
    ACTIONS(1789), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_PIPE,
    ACTIONS(1799), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1801), 1,
      sym__ternary_qmark,
    ACTIONS(1811), 1,
      anon_sym_in,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1769), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1777), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1785), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1795), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1797), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1793), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36435] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1384), 1,
      anon_sym_of,
    ACTIONS(1773), 1,
      anon_sym_PERCENT,
    ACTIONS(1775), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1781), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1783), 1,
      anon_sym_GT_GT,
    ACTIONS(1787), 1,
      anon_sym_AMP,
    ACTIONS(1789), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_PIPE,
    ACTIONS(1799), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1801), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1769), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1785), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1795), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1797), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1777), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1793), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36525] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1394), 1,
      anon_sym_of,
    ACTIONS(1773), 1,
      anon_sym_PERCENT,
    ACTIONS(1775), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1781), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1783), 1,
      anon_sym_GT_GT,
    ACTIONS(1787), 1,
      anon_sym_AMP,
    ACTIONS(1789), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_PIPE,
    ACTIONS(1799), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1801), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1769), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1785), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1795), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1797), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1777), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1793), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36615] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_RBRACK,
    ACTIONS(1298), 1,
      anon_sym_EQ,
    ACTIONS(1646), 1,
      anon_sym_COMMA,
    ACTIONS(1291), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1293), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36665] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1773), 1,
      anon_sym_PERCENT,
    ACTIONS(1775), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1781), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1783), 1,
      anon_sym_GT_GT,
    ACTIONS(1787), 1,
      anon_sym_AMP,
    ACTIONS(1789), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1769), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1785), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1795), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1797), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1370), 3,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_QMARK_QMARK,
    ACTIONS(1777), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1793), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [36751] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1773), 1,
      anon_sym_PERCENT,
    ACTIONS(1775), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1783), 1,
      anon_sym_GT_GT,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1769), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1785), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1777), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1793), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1376), 4,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 8,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_QMARK_QMARK,
  [36825] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1281), 1,
      anon_sym_RBRACK,
    ACTIONS(1284), 1,
      anon_sym_EQ,
    ACTIONS(1638), 1,
      anon_sym_COMMA,
    ACTIONS(1277), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1279), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [36875] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1775), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1376), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [36935] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1773), 1,
      anon_sym_PERCENT,
    ACTIONS(1775), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1769), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1376), 10,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 13,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [36999] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1376), 1,
      anon_sym_PIPE,
    ACTIONS(1773), 1,
      anon_sym_PERCENT,
    ACTIONS(1775), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1783), 1,
      anon_sym_GT_GT,
    ACTIONS(1787), 1,
      anon_sym_AMP,
    ACTIONS(1789), 1,
      anon_sym_CARET,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1769), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1785), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1795), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1797), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1777), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1793), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 5,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [37081] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1458), 1,
      anon_sym_of,
    ACTIONS(1773), 1,
      anon_sym_PERCENT,
    ACTIONS(1775), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1781), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1783), 1,
      anon_sym_GT_GT,
    ACTIONS(1787), 1,
      anon_sym_AMP,
    ACTIONS(1789), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_PIPE,
    ACTIONS(1799), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1801), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1769), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1785), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1795), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1797), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1777), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1793), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37171] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1376), 1,
      anon_sym_PIPE,
    ACTIONS(1773), 1,
      anon_sym_PERCENT,
    ACTIONS(1775), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1783), 1,
      anon_sym_GT_GT,
    ACTIONS(1787), 1,
      anon_sym_AMP,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1769), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1785), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1795), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1797), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1777), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1793), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [37251] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1773), 1,
      anon_sym_PERCENT,
    ACTIONS(1775), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1783), 1,
      anon_sym_GT_GT,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1376), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(1769), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1785), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1795), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1797), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1777), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1793), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 6,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK_QMARK,
  [37329] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1416), 1,
      anon_sym_of,
    ACTIONS(1773), 1,
      anon_sym_PERCENT,
    ACTIONS(1775), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1781), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1783), 1,
      anon_sym_GT_GT,
    ACTIONS(1787), 1,
      anon_sym_AMP,
    ACTIONS(1789), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_PIPE,
    ACTIONS(1799), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1801), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1769), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1785), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1795), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1797), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1777), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1793), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37419] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1773), 1,
      anon_sym_PERCENT,
    ACTIONS(1775), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1783), 1,
      anon_sym_GT_GT,
    ACTIONS(1787), 1,
      anon_sym_AMP,
    ACTIONS(1789), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1769), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1785), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1795), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1797), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1777), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1793), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 4,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [37503] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1692), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1694), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1700), 1,
      anon_sym_AMP,
    ACTIONS(1702), 1,
      anon_sym_CARET,
    ACTIONS(1704), 1,
      anon_sym_PIPE,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1718), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1720), 1,
      sym__ternary_qmark,
    ACTIONS(1814), 1,
      anon_sym_COLON,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37593] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1773), 1,
      anon_sym_PERCENT,
    ACTIONS(1775), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1783), 1,
      anon_sym_GT_GT,
    ACTIONS(1787), 1,
      anon_sym_AMP,
    ACTIONS(1789), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_PIPE,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1769), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1785), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1795), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1797), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1777), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1793), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
    ACTIONS(1370), 5,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK_QMARK,
  [37675] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1773), 1,
      anon_sym_PERCENT,
    ACTIONS(1775), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1783), 1,
      anon_sym_GT_GT,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1769), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1785), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1376), 7,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 11,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [37745] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1775), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1376), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1370), 14,
      sym__ternary_qmark,
      anon_sym_of,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
  [37805] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1336), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1338), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1340), 1,
      anon_sym_GT_GT,
    ACTIONS(1344), 1,
      anon_sym_AMP,
    ACTIONS(1346), 1,
      anon_sym_CARET,
    ACTIONS(1348), 1,
      anon_sym_PIPE,
    ACTIONS(1352), 1,
      anon_sym_PERCENT,
    ACTIONS(1354), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1362), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1364), 1,
      sym__ternary_qmark,
    ACTIONS(1816), 1,
      anon_sym_RBRACK,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1330), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1342), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1350), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1358), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1360), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1334), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1356), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [37895] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_EQ,
    ACTIONS(1288), 1,
      anon_sym_RBRACK,
    ACTIONS(1640), 1,
      anon_sym_COMMA,
    ACTIONS(514), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(516), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [37945] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1478), 1,
      anon_sym_of,
    ACTIONS(1773), 1,
      anon_sym_PERCENT,
    ACTIONS(1775), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1779), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1781), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1783), 1,
      anon_sym_GT_GT,
    ACTIONS(1787), 1,
      anon_sym_AMP,
    ACTIONS(1789), 1,
      anon_sym_CARET,
    ACTIONS(1791), 1,
      anon_sym_PIPE,
    ACTIONS(1799), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1801), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1769), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1771), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1785), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1795), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1797), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1777), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1793), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [38035] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1692), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1694), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1700), 1,
      anon_sym_AMP,
    ACTIONS(1702), 1,
      anon_sym_CARET,
    ACTIONS(1704), 1,
      anon_sym_PIPE,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1718), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1720), 1,
      sym__ternary_qmark,
    ACTIONS(1818), 1,
      anon_sym_COLON,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [38125] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1284), 1,
      anon_sym_EQ,
    ACTIONS(1638), 1,
      anon_sym_of,
    ACTIONS(1659), 1,
      anon_sym_in,
    ACTIONS(1277), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1279), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38174] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(518), 1,
      anon_sym_EQ,
    ACTIONS(1640), 1,
      anon_sym_of,
    ACTIONS(1662), 1,
      anon_sym_in,
    ACTIONS(514), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(516), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38223] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1298), 1,
      anon_sym_EQ,
    ACTIONS(1646), 1,
      anon_sym_of,
    ACTIONS(1654), 1,
      anon_sym_in,
    ACTIONS(1291), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1293), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38272] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(374), 1,
      anon_sym_BQUOTE,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(1253), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_DOT,
    ACTIONS(1257), 1,
      sym_optional_chain,
    ACTIONS(1692), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1694), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1700), 1,
      anon_sym_AMP,
    ACTIONS(1702), 1,
      anon_sym_CARET,
    ACTIONS(1704), 1,
      anon_sym_PIPE,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1718), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1720), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(599), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [38359] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 1,
      anon_sym_BQUOTE,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(1310), 1,
      anon_sym_LBRACK,
    ACTIONS(1312), 1,
      anon_sym_DOT,
    ACTIONS(1314), 1,
      sym_optional_chain,
    ACTIONS(1692), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1694), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1696), 1,
      anon_sym_GT_GT,
    ACTIONS(1700), 1,
      anon_sym_AMP,
    ACTIONS(1702), 1,
      anon_sym_CARET,
    ACTIONS(1704), 1,
      anon_sym_PIPE,
    ACTIONS(1708), 1,
      anon_sym_PERCENT,
    ACTIONS(1710), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1718), 1,
      anon_sym_QMARK_QMARK,
    ACTIONS(1720), 1,
      sym__ternary_qmark,
    ACTIONS(1265), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1688), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1698), 2,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1706), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1714), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1716), 2,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
    STATE(721), 2,
      sym_template_string,
      sym_arguments,
    ACTIONS(1690), 3,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1712), 3,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_instanceof,
  [38446] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1168), 1,
      anon_sym_EQ,
    ACTIONS(1221), 1,
      anon_sym_in,
    ACTIONS(1224), 1,
      anon_sym_of,
    ACTIONS(1135), 11,
      anon_sym_STAR,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1137), 21,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      sym_regex_flags,
    ACTIONS(1480), 14,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_of,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_instanceof,
    ACTIONS(1482), 20,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_EQ,
    ACTIONS(1135), 12,
      anon_sym_STAR,
      anon_sym_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_SLASH,
      anon_sym_GT_GT,
      anon_sym_AMP,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(1137), 22,
      sym__ternary_qmark,
      anon_sym_LPAREN,
      anon_sym_of,
      anon_sym_LBRACK,
      anon_sym_DOT,
      sym_optional_chain,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_GT_GT_GT,
      anon_sym_LT_LT,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_STAR_STAR,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ_EQ,
      anon_sym_BANG_EQ_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK_QMARK,
      anon_sym_instanceof,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_BQUOTE,
  [38585] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_STAR,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(105), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(1824), 1,
      anon_sym_RBRACE,
    ACTIONS(1826), 1,
      anon_sym_LBRACK,
    ACTIONS(1828), 1,
      anon_sym_async,
    ACTIONS(1830), 1,
      anon_sym_static,
    STATE(922), 1,
      aux_sym_export_statement_repeat1,
    STATE(978), 1,
      sym_decorator,
    STATE(1291), 1,
      aux_sym_object_repeat1,
    STATE(1292), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(109), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1820), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1832), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1281), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1284), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1287), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1525), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [38666] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_STAR,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(105), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(1826), 1,
      anon_sym_LBRACK,
    ACTIONS(1836), 1,
      anon_sym_RBRACE,
    ACTIONS(1838), 1,
      anon_sym_async,
    ACTIONS(1840), 1,
      anon_sym_static,
    STATE(922), 1,
      aux_sym_export_statement_repeat1,
    STATE(978), 1,
      sym_decorator,
    STATE(1282), 1,
      aux_sym_object_repeat1,
    STATE(1292), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(109), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1834), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1842), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1281), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1287), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1302), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1525), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [38747] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_STAR,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(105), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(1826), 1,
      anon_sym_LBRACK,
    ACTIONS(1846), 1,
      anon_sym_RBRACE,
    ACTIONS(1848), 1,
      anon_sym_async,
    ACTIONS(1850), 1,
      anon_sym_static,
    STATE(922), 1,
      aux_sym_export_statement_repeat1,
    STATE(978), 1,
      sym_decorator,
    STATE(1282), 1,
      aux_sym_object_repeat1,
    STATE(1292), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(109), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1844), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1852), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1281), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1287), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1302), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1525), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [38828] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_STAR,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(105), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(1826), 1,
      anon_sym_LBRACK,
    ACTIONS(1856), 1,
      anon_sym_RBRACE,
    ACTIONS(1858), 1,
      anon_sym_async,
    ACTIONS(1860), 1,
      anon_sym_static,
    STATE(922), 1,
      aux_sym_export_statement_repeat1,
    STATE(978), 1,
      sym_decorator,
    STATE(1291), 1,
      aux_sym_object_repeat1,
    STATE(1292), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(109), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1854), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1862), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1281), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1284), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1287), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1525), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [38909] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_STAR,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(105), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(1826), 1,
      anon_sym_LBRACK,
    ACTIONS(1866), 1,
      anon_sym_RBRACE,
    ACTIONS(1868), 1,
      anon_sym_async,
    ACTIONS(1870), 1,
      anon_sym_static,
    STATE(922), 1,
      aux_sym_export_statement_repeat1,
    STATE(978), 1,
      sym_decorator,
    STATE(1282), 1,
      aux_sym_object_repeat1,
    STATE(1292), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(109), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1864), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1872), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1281), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1287), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1302), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1525), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [38990] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_STAR,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(105), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(1826), 1,
      anon_sym_LBRACK,
    ACTIONS(1876), 1,
      anon_sym_RBRACE,
    ACTIONS(1878), 1,
      anon_sym_async,
    ACTIONS(1880), 1,
      anon_sym_static,
    STATE(922), 1,
      aux_sym_export_statement_repeat1,
    STATE(978), 1,
      sym_decorator,
    STATE(1282), 1,
      aux_sym_object_repeat1,
    STATE(1292), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(109), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1874), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1882), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1281), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1287), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1302), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1525), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [39071] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_STAR,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(105), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(1826), 1,
      anon_sym_LBRACK,
    ACTIONS(1886), 1,
      anon_sym_RBRACE,
    ACTIONS(1888), 1,
      anon_sym_async,
    ACTIONS(1890), 1,
      anon_sym_static,
    STATE(922), 1,
      aux_sym_export_statement_repeat1,
    STATE(978), 1,
      sym_decorator,
    STATE(1282), 1,
      aux_sym_object_repeat1,
    STATE(1292), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(109), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1884), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1892), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1281), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1287), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1302), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1525), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [39152] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_STAR,
    ACTIONS(105), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(1826), 1,
      anon_sym_LBRACK,
    ACTIONS(1899), 1,
      anon_sym_async,
    ACTIONS(1901), 1,
      anon_sym_static,
    STATE(922), 1,
      aux_sym_export_statement_repeat1,
    STATE(978), 1,
      sym_decorator,
    ACTIONS(109), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1894), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1896), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1903), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1287), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1412), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
    STATE(1414), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1525), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [39225] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_STAR,
    ACTIONS(1243), 1,
      anon_sym_DQUOTE,
    ACTIONS(1245), 1,
      anon_sym_SQUOTE,
    ACTIONS(1907), 1,
      anon_sym_RBRACE,
    ACTIONS(1909), 1,
      anon_sym_LBRACK,
    ACTIONS(1911), 1,
      anon_sym_async,
    ACTIONS(1915), 1,
      anon_sym_static,
    STATE(876), 1,
      aux_sym_class_body_repeat1,
    STATE(920), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_method_definition,
    STATE(976), 1,
      sym_glimmer_template,
    STATE(978), 1,
      sym_decorator,
    STATE(1175), 1,
      sym_glimmer_opening_tag,
    STATE(1369), 1,
      sym_field_definition,
    ACTIONS(1905), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1913), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1917), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1069), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [39294] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_STAR,
    ACTIONS(1243), 1,
      anon_sym_DQUOTE,
    ACTIONS(1245), 1,
      anon_sym_SQUOTE,
    ACTIONS(1909), 1,
      anon_sym_LBRACK,
    ACTIONS(1911), 1,
      anon_sym_async,
    ACTIONS(1915), 1,
      anon_sym_static,
    ACTIONS(1919), 1,
      anon_sym_RBRACE,
    STATE(875), 1,
      aux_sym_class_body_repeat1,
    STATE(920), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_method_definition,
    STATE(976), 1,
      sym_glimmer_template,
    STATE(978), 1,
      sym_decorator,
    STATE(1175), 1,
      sym_glimmer_opening_tag,
    STATE(1369), 1,
      sym_field_definition,
    ACTIONS(1905), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1913), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1917), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1069), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [39363] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(642), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(1826), 1,
      anon_sym_LBRACK,
    ACTIONS(1923), 1,
      anon_sym_COMMA,
    ACTIONS(1925), 1,
      anon_sym_RBRACE,
    STATE(1304), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1307), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1504), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1525), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(1921), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39418] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_STAR,
    ACTIONS(1243), 1,
      anon_sym_DQUOTE,
    ACTIONS(1245), 1,
      anon_sym_SQUOTE,
    ACTIONS(1909), 1,
      anon_sym_LBRACK,
    ACTIONS(1911), 1,
      anon_sym_async,
    ACTIONS(1915), 1,
      anon_sym_static,
    ACTIONS(1929), 1,
      anon_sym_RBRACE,
    STATE(879), 1,
      aux_sym_class_body_repeat1,
    STATE(920), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_method_definition,
    STATE(976), 1,
      sym_glimmer_template,
    STATE(978), 1,
      sym_decorator,
    STATE(1175), 1,
      sym_glimmer_opening_tag,
    STATE(1369), 1,
      sym_field_definition,
    ACTIONS(1905), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1913), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1917), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1069), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [39487] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_STAR,
    ACTIONS(1243), 1,
      anon_sym_DQUOTE,
    ACTIONS(1245), 1,
      anon_sym_SQUOTE,
    ACTIONS(1909), 1,
      anon_sym_LBRACK,
    ACTIONS(1911), 1,
      anon_sym_async,
    ACTIONS(1915), 1,
      anon_sym_static,
    ACTIONS(1931), 1,
      anon_sym_RBRACE,
    STATE(871), 1,
      aux_sym_class_body_repeat1,
    STATE(920), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_method_definition,
    STATE(976), 1,
      sym_glimmer_template,
    STATE(978), 1,
      sym_decorator,
    STATE(1175), 1,
      sym_glimmer_opening_tag,
    STATE(1369), 1,
      sym_field_definition,
    ACTIONS(1905), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1913), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1917), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1069), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [39556] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1936), 1,
      anon_sym_STAR,
    ACTIONS(1939), 1,
      anon_sym_RBRACE,
    ACTIONS(1941), 1,
      anon_sym_LBRACK,
    ACTIONS(1944), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(1947), 1,
      anon_sym_async,
    ACTIONS(1950), 1,
      anon_sym_DQUOTE,
    ACTIONS(1953), 1,
      anon_sym_SQUOTE,
    ACTIONS(1959), 1,
      anon_sym_AT,
    ACTIONS(1962), 1,
      anon_sym_static,
    STATE(875), 1,
      aux_sym_class_body_repeat1,
    STATE(920), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_method_definition,
    STATE(976), 1,
      sym_glimmer_template,
    STATE(978), 1,
      sym_decorator,
    STATE(1175), 1,
      sym_glimmer_opening_tag,
    STATE(1369), 1,
      sym_field_definition,
    ACTIONS(1933), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1956), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1965), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1069), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [39625] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_STAR,
    ACTIONS(1243), 1,
      anon_sym_DQUOTE,
    ACTIONS(1245), 1,
      anon_sym_SQUOTE,
    ACTIONS(1909), 1,
      anon_sym_LBRACK,
    ACTIONS(1911), 1,
      anon_sym_async,
    ACTIONS(1915), 1,
      anon_sym_static,
    ACTIONS(1968), 1,
      anon_sym_RBRACE,
    STATE(875), 1,
      aux_sym_class_body_repeat1,
    STATE(920), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_method_definition,
    STATE(976), 1,
      sym_glimmer_template,
    STATE(978), 1,
      sym_decorator,
    STATE(1175), 1,
      sym_glimmer_opening_tag,
    STATE(1369), 1,
      sym_field_definition,
    ACTIONS(1905), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1913), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1917), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1069), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [39694] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_STAR,
    ACTIONS(1243), 1,
      anon_sym_DQUOTE,
    ACTIONS(1245), 1,
      anon_sym_SQUOTE,
    ACTIONS(1909), 1,
      anon_sym_LBRACK,
    ACTIONS(1911), 1,
      anon_sym_async,
    ACTIONS(1915), 1,
      anon_sym_static,
    ACTIONS(1970), 1,
      anon_sym_RBRACE,
    STATE(878), 1,
      aux_sym_class_body_repeat1,
    STATE(920), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_method_definition,
    STATE(976), 1,
      sym_glimmer_template,
    STATE(978), 1,
      sym_decorator,
    STATE(1175), 1,
      sym_glimmer_opening_tag,
    STATE(1369), 1,
      sym_field_definition,
    ACTIONS(1905), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1913), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1917), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1069), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [39763] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_STAR,
    ACTIONS(1243), 1,
      anon_sym_DQUOTE,
    ACTIONS(1245), 1,
      anon_sym_SQUOTE,
    ACTIONS(1909), 1,
      anon_sym_LBRACK,
    ACTIONS(1911), 1,
      anon_sym_async,
    ACTIONS(1915), 1,
      anon_sym_static,
    ACTIONS(1972), 1,
      anon_sym_RBRACE,
    STATE(875), 1,
      aux_sym_class_body_repeat1,
    STATE(920), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_method_definition,
    STATE(976), 1,
      sym_glimmer_template,
    STATE(978), 1,
      sym_decorator,
    STATE(1175), 1,
      sym_glimmer_opening_tag,
    STATE(1369), 1,
      sym_field_definition,
    ACTIONS(1905), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1913), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1917), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1069), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [39832] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      anon_sym_LTtemplate_GT,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_STAR,
    ACTIONS(1243), 1,
      anon_sym_DQUOTE,
    ACTIONS(1245), 1,
      anon_sym_SQUOTE,
    ACTIONS(1909), 1,
      anon_sym_LBRACK,
    ACTIONS(1911), 1,
      anon_sym_async,
    ACTIONS(1915), 1,
      anon_sym_static,
    ACTIONS(1974), 1,
      anon_sym_RBRACE,
    STATE(875), 1,
      aux_sym_class_body_repeat1,
    STATE(920), 1,
      aux_sym_export_statement_repeat1,
    STATE(953), 1,
      sym_method_definition,
    STATE(976), 1,
      sym_glimmer_template,
    STATE(978), 1,
      sym_decorator,
    STATE(1175), 1,
      sym_glimmer_opening_tag,
    STATE(1369), 1,
      sym_field_definition,
    ACTIONS(1905), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1913), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1917), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1069), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [39901] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(642), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(1826), 1,
      anon_sym_LBRACK,
    ACTIONS(1923), 1,
      anon_sym_COMMA,
    ACTIONS(1978), 1,
      anon_sym_RBRACE,
    STATE(1292), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1281), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1504), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1525), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(1976), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [39956] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(642), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(1826), 1,
      anon_sym_LBRACK,
    ACTIONS(1927), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1982), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1414), 3,
      sym_object_assignment_pattern,
      sym_rest_pattern,
      sym_pair_pattern,
    STATE(1504), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1525), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
    ACTIONS(1980), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40006] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(95), 1,
      anon_sym_STAR,
    ACTIONS(671), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(1990), 1,
      anon_sym_async,
    ACTIONS(1994), 1,
      anon_sym_static,
    STATE(922), 1,
      aux_sym_export_statement_repeat1,
    STATE(978), 1,
      sym_decorator,
    ACTIONS(1984), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(1986), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1992), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1996), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1251), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    STATE(1412), 3,
      sym_spread_element,
      sym_method_definition,
      sym_pair,
  [40066] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_STAR,
    ACTIONS(2000), 1,
      anon_sym_RBRACE,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1293), 1,
      aux_sym_object_repeat1,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(835), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [40120] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(769), 1,
      anon_sym_RBRACE,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(833), 1,
      anon_sym_async,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_STAR,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    STATE(1233), 1,
      aux_sym_object_repeat1,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(835), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(831), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [40176] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(795), 1,
      anon_sym_RBRACE,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_STAR,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1293), 1,
      aux_sym_object_repeat1,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(835), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [40230] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(797), 1,
      anon_sym_RBRACE,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(833), 1,
      anon_sym_async,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_STAR,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1293), 1,
      aux_sym_object_repeat1,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(835), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(831), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [40286] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(833), 1,
      anon_sym_async,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_STAR,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    ACTIONS(2006), 1,
      anon_sym_RBRACE,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1293), 1,
      aux_sym_object_repeat1,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(835), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(831), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [40342] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(769), 1,
      anon_sym_RBRACE,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_STAR,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    STATE(1233), 1,
      aux_sym_object_repeat1,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(835), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [40396] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(833), 1,
      anon_sym_async,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_STAR,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    ACTIONS(2008), 1,
      anon_sym_RBRACE,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1293), 1,
      aux_sym_object_repeat1,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(835), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(831), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [40452] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_STAR,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    ACTIONS(2008), 1,
      anon_sym_RBRACE,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1293), 1,
      aux_sym_object_repeat1,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(835), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [40506] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_STAR,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    ACTIONS(2010), 1,
      anon_sym_RBRACE,
    STATE(1233), 1,
      aux_sym_object_repeat1,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(835), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [40560] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(833), 1,
      anon_sym_async,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_STAR,
    ACTIONS(2000), 1,
      anon_sym_RBRACE,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1293), 1,
      aux_sym_object_repeat1,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(835), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(831), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [40616] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(795), 1,
      anon_sym_RBRACE,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(833), 1,
      anon_sym_async,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_STAR,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1293), 1,
      aux_sym_object_repeat1,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(835), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(831), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [40672] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(797), 1,
      anon_sym_RBRACE,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_STAR,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1293), 1,
      aux_sym_object_repeat1,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(835), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [40726] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_STAR,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    ACTIONS(2006), 1,
      anon_sym_RBRACE,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1293), 1,
      aux_sym_object_repeat1,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(835), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [40780] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(833), 1,
      anon_sym_async,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_STAR,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    ACTIONS(2010), 1,
      anon_sym_RBRACE,
    STATE(1233), 1,
      aux_sym_object_repeat1,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(835), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(831), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [40836] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    ACTIONS(2010), 1,
      anon_sym_RBRACE,
    STATE(1233), 1,
      aux_sym_object_repeat1,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40885] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2000), 1,
      anon_sym_RBRACE,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1293), 1,
      aux_sym_object_repeat1,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40934] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    ACTIONS(2008), 1,
      anon_sym_RBRACE,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1293), 1,
      aux_sym_object_repeat1,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [40983] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    ACTIONS(2006), 1,
      anon_sym_RBRACE,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1293), 1,
      aux_sym_object_repeat1,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41032] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(797), 1,
      anon_sym_RBRACE,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1293), 1,
      aux_sym_object_repeat1,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41081] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(769), 1,
      anon_sym_RBRACE,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    STATE(1233), 1,
      aux_sym_object_repeat1,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41130] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(795), 1,
      anon_sym_RBRACE,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1293), 1,
      aux_sym_object_repeat1,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41179] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(833), 1,
      anon_sym_async,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_STAR,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(835), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2012), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(831), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [41227] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_STAR,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(835), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2012), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41273] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_STAR,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(835), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
    ACTIONS(2002), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [41314] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2015), 1,
      anon_sym_STAR,
    ACTIONS(2019), 1,
      anon_sym_get,
    ACTIONS(2021), 1,
      anon_sym_set,
    ACTIONS(2017), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1464), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
    ACTIONS(2002), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [41357] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2012), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41398] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 1,
      anon_sym_DQUOTE,
    ACTIONS(1245), 1,
      anon_sym_SQUOTE,
    ACTIONS(1909), 1,
      anon_sym_LBRACK,
    ACTIONS(2023), 1,
      anon_sym_STAR,
    ACTIONS(2025), 1,
      anon_sym_async,
    ACTIONS(2029), 1,
      anon_sym_get,
    ACTIONS(2031), 1,
      anon_sym_set,
    ACTIONS(2027), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(1905), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1064), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2002), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [41443] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2033), 1,
      anon_sym_STAR,
    ACTIONS(2035), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2037), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1421), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
    ACTIONS(2002), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [41484] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(831), 1,
      sym_identifier,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2039), 1,
      anon_sym_export,
    ACTIONS(2041), 1,
      anon_sym_STAR,
    ACTIONS(2043), 1,
      anon_sym_class,
    ACTIONS(2045), 1,
      anon_sym_async,
    ACTIONS(2049), 1,
      anon_sym_static,
    ACTIONS(2051), 1,
      anon_sym_get,
    ACTIONS(2053), 1,
      anon_sym_set,
    STATE(955), 1,
      aux_sym_export_statement_repeat1,
    STATE(978), 1,
      sym_decorator,
    ACTIONS(2047), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1380), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [41539] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2055), 1,
      anon_sym_STAR,
    ACTIONS(2059), 1,
      anon_sym_get,
    ACTIONS(2061), 1,
      anon_sym_set,
    ACTIONS(2057), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1395), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
    ACTIONS(2002), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [41582] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 1,
      anon_sym_DQUOTE,
    ACTIONS(1245), 1,
      anon_sym_SQUOTE,
    ACTIONS(1909), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_STAR,
    ACTIONS(2063), 1,
      anon_sym_async,
    ACTIONS(2065), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2067), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1905), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1068), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2002), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [41625] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(833), 1,
      anon_sym_async,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_STAR,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(835), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2069), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(831), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [41670] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(1998), 1,
      anon_sym_STAR,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(835), 2,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2069), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [41713] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2071), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1402), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2002), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41749] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2002), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41785] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2073), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1487), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2002), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41821] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2075), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1494), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2002), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41857] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(1243), 1,
      anon_sym_DQUOTE,
    ACTIONS(1245), 1,
      anon_sym_SQUOTE,
    ACTIONS(1909), 1,
      anon_sym_LBRACK,
    ACTIONS(2041), 1,
      anon_sym_STAR,
    ACTIONS(2077), 1,
      anon_sym_async,
    ACTIONS(2081), 1,
      anon_sym_static,
    ACTIONS(2083), 1,
      anon_sym_get,
    ACTIONS(2085), 1,
      anon_sym_set,
    STATE(955), 1,
      aux_sym_export_statement_repeat1,
    STATE(978), 1,
      sym_decorator,
    ACTIONS(1905), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(2079), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1071), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [41907] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2035), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1421), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2002), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [41943] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2041), 1,
      anon_sym_STAR,
    ACTIONS(2045), 1,
      anon_sym_async,
    ACTIONS(2049), 1,
      anon_sym_static,
    ACTIONS(2051), 1,
      anon_sym_get,
    ACTIONS(2053), 1,
      anon_sym_set,
    STATE(955), 1,
      aux_sym_export_statement_repeat1,
    STATE(978), 1,
      sym_decorator,
    ACTIONS(831), 2,
      anon_sym_export,
      sym_identifier,
    ACTIONS(2047), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1380), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [41993] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2087), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1400), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(2002), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42029] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2069), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42067] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2093), 1,
      anon_sym_LPAREN,
    ACTIONS(2095), 1,
      anon_sym_DOT,
    STATE(986), 1,
      sym_arguments,
    ACTIONS(2089), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2091), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [42098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2097), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2099), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [42123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2097), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2099), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [42148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2101), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2103), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [42173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2105), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2107), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [42198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2105), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2107), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [42223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2105), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2107), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [42248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2109), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2111), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [42273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2105), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2107), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [42298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2105), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2107), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [42323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2105), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2107), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [42348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2105), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2107), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [42373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2113), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2115), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [42398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2119), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [42423] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(771), 1,
      anon_sym_var,
    ACTIONS(785), 1,
      anon_sym_class,
    ACTIONS(787), 1,
      anon_sym_async,
    ACTIONS(789), 1,
      anon_sym_function,
    ACTIONS(2002), 1,
      anon_sym_LPAREN,
    ACTIONS(2121), 1,
      anon_sym_default,
    STATE(420), 1,
      sym_declaration,
    STATE(978), 1,
      sym_decorator,
    STATE(1179), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(773), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(356), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [42468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2097), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2099), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [42493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2119), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [42518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2123), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2125), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [42543] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2119), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [42568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2129), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [42593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2119), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [42618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2117), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2119), 11,
      anon_sym_STAR,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [42643] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2002), 1,
      anon_sym_LPAREN,
    ACTIONS(2131), 1,
      anon_sym_EQ_GT,
    ACTIONS(2035), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1421), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2133), 8,
      anon_sym_export,
      anon_sym_DOT,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2135), 8,
      anon_sym_STAR,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [42703] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(771), 1,
      anon_sym_var,
    ACTIONS(785), 1,
      anon_sym_class,
    ACTIONS(787), 1,
      anon_sym_async,
    ACTIONS(789), 1,
      anon_sym_function,
    ACTIONS(2137), 1,
      anon_sym_default,
    STATE(420), 1,
      sym_declaration,
    STATE(978), 1,
      sym_decorator,
    STATE(1179), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(773), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(356), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [42745] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2002), 1,
      anon_sym_LPAREN,
    ACTIONS(2023), 1,
      anon_sym_STAR,
    ACTIONS(2139), 1,
      anon_sym_async,
    ACTIONS(2143), 1,
      anon_sym_get,
    ACTIONS(2145), 1,
      anon_sym_set,
    ACTIONS(2141), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(831), 3,
      anon_sym_export,
      sym_identifier,
      anon_sym_static,
    STATE(1467), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
  [42787] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(771), 1,
      anon_sym_var,
    ACTIONS(785), 1,
      anon_sym_class,
    ACTIONS(787), 1,
      anon_sym_async,
    ACTIONS(789), 1,
      anon_sym_function,
    ACTIONS(2121), 1,
      anon_sym_default,
    STATE(420), 1,
      sym_declaration,
    STATE(978), 1,
      sym_decorator,
    STATE(1179), 1,
      aux_sym_export_statement_repeat1,
    ACTIONS(773), 2,
      anon_sym_let,
      anon_sym_const,
    STATE(356), 5,
      sym_variable_declaration,
      sym_lexical_declaration,
      sym_class_declaration,
      sym_function_declaration,
      sym_generator_function_declaration,
  [42829] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2002), 1,
      anon_sym_LPAREN,
    ACTIONS(2055), 1,
      anon_sym_STAR,
    ACTIONS(2059), 1,
      anon_sym_get,
    ACTIONS(2061), 1,
      anon_sym_set,
    ACTIONS(2057), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1395), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [42869] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_SEMI,
    ACTIONS(2147), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2149), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [42895] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2002), 1,
      anon_sym_LPAREN,
    ACTIONS(2015), 1,
      anon_sym_STAR,
    ACTIONS(2019), 1,
      anon_sym_get,
    ACTIONS(2021), 1,
      anon_sym_set,
    ACTIONS(2017), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1464), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [42935] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2157), 1,
      anon_sym_AT,
    STATE(955), 1,
      aux_sym_export_statement_repeat1,
    STATE(978), 1,
      sym_decorator,
    ACTIONS(2155), 6,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2153), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [42965] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2002), 1,
      anon_sym_LPAREN,
    ACTIONS(2033), 1,
      anon_sym_STAR,
    ACTIONS(2035), 2,
      sym_number,
      sym_private_property_identifier,
    ACTIONS(2037), 2,
      anon_sym_get,
      anon_sym_set,
    STATE(1421), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 4,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
  [43003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2160), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [43024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2162), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2164), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [43047] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2002), 1,
      anon_sym_LPAREN,
    ACTIONS(2071), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1402), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1386), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1388), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [43103] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2002), 1,
      anon_sym_LPAREN,
    ACTIONS(2087), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1400), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43136] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2002), 1,
      anon_sym_LPAREN,
    ACTIONS(2166), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1389), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2168), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [43190] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2002), 1,
      anon_sym_LPAREN,
    ACTIONS(2170), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1388), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [43244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1530), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [43267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1522), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [43290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2174), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [43311] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2002), 1,
      anon_sym_LPAREN,
    ACTIONS(2035), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1421), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43344] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2002), 1,
      anon_sym_LPAREN,
    ACTIONS(2075), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1494), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43377] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2002), 1,
      anon_sym_LPAREN,
    ACTIONS(2073), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1487), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43410] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2002), 1,
      anon_sym_LPAREN,
    ACTIONS(2176), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1475), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43443] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2002), 1,
      anon_sym_LPAREN,
    ACTIONS(2178), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1477), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43476] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2002), 1,
      anon_sym_LPAREN,
    ACTIONS(2180), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1385), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 15,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_CARET_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_AMP_AMP_EQ,
      anon_sym_PIPE_PIPE_EQ,
      anon_sym_QMARK_QMARK_EQ,
  [43530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2184), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2186), 9,
      anon_sym_STAR,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_LTtemplate_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [43553] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(827), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1417), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2188), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2190), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [43605] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2192), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1462), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43635] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2194), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1479), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43665] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2180), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1385), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1366), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1368), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [43717] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2035), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1421), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43747] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2196), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1387), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2089), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2091), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [43799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2198), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(2200), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [43821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1472), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1474), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [43843] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(1988), 1,
      anon_sym_LBRACK,
    ACTIONS(2202), 2,
      sym_number,
      sym_private_property_identifier,
    STATE(1394), 3,
      sym_string,
      sym__property_name,
      sym_computed_property_name,
    ACTIONS(831), 6,
      anon_sym_export,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
  [43873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1426), 7,
      anon_sym_export,
      anon_sym_class,
      anon_sym_async,
      sym_identifier,
      anon_sym_static,
      anon_sym_get,
      anon_sym_set,
    ACTIONS(1428), 7,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_number,
      sym_private_property_identifier,
      anon_sym_AT,
  [43895] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2208), 1,
      anon_sym_COLON,
    ACTIONS(2210), 1,
      anon_sym_GT,
    ACTIONS(2212), 1,
      anon_sym_SLASH,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2216), 1,
      anon_sym_DOT,
    STATE(1037), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [43930] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2208), 1,
      anon_sym_COLON,
    ACTIONS(2210), 1,
      anon_sym_GT,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2216), 1,
      anon_sym_DOT,
    ACTIONS(2218), 1,
      anon_sym_SLASH,
    STATE(1040), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [43965] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2208), 1,
      anon_sym_COLON,
    ACTIONS(2210), 1,
      anon_sym_GT,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2216), 1,
      anon_sym_DOT,
    ACTIONS(2220), 1,
      anon_sym_SLASH,
    STATE(1031), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44000] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2208), 1,
      anon_sym_COLON,
    ACTIONS(2210), 1,
      anon_sym_GT,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2216), 1,
      anon_sym_DOT,
    ACTIONS(2222), 1,
      anon_sym_SLASH,
    STATE(1026), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44035] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2210), 1,
      anon_sym_GT,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2216), 1,
      anon_sym_DOT,
    ACTIONS(2220), 1,
      anon_sym_SLASH,
    STATE(1030), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44067] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2208), 1,
      anon_sym_COLON,
    ACTIONS(2210), 1,
      anon_sym_GT,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2218), 1,
      anon_sym_SLASH,
    STATE(1039), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44099] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2210), 1,
      anon_sym_GT,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2216), 1,
      anon_sym_DOT,
    ACTIONS(2222), 1,
      anon_sym_SLASH,
    STATE(1024), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44131] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2208), 1,
      anon_sym_COLON,
    ACTIONS(2210), 1,
      anon_sym_GT,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2222), 1,
      anon_sym_SLASH,
    STATE(1013), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44163] = 7,
    ACTIONS(2224), 1,
      anon_sym_LBRACE,
    ACTIONS(2226), 1,
      anon_sym_LT,
    ACTIONS(2228), 1,
      sym_jsx_text,
    ACTIONS(2230), 1,
      sym_comment,
    STATE(726), 1,
      sym_jsx_closing_element,
    STATE(999), 1,
      sym_jsx_opening_element,
    STATE(1006), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44189] = 7,
    ACTIONS(2224), 1,
      anon_sym_LBRACE,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2232), 1,
      anon_sym_LT,
    ACTIONS(2234), 1,
      sym_jsx_text,
    STATE(999), 1,
      sym_jsx_opening_element,
    STATE(1280), 1,
      sym_jsx_closing_element,
    STATE(1001), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44215] = 7,
    ACTIONS(2224), 1,
      anon_sym_LBRACE,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_LT,
    ACTIONS(2238), 1,
      sym_jsx_text,
    STATE(604), 1,
      sym_jsx_closing_element,
    STATE(999), 1,
      sym_jsx_opening_element,
    STATE(1011), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44241] = 7,
    ACTIONS(2224), 1,
      anon_sym_LBRACE,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2232), 1,
      anon_sym_LT,
    ACTIONS(2240), 1,
      sym_jsx_text,
    STATE(999), 1,
      sym_jsx_opening_element,
    STATE(1272), 1,
      sym_jsx_closing_element,
    STATE(1019), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44267] = 7,
    ACTIONS(2224), 1,
      anon_sym_LBRACE,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2242), 1,
      anon_sym_LT,
    ACTIONS(2244), 1,
      sym_jsx_text,
    STATE(999), 1,
      sym_jsx_opening_element,
    STATE(1138), 1,
      sym_jsx_closing_element,
    STATE(1003), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44293] = 7,
    ACTIONS(2224), 1,
      anon_sym_LBRACE,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2240), 1,
      sym_jsx_text,
    ACTIONS(2242), 1,
      anon_sym_LT,
    STATE(999), 1,
      sym_jsx_opening_element,
    STATE(1134), 1,
      sym_jsx_closing_element,
    STATE(1019), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44319] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2210), 1,
      anon_sym_GT,
    ACTIONS(2212), 1,
      anon_sym_SLASH,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2216), 1,
      anon_sym_DOT,
    STATE(1012), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44351] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2208), 1,
      anon_sym_COLON,
    ACTIONS(2210), 1,
      anon_sym_GT,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2220), 1,
      anon_sym_SLASH,
    STATE(1035), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44383] = 7,
    ACTIONS(2224), 1,
      anon_sym_LBRACE,
    ACTIONS(2226), 1,
      anon_sym_LT,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2240), 1,
      sym_jsx_text,
    STATE(760), 1,
      sym_jsx_closing_element,
    STATE(999), 1,
      sym_jsx_opening_element,
    STATE(1019), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44409] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2246), 1,
      anon_sym_LT,
    STATE(1002), 1,
      sym_jsx_opening_element,
    STATE(1111), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym_string,
  [44435] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(823), 1,
      anon_sym_DQUOTE,
    ACTIONS(825), 1,
      anon_sym_SQUOTE,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2246), 1,
      anon_sym_LT,
    STATE(1002), 1,
      sym_jsx_opening_element,
    STATE(1110), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      sym_string,
  [44461] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2208), 1,
      anon_sym_COLON,
    ACTIONS(2210), 1,
      anon_sym_GT,
    ACTIONS(2212), 1,
      anon_sym_SLASH,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    STATE(1038), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44493] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2210), 1,
      anon_sym_GT,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2216), 1,
      anon_sym_DOT,
    ACTIONS(2218), 1,
      anon_sym_SLASH,
    STATE(1036), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44525] = 7,
    ACTIONS(2224), 1,
      anon_sym_LBRACE,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_LT,
    ACTIONS(2240), 1,
      sym_jsx_text,
    STATE(534), 1,
      sym_jsx_closing_element,
    STATE(999), 1,
      sym_jsx_opening_element,
    STATE(1019), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44551] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2248), 1,
      anon_sym_GT,
    ACTIONS(2250), 1,
      anon_sym_SLASH,
    STATE(1020), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44580] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2252), 1,
      anon_sym_GT,
    ACTIONS(2254), 1,
      anon_sym_SLASH,
    STATE(1020), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44609] = 6,
    ACTIONS(2224), 1,
      anon_sym_LBRACE,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2240), 1,
      sym_jsx_text,
    ACTIONS(2256), 1,
      anon_sym_LT,
    STATE(999), 1,
      sym_jsx_opening_element,
    STATE(1019), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44632] = 6,
    ACTIONS(2224), 1,
      anon_sym_LBRACE,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2258), 1,
      anon_sym_LT,
    ACTIONS(2260), 1,
      sym_jsx_text,
    STATE(999), 1,
      sym_jsx_opening_element,
    STATE(1014), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44655] = 6,
    ACTIONS(2224), 1,
      anon_sym_LBRACE,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2240), 1,
      sym_jsx_text,
    ACTIONS(2262), 1,
      anon_sym_LT,
    STATE(999), 1,
      sym_jsx_opening_element,
    STATE(1019), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44678] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2210), 1,
      anon_sym_GT,
    ACTIONS(2212), 1,
      anon_sym_SLASH,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    STATE(1033), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44707] = 6,
    ACTIONS(2224), 1,
      anon_sym_LBRACE,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2264), 1,
      anon_sym_LT,
    ACTIONS(2266), 1,
      sym_jsx_text,
    STATE(999), 1,
      sym_jsx_opening_element,
    STATE(1029), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44730] = 6,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_LBRACE,
    ACTIONS(2271), 1,
      anon_sym_LT,
    ACTIONS(2274), 1,
      sym_jsx_text,
    STATE(999), 1,
      sym_jsx_opening_element,
    STATE(1019), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44753] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2277), 1,
      sym_identifier,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(2283), 1,
      anon_sym_GT,
    ACTIONS(2285), 1,
      anon_sym_SLASH,
    ACTIONS(2287), 1,
      sym_jsx_identifier,
    STATE(1020), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44782] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2290), 1,
      anon_sym_GT,
    ACTIONS(2292), 1,
      anon_sym_SLASH,
    STATE(1020), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44811] = 6,
    ACTIONS(2224), 1,
      anon_sym_LBRACE,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2240), 1,
      sym_jsx_text,
    ACTIONS(2294), 1,
      anon_sym_LT,
    STATE(999), 1,
      sym_jsx_opening_element,
    STATE(1019), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44834] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2290), 1,
      anon_sym_GT,
    ACTIONS(2296), 1,
      anon_sym_SLASH,
    STATE(1020), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44863] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2248), 1,
      anon_sym_GT,
    ACTIONS(2298), 1,
      anon_sym_SLASH,
    STATE(1020), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44892] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2210), 1,
      anon_sym_GT,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2218), 1,
      anon_sym_SLASH,
    STATE(1032), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44921] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2300), 1,
      anon_sym_GT,
    ACTIONS(2302), 1,
      anon_sym_SLASH,
    STATE(1020), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [44950] = 6,
    ACTIONS(2224), 1,
      anon_sym_LBRACE,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2304), 1,
      anon_sym_LT,
    ACTIONS(2306), 1,
      sym_jsx_text,
    STATE(999), 1,
      sym_jsx_opening_element,
    STATE(1022), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [44973] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2210), 1,
      anon_sym_GT,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2222), 1,
      anon_sym_SLASH,
    STATE(1023), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45002] = 6,
    ACTIONS(2224), 1,
      anon_sym_LBRACE,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2240), 1,
      sym_jsx_text,
    ACTIONS(2308), 1,
      anon_sym_LT,
    STATE(999), 1,
      sym_jsx_opening_element,
    STATE(1019), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [45025] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2248), 1,
      anon_sym_GT,
    ACTIONS(2310), 1,
      anon_sym_SLASH,
    STATE(1020), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45054] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2300), 1,
      anon_sym_GT,
    ACTIONS(2312), 1,
      anon_sym_SLASH,
    STATE(1020), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45083] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2290), 1,
      anon_sym_GT,
    ACTIONS(2314), 1,
      anon_sym_SLASH,
    STATE(1020), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45112] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2290), 1,
      anon_sym_GT,
    ACTIONS(2316), 1,
      anon_sym_SLASH,
    STATE(1020), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45141] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2210), 1,
      anon_sym_GT,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2220), 1,
      anon_sym_SLASH,
    STATE(1021), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45170] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2252), 1,
      anon_sym_GT,
    ACTIONS(2318), 1,
      anon_sym_SLASH,
    STATE(1020), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45199] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2248), 1,
      anon_sym_GT,
    ACTIONS(2320), 1,
      anon_sym_SLASH,
    STATE(1020), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45228] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2300), 1,
      anon_sym_GT,
    ACTIONS(2322), 1,
      anon_sym_SLASH,
    STATE(1020), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45257] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2252), 1,
      anon_sym_GT,
    ACTIONS(2324), 1,
      anon_sym_SLASH,
    STATE(1020), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45286] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2252), 1,
      anon_sym_GT,
    ACTIONS(2326), 1,
      anon_sym_SLASH,
    STATE(1020), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45315] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_LBRACE,
    ACTIONS(2214), 1,
      sym_jsx_identifier,
    ACTIONS(2300), 1,
      anon_sym_GT,
    ACTIONS(2328), 1,
      anon_sym_SLASH,
    STATE(1020), 1,
      aux_sym_jsx_opening_element_repeat1,
    STATE(1076), 1,
      sym_jsx_namespace_name,
    STATE(1129), 2,
      sym_jsx_expression,
      sym_jsx_attribute,
  [45344] = 6,
    ACTIONS(2224), 1,
      anon_sym_LBRACE,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2330), 1,
      anon_sym_LT,
    ACTIONS(2332), 1,
      sym_jsx_text,
    STATE(999), 1,
      sym_jsx_opening_element,
    STATE(1016), 5,
      sym_jsx_element,
      sym_jsx_fragment,
      sym_jsx_expression,
      sym_jsx_self_closing_element,
      aux_sym_jsx_element_repeat1,
  [45367] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2334), 1,
      sym_identifier,
    ACTIONS(2336), 1,
      anon_sym_LBRACE,
    ACTIONS(2338), 1,
      anon_sym_LBRACK,
    STATE(1329), 1,
      sym_variable_declarator,
    STATE(1128), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2340), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [45401] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(769), 1,
      anon_sym_RBRACE,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    STATE(1233), 1,
      aux_sym_object_repeat1,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45424] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 1,
      anon_sym_COLON,
    ACTIONS(2346), 1,
      anon_sym_EQ,
    ACTIONS(2342), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2344), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [45443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1490), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1492), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_GT,
      sym_jsx_identifier,
  [45458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2348), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [45471] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(797), 1,
      anon_sym_RBRACE,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1293), 1,
      aux_sym_object_repeat1,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2350), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [45507] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(795), 1,
      anon_sym_RBRACE,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1293), 1,
      aux_sym_object_repeat1,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45530] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    ACTIONS(2010), 1,
      anon_sym_RBRACE,
    STATE(1233), 1,
      aux_sym_object_repeat1,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45553] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2336), 1,
      anon_sym_LBRACE,
    ACTIONS(2338), 1,
      anon_sym_LBRACK,
    ACTIONS(2352), 1,
      sym_identifier,
    STATE(1206), 1,
      sym_variable_declarator,
    STATE(1059), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45574] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2336), 1,
      anon_sym_LBRACE,
    ACTIONS(2338), 1,
      anon_sym_LBRACK,
    ACTIONS(2354), 1,
      sym_identifier,
    STATE(1164), 1,
      sym_variable_declarator,
    STATE(1063), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45595] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    ACTIONS(2006), 1,
      anon_sym_RBRACE,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1293), 1,
      aux_sym_object_repeat1,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45618] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2334), 1,
      sym_identifier,
    ACTIONS(2336), 1,
      anon_sym_LBRACE,
    ACTIONS(2338), 1,
      anon_sym_LBRACK,
    STATE(1206), 1,
      sym_variable_declarator,
    STATE(1128), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45639] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(2000), 1,
      anon_sym_RBRACE,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1293), 1,
      aux_sym_object_repeat1,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45662] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(97), 1,
      anon_sym_COMMA,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    ACTIONS(2008), 1,
      anon_sym_RBRACE,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
    STATE(1293), 1,
      aux_sym_object_repeat1,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [45685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2356), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [45698] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_EQ,
    STATE(1271), 1,
      sym__initializer,
    ACTIONS(2360), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(2358), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [45717] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2334), 1,
      sym_identifier,
    ACTIONS(2336), 1,
      anon_sym_LBRACE,
    ACTIONS(2338), 1,
      anon_sym_LBRACK,
    STATE(1164), 1,
      sym_variable_declarator,
    STATE(1128), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [45738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1434), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1436), 5,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_COLON,
      anon_sym_GT,
      sym_jsx_identifier,
  [45753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2364), 7,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [45766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2366), 1,
      anon_sym_EQ,
    STATE(1114), 1,
      sym__initializer,
    ACTIONS(2360), 2,
      anon_sym_in,
      anon_sym_of,
    ACTIONS(2358), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [45785] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_EQ,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1403), 1,
      sym_formal_parameters,
    STATE(1429), 1,
      sym__initializer,
    ACTIONS(2370), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45805] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2375), 1,
      anon_sym_BQUOTE,
    ACTIONS(2377), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2372), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1065), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [45823] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      sym_identifier,
    ACTIONS(2382), 1,
      anon_sym_GT,
    ACTIONS(2384), 1,
      anon_sym_SLASH,
    ACTIONS(2386), 1,
      sym_jsx_identifier,
    STATE(1010), 1,
      sym_nested_identifier,
    STATE(1025), 1,
      sym_jsx_namespace_name,
  [45845] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      sym_identifier,
    ACTIONS(2382), 1,
      anon_sym_GT,
    ACTIONS(2386), 1,
      sym_jsx_identifier,
    ACTIONS(2388), 1,
      anon_sym_SLASH,
    STATE(1010), 1,
      sym_nested_identifier,
    STATE(1025), 1,
      sym_jsx_namespace_name,
  [45867] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_EQ,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1420), 1,
      sym_formal_parameters,
    STATE(1490), 1,
      sym__initializer,
    ACTIONS(2390), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45887] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_EQ,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1364), 1,
      sym__initializer,
    STATE(1391), 1,
      sym_formal_parameters,
    ACTIONS(2392), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45907] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      sym_identifier,
    ACTIONS(2382), 1,
      anon_sym_GT,
    ACTIONS(2386), 1,
      sym_jsx_identifier,
    ACTIONS(2394), 1,
      anon_sym_SLASH,
    STATE(1010), 1,
      sym_nested_identifier,
    STATE(1025), 1,
      sym_jsx_namespace_name,
  [45929] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_EQ,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1492), 1,
      sym__initializer,
    STATE(1495), 1,
      sym_formal_parameters,
    ACTIONS(2396), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [45949] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      sym_identifier,
    ACTIONS(2382), 1,
      anon_sym_GT,
    ACTIONS(2386), 1,
      sym_jsx_identifier,
    ACTIONS(2398), 1,
      anon_sym_SLASH,
    STATE(1010), 1,
      sym_nested_identifier,
    STATE(1025), 1,
      sym_jsx_namespace_name,
  [45971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2348), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [45983] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2402), 1,
      anon_sym_BQUOTE,
    ACTIONS(2404), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2400), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1092), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [46001] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_default,
    ACTIONS(2409), 1,
      anon_sym_RBRACE,
    ACTIONS(2411), 1,
      anon_sym_case,
    STATE(1075), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [46019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2418), 1,
      anon_sym_EQ,
    ACTIONS(2414), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2416), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [46035] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      sym_identifier,
    ACTIONS(2382), 1,
      anon_sym_GT,
    ACTIONS(2386), 1,
      sym_jsx_identifier,
    ACTIONS(2420), 1,
      anon_sym_SLASH,
    STATE(1010), 1,
      sym_nested_identifier,
    STATE(1025), 1,
      sym_jsx_namespace_name,
  [46057] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      sym_identifier,
    ACTIONS(2382), 1,
      anon_sym_GT,
    ACTIONS(2386), 1,
      sym_jsx_identifier,
    ACTIONS(2422), 1,
      anon_sym_SLASH,
    STATE(1010), 1,
      sym_nested_identifier,
    STATE(1025), 1,
      sym_jsx_namespace_name,
  [46079] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      sym_identifier,
    ACTIONS(2382), 1,
      anon_sym_GT,
    ACTIONS(2386), 1,
      sym_jsx_identifier,
    ACTIONS(2424), 1,
      anon_sym_SLASH,
    STATE(1010), 1,
      sym_nested_identifier,
    STATE(1025), 1,
      sym_jsx_namespace_name,
  [46101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2426), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2428), 4,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
      anon_sym_DOT,
  [46115] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_default,
    ACTIONS(2432), 1,
      anon_sym_RBRACE,
    ACTIONS(2434), 1,
      anon_sym_case,
    STATE(1101), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [46133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [46145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2340), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [46157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1640), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [46169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2356), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [46181] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(2436), 1,
      sym_identifier,
    ACTIONS(2438), 1,
      anon_sym_LBRACK,
    STATE(1459), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46199] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(2438), 1,
      anon_sym_LBRACK,
    ACTIONS(2440), 1,
      sym_identifier,
    STATE(1187), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2364), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [46229] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2404), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2444), 1,
      anon_sym_BQUOTE,
    ACTIONS(2442), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1091), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [46247] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      sym_identifier,
    ACTIONS(2382), 1,
      anon_sym_GT,
    ACTIONS(2386), 1,
      sym_jsx_identifier,
    ACTIONS(2446), 1,
      anon_sym_SLASH,
    STATE(1010), 1,
      sym_nested_identifier,
    STATE(1025), 1,
      sym_jsx_namespace_name,
  [46269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2404), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2450), 1,
      anon_sym_BQUOTE,
    ACTIONS(2448), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1065), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [46287] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2404), 1,
      anon_sym_DOLLAR_LBRACE,
    ACTIONS(2452), 1,
      anon_sym_BQUOTE,
    ACTIONS(2448), 2,
      sym__template_chars,
      sym_escape_sequence,
    STATE(1065), 2,
      sym_template_substitution,
      aux_sym_template_string_repeat1,
  [46305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2350), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [46317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2454), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2456), 4,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT,
      sym_jsx_identifier,
  [46331] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      sym_identifier,
    ACTIONS(2382), 1,
      anon_sym_GT,
    ACTIONS(2386), 1,
      sym_jsx_identifier,
    ACTIONS(2458), 1,
      anon_sym_SLASH,
    STATE(1010), 1,
      sym_nested_identifier,
    STATE(1025), 1,
      sym_jsx_namespace_name,
  [46353] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      sym_identifier,
    ACTIONS(2382), 1,
      anon_sym_GT,
    ACTIONS(2386), 1,
      sym_jsx_identifier,
    ACTIONS(2460), 1,
      anon_sym_SLASH,
    STATE(1010), 1,
      sym_nested_identifier,
    STATE(1025), 1,
      sym_jsx_namespace_name,
  [46375] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      sym_identifier,
    ACTIONS(2382), 1,
      anon_sym_GT,
    ACTIONS(2386), 1,
      sym_jsx_identifier,
    ACTIONS(2462), 1,
      anon_sym_SLASH,
    STATE(1010), 1,
      sym_nested_identifier,
    STATE(1025), 1,
      sym_jsx_namespace_name,
  [46397] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1822), 1,
      anon_sym_LBRACE,
    ACTIONS(2438), 1,
      anon_sym_LBRACK,
    ACTIONS(2464), 1,
      sym_identifier,
    STATE(1506), 3,
      sym_object_pattern,
      sym_array_pattern,
      sym__destructuring_pattern,
  [46415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 6,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_in,
      anon_sym_of,
      anon_sym_SEMI,
      anon_sym_EQ,
  [46427] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      sym_identifier,
    ACTIONS(2382), 1,
      anon_sym_GT,
    ACTIONS(2386), 1,
      sym_jsx_identifier,
    ACTIONS(2466), 1,
      anon_sym_SLASH,
    STATE(1010), 1,
      sym_nested_identifier,
    STATE(1025), 1,
      sym_jsx_namespace_name,
  [46449] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2430), 1,
      anon_sym_default,
    ACTIONS(2434), 1,
      anon_sym_case,
    ACTIONS(2468), 1,
      anon_sym_RBRACE,
    STATE(1075), 3,
      sym_switch_case,
      sym_switch_default,
      aux_sym_switch_body_repeat1,
  [46467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1306), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [46480] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2470), 1,
      sym_identifier,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(2474), 1,
      anon_sym_extends,
    STATE(757), 1,
      sym_class_body,
    STATE(1393), 1,
      sym_class_heritage,
  [46499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1306), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [46512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1306), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [46525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1304), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1306), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [46538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1372), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1374), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [46551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1378), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1380), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [46564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2476), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2478), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [46577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2480), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2482), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [46590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2484), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2486), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [46603] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1308), 1,
      anon_sym_LPAREN,
    ACTIONS(2488), 1,
      sym_identifier,
    ACTIONS(2490), 1,
      anon_sym_LBRACK,
    ACTIONS(2492), 1,
      sym_private_property_identifier,
    STATE(765), 1,
      sym_arguments,
  [46622] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(2474), 1,
      anon_sym_extends,
    ACTIONS(2494), 1,
      sym_identifier,
    STATE(757), 1,
      sym_class_body,
    STATE(1393), 1,
      sym_class_heritage,
  [46641] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2498), 1,
      anon_sym_in,
    ACTIONS(2500), 1,
      anon_sym_of,
    ACTIONS(2496), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [46656] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2502), 1,
      sym_identifier,
    ACTIONS(2504), 1,
      anon_sym_GT,
    ACTIONS(2506), 1,
      sym_jsx_identifier,
    STATE(994), 1,
      sym_nested_identifier,
    STATE(1034), 1,
      sym_jsx_namespace_name,
  [46675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2508), 1,
      anon_sym_EQ,
    ACTIONS(1192), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [46688] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(2474), 1,
      anon_sym_extends,
    ACTIONS(2510), 1,
      sym_identifier,
    STATE(757), 1,
      sym_class_body,
    STATE(1393), 1,
      sym_class_heritage,
  [46707] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(2512), 1,
      anon_sym_export,
    ACTIONS(2514), 1,
      anon_sym_class,
    STATE(955), 1,
      aux_sym_export_statement_repeat1,
    STATE(978), 1,
      sym_decorator,
  [46726] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2012), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [46741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2516), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2518), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [46754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2520), 1,
      anon_sym_EQ,
    ACTIONS(1204), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [46767] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(2474), 1,
      anon_sym_extends,
    ACTIONS(2523), 1,
      sym_identifier,
    STATE(717), 1,
      sym_class_body,
    STATE(1480), 1,
      sym_class_heritage,
  [46786] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_COMMA,
    ACTIONS(2002), 1,
      anon_sym_COLON,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    ACTIONS(2525), 1,
      anon_sym_RBRACE,
    STATE(1289), 1,
      aux_sym_object_pattern_repeat1,
  [46805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1204), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_RBRACK,
  [46816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 1,
      anon_sym_EQ,
    ACTIONS(1204), 4,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [46829] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2474), 1,
      anon_sym_extends,
    ACTIONS(2530), 1,
      sym_identifier,
    ACTIONS(2532), 1,
      anon_sym_LBRACE,
    STATE(543), 1,
      sym_class_body,
    STATE(1485), 1,
      sym_class_heritage,
  [46848] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2474), 1,
      anon_sym_extends,
    ACTIONS(2532), 1,
      anon_sym_LBRACE,
    ACTIONS(2534), 1,
      sym_identifier,
    STATE(538), 1,
      sym_class_body,
    STATE(1450), 1,
      sym_class_heritage,
  [46867] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_EQ,
    STATE(1271), 1,
      sym__initializer,
    ACTIONS(2358), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [46882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2536), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(2538), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [46895] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(2540), 1,
      anon_sym_export,
    ACTIONS(2542), 1,
      anon_sym_class,
    STATE(955), 1,
      aux_sym_export_statement_repeat1,
    STATE(978), 1,
      sym_decorator,
  [46914] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      sym_identifier,
    ACTIONS(2382), 1,
      anon_sym_GT,
    ACTIONS(2386), 1,
      sym_jsx_identifier,
    STATE(1010), 1,
      sym_nested_identifier,
    STATE(1025), 1,
      sym_jsx_namespace_name,
  [46933] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 1,
      anon_sym_LPAREN,
    ACTIONS(2544), 1,
      sym_identifier,
    ACTIONS(2546), 1,
      anon_sym_LBRACK,
    ACTIONS(2548), 1,
      sym_private_property_identifier,
    STATE(588), 1,
      sym_arguments,
  [46952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1424), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [46965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1390), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1392), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [46978] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2550), 1,
      sym_identifier,
    ACTIONS(2552), 1,
      anon_sym_GT,
    ACTIONS(2554), 1,
      sym_jsx_identifier,
    STATE(996), 1,
      sym_nested_identifier,
    STATE(1028), 1,
      sym_jsx_namespace_name,
  [46997] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(2474), 1,
      anon_sym_extends,
    ACTIONS(2556), 1,
      sym_identifier,
    STATE(717), 1,
      sym_class_body,
    STATE(1480), 1,
      sym_class_heritage,
  [47016] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2558), 1,
      sym_identifier,
    ACTIONS(2560), 1,
      anon_sym_GT,
    ACTIONS(2562), 1,
      sym_jsx_identifier,
    STATE(1004), 1,
      sym_nested_identifier,
    STATE(1017), 1,
      sym_jsx_namespace_name,
  [47035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1534), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [47048] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(2474), 1,
      anon_sym_extends,
    ACTIONS(2564), 1,
      sym_identifier,
    STATE(717), 1,
      sym_class_body,
    STATE(1480), 1,
      sym_class_heritage,
  [47067] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_COMMA,
    ACTIONS(2002), 1,
      anon_sym_COLON,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    ACTIONS(2566), 1,
      anon_sym_RBRACE,
    STATE(1234), 1,
      aux_sym_object_pattern_repeat1,
  [47086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 2,
      anon_sym_SLASH,
      sym_identifier,
    ACTIONS(1456), 3,
      anon_sym_LBRACE,
      anon_sym_GT,
      sym_jsx_identifier,
  [47099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_EQ,
    ACTIONS(1192), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
  [47111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1686), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [47121] = 5,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2570), 1,
      sym__glimmer_template_content,
    ACTIONS(2572), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(533), 1,
      sym_glimmer_closing_tag,
    STATE(1250), 1,
      aux_sym_glimmer_template_repeat1,
  [47137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_COMMA,
    STATE(1145), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2577), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [47151] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(2579), 1,
      anon_sym_class,
    STATE(955), 1,
      aux_sym_export_statement_repeat1,
    STATE(978), 1,
      sym_decorator,
  [47167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2002), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [47177] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 1,
      sym_identifier,
    ACTIONS(2583), 1,
      sym_jsx_identifier,
    STATE(1353), 1,
      sym_nested_identifier,
    STATE(1548), 1,
      sym_jsx_namespace_name,
  [47193] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2585), 1,
      anon_sym_COMMA,
    ACTIONS(2587), 1,
      anon_sym_RPAREN,
    ACTIONS(2589), 1,
      anon_sym_EQ,
    STATE(1308), 1,
      aux_sym_formal_parameters_repeat1,
  [47209] = 4,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2591), 1,
      anon_sym_SQUOTE,
    STATE(1190), 1,
      aux_sym_string_repeat2,
    ACTIONS(2593), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47223] = 4,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2591), 1,
      anon_sym_DQUOTE,
    STATE(1188), 1,
      aux_sym_string_repeat1,
    ACTIONS(2595), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47237] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2597), 1,
      sym_identifier,
    ACTIONS(2599), 1,
      anon_sym_STAR,
    STATE(1473), 1,
      sym_formal_parameters,
  [47253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [47263] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2532), 1,
      anon_sym_LBRACE,
    ACTIONS(2601), 1,
      anon_sym_extends,
    STATE(593), 1,
      sym_class_body,
    STATE(1338), 1,
      sym_class_heritage,
  [47279] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2603), 1,
      sym_identifier,
    ACTIONS(2605), 1,
      anon_sym_STAR,
    STATE(1456), 1,
      sym_formal_parameters,
  [47295] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_COMMA,
    ACTIONS(2589), 1,
      anon_sym_EQ,
    ACTIONS(2607), 1,
      anon_sym_RBRACK,
    STATE(1273), 1,
      aux_sym_array_pattern_repeat1,
  [47311] = 4,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2609), 1,
      anon_sym_SQUOTE,
    STATE(1150), 1,
      aux_sym_string_repeat2,
    ACTIONS(2611), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47325] = 4,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2609), 1,
      anon_sym_DQUOTE,
    STATE(1151), 1,
      aux_sym_string_repeat1,
    ACTIONS(2613), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47339] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2615), 1,
      anon_sym_COMMA,
    STATE(1145), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2617), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [47353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [47363] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(2601), 1,
      anon_sym_extends,
    STATE(739), 1,
      sym_class_body,
    STATE(1457), 1,
      sym_class_heritage,
  [47379] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2601), 1,
      anon_sym_extends,
    ACTIONS(2619), 1,
      anon_sym_LBRACE,
    STATE(74), 1,
      sym_class_body,
    STATE(1373), 1,
      sym_class_heritage,
  [47395] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2621), 1,
      sym_identifier,
    ACTIONS(2623), 1,
      anon_sym_STAR,
    STATE(1376), 1,
      sym_formal_parameters,
  [47411] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2615), 1,
      anon_sym_COMMA,
    STATE(1189), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2625), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [47425] = 4,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_SQUOTE,
    STATE(1190), 1,
      aux_sym_string_repeat2,
    ACTIONS(2593), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47439] = 4,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2627), 1,
      anon_sym_DQUOTE,
    STATE(1188), 1,
      aux_sym_string_repeat1,
    ACTIONS(2595), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47453] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2629), 1,
      sym_identifier,
    ACTIONS(2631), 1,
      sym_jsx_identifier,
    STATE(1358), 1,
      sym_nested_identifier,
    STATE(1501), 1,
      sym_jsx_namespace_name,
  [47469] = 4,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2633), 1,
      anon_sym_DQUOTE,
    STATE(1188), 1,
      aux_sym_string_repeat1,
    ACTIONS(2595), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47483] = 4,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2633), 1,
      anon_sym_SQUOTE,
    STATE(1190), 1,
      aux_sym_string_repeat2,
    ACTIONS(2593), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47497] = 4,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2635), 1,
      anon_sym_DQUOTE,
    STATE(1188), 1,
      aux_sym_string_repeat1,
    ACTIONS(2595), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47511] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2637), 1,
      sym_identifier,
    ACTIONS(2639), 1,
      anon_sym_COMMA,
    ACTIONS(2641), 1,
      anon_sym_RBRACE,
    STATE(1265), 1,
      sym__import_export_specifier,
  [47527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 4,
      sym__automatic_semicolon,
      anon_sym_LPAREN,
      anon_sym_SEMI,
      anon_sym_EQ,
  [47537] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2643), 1,
      anon_sym_COMMA,
    STATE(1173), 1,
      aux_sym_array_repeat1,
    ACTIONS(1673), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [47551] = 5,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2570), 1,
      sym__glimmer_template_content,
    ACTIONS(2646), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(960), 1,
      sym_glimmer_closing_tag,
    STATE(1250), 1,
      aux_sym_glimmer_template_repeat1,
  [47567] = 5,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2646), 1,
      anon_sym_LT_SLASHtemplate_GT,
    ACTIONS(2648), 1,
      sym__glimmer_template_content,
    STATE(966), 1,
      sym_glimmer_closing_tag,
    STATE(1174), 1,
      aux_sym_glimmer_template_repeat1,
  [47583] = 4,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2650), 1,
      anon_sym_SQUOTE,
    STATE(1165), 1,
      aux_sym_string_repeat2,
    ACTIONS(2652), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47597] = 4,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2635), 1,
      anon_sym_SQUOTE,
    STATE(1190), 1,
      aux_sym_string_repeat2,
    ACTIONS(2593), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47611] = 4,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2650), 1,
      anon_sym_DQUOTE,
    STATE(1166), 1,
      aux_sym_string_repeat1,
    ACTIONS(2654), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47625] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(2656), 1,
      anon_sym_class,
    STATE(955), 1,
      aux_sym_export_statement_repeat1,
    STATE(978), 1,
      sym_decorator,
  [47641] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(2601), 1,
      anon_sym_extends,
    STATE(730), 1,
      sym_class_body,
    STATE(1445), 1,
      sym_class_heritage,
  [47657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2658), 4,
      sym__template_chars,
      sym_escape_sequence,
      anon_sym_BQUOTE,
      anon_sym_DOLLAR_LBRACE,
  [47667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1640), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [47677] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2660), 1,
      sym_identifier,
    ACTIONS(2662), 1,
      sym_jsx_identifier,
    STATE(1438), 1,
      sym_nested_identifier,
    STATE(1583), 1,
      sym_jsx_namespace_name,
  [47693] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 1,
      anon_sym_LBRACE,
    ACTIONS(2664), 1,
      anon_sym_STAR,
    STATE(1610), 2,
      sym_namespace_import_export,
      sym_named_imports,
  [47707] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2532), 1,
      anon_sym_LBRACE,
    ACTIONS(2601), 1,
      anon_sym_extends,
    STATE(541), 1,
      sym_class_body,
    STATE(1484), 1,
      sym_class_heritage,
  [47723] = 5,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2570), 1,
      sym__glimmer_template_content,
    ACTIONS(2666), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(764), 1,
      sym_glimmer_closing_tag,
    STATE(1250), 1,
      aux_sym_glimmer_template_repeat1,
  [47739] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2668), 1,
      anon_sym_EQ,
    STATE(1360), 1,
      sym__initializer,
    ACTIONS(2360), 2,
      anon_sym_in,
      anon_sym_of,
  [47753] = 4,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2670), 1,
      anon_sym_DQUOTE,
    STATE(1188), 1,
      aux_sym_string_repeat1,
    ACTIONS(2672), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [47767] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2615), 1,
      anon_sym_COMMA,
    STATE(1145), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2675), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [47781] = 4,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2677), 1,
      anon_sym_SQUOTE,
    STATE(1190), 1,
      aux_sym_string_repeat2,
    ACTIONS(2679), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [47795] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2682), 1,
      anon_sym_from,
    STATE(1423), 1,
      sym__from_clause,
    ACTIONS(2684), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [47809] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2686), 1,
      sym_identifier,
    ACTIONS(2688), 1,
      anon_sym_STAR,
    STATE(1376), 1,
      sym_formal_parameters,
  [47825] = 5,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_LT_SLASHtemplate_GT,
    ACTIONS(2690), 1,
      sym__glimmer_template_content,
    STATE(603), 1,
      sym_glimmer_closing_tag,
    STATE(1144), 1,
      aux_sym_glimmer_template_repeat1,
  [47841] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2637), 1,
      sym_identifier,
    ACTIONS(2692), 1,
      anon_sym_COMMA,
    ACTIONS(2694), 1,
      anon_sym_RBRACE,
    STATE(1231), 1,
      sym__import_export_specifier,
  [47857] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2696), 1,
      sym_identifier,
    ACTIONS(2698), 1,
      sym_jsx_identifier,
    STATE(1352), 1,
      sym_nested_identifier,
    STATE(1556), 1,
      sym_jsx_namespace_name,
  [47873] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(2601), 1,
      anon_sym_extends,
    STATE(702), 1,
      sym_class_body,
    STATE(1437), 1,
      sym_class_heritage,
  [47889] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_COMMA,
    ACTIONS(2589), 1,
      anon_sym_EQ,
    ACTIONS(2700), 1,
      anon_sym_RBRACK,
    STATE(1290), 1,
      aux_sym_array_pattern_repeat1,
  [47905] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2601), 1,
      anon_sym_extends,
    ACTIONS(2619), 1,
      anon_sym_LBRACE,
    STATE(75), 1,
      sym_class_body,
    STATE(1334), 1,
      sym_class_heritage,
  [47921] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(2542), 1,
      anon_sym_class,
    STATE(955), 1,
      aux_sym_export_statement_repeat1,
    STATE(978), 1,
      sym_decorator,
  [47937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2002), 1,
      anon_sym_COLON,
    ACTIONS(2004), 1,
      anon_sym_EQ,
    ACTIONS(2702), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [47951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 4,
      anon_sym_RPAREN,
      anon_sym_in,
      anon_sym_of,
      anon_sym_EQ,
  [47961] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    ACTIONS(2601), 1,
      anon_sym_extends,
    STATE(698), 1,
      sym_class_body,
    STATE(1433), 1,
      sym_class_heritage,
  [47977] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2704), 1,
      sym_identifier,
    ACTIONS(2706), 1,
      anon_sym_STAR,
    STATE(1466), 1,
      sym_formal_parameters,
  [47993] = 4,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2708), 1,
      anon_sym_DQUOTE,
    STATE(1170), 1,
      aux_sym_string_repeat1,
    ACTIONS(2710), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48007] = 4,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2708), 1,
      anon_sym_SQUOTE,
    STATE(1177), 1,
      aux_sym_string_repeat2,
    ACTIONS(2712), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2615), 1,
      anon_sym_COMMA,
    STATE(1159), 1,
      aux_sym_variable_declaration_repeat1,
    ACTIONS(2714), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2716), 1,
      sym_identifier,
    ACTIONS(2718), 1,
      anon_sym_STAR,
    STATE(1466), 1,
      sym_formal_parameters,
  [48051] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2720), 1,
      sym_identifier,
    ACTIONS(2722), 1,
      anon_sym_STAR,
    STATE(1376), 1,
      sym_formal_parameters,
  [48067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(2724), 1,
      anon_sym_class,
    STATE(955), 1,
      aux_sym_export_statement_repeat1,
    STATE(978), 1,
      sym_decorator,
  [48083] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2726), 1,
      sym_identifier,
    ACTIONS(2728), 1,
      anon_sym_STAR,
    STATE(1466), 1,
      sym_formal_parameters,
  [48099] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2601), 1,
      anon_sym_extends,
    ACTIONS(2730), 1,
      anon_sym_LBRACE,
    STATE(312), 1,
      sym_class_body,
    STATE(1399), 1,
      sym_class_heritage,
  [48115] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_AT,
    ACTIONS(2514), 1,
      anon_sym_class,
    STATE(955), 1,
      aux_sym_export_statement_repeat1,
    STATE(978), 1,
      sym_decorator,
  [48131] = 4,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2732), 1,
      anon_sym_DQUOTE,
    STATE(1168), 1,
      aux_sym_string_repeat1,
    ACTIONS(2734), 2,
      sym_unescaped_double_string_fragment,
      sym_escape_sequence,
  [48145] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2601), 1,
      anon_sym_extends,
    ACTIONS(2730), 1,
      anon_sym_LBRACE,
    STATE(327), 1,
      sym_class_body,
    STATE(1366), 1,
      sym_class_heritage,
  [48161] = 4,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2732), 1,
      anon_sym_SQUOTE,
    STATE(1169), 1,
      aux_sym_string_repeat2,
    ACTIONS(2736), 2,
      sym_unescaped_single_string_fragment,
      sym_escape_sequence,
  [48175] = 5,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2666), 1,
      anon_sym_LT_SLASHtemplate_GT,
    ACTIONS(2738), 1,
      sym__glimmer_template_content,
    STATE(725), 1,
      sym_glimmer_closing_tag,
    STATE(1186), 1,
      aux_sym_glimmer_template_repeat1,
  [48191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [48201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2002), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
    ACTIONS(2069), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [48213] = 2,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2740), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [48222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      anon_sym_COMMA,
    ACTIONS(2742), 1,
      anon_sym_RPAREN,
    STATE(1173), 1,
      aux_sym_array_repeat1,
  [48235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 1,
      anon_sym_COMMA,
    ACTIONS(2747), 1,
      anon_sym_RBRACE,
    STATE(1221), 1,
      aux_sym_named_imports_repeat1,
  [48248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      anon_sym_COMMA,
    ACTIONS(2749), 1,
      anon_sym_RPAREN,
    STATE(1173), 1,
      aux_sym_array_repeat1,
  [48261] = 2,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2740), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [48270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2751), 1,
      sym_identifier,
    STATE(925), 1,
      sym_decorator_member_expression,
    STATE(985), 1,
      sym_decorator_call_expression,
  [48283] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_COMMA,
    ACTIONS(2700), 1,
      anon_sym_RBRACK,
    STATE(1290), 1,
      aux_sym_array_pattern_repeat1,
  [48296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 1,
      anon_sym_COLON,
    ACTIONS(2216), 1,
      anon_sym_DOT,
    ACTIONS(2753), 1,
      anon_sym_GT,
  [48309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2637), 1,
      sym_identifier,
    ACTIONS(2755), 1,
      anon_sym_RBRACE,
    STATE(1415), 1,
      sym__import_export_specifier,
  [48322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2759), 1,
      anon_sym_as,
    ACTIONS(2757), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [48333] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2761), 1,
      sym_identifier,
    STATE(1379), 1,
      sym_formal_parameters,
  [48346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      anon_sym_while,
    ACTIONS(2763), 1,
      anon_sym_else,
    STATE(401), 1,
      sym_else_clause,
  [48359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2765), 1,
      anon_sym_COMMA,
    ACTIONS(2767), 1,
      anon_sym_RBRACE,
    STATE(1237), 1,
      aux_sym_export_clause_repeat1,
  [48372] = 2,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(1378), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [48381] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_COMMA,
    ACTIONS(2771), 1,
      anon_sym_RBRACE,
    STATE(1262), 1,
      aux_sym_object_repeat1,
  [48394] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_COMMA,
    ACTIONS(2773), 1,
      anon_sym_RBRACE,
    STATE(1263), 1,
      aux_sym_object_pattern_repeat1,
  [48407] = 2,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(1372), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [48416] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 1,
      anon_sym_COLON,
    ACTIONS(2216), 1,
      anon_sym_DOT,
    ACTIONS(2775), 1,
      anon_sym_GT,
  [48429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2777), 1,
      anon_sym_COMMA,
    ACTIONS(2779), 1,
      anon_sym_RBRACE,
    STATE(1322), 1,
      aux_sym_export_clause_repeat1,
  [48442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2781), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [48451] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2637), 1,
      sym_identifier,
    ACTIONS(2783), 1,
      anon_sym_RBRACE,
    STATE(1345), 1,
      sym__import_export_specifier,
  [48464] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_COMMA,
    ACTIONS(2700), 1,
      anon_sym_RBRACK,
    STATE(1286), 1,
      aux_sym_array_pattern_repeat1,
  [48477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2785), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [48486] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_COMMA,
    ACTIONS(2787), 1,
      anon_sym_RBRACE,
    STATE(1263), 1,
      aux_sym_object_pattern_repeat1,
  [48499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2789), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [48508] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_COMMA,
    ACTIONS(2791), 1,
      anon_sym_RBRACE,
    STATE(1262), 1,
      aux_sym_object_repeat1,
  [48521] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      anon_sym_COMMA,
    ACTIONS(2793), 1,
      anon_sym_RPAREN,
    STATE(1173), 1,
      aux_sym_array_repeat1,
  [48534] = 2,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(1304), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [48543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1243), 1,
      anon_sym_DQUOTE,
    ACTIONS(1245), 1,
      anon_sym_SQUOTE,
    STATE(1396), 1,
      sym_string,
  [48556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2682), 1,
      anon_sym_from,
    ACTIONS(2795), 1,
      anon_sym_as,
    STATE(1447), 1,
      sym__from_clause,
  [48569] = 2,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2476), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [48578] = 4,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2797), 1,
      sym__glimmer_template_content,
    ACTIONS(2800), 1,
      anon_sym_LT_SLASHtemplate_GT,
    STATE(1250), 1,
      aux_sym_glimmer_template_repeat1,
  [48591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2802), 1,
      anon_sym_COLON,
    STATE(1391), 1,
      sym_formal_parameters,
  [48604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      anon_sym_COMMA,
    ACTIONS(1675), 1,
      anon_sym_RPAREN,
    STATE(1173), 1,
      aux_sym_array_repeat1,
  [48617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      anon_sym_COMMA,
    ACTIONS(1675), 1,
      anon_sym_RPAREN,
    STATE(1220), 1,
      aux_sym_array_repeat1,
  [48630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2589), 1,
      anon_sym_EQ,
    ACTIONS(2804), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [48641] = 2,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(1304), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [48650] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2804), 1,
      anon_sym_RPAREN,
    ACTIONS(2806), 1,
      anon_sym_COMMA,
    STATE(1256), 1,
      aux_sym_formal_parameters_repeat1,
  [48663] = 2,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(1304), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [48672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      anon_sym_COMMA,
    ACTIONS(1648), 1,
      anon_sym_RPAREN,
    STATE(1173), 1,
      aux_sym_array_repeat1,
  [48685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      anon_sym_COMMA,
    ACTIONS(1648), 1,
      anon_sym_RPAREN,
    STATE(1222), 1,
      aux_sym_array_repeat1,
  [48698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2589), 1,
      anon_sym_EQ,
    ACTIONS(2809), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [48709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2811), 1,
      anon_sym_LPAREN,
    ACTIONS(2813), 1,
      anon_sym_await,
    STATE(32), 1,
      sym__for_header,
  [48722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2815), 1,
      anon_sym_COMMA,
    ACTIONS(2818), 1,
      anon_sym_RBRACE,
    STATE(1262), 1,
      aux_sym_object_repeat1,
  [48735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2820), 1,
      anon_sym_COMMA,
    ACTIONS(2823), 1,
      anon_sym_RBRACE,
    STATE(1263), 1,
      aux_sym_object_pattern_repeat1,
  [48748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2825), 1,
      sym_identifier,
    STATE(1379), 1,
      sym_formal_parameters,
  [48761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2827), 1,
      anon_sym_COMMA,
    ACTIONS(2829), 1,
      anon_sym_RBRACE,
    STATE(1326), 1,
      aux_sym_named_imports_repeat1,
  [48774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2831), 1,
      sym_identifier,
    STATE(1340), 1,
      sym_formal_parameters,
  [48787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      anon_sym_COMMA,
    ACTIONS(1669), 1,
      anon_sym_RBRACK,
    STATE(1173), 1,
      aux_sym_array_repeat1,
  [48800] = 2,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(1454), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [48809] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2488), 1,
      sym_identifier,
    ACTIONS(2490), 1,
      anon_sym_LBRACK,
    ACTIONS(2492), 1,
      sym_private_property_identifier,
  [48822] = 2,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(1422), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [48831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2496), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [48840] = 2,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(1390), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [48849] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_COMMA,
    ACTIONS(2833), 1,
      anon_sym_RBRACK,
    STATE(1286), 1,
      aux_sym_array_pattern_repeat1,
  [48862] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      anon_sym_COMMA,
    ACTIONS(1669), 1,
      anon_sym_RBRACK,
    STATE(1296), 1,
      aux_sym_array_repeat1,
  [48875] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      anon_sym_COMMA,
    ACTIONS(2835), 1,
      anon_sym_RBRACK,
    STATE(1173), 1,
      aux_sym_array_repeat1,
  [48888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2837), 1,
      sym_identifier,
    ACTIONS(2839), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [48899] = 2,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2740), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [48908] = 2,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(1304), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [48917] = 2,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2516), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [48926] = 2,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(1532), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [48935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_COMMA,
    ACTIONS(2841), 1,
      anon_sym_RBRACE,
    STATE(1242), 1,
      aux_sym_object_pattern_repeat1,
  [48948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_COMMA,
    ACTIONS(2843), 1,
      anon_sym_RBRACE,
    STATE(1262), 1,
      aux_sym_object_repeat1,
  [48961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_COMMA,
    ACTIONS(2845), 1,
      anon_sym_RBRACE,
    STATE(1262), 1,
      aux_sym_object_repeat1,
  [48974] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_COMMA,
    ACTIONS(2847), 1,
      anon_sym_RBRACE,
    STATE(1244), 1,
      aux_sym_object_repeat1,
  [48987] = 2,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2849), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [48996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2851), 1,
      anon_sym_COMMA,
    ACTIONS(2854), 1,
      anon_sym_RBRACK,
    STATE(1286), 1,
      aux_sym_array_pattern_repeat1,
  [49009] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2856), 1,
      anon_sym_COLON,
    STATE(1391), 1,
      sym_formal_parameters,
  [49022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_COMMA,
    ACTIONS(2858), 1,
      anon_sym_RBRACE,
    STATE(1263), 1,
      aux_sym_object_pattern_repeat1,
  [49035] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_COMMA,
    ACTIONS(2860), 1,
      anon_sym_RBRACE,
    STATE(1263), 1,
      aux_sym_object_pattern_repeat1,
  [49048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_COMMA,
    ACTIONS(2862), 1,
      anon_sym_RBRACK,
    STATE(1286), 1,
      aux_sym_array_pattern_repeat1,
  [49061] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_COMMA,
    ACTIONS(2847), 1,
      anon_sym_RBRACE,
    STATE(1262), 1,
      aux_sym_object_repeat1,
  [49074] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_COMMA,
    ACTIONS(2841), 1,
      anon_sym_RBRACE,
    STATE(1263), 1,
      aux_sym_object_pattern_repeat1,
  [49087] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_COMMA,
    ACTIONS(2864), 1,
      anon_sym_RBRACE,
    STATE(1262), 1,
      aux_sym_object_repeat1,
  [49100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2544), 1,
      sym_identifier,
    ACTIONS(2546), 1,
      anon_sym_LBRACK,
    ACTIONS(2548), 1,
      sym_private_property_identifier,
  [49113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2866), 1,
      sym_identifier,
    ACTIONS(2868), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49124] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      anon_sym_COMMA,
    ACTIONS(2870), 1,
      anon_sym_RBRACK,
    STATE(1173), 1,
      aux_sym_array_repeat1,
  [49137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2589), 1,
      anon_sym_EQ,
    ACTIONS(2854), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [49148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1673), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [49157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    ACTIONS(2874), 1,
      anon_sym_LPAREN,
    STATE(313), 1,
      sym_statement_block,
  [49170] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      anon_sym_COMMA,
    ACTIONS(1671), 1,
      anon_sym_RPAREN,
    STATE(1245), 1,
      aux_sym_array_repeat1,
  [49183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      anon_sym_COMMA,
    ACTIONS(1671), 1,
      anon_sym_RPAREN,
    STATE(1173), 1,
      aux_sym_array_repeat1,
  [49196] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2769), 1,
      anon_sym_COMMA,
    ACTIONS(2843), 1,
      anon_sym_RBRACE,
    STATE(1283), 1,
      aux_sym_object_repeat1,
  [49209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2876), 1,
      sym_identifier,
    STATE(1340), 1,
      sym_formal_parameters,
  [49222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_COMMA,
    ACTIONS(2878), 1,
      anon_sym_RBRACE,
    STATE(1263), 1,
      aux_sym_object_pattern_repeat1,
  [49235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2880), 1,
      sym_identifier,
    STATE(1379), 1,
      sym_formal_parameters,
  [49248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 1,
      anon_sym_COLON,
    ACTIONS(2216), 1,
      anon_sym_DOT,
    ACTIONS(2882), 1,
      anon_sym_GT,
  [49261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1923), 1,
      anon_sym_COMMA,
    ACTIONS(2878), 1,
      anon_sym_RBRACE,
    STATE(1288), 1,
      aux_sym_object_pattern_repeat1,
  [49274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(679), 1,
      anon_sym_RPAREN,
    ACTIONS(2884), 1,
      anon_sym_COMMA,
    STATE(1256), 1,
      aux_sym_formal_parameters_repeat1,
  [49287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2508), 1,
      anon_sym_EQ,
    ACTIONS(1224), 2,
      anon_sym_in,
      anon_sym_of,
  [49298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_COMMA,
    ACTIONS(2607), 1,
      anon_sym_RBRACK,
    STATE(1286), 1,
      aux_sym_array_pattern_repeat1,
  [49311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2886), 1,
      sym_identifier,
    STATE(1455), 1,
      sym_formal_parameters,
  [49324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      anon_sym_COMMA,
    ACTIONS(1665), 1,
      anon_sym_RBRACK,
    STATE(1173), 1,
      aux_sym_array_repeat1,
  [49337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(667), 1,
      anon_sym_COMMA,
    ACTIONS(1665), 1,
      anon_sym_RBRACK,
    STATE(1275), 1,
      aux_sym_array_repeat1,
  [49350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(634), 1,
      anon_sym_COMMA,
    ACTIONS(2607), 1,
      anon_sym_RBRACK,
    STATE(1273), 1,
      aux_sym_array_pattern_repeat1,
  [49363] = 2,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2740), 3,
      anon_sym_LBRACE,
      anon_sym_LT,
      sym_jsx_text,
  [49372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [49381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2890), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [49390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2892), 1,
      anon_sym_EQ,
    ACTIONS(1224), 2,
      anon_sym_in,
      anon_sym_of,
  [49401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2637), 1,
      sym_identifier,
    ACTIONS(2894), 1,
      anon_sym_RBRACE,
    STATE(1345), 1,
      sym__import_export_specifier,
  [49414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2890), 3,
      sym__automatic_semicolon,
      anon_sym_from,
      anon_sym_SEMI,
  [49423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2585), 1,
      anon_sym_COMMA,
    ACTIONS(2587), 1,
      anon_sym_RPAREN,
    STATE(1308), 1,
      aux_sym_formal_parameters_repeat1,
  [49436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_COMMA,
    ACTIONS(2899), 1,
      anon_sym_RBRACE,
    STATE(1322), 1,
      aux_sym_export_clause_repeat1,
  [49449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2901), 1,
      sym_identifier,
    STATE(1442), 1,
      sym_formal_parameters,
  [49462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2637), 1,
      sym_identifier,
    ACTIONS(2903), 1,
      anon_sym_RBRACE,
    STATE(1415), 1,
      sym__import_export_specifier,
  [49475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2905), 1,
      anon_sym_LPAREN,
    ACTIONS(2907), 1,
      anon_sym_await,
    STATE(39), 1,
      sym__for_header,
  [49488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2909), 1,
      anon_sym_COMMA,
    ACTIONS(2911), 1,
      anon_sym_RBRACE,
    STATE(1221), 1,
      aux_sym_named_imports_repeat1,
  [49501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    ACTIONS(2913), 1,
      sym_identifier,
    STATE(1340), 1,
      sym_formal_parameters,
  [49514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 1,
      anon_sym_COLON,
    ACTIONS(2216), 1,
      anon_sym_DOT,
    ACTIONS(2915), 1,
      anon_sym_GT,
  [49527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2577), 3,
      sym__automatic_semicolon,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [49536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2917), 1,
      anon_sym_LPAREN,
    STATE(38), 1,
      sym__for_header,
  [49546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2919), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [49554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1493), 1,
      sym_formal_parameters,
  [49564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2682), 1,
      anon_sym_from,
    STATE(1422), 1,
      sym__from_clause,
  [49574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_LBRACE,
    STATE(70), 1,
      sym_class_body,
  [49584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1426), 1,
      sym_formal_parameters,
  [49594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2682), 1,
      anon_sym_from,
    STATE(1370), 1,
      sym__from_clause,
  [49604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2854), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [49612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2532), 1,
      anon_sym_LBRACE,
    STATE(554), 1,
      sym_class_body,
  [49622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    STATE(361), 1,
      sym_statement_block,
  [49632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2921), 1,
      anon_sym_LBRACE,
    STATE(751), 1,
      sym_statement_block,
  [49642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2923), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [49650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2925), 1,
      anon_sym_LBRACE,
    STATE(77), 1,
      sym_statement_block,
  [49660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2927), 1,
      sym_identifier,
    ACTIONS(2929), 1,
      sym_jsx_identifier,
  [49670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2931), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2933), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [49686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2935), 1,
      anon_sym_LBRACE,
    STATE(363), 1,
      sym_switch_body,
  [49696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 1,
      anon_sym_COLON,
    ACTIONS(2775), 1,
      anon_sym_GT,
  [49706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2937), 1,
      anon_sym_LBRACE,
    STATE(596), 1,
      sym_statement_block,
  [49716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1498), 1,
      sym_formal_parameters,
  [49726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2921), 1,
      anon_sym_LBRACE,
    STATE(699), 1,
      sym_statement_block,
  [49736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 1,
      anon_sym_COLON,
    ACTIONS(2882), 1,
      anon_sym_GT,
  [49746] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2216), 1,
      anon_sym_DOT,
    ACTIONS(2775), 1,
      anon_sym_GT,
  [49756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2216), 1,
      anon_sym_DOT,
    ACTIONS(2882), 1,
      anon_sym_GT,
  [49766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2917), 1,
      anon_sym_LPAREN,
    STATE(28), 1,
      sym__for_header,
  [49776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2939), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [49784] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 1,
      anon_sym_COLON,
    ACTIONS(2915), 1,
      anon_sym_GT,
  [49794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2941), 1,
      anon_sym_LPAREN,
    STATE(1488), 1,
      sym_parenthesized_expression,
  [49804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2216), 1,
      anon_sym_DOT,
    ACTIONS(2915), 1,
      anon_sym_GT,
  [49814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2943), 1,
      anon_sym_COMMA,
    ACTIONS(2945), 1,
      anon_sym_from,
  [49824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2498), 1,
      anon_sym_in,
    ACTIONS(2500), 1,
      anon_sym_of,
  [49834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2925), 1,
      anon_sym_LBRACE,
    STATE(66), 1,
      sym_statement_block,
  [49844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2804), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [49852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2947), 1,
      anon_sym_LBRACE,
    STATE(308), 1,
      sym_statement_block,
  [49862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2949), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2947), 1,
      anon_sym_LBRACE,
    STATE(318), 1,
      sym_statement_block,
  [49880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2730), 1,
      anon_sym_LBRACE,
    STATE(309), 1,
      sym_class_body,
  [49890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2951), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1686), 2,
      anon_sym_LPAREN,
      anon_sym_COLON,
  [49906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2151), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [49914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2953), 1,
      anon_sym_SEMI,
    ACTIONS(2955), 1,
      sym__automatic_semicolon,
  [49924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    STATE(942), 1,
      sym_statement_block,
  [49934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    STATE(934), 1,
      sym_statement_block,
  [49944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_LBRACE,
    STATE(68), 1,
      sym_class_body,
  [49954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2637), 1,
      sym_identifier,
    STATE(1415), 1,
      sym__import_export_specifier,
  [49964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1342), 1,
      sym_formal_parameters,
  [49974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2921), 1,
      anon_sym_LBRACE,
    STATE(703), 1,
      sym_statement_block,
  [49984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1361), 1,
      sym_formal_parameters,
  [49994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2957), 1,
      anon_sym_LPAREN,
    STATE(34), 1,
      sym_parenthesized_expression,
  [50004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2921), 1,
      anon_sym_LBRACE,
    STATE(696), 1,
      sym_statement_block,
  [50014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1495), 1,
      sym_formal_parameters,
  [50024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2957), 1,
      anon_sym_LPAREN,
    STATE(31), 1,
      sym_parenthesized_expression,
  [50034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2957), 1,
      anon_sym_LPAREN,
    STATE(27), 1,
      sym_parenthesized_expression,
  [50044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2925), 1,
      anon_sym_LBRACE,
    STATE(67), 1,
      sym_statement_block,
  [50054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2959), 1,
      sym_identifier,
    ACTIONS(2961), 1,
      anon_sym_STAR,
  [50064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1500), 1,
      sym_formal_parameters,
  [50074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    STATE(938), 1,
      sym_statement_block,
  [50084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1401), 1,
      sym_formal_parameters,
  [50094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1486), 1,
      sym_formal_parameters,
  [50104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1372), 1,
      sym_formal_parameters,
  [50114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    STATE(941), 1,
      sym_statement_block,
  [50124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    STATE(928), 1,
      sym_statement_block,
  [50134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50142] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(679), 1,
      sym_class_body,
  [50152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1482), 1,
      sym_formal_parameters,
  [50162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1474), 1,
      sym_formal_parameters,
  [50172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2963), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    STATE(319), 1,
      sym_statement_block,
  [50190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1461), 1,
      sym_formal_parameters,
  [50200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2730), 1,
      anon_sym_LBRACE,
    STATE(325), 1,
      sym_class_body,
  [50210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1453), 1,
      sym_formal_parameters,
  [50220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    STATE(936), 1,
      sym_statement_block,
  [50230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1425), 1,
      sym_formal_parameters,
  [50240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    STATE(943), 1,
      sym_statement_block,
  [50250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1644), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    STATE(945), 1,
      sym_statement_block,
  [50268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    STATE(946), 1,
      sym_statement_block,
  [50278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1454), 1,
      sym_formal_parameters,
  [50288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2002), 1,
      anon_sym_LPAREN,
    ACTIONS(2965), 1,
      anon_sym_EQ_GT,
  [50298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1470), 1,
      sym_formal_parameters,
  [50308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2002), 1,
      anon_sym_LPAREN,
    ACTIONS(2131), 1,
      anon_sym_EQ_GT,
  [50318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1363), 1,
      sym_formal_parameters,
  [50328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2818), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1652), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2823), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2967), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1365), 1,
      sym_formal_parameters,
  [50370] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1420), 1,
      sym_formal_parameters,
  [50380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1657), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2947), 1,
      anon_sym_LBRACE,
    STATE(326), 1,
      sym_statement_block,
  [50398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    STATE(944), 1,
      sym_statement_block,
  [50408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1371), 1,
      sym_formal_parameters,
  [50418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2969), 1,
      anon_sym_SEMI,
    ACTIONS(2971), 1,
      sym__automatic_semicolon,
  [50428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2973), 1,
      anon_sym_SEMI,
    ACTIONS(2975), 1,
      sym__automatic_semicolon,
  [50438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1419), 1,
      sym_formal_parameters,
  [50448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    STATE(929), 1,
      sym_statement_block,
  [50458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2937), 1,
      anon_sym_LBRACE,
    STATE(546), 1,
      sym_statement_block,
  [50468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2921), 1,
      anon_sym_LBRACE,
    STATE(688), 1,
      sym_statement_block,
  [50478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2977), 1,
      sym_identifier,
    ACTIONS(2979), 1,
      anon_sym_STAR,
  [50488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2981), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2921), 1,
      anon_sym_LBRACE,
    STATE(689), 1,
      sym_statement_block,
  [50506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2983), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [50514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    STATE(927), 1,
      sym_statement_block,
  [50524] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(677), 1,
      sym_class_body,
  [50534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2921), 1,
      anon_sym_LBRACE,
    STATE(729), 1,
      sym_statement_block,
  [50544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1350), 1,
      sym_formal_parameters,
  [50554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2921), 1,
      anon_sym_LBRACE,
    STATE(680), 1,
      sym_statement_block,
  [50564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(682), 1,
      sym_class_body,
  [50574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2216), 1,
      anon_sym_DOT,
    ACTIONS(2753), 1,
      anon_sym_GT,
  [50584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2208), 1,
      anon_sym_COLON,
    ACTIONS(2753), 1,
      anon_sym_GT,
  [50594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2921), 1,
      anon_sym_LBRACE,
    STATE(690), 1,
      sym_statement_block,
  [50604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2921), 1,
      anon_sym_LBRACE,
    STATE(691), 1,
      sym_statement_block,
  [50614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2937), 1,
      anon_sym_LBRACE,
    STATE(520), 1,
      sym_statement_block,
  [50624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1441), 1,
      sym_formal_parameters,
  [50634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    STATE(940), 1,
      sym_statement_block,
  [50644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(700), 1,
      sym_class_body,
  [50654] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1440), 1,
      sym_formal_parameters,
  [50664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2985), 1,
      anon_sym_SEMI,
    ACTIONS(2987), 1,
      sym__automatic_semicolon,
  [50674] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    STATE(926), 1,
      sym_statement_block,
  [50684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1172), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2532), 1,
      anon_sym_LBRACE,
    STATE(569), 1,
      sym_class_body,
  [50702] = 2,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(2989), 2,
      sym__glimmer_template_content,
      anon_sym_LT_SLASHtemplate_GT,
  [50710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2809), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    STATE(930), 1,
      sym_statement_block,
  [50728] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2921), 1,
      anon_sym_LBRACE,
    STATE(706), 1,
      sym_statement_block,
  [50738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2937), 1,
      anon_sym_LBRACE,
    STATE(583), 1,
      sym_statement_block,
  [50748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2937), 1,
      anon_sym_LBRACE,
    STATE(605), 1,
      sym_statement_block,
  [50758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(724), 1,
      sym_class_body,
  [50768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2991), 1,
      sym_identifier,
    ACTIONS(2993), 1,
      sym_private_property_identifier,
  [50778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2360), 2,
      anon_sym_in,
      anon_sym_of,
  [50786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1348), 1,
      sym_formal_parameters,
  [50796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2937), 1,
      anon_sym_LBRACE,
    STATE(558), 1,
      sym_statement_block,
  [50806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1386), 1,
      sym_formal_parameters,
  [50816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2995), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [50824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1390), 1,
      sym_formal_parameters,
  [50834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2997), 1,
      sym_identifier,
    ACTIONS(2999), 1,
      sym_private_property_identifier,
  [50844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2921), 1,
      anon_sym_LBRACE,
    STATE(762), 1,
      sym_statement_block,
  [50854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1403), 1,
      sym_formal_parameters,
  [50864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1436), 1,
      sym_formal_parameters,
  [50874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1434), 1,
      sym_formal_parameters,
  [50884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2937), 1,
      anon_sym_LBRACE,
    STATE(514), 1,
      sym_statement_block,
  [50894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1383), 1,
      sym_formal_parameters,
  [50904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1430), 1,
      sym_formal_parameters,
  [50914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2937), 1,
      anon_sym_LBRACE,
    STATE(580), 1,
      sym_statement_block,
  [50924] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    STATE(931), 1,
      sym_statement_block,
  [50934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1448), 1,
      sym_formal_parameters,
  [50944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2957), 1,
      anon_sym_LPAREN,
    STATE(43), 1,
      sym_parenthesized_expression,
  [50954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1444), 1,
      sym_formal_parameters,
  [50964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1427), 1,
      sym_formal_parameters,
  [50974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1432), 1,
      sym_formal_parameters,
  [50984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2472), 1,
      anon_sym_LBRACE,
    STATE(678), 1,
      sym_class_body,
  [50994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    STATE(294), 1,
      sym_statement_block,
  [51004] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    STATE(933), 1,
      sym_statement_block,
  [51014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3001), 2,
      anon_sym_LBRACE,
      anon_sym_EQ_GT,
  [51022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2532), 1,
      anon_sym_LBRACE,
    STATE(579), 1,
      sym_class_body,
  [51032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2532), 1,
      anon_sym_LBRACE,
    STATE(590), 1,
      sym_class_body,
  [51042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    STATE(935), 1,
      sym_statement_block,
  [51052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1405), 1,
      sym_formal_parameters,
  [51062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3003), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2957), 1,
      anon_sym_LPAREN,
    STATE(29), 1,
      sym_parenthesized_expression,
  [51080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3005), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3007), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3009), 2,
      sym__automatic_semicolon,
      anon_sym_SEMI,
  [51104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2925), 1,
      anon_sym_LBRACE,
    STATE(76), 1,
      sym_statement_block,
  [51114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2368), 1,
      anon_sym_LPAREN,
    STATE(1406), 1,
      sym_formal_parameters,
  [51124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    STATE(932), 1,
      sym_statement_block,
  [51134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2637), 1,
      sym_identifier,
    STATE(1345), 1,
      sym__import_export_specifier,
  [51144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2957), 1,
      anon_sym_LPAREN,
    STATE(37), 1,
      sym_parenthesized_expression,
  [51154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2947), 1,
      anon_sym_LBRACE,
    STATE(323), 1,
      sym_statement_block,
  [51164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2957), 1,
      anon_sym_LPAREN,
    STATE(1346), 1,
      sym_parenthesized_expression,
  [51174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_LBRACE,
    STATE(937), 1,
      sym_statement_block,
  [51184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2915), 1,
      anon_sym_GT,
  [51191] = 2,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(3011), 1,
      sym_regex_pattern,
  [51198] = 2,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(3013), 1,
      sym_regex_pattern,
  [51205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3015), 1,
      anon_sym_COLON,
  [51212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3017), 1,
      anon_sym_GT,
  [51219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3019), 1,
      anon_sym_RPAREN,
  [51226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3021), 1,
      anon_sym_SLASH2,
  [51233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2131), 1,
      anon_sym_EQ_GT,
  [51240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1753), 1,
      anon_sym_RPAREN,
  [51247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2965), 1,
      anon_sym_EQ_GT,
  [51254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3023), 1,
      anon_sym_EQ_GT,
  [51261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3025), 1,
      anon_sym_target,
  [51268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1759), 1,
      anon_sym_RPAREN,
  [51275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1757), 1,
      anon_sym_RPAREN,
  [51282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3027), 1,
      sym_identifier,
  [51289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3029), 1,
      anon_sym_RBRACE,
  [51296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1751), 1,
      anon_sym_RPAREN,
  [51303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_COLON,
  [51310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3031), 1,
      anon_sym_from,
  [51317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3033), 1,
      anon_sym_EQ,
  [51324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3035), 1,
      anon_sym_EQ_GT,
  [51331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3037), 1,
      sym_identifier,
  [51338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3039), 1,
      sym_identifier,
  [51345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2002), 1,
      anon_sym_LPAREN,
  [51352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3041), 1,
      anon_sym_EQ,
  [51359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3043), 1,
      anon_sym_EQ_GT,
  [51366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3031), 1,
      anon_sym_from,
  [51373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3045), 1,
      anon_sym_EQ_GT,
  [51380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3047), 1,
      anon_sym_EQ_GT,
  [51387] = 2,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(3049), 1,
      sym_regex_pattern,
  [51394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3051), 1,
      anon_sym_from,
  [51401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3053), 1,
      anon_sym_RBRACE,
  [51408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3055), 1,
      anon_sym_from,
  [51415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_RPAREN,
  [51422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3057), 1,
      sym_identifier,
  [51429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3059), 1,
      anon_sym_GT,
  [51436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3061), 1,
      anon_sym_while,
  [51443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3063), 1,
      anon_sym_GT,
  [51450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3065), 1,
      anon_sym_GT,
  [51457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_GT,
  [51464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1737), 1,
      anon_sym_RPAREN,
  [51471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3069), 1,
      anon_sym_GT,
  [51478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3071), 1,
      anon_sym_GT,
  [51485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3073), 1,
      anon_sym_GT,
  [51492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3075), 1,
      anon_sym_SLASH2,
  [51499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1679), 1,
      anon_sym_RPAREN,
  [51506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3077), 1,
      anon_sym_GT,
  [51513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2882), 1,
      anon_sym_GT,
  [51520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3079), 1,
      anon_sym_GT,
  [51527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3081), 1,
      anon_sym_GT,
  [51534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_GT,
  [51541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3085), 1,
      anon_sym_GT,
  [51548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2945), 1,
      anon_sym_from,
  [51555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3087), 1,
      anon_sym_GT,
  [51562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3089), 1,
      anon_sym_GT,
  [51569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2775), 1,
      anon_sym_GT,
  [51576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_as,
  [51583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3091), 1,
      anon_sym_EQ_GT,
  [51590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3093), 1,
      anon_sym_EQ_GT,
  [51597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3095), 1,
      anon_sym_EQ_GT,
  [51604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3097), 1,
      anon_sym_SLASH2,
  [51611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1745), 1,
      anon_sym_RPAREN,
  [51618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3099), 1,
      anon_sym_EQ,
  [51625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3101), 1,
      anon_sym_GT,
  [51632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3103), 1,
      anon_sym_EQ_GT,
  [51639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_EQ,
  [51646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1739), 1,
      anon_sym_RBRACK,
  [51653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3105), 1,
      sym_identifier,
  [51660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1755), 1,
      anon_sym_RBRACE,
  [51667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3107), 1,
      anon_sym_function,
  [51674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3109), 1,
      sym_identifier,
  [51681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3111), 1,
      sym_identifier,
  [51688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_RBRACK,
  [51695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_RBRACE,
  [51702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3113), 1,
      anon_sym_EQ_GT,
  [51709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3115), 1,
      anon_sym_from,
  [51716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3117), 1,
      anon_sym_GT,
  [51723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2892), 1,
      anon_sym_EQ,
  [51730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3119), 1,
      sym_identifier,
  [51737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3121), 1,
      anon_sym_GT,
  [51744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3123), 1,
      anon_sym_GT,
  [51751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3125), 1,
      ts_builtin_sym_end,
  [51758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2753), 1,
      anon_sym_GT,
  [51765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1681), 1,
      anon_sym_RBRACK,
  [51772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3127), 1,
      anon_sym_GT,
  [51779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3129), 1,
      anon_sym_GT,
  [51786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3131), 1,
      anon_sym_GT,
  [51793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3133), 1,
      anon_sym_GT,
  [51800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3135), 1,
      anon_sym_GT,
  [51807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3137), 1,
      anon_sym_EQ_GT,
  [51814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3139), 1,
      anon_sym_EQ_GT,
  [51821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3141), 1,
      anon_sym_EQ_GT,
  [51828] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3143), 1,
      anon_sym_EQ_GT,
  [51835] = 2,
    ACTIONS(2230), 1,
      sym_comment,
    ACTIONS(3145), 1,
      sym_regex_pattern,
  [51842] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_GT,
  [51849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1741), 1,
      anon_sym_RBRACE,
  [51856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1743), 1,
      anon_sym_RBRACK,
  [51863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3149), 1,
      anon_sym_GT,
  [51870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3151), 1,
      anon_sym_GT,
  [51877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3153), 1,
      anon_sym_target,
  [51884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3155), 1,
      anon_sym_EQ_GT,
  [51891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3157), 1,
      anon_sym_EQ_GT,
  [51898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3159), 1,
      anon_sym_RPAREN,
  [51905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3161), 1,
      anon_sym_RPAREN,
  [51912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3163), 1,
      anon_sym_EQ_GT,
  [51919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3165), 1,
      anon_sym_SLASH2,
  [51926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3167), 1,
      anon_sym_from,
  [51933] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3169), 1,
      anon_sym_from,
  [51940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1761), 1,
      anon_sym_RPAREN,
  [51947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3171), 1,
      anon_sym_from,
  [51954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3173), 1,
      anon_sym_COLON,
  [51961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3175), 1,
      anon_sym_EQ_GT,
  [51968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2508), 1,
      anon_sym_EQ,
  [51975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      anon_sym_GT,
  [51982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3179), 1,
      anon_sym_EQ,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(293)] = 0,
  [SMALL_STATE(294)] = 87,
  [SMALL_STATE(295)] = 166,
  [SMALL_STATE(296)] = 253,
  [SMALL_STATE(297)] = 341,
  [SMALL_STATE(298)] = 429,
  [SMALL_STATE(299)] = 515,
  [SMALL_STATE(300)] = 601,
  [SMALL_STATE(301)] = 687,
  [SMALL_STATE(302)] = 775,
  [SMALL_STATE(303)] = 863,
  [SMALL_STATE(304)] = 949,
  [SMALL_STATE(305)] = 1037,
  [SMALL_STATE(306)] = 1127,
  [SMALL_STATE(307)] = 1200,
  [SMALL_STATE(308)] = 1287,
  [SMALL_STATE(309)] = 1357,
  [SMALL_STATE(310)] = 1427,
  [SMALL_STATE(311)] = 1499,
  [SMALL_STATE(312)] = 1567,
  [SMALL_STATE(313)] = 1637,
  [SMALL_STATE(314)] = 1705,
  [SMALL_STATE(315)] = 1773,
  [SMALL_STATE(316)] = 1857,
  [SMALL_STATE(317)] = 1925,
  [SMALL_STATE(318)] = 2009,
  [SMALL_STATE(319)] = 2079,
  [SMALL_STATE(320)] = 2147,
  [SMALL_STATE(321)] = 2231,
  [SMALL_STATE(322)] = 2319,
  [SMALL_STATE(323)] = 2387,
  [SMALL_STATE(324)] = 2457,
  [SMALL_STATE(325)] = 2527,
  [SMALL_STATE(326)] = 2597,
  [SMALL_STATE(327)] = 2667,
  [SMALL_STATE(328)] = 2737,
  [SMALL_STATE(329)] = 2805,
  [SMALL_STATE(330)] = 2875,
  [SMALL_STATE(331)] = 2943,
  [SMALL_STATE(332)] = 3010,
  [SMALL_STATE(333)] = 3077,
  [SMALL_STATE(334)] = 3144,
  [SMALL_STATE(335)] = 3211,
  [SMALL_STATE(336)] = 3278,
  [SMALL_STATE(337)] = 3345,
  [SMALL_STATE(338)] = 3412,
  [SMALL_STATE(339)] = 3479,
  [SMALL_STATE(340)] = 3546,
  [SMALL_STATE(341)] = 3613,
  [SMALL_STATE(342)] = 3680,
  [SMALL_STATE(343)] = 3747,
  [SMALL_STATE(344)] = 3814,
  [SMALL_STATE(345)] = 3881,
  [SMALL_STATE(346)] = 3948,
  [SMALL_STATE(347)] = 4015,
  [SMALL_STATE(348)] = 4082,
  [SMALL_STATE(349)] = 4149,
  [SMALL_STATE(350)] = 4216,
  [SMALL_STATE(351)] = 4283,
  [SMALL_STATE(352)] = 4366,
  [SMALL_STATE(353)] = 4453,
  [SMALL_STATE(354)] = 4520,
  [SMALL_STATE(355)] = 4603,
  [SMALL_STATE(356)] = 4670,
  [SMALL_STATE(357)] = 4737,
  [SMALL_STATE(358)] = 4804,
  [SMALL_STATE(359)] = 4871,
  [SMALL_STATE(360)] = 4938,
  [SMALL_STATE(361)] = 5005,
  [SMALL_STATE(362)] = 5072,
  [SMALL_STATE(363)] = 5139,
  [SMALL_STATE(364)] = 5206,
  [SMALL_STATE(365)] = 5273,
  [SMALL_STATE(366)] = 5340,
  [SMALL_STATE(367)] = 5407,
  [SMALL_STATE(368)] = 5474,
  [SMALL_STATE(369)] = 5541,
  [SMALL_STATE(370)] = 5608,
  [SMALL_STATE(371)] = 5675,
  [SMALL_STATE(372)] = 5742,
  [SMALL_STATE(373)] = 5809,
  [SMALL_STATE(374)] = 5876,
  [SMALL_STATE(375)] = 5943,
  [SMALL_STATE(376)] = 6010,
  [SMALL_STATE(377)] = 6077,
  [SMALL_STATE(378)] = 6144,
  [SMALL_STATE(379)] = 6211,
  [SMALL_STATE(380)] = 6278,
  [SMALL_STATE(381)] = 6345,
  [SMALL_STATE(382)] = 6412,
  [SMALL_STATE(383)] = 6479,
  [SMALL_STATE(384)] = 6546,
  [SMALL_STATE(385)] = 6613,
  [SMALL_STATE(386)] = 6680,
  [SMALL_STATE(387)] = 6747,
  [SMALL_STATE(388)] = 6814,
  [SMALL_STATE(389)] = 6881,
  [SMALL_STATE(390)] = 6948,
  [SMALL_STATE(391)] = 7015,
  [SMALL_STATE(392)] = 7082,
  [SMALL_STATE(393)] = 7149,
  [SMALL_STATE(394)] = 7216,
  [SMALL_STATE(395)] = 7283,
  [SMALL_STATE(396)] = 7350,
  [SMALL_STATE(397)] = 7417,
  [SMALL_STATE(398)] = 7484,
  [SMALL_STATE(399)] = 7551,
  [SMALL_STATE(400)] = 7618,
  [SMALL_STATE(401)] = 7685,
  [SMALL_STATE(402)] = 7752,
  [SMALL_STATE(403)] = 7819,
  [SMALL_STATE(404)] = 7886,
  [SMALL_STATE(405)] = 7953,
  [SMALL_STATE(406)] = 8020,
  [SMALL_STATE(407)] = 8087,
  [SMALL_STATE(408)] = 8154,
  [SMALL_STATE(409)] = 8221,
  [SMALL_STATE(410)] = 8288,
  [SMALL_STATE(411)] = 8355,
  [SMALL_STATE(412)] = 8422,
  [SMALL_STATE(413)] = 8489,
  [SMALL_STATE(414)] = 8556,
  [SMALL_STATE(415)] = 8623,
  [SMALL_STATE(416)] = 8690,
  [SMALL_STATE(417)] = 8757,
  [SMALL_STATE(418)] = 8824,
  [SMALL_STATE(419)] = 8891,
  [SMALL_STATE(420)] = 8958,
  [SMALL_STATE(421)] = 9025,
  [SMALL_STATE(422)] = 9092,
  [SMALL_STATE(423)] = 9159,
  [SMALL_STATE(424)] = 9226,
  [SMALL_STATE(425)] = 9293,
  [SMALL_STATE(426)] = 9360,
  [SMALL_STATE(427)] = 9441,
  [SMALL_STATE(428)] = 9522,
  [SMALL_STATE(429)] = 9603,
  [SMALL_STATE(430)] = 9667,
  [SMALL_STATE(431)] = 9731,
  [SMALL_STATE(432)] = 9795,
  [SMALL_STATE(433)] = 9859,
  [SMALL_STATE(434)] = 9923,
  [SMALL_STATE(435)] = 9991,
  [SMALL_STATE(436)] = 10055,
  [SMALL_STATE(437)] = 10119,
  [SMALL_STATE(438)] = 10188,
  [SMALL_STATE(439)] = 10257,
  [SMALL_STATE(440)] = 10326,
  [SMALL_STATE(441)] = 10395,
  [SMALL_STATE(442)] = 10463,
  [SMALL_STATE(443)] = 10533,
  [SMALL_STATE(444)] = 10601,
  [SMALL_STATE(445)] = 10669,
  [SMALL_STATE(446)] = 10737,
  [SMALL_STATE(447)] = 10799,
  [SMALL_STATE(448)] = 10861,
  [SMALL_STATE(449)] = 10923,
  [SMALL_STATE(450)] = 10989,
  [SMALL_STATE(451)] = 11059,
  [SMALL_STATE(452)] = 11129,
  [SMALL_STATE(453)] = 11197,
  [SMALL_STATE(454)] = 11267,
  [SMALL_STATE(455)] = 11329,
  [SMALL_STATE(456)] = 11391,
  [SMALL_STATE(457)] = 11461,
  [SMALL_STATE(458)] = 11523,
  [SMALL_STATE(459)] = 11585,
  [SMALL_STATE(460)] = 11653,
  [SMALL_STATE(461)] = 11715,
  [SMALL_STATE(462)] = 11783,
  [SMALL_STATE(463)] = 11845,
  [SMALL_STATE(464)] = 11915,
  [SMALL_STATE(465)] = 11985,
  [SMALL_STATE(466)] = 12051,
  [SMALL_STATE(467)] = 12121,
  [SMALL_STATE(468)] = 12193,
  [SMALL_STATE(469)] = 12255,
  [SMALL_STATE(470)] = 12317,
  [SMALL_STATE(471)] = 12385,
  [SMALL_STATE(472)] = 12457,
  [SMALL_STATE(473)] = 12519,
  [SMALL_STATE(474)] = 12581,
  [SMALL_STATE(475)] = 12651,
  [SMALL_STATE(476)] = 12713,
  [SMALL_STATE(477)] = 12783,
  [SMALL_STATE(478)] = 12845,
  [SMALL_STATE(479)] = 12914,
  [SMALL_STATE(480)] = 12983,
  [SMALL_STATE(481)] = 13050,
  [SMALL_STATE(482)] = 13115,
  [SMALL_STATE(483)] = 13182,
  [SMALL_STATE(484)] = 13249,
  [SMALL_STATE(485)] = 13318,
  [SMALL_STATE(486)] = 13383,
  [SMALL_STATE(487)] = 13449,
  [SMALL_STATE(488)] = 13519,
  [SMALL_STATE(489)] = 13585,
  [SMALL_STATE(490)] = 13651,
  [SMALL_STATE(491)] = 13721,
  [SMALL_STATE(492)] = 13786,
  [SMALL_STATE(493)] = 13855,
  [SMALL_STATE(494)] = 13920,
  [SMALL_STATE(495)] = 13987,
  [SMALL_STATE(496)] = 14056,
  [SMALL_STATE(497)] = 14121,
  [SMALL_STATE(498)] = 14186,
  [SMALL_STATE(499)] = 14252,
  [SMALL_STATE(500)] = 14314,
  [SMALL_STATE(501)] = 14382,
  [SMALL_STATE(502)] = 14444,
  [SMALL_STATE(503)] = 14498,
  [SMALL_STATE(504)] = 14562,
  [SMALL_STATE(505)] = 14626,
  [SMALL_STATE(506)] = 14677,
  [SMALL_STATE(507)] = 14728,
  [SMALL_STATE(508)] = 14781,
  [SMALL_STATE(509)] = 14832,
  [SMALL_STATE(510)] = 14885,
  [SMALL_STATE(511)] = 14944,
  [SMALL_STATE(512)] = 14997,
  [SMALL_STATE(513)] = 15050,
  [SMALL_STATE(514)] = 15098,
  [SMALL_STATE(515)] = 15146,
  [SMALL_STATE(516)] = 15194,
  [SMALL_STATE(517)] = 15254,
  [SMALL_STATE(518)] = 15316,
  [SMALL_STATE(519)] = 15364,
  [SMALL_STATE(520)] = 15412,
  [SMALL_STATE(521)] = 15460,
  [SMALL_STATE(522)] = 15554,
  [SMALL_STATE(523)] = 15602,
  [SMALL_STATE(524)] = 15650,
  [SMALL_STATE(525)] = 15736,
  [SMALL_STATE(526)] = 15784,
  [SMALL_STATE(527)] = 15872,
  [SMALL_STATE(528)] = 15942,
  [SMALL_STATE(529)] = 15990,
  [SMALL_STATE(530)] = 16072,
  [SMALL_STATE(531)] = 16122,
  [SMALL_STATE(532)] = 16216,
  [SMALL_STATE(533)] = 16300,
  [SMALL_STATE(534)] = 16348,
  [SMALL_STATE(535)] = 16396,
  [SMALL_STATE(536)] = 16490,
  [SMALL_STATE(537)] = 16538,
  [SMALL_STATE(538)] = 16632,
  [SMALL_STATE(539)] = 16680,
  [SMALL_STATE(540)] = 16728,
  [SMALL_STATE(541)] = 16776,
  [SMALL_STATE(542)] = 16824,
  [SMALL_STATE(543)] = 16872,
  [SMALL_STATE(544)] = 16920,
  [SMALL_STATE(545)] = 17006,
  [SMALL_STATE(546)] = 17100,
  [SMALL_STATE(547)] = 17148,
  [SMALL_STATE(548)] = 17216,
  [SMALL_STATE(549)] = 17264,
  [SMALL_STATE(550)] = 17312,
  [SMALL_STATE(551)] = 17360,
  [SMALL_STATE(552)] = 17408,
  [SMALL_STATE(553)] = 17482,
  [SMALL_STATE(554)] = 17546,
  [SMALL_STATE(555)] = 17594,
  [SMALL_STATE(556)] = 17642,
  [SMALL_STATE(557)] = 17690,
  [SMALL_STATE(558)] = 17738,
  [SMALL_STATE(559)] = 17786,
  [SMALL_STATE(560)] = 17882,
  [SMALL_STATE(561)] = 17976,
  [SMALL_STATE(562)] = 18024,
  [SMALL_STATE(563)] = 18072,
  [SMALL_STATE(564)] = 18122,
  [SMALL_STATE(565)] = 18184,
  [SMALL_STATE(566)] = 18232,
  [SMALL_STATE(567)] = 18280,
  [SMALL_STATE(568)] = 18328,
  [SMALL_STATE(569)] = 18422,
  [SMALL_STATE(570)] = 18470,
  [SMALL_STATE(571)] = 18518,
  [SMALL_STATE(572)] = 18582,
  [SMALL_STATE(573)] = 18630,
  [SMALL_STATE(574)] = 18678,
  [SMALL_STATE(575)] = 18726,
  [SMALL_STATE(576)] = 18774,
  [SMALL_STATE(577)] = 18824,
  [SMALL_STATE(578)] = 18878,
  [SMALL_STATE(579)] = 18926,
  [SMALL_STATE(580)] = 18974,
  [SMALL_STATE(581)] = 19022,
  [SMALL_STATE(582)] = 19070,
  [SMALL_STATE(583)] = 19118,
  [SMALL_STATE(584)] = 19166,
  [SMALL_STATE(585)] = 19244,
  [SMALL_STATE(586)] = 19338,
  [SMALL_STATE(587)] = 19386,
  [SMALL_STATE(588)] = 19480,
  [SMALL_STATE(589)] = 19528,
  [SMALL_STATE(590)] = 19618,
  [SMALL_STATE(591)] = 19666,
  [SMALL_STATE(592)] = 19714,
  [SMALL_STATE(593)] = 19762,
  [SMALL_STATE(594)] = 19810,
  [SMALL_STATE(595)] = 19858,
  [SMALL_STATE(596)] = 19952,
  [SMALL_STATE(597)] = 20000,
  [SMALL_STATE(598)] = 20048,
  [SMALL_STATE(599)] = 20096,
  [SMALL_STATE(600)] = 20144,
  [SMALL_STATE(601)] = 20192,
  [SMALL_STATE(602)] = 20240,
  [SMALL_STATE(603)] = 20334,
  [SMALL_STATE(604)] = 20382,
  [SMALL_STATE(605)] = 20430,
  [SMALL_STATE(606)] = 20478,
  [SMALL_STATE(607)] = 20526,
  [SMALL_STATE(608)] = 20620,
  [SMALL_STATE(609)] = 20668,
  [SMALL_STATE(610)] = 20757,
  [SMALL_STATE(611)] = 20820,
  [SMALL_STATE(612)] = 20913,
  [SMALL_STATE(613)] = 20980,
  [SMALL_STATE(614)] = 21029,
  [SMALL_STATE(615)] = 21112,
  [SMALL_STATE(616)] = 21197,
  [SMALL_STATE(617)] = 21244,
  [SMALL_STATE(618)] = 21325,
  [SMALL_STATE(619)] = 21394,
  [SMALL_STATE(620)] = 21481,
  [SMALL_STATE(621)] = 21530,
  [SMALL_STATE(622)] = 21607,
  [SMALL_STATE(623)] = 21696,
  [SMALL_STATE(624)] = 21781,
  [SMALL_STATE(625)] = 21830,
  [SMALL_STATE(626)] = 21893,
  [SMALL_STATE(627)] = 21942,
  [SMALL_STATE(628)] = 21991,
  [SMALL_STATE(629)] = 22084,
  [SMALL_STATE(630)] = 22157,
  [SMALL_STATE(631)] = 22250,
  [SMALL_STATE(632)] = 22343,
  [SMALL_STATE(633)] = 22428,
  [SMALL_STATE(634)] = 22521,
  [SMALL_STATE(635)] = 22614,
  [SMALL_STATE(636)] = 22687,
  [SMALL_STATE(637)] = 22780,
  [SMALL_STATE(638)] = 22873,
  [SMALL_STATE(639)] = 22960,
  [SMALL_STATE(640)] = 23053,
  [SMALL_STATE(641)] = 23102,
  [SMALL_STATE(642)] = 23171,
  [SMALL_STATE(643)] = 23224,
  [SMALL_STATE(644)] = 23317,
  [SMALL_STATE(645)] = 23398,
  [SMALL_STATE(646)] = 23491,
  [SMALL_STATE(647)] = 23540,
  [SMALL_STATE(648)] = 23633,
  [SMALL_STATE(649)] = 23726,
  [SMALL_STATE(650)] = 23809,
  [SMALL_STATE(651)] = 23894,
  [SMALL_STATE(652)] = 23987,
  [SMALL_STATE(653)] = 24054,
  [SMALL_STATE(654)] = 24117,
  [SMALL_STATE(655)] = 24194,
  [SMALL_STATE(656)] = 24287,
  [SMALL_STATE(657)] = 24380,
  [SMALL_STATE(658)] = 24443,
  [SMALL_STATE(659)] = 24536,
  [SMALL_STATE(660)] = 24629,
  [SMALL_STATE(661)] = 24724,
  [SMALL_STATE(662)] = 24773,
  [SMALL_STATE(663)] = 24870,
  [SMALL_STATE(664)] = 24963,
  [SMALL_STATE(665)] = 25014,
  [SMALL_STATE(666)] = 25107,
  [SMALL_STATE(667)] = 25204,
  [SMALL_STATE(668)] = 25297,
  [SMALL_STATE(669)] = 25390,
  [SMALL_STATE(670)] = 25483,
  [SMALL_STATE(671)] = 25576,
  [SMALL_STATE(672)] = 25669,
  [SMALL_STATE(673)] = 25726,
  [SMALL_STATE(674)] = 25773,
  [SMALL_STATE(675)] = 25870,
  [SMALL_STATE(676)] = 25921,
  [SMALL_STATE(677)] = 26014,
  [SMALL_STATE(678)] = 26060,
  [SMALL_STATE(679)] = 26106,
  [SMALL_STATE(680)] = 26152,
  [SMALL_STATE(681)] = 26198,
  [SMALL_STATE(682)] = 26244,
  [SMALL_STATE(683)] = 26294,
  [SMALL_STATE(684)] = 26340,
  [SMALL_STATE(685)] = 26390,
  [SMALL_STATE(686)] = 26438,
  [SMALL_STATE(687)] = 26488,
  [SMALL_STATE(688)] = 26538,
  [SMALL_STATE(689)] = 26584,
  [SMALL_STATE(690)] = 26634,
  [SMALL_STATE(691)] = 26684,
  [SMALL_STATE(692)] = 26734,
  [SMALL_STATE(693)] = 26828,
  [SMALL_STATE(694)] = 26880,
  [SMALL_STATE(695)] = 26930,
  [SMALL_STATE(696)] = 27026,
  [SMALL_STATE(697)] = 27072,
  [SMALL_STATE(698)] = 27118,
  [SMALL_STATE(699)] = 27164,
  [SMALL_STATE(700)] = 27210,
  [SMALL_STATE(701)] = 27256,
  [SMALL_STATE(702)] = 27302,
  [SMALL_STATE(703)] = 27352,
  [SMALL_STATE(704)] = 27398,
  [SMALL_STATE(705)] = 27446,
  [SMALL_STATE(706)] = 27492,
  [SMALL_STATE(707)] = 27542,
  [SMALL_STATE(708)] = 27588,
  [SMALL_STATE(709)] = 27638,
  [SMALL_STATE(710)] = 27684,
  [SMALL_STATE(711)] = 27778,
  [SMALL_STATE(712)] = 27830,
  [SMALL_STATE(713)] = 27924,
  [SMALL_STATE(714)] = 27976,
  [SMALL_STATE(715)] = 28022,
  [SMALL_STATE(716)] = 28074,
  [SMALL_STATE(717)] = 28122,
  [SMALL_STATE(718)] = 28168,
  [SMALL_STATE(719)] = 28214,
  [SMALL_STATE(720)] = 28260,
  [SMALL_STATE(721)] = 28306,
  [SMALL_STATE(722)] = 28352,
  [SMALL_STATE(723)] = 28398,
  [SMALL_STATE(724)] = 28448,
  [SMALL_STATE(725)] = 28498,
  [SMALL_STATE(726)] = 28544,
  [SMALL_STATE(727)] = 28590,
  [SMALL_STATE(728)] = 28636,
  [SMALL_STATE(729)] = 28728,
  [SMALL_STATE(730)] = 28774,
  [SMALL_STATE(731)] = 28820,
  [SMALL_STATE(732)] = 28866,
  [SMALL_STATE(733)] = 28962,
  [SMALL_STATE(734)] = 29058,
  [SMALL_STATE(735)] = 29154,
  [SMALL_STATE(736)] = 29200,
  [SMALL_STATE(737)] = 29252,
  [SMALL_STATE(738)] = 29348,
  [SMALL_STATE(739)] = 29394,
  [SMALL_STATE(740)] = 29444,
  [SMALL_STATE(741)] = 29536,
  [SMALL_STATE(742)] = 29582,
  [SMALL_STATE(743)] = 29628,
  [SMALL_STATE(744)] = 29674,
  [SMALL_STATE(745)] = 29720,
  [SMALL_STATE(746)] = 29766,
  [SMALL_STATE(747)] = 29812,
  [SMALL_STATE(748)] = 29858,
  [SMALL_STATE(749)] = 29906,
  [SMALL_STATE(750)] = 29952,
  [SMALL_STATE(751)] = 30048,
  [SMALL_STATE(752)] = 30094,
  [SMALL_STATE(753)] = 30140,
  [SMALL_STATE(754)] = 30234,
  [SMALL_STATE(755)] = 30280,
  [SMALL_STATE(756)] = 30326,
  [SMALL_STATE(757)] = 30372,
  [SMALL_STATE(758)] = 30418,
  [SMALL_STATE(759)] = 30464,
  [SMALL_STATE(760)] = 30510,
  [SMALL_STATE(761)] = 30556,
  [SMALL_STATE(762)] = 30602,
  [SMALL_STATE(763)] = 30648,
  [SMALL_STATE(764)] = 30694,
  [SMALL_STATE(765)] = 30740,
  [SMALL_STATE(766)] = 30786,
  [SMALL_STATE(767)] = 30877,
  [SMALL_STATE(768)] = 30970,
  [SMALL_STATE(769)] = 31061,
  [SMALL_STATE(770)] = 31154,
  [SMALL_STATE(771)] = 31203,
  [SMALL_STATE(772)] = 31294,
  [SMALL_STATE(773)] = 31385,
  [SMALL_STATE(774)] = 31478,
  [SMALL_STATE(775)] = 31569,
  [SMALL_STATE(776)] = 31660,
  [SMALL_STATE(777)] = 31753,
  [SMALL_STATE(778)] = 31846,
  [SMALL_STATE(779)] = 31937,
  [SMALL_STATE(780)] = 32028,
  [SMALL_STATE(781)] = 32089,
  [SMALL_STATE(782)] = 32160,
  [SMALL_STATE(783)] = 32251,
  [SMALL_STATE(784)] = 32334,
  [SMALL_STATE(785)] = 32419,
  [SMALL_STATE(786)] = 32486,
  [SMALL_STATE(787)] = 32565,
  [SMALL_STATE(788)] = 32646,
  [SMALL_STATE(789)] = 32729,
  [SMALL_STATE(790)] = 32794,
  [SMALL_STATE(791)] = 32855,
  [SMALL_STATE(792)] = 32948,
  [SMALL_STATE(793)] = 33023,
  [SMALL_STATE(794)] = 33072,
  [SMALL_STATE(795)] = 33165,
  [SMALL_STATE(796)] = 33252,
  [SMALL_STATE(797)] = 33343,
  [SMALL_STATE(798)] = 33434,
  [SMALL_STATE(799)] = 33525,
  [SMALL_STATE(800)] = 33616,
  [SMALL_STATE(801)] = 33707,
  [SMALL_STATE(802)] = 33800,
  [SMALL_STATE(803)] = 33849,
  [SMALL_STATE(804)] = 33942,
  [SMALL_STATE(805)] = 34035,
  [SMALL_STATE(806)] = 34128,
  [SMALL_STATE(807)] = 34221,
  [SMALL_STATE(808)] = 34312,
  [SMALL_STATE(809)] = 34405,
  [SMALL_STATE(810)] = 34496,
  [SMALL_STATE(811)] = 34589,
  [SMALL_STATE(812)] = 34682,
  [SMALL_STATE(813)] = 34775,
  [SMALL_STATE(814)] = 34868,
  [SMALL_STATE(815)] = 34961,
  [SMALL_STATE(816)] = 35054,
  [SMALL_STATE(817)] = 35147,
  [SMALL_STATE(818)] = 35237,
  [SMALL_STATE(819)] = 35303,
  [SMALL_STATE(820)] = 35393,
  [SMALL_STATE(821)] = 35483,
  [SMALL_STATE(822)] = 35573,
  [SMALL_STATE(823)] = 35663,
  [SMALL_STATE(824)] = 35753,
  [SMALL_STATE(825)] = 35843,
  [SMALL_STATE(826)] = 35933,
  [SMALL_STATE(827)] = 36023,
  [SMALL_STATE(828)] = 36113,
  [SMALL_STATE(829)] = 36203,
  [SMALL_STATE(830)] = 36293,
  [SMALL_STATE(831)] = 36343,
  [SMALL_STATE(832)] = 36435,
  [SMALL_STATE(833)] = 36525,
  [SMALL_STATE(834)] = 36615,
  [SMALL_STATE(835)] = 36665,
  [SMALL_STATE(836)] = 36751,
  [SMALL_STATE(837)] = 36825,
  [SMALL_STATE(838)] = 36875,
  [SMALL_STATE(839)] = 36935,
  [SMALL_STATE(840)] = 36999,
  [SMALL_STATE(841)] = 37081,
  [SMALL_STATE(842)] = 37171,
  [SMALL_STATE(843)] = 37251,
  [SMALL_STATE(844)] = 37329,
  [SMALL_STATE(845)] = 37419,
  [SMALL_STATE(846)] = 37503,
  [SMALL_STATE(847)] = 37593,
  [SMALL_STATE(848)] = 37675,
  [SMALL_STATE(849)] = 37745,
  [SMALL_STATE(850)] = 37805,
  [SMALL_STATE(851)] = 37895,
  [SMALL_STATE(852)] = 37945,
  [SMALL_STATE(853)] = 38035,
  [SMALL_STATE(854)] = 38125,
  [SMALL_STATE(855)] = 38174,
  [SMALL_STATE(856)] = 38223,
  [SMALL_STATE(857)] = 38272,
  [SMALL_STATE(858)] = 38359,
  [SMALL_STATE(859)] = 38446,
  [SMALL_STATE(860)] = 38495,
  [SMALL_STATE(861)] = 38540,
  [SMALL_STATE(862)] = 38585,
  [SMALL_STATE(863)] = 38666,
  [SMALL_STATE(864)] = 38747,
  [SMALL_STATE(865)] = 38828,
  [SMALL_STATE(866)] = 38909,
  [SMALL_STATE(867)] = 38990,
  [SMALL_STATE(868)] = 39071,
  [SMALL_STATE(869)] = 39152,
  [SMALL_STATE(870)] = 39225,
  [SMALL_STATE(871)] = 39294,
  [SMALL_STATE(872)] = 39363,
  [SMALL_STATE(873)] = 39418,
  [SMALL_STATE(874)] = 39487,
  [SMALL_STATE(875)] = 39556,
  [SMALL_STATE(876)] = 39625,
  [SMALL_STATE(877)] = 39694,
  [SMALL_STATE(878)] = 39763,
  [SMALL_STATE(879)] = 39832,
  [SMALL_STATE(880)] = 39901,
  [SMALL_STATE(881)] = 39956,
  [SMALL_STATE(882)] = 40006,
  [SMALL_STATE(883)] = 40066,
  [SMALL_STATE(884)] = 40120,
  [SMALL_STATE(885)] = 40176,
  [SMALL_STATE(886)] = 40230,
  [SMALL_STATE(887)] = 40286,
  [SMALL_STATE(888)] = 40342,
  [SMALL_STATE(889)] = 40396,
  [SMALL_STATE(890)] = 40452,
  [SMALL_STATE(891)] = 40506,
  [SMALL_STATE(892)] = 40560,
  [SMALL_STATE(893)] = 40616,
  [SMALL_STATE(894)] = 40672,
  [SMALL_STATE(895)] = 40726,
  [SMALL_STATE(896)] = 40780,
  [SMALL_STATE(897)] = 40836,
  [SMALL_STATE(898)] = 40885,
  [SMALL_STATE(899)] = 40934,
  [SMALL_STATE(900)] = 40983,
  [SMALL_STATE(901)] = 41032,
  [SMALL_STATE(902)] = 41081,
  [SMALL_STATE(903)] = 41130,
  [SMALL_STATE(904)] = 41179,
  [SMALL_STATE(905)] = 41227,
  [SMALL_STATE(906)] = 41273,
  [SMALL_STATE(907)] = 41314,
  [SMALL_STATE(908)] = 41357,
  [SMALL_STATE(909)] = 41398,
  [SMALL_STATE(910)] = 41443,
  [SMALL_STATE(911)] = 41484,
  [SMALL_STATE(912)] = 41539,
  [SMALL_STATE(913)] = 41582,
  [SMALL_STATE(914)] = 41625,
  [SMALL_STATE(915)] = 41670,
  [SMALL_STATE(916)] = 41713,
  [SMALL_STATE(917)] = 41749,
  [SMALL_STATE(918)] = 41785,
  [SMALL_STATE(919)] = 41821,
  [SMALL_STATE(920)] = 41857,
  [SMALL_STATE(921)] = 41907,
  [SMALL_STATE(922)] = 41943,
  [SMALL_STATE(923)] = 41993,
  [SMALL_STATE(924)] = 42029,
  [SMALL_STATE(925)] = 42067,
  [SMALL_STATE(926)] = 42098,
  [SMALL_STATE(927)] = 42123,
  [SMALL_STATE(928)] = 42148,
  [SMALL_STATE(929)] = 42173,
  [SMALL_STATE(930)] = 42198,
  [SMALL_STATE(931)] = 42223,
  [SMALL_STATE(932)] = 42248,
  [SMALL_STATE(933)] = 42273,
  [SMALL_STATE(934)] = 42298,
  [SMALL_STATE(935)] = 42323,
  [SMALL_STATE(936)] = 42348,
  [SMALL_STATE(937)] = 42373,
  [SMALL_STATE(938)] = 42398,
  [SMALL_STATE(939)] = 42423,
  [SMALL_STATE(940)] = 42468,
  [SMALL_STATE(941)] = 42493,
  [SMALL_STATE(942)] = 42518,
  [SMALL_STATE(943)] = 42543,
  [SMALL_STATE(944)] = 42568,
  [SMALL_STATE(945)] = 42593,
  [SMALL_STATE(946)] = 42618,
  [SMALL_STATE(947)] = 42643,
  [SMALL_STATE(948)] = 42679,
  [SMALL_STATE(949)] = 42703,
  [SMALL_STATE(950)] = 42745,
  [SMALL_STATE(951)] = 42787,
  [SMALL_STATE(952)] = 42829,
  [SMALL_STATE(953)] = 42869,
  [SMALL_STATE(954)] = 42895,
  [SMALL_STATE(955)] = 42935,
  [SMALL_STATE(956)] = 42965,
  [SMALL_STATE(957)] = 43003,
  [SMALL_STATE(958)] = 43024,
  [SMALL_STATE(959)] = 43047,
  [SMALL_STATE(960)] = 43080,
  [SMALL_STATE(961)] = 43103,
  [SMALL_STATE(962)] = 43136,
  [SMALL_STATE(963)] = 43169,
  [SMALL_STATE(964)] = 43190,
  [SMALL_STATE(965)] = 43223,
  [SMALL_STATE(966)] = 43244,
  [SMALL_STATE(967)] = 43267,
  [SMALL_STATE(968)] = 43290,
  [SMALL_STATE(969)] = 43311,
  [SMALL_STATE(970)] = 43344,
  [SMALL_STATE(971)] = 43377,
  [SMALL_STATE(972)] = 43410,
  [SMALL_STATE(973)] = 43443,
  [SMALL_STATE(974)] = 43476,
  [SMALL_STATE(975)] = 43509,
  [SMALL_STATE(976)] = 43530,
  [SMALL_STATE(977)] = 43553,
  [SMALL_STATE(978)] = 43583,
  [SMALL_STATE(979)] = 43605,
  [SMALL_STATE(980)] = 43635,
  [SMALL_STATE(981)] = 43665,
  [SMALL_STATE(982)] = 43695,
  [SMALL_STATE(983)] = 43717,
  [SMALL_STATE(984)] = 43747,
  [SMALL_STATE(985)] = 43777,
  [SMALL_STATE(986)] = 43799,
  [SMALL_STATE(987)] = 43821,
  [SMALL_STATE(988)] = 43843,
  [SMALL_STATE(989)] = 43873,
  [SMALL_STATE(990)] = 43895,
  [SMALL_STATE(991)] = 43930,
  [SMALL_STATE(992)] = 43965,
  [SMALL_STATE(993)] = 44000,
  [SMALL_STATE(994)] = 44035,
  [SMALL_STATE(995)] = 44067,
  [SMALL_STATE(996)] = 44099,
  [SMALL_STATE(997)] = 44131,
  [SMALL_STATE(998)] = 44163,
  [SMALL_STATE(999)] = 44189,
  [SMALL_STATE(1000)] = 44215,
  [SMALL_STATE(1001)] = 44241,
  [SMALL_STATE(1002)] = 44267,
  [SMALL_STATE(1003)] = 44293,
  [SMALL_STATE(1004)] = 44319,
  [SMALL_STATE(1005)] = 44351,
  [SMALL_STATE(1006)] = 44383,
  [SMALL_STATE(1007)] = 44409,
  [SMALL_STATE(1008)] = 44435,
  [SMALL_STATE(1009)] = 44461,
  [SMALL_STATE(1010)] = 44493,
  [SMALL_STATE(1011)] = 44525,
  [SMALL_STATE(1012)] = 44551,
  [SMALL_STATE(1013)] = 44580,
  [SMALL_STATE(1014)] = 44609,
  [SMALL_STATE(1015)] = 44632,
  [SMALL_STATE(1016)] = 44655,
  [SMALL_STATE(1017)] = 44678,
  [SMALL_STATE(1018)] = 44707,
  [SMALL_STATE(1019)] = 44730,
  [SMALL_STATE(1020)] = 44753,
  [SMALL_STATE(1021)] = 44782,
  [SMALL_STATE(1022)] = 44811,
  [SMALL_STATE(1023)] = 44834,
  [SMALL_STATE(1024)] = 44863,
  [SMALL_STATE(1025)] = 44892,
  [SMALL_STATE(1026)] = 44921,
  [SMALL_STATE(1027)] = 44950,
  [SMALL_STATE(1028)] = 44973,
  [SMALL_STATE(1029)] = 45002,
  [SMALL_STATE(1030)] = 45025,
  [SMALL_STATE(1031)] = 45054,
  [SMALL_STATE(1032)] = 45083,
  [SMALL_STATE(1033)] = 45112,
  [SMALL_STATE(1034)] = 45141,
  [SMALL_STATE(1035)] = 45170,
  [SMALL_STATE(1036)] = 45199,
  [SMALL_STATE(1037)] = 45228,
  [SMALL_STATE(1038)] = 45257,
  [SMALL_STATE(1039)] = 45286,
  [SMALL_STATE(1040)] = 45315,
  [SMALL_STATE(1041)] = 45344,
  [SMALL_STATE(1042)] = 45367,
  [SMALL_STATE(1043)] = 45388,
  [SMALL_STATE(1044)] = 45401,
  [SMALL_STATE(1045)] = 45424,
  [SMALL_STATE(1046)] = 45443,
  [SMALL_STATE(1047)] = 45458,
  [SMALL_STATE(1048)] = 45471,
  [SMALL_STATE(1049)] = 45494,
  [SMALL_STATE(1050)] = 45507,
  [SMALL_STATE(1051)] = 45530,
  [SMALL_STATE(1052)] = 45553,
  [SMALL_STATE(1053)] = 45574,
  [SMALL_STATE(1054)] = 45595,
  [SMALL_STATE(1055)] = 45618,
  [SMALL_STATE(1056)] = 45639,
  [SMALL_STATE(1057)] = 45662,
  [SMALL_STATE(1058)] = 45685,
  [SMALL_STATE(1059)] = 45698,
  [SMALL_STATE(1060)] = 45717,
  [SMALL_STATE(1061)] = 45738,
  [SMALL_STATE(1062)] = 45753,
  [SMALL_STATE(1063)] = 45766,
  [SMALL_STATE(1064)] = 45785,
  [SMALL_STATE(1065)] = 45805,
  [SMALL_STATE(1066)] = 45823,
  [SMALL_STATE(1067)] = 45845,
  [SMALL_STATE(1068)] = 45867,
  [SMALL_STATE(1069)] = 45887,
  [SMALL_STATE(1070)] = 45907,
  [SMALL_STATE(1071)] = 45929,
  [SMALL_STATE(1072)] = 45949,
  [SMALL_STATE(1073)] = 45971,
  [SMALL_STATE(1074)] = 45983,
  [SMALL_STATE(1075)] = 46001,
  [SMALL_STATE(1076)] = 46019,
  [SMALL_STATE(1077)] = 46035,
  [SMALL_STATE(1078)] = 46057,
  [SMALL_STATE(1079)] = 46079,
  [SMALL_STATE(1080)] = 46101,
  [SMALL_STATE(1081)] = 46115,
  [SMALL_STATE(1082)] = 46133,
  [SMALL_STATE(1083)] = 46145,
  [SMALL_STATE(1084)] = 46157,
  [SMALL_STATE(1085)] = 46169,
  [SMALL_STATE(1086)] = 46181,
  [SMALL_STATE(1087)] = 46199,
  [SMALL_STATE(1088)] = 46217,
  [SMALL_STATE(1089)] = 46229,
  [SMALL_STATE(1090)] = 46247,
  [SMALL_STATE(1091)] = 46269,
  [SMALL_STATE(1092)] = 46287,
  [SMALL_STATE(1093)] = 46305,
  [SMALL_STATE(1094)] = 46317,
  [SMALL_STATE(1095)] = 46331,
  [SMALL_STATE(1096)] = 46353,
  [SMALL_STATE(1097)] = 46375,
  [SMALL_STATE(1098)] = 46397,
  [SMALL_STATE(1099)] = 46415,
  [SMALL_STATE(1100)] = 46427,
  [SMALL_STATE(1101)] = 46449,
  [SMALL_STATE(1102)] = 46467,
  [SMALL_STATE(1103)] = 46480,
  [SMALL_STATE(1104)] = 46499,
  [SMALL_STATE(1105)] = 46512,
  [SMALL_STATE(1106)] = 46525,
  [SMALL_STATE(1107)] = 46538,
  [SMALL_STATE(1108)] = 46551,
  [SMALL_STATE(1109)] = 46564,
  [SMALL_STATE(1110)] = 46577,
  [SMALL_STATE(1111)] = 46590,
  [SMALL_STATE(1112)] = 46603,
  [SMALL_STATE(1113)] = 46622,
  [SMALL_STATE(1114)] = 46641,
  [SMALL_STATE(1115)] = 46656,
  [SMALL_STATE(1116)] = 46675,
  [SMALL_STATE(1117)] = 46688,
  [SMALL_STATE(1118)] = 46707,
  [SMALL_STATE(1119)] = 46726,
  [SMALL_STATE(1120)] = 46741,
  [SMALL_STATE(1121)] = 46754,
  [SMALL_STATE(1122)] = 46767,
  [SMALL_STATE(1123)] = 46786,
  [SMALL_STATE(1124)] = 46805,
  [SMALL_STATE(1125)] = 46816,
  [SMALL_STATE(1126)] = 46829,
  [SMALL_STATE(1127)] = 46848,
  [SMALL_STATE(1128)] = 46867,
  [SMALL_STATE(1129)] = 46882,
  [SMALL_STATE(1130)] = 46895,
  [SMALL_STATE(1131)] = 46914,
  [SMALL_STATE(1132)] = 46933,
  [SMALL_STATE(1133)] = 46952,
  [SMALL_STATE(1134)] = 46965,
  [SMALL_STATE(1135)] = 46978,
  [SMALL_STATE(1136)] = 46997,
  [SMALL_STATE(1137)] = 47016,
  [SMALL_STATE(1138)] = 47035,
  [SMALL_STATE(1139)] = 47048,
  [SMALL_STATE(1140)] = 47067,
  [SMALL_STATE(1141)] = 47086,
  [SMALL_STATE(1142)] = 47099,
  [SMALL_STATE(1143)] = 47111,
  [SMALL_STATE(1144)] = 47121,
  [SMALL_STATE(1145)] = 47137,
  [SMALL_STATE(1146)] = 47151,
  [SMALL_STATE(1147)] = 47167,
  [SMALL_STATE(1148)] = 47177,
  [SMALL_STATE(1149)] = 47193,
  [SMALL_STATE(1150)] = 47209,
  [SMALL_STATE(1151)] = 47223,
  [SMALL_STATE(1152)] = 47237,
  [SMALL_STATE(1153)] = 47253,
  [SMALL_STATE(1154)] = 47263,
  [SMALL_STATE(1155)] = 47279,
  [SMALL_STATE(1156)] = 47295,
  [SMALL_STATE(1157)] = 47311,
  [SMALL_STATE(1158)] = 47325,
  [SMALL_STATE(1159)] = 47339,
  [SMALL_STATE(1160)] = 47353,
  [SMALL_STATE(1161)] = 47363,
  [SMALL_STATE(1162)] = 47379,
  [SMALL_STATE(1163)] = 47395,
  [SMALL_STATE(1164)] = 47411,
  [SMALL_STATE(1165)] = 47425,
  [SMALL_STATE(1166)] = 47439,
  [SMALL_STATE(1167)] = 47453,
  [SMALL_STATE(1168)] = 47469,
  [SMALL_STATE(1169)] = 47483,
  [SMALL_STATE(1170)] = 47497,
  [SMALL_STATE(1171)] = 47511,
  [SMALL_STATE(1172)] = 47527,
  [SMALL_STATE(1173)] = 47537,
  [SMALL_STATE(1174)] = 47551,
  [SMALL_STATE(1175)] = 47567,
  [SMALL_STATE(1176)] = 47583,
  [SMALL_STATE(1177)] = 47597,
  [SMALL_STATE(1178)] = 47611,
  [SMALL_STATE(1179)] = 47625,
  [SMALL_STATE(1180)] = 47641,
  [SMALL_STATE(1181)] = 47657,
  [SMALL_STATE(1182)] = 47667,
  [SMALL_STATE(1183)] = 47677,
  [SMALL_STATE(1184)] = 47693,
  [SMALL_STATE(1185)] = 47707,
  [SMALL_STATE(1186)] = 47723,
  [SMALL_STATE(1187)] = 47739,
  [SMALL_STATE(1188)] = 47753,
  [SMALL_STATE(1189)] = 47767,
  [SMALL_STATE(1190)] = 47781,
  [SMALL_STATE(1191)] = 47795,
  [SMALL_STATE(1192)] = 47809,
  [SMALL_STATE(1193)] = 47825,
  [SMALL_STATE(1194)] = 47841,
  [SMALL_STATE(1195)] = 47857,
  [SMALL_STATE(1196)] = 47873,
  [SMALL_STATE(1197)] = 47889,
  [SMALL_STATE(1198)] = 47905,
  [SMALL_STATE(1199)] = 47921,
  [SMALL_STATE(1200)] = 47937,
  [SMALL_STATE(1201)] = 47951,
  [SMALL_STATE(1202)] = 47961,
  [SMALL_STATE(1203)] = 47977,
  [SMALL_STATE(1204)] = 47993,
  [SMALL_STATE(1205)] = 48007,
  [SMALL_STATE(1206)] = 48021,
  [SMALL_STATE(1207)] = 48035,
  [SMALL_STATE(1208)] = 48051,
  [SMALL_STATE(1209)] = 48067,
  [SMALL_STATE(1210)] = 48083,
  [SMALL_STATE(1211)] = 48099,
  [SMALL_STATE(1212)] = 48115,
  [SMALL_STATE(1213)] = 48131,
  [SMALL_STATE(1214)] = 48145,
  [SMALL_STATE(1215)] = 48161,
  [SMALL_STATE(1216)] = 48175,
  [SMALL_STATE(1217)] = 48191,
  [SMALL_STATE(1218)] = 48201,
  [SMALL_STATE(1219)] = 48213,
  [SMALL_STATE(1220)] = 48222,
  [SMALL_STATE(1221)] = 48235,
  [SMALL_STATE(1222)] = 48248,
  [SMALL_STATE(1223)] = 48261,
  [SMALL_STATE(1224)] = 48270,
  [SMALL_STATE(1225)] = 48283,
  [SMALL_STATE(1226)] = 48296,
  [SMALL_STATE(1227)] = 48309,
  [SMALL_STATE(1228)] = 48322,
  [SMALL_STATE(1229)] = 48333,
  [SMALL_STATE(1230)] = 48346,
  [SMALL_STATE(1231)] = 48359,
  [SMALL_STATE(1232)] = 48372,
  [SMALL_STATE(1233)] = 48381,
  [SMALL_STATE(1234)] = 48394,
  [SMALL_STATE(1235)] = 48407,
  [SMALL_STATE(1236)] = 48416,
  [SMALL_STATE(1237)] = 48429,
  [SMALL_STATE(1238)] = 48442,
  [SMALL_STATE(1239)] = 48451,
  [SMALL_STATE(1240)] = 48464,
  [SMALL_STATE(1241)] = 48477,
  [SMALL_STATE(1242)] = 48486,
  [SMALL_STATE(1243)] = 48499,
  [SMALL_STATE(1244)] = 48508,
  [SMALL_STATE(1245)] = 48521,
  [SMALL_STATE(1246)] = 48534,
  [SMALL_STATE(1247)] = 48543,
  [SMALL_STATE(1248)] = 48556,
  [SMALL_STATE(1249)] = 48569,
  [SMALL_STATE(1250)] = 48578,
  [SMALL_STATE(1251)] = 48591,
  [SMALL_STATE(1252)] = 48604,
  [SMALL_STATE(1253)] = 48617,
  [SMALL_STATE(1254)] = 48630,
  [SMALL_STATE(1255)] = 48641,
  [SMALL_STATE(1256)] = 48650,
  [SMALL_STATE(1257)] = 48663,
  [SMALL_STATE(1258)] = 48672,
  [SMALL_STATE(1259)] = 48685,
  [SMALL_STATE(1260)] = 48698,
  [SMALL_STATE(1261)] = 48709,
  [SMALL_STATE(1262)] = 48722,
  [SMALL_STATE(1263)] = 48735,
  [SMALL_STATE(1264)] = 48748,
  [SMALL_STATE(1265)] = 48761,
  [SMALL_STATE(1266)] = 48774,
  [SMALL_STATE(1267)] = 48787,
  [SMALL_STATE(1268)] = 48800,
  [SMALL_STATE(1269)] = 48809,
  [SMALL_STATE(1270)] = 48822,
  [SMALL_STATE(1271)] = 48831,
  [SMALL_STATE(1272)] = 48840,
  [SMALL_STATE(1273)] = 48849,
  [SMALL_STATE(1274)] = 48862,
  [SMALL_STATE(1275)] = 48875,
  [SMALL_STATE(1276)] = 48888,
  [SMALL_STATE(1277)] = 48899,
  [SMALL_STATE(1278)] = 48908,
  [SMALL_STATE(1279)] = 48917,
  [SMALL_STATE(1280)] = 48926,
  [SMALL_STATE(1281)] = 48935,
  [SMALL_STATE(1282)] = 48948,
  [SMALL_STATE(1283)] = 48961,
  [SMALL_STATE(1284)] = 48974,
  [SMALL_STATE(1285)] = 48987,
  [SMALL_STATE(1286)] = 48996,
  [SMALL_STATE(1287)] = 49009,
  [SMALL_STATE(1288)] = 49022,
  [SMALL_STATE(1289)] = 49035,
  [SMALL_STATE(1290)] = 49048,
  [SMALL_STATE(1291)] = 49061,
  [SMALL_STATE(1292)] = 49074,
  [SMALL_STATE(1293)] = 49087,
  [SMALL_STATE(1294)] = 49100,
  [SMALL_STATE(1295)] = 49113,
  [SMALL_STATE(1296)] = 49124,
  [SMALL_STATE(1297)] = 49137,
  [SMALL_STATE(1298)] = 49148,
  [SMALL_STATE(1299)] = 49157,
  [SMALL_STATE(1300)] = 49170,
  [SMALL_STATE(1301)] = 49183,
  [SMALL_STATE(1302)] = 49196,
  [SMALL_STATE(1303)] = 49209,
  [SMALL_STATE(1304)] = 49222,
  [SMALL_STATE(1305)] = 49235,
  [SMALL_STATE(1306)] = 49248,
  [SMALL_STATE(1307)] = 49261,
  [SMALL_STATE(1308)] = 49274,
  [SMALL_STATE(1309)] = 49287,
  [SMALL_STATE(1310)] = 49298,
  [SMALL_STATE(1311)] = 49311,
  [SMALL_STATE(1312)] = 49324,
  [SMALL_STATE(1313)] = 49337,
  [SMALL_STATE(1314)] = 49350,
  [SMALL_STATE(1315)] = 49363,
  [SMALL_STATE(1316)] = 49372,
  [SMALL_STATE(1317)] = 49381,
  [SMALL_STATE(1318)] = 49390,
  [SMALL_STATE(1319)] = 49401,
  [SMALL_STATE(1320)] = 49414,
  [SMALL_STATE(1321)] = 49423,
  [SMALL_STATE(1322)] = 49436,
  [SMALL_STATE(1323)] = 49449,
  [SMALL_STATE(1324)] = 49462,
  [SMALL_STATE(1325)] = 49475,
  [SMALL_STATE(1326)] = 49488,
  [SMALL_STATE(1327)] = 49501,
  [SMALL_STATE(1328)] = 49514,
  [SMALL_STATE(1329)] = 49527,
  [SMALL_STATE(1330)] = 49536,
  [SMALL_STATE(1331)] = 49546,
  [SMALL_STATE(1332)] = 49554,
  [SMALL_STATE(1333)] = 49564,
  [SMALL_STATE(1334)] = 49574,
  [SMALL_STATE(1335)] = 49584,
  [SMALL_STATE(1336)] = 49594,
  [SMALL_STATE(1337)] = 49604,
  [SMALL_STATE(1338)] = 49612,
  [SMALL_STATE(1339)] = 49622,
  [SMALL_STATE(1340)] = 49632,
  [SMALL_STATE(1341)] = 49642,
  [SMALL_STATE(1342)] = 49650,
  [SMALL_STATE(1343)] = 49660,
  [SMALL_STATE(1344)] = 49670,
  [SMALL_STATE(1345)] = 49678,
  [SMALL_STATE(1346)] = 49686,
  [SMALL_STATE(1347)] = 49696,
  [SMALL_STATE(1348)] = 49706,
  [SMALL_STATE(1349)] = 49716,
  [SMALL_STATE(1350)] = 49726,
  [SMALL_STATE(1351)] = 49736,
  [SMALL_STATE(1352)] = 49746,
  [SMALL_STATE(1353)] = 49756,
  [SMALL_STATE(1354)] = 49766,
  [SMALL_STATE(1355)] = 49776,
  [SMALL_STATE(1356)] = 49784,
  [SMALL_STATE(1357)] = 49794,
  [SMALL_STATE(1358)] = 49804,
  [SMALL_STATE(1359)] = 49814,
  [SMALL_STATE(1360)] = 49824,
  [SMALL_STATE(1361)] = 49834,
  [SMALL_STATE(1362)] = 49844,
  [SMALL_STATE(1363)] = 49852,
  [SMALL_STATE(1364)] = 49862,
  [SMALL_STATE(1365)] = 49870,
  [SMALL_STATE(1366)] = 49880,
  [SMALL_STATE(1367)] = 49890,
  [SMALL_STATE(1368)] = 49898,
  [SMALL_STATE(1369)] = 49906,
  [SMALL_STATE(1370)] = 49914,
  [SMALL_STATE(1371)] = 49924,
  [SMALL_STATE(1372)] = 49934,
  [SMALL_STATE(1373)] = 49944,
  [SMALL_STATE(1374)] = 49954,
  [SMALL_STATE(1375)] = 49964,
  [SMALL_STATE(1376)] = 49974,
  [SMALL_STATE(1377)] = 49984,
  [SMALL_STATE(1378)] = 49994,
  [SMALL_STATE(1379)] = 50004,
  [SMALL_STATE(1380)] = 50014,
  [SMALL_STATE(1381)] = 50024,
  [SMALL_STATE(1382)] = 50034,
  [SMALL_STATE(1383)] = 50044,
  [SMALL_STATE(1384)] = 50054,
  [SMALL_STATE(1385)] = 50064,
  [SMALL_STATE(1386)] = 50074,
  [SMALL_STATE(1387)] = 50084,
  [SMALL_STATE(1388)] = 50094,
  [SMALL_STATE(1389)] = 50104,
  [SMALL_STATE(1390)] = 50114,
  [SMALL_STATE(1391)] = 50124,
  [SMALL_STATE(1392)] = 50134,
  [SMALL_STATE(1393)] = 50142,
  [SMALL_STATE(1394)] = 50152,
  [SMALL_STATE(1395)] = 50162,
  [SMALL_STATE(1396)] = 50172,
  [SMALL_STATE(1397)] = 50180,
  [SMALL_STATE(1398)] = 50190,
  [SMALL_STATE(1399)] = 50200,
  [SMALL_STATE(1400)] = 50210,
  [SMALL_STATE(1401)] = 50220,
  [SMALL_STATE(1402)] = 50230,
  [SMALL_STATE(1403)] = 50240,
  [SMALL_STATE(1404)] = 50250,
  [SMALL_STATE(1405)] = 50258,
  [SMALL_STATE(1406)] = 50268,
  [SMALL_STATE(1407)] = 50278,
  [SMALL_STATE(1408)] = 50288,
  [SMALL_STATE(1409)] = 50298,
  [SMALL_STATE(1410)] = 50308,
  [SMALL_STATE(1411)] = 50318,
  [SMALL_STATE(1412)] = 50328,
  [SMALL_STATE(1413)] = 50336,
  [SMALL_STATE(1414)] = 50344,
  [SMALL_STATE(1415)] = 50352,
  [SMALL_STATE(1416)] = 50360,
  [SMALL_STATE(1417)] = 50370,
  [SMALL_STATE(1418)] = 50380,
  [SMALL_STATE(1419)] = 50388,
  [SMALL_STATE(1420)] = 50398,
  [SMALL_STATE(1421)] = 50408,
  [SMALL_STATE(1422)] = 50418,
  [SMALL_STATE(1423)] = 50428,
  [SMALL_STATE(1424)] = 50438,
  [SMALL_STATE(1425)] = 50448,
  [SMALL_STATE(1426)] = 50458,
  [SMALL_STATE(1427)] = 50468,
  [SMALL_STATE(1428)] = 50478,
  [SMALL_STATE(1429)] = 50488,
  [SMALL_STATE(1430)] = 50496,
  [SMALL_STATE(1431)] = 50506,
  [SMALL_STATE(1432)] = 50514,
  [SMALL_STATE(1433)] = 50524,
  [SMALL_STATE(1434)] = 50534,
  [SMALL_STATE(1435)] = 50544,
  [SMALL_STATE(1436)] = 50554,
  [SMALL_STATE(1437)] = 50564,
  [SMALL_STATE(1438)] = 50574,
  [SMALL_STATE(1439)] = 50584,
  [SMALL_STATE(1440)] = 50594,
  [SMALL_STATE(1441)] = 50604,
  [SMALL_STATE(1442)] = 50614,
  [SMALL_STATE(1443)] = 50624,
  [SMALL_STATE(1444)] = 50634,
  [SMALL_STATE(1445)] = 50644,
  [SMALL_STATE(1446)] = 50654,
  [SMALL_STATE(1447)] = 50664,
  [SMALL_STATE(1448)] = 50674,
  [SMALL_STATE(1449)] = 50684,
  [SMALL_STATE(1450)] = 50692,
  [SMALL_STATE(1451)] = 50702,
  [SMALL_STATE(1452)] = 50710,
  [SMALL_STATE(1453)] = 50718,
  [SMALL_STATE(1454)] = 50728,
  [SMALL_STATE(1455)] = 50738,
  [SMALL_STATE(1456)] = 50748,
  [SMALL_STATE(1457)] = 50758,
  [SMALL_STATE(1458)] = 50768,
  [SMALL_STATE(1459)] = 50778,
  [SMALL_STATE(1460)] = 50786,
  [SMALL_STATE(1461)] = 50796,
  [SMALL_STATE(1462)] = 50806,
  [SMALL_STATE(1463)] = 50816,
  [SMALL_STATE(1464)] = 50824,
  [SMALL_STATE(1465)] = 50834,
  [SMALL_STATE(1466)] = 50844,
  [SMALL_STATE(1467)] = 50854,
  [SMALL_STATE(1468)] = 50864,
  [SMALL_STATE(1469)] = 50874,
  [SMALL_STATE(1470)] = 50884,
  [SMALL_STATE(1471)] = 50894,
  [SMALL_STATE(1472)] = 50904,
  [SMALL_STATE(1473)] = 50914,
  [SMALL_STATE(1474)] = 50924,
  [SMALL_STATE(1475)] = 50934,
  [SMALL_STATE(1476)] = 50944,
  [SMALL_STATE(1477)] = 50954,
  [SMALL_STATE(1478)] = 50964,
  [SMALL_STATE(1479)] = 50974,
  [SMALL_STATE(1480)] = 50984,
  [SMALL_STATE(1481)] = 50994,
  [SMALL_STATE(1482)] = 51004,
  [SMALL_STATE(1483)] = 51014,
  [SMALL_STATE(1484)] = 51022,
  [SMALL_STATE(1485)] = 51032,
  [SMALL_STATE(1486)] = 51042,
  [SMALL_STATE(1487)] = 51052,
  [SMALL_STATE(1488)] = 51062,
  [SMALL_STATE(1489)] = 51070,
  [SMALL_STATE(1490)] = 51080,
  [SMALL_STATE(1491)] = 51088,
  [SMALL_STATE(1492)] = 51096,
  [SMALL_STATE(1493)] = 51104,
  [SMALL_STATE(1494)] = 51114,
  [SMALL_STATE(1495)] = 51124,
  [SMALL_STATE(1496)] = 51134,
  [SMALL_STATE(1497)] = 51144,
  [SMALL_STATE(1498)] = 51154,
  [SMALL_STATE(1499)] = 51164,
  [SMALL_STATE(1500)] = 51174,
  [SMALL_STATE(1501)] = 51184,
  [SMALL_STATE(1502)] = 51191,
  [SMALL_STATE(1503)] = 51198,
  [SMALL_STATE(1504)] = 51205,
  [SMALL_STATE(1505)] = 51212,
  [SMALL_STATE(1506)] = 51219,
  [SMALL_STATE(1507)] = 51226,
  [SMALL_STATE(1508)] = 51233,
  [SMALL_STATE(1509)] = 51240,
  [SMALL_STATE(1510)] = 51247,
  [SMALL_STATE(1511)] = 51254,
  [SMALL_STATE(1512)] = 51261,
  [SMALL_STATE(1513)] = 51268,
  [SMALL_STATE(1514)] = 51275,
  [SMALL_STATE(1515)] = 51282,
  [SMALL_STATE(1516)] = 51289,
  [SMALL_STATE(1517)] = 51296,
  [SMALL_STATE(1518)] = 51303,
  [SMALL_STATE(1519)] = 51310,
  [SMALL_STATE(1520)] = 51317,
  [SMALL_STATE(1521)] = 51324,
  [SMALL_STATE(1522)] = 51331,
  [SMALL_STATE(1523)] = 51338,
  [SMALL_STATE(1524)] = 51345,
  [SMALL_STATE(1525)] = 51352,
  [SMALL_STATE(1526)] = 51359,
  [SMALL_STATE(1527)] = 51366,
  [SMALL_STATE(1528)] = 51373,
  [SMALL_STATE(1529)] = 51380,
  [SMALL_STATE(1530)] = 51387,
  [SMALL_STATE(1531)] = 51394,
  [SMALL_STATE(1532)] = 51401,
  [SMALL_STATE(1533)] = 51408,
  [SMALL_STATE(1534)] = 51415,
  [SMALL_STATE(1535)] = 51422,
  [SMALL_STATE(1536)] = 51429,
  [SMALL_STATE(1537)] = 51436,
  [SMALL_STATE(1538)] = 51443,
  [SMALL_STATE(1539)] = 51450,
  [SMALL_STATE(1540)] = 51457,
  [SMALL_STATE(1541)] = 51464,
  [SMALL_STATE(1542)] = 51471,
  [SMALL_STATE(1543)] = 51478,
  [SMALL_STATE(1544)] = 51485,
  [SMALL_STATE(1545)] = 51492,
  [SMALL_STATE(1546)] = 51499,
  [SMALL_STATE(1547)] = 51506,
  [SMALL_STATE(1548)] = 51513,
  [SMALL_STATE(1549)] = 51520,
  [SMALL_STATE(1550)] = 51527,
  [SMALL_STATE(1551)] = 51534,
  [SMALL_STATE(1552)] = 51541,
  [SMALL_STATE(1553)] = 51548,
  [SMALL_STATE(1554)] = 51555,
  [SMALL_STATE(1555)] = 51562,
  [SMALL_STATE(1556)] = 51569,
  [SMALL_STATE(1557)] = 51576,
  [SMALL_STATE(1558)] = 51583,
  [SMALL_STATE(1559)] = 51590,
  [SMALL_STATE(1560)] = 51597,
  [SMALL_STATE(1561)] = 51604,
  [SMALL_STATE(1562)] = 51611,
  [SMALL_STATE(1563)] = 51618,
  [SMALL_STATE(1564)] = 51625,
  [SMALL_STATE(1565)] = 51632,
  [SMALL_STATE(1566)] = 51639,
  [SMALL_STATE(1567)] = 51646,
  [SMALL_STATE(1568)] = 51653,
  [SMALL_STATE(1569)] = 51660,
  [SMALL_STATE(1570)] = 51667,
  [SMALL_STATE(1571)] = 51674,
  [SMALL_STATE(1572)] = 51681,
  [SMALL_STATE(1573)] = 51688,
  [SMALL_STATE(1574)] = 51695,
  [SMALL_STATE(1575)] = 51702,
  [SMALL_STATE(1576)] = 51709,
  [SMALL_STATE(1577)] = 51716,
  [SMALL_STATE(1578)] = 51723,
  [SMALL_STATE(1579)] = 51730,
  [SMALL_STATE(1580)] = 51737,
  [SMALL_STATE(1581)] = 51744,
  [SMALL_STATE(1582)] = 51751,
  [SMALL_STATE(1583)] = 51758,
  [SMALL_STATE(1584)] = 51765,
  [SMALL_STATE(1585)] = 51772,
  [SMALL_STATE(1586)] = 51779,
  [SMALL_STATE(1587)] = 51786,
  [SMALL_STATE(1588)] = 51793,
  [SMALL_STATE(1589)] = 51800,
  [SMALL_STATE(1590)] = 51807,
  [SMALL_STATE(1591)] = 51814,
  [SMALL_STATE(1592)] = 51821,
  [SMALL_STATE(1593)] = 51828,
  [SMALL_STATE(1594)] = 51835,
  [SMALL_STATE(1595)] = 51842,
  [SMALL_STATE(1596)] = 51849,
  [SMALL_STATE(1597)] = 51856,
  [SMALL_STATE(1598)] = 51863,
  [SMALL_STATE(1599)] = 51870,
  [SMALL_STATE(1600)] = 51877,
  [SMALL_STATE(1601)] = 51884,
  [SMALL_STATE(1602)] = 51891,
  [SMALL_STATE(1603)] = 51898,
  [SMALL_STATE(1604)] = 51905,
  [SMALL_STATE(1605)] = 51912,
  [SMALL_STATE(1606)] = 51919,
  [SMALL_STATE(1607)] = 51926,
  [SMALL_STATE(1608)] = 51933,
  [SMALL_STATE(1609)] = 51940,
  [SMALL_STATE(1610)] = 51947,
  [SMALL_STATE(1611)] = 51954,
  [SMALL_STATE(1612)] = 51961,
  [SMALL_STATE(1613)] = 51968,
  [SMALL_STATE(1614)] = 51975,
  [SMALL_STATE(1615)] = 51982,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(140),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(685),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(451),
  [146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(279),
  [149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2),
  [151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(3),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(500),
  [157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1060),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1055),
  [163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1489),
  [166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1499),
  [169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1325),
  [172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(84),
  [175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(158),
  [178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1497),
  [181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(40),
  [184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1481),
  [187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1476),
  [190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1295),
  [193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1276),
  [196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1463),
  [199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(99),
  [202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(146),
  [205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(314),
  [208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(45),
  [211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(61),
  [214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1451),
  [217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1137),
  [220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1594),
  [223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1139),
  [226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(296),
  [229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1203),
  [232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(140),
  [235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(180),
  [238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(180),
  [241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(182),
  [244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1204),
  [247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1205),
  [250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1074),
  [253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(683),
  [256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(683),
  [259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(685),
  [262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1224),
  [265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(456),
  [268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 4, .production_id = 104),
  [270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, .production_id = 104),
  [272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 3, .production_id = 38),
  [274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 3, .production_id = 38),
  [276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_default, 2),
  [278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_default, 2),
  [280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_case, 3, .production_id = 62),
  [282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, .production_id = 62),
  [284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2),
  [288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 1),
  [340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_expression, 1),
  [348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(135),
  [364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(46),
  [408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(489),
  [454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 2),
  [512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 2),
  [514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 2),
  [516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 2),
  [518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 2),
  [520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2),
  [532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2),
  [534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 91),
  [536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 5, .production_id = 91),
  [538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 91),
  [540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 91),
  [542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 79),
  [546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 79),
  [548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, .production_id = 79),
  [550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, .production_id = 79),
  [552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 74),
  [556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 74),
  [558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 74),
  [560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 74),
  [562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, .production_id = 72),
  [566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, .production_id = 72),
  [568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 96),
  [570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 96),
  [572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 5, .production_id = 96),
  [574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 5, .production_id = 96),
  [576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 3),
  [580] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 3),
  [582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement_block, 4),
  [586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement_block, 4),
  [588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 37),
  [590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 37),
  [592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 37),
  [594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 37),
  [596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 82),
  [600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 82),
  [602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 82),
  [604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 82),
  [606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 102),
  [610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 102),
  [612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 6, .production_id = 102),
  [614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 6, .production_id = 102),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 91),
  [620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 91),
  [622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 5, .production_id = 91),
  [624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 5, .production_id = 91),
  [626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(463),
  [630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1), REDUCE(aux_sym_array_pattern_repeat1, 1),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(830),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 1),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 4),
  [778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 4), SHIFT(26),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1, .production_id = 1),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(983),
  [814] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym__property_name, 1, .production_id = 4), SHIFT(87),
  [818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(252),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(87),
  [846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 2, .production_id = 6),
  [854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 2, .production_id = 6),
  [856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1528),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(170),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2, .production_id = 19),
  [891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1),
  [894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(256),
  [897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(127),
  [900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 27),
  [904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 27),
  [906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_rest_pattern, 2, .production_id = 19),
  [909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 23),
  [911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 23),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 2, .production_id = 6),
  [921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 2, .production_id = 6),
  [923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 107),
  [929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 107),
  [931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 79),
  [937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 79),
  [939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 4, .production_id = 64),
  [941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 4, .production_id = 64),
  [943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_statement, 3, .production_id = 25),
  [945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_statement, 3, .production_id = 25),
  [947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 3, .production_id = 20),
  [949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 3, .production_id = 20),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 81),
  [959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 81),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 37),
  [965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 37),
  [967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1),
  [969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1),
  [971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 3, .production_id = 22),
  [977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 3, .production_id = 22),
  [979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 3),
  [981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 3),
  [983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 65),
  [985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 65),
  [987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, .production_id = 6),
  [989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, .production_id = 6),
  [991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 2, .production_id = 3),
  [993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 2, .production_id = 3),
  [995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 24),
  [997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 24),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 26),
  [1001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 26),
  [1003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 106),
  [1005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 106),
  [1007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 28),
  [1009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 28),
  [1011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 3, .production_id = 29),
  [1013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 3, .production_id = 29),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, .production_id = 30),
  [1017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, .production_id = 30),
  [1019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, .production_id = 30),
  [1021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, .production_id = 30),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [1025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [1027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3),
  [1029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3),
  [1031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 96),
  [1033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 96),
  [1035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 91),
  [1037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 6, .production_id = 91),
  [1039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 91),
  [1041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 91),
  [1043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 102),
  [1045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function_declaration, 7, .production_id = 102),
  [1047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 3),
  [1049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 3),
  [1051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_body, 2),
  [1053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_body, 2),
  [1055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [1057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [1059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 63),
  [1061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 63),
  [1063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lexical_declaration, 4, .production_id = 22),
  [1065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lexical_declaration, 4, .production_id = 22),
  [1067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4),
  [1069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4),
  [1071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_debugger_statement, 2),
  [1073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_debugger_statement, 2),
  [1075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [1077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [1079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 4, .production_id = 54),
  [1081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_statement, 4, .production_id = 54),
  [1083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [1085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [1087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 100),
  [1089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 100),
  [1091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 86),
  [1093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 86),
  [1095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 74),
  [1097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 74),
  [1099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 57),
  [1101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 57),
  [1103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 54),
  [1105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 54),
  [1107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 4, .production_id = 55),
  [1109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 4, .production_id = 55),
  [1111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3),
  [1113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3),
  [1115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 52),
  [1117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 52),
  [1119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 5, .production_id = 95),
  [1121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 5, .production_id = 95),
  [1123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 82),
  [1125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 82),
  [1127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_statement, 3, .production_id = 13),
  [1129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_export_statement, 3, .production_id = 13),
  [1131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 14),
  [1133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .dynamic_precedence = -1, .production_id = 14),
  [1135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1),
  [1137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1),
  [1139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1, .production_id = 4),
  [1142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [1144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__augmented_assignment_lhs, 1),
  [1148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 44),
  [1150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 44),
  [1152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 5, .production_id = 93),
  [1154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 5, .production_id = 93),
  [1156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 45),
  [1158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 45),
  [1160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 46),
  [1162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 46),
  [1164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_member_expression, 3, .production_id = 47),
  [1166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_member_expression, 3, .production_id = 47),
  [1168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [1170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [1172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [1174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, .production_id = 80),
  [1176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, .production_id = 80),
  [1178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [1180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 99),
  [1186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, .production_id = 99),
  [1188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 5, .production_id = 98),
  [1190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 5, .production_id = 98),
  [1192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest_pattern, 2),
  [1194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 7, .production_id = 109),
  [1200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 7, .production_id = 109),
  [1202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [1204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [1206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(176),
  [1209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_pattern, 1, .dynamic_precedence = -1),
  [1212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(193),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__for_header, 6, .production_id = 105),
  [1219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_header, 6, .production_id = 105),
  [1221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(121),
  [1224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_rest_pattern, 2),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1557),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [1239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import, 1),
  [1241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 1),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [1247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [1249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 8),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [1261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await_expression, 2),
  [1263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await_expression, 2),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [1267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [1269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 8),
  [1271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, .production_id = 7),
  [1273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, .production_id = 7),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [1277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 17),
  [1279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 17),
  [1281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 3, .production_id = 17), REDUCE(sym_object_pattern, 3, .production_id = 18),
  [1284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_pattern, 3, .production_id = 18),
  [1286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [1288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [1291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [1293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [1295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2),
  [1300] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .dynamic_precedence = 1, .production_id = 40),
  [1302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .dynamic_precedence = 1, .production_id = 40),
  [1304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 5, .production_id = 66),
  [1306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 5, .production_id = 66),
  [1308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [1310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [1312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [1314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [1316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [1318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 3),
  [1324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 3),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 5, .production_id = 90),
  [1328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 5, .production_id = 90),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [1332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 92),
  [1334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [1336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [1340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [1350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [1352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [1354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [1358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(243),
  [1360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [1366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 4),
  [1368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 4),
  [1370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 43),
  [1372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_closing_element, 4, .production_id = 94),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_closing_element, 4, .production_id = 94),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 43),
  [1378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_fragment, 6),
  [1380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_fragment, 6),
  [1382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 2),
  [1386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 3, .production_id = 49),
  [1388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 3, .production_id = 49),
  [1390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 3, .production_id = 50),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 3, .production_id = 50),
  [1394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment_expression, 3, .production_id = 43),
  [1396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 51),
  [1398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 51),
  [1400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 53),
  [1402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 53),
  [1404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4, .production_id = 17),
  [1406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4, .production_id = 17),
  [1408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 4),
  [1410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 4),
  [1412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 6),
  [1414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 6),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_expression, 3),
  [1418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4),
  [1422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_self_closing_element, 4, .production_id = 31),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_self_closing_element, 4, .production_id = 31),
  [1426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 2),
  [1428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 2),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_meta_property, 3),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_meta_property, 3),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 4, .production_id = 68),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 4, .production_id = 68),
  [1442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, .production_id = 41),
  [1446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 77),
  [1448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [1450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [1452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [1454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_fragment, 5),
  [1456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_fragment, 5),
  [1458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 41),
  [1460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 4, .production_id = 83),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 4, .production_id = 83),
  [1464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_string, 2),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_string, 2),
  [1468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object, 3),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object, 3),
  [1472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arguments, 3),
  [1474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arguments, 3),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 42),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 42),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_regex, 3, .production_id = 33),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_regex, 3, .production_id = 33),
  [1484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 3, .production_id = 39),
  [1488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 3, .production_id = 39),
  [1490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_function, 4, .production_id = 76),
  [1496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_function, 4, .production_id = 76),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 78),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 78),
  [1502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 48),
  [1504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 48),
  [1506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 3, .production_id = 38),
  [1508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 3, .production_id = 38),
  [1510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 3, .production_id = 16),
  [1512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 9),
  [1514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 9),
  [1516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 10),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 10),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_closing_tag, 1),
  [1522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_closing_tag, 1),
  [1524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 75),
  [1526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arrow_function, 4, .production_id = 75),
  [1528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_template, 2, .production_id = 11),
  [1530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_glimmer_template, 2, .production_id = 11),
  [1532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_element, 2, .production_id = 11),
  [1534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_element, 2, .production_id = 11),
  [1536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function, 4, .production_id = 76),
  [1538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function, 4, .production_id = 76),
  [1540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 4, .production_id = 77),
  [1542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 15),
  [1544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arrow_function, 3, .production_id = 16),
  [1546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [1548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [1550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [1552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [1554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [1556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [1558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [1560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [1562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [1564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(246),
  [1566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [1568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [1570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(244),
  [1574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [1576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [1578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_pattern, 3, .production_id = 41),
  [1580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [1582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [1586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [1588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [1592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [1594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [1596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [1598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [1606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [1608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [1614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_element, 2),
  [1618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__initializer, 2, .production_id = 62),
  [1620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 62), SHIFT(260),
  [1623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 41), REDUCE(sym_assignment_expression, 3, .production_id = 41),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 41),
  [1628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 58), REDUCE(sym_assignment_expression, 3, .production_id = 41),
  [1631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 58),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [1635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_assignment_pattern, 3, .production_id = 58), REDUCE(sym_assignment_expression, 3, .production_id = 15),
  [1638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3, .production_id = 18),
  [1640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 2),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [1646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2),
  [1648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [1650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_array, 2), REDUCE(sym_array_pattern, 2),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [1659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 3, .production_id = 17), REDUCE(sym_object_pattern, 3, .production_id = 18),
  [1662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_object, 2), REDUCE(sym_object_pattern, 2),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [1673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [1683] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_array, 3), REDUCE(sym_computed_property_name, 3),
  [1686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_computed_property_name, 3),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [1690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [1692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [1698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [1700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [1702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [1706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [1714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [1716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [1722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [1724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [1728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [1732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__property_name, 1),
  [1735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [1749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 59),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [1787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [1809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_heritage, 2),
  [1811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__initializer, 2, .production_id = 62), SHIFT(221),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [1818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [1822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [1826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [1830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [1834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [1836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [1838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [1842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [1844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [1850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [1854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [1856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [1858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [1862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [1864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [1866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [1868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(895),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [1874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [1876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [1878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [1886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [1896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1), REDUCE(aux_sym_object_pattern_repeat1, 1),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(904),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 73), SHIFT_REPEAT(1147),
  [1936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 73), SHIFT_REPEAT(977),
  [1939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 73),
  [1941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 73), SHIFT_REPEAT(233),
  [1944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 73), SHIFT_REPEAT(1451),
  [1947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 73), SHIFT_REPEAT(906),
  [1950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 73), SHIFT_REPEAT(1213),
  [1953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 73), SHIFT_REPEAT(1215),
  [1956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 73), SHIFT_REPEAT(1069),
  [1959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 73), SHIFT_REPEAT(1224),
  [1962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 73), SHIFT_REPEAT(913),
  [1965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 73), SHIFT_REPEAT(917),
  [1968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [1972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [1982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 1),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [1986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 1),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [1992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [2000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [2002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__property_name, 1, .production_id = 4),
  [2004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [2006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [2012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 17), REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 18),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [2025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [2029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1113),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [2067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [2069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2, .production_id = 17),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [2077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [2081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [2083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [2089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator, 2),
  [2091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 2),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [2097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 7, .production_id = 108),
  [2099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, .production_id = 108),
  [2101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, .production_id = 60),
  [2103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, .production_id = 60),
  [2105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 103),
  [2107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 103),
  [2109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 85),
  [2111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 85),
  [2113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 6, .production_id = 102),
  [2115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, .production_id = 102),
  [2117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 97),
  [2119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 97),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [2123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, .production_id = 91),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, .production_id = 91),
  [2127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, .production_id = 79),
  [2129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, .production_id = 79),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [2133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 44),
  [2135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_member_expression, 3, .production_id = 44),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [2139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [2145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 35),
  [2149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 35),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [2153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 12),
  [2155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 12),
  [2157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 2, .production_id = 12), SHIFT_REPEAT(1224),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [2162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 35),
  [2164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 2, .production_id = 35),
  [2166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [2170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [2172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [2176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [2178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [2180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [2182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [2184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 34),
  [2186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_repeat1, 1, .production_id = 34),
  [2188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [2190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_statement_repeat1, 1, .production_id = 2),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [2196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [2198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 10),
  [2200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator_call_expression, 2, .production_id = 10),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [2204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [2208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [2212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [2214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [2218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [2220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [2222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [2230] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [2232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [2234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [2236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1096),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [2256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [2258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [2260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [2262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [2264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [2266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [2268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(92),
  [2271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(1131),
  [2274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_element_repeat1, 2), SHIFT_REPEAT(1019),
  [2277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 67), SHIFT_REPEAT(1045),
  [2280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 67), SHIFT_REPEAT(94),
  [2283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 67),
  [2285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 67),
  [2287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 2, .production_id = 67), SHIFT_REPEAT(1045),
  [2290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [2292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [2294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [2296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [2298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [2300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [2302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [2306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [2308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [2310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [2312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [2314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1549),
  [2316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [2318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [2320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [2322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [2324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [2326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [2328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [2330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [2332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [2334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [2336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [2338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [2340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 3),
  [2342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1, .production_id = 4),
  [2344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1, .production_id = 4),
  [2346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [2348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3),
  [2350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [2356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4, .production_id = 18),
  [2358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, .production_id = 5),
  [2360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [2362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_pattern, 4),
  [2366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [2368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [2370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, .production_id = 88),
  [2372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(1065),
  [2375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2),
  [2377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_string_repeat1, 2), SHIFT_REPEAT(123),
  [2380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [2384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [2388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [2390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, .production_id = 69),
  [2392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 1, .production_id = 36),
  [2394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [2396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, .production_id = 71),
  [2398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [2406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(1611),
  [2409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2),
  [2411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_body_repeat1, 2), SHIFT_REPEAT(130),
  [2414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 1),
  [2416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 1),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [2420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [2422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [2424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [2426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nested_identifier, 3),
  [2428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_identifier, 3),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [2432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [2434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [2446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [2454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_namespace_name, 3),
  [2456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_namespace_name, 3),
  [2458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [2460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [2462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [2466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [2468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [2474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [2476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 2),
  [2478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 2),
  [2480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3),
  [2482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3),
  [2484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_attribute, 3, .production_id = 4),
  [2486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_attribute, 3, .production_id = 4),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [2490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [2492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [2494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [2496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 2, .production_id = 21),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [2510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [2516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_expression, 3),
  [2518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_jsx_expression, 3),
  [2520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(176),
  [2523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [2527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .dynamic_precedence = -1), SHIFT(193),
  [2530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [2534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [2536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, .production_id = 32),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_jsx_opening_element_repeat1, 1, .production_id = 32),
  [2540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [2542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [2546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [2550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [2554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [2556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [2558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [2562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [2564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [2568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [2572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [2574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2), SHIFT_REPEAT(1042),
  [2577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variable_declaration_repeat1, 2),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1306),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [2593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [2633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [2635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [2643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(89),
  [2646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [2648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [2650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [2652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [2654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [2656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [2658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_substitution, 3),
  [2660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [2662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [2670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2),
  [2672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(1188),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_repeat2, 2),
  [2679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat2, 2), SHIFT_REPEAT(1190),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [2690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [2696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [2702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2, .production_id = 18),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [2708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [2710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [2732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [2738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [2740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 4, .dynamic_precedence = -1, .production_id = 66),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [2744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2), SHIFT_REPEAT(1374),
  [2747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [2757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_export_specifier, 1, .production_id = 5),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [2781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3, .production_id = 56),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [2785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 3),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [2789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 2),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [2797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2), SHIFT_REPEAT(1250),
  [2800] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_glimmer_template_repeat1, 2),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [2804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [2806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(95),
  [2809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair_pattern, 3, .production_id = 59),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [2815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2), SHIFT_REPEAT(882),
  [2818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_repeat1, 2),
  [2820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2), SHIFT_REPEAT(881),
  [2823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_pattern_repeat1, 2),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [2849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_jsx_opening_element, 3, .dynamic_precedence = -1, .production_id = 31),
  [2851] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2), SHIFT_REPEAT(83),
  [2854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_pattern_repeat1, 2),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [2866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [2888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 5, .production_id = 56),
  [2890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_export_clause, 4, .production_id = 56),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [2896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2), SHIFT_REPEAT(1496),
  [2899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [2919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [2923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_export_specifier, 3, .production_id = 84),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [2927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [2933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_export_clause_repeat1, 2, .production_id = 56),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [2939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [2945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 1),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [2949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 2, .production_id = 70),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [2963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__from_clause, 2, .production_id = 20),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [2967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_named_imports_repeat1, 2, .production_id = 61),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [2981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 4, .production_id = 101),
  [2983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [2989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_glimmer_opening_tag, 1),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [3001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [3005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, .production_id = 87),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [3009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_definition, 3, .production_id = 89),
  [3011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(748),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [3031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 4, .production_id = 61),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [3049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [3051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 5, .production_id = 61),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [3055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 2),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [3081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [3083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [3085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [3089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [3095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [3097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [3107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [3115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_import_export, 3),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [3125] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [3137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [3145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [3165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [3167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3),
  [3169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_imports, 3, .production_id = 61),
  [3171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_clause, 3),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_javascript_external_scanner_create(void);
void tree_sitter_javascript_external_scanner_destroy(void *);
bool tree_sitter_javascript_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_javascript_external_scanner_serialize(void *, char *);
void tree_sitter_javascript_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_javascript(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_javascript_external_scanner_create,
      tree_sitter_javascript_external_scanner_destroy,
      tree_sitter_javascript_external_scanner_scan,
      tree_sitter_javascript_external_scanner_serialize,
      tree_sitter_javascript_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
