#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 13
#define STATE_COUNT 2130
#define LARGE_STATE_COUNT 157
#define SYMBOL_COUNT 241
#define ALIAS_COUNT 2
#define TOKEN_COUNT 105
#define EXTERNAL_TOKEN_COUNT 10
#define FIELD_COUNT 29
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 120

enum {
  sym_identifier = 1,
  anon_sym_SEMI = 2,
  anon_sym_import = 3,
  anon_sym_DOT = 4,
  anon_sym_from = 5,
  anon_sym___future__ = 6,
  anon_sym_LPAREN = 7,
  anon_sym_RPAREN = 8,
  anon_sym_COMMA = 9,
  anon_sym_as = 10,
  anon_sym_STAR = 11,
  anon_sym_print = 12,
  anon_sym_GT_GT = 13,
  anon_sym_assert = 14,
  anon_sym_COLON_EQ = 15,
  anon_sym_match = 16,
  anon_sym_return = 17,
  anon_sym_del = 18,
  anon_sym_raise = 19,
  anon_sym_pass = 20,
  anon_sym_break = 21,
  anon_sym_continue = 22,
  anon_sym_if = 23,
  anon_sym_COLON = 24,
  anon_sym_elif = 25,
  anon_sym_else = 26,
  anon_sym_case = 27,
  anon_sym_async = 28,
  anon_sym_for = 29,
  anon_sym_in = 30,
  anon_sym_while = 31,
  anon_sym_try = 32,
  anon_sym_except = 33,
  anon_sym_finally = 34,
  anon_sym_with = 35,
  anon_sym_def = 36,
  anon_sym_DASH_GT = 37,
  anon_sym_STAR_STAR = 38,
  anon_sym_global = 39,
  anon_sym_nonlocal = 40,
  anon_sym_exec = 41,
  anon_sym_class = 42,
  anon_sym_AT = 43,
  anon_sym_LBRACK = 44,
  anon_sym_RBRACK = 45,
  anon_sym_EQ = 46,
  anon_sym_not = 47,
  anon_sym_and = 48,
  anon_sym_or = 49,
  anon_sym_PLUS = 50,
  anon_sym_DASH = 51,
  anon_sym_SLASH = 52,
  anon_sym_PERCENT = 53,
  anon_sym_SLASH_SLASH = 54,
  anon_sym_PIPE = 55,
  anon_sym_AMP = 56,
  anon_sym_CARET = 57,
  anon_sym_LT_LT = 58,
  anon_sym_TILDE = 59,
  anon_sym_LT = 60,
  anon_sym_LT_EQ = 61,
  anon_sym_EQ_EQ = 62,
  anon_sym_BANG_EQ = 63,
  anon_sym_GT_EQ = 64,
  anon_sym_GT = 65,
  anon_sym_LT_GT = 66,
  anon_sym_is = 67,
  anon_sym_lambda = 68,
  anon_sym_PLUS_EQ = 69,
  anon_sym_DASH_EQ = 70,
  anon_sym_STAR_EQ = 71,
  anon_sym_SLASH_EQ = 72,
  anon_sym_AT_EQ = 73,
  anon_sym_SLASH_SLASH_EQ = 74,
  anon_sym_PERCENT_EQ = 75,
  anon_sym_STAR_STAR_EQ = 76,
  anon_sym_GT_GT_EQ = 77,
  anon_sym_LT_LT_EQ = 78,
  anon_sym_AMP_EQ = 79,
  anon_sym_CARET_EQ = 80,
  anon_sym_PIPE_EQ = 81,
  anon_sym_yield = 82,
  sym_ellipsis = 83,
  anon_sym_LBRACE = 84,
  anon_sym_RBRACE = 85,
  anon_sym_LBRACE_LBRACE = 86,
  anon_sym_RBRACE_RBRACE = 87,
  sym_escape_sequence = 88,
  sym__not_escape_sequence = 89,
  aux_sym_format_specifier_token1 = 90,
  sym_type_conversion = 91,
  sym_integer = 92,
  sym_float = 93,
  anon_sym_await = 94,
  sym_true = 95,
  sym_false = 96,
  sym_none = 97,
  sym_comment = 98,
  sym__newline = 99,
  sym__indent = 100,
  sym__dedent = 101,
  sym__string_start = 102,
  sym__string_content = 103,
  sym__string_end = 104,
  sym_module = 105,
  sym__statement = 106,
  sym__simple_statements = 107,
  sym_import_statement = 108,
  sym_import_prefix = 109,
  sym_relative_import = 110,
  sym_future_import_statement = 111,
  sym_import_from_statement = 112,
  sym__import_list = 113,
  sym_aliased_import = 114,
  sym_wildcard_import = 115,
  sym_print_statement = 116,
  sym_chevron = 117,
  sym_assert_statement = 118,
  sym_expression_statement = 119,
  sym_named_expression = 120,
  sym__named_expresssion_lhs = 121,
  sym_return_statement = 122,
  sym_delete_statement = 123,
  sym_raise_statement = 124,
  sym_pass_statement = 125,
  sym_break_statement = 126,
  sym_continue_statement = 127,
  sym_if_statement = 128,
  sym_elif_clause = 129,
  sym_else_clause = 130,
  sym_match_statement = 131,
  sym_case_clause = 132,
  sym_for_statement = 133,
  sym_while_statement = 134,
  sym_try_statement = 135,
  sym_except_clause = 136,
  sym_finally_clause = 137,
  sym_with_statement = 138,
  sym_with_clause = 139,
  sym_with_item = 140,
  sym_function_definition = 141,
  sym_parameters = 142,
  sym_lambda_parameters = 143,
  sym_list_splat = 144,
  sym_dictionary_splat = 145,
  sym_global_statement = 146,
  sym_nonlocal_statement = 147,
  sym_exec_statement = 148,
  sym_class_definition = 149,
  sym_parenthesized_list_splat = 150,
  sym_argument_list = 151,
  sym_decorated_definition = 152,
  sym_decorator = 153,
  sym_block = 154,
  sym_expression_list = 155,
  sym_dotted_name = 156,
  sym__parameters = 157,
  sym__patterns = 158,
  sym_parameter = 159,
  sym_pattern = 160,
  sym_tuple_pattern = 161,
  sym_list_pattern = 162,
  sym_default_parameter = 163,
  sym_typed_default_parameter = 164,
  sym_list_splat_pattern = 165,
  sym_dictionary_splat_pattern = 166,
  sym_as_pattern = 167,
  sym__expression_within_for_in_clause = 168,
  sym_expression = 169,
  sym_primary_expression = 170,
  sym_not_operator = 171,
  sym_boolean_operator = 172,
  sym_binary_operator = 173,
  sym_unary_operator = 174,
  sym_comparison_operator = 175,
  sym_lambda = 176,
  sym_lambda_within_for_in_clause = 177,
  sym_assignment = 178,
  sym_augmented_assignment = 179,
  sym_pattern_list = 180,
  sym__right_hand_side = 181,
  sym_yield = 182,
  sym_attribute = 183,
  sym_subscript = 184,
  sym_slice = 185,
  sym_call = 186,
  sym_typed_parameter = 187,
  sym_type = 188,
  sym_keyword_argument = 189,
  sym_list = 190,
  sym_set = 191,
  sym_tuple = 192,
  sym_dictionary = 193,
  sym_pair = 194,
  sym_list_comprehension = 195,
  sym_dictionary_comprehension = 196,
  sym_set_comprehension = 197,
  sym_generator_expression = 198,
  sym__comprehension_clauses = 199,
  sym_parenthesized_expression = 200,
  sym__collection_elements = 201,
  sym_for_in_clause = 202,
  sym_if_clause = 203,
  sym_conditional_expression = 204,
  sym_concatenated_string = 205,
  sym_string = 206,
  sym_interpolation = 207,
  sym__escape_interpolation = 208,
  sym_format_specifier = 209,
  sym_format_expression = 210,
  sym_await = 211,
  sym_positional_separator = 212,
  sym_keyword_separator = 213,
  aux_sym_module_repeat1 = 214,
  aux_sym__simple_statements_repeat1 = 215,
  aux_sym_import_prefix_repeat1 = 216,
  aux_sym__import_list_repeat1 = 217,
  aux_sym_print_statement_repeat1 = 218,
  aux_sym_assert_statement_repeat1 = 219,
  aux_sym_if_statement_repeat1 = 220,
  aux_sym_match_statement_repeat1 = 221,
  aux_sym_match_statement_repeat2 = 222,
  aux_sym_case_clause_repeat1 = 223,
  aux_sym_try_statement_repeat1 = 224,
  aux_sym_with_clause_repeat1 = 225,
  aux_sym_global_statement_repeat1 = 226,
  aux_sym_argument_list_repeat1 = 227,
  aux_sym_decorated_definition_repeat1 = 228,
  aux_sym_dotted_name_repeat1 = 229,
  aux_sym__parameters_repeat1 = 230,
  aux_sym__patterns_repeat1 = 231,
  aux_sym_comparison_operator_repeat1 = 232,
  aux_sym_subscript_repeat1 = 233,
  aux_sym_dictionary_repeat1 = 234,
  aux_sym__comprehension_clauses_repeat1 = 235,
  aux_sym__collection_elements_repeat1 = 236,
  aux_sym_for_in_clause_repeat1 = 237,
  aux_sym_concatenated_string_repeat1 = 238,
  aux_sym_string_repeat1 = 239,
  aux_sym_format_specifier_repeat1 = 240,
  alias_sym_as_pattern_target = 241,
  alias_sym_case_pattern = 242,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_SEMI] = ";",
  [anon_sym_import] = "import",
  [anon_sym_DOT] = ".",
  [anon_sym_from] = "from",
  [anon_sym___future__] = "__future__",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [anon_sym_as] = "as",
  [anon_sym_STAR] = "*",
  [anon_sym_print] = "print",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_assert] = "assert",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_match] = "match",
  [anon_sym_return] = "return",
  [anon_sym_del] = "del",
  [anon_sym_raise] = "raise",
  [anon_sym_pass] = "pass",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_if] = "if",
  [anon_sym_COLON] = ":",
  [anon_sym_elif] = "elif",
  [anon_sym_else] = "else",
  [anon_sym_case] = "case",
  [anon_sym_async] = "async",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_while] = "while",
  [anon_sym_try] = "try",
  [anon_sym_except] = "except",
  [anon_sym_finally] = "finally",
  [anon_sym_with] = "with",
  [anon_sym_def] = "def",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_global] = "global",
  [anon_sym_nonlocal] = "nonlocal",
  [anon_sym_exec] = "exec",
  [anon_sym_class] = "class",
  [anon_sym_AT] = "@",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_not] = "not",
  [anon_sym_and] = "and",
  [anon_sym_or] = "or",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_SLASH_SLASH] = "//",
  [anon_sym_PIPE] = "|",
  [anon_sym_AMP] = "&",
  [anon_sym_CARET] = "^",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_TILDE] = "~",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_GT] = ">",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_is] = "is",
  [anon_sym_lambda] = "lambda",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AT_EQ] = "@=",
  [anon_sym_SLASH_SLASH_EQ] = "//=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_STAR_STAR_EQ] = "**=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_yield] = "yield",
  [sym_ellipsis] = "ellipsis",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_LBRACE_LBRACE] = "{{",
  [anon_sym_RBRACE_RBRACE] = "}}",
  [sym_escape_sequence] = "escape_sequence",
  [sym__not_escape_sequence] = "_not_escape_sequence",
  [aux_sym_format_specifier_token1] = "format_specifier_token1",
  [sym_type_conversion] = "type_conversion",
  [sym_integer] = "integer",
  [sym_float] = "float",
  [anon_sym_await] = "await",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_none] = "none",
  [sym_comment] = "comment",
  [sym__newline] = "_newline",
  [sym__indent] = "_indent",
  [sym__dedent] = "_dedent",
  [sym__string_start] = "\"",
  [sym__string_content] = "_string_content",
  [sym__string_end] = "\"",
  [sym_module] = "module",
  [sym__statement] = "_statement",
  [sym__simple_statements] = "_simple_statements",
  [sym_import_statement] = "import_statement",
  [sym_import_prefix] = "import_prefix",
  [sym_relative_import] = "relative_import",
  [sym_future_import_statement] = "future_import_statement",
  [sym_import_from_statement] = "import_from_statement",
  [sym__import_list] = "_import_list",
  [sym_aliased_import] = "aliased_import",
  [sym_wildcard_import] = "wildcard_import",
  [sym_print_statement] = "print_statement",
  [sym_chevron] = "chevron",
  [sym_assert_statement] = "assert_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_named_expression] = "named_expression",
  [sym__named_expresssion_lhs] = "_named_expresssion_lhs",
  [sym_return_statement] = "return_statement",
  [sym_delete_statement] = "delete_statement",
  [sym_raise_statement] = "raise_statement",
  [sym_pass_statement] = "pass_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_if_statement] = "if_statement",
  [sym_elif_clause] = "elif_clause",
  [sym_else_clause] = "else_clause",
  [sym_match_statement] = "match_statement",
  [sym_case_clause] = "case_clause",
  [sym_for_statement] = "for_statement",
  [sym_while_statement] = "while_statement",
  [sym_try_statement] = "try_statement",
  [sym_except_clause] = "except_clause",
  [sym_finally_clause] = "finally_clause",
  [sym_with_statement] = "with_statement",
  [sym_with_clause] = "with_clause",
  [sym_with_item] = "with_item",
  [sym_function_definition] = "function_definition",
  [sym_parameters] = "parameters",
  [sym_lambda_parameters] = "lambda_parameters",
  [sym_list_splat] = "list_splat",
  [sym_dictionary_splat] = "dictionary_splat",
  [sym_global_statement] = "global_statement",
  [sym_nonlocal_statement] = "nonlocal_statement",
  [sym_exec_statement] = "exec_statement",
  [sym_class_definition] = "class_definition",
  [sym_parenthesized_list_splat] = "parenthesized_list_splat",
  [sym_argument_list] = "argument_list",
  [sym_decorated_definition] = "decorated_definition",
  [sym_decorator] = "decorator",
  [sym_block] = "block",
  [sym_expression_list] = "expression_list",
  [sym_dotted_name] = "dotted_name",
  [sym__parameters] = "_parameters",
  [sym__patterns] = "_patterns",
  [sym_parameter] = "parameter",
  [sym_pattern] = "pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_default_parameter] = "default_parameter",
  [sym_typed_default_parameter] = "typed_default_parameter",
  [sym_list_splat_pattern] = "list_splat_pattern",
  [sym_dictionary_splat_pattern] = "dictionary_splat_pattern",
  [sym_as_pattern] = "as_pattern",
  [sym__expression_within_for_in_clause] = "_expression_within_for_in_clause",
  [sym_expression] = "expression",
  [sym_primary_expression] = "primary_expression",
  [sym_not_operator] = "not_operator",
  [sym_boolean_operator] = "boolean_operator",
  [sym_binary_operator] = "binary_operator",
  [sym_unary_operator] = "unary_operator",
  [sym_comparison_operator] = "comparison_operator",
  [sym_lambda] = "lambda",
  [sym_lambda_within_for_in_clause] = "lambda",
  [sym_assignment] = "assignment",
  [sym_augmented_assignment] = "augmented_assignment",
  [sym_pattern_list] = "pattern_list",
  [sym__right_hand_side] = "_right_hand_side",
  [sym_yield] = "yield",
  [sym_attribute] = "attribute",
  [sym_subscript] = "subscript",
  [sym_slice] = "slice",
  [sym_call] = "call",
  [sym_typed_parameter] = "typed_parameter",
  [sym_type] = "type",
  [sym_keyword_argument] = "keyword_argument",
  [sym_list] = "list",
  [sym_set] = "set",
  [sym_tuple] = "tuple",
  [sym_dictionary] = "dictionary",
  [sym_pair] = "pair",
  [sym_list_comprehension] = "list_comprehension",
  [sym_dictionary_comprehension] = "dictionary_comprehension",
  [sym_set_comprehension] = "set_comprehension",
  [sym_generator_expression] = "generator_expression",
  [sym__comprehension_clauses] = "_comprehension_clauses",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__collection_elements] = "_collection_elements",
  [sym_for_in_clause] = "for_in_clause",
  [sym_if_clause] = "if_clause",
  [sym_conditional_expression] = "conditional_expression",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string] = "string",
  [sym_interpolation] = "interpolation",
  [sym__escape_interpolation] = "_escape_interpolation",
  [sym_format_specifier] = "format_specifier",
  [sym_format_expression] = "format_expression",
  [sym_await] = "await",
  [sym_positional_separator] = "positional_separator",
  [sym_keyword_separator] = "keyword_separator",
  [aux_sym_module_repeat1] = "module_repeat1",
  [aux_sym__simple_statements_repeat1] = "_simple_statements_repeat1",
  [aux_sym_import_prefix_repeat1] = "import_prefix_repeat1",
  [aux_sym__import_list_repeat1] = "_import_list_repeat1",
  [aux_sym_print_statement_repeat1] = "print_statement_repeat1",
  [aux_sym_assert_statement_repeat1] = "assert_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_match_statement_repeat1] = "match_statement_repeat1",
  [aux_sym_match_statement_repeat2] = "match_statement_repeat2",
  [aux_sym_case_clause_repeat1] = "case_clause_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_with_clause_repeat1] = "with_clause_repeat1",
  [aux_sym_global_statement_repeat1] = "global_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_decorated_definition_repeat1] = "decorated_definition_repeat1",
  [aux_sym_dotted_name_repeat1] = "dotted_name_repeat1",
  [aux_sym__parameters_repeat1] = "_parameters_repeat1",
  [aux_sym__patterns_repeat1] = "_patterns_repeat1",
  [aux_sym_comparison_operator_repeat1] = "comparison_operator_repeat1",
  [aux_sym_subscript_repeat1] = "subscript_repeat1",
  [aux_sym_dictionary_repeat1] = "dictionary_repeat1",
  [aux_sym__comprehension_clauses_repeat1] = "_comprehension_clauses_repeat1",
  [aux_sym__collection_elements_repeat1] = "_collection_elements_repeat1",
  [aux_sym_for_in_clause_repeat1] = "for_in_clause_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_repeat1] = "string_repeat1",
  [aux_sym_format_specifier_repeat1] = "format_specifier_repeat1",
  [alias_sym_as_pattern_target] = "as_pattern_target",
  [alias_sym_case_pattern] = "case_pattern",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_from] = anon_sym_from,
  [anon_sym___future__] = anon_sym___future__,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_print] = anon_sym_print,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_del] = anon_sym_del,
  [anon_sym_raise] = anon_sym_raise,
  [anon_sym_pass] = anon_sym_pass,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_elif] = anon_sym_elif,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_async] = anon_sym_async,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_except] = anon_sym_except,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_global] = anon_sym_global,
  [anon_sym_nonlocal] = anon_sym_nonlocal,
  [anon_sym_exec] = anon_sym_exec,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_SLASH_SLASH] = anon_sym_SLASH_SLASH,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_is] = anon_sym_is,
  [anon_sym_lambda] = anon_sym_lambda,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_AT_EQ] = anon_sym_AT_EQ,
  [anon_sym_SLASH_SLASH_EQ] = anon_sym_SLASH_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_STAR_STAR_EQ] = anon_sym_STAR_STAR_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_yield] = anon_sym_yield,
  [sym_ellipsis] = sym_ellipsis,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_LBRACE_LBRACE] = anon_sym_LBRACE_LBRACE,
  [anon_sym_RBRACE_RBRACE] = anon_sym_RBRACE_RBRACE,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym__not_escape_sequence] = sym__not_escape_sequence,
  [aux_sym_format_specifier_token1] = aux_sym_format_specifier_token1,
  [sym_type_conversion] = sym_type_conversion,
  [sym_integer] = sym_integer,
  [sym_float] = sym_float,
  [anon_sym_await] = anon_sym_await,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_none] = sym_none,
  [sym_comment] = sym_comment,
  [sym__newline] = sym__newline,
  [sym__indent] = sym__indent,
  [sym__dedent] = sym__dedent,
  [sym__string_start] = sym__string_start,
  [sym__string_content] = sym__string_content,
  [sym__string_end] = sym__string_start,
  [sym_module] = sym_module,
  [sym__statement] = sym__statement,
  [sym__simple_statements] = sym__simple_statements,
  [sym_import_statement] = sym_import_statement,
  [sym_import_prefix] = sym_import_prefix,
  [sym_relative_import] = sym_relative_import,
  [sym_future_import_statement] = sym_future_import_statement,
  [sym_import_from_statement] = sym_import_from_statement,
  [sym__import_list] = sym__import_list,
  [sym_aliased_import] = sym_aliased_import,
  [sym_wildcard_import] = sym_wildcard_import,
  [sym_print_statement] = sym_print_statement,
  [sym_chevron] = sym_chevron,
  [sym_assert_statement] = sym_assert_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_named_expression] = sym_named_expression,
  [sym__named_expresssion_lhs] = sym__named_expresssion_lhs,
  [sym_return_statement] = sym_return_statement,
  [sym_delete_statement] = sym_delete_statement,
  [sym_raise_statement] = sym_raise_statement,
  [sym_pass_statement] = sym_pass_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_elif_clause] = sym_elif_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_match_statement] = sym_match_statement,
  [sym_case_clause] = sym_case_clause,
  [sym_for_statement] = sym_for_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_except_clause] = sym_except_clause,
  [sym_finally_clause] = sym_finally_clause,
  [sym_with_statement] = sym_with_statement,
  [sym_with_clause] = sym_with_clause,
  [sym_with_item] = sym_with_item,
  [sym_function_definition] = sym_function_definition,
  [sym_parameters] = sym_parameters,
  [sym_lambda_parameters] = sym_lambda_parameters,
  [sym_list_splat] = sym_list_splat,
  [sym_dictionary_splat] = sym_dictionary_splat,
  [sym_global_statement] = sym_global_statement,
  [sym_nonlocal_statement] = sym_nonlocal_statement,
  [sym_exec_statement] = sym_exec_statement,
  [sym_class_definition] = sym_class_definition,
  [sym_parenthesized_list_splat] = sym_parenthesized_list_splat,
  [sym_argument_list] = sym_argument_list,
  [sym_decorated_definition] = sym_decorated_definition,
  [sym_decorator] = sym_decorator,
  [sym_block] = sym_block,
  [sym_expression_list] = sym_expression_list,
  [sym_dotted_name] = sym_dotted_name,
  [sym__parameters] = sym__parameters,
  [sym__patterns] = sym__patterns,
  [sym_parameter] = sym_parameter,
  [sym_pattern] = sym_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_default_parameter] = sym_default_parameter,
  [sym_typed_default_parameter] = sym_typed_default_parameter,
  [sym_list_splat_pattern] = sym_list_splat_pattern,
  [sym_dictionary_splat_pattern] = sym_dictionary_splat_pattern,
  [sym_as_pattern] = sym_as_pattern,
  [sym__expression_within_for_in_clause] = sym__expression_within_for_in_clause,
  [sym_expression] = sym_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_not_operator] = sym_not_operator,
  [sym_boolean_operator] = sym_boolean_operator,
  [sym_binary_operator] = sym_binary_operator,
  [sym_unary_operator] = sym_unary_operator,
  [sym_comparison_operator] = sym_comparison_operator,
  [sym_lambda] = sym_lambda,
  [sym_lambda_within_for_in_clause] = sym_lambda,
  [sym_assignment] = sym_assignment,
  [sym_augmented_assignment] = sym_augmented_assignment,
  [sym_pattern_list] = sym_pattern_list,
  [sym__right_hand_side] = sym__right_hand_side,
  [sym_yield] = sym_yield,
  [sym_attribute] = sym_attribute,
  [sym_subscript] = sym_subscript,
  [sym_slice] = sym_slice,
  [sym_call] = sym_call,
  [sym_typed_parameter] = sym_typed_parameter,
  [sym_type] = sym_type,
  [sym_keyword_argument] = sym_keyword_argument,
  [sym_list] = sym_list,
  [sym_set] = sym_set,
  [sym_tuple] = sym_tuple,
  [sym_dictionary] = sym_dictionary,
  [sym_pair] = sym_pair,
  [sym_list_comprehension] = sym_list_comprehension,
  [sym_dictionary_comprehension] = sym_dictionary_comprehension,
  [sym_set_comprehension] = sym_set_comprehension,
  [sym_generator_expression] = sym_generator_expression,
  [sym__comprehension_clauses] = sym__comprehension_clauses,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__collection_elements] = sym__collection_elements,
  [sym_for_in_clause] = sym_for_in_clause,
  [sym_if_clause] = sym_if_clause,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string] = sym_string,
  [sym_interpolation] = sym_interpolation,
  [sym__escape_interpolation] = sym__escape_interpolation,
  [sym_format_specifier] = sym_format_specifier,
  [sym_format_expression] = sym_format_expression,
  [sym_await] = sym_await,
  [sym_positional_separator] = sym_positional_separator,
  [sym_keyword_separator] = sym_keyword_separator,
  [aux_sym_module_repeat1] = aux_sym_module_repeat1,
  [aux_sym__simple_statements_repeat1] = aux_sym__simple_statements_repeat1,
  [aux_sym_import_prefix_repeat1] = aux_sym_import_prefix_repeat1,
  [aux_sym__import_list_repeat1] = aux_sym__import_list_repeat1,
  [aux_sym_print_statement_repeat1] = aux_sym_print_statement_repeat1,
  [aux_sym_assert_statement_repeat1] = aux_sym_assert_statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_match_statement_repeat1] = aux_sym_match_statement_repeat1,
  [aux_sym_match_statement_repeat2] = aux_sym_match_statement_repeat2,
  [aux_sym_case_clause_repeat1] = aux_sym_case_clause_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_with_clause_repeat1] = aux_sym_with_clause_repeat1,
  [aux_sym_global_statement_repeat1] = aux_sym_global_statement_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_decorated_definition_repeat1] = aux_sym_decorated_definition_repeat1,
  [aux_sym_dotted_name_repeat1] = aux_sym_dotted_name_repeat1,
  [aux_sym__parameters_repeat1] = aux_sym__parameters_repeat1,
  [aux_sym__patterns_repeat1] = aux_sym__patterns_repeat1,
  [aux_sym_comparison_operator_repeat1] = aux_sym_comparison_operator_repeat1,
  [aux_sym_subscript_repeat1] = aux_sym_subscript_repeat1,
  [aux_sym_dictionary_repeat1] = aux_sym_dictionary_repeat1,
  [aux_sym__comprehension_clauses_repeat1] = aux_sym__comprehension_clauses_repeat1,
  [aux_sym__collection_elements_repeat1] = aux_sym__collection_elements_repeat1,
  [aux_sym_for_in_clause_repeat1] = aux_sym_for_in_clause_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_repeat1] = aux_sym_string_repeat1,
  [aux_sym_format_specifier_repeat1] = aux_sym_format_specifier_repeat1,
  [alias_sym_as_pattern_target] = alias_sym_as_pattern_target,
  [alias_sym_case_pattern] = alias_sym_case_pattern,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_from] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___future__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_print] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_del] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_raise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_pass] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_async] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonlocal] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lambda] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [sym_ellipsis] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym__not_escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_format_specifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_type_conversion] = {
    .visible = true,
    .named = true,
  },
  [sym_integer] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_await] = {
    .visible = true,
    .named = false,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_none] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__newline] = {
    .visible = false,
    .named = true,
  },
  [sym__indent] = {
    .visible = false,
    .named = true,
  },
  [sym__dedent] = {
    .visible = false,
    .named = true,
  },
  [sym__string_start] = {
    .visible = true,
    .named = false,
  },
  [sym__string_content] = {
    .visible = false,
    .named = true,
  },
  [sym__string_end] = {
    .visible = true,
    .named = false,
  },
  [sym_module] = {
    .visible = true,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_statements] = {
    .visible = false,
    .named = true,
  },
  [sym_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_prefix] = {
    .visible = true,
    .named = true,
  },
  [sym_relative_import] = {
    .visible = true,
    .named = true,
  },
  [sym_future_import_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_import_from_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__import_list] = {
    .visible = false,
    .named = true,
  },
  [sym_aliased_import] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard_import] = {
    .visible = true,
    .named = true,
  },
  [sym_print_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_chevron] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_named_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__named_expresssion_lhs] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_raise_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_pass_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_elif_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_match_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_with_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_with_item] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_global_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_nonlocal_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_exec_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_list_splat] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_decorated_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_decorator] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_dotted_name] = {
    .visible = true,
    .named = true,
  },
  [sym__parameters] = {
    .visible = false,
    .named = true,
  },
  [sym__patterns] = {
    .visible = false,
    .named = true,
  },
  [sym_parameter] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_default_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_list_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_splat_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_as_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_within_for_in_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_not_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_comparison_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_within_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_augmented_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern_list] = {
    .visible = true,
    .named = true,
  },
  [sym__right_hand_side] = {
    .visible = false,
    .named = true,
  },
  [sym_yield] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_slice] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_set] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary] = {
    .visible = true,
    .named = true,
  },
  [sym_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_list_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_dictionary_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_set_comprehension] = {
    .visible = true,
    .named = true,
  },
  [sym_generator_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__comprehension_clauses] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__collection_elements] = {
    .visible = false,
    .named = true,
  },
  [sym_for_in_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_if_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__escape_interpolation] = {
    .visible = false,
    .named = true,
  },
  [sym_format_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_format_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_await] = {
    .visible = true,
    .named = true,
  },
  [sym_positional_separator] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_separator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_module_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__simple_statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_import_prefix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__import_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_print_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_assert_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_match_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_with_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_decorated_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dotted_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__patterns_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_comparison_operator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dictionary_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__comprehension_clauses_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__collection_elements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_in_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_format_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_as_pattern_target] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_case_pattern] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alias = 1,
  field_alternative = 2,
  field_argument = 3,
  field_arguments = 4,
  field_attribute = 5,
  field_body = 6,
  field_cause = 7,
  field_code = 8,
  field_condition = 9,
  field_consequence = 10,
  field_definition = 11,
  field_function = 12,
  field_guard = 13,
  field_key = 14,
  field_left = 15,
  field_module_name = 16,
  field_name = 17,
  field_object = 18,
  field_operator = 19,
  field_operators = 20,
  field_parameters = 21,
  field_pattern = 22,
  field_return_type = 23,
  field_right = 24,
  field_subject = 25,
  field_subscript = 26,
  field_superclasses = 27,
  field_type = 28,
  field_value = 29,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_attribute] = "attribute",
  [field_body] = "body",
  [field_cause] = "cause",
  [field_code] = "code",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_definition] = "definition",
  [field_function] = "function",
  [field_guard] = "guard",
  [field_key] = "key",
  [field_left] = "left",
  [field_module_name] = "module_name",
  [field_name] = "name",
  [field_object] = "object",
  [field_operator] = "operator",
  [field_operators] = "operators",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_return_type] = "return_type",
  [field_right] = "right",
  [field_subject] = "subject",
  [field_subscript] = "subscript",
  [field_superclasses] = "superclasses",
  [field_type] = "type",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [5] = {.index = 2, .length = 1},
  [6] = {.index = 3, .length = 1},
  [7] = {.index = 4, .length = 1},
  [8] = {.index = 5, .length = 2},
  [9] = {.index = 7, .length = 2},
  [10] = {.index = 9, .length = 1},
  [11] = {.index = 10, .length = 1},
  [12] = {.index = 11, .length = 2},
  [13] = {.index = 13, .length = 1},
  [14] = {.index = 14, .length = 2},
  [15] = {.index = 16, .length = 1},
  [16] = {.index = 17, .length = 1},
  [17] = {.index = 18, .length = 1},
  [18] = {.index = 19, .length = 2},
  [19] = {.index = 21, .length = 2},
  [20] = {.index = 23, .length = 2},
  [21] = {.index = 25, .length = 3},
  [22] = {.index = 28, .length = 1},
  [23] = {.index = 29, .length = 2},
  [24] = {.index = 31, .length = 1},
  [25] = {.index = 32, .length = 2},
  [26] = {.index = 34, .length = 1},
  [27] = {.index = 35, .length = 2},
  [28] = {.index = 37, .length = 2},
  [29] = {.index = 39, .length = 1},
  [30] = {.index = 40, .length = 2},
  [31] = {.index = 42, .length = 1},
  [33] = {.index = 43, .length = 1},
  [34] = {.index = 44, .length = 2},
  [35] = {.index = 46, .length = 1},
  [36] = {.index = 47, .length = 2},
  [37] = {.index = 49, .length = 2},
  [38] = {.index = 51, .length = 2},
  [39] = {.index = 53, .length = 1},
  [40] = {.index = 54, .length = 2},
  [41] = {.index = 56, .length = 2},
  [42] = {.index = 18, .length = 1},
  [43] = {.index = 58, .length = 1},
  [44] = {.index = 59, .length = 2},
  [45] = {.index = 61, .length = 1},
  [46] = {.index = 62, .length = 2},
  [47] = {.index = 64, .length = 2},
  [48] = {.index = 66, .length = 2},
  [49] = {.index = 68, .length = 2},
  [50] = {.index = 70, .length = 2},
  [51] = {.index = 72, .length = 2},
  [52] = {.index = 74, .length = 3},
  [53] = {.index = 77, .length = 3},
  [54] = {.index = 80, .length = 3},
  [55] = {.index = 83, .length = 3},
  [56] = {.index = 86, .length = 1},
  [57] = {.index = 87, .length = 3},
  [58] = {.index = 90, .length = 3},
  [59] = {.index = 93, .length = 2},
  [60] = {.index = 95, .length = 2},
  [61] = {.index = 97, .length = 3},
  [62] = {.index = 100, .length = 3},
  [63] = {.index = 103, .length = 3},
  [64] = {.index = 106, .length = 3},
  [65] = {.index = 19, .length = 2},
  [66] = {.index = 109, .length = 1},
  [67] = {.index = 110, .length = 3},
  [68] = {.index = 113, .length = 2},
  [69] = {.index = 115, .length = 1},
  [70] = {.index = 116, .length = 2},
  [71] = {.index = 118, .length = 2},
  [72] = {.index = 120, .length = 3},
  [73] = {.index = 123, .length = 4},
  [74] = {.index = 127, .length = 4},
  [75] = {.index = 131, .length = 4},
  [76] = {.index = 135, .length = 2},
  [77] = {.index = 137, .length = 3},
  [78] = {.index = 140, .length = 3},
  [79] = {.index = 143, .length = 4},
  [81] = {.index = 147, .length = 4},
  [82] = {.index = 151, .length = 4},
  [83] = {.index = 155, .length = 3},
  [84] = {.index = 158, .length = 2},
  [85] = {.index = 160, .length = 3},
  [86] = {.index = 163, .length = 1},
  [87] = {.index = 164, .length = 2},
  [88] = {.index = 166, .length = 2},
  [89] = {.index = 168, .length = 5},
  [90] = {.index = 173, .length = 3},
  [91] = {.index = 176, .length = 4},
  [92] = {.index = 180, .length = 4},
  [93] = {.index = 184, .length = 4},
  [95] = {.index = 188, .length = 4},
  [96] = {.index = 192, .length = 3},
  [97] = {.index = 195, .length = 2},
  [98] = {.index = 197, .length = 3},
  [99] = {.index = 200, .length = 3},
  [100] = {.index = 203, .length = 3},
  [101] = {.index = 206, .length = 4},
  [102] = {.index = 210, .length = 4},
  [103] = {.index = 214, .length = 4},
  [104] = {.index = 218, .length = 5},
  [105] = {.index = 223, .length = 5},
  [106] = {.index = 228, .length = 3},
  [107] = {.index = 231, .length = 3},
  [108] = {.index = 234, .length = 4},
  [109] = {.index = 238, .length = 3},
  [110] = {.index = 241, .length = 4},
  [111] = {.index = 245, .length = 4},
  [112] = {.index = 249, .length = 5},
  [113] = {.index = 254, .length = 5},
  [115] = {.index = 259, .length = 4},
  [116] = {.index = 263, .length = 4},
  [117] = {.index = 267, .length = 4},
  [118] = {.index = 271, .length = 5},
  [119] = {.index = 276, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 1, .inherited = true},
  [1] =
    {field_name, 0},
  [2] =
    {field_argument, 1},
  [3] =
    {field_value, 0},
  [4] =
    {field_code, 1},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_arguments, 1},
    {field_function, 0},
  [9] =
    {field_operators, 1, .inherited = true},
  [10] =
    {field_definition, 1},
  [11] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
  [13] =
    {field_argument, 2, .inherited = true},
  [14] =
    {field_argument, 1},
    {field_argument, 2, .inherited = true},
  [16] =
    {field_subject, 1},
  [17] =
    {field_cause, 2},
  [18] =
    {field_body, 2},
  [19] =
    {field_name, 0},
    {field_value, 2},
  [21] =
    {field_left, 0},
    {field_type, 2},
  [23] =
    {field_left, 0},
    {field_right, 2},
  [25] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [28] =
    {field_alias, 2},
  [29] =
    {field_attribute, 2},
    {field_object, 0},
  [31] =
    {field_operators, 0},
  [32] =
    {field_operators, 0, .inherited = true},
    {field_operators, 1, .inherited = true},
  [34] =
    {field_name, 1},
  [35] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [37] =
    {field_alias, 2},
    {field_name, 0},
  [39] =
    {field_name, 3, .inherited = true},
  [40] =
    {field_module_name, 1},
    {field_name, 3, .inherited = true},
  [42] =
    {field_module_name, 1},
  [43] =
    {field_body, 1},
  [44] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [46] =
    {field_alternative, 0},
  [47] =
    {field_alternative, 3, .inherited = true},
    {field_subject, 1},
  [49] =
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [51] =
    {field_subject, 0, .inherited = true},
    {field_subject, 1, .inherited = true},
  [53] =
    {field_cause, 3},
  [54] =
    {field_condition, 1},
    {field_consequence, 3},
  [56] =
    {field_body, 3},
    {field_condition, 1},
  [58] =
    {field_body, 3},
  [59] =
    {field_body, 3},
    {field_name, 1},
  [61] =
    {field_type, 2},
  [62] =
    {field_body, 3},
    {field_parameters, 1},
  [64] =
    {field_key, 0},
    {field_value, 2},
  [66] =
    {field_subscript, 2},
    {field_value, 0},
  [68] =
    {field_operators, 0},
    {field_operators, 1},
  [70] =
    {field_alternative, 4, .inherited = true},
    {field_subject, 1},
  [72] =
    {field_alternative, 0, .inherited = true},
    {field_alternative, 1, .inherited = true},
  [74] =
    {field_alternative, 4, .inherited = true},
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [77] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 3},
  [80] =
    {field_alternative, 4, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
  [83] =
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [86] =
    {field_body, 4},
  [87] =
    {field_alternative, 4},
    {field_body, 3},
    {field_condition, 1},
  [90] =
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [93] =
    {field_body, 2},
    {field_body, 3},
  [95] =
    {field_body, 3},
    {field_body, 4},
  [97] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 2},
  [100] =
    {field_body, 3},
    {field_body, 4},
    {field_name, 1},
  [103] =
    {field_body, 4},
    {field_name, 1},
    {field_superclasses, 2},
  [106] =
    {field_left, 0},
    {field_right, 4},
    {field_type, 2},
  [109] =
    {field_subscript, 1},
  [110] =
    {field_subscript, 2},
    {field_subscript, 3, .inherited = true},
    {field_value, 0},
  [113] =
    {field_subscript, 0, .inherited = true},
    {field_subscript, 1, .inherited = true},
  [115] =
    {field_name, 4, .inherited = true},
  [116] =
    {field_module_name, 1},
    {field_name, 4, .inherited = true},
  [118] =
    {field_left, 1},
    {field_right, 3},
  [120] =
    {field_alternative, 5, .inherited = true},
    {field_subject, 1},
    {field_subject, 2, .inherited = true},
  [123] =
    {field_alternative, 4, .inherited = true},
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
  [127] =
    {field_alternative, 5},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [131] =
    {field_alternative, 5, .inherited = true},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [135] =
    {field_body, 4},
    {field_body, 5},
  [137] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 3},
  [140] =
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [143] =
    {field_alternative, 5},
    {field_body, 3},
    {field_body, 4},
    {field_condition, 1},
  [147] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_parameters, 2},
  [151] =
    {field_body, 4},
    {field_body, 5},
    {field_name, 1},
    {field_superclasses, 2},
  [155] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 4},
  [158] =
    {field_left, 2},
    {field_right, 4},
  [160] =
    {field_left, 1},
    {field_right, 3},
    {field_right, 4},
  [163] =
    {field_pattern, 1},
  [164] =
    {field_consequence, 3},
    {field_pattern, 1},
  [166] =
    {field_pattern, 0, .inherited = true},
    {field_pattern, 1, .inherited = true},
  [168] =
    {field_alternative, 5, .inherited = true},
    {field_alternative, 6},
    {field_condition, 1},
    {field_consequence, 3},
    {field_consequence, 4},
  [173] =
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [176] =
    {field_body, 5},
    {field_body, 6},
    {field_name, 2},
    {field_parameters, 3},
  [180] =
    {field_alternative, 6},
    {field_body, 5},
    {field_left, 1},
    {field_right, 3},
  [184] =
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [188] =
    {field_body, 6},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [192] =
    {field_left, 2},
    {field_right, 4},
    {field_right, 5},
  [195] =
    {field_consequence, 4},
    {field_pattern, 1},
  [197] =
    {field_consequence, 3},
    {field_consequence, 4},
    {field_pattern, 1},
  [200] =
    {field_consequence, 4},
    {field_guard, 2},
    {field_pattern, 1},
  [203] =
    {field_consequence, 4},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [206] =
    {field_alternative, 7},
    {field_body, 6},
    {field_left, 2},
    {field_right, 4},
  [210] =
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [214] =
    {field_body, 7},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [218] =
    {field_alternative, 7},
    {field_body, 5},
    {field_body, 6},
    {field_left, 1},
    {field_right, 3},
  [223] =
    {field_body, 6},
    {field_body, 7},
    {field_name, 1},
    {field_parameters, 2},
    {field_return_type, 4},
  [228] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_pattern, 1},
  [231] =
    {field_consequence, 5},
    {field_guard, 3},
    {field_pattern, 1},
  [234] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_guard, 2},
    {field_pattern, 1},
  [238] =
    {field_consequence, 5},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [241] =
    {field_consequence, 4},
    {field_consequence, 5},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [245] =
    {field_consequence, 5},
    {field_guard, 3},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [249] =
    {field_alternative, 8},
    {field_body, 6},
    {field_body, 7},
    {field_left, 2},
    {field_right, 4},
  [254] =
    {field_body, 7},
    {field_body, 8},
    {field_name, 2},
    {field_parameters, 3},
    {field_return_type, 5},
  [259] =
    {field_consequence, 5},
    {field_consequence, 6},
    {field_guard, 3},
    {field_pattern, 1},
  [263] =
    {field_consequence, 5},
    {field_consequence, 6},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [267] =
    {field_consequence, 6},
    {field_guard, 4},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [271] =
    {field_consequence, 5},
    {field_consequence, 6},
    {field_guard, 3},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
  [276] =
    {field_consequence, 6},
    {field_consequence, 7},
    {field_guard, 4},
    {field_pattern, 1},
    {field_pattern, 2, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [4] = {
    [1] = sym_identifier,
  },
  [22] = {
    [2] = alias_sym_as_pattern_target,
  },
  [32] = {
    [1] = sym_parenthesized_expression,
  },
  [40] = {
    [3] = sym_block,
  },
  [41] = {
    [3] = sym_block,
  },
  [42] = {
    [2] = sym_block,
  },
  [43] = {
    [3] = sym_block,
  },
  [44] = {
    [3] = sym_block,
  },
  [53] = {
    [3] = sym_block,
  },
  [54] = {
    [3] = sym_block,
  },
  [56] = {
    [4] = sym_block,
  },
  [57] = {
    [3] = sym_block,
  },
  [61] = {
    [4] = sym_block,
  },
  [63] = {
    [4] = sym_block,
  },
  [65] = {
    [0] = sym_identifier,
  },
  [73] = {
    [3] = sym_block,
  },
  [77] = {
    [5] = sym_block,
  },
  [78] = {
    [5] = sym_block,
  },
  [80] = {
    [2] = sym_block,
  },
  [86] = {
    [1] = alias_sym_case_pattern,
  },
  [87] = {
    [1] = alias_sym_case_pattern,
    [3] = sym_block,
  },
  [90] = {
    [6] = sym_block,
  },
  [92] = {
    [5] = sym_block,
  },
  [94] = {
    [3] = sym_block,
  },
  [95] = {
    [6] = sym_block,
  },
  [97] = {
    [1] = alias_sym_case_pattern,
    [4] = sym_block,
  },
  [98] = {
    [1] = alias_sym_case_pattern,
  },
  [99] = {
    [1] = alias_sym_case_pattern,
    [4] = sym_block,
  },
  [100] = {
    [1] = alias_sym_case_pattern,
    [4] = sym_block,
  },
  [101] = {
    [6] = sym_block,
  },
  [103] = {
    [7] = sym_block,
  },
  [106] = {
    [1] = alias_sym_case_pattern,
  },
  [107] = {
    [1] = alias_sym_case_pattern,
    [5] = sym_block,
  },
  [108] = {
    [1] = alias_sym_case_pattern,
  },
  [109] = {
    [1] = alias_sym_case_pattern,
    [5] = sym_block,
  },
  [110] = {
    [1] = alias_sym_case_pattern,
  },
  [111] = {
    [1] = alias_sym_case_pattern,
    [5] = sym_block,
  },
  [114] = {
    [5] = sym_block,
  },
  [115] = {
    [1] = alias_sym_case_pattern,
  },
  [116] = {
    [1] = alias_sym_case_pattern,
  },
  [117] = {
    [1] = alias_sym_case_pattern,
    [6] = sym_block,
  },
  [118] = {
    [1] = alias_sym_case_pattern,
  },
  [119] = {
    [1] = alias_sym_case_pattern,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__simple_statements, 2,
    sym__simple_statements,
    sym_block,
  sym_parenthesized_list_splat, 2,
    sym_parenthesized_list_splat,
    sym_parenthesized_expression,
  sym_list_splat_pattern, 2,
    sym_list_splat_pattern,
    alias_sym_case_pattern,
  sym_expression, 3,
    sym_expression,
    alias_sym_as_pattern_target,
    alias_sym_case_pattern,
  0,
};

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 43514
    ? (c < 4193
      ? (c < 2707
        ? (c < 1994
          ? (c < 931
            ? (c < 748
              ? (c < 192
                ? (c < 170
                  ? (c < 'a'
                    ? (c >= 'A' && c <= '_')
                    : c <= 'z')
                  : (c <= 170 || (c < 186
                    ? c == 181
                    : c <= 186)))
                : (c <= 214 || (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))))
              : (c <= 748 || (c < 895
                ? (c < 886
                  ? (c < 880
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c >= 891 && c <= 893)))
                : (c <= 895 || (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c >= 910 && c <= 929)))))))
            : (c <= 1013 || (c < 1649
              ? (c < 1376
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))
              : (c <= 1747 || (c < 1791
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))))))
          : (c <= 2026 || (c < 2482
            ? (c < 2208
              ? (c < 2088
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || (c < 2084
                    ? c == 2074
                    : c <= 2084)))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))
              : (c <= 2249 || (c < 2417
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))))
            : (c <= 2482 || (c < 2579
              ? (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))
              : (c <= 2600 || (c < 2649
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))
                : (c <= 2652 || (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c >= 2703 && c <= 2705)))))))))))
        : (c <= 2728 || (c < 3242
          ? (c < 2962
            ? (c < 2858
              ? (c < 2784
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2768
                    ? c == 2749
                    : c <= 2768)))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))
              : (c <= 2864 || (c < 2911
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))))))
            : (c <= 2965 || (c < 3090
              ? (c < 2984
                ? (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c >= 2979 && c <= 2980)))
                : (c <= 2986 || (c < 3077
                  ? (c < 3024
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3024)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))
              : (c <= 3112 || (c < 3168
                ? (c < 3160
                  ? (c < 3133
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3133)
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3214
                  ? (c < 3205
                    ? c == 3200
                    : c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))))))))
          : (c <= 3251 || (c < 3648
            ? (c < 3412
              ? (c < 3332
                ? (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3389
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3386)
                  : (c <= 3389 || c == 3406))))
              : (c <= 3414 || (c < 3507
                ? (c < 3461
                  ? (c < 3450
                    ? (c >= 3423 && c <= 3425)
                    : c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3585
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3632 || c == 3634))))))
            : (c <= 3654 || (c < 3782
              ? (c < 3749
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c >= 3724 && c <= 3747)))
                : (c <= 3749 || (c < 3773
                  ? (c < 3762
                    ? (c >= 3751 && c <= 3760)
                    : c <= 3762)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))
              : (c <= 3782 || (c < 3976
                ? (c < 3904
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3911 || (c >= 3913 && c <= 3948)))
                : (c <= 3980 || (c < 4176
                  ? (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)
                  : (c <= 4181 || (c >= 4186 && c <= 4189)))))))))))))
      : (c <= 4193 || (c < 8134
        ? (c < 6176
          ? (c < 4808
            ? (c < 4688
              ? (c < 4295
                ? (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || (c < 4256
                    ? c == 4238
                    : c <= 4293)))
                : (c <= 4295 || (c < 4348
                  ? (c < 4304
                    ? c == 4301
                    : c <= 4346)
                  : (c <= 4680 || (c >= 4682 && c <= 4685)))))
              : (c <= 4694 || (c < 4752
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c >= 4802 && c <= 4805)))))))
            : (c <= 4822 || (c < 5792
              ? (c < 5024
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))))
              : (c <= 5866 || (c < 5984
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || c == 6108))))))))
          : (c <= 6264 || (c < 7312
            ? (c < 6823
              ? (c < 6512
                ? (c < 6320
                  ? (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)))
                : (c <= 6516 || (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))))
              : (c <= 6823 || (c < 7098
                ? (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))
                : (c <= 7141 || (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))))))
            : (c <= 7354 || (c < 8008
              ? (c < 7418
                ? (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))
                : (c <= 7418 || (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))))
              : (c <= 8013 || (c < 8031
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))))))))))
        : (c <= 8140 || (c < 12337
          ? (c < 8544
            ? (c < 8458
              ? (c < 8305
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8305 || (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))))
              : (c <= 8467 || (c < 8488
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || c == 8526))))))
            : (c <= 8584 || (c < 11680
              ? (c < 11559
                ? (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))))
              : (c <= 11686 || (c < 11720
                ? (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))
                : (c <= 11726 || (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c >= 12321 && c <= 12329)))))))))
          : (c <= 12341 || (c < 42891
            ? (c < 19968
              ? (c < 12549
                ? (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)))
                : (c <= 12591 || (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))))
              : (c <= 42124 || (c < 42560
                ? (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))))))
            : (c <= 42954 || (c < 43250
              ? (c < 43011
                ? (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))
                : (c <= 43013 || (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))))
              : (c <= 43255 || (c < 43360
                ? (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c >= 43494 && c <= 43503)))))))))))))))
    : (c <= 43518 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43868
            ? (c < 43714
              ? (c < 43646
                ? (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)))
                : (c <= 43695 || (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))))
              : (c <= 43714 || (c < 43785
                ? (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))))))
            : (c <= 43881 || (c < 64287
              ? (c < 63744
                ? (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2748
        ? (c < 2045
          ? (c < 1015
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c < 'A'
                    ? (c >= '0' && c <= '9')
                    : c <= 'Z')
                  : (c <= '_' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 192
                  ? (c < 186
                    ? c == 183
                    : c <= 186)
                  : (c <= 214 || (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)))))
              : (c <= 721 || (c < 891
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)))
                : (c <= 893 || (c < 908
                  ? (c < 902
                    ? c == 895
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))))))
            : (c <= 1153 || (c < 1519
              ? (c < 1425
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)
                  : (c <= 1366 || (c < 1376
                    ? c == 1369
                    : c <= 1416)))
                : (c <= 1469 || (c < 1476
                  ? (c < 1473
                    ? c == 1471
                    : c <= 1474)
                  : (c <= 1477 || (c < 1488
                    ? c == 1479
                    : c <= 1514)))))
              : (c <= 1522 || (c < 1770
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)
                  : (c <= 1747 || (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)))
                : (c <= 1788 || (c < 1869
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1866)
                  : (c <= 1969 || (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)))))))))
          : (c <= 2045 || (c < 2558
            ? (c < 2451
              ? (c < 2200
                ? (c < 2144
                  ? (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)
                  : (c <= 2154 || (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)))
                : (c <= 2273 || (c < 2417
                  ? (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)
                  : (c <= 2435 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))))
              : (c <= 2472 || (c < 2507
                ? (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)))
                : (c <= 2510 || (c < 2527
                  ? (c < 2524
                    ? c == 2519
                    : c <= 2525)
                  : (c <= 2531 || (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)))))))
            : (c <= 2558 || (c < 2635
              ? (c < 2610
                ? (c < 2575
                  ? (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)
                  : (c <= 2576 || (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)))
                : (c <= 2611 || (c < 2620
                  ? (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)
                  : (c <= 2620 || (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)))))
              : (c <= 2637 || (c < 2693
                ? (c < 2654
                  ? (c < 2649
                    ? c == 2641
                    : c <= 2652)
                  : (c <= 2654 || (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)))
                : (c <= 2701 || (c < 2730
                  ? (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)
                  : (c <= 2736 || (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)))))))))))
        : (c <= 2757 || (c < 3168
          ? (c < 2958
            ? (c < 2866
              ? (c < 2809
                ? (c < 2768
                  ? (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)
                  : (c <= 2768 || (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)))
                : (c <= 2815 || (c < 2831
                  ? (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)
                  : (c <= 2832 || (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)))))
              : (c <= 2867 || (c < 2908
                ? (c < 2887
                  ? (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)
                  : (c <= 2888 || (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)))
                : (c <= 2909 || (c < 2929
                  ? (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)
                  : (c <= 2929 || (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)))))))
            : (c <= 2960 || (c < 3031
              ? (c < 2984
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)))
                : (c <= 2986 || (c < 3014
                  ? (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)
                  : (c <= 3016 || (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)))))
              : (c <= 3031 || (c < 3132
                ? (c < 3086
                  ? (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)
                  : (c <= 3088 || (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)))
                : (c <= 3140 || (c < 3157
                  ? (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)
                  : (c <= 3158 || (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)))))))))
          : (c <= 3171 || (c < 3450
            ? (c < 3293
              ? (c < 3242
                ? (c < 3205
                  ? (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)
                  : (c <= 3212 || (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)))
                : (c <= 3251 || (c < 3270
                  ? (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)
                  : (c <= 3272 || (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)))))
              : (c <= 3294 || (c < 3346
                ? (c < 3313
                  ? (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)
                  : (c <= 3314 || (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)))
                : (c <= 3396 || (c < 3412
                  ? (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)
                  : (c <= 3415 || (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)))))))
            : (c <= 3455 || (c < 3570
              ? (c < 3520
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)
                  : (c <= 3505 || (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)))
                : (c <= 3526 || (c < 3542
                  ? (c < 3535
                    ? c == 3530
                    : c <= 3540)
                  : (c <= 3542 || (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)))))
              : (c <= 3571 || (c < 3718
                ? (c < 3664
                  ? (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)
                  : (c <= 3673 || (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)))
                : (c <= 3722 || (c < 3751
                  ? (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(44);
      if (lookahead == '!') ADVANCE(18);
      if (lookahead == '#') ADVANCE(119);
      if (lookahead == '%') ADVANCE(66);
      if (lookahead == '&') ADVANCE(69);
      if (lookahead == '(') ADVANCE(48);
      if (lookahead == ')') ADVANCE(49);
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '+') ADVANCE(62);
      if (lookahead == ',') ADVANCE(50);
      if (lookahead == '-') ADVANCE(64);
      if (lookahead == '.') ADVANCE(47);
      if (lookahead == '/') ADVANCE(65);
      if (lookahead == '0') ADVANCE(108);
      if (lookahead == ':') ADVANCE(55);
      if (lookahead == ';') ADVANCE(45);
      if (lookahead == '<') ADVANCE(73);
      if (lookahead == '=') ADVANCE(61);
      if (lookahead == '>') ADVANCE(78);
      if (lookahead == '@') ADVANCE(58);
      if (lookahead == '[') ADVANCE(59);
      if (lookahead == '\\') SKIP(40)
      if (lookahead == ']') ADVANCE(60);
      if (lookahead == '^') ADVANCE(70);
      if (lookahead == '{') ADVANCE(95);
      if (lookahead == '|') ADVANCE(68);
      if (lookahead == '}') ADVANCE(96);
      if (lookahead == '~') ADVANCE(72);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(107);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(118);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(11)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(11)
      if (lookahead == '\r') SKIP(1)
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(13)
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(13)
      if (lookahead == '\r') SKIP(3)
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(100);
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(6)
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == '\\') ADVANCE(102);
      if (lookahead == '{') ADVANCE(94);
      if (lookahead == '}') ADVANCE(96);
      if (lookahead == '\t' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(103);
      if (lookahead != 0) ADVANCE(104);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(14)
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(14)
      if (lookahead == '\r') SKIP(7)
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(12)
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(12)
      if (lookahead == '\r') SKIP(9)
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(18);
      if (lookahead == '#') ADVANCE(119);
      if (lookahead == '%') ADVANCE(66);
      if (lookahead == '&') ADVANCE(69);
      if (lookahead == '(') ADVANCE(48);
      if (lookahead == ')') ADVANCE(49);
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '+') ADVANCE(62);
      if (lookahead == ',') ADVANCE(50);
      if (lookahead == '-') ADVANCE(63);
      if (lookahead == '.') ADVANCE(47);
      if (lookahead == '/') ADVANCE(65);
      if (lookahead == '0') ADVANCE(108);
      if (lookahead == ':') ADVANCE(54);
      if (lookahead == ';') ADVANCE(45);
      if (lookahead == '<') ADVANCE(73);
      if (lookahead == '=') ADVANCE(61);
      if (lookahead == '>') ADVANCE(78);
      if (lookahead == '@') ADVANCE(58);
      if (lookahead == '[') ADVANCE(59);
      if (lookahead == '\\') SKIP(2)
      if (lookahead == ']') ADVANCE(60);
      if (lookahead == '^') ADVANCE(70);
      if (lookahead == '{') ADVANCE(94);
      if (lookahead == '|') ADVANCE(68);
      if (lookahead == '}') ADVANCE(96);
      if (lookahead == '~') ADVANCE(72);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(11)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(107);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(118);
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(18);
      if (lookahead == '#') ADVANCE(119);
      if (lookahead == '%') ADVANCE(66);
      if (lookahead == '&') ADVANCE(69);
      if (lookahead == '(') ADVANCE(48);
      if (lookahead == ')') ADVANCE(49);
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '+') ADVANCE(62);
      if (lookahead == ',') ADVANCE(50);
      if (lookahead == '-') ADVANCE(63);
      if (lookahead == '.') ADVANCE(46);
      if (lookahead == '/') ADVANCE(65);
      if (lookahead == ':') ADVANCE(55);
      if (lookahead == ';') ADVANCE(45);
      if (lookahead == '<') ADVANCE(73);
      if (lookahead == '=') ADVANCE(61);
      if (lookahead == '>') ADVANCE(78);
      if (lookahead == '@') ADVANCE(58);
      if (lookahead == '[') ADVANCE(59);
      if (lookahead == '\\') SKIP(10)
      if (lookahead == ']') ADVANCE(60);
      if (lookahead == '^') ADVANCE(70);
      if (lookahead == '|') ADVANCE(68);
      if (lookahead == '}') ADVANCE(96);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(12)
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(118);
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(18);
      if (lookahead == '#') ADVANCE(119);
      if (lookahead == '%') ADVANCE(66);
      if (lookahead == '&') ADVANCE(69);
      if (lookahead == '(') ADVANCE(48);
      if (lookahead == ')') ADVANCE(49);
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '+') ADVANCE(62);
      if (lookahead == ',') ADVANCE(50);
      if (lookahead == '-') ADVANCE(63);
      if (lookahead == '.') ADVANCE(46);
      if (lookahead == '/') ADVANCE(65);
      if (lookahead == ':') ADVANCE(54);
      if (lookahead == ';') ADVANCE(45);
      if (lookahead == '<') ADVANCE(73);
      if (lookahead == '=') ADVANCE(61);
      if (lookahead == '>') ADVANCE(78);
      if (lookahead == '@') ADVANCE(58);
      if (lookahead == '[') ADVANCE(59);
      if (lookahead == '\\') SKIP(4)
      if (lookahead == ']') ADVANCE(60);
      if (lookahead == '^') ADVANCE(70);
      if (lookahead == '|') ADVANCE(68);
      if (lookahead == '}') ADVANCE(96);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(13)
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(118);
      END_STATE();
    case 14:
      if (lookahead == '#') ADVANCE(119);
      if (lookahead == '-') ADVANCE(19);
      if (lookahead == ':') ADVANCE(54);
      if (lookahead == '\\') SKIP(8)
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(14)
      END_STATE();
    case 15:
      if (lookahead == '#') ADVANCE(119);
      if (lookahead == '\\') ADVANCE(101);
      if (lookahead == '{') ADVANCE(95);
      if (lookahead == '}') ADVANCE(23);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(15)
      END_STATE();
    case 16:
      if (lookahead == '.') ADVANCE(93);
      END_STATE();
    case 17:
      if (lookahead == '=') ADVANCE(76);
      END_STATE();
    case 18:
      if (lookahead == '=') ADVANCE(76);
      if (('a' <= lookahead && lookahead <= 'z')) ADVANCE(105);
      END_STATE();
    case 19:
      if (lookahead == '>') ADVANCE(56);
      END_STATE();
    case 20:
      if (lookahead == '_') ADVANCE(25);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(110);
      END_STATE();
    case 21:
      if (lookahead == '_') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(111);
      END_STATE();
    case 22:
      if (lookahead == '_') ADVANCE(30);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      END_STATE();
    case 23:
      if (lookahead == '}') ADVANCE(98);
      END_STATE();
    case 24:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      END_STATE();
    case 25:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(110);
      END_STATE();
    case 26:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(111);
      END_STATE();
    case 27:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      END_STATE();
    case 28:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(99);
      END_STATE();
    case 29:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(28);
      END_STATE();
    case 30:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      END_STATE();
    case 31:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(99);
      END_STATE();
    case 32:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(31);
      END_STATE();
    case 33:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(32);
      END_STATE();
    case 34:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(33);
      END_STATE();
    case 35:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(34);
      END_STATE();
    case 36:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(35);
      END_STATE();
    case 37:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(36);
      END_STATE();
    case 38:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(37);
      END_STATE();
    case 39:
      if (eof) ADVANCE(44);
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 40:
      if (eof) ADVANCE(44);
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(39)
      END_STATE();
    case 41:
      if (eof) ADVANCE(44);
      if (lookahead == '\n') SKIP(43)
      END_STATE();
    case 42:
      if (eof) ADVANCE(44);
      if (lookahead == '\n') SKIP(43)
      if (lookahead == '\r') SKIP(41)
      END_STATE();
    case 43:
      if (eof) ADVANCE(44);
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '#') ADVANCE(119);
      if (lookahead == '%') ADVANCE(66);
      if (lookahead == '&') ADVANCE(69);
      if (lookahead == '(') ADVANCE(48);
      if (lookahead == ')') ADVANCE(49);
      if (lookahead == '*') ADVANCE(51);
      if (lookahead == '+') ADVANCE(62);
      if (lookahead == ',') ADVANCE(50);
      if (lookahead == '-') ADVANCE(63);
      if (lookahead == '.') ADVANCE(47);
      if (lookahead == '/') ADVANCE(65);
      if (lookahead == '0') ADVANCE(108);
      if (lookahead == ':') ADVANCE(55);
      if (lookahead == ';') ADVANCE(45);
      if (lookahead == '<') ADVANCE(73);
      if (lookahead == '=') ADVANCE(61);
      if (lookahead == '>') ADVANCE(78);
      if (lookahead == '@') ADVANCE(58);
      if (lookahead == '[') ADVANCE(59);
      if (lookahead == '\\') SKIP(42)
      if (lookahead == ']') ADVANCE(60);
      if (lookahead == '^') ADVANCE(70);
      if (lookahead == '{') ADVANCE(94);
      if (lookahead == '|') ADVANCE(68);
      if (lookahead == '}') ADVANCE(96);
      if (lookahead == '~') ADVANCE(72);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(43)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(107);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(118);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(114);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(57);
      if (lookahead == '=') ADVANCE(82);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(88);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '=') ADVANCE(53);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '=') ADVANCE(87);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == '=') ADVANCE(84);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(75);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(80);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(81);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(81);
      if (lookahead == '>') ADVANCE(56);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '/') ADVANCE(67);
      if (lookahead == '=') ADVANCE(83);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(86);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH);
      if (lookahead == '=') ADVANCE(85);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(92);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '=') ADVANCE(90);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(91);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(89);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(71);
      if (lookahead == '=') ADVANCE(74);
      if (lookahead == '>') ADVANCE(79);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(77);
      if (lookahead == '>') ADVANCE(52);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_AT_EQ);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_SLASH_SLASH_EQ);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_EQ);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_ellipsis);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '{') ADVANCE(97);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_LBRACE_LBRACE);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_RBRACE_RBRACE);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(101);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym__not_escape_sequence);
      if (lookahead == '\n') ADVANCE(100);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == 'U') ADVANCE(38);
      if (lookahead == 'u') ADVANCE(34);
      if (lookahead == 'x') ADVANCE(32);
      if (lookahead == '"' ||
          lookahead == '\'' ||
          lookahead == '\\' ||
          lookahead == 'a' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          lookahead == 'r' ||
          ('t' <= lookahead && lookahead <= 'v')) ADVANCE(99);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(29);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '\r') ADVANCE(104);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(104);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead == '#') ADVANCE(104);
      if (lookahead == '\\') ADVANCE(102);
      if (lookahead == '\t' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) ADVANCE(103);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(104);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(aux_sym_format_specifier_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '{' &&
          lookahead != '}') ADVANCE(104);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_type_conversion);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_integer);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(116);
      if (lookahead == '_') ADVANCE(109);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(24);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(107);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(116);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(20);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(21);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(22);
      if (lookahead == '_') ADVANCE(109);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(24);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(107);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '.') ADVANCE(116);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(24);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(107);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(25);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(106);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(110);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(26);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(111);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(sym_integer);
      if (lookahead == '_') ADVANCE(30);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(106);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(112);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_float);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(116);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(24);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(114);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == '_') ADVANCE(117);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(24);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(114);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_float);
      if (lookahead == 'J' ||
          lookahead == 'L' ||
          lookahead == 'j' ||
          lookahead == 'l') ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(115);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(118);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(119);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '\\') SKIP(4)
      if (lookahead == '_') ADVANCE(5);
      if (lookahead == 'a') ADVANCE(6);
      if (lookahead == 'b') ADVANCE(7);
      if (lookahead == 'c') ADVANCE(8);
      if (lookahead == 'd') ADVANCE(9);
      if (lookahead == 'e') ADVANCE(10);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'g') ADVANCE(12);
      if (lookahead == 'i') ADVANCE(13);
      if (lookahead == 'l') ADVANCE(14);
      if (lookahead == 'm') ADVANCE(15);
      if (lookahead == 'n') ADVANCE(16);
      if (lookahead == 'o') ADVANCE(17);
      if (lookahead == 'p') ADVANCE(18);
      if (lookahead == 'r') ADVANCE(19);
      if (lookahead == 't') ADVANCE(20);
      if (lookahead == 'w') ADVANCE(21);
      if (lookahead == 'y') ADVANCE(22);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\f' ||
          lookahead == '\r' ||
          lookahead == ' ' ||
          lookahead == 8203 ||
          lookahead == 8288 ||
          lookahead == 65279) SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'a') ADVANCE(23);
      END_STATE();
    case 2:
      if (lookahead == 'o') ADVANCE(24);
      END_STATE();
    case 3:
      if (lookahead == 'r') ADVANCE(25);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(26)
      END_STATE();
    case 5:
      if (lookahead == '_') ADVANCE(27);
      END_STATE();
    case 6:
      if (lookahead == 'n') ADVANCE(28);
      if (lookahead == 's') ADVANCE(29);
      if (lookahead == 'w') ADVANCE(30);
      END_STATE();
    case 7:
      if (lookahead == 'r') ADVANCE(31);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(32);
      if (lookahead == 'l') ADVANCE(33);
      if (lookahead == 'o') ADVANCE(34);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(35);
      END_STATE();
    case 10:
      if (lookahead == 'l') ADVANCE(36);
      if (lookahead == 'x') ADVANCE(37);
      END_STATE();
    case 11:
      if (lookahead == 'i') ADVANCE(38);
      if (lookahead == 'o') ADVANCE(39);
      if (lookahead == 'r') ADVANCE(40);
      END_STATE();
    case 12:
      if (lookahead == 'l') ADVANCE(41);
      END_STATE();
    case 13:
      if (lookahead == 'f') ADVANCE(42);
      if (lookahead == 'm') ADVANCE(43);
      if (lookahead == 'n') ADVANCE(44);
      if (lookahead == 's') ADVANCE(45);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(46);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(47);
      END_STATE();
    case 16:
      if (lookahead == 'o') ADVANCE(48);
      END_STATE();
    case 17:
      if (lookahead == 'r') ADVANCE(49);
      END_STATE();
    case 18:
      if (lookahead == 'a') ADVANCE(50);
      if (lookahead == 'r') ADVANCE(51);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(52);
      if (lookahead == 'e') ADVANCE(53);
      END_STATE();
    case 20:
      if (lookahead == 'r') ADVANCE(54);
      END_STATE();
    case 21:
      if (lookahead == 'h') ADVANCE(55);
      if (lookahead == 'i') ADVANCE(56);
      END_STATE();
    case 22:
      if (lookahead == 'i') ADVANCE(57);
      END_STATE();
    case 23:
      if (lookahead == 'l') ADVANCE(58);
      END_STATE();
    case 24:
      if (lookahead == 'n') ADVANCE(59);
      END_STATE();
    case 25:
      if (lookahead == 'u') ADVANCE(60);
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 27:
      if (lookahead == 'f') ADVANCE(61);
      END_STATE();
    case 28:
      if (lookahead == 'd') ADVANCE(62);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(63);
      if (lookahead == 'y') ADVANCE(64);
      END_STATE();
    case 30:
      if (lookahead == 'a') ADVANCE(65);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(66);
      END_STATE();
    case 32:
      if (lookahead == 's') ADVANCE(67);
      END_STATE();
    case 33:
      if (lookahead == 'a') ADVANCE(68);
      END_STATE();
    case 34:
      if (lookahead == 'n') ADVANCE(69);
      END_STATE();
    case 35:
      if (lookahead == 'f') ADVANCE(70);
      if (lookahead == 'l') ADVANCE(71);
      END_STATE();
    case 36:
      if (lookahead == 'i') ADVANCE(72);
      if (lookahead == 's') ADVANCE(73);
      END_STATE();
    case 37:
      if (lookahead == 'c') ADVANCE(74);
      if (lookahead == 'e') ADVANCE(75);
      END_STATE();
    case 38:
      if (lookahead == 'n') ADVANCE(76);
      END_STATE();
    case 39:
      if (lookahead == 'r') ADVANCE(77);
      END_STATE();
    case 40:
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 41:
      if (lookahead == 'o') ADVANCE(79);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 43:
      if (lookahead == 'p') ADVANCE(80);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_is);
      END_STATE();
    case 46:
      if (lookahead == 'm') ADVANCE(81);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 48:
      if (lookahead == 'n') ADVANCE(83);
      if (lookahead == 't') ADVANCE(84);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_or);
      END_STATE();
    case 50:
      if (lookahead == 's') ADVANCE(85);
      END_STATE();
    case 51:
      if (lookahead == 'i') ADVANCE(86);
      END_STATE();
    case 52:
      if (lookahead == 'i') ADVANCE(87);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 54:
      if (lookahead == 'y') ADVANCE(89);
      END_STATE();
    case 55:
      if (lookahead == 'i') ADVANCE(90);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(91);
      END_STATE();
    case 57:
      if (lookahead == 'e') ADVANCE(92);
      END_STATE();
    case 58:
      if (lookahead == 's') ADVANCE(93);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(94);
      END_STATE();
    case 60:
      if (lookahead == 'e') ADVANCE(95);
      END_STATE();
    case 61:
      if (lookahead == 'u') ADVANCE(96);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(97);
      END_STATE();
    case 64:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 65:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 66:
      if (lookahead == 'a') ADVANCE(100);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 68:
      if (lookahead == 's') ADVANCE(102);
      END_STATE();
    case 69:
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(anon_sym_def);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_del);
      END_STATE();
    case 72:
      if (lookahead == 'f') ADVANCE(104);
      END_STATE();
    case 73:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 74:
      if (lookahead == 'e') ADVANCE(106);
      END_STATE();
    case 75:
      if (lookahead == 'c') ADVANCE(107);
      END_STATE();
    case 76:
      if (lookahead == 'a') ADVANCE(108);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 78:
      if (lookahead == 'm') ADVANCE(109);
      END_STATE();
    case 79:
      if (lookahead == 'b') ADVANCE(110);
      END_STATE();
    case 80:
      if (lookahead == 'o') ADVANCE(111);
      END_STATE();
    case 81:
      if (lookahead == 'b') ADVANCE(112);
      END_STATE();
    case 82:
      if (lookahead == 'c') ADVANCE(113);
      END_STATE();
    case 83:
      if (lookahead == 'l') ADVANCE(114);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 85:
      if (lookahead == 's') ADVANCE(115);
      END_STATE();
    case 86:
      if (lookahead == 'n') ADVANCE(116);
      END_STATE();
    case 87:
      if (lookahead == 's') ADVANCE(117);
      END_STATE();
    case 88:
      if (lookahead == 'u') ADVANCE(118);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 90:
      if (lookahead == 'l') ADVANCE(119);
      END_STATE();
    case 91:
      if (lookahead == 'h') ADVANCE(120);
      END_STATE();
    case 92:
      if (lookahead == 'l') ADVANCE(121);
      END_STATE();
    case 93:
      if (lookahead == 'e') ADVANCE(122);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_none);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 96:
      if (lookahead == 't') ADVANCE(123);
      END_STATE();
    case 97:
      if (lookahead == 'r') ADVANCE(124);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(125);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(126);
      END_STATE();
    case 100:
      if (lookahead == 'k') ADVANCE(127);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 102:
      if (lookahead == 's') ADVANCE(128);
      END_STATE();
    case 103:
      if (lookahead == 'i') ADVANCE(129);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_elif);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 106:
      if (lookahead == 'p') ADVANCE(130);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_exec);
      END_STATE();
    case 108:
      if (lookahead == 'l') ADVANCE(131);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_from);
      END_STATE();
    case 110:
      if (lookahead == 'a') ADVANCE(132);
      END_STATE();
    case 111:
      if (lookahead == 'r') ADVANCE(133);
      END_STATE();
    case 112:
      if (lookahead == 'd') ADVANCE(134);
      END_STATE();
    case 113:
      if (lookahead == 'h') ADVANCE(135);
      END_STATE();
    case 114:
      if (lookahead == 'o') ADVANCE(136);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_pass);
      END_STATE();
    case 116:
      if (lookahead == 't') ADVANCE(137);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 118:
      if (lookahead == 'r') ADVANCE(139);
      END_STATE();
    case 119:
      if (lookahead == 'e') ADVANCE(140);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 121:
      if (lookahead == 'd') ADVANCE(141);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 123:
      if (lookahead == 'u') ADVANCE(142);
      END_STATE();
    case 124:
      if (lookahead == 't') ADVANCE(143);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_async);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_await);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 129:
      if (lookahead == 'n') ADVANCE(144);
      END_STATE();
    case 130:
      if (lookahead == 't') ADVANCE(145);
      END_STATE();
    case 131:
      if (lookahead == 'l') ADVANCE(146);
      END_STATE();
    case 132:
      if (lookahead == 'l') ADVANCE(147);
      END_STATE();
    case 133:
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 134:
      if (lookahead == 'a') ADVANCE(149);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 136:
      if (lookahead == 'c') ADVANCE(150);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_print);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_raise);
      END_STATE();
    case 139:
      if (lookahead == 'n') ADVANCE(151);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 142:
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 144:
      if (lookahead == 'u') ADVANCE(153);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_except);
      END_STATE();
    case 146:
      if (lookahead == 'y') ADVANCE(154);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_global);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_lambda);
      END_STATE();
    case 150:
      if (lookahead == 'a') ADVANCE(155);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(156);
      END_STATE();
    case 153:
      if (lookahead == 'e') ADVANCE(157);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 155:
      if (lookahead == 'l') ADVANCE(158);
      END_STATE();
    case 156:
      if (lookahead == '_') ADVANCE(159);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_nonlocal);
      END_STATE();
    case 159:
      if (lookahead == '_') ADVANCE(160);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym___future__);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 43, .external_lex_state = 2},
  [2] = {.lex_state = 43, .external_lex_state = 3},
  [3] = {.lex_state = 43, .external_lex_state = 3},
  [4] = {.lex_state = 43, .external_lex_state = 3},
  [5] = {.lex_state = 43, .external_lex_state = 3},
  [6] = {.lex_state = 43, .external_lex_state = 3},
  [7] = {.lex_state = 43, .external_lex_state = 3},
  [8] = {.lex_state = 43, .external_lex_state = 3},
  [9] = {.lex_state = 43, .external_lex_state = 3},
  [10] = {.lex_state = 43, .external_lex_state = 3},
  [11] = {.lex_state = 43, .external_lex_state = 3},
  [12] = {.lex_state = 43, .external_lex_state = 3},
  [13] = {.lex_state = 43, .external_lex_state = 3},
  [14] = {.lex_state = 43, .external_lex_state = 3},
  [15] = {.lex_state = 43, .external_lex_state = 3},
  [16] = {.lex_state = 43, .external_lex_state = 3},
  [17] = {.lex_state = 43, .external_lex_state = 3},
  [18] = {.lex_state = 43, .external_lex_state = 3},
  [19] = {.lex_state = 43, .external_lex_state = 3},
  [20] = {.lex_state = 43, .external_lex_state = 3},
  [21] = {.lex_state = 43, .external_lex_state = 3},
  [22] = {.lex_state = 43, .external_lex_state = 3},
  [23] = {.lex_state = 43, .external_lex_state = 3},
  [24] = {.lex_state = 43, .external_lex_state = 3},
  [25] = {.lex_state = 43, .external_lex_state = 3},
  [26] = {.lex_state = 43, .external_lex_state = 3},
  [27] = {.lex_state = 43, .external_lex_state = 3},
  [28] = {.lex_state = 43, .external_lex_state = 3},
  [29] = {.lex_state = 43, .external_lex_state = 3},
  [30] = {.lex_state = 43, .external_lex_state = 3},
  [31] = {.lex_state = 43, .external_lex_state = 3},
  [32] = {.lex_state = 43, .external_lex_state = 3},
  [33] = {.lex_state = 43, .external_lex_state = 3},
  [34] = {.lex_state = 43, .external_lex_state = 3},
  [35] = {.lex_state = 43, .external_lex_state = 3},
  [36] = {.lex_state = 43, .external_lex_state = 3},
  [37] = {.lex_state = 43, .external_lex_state = 3},
  [38] = {.lex_state = 43, .external_lex_state = 3},
  [39] = {.lex_state = 43, .external_lex_state = 3},
  [40] = {.lex_state = 43, .external_lex_state = 3},
  [41] = {.lex_state = 43, .external_lex_state = 3},
  [42] = {.lex_state = 43, .external_lex_state = 3},
  [43] = {.lex_state = 43, .external_lex_state = 3},
  [44] = {.lex_state = 43, .external_lex_state = 3},
  [45] = {.lex_state = 43, .external_lex_state = 3},
  [46] = {.lex_state = 43, .external_lex_state = 3},
  [47] = {.lex_state = 43, .external_lex_state = 3},
  [48] = {.lex_state = 43, .external_lex_state = 3},
  [49] = {.lex_state = 43, .external_lex_state = 3},
  [50] = {.lex_state = 43, .external_lex_state = 3},
  [51] = {.lex_state = 43, .external_lex_state = 3},
  [52] = {.lex_state = 43, .external_lex_state = 3},
  [53] = {.lex_state = 43, .external_lex_state = 3},
  [54] = {.lex_state = 43, .external_lex_state = 3},
  [55] = {.lex_state = 43, .external_lex_state = 3},
  [56] = {.lex_state = 43, .external_lex_state = 3},
  [57] = {.lex_state = 43, .external_lex_state = 3},
  [58] = {.lex_state = 43, .external_lex_state = 3},
  [59] = {.lex_state = 43, .external_lex_state = 3},
  [60] = {.lex_state = 43, .external_lex_state = 3},
  [61] = {.lex_state = 43, .external_lex_state = 3},
  [62] = {.lex_state = 43, .external_lex_state = 3},
  [63] = {.lex_state = 43, .external_lex_state = 3},
  [64] = {.lex_state = 43, .external_lex_state = 3},
  [65] = {.lex_state = 43, .external_lex_state = 3},
  [66] = {.lex_state = 43, .external_lex_state = 2},
  [67] = {.lex_state = 43, .external_lex_state = 2},
  [68] = {.lex_state = 43, .external_lex_state = 3},
  [69] = {.lex_state = 43, .external_lex_state = 3},
  [70] = {.lex_state = 43, .external_lex_state = 4},
  [71] = {.lex_state = 11, .external_lex_state = 4},
  [72] = {.lex_state = 43, .external_lex_state = 4},
  [73] = {.lex_state = 11, .external_lex_state = 4},
  [74] = {.lex_state = 43, .external_lex_state = 5},
  [75] = {.lex_state = 43, .external_lex_state = 5},
  [76] = {.lex_state = 43, .external_lex_state = 5},
  [77] = {.lex_state = 43, .external_lex_state = 5},
  [78] = {.lex_state = 43, .external_lex_state = 5},
  [79] = {.lex_state = 43, .external_lex_state = 5},
  [80] = {.lex_state = 43, .external_lex_state = 5},
  [81] = {.lex_state = 43, .external_lex_state = 5},
  [82] = {.lex_state = 43, .external_lex_state = 5},
  [83] = {.lex_state = 43, .external_lex_state = 5},
  [84] = {.lex_state = 43, .external_lex_state = 5},
  [85] = {.lex_state = 43, .external_lex_state = 5},
  [86] = {.lex_state = 43, .external_lex_state = 5},
  [87] = {.lex_state = 43, .external_lex_state = 5},
  [88] = {.lex_state = 43, .external_lex_state = 5},
  [89] = {.lex_state = 43, .external_lex_state = 5},
  [90] = {.lex_state = 43, .external_lex_state = 5},
  [91] = {.lex_state = 43, .external_lex_state = 5},
  [92] = {.lex_state = 43, .external_lex_state = 5},
  [93] = {.lex_state = 43, .external_lex_state = 5},
  [94] = {.lex_state = 43, .external_lex_state = 5},
  [95] = {.lex_state = 43, .external_lex_state = 5},
  [96] = {.lex_state = 43, .external_lex_state = 5},
  [97] = {.lex_state = 43, .external_lex_state = 5},
  [98] = {.lex_state = 43, .external_lex_state = 5},
  [99] = {.lex_state = 43, .external_lex_state = 5},
  [100] = {.lex_state = 43, .external_lex_state = 5},
  [101] = {.lex_state = 43, .external_lex_state = 5},
  [102] = {.lex_state = 43, .external_lex_state = 5},
  [103] = {.lex_state = 43, .external_lex_state = 5},
  [104] = {.lex_state = 43, .external_lex_state = 5},
  [105] = {.lex_state = 43, .external_lex_state = 5},
  [106] = {.lex_state = 43, .external_lex_state = 5},
  [107] = {.lex_state = 43, .external_lex_state = 5},
  [108] = {.lex_state = 43, .external_lex_state = 5},
  [109] = {.lex_state = 43, .external_lex_state = 5},
  [110] = {.lex_state = 43, .external_lex_state = 5},
  [111] = {.lex_state = 43, .external_lex_state = 5},
  [112] = {.lex_state = 43, .external_lex_state = 5},
  [113] = {.lex_state = 43, .external_lex_state = 5},
  [114] = {.lex_state = 43, .external_lex_state = 5},
  [115] = {.lex_state = 43, .external_lex_state = 5},
  [116] = {.lex_state = 43, .external_lex_state = 5},
  [117] = {.lex_state = 43, .external_lex_state = 5},
  [118] = {.lex_state = 43, .external_lex_state = 5},
  [119] = {.lex_state = 43, .external_lex_state = 5},
  [120] = {.lex_state = 43, .external_lex_state = 5},
  [121] = {.lex_state = 43, .external_lex_state = 5},
  [122] = {.lex_state = 43, .external_lex_state = 5},
  [123] = {.lex_state = 43, .external_lex_state = 5},
  [124] = {.lex_state = 43, .external_lex_state = 5},
  [125] = {.lex_state = 43, .external_lex_state = 5},
  [126] = {.lex_state = 43, .external_lex_state = 5},
  [127] = {.lex_state = 43, .external_lex_state = 5},
  [128] = {.lex_state = 43, .external_lex_state = 5},
  [129] = {.lex_state = 43, .external_lex_state = 5},
  [130] = {.lex_state = 43, .external_lex_state = 5},
  [131] = {.lex_state = 43, .external_lex_state = 5},
  [132] = {.lex_state = 43, .external_lex_state = 5},
  [133] = {.lex_state = 43, .external_lex_state = 5},
  [134] = {.lex_state = 43, .external_lex_state = 5},
  [135] = {.lex_state = 43, .external_lex_state = 5},
  [136] = {.lex_state = 43, .external_lex_state = 4},
  [137] = {.lex_state = 43, .external_lex_state = 4},
  [138] = {.lex_state = 43, .external_lex_state = 4},
  [139] = {.lex_state = 43, .external_lex_state = 4},
  [140] = {.lex_state = 43, .external_lex_state = 4},
  [141] = {.lex_state = 43, .external_lex_state = 4},
  [142] = {.lex_state = 43, .external_lex_state = 2},
  [143] = {.lex_state = 11, .external_lex_state = 6},
  [144] = {.lex_state = 43, .external_lex_state = 4},
  [145] = {.lex_state = 11, .external_lex_state = 2},
  [146] = {.lex_state = 11, .external_lex_state = 6},
  [147] = {.lex_state = 43, .external_lex_state = 7},
  [148] = {.lex_state = 43, .external_lex_state = 8},
  [149] = {.lex_state = 43, .external_lex_state = 7},
  [150] = {.lex_state = 11, .external_lex_state = 8},
  [151] = {.lex_state = 43, .external_lex_state = 7},
  [152] = {.lex_state = 43, .external_lex_state = 7},
  [153] = {.lex_state = 43, .external_lex_state = 7},
  [154] = {.lex_state = 43, .external_lex_state = 8},
  [155] = {.lex_state = 43, .external_lex_state = 8},
  [156] = {.lex_state = 43, .external_lex_state = 7},
  [157] = {.lex_state = 43, .external_lex_state = 7},
  [158] = {.lex_state = 43, .external_lex_state = 8},
  [159] = {.lex_state = 43, .external_lex_state = 7},
  [160] = {.lex_state = 43, .external_lex_state = 8},
  [161] = {.lex_state = 43, .external_lex_state = 7},
  [162] = {.lex_state = 43, .external_lex_state = 7},
  [163] = {.lex_state = 43, .external_lex_state = 8},
  [164] = {.lex_state = 43, .external_lex_state = 8},
  [165] = {.lex_state = 43, .external_lex_state = 7},
  [166] = {.lex_state = 43, .external_lex_state = 2},
  [167] = {.lex_state = 43, .external_lex_state = 2},
  [168] = {.lex_state = 43, .external_lex_state = 8},
  [169] = {.lex_state = 43, .external_lex_state = 7},
  [170] = {.lex_state = 43, .external_lex_state = 2},
  [171] = {.lex_state = 43, .external_lex_state = 8},
  [172] = {.lex_state = 43, .external_lex_state = 6},
  [173] = {.lex_state = 43, .external_lex_state = 6},
  [174] = {.lex_state = 43, .external_lex_state = 6},
  [175] = {.lex_state = 43, .external_lex_state = 6},
  [176] = {.lex_state = 43, .external_lex_state = 6},
  [177] = {.lex_state = 43, .external_lex_state = 6},
  [178] = {.lex_state = 43, .external_lex_state = 6},
  [179] = {.lex_state = 43, .external_lex_state = 6},
  [180] = {.lex_state = 11, .external_lex_state = 2},
  [181] = {.lex_state = 11, .external_lex_state = 2},
  [182] = {.lex_state = 43, .external_lex_state = 7},
  [183] = {.lex_state = 43, .external_lex_state = 7},
  [184] = {.lex_state = 43, .external_lex_state = 7},
  [185] = {.lex_state = 43, .external_lex_state = 7},
  [186] = {.lex_state = 43, .external_lex_state = 7},
  [187] = {.lex_state = 43, .external_lex_state = 7},
  [188] = {.lex_state = 43, .external_lex_state = 7},
  [189] = {.lex_state = 43, .external_lex_state = 7},
  [190] = {.lex_state = 43, .external_lex_state = 7},
  [191] = {.lex_state = 43, .external_lex_state = 7},
  [192] = {.lex_state = 43, .external_lex_state = 8},
  [193] = {.lex_state = 43, .external_lex_state = 7},
  [194] = {.lex_state = 43, .external_lex_state = 7},
  [195] = {.lex_state = 43, .external_lex_state = 7},
  [196] = {.lex_state = 43, .external_lex_state = 7},
  [197] = {.lex_state = 43, .external_lex_state = 7},
  [198] = {.lex_state = 43, .external_lex_state = 7},
  [199] = {.lex_state = 43, .external_lex_state = 7},
  [200] = {.lex_state = 43, .external_lex_state = 7},
  [201] = {.lex_state = 43, .external_lex_state = 7},
  [202] = {.lex_state = 43, .external_lex_state = 7},
  [203] = {.lex_state = 43, .external_lex_state = 7},
  [204] = {.lex_state = 43, .external_lex_state = 7},
  [205] = {.lex_state = 43, .external_lex_state = 8},
  [206] = {.lex_state = 43, .external_lex_state = 7},
  [207] = {.lex_state = 43, .external_lex_state = 7},
  [208] = {.lex_state = 43, .external_lex_state = 7},
  [209] = {.lex_state = 43, .external_lex_state = 7},
  [210] = {.lex_state = 43, .external_lex_state = 8},
  [211] = {.lex_state = 43, .external_lex_state = 7},
  [212] = {.lex_state = 43, .external_lex_state = 7},
  [213] = {.lex_state = 43, .external_lex_state = 8},
  [214] = {.lex_state = 43, .external_lex_state = 7},
  [215] = {.lex_state = 43, .external_lex_state = 7},
  [216] = {.lex_state = 43, .external_lex_state = 7},
  [217] = {.lex_state = 43, .external_lex_state = 7},
  [218] = {.lex_state = 43, .external_lex_state = 8},
  [219] = {.lex_state = 43, .external_lex_state = 7},
  [220] = {.lex_state = 43, .external_lex_state = 7},
  [221] = {.lex_state = 43, .external_lex_state = 7},
  [222] = {.lex_state = 43, .external_lex_state = 7},
  [223] = {.lex_state = 43, .external_lex_state = 7},
  [224] = {.lex_state = 43, .external_lex_state = 7},
  [225] = {.lex_state = 43, .external_lex_state = 8},
  [226] = {.lex_state = 43, .external_lex_state = 7},
  [227] = {.lex_state = 43, .external_lex_state = 7},
  [228] = {.lex_state = 43, .external_lex_state = 7},
  [229] = {.lex_state = 43, .external_lex_state = 7},
  [230] = {.lex_state = 43, .external_lex_state = 7},
  [231] = {.lex_state = 43, .external_lex_state = 7},
  [232] = {.lex_state = 43, .external_lex_state = 7},
  [233] = {.lex_state = 43, .external_lex_state = 7},
  [234] = {.lex_state = 43, .external_lex_state = 8},
  [235] = {.lex_state = 43, .external_lex_state = 7},
  [236] = {.lex_state = 43, .external_lex_state = 7},
  [237] = {.lex_state = 43, .external_lex_state = 7},
  [238] = {.lex_state = 43, .external_lex_state = 7},
  [239] = {.lex_state = 43, .external_lex_state = 8},
  [240] = {.lex_state = 43, .external_lex_state = 7},
  [241] = {.lex_state = 43, .external_lex_state = 7},
  [242] = {.lex_state = 43, .external_lex_state = 7},
  [243] = {.lex_state = 43, .external_lex_state = 7},
  [244] = {.lex_state = 43, .external_lex_state = 7},
  [245] = {.lex_state = 43, .external_lex_state = 7},
  [246] = {.lex_state = 43, .external_lex_state = 7},
  [247] = {.lex_state = 43, .external_lex_state = 8},
  [248] = {.lex_state = 43, .external_lex_state = 7},
  [249] = {.lex_state = 43, .external_lex_state = 6},
  [250] = {.lex_state = 43, .external_lex_state = 6},
  [251] = {.lex_state = 43, .external_lex_state = 8},
  [252] = {.lex_state = 43, .external_lex_state = 2},
  [253] = {.lex_state = 43, .external_lex_state = 6},
  [254] = {.lex_state = 43, .external_lex_state = 6},
  [255] = {.lex_state = 43, .external_lex_state = 7},
  [256] = {.lex_state = 43, .external_lex_state = 8},
  [257] = {.lex_state = 43, .external_lex_state = 8},
  [258] = {.lex_state = 43, .external_lex_state = 2},
  [259] = {.lex_state = 43, .external_lex_state = 2},
  [260] = {.lex_state = 43, .external_lex_state = 8},
  [261] = {.lex_state = 43, .external_lex_state = 7},
  [262] = {.lex_state = 43, .external_lex_state = 7},
  [263] = {.lex_state = 43, .external_lex_state = 7},
  [264] = {.lex_state = 43, .external_lex_state = 6},
  [265] = {.lex_state = 11, .external_lex_state = 2},
  [266] = {.lex_state = 11, .external_lex_state = 2},
  [267] = {.lex_state = 11, .external_lex_state = 2},
  [268] = {.lex_state = 11, .external_lex_state = 2},
  [269] = {.lex_state = 43, .external_lex_state = 6},
  [270] = {.lex_state = 43, .external_lex_state = 8},
  [271] = {.lex_state = 11, .external_lex_state = 2},
  [272] = {.lex_state = 11, .external_lex_state = 2},
  [273] = {.lex_state = 43, .external_lex_state = 2},
  [274] = {.lex_state = 43, .external_lex_state = 6},
  [275] = {.lex_state = 43, .external_lex_state = 6},
  [276] = {.lex_state = 43, .external_lex_state = 6},
  [277] = {.lex_state = 43, .external_lex_state = 6},
  [278] = {.lex_state = 43, .external_lex_state = 6},
  [279] = {.lex_state = 43, .external_lex_state = 6},
  [280] = {.lex_state = 43, .external_lex_state = 6},
  [281] = {.lex_state = 43, .external_lex_state = 4},
  [282] = {.lex_state = 43, .external_lex_state = 6},
  [283] = {.lex_state = 43, .external_lex_state = 6},
  [284] = {.lex_state = 43, .external_lex_state = 6},
  [285] = {.lex_state = 43, .external_lex_state = 8},
  [286] = {.lex_state = 43, .external_lex_state = 6},
  [287] = {.lex_state = 43, .external_lex_state = 6},
  [288] = {.lex_state = 43, .external_lex_state = 7},
  [289] = {.lex_state = 43, .external_lex_state = 4},
  [290] = {.lex_state = 43, .external_lex_state = 6},
  [291] = {.lex_state = 43, .external_lex_state = 6},
  [292] = {.lex_state = 43, .external_lex_state = 6},
  [293] = {.lex_state = 43, .external_lex_state = 6},
  [294] = {.lex_state = 43, .external_lex_state = 6},
  [295] = {.lex_state = 11, .external_lex_state = 8},
  [296] = {.lex_state = 11, .external_lex_state = 8},
  [297] = {.lex_state = 11, .external_lex_state = 8},
  [298] = {.lex_state = 11, .external_lex_state = 8},
  [299] = {.lex_state = 43, .external_lex_state = 4},
  [300] = {.lex_state = 11, .external_lex_state = 8},
  [301] = {.lex_state = 43, .external_lex_state = 2},
  [302] = {.lex_state = 11, .external_lex_state = 8},
  [303] = {.lex_state = 11, .external_lex_state = 8},
  [304] = {.lex_state = 11, .external_lex_state = 8},
  [305] = {.lex_state = 11, .external_lex_state = 8},
  [306] = {.lex_state = 11, .external_lex_state = 8},
  [307] = {.lex_state = 11, .external_lex_state = 8},
  [308] = {.lex_state = 11, .external_lex_state = 8},
  [309] = {.lex_state = 13, .external_lex_state = 9},
  [310] = {.lex_state = 11, .external_lex_state = 8},
  [311] = {.lex_state = 11, .external_lex_state = 8},
  [312] = {.lex_state = 11, .external_lex_state = 8},
  [313] = {.lex_state = 11, .external_lex_state = 8},
  [314] = {.lex_state = 11, .external_lex_state = 8},
  [315] = {.lex_state = 11, .external_lex_state = 8},
  [316] = {.lex_state = 11, .external_lex_state = 8},
  [317] = {.lex_state = 13, .external_lex_state = 9},
  [318] = {.lex_state = 11, .external_lex_state = 8},
  [319] = {.lex_state = 11, .external_lex_state = 8},
  [320] = {.lex_state = 11, .external_lex_state = 8},
  [321] = {.lex_state = 43, .external_lex_state = 4},
  [322] = {.lex_state = 11, .external_lex_state = 8},
  [323] = {.lex_state = 43, .external_lex_state = 4},
  [324] = {.lex_state = 11, .external_lex_state = 8},
  [325] = {.lex_state = 11, .external_lex_state = 8},
  [326] = {.lex_state = 11, .external_lex_state = 8},
  [327] = {.lex_state = 43, .external_lex_state = 2},
  [328] = {.lex_state = 43, .external_lex_state = 2},
  [329] = {.lex_state = 11, .external_lex_state = 2},
  [330] = {.lex_state = 43, .external_lex_state = 8},
  [331] = {.lex_state = 43, .external_lex_state = 4},
  [332] = {.lex_state = 43, .external_lex_state = 3},
  [333] = {.lex_state = 11, .external_lex_state = 2},
  [334] = {.lex_state = 43, .external_lex_state = 4},
  [335] = {.lex_state = 43, .external_lex_state = 2},
  [336] = {.lex_state = 43, .external_lex_state = 2},
  [337] = {.lex_state = 43, .external_lex_state = 3},
  [338] = {.lex_state = 11, .external_lex_state = 2},
  [339] = {.lex_state = 43, .external_lex_state = 2},
  [340] = {.lex_state = 43, .external_lex_state = 8},
  [341] = {.lex_state = 43, .external_lex_state = 7},
  [342] = {.lex_state = 11, .external_lex_state = 2},
  [343] = {.lex_state = 43, .external_lex_state = 8},
  [344] = {.lex_state = 43, .external_lex_state = 7},
  [345] = {.lex_state = 43, .external_lex_state = 4},
  [346] = {.lex_state = 11, .external_lex_state = 2},
  [347] = {.lex_state = 43, .external_lex_state = 4},
  [348] = {.lex_state = 43, .external_lex_state = 2},
  [349] = {.lex_state = 11, .external_lex_state = 2},
  [350] = {.lex_state = 43, .external_lex_state = 2},
  [351] = {.lex_state = 43, .external_lex_state = 2},
  [352] = {.lex_state = 43, .external_lex_state = 2},
  [353] = {.lex_state = 43, .external_lex_state = 2},
  [354] = {.lex_state = 43, .external_lex_state = 2},
  [355] = {.lex_state = 11, .external_lex_state = 2},
  [356] = {.lex_state = 43, .external_lex_state = 2},
  [357] = {.lex_state = 43, .external_lex_state = 8},
  [358] = {.lex_state = 11, .external_lex_state = 2},
  [359] = {.lex_state = 43, .external_lex_state = 2},
  [360] = {.lex_state = 43, .external_lex_state = 2},
  [361] = {.lex_state = 43, .external_lex_state = 2},
  [362] = {.lex_state = 43, .external_lex_state = 2},
  [363] = {.lex_state = 43, .external_lex_state = 4},
  [364] = {.lex_state = 43, .external_lex_state = 2},
  [365] = {.lex_state = 43, .external_lex_state = 2},
  [366] = {.lex_state = 43, .external_lex_state = 2},
  [367] = {.lex_state = 43, .external_lex_state = 2},
  [368] = {.lex_state = 43, .external_lex_state = 4},
  [369] = {.lex_state = 43, .external_lex_state = 8},
  [370] = {.lex_state = 43, .external_lex_state = 2},
  [371] = {.lex_state = 43, .external_lex_state = 6},
  [372] = {.lex_state = 43, .external_lex_state = 2},
  [373] = {.lex_state = 11, .external_lex_state = 2},
  [374] = {.lex_state = 13, .external_lex_state = 4},
  [375] = {.lex_state = 43, .external_lex_state = 2},
  [376] = {.lex_state = 43, .external_lex_state = 2},
  [377] = {.lex_state = 43, .external_lex_state = 6},
  [378] = {.lex_state = 43, .external_lex_state = 2},
  [379] = {.lex_state = 43, .external_lex_state = 2},
  [380] = {.lex_state = 13, .external_lex_state = 9},
  [381] = {.lex_state = 13, .external_lex_state = 9},
  [382] = {.lex_state = 43, .external_lex_state = 2},
  [383] = {.lex_state = 43, .external_lex_state = 2},
  [384] = {.lex_state = 13, .external_lex_state = 9},
  [385] = {.lex_state = 13, .external_lex_state = 9},
  [386] = {.lex_state = 11, .external_lex_state = 2},
  [387] = {.lex_state = 12, .external_lex_state = 9},
  [388] = {.lex_state = 11, .external_lex_state = 2},
  [389] = {.lex_state = 13, .external_lex_state = 9},
  [390] = {.lex_state = 43, .external_lex_state = 2},
  [391] = {.lex_state = 43, .external_lex_state = 2},
  [392] = {.lex_state = 12, .external_lex_state = 9},
  [393] = {.lex_state = 43, .external_lex_state = 2},
  [394] = {.lex_state = 43, .external_lex_state = 2},
  [395] = {.lex_state = 13, .external_lex_state = 9},
  [396] = {.lex_state = 13, .external_lex_state = 9},
  [397] = {.lex_state = 11, .external_lex_state = 2},
  [398] = {.lex_state = 43, .external_lex_state = 2},
  [399] = {.lex_state = 43, .external_lex_state = 2},
  [400] = {.lex_state = 11, .external_lex_state = 2},
  [401] = {.lex_state = 11, .external_lex_state = 2},
  [402] = {.lex_state = 43, .external_lex_state = 2},
  [403] = {.lex_state = 11, .external_lex_state = 2},
  [404] = {.lex_state = 43, .external_lex_state = 2},
  [405] = {.lex_state = 43, .external_lex_state = 2},
  [406] = {.lex_state = 43, .external_lex_state = 2},
  [407] = {.lex_state = 11, .external_lex_state = 2},
  [408] = {.lex_state = 11, .external_lex_state = 2},
  [409] = {.lex_state = 43, .external_lex_state = 2},
  [410] = {.lex_state = 43, .external_lex_state = 2},
  [411] = {.lex_state = 43, .external_lex_state = 2},
  [412] = {.lex_state = 43, .external_lex_state = 2},
  [413] = {.lex_state = 43, .external_lex_state = 3},
  [414] = {.lex_state = 43, .external_lex_state = 2},
  [415] = {.lex_state = 43, .external_lex_state = 2},
  [416] = {.lex_state = 43, .external_lex_state = 2},
  [417] = {.lex_state = 43, .external_lex_state = 2},
  [418] = {.lex_state = 43, .external_lex_state = 2},
  [419] = {.lex_state = 43, .external_lex_state = 2},
  [420] = {.lex_state = 43, .external_lex_state = 2},
  [421] = {.lex_state = 43, .external_lex_state = 2},
  [422] = {.lex_state = 43, .external_lex_state = 2},
  [423] = {.lex_state = 13, .external_lex_state = 9},
  [424] = {.lex_state = 43, .external_lex_state = 3},
  [425] = {.lex_state = 43, .external_lex_state = 2},
  [426] = {.lex_state = 43, .external_lex_state = 2},
  [427] = {.lex_state = 43, .external_lex_state = 2},
  [428] = {.lex_state = 43, .external_lex_state = 2},
  [429] = {.lex_state = 43, .external_lex_state = 2},
  [430] = {.lex_state = 43, .external_lex_state = 2},
  [431] = {.lex_state = 43, .external_lex_state = 2},
  [432] = {.lex_state = 43, .external_lex_state = 2},
  [433] = {.lex_state = 43, .external_lex_state = 2},
  [434] = {.lex_state = 43, .external_lex_state = 2},
  [435] = {.lex_state = 43, .external_lex_state = 2},
  [436] = {.lex_state = 43, .external_lex_state = 3},
  [437] = {.lex_state = 43, .external_lex_state = 2},
  [438] = {.lex_state = 43, .external_lex_state = 2},
  [439] = {.lex_state = 43, .external_lex_state = 2},
  [440] = {.lex_state = 43, .external_lex_state = 2},
  [441] = {.lex_state = 43, .external_lex_state = 2},
  [442] = {.lex_state = 43, .external_lex_state = 2},
  [443] = {.lex_state = 43, .external_lex_state = 2},
  [444] = {.lex_state = 43, .external_lex_state = 3},
  [445] = {.lex_state = 43, .external_lex_state = 2},
  [446] = {.lex_state = 43, .external_lex_state = 2},
  [447] = {.lex_state = 43, .external_lex_state = 2},
  [448] = {.lex_state = 13, .external_lex_state = 9},
  [449] = {.lex_state = 43, .external_lex_state = 3},
  [450] = {.lex_state = 43, .external_lex_state = 2},
  [451] = {.lex_state = 43, .external_lex_state = 2},
  [452] = {.lex_state = 43, .external_lex_state = 2},
  [453] = {.lex_state = 43, .external_lex_state = 2},
  [454] = {.lex_state = 43, .external_lex_state = 2},
  [455] = {.lex_state = 43, .external_lex_state = 2},
  [456] = {.lex_state = 43, .external_lex_state = 2},
  [457] = {.lex_state = 43, .external_lex_state = 2},
  [458] = {.lex_state = 43, .external_lex_state = 2},
  [459] = {.lex_state = 43, .external_lex_state = 2},
  [460] = {.lex_state = 43, .external_lex_state = 2},
  [461] = {.lex_state = 43, .external_lex_state = 2},
  [462] = {.lex_state = 43, .external_lex_state = 2},
  [463] = {.lex_state = 43, .external_lex_state = 2},
  [464] = {.lex_state = 43, .external_lex_state = 2},
  [465] = {.lex_state = 43, .external_lex_state = 2},
  [466] = {.lex_state = 43, .external_lex_state = 3},
  [467] = {.lex_state = 43, .external_lex_state = 2},
  [468] = {.lex_state = 43, .external_lex_state = 2},
  [469] = {.lex_state = 43, .external_lex_state = 2},
  [470] = {.lex_state = 43, .external_lex_state = 2},
  [471] = {.lex_state = 43, .external_lex_state = 2},
  [472] = {.lex_state = 43, .external_lex_state = 2},
  [473] = {.lex_state = 43, .external_lex_state = 2},
  [474] = {.lex_state = 43, .external_lex_state = 2},
  [475] = {.lex_state = 43, .external_lex_state = 2},
  [476] = {.lex_state = 43, .external_lex_state = 2},
  [477] = {.lex_state = 43, .external_lex_state = 2},
  [478] = {.lex_state = 43, .external_lex_state = 2},
  [479] = {.lex_state = 13, .external_lex_state = 9},
  [480] = {.lex_state = 43, .external_lex_state = 2},
  [481] = {.lex_state = 43, .external_lex_state = 2},
  [482] = {.lex_state = 43, .external_lex_state = 2},
  [483] = {.lex_state = 43, .external_lex_state = 2},
  [484] = {.lex_state = 43, .external_lex_state = 2},
  [485] = {.lex_state = 43, .external_lex_state = 2},
  [486] = {.lex_state = 43, .external_lex_state = 2},
  [487] = {.lex_state = 43, .external_lex_state = 2},
  [488] = {.lex_state = 43, .external_lex_state = 3},
  [489] = {.lex_state = 43, .external_lex_state = 2},
  [490] = {.lex_state = 43, .external_lex_state = 2},
  [491] = {.lex_state = 43, .external_lex_state = 2},
  [492] = {.lex_state = 43, .external_lex_state = 3},
  [493] = {.lex_state = 43, .external_lex_state = 2},
  [494] = {.lex_state = 43, .external_lex_state = 2},
  [495] = {.lex_state = 43, .external_lex_state = 2},
  [496] = {.lex_state = 43, .external_lex_state = 2},
  [497] = {.lex_state = 43, .external_lex_state = 2},
  [498] = {.lex_state = 43, .external_lex_state = 2},
  [499] = {.lex_state = 43, .external_lex_state = 2},
  [500] = {.lex_state = 43, .external_lex_state = 2},
  [501] = {.lex_state = 43, .external_lex_state = 2},
  [502] = {.lex_state = 43, .external_lex_state = 2},
  [503] = {.lex_state = 43, .external_lex_state = 2},
  [504] = {.lex_state = 43, .external_lex_state = 2},
  [505] = {.lex_state = 43, .external_lex_state = 2},
  [506] = {.lex_state = 43, .external_lex_state = 3},
  [507] = {.lex_state = 43, .external_lex_state = 2},
  [508] = {.lex_state = 43, .external_lex_state = 2},
  [509] = {.lex_state = 43, .external_lex_state = 2},
  [510] = {.lex_state = 43, .external_lex_state = 2},
  [511] = {.lex_state = 43, .external_lex_state = 2},
  [512] = {.lex_state = 43, .external_lex_state = 2},
  [513] = {.lex_state = 43, .external_lex_state = 2},
  [514] = {.lex_state = 43, .external_lex_state = 2},
  [515] = {.lex_state = 43, .external_lex_state = 2},
  [516] = {.lex_state = 43, .external_lex_state = 2},
  [517] = {.lex_state = 43, .external_lex_state = 3},
  [518] = {.lex_state = 43, .external_lex_state = 2},
  [519] = {.lex_state = 43, .external_lex_state = 2},
  [520] = {.lex_state = 43, .external_lex_state = 2},
  [521] = {.lex_state = 43, .external_lex_state = 2},
  [522] = {.lex_state = 43, .external_lex_state = 2},
  [523] = {.lex_state = 43, .external_lex_state = 2},
  [524] = {.lex_state = 43, .external_lex_state = 2},
  [525] = {.lex_state = 43, .external_lex_state = 2},
  [526] = {.lex_state = 43, .external_lex_state = 2},
  [527] = {.lex_state = 43, .external_lex_state = 2},
  [528] = {.lex_state = 13, .external_lex_state = 9},
  [529] = {.lex_state = 43, .external_lex_state = 2},
  [530] = {.lex_state = 43, .external_lex_state = 2},
  [531] = {.lex_state = 43, .external_lex_state = 2},
  [532] = {.lex_state = 43, .external_lex_state = 2},
  [533] = {.lex_state = 43, .external_lex_state = 2},
  [534] = {.lex_state = 43, .external_lex_state = 2},
  [535] = {.lex_state = 43, .external_lex_state = 2},
  [536] = {.lex_state = 43, .external_lex_state = 2},
  [537] = {.lex_state = 43, .external_lex_state = 2},
  [538] = {.lex_state = 43, .external_lex_state = 2},
  [539] = {.lex_state = 43, .external_lex_state = 2},
  [540] = {.lex_state = 43, .external_lex_state = 2},
  [541] = {.lex_state = 43, .external_lex_state = 2},
  [542] = {.lex_state = 43, .external_lex_state = 2},
  [543] = {.lex_state = 43, .external_lex_state = 2},
  [544] = {.lex_state = 43, .external_lex_state = 2},
  [545] = {.lex_state = 43, .external_lex_state = 2},
  [546] = {.lex_state = 43, .external_lex_state = 2},
  [547] = {.lex_state = 43, .external_lex_state = 2},
  [548] = {.lex_state = 43, .external_lex_state = 2},
  [549] = {.lex_state = 43, .external_lex_state = 2},
  [550] = {.lex_state = 43, .external_lex_state = 2},
  [551] = {.lex_state = 43, .external_lex_state = 2},
  [552] = {.lex_state = 13, .external_lex_state = 10},
  [553] = {.lex_state = 43, .external_lex_state = 3},
  [554] = {.lex_state = 13, .external_lex_state = 10},
  [555] = {.lex_state = 13, .external_lex_state = 10},
  [556] = {.lex_state = 43, .external_lex_state = 2},
  [557] = {.lex_state = 13, .external_lex_state = 10},
  [558] = {.lex_state = 13, .external_lex_state = 10},
  [559] = {.lex_state = 13, .external_lex_state = 10},
  [560] = {.lex_state = 13, .external_lex_state = 10},
  [561] = {.lex_state = 43, .external_lex_state = 3},
  [562] = {.lex_state = 43, .external_lex_state = 2},
  [563] = {.lex_state = 43, .external_lex_state = 3},
  [564] = {.lex_state = 43, .external_lex_state = 2},
  [565] = {.lex_state = 43, .external_lex_state = 2},
  [566] = {.lex_state = 43, .external_lex_state = 3},
  [567] = {.lex_state = 43, .external_lex_state = 3},
  [568] = {.lex_state = 43, .external_lex_state = 3},
  [569] = {.lex_state = 43, .external_lex_state = 3},
  [570] = {.lex_state = 43, .external_lex_state = 2},
  [571] = {.lex_state = 43, .external_lex_state = 2},
  [572] = {.lex_state = 43, .external_lex_state = 2},
  [573] = {.lex_state = 43, .external_lex_state = 2},
  [574] = {.lex_state = 43, .external_lex_state = 2},
  [575] = {.lex_state = 43, .external_lex_state = 3},
  [576] = {.lex_state = 43, .external_lex_state = 3},
  [577] = {.lex_state = 43, .external_lex_state = 3},
  [578] = {.lex_state = 43, .external_lex_state = 3},
  [579] = {.lex_state = 43, .external_lex_state = 2},
  [580] = {.lex_state = 43, .external_lex_state = 3},
  [581] = {.lex_state = 43, .external_lex_state = 3},
  [582] = {.lex_state = 43, .external_lex_state = 2},
  [583] = {.lex_state = 43, .external_lex_state = 2},
  [584] = {.lex_state = 43, .external_lex_state = 3},
  [585] = {.lex_state = 43, .external_lex_state = 3},
  [586] = {.lex_state = 43, .external_lex_state = 2},
  [587] = {.lex_state = 43, .external_lex_state = 2},
  [588] = {.lex_state = 43, .external_lex_state = 3},
  [589] = {.lex_state = 43, .external_lex_state = 2},
  [590] = {.lex_state = 43, .external_lex_state = 2},
  [591] = {.lex_state = 43, .external_lex_state = 2},
  [592] = {.lex_state = 43, .external_lex_state = 2},
  [593] = {.lex_state = 43, .external_lex_state = 2},
  [594] = {.lex_state = 43, .external_lex_state = 2},
  [595] = {.lex_state = 43, .external_lex_state = 3},
  [596] = {.lex_state = 43, .external_lex_state = 3},
  [597] = {.lex_state = 43, .external_lex_state = 2},
  [598] = {.lex_state = 43, .external_lex_state = 2},
  [599] = {.lex_state = 43, .external_lex_state = 3},
  [600] = {.lex_state = 43, .external_lex_state = 3},
  [601] = {.lex_state = 43, .external_lex_state = 3},
  [602] = {.lex_state = 43, .external_lex_state = 2},
  [603] = {.lex_state = 43, .external_lex_state = 3},
  [604] = {.lex_state = 43, .external_lex_state = 3},
  [605] = {.lex_state = 43, .external_lex_state = 3},
  [606] = {.lex_state = 43, .external_lex_state = 3},
  [607] = {.lex_state = 43, .external_lex_state = 3},
  [608] = {.lex_state = 43, .external_lex_state = 2},
  [609] = {.lex_state = 43, .external_lex_state = 3},
  [610] = {.lex_state = 43, .external_lex_state = 2},
  [611] = {.lex_state = 43, .external_lex_state = 2},
  [612] = {.lex_state = 43, .external_lex_state = 2},
  [613] = {.lex_state = 43, .external_lex_state = 3},
  [614] = {.lex_state = 43, .external_lex_state = 2},
  [615] = {.lex_state = 43, .external_lex_state = 3},
  [616] = {.lex_state = 43, .external_lex_state = 2},
  [617] = {.lex_state = 43, .external_lex_state = 2},
  [618] = {.lex_state = 43, .external_lex_state = 2},
  [619] = {.lex_state = 43, .external_lex_state = 3},
  [620] = {.lex_state = 43, .external_lex_state = 3},
  [621] = {.lex_state = 43, .external_lex_state = 3},
  [622] = {.lex_state = 43, .external_lex_state = 2},
  [623] = {.lex_state = 43, .external_lex_state = 3},
  [624] = {.lex_state = 43, .external_lex_state = 2},
  [625] = {.lex_state = 43, .external_lex_state = 3},
  [626] = {.lex_state = 43, .external_lex_state = 3},
  [627] = {.lex_state = 43, .external_lex_state = 2},
  [628] = {.lex_state = 43, .external_lex_state = 3},
  [629] = {.lex_state = 43, .external_lex_state = 2},
  [630] = {.lex_state = 43, .external_lex_state = 3},
  [631] = {.lex_state = 43, .external_lex_state = 2},
  [632] = {.lex_state = 43, .external_lex_state = 3},
  [633] = {.lex_state = 43, .external_lex_state = 3},
  [634] = {.lex_state = 43, .external_lex_state = 3},
  [635] = {.lex_state = 43, .external_lex_state = 2},
  [636] = {.lex_state = 43, .external_lex_state = 3},
  [637] = {.lex_state = 43, .external_lex_state = 3},
  [638] = {.lex_state = 43, .external_lex_state = 3},
  [639] = {.lex_state = 43, .external_lex_state = 2},
  [640] = {.lex_state = 43, .external_lex_state = 3},
  [641] = {.lex_state = 43, .external_lex_state = 3},
  [642] = {.lex_state = 43, .external_lex_state = 3},
  [643] = {.lex_state = 43, .external_lex_state = 3},
  [644] = {.lex_state = 43, .external_lex_state = 3},
  [645] = {.lex_state = 43, .external_lex_state = 3},
  [646] = {.lex_state = 43, .external_lex_state = 3},
  [647] = {.lex_state = 43, .external_lex_state = 3},
  [648] = {.lex_state = 43, .external_lex_state = 2},
  [649] = {.lex_state = 43, .external_lex_state = 2},
  [650] = {.lex_state = 43, .external_lex_state = 3},
  [651] = {.lex_state = 43, .external_lex_state = 2},
  [652] = {.lex_state = 43, .external_lex_state = 2},
  [653] = {.lex_state = 43, .external_lex_state = 3},
  [654] = {.lex_state = 43, .external_lex_state = 2},
  [655] = {.lex_state = 43, .external_lex_state = 2},
  [656] = {.lex_state = 43, .external_lex_state = 2},
  [657] = {.lex_state = 43, .external_lex_state = 2},
  [658] = {.lex_state = 43, .external_lex_state = 2},
  [659] = {.lex_state = 43, .external_lex_state = 2},
  [660] = {.lex_state = 43, .external_lex_state = 2},
  [661] = {.lex_state = 43, .external_lex_state = 3},
  [662] = {.lex_state = 43, .external_lex_state = 2},
  [663] = {.lex_state = 43, .external_lex_state = 3},
  [664] = {.lex_state = 43, .external_lex_state = 2},
  [665] = {.lex_state = 43, .external_lex_state = 2},
  [666] = {.lex_state = 43, .external_lex_state = 3},
  [667] = {.lex_state = 43, .external_lex_state = 2},
  [668] = {.lex_state = 43, .external_lex_state = 3},
  [669] = {.lex_state = 43, .external_lex_state = 2},
  [670] = {.lex_state = 43, .external_lex_state = 3},
  [671] = {.lex_state = 43, .external_lex_state = 3},
  [672] = {.lex_state = 43, .external_lex_state = 3},
  [673] = {.lex_state = 43, .external_lex_state = 2},
  [674] = {.lex_state = 43, .external_lex_state = 2},
  [675] = {.lex_state = 43, .external_lex_state = 2},
  [676] = {.lex_state = 43, .external_lex_state = 3},
  [677] = {.lex_state = 43, .external_lex_state = 2},
  [678] = {.lex_state = 43, .external_lex_state = 2},
  [679] = {.lex_state = 43, .external_lex_state = 2},
  [680] = {.lex_state = 43, .external_lex_state = 2},
  [681] = {.lex_state = 43, .external_lex_state = 3},
  [682] = {.lex_state = 43, .external_lex_state = 2},
  [683] = {.lex_state = 43, .external_lex_state = 2},
  [684] = {.lex_state = 43, .external_lex_state = 3},
  [685] = {.lex_state = 43, .external_lex_state = 2},
  [686] = {.lex_state = 43, .external_lex_state = 2},
  [687] = {.lex_state = 43, .external_lex_state = 3},
  [688] = {.lex_state = 43, .external_lex_state = 2},
  [689] = {.lex_state = 43, .external_lex_state = 2},
  [690] = {.lex_state = 43, .external_lex_state = 2},
  [691] = {.lex_state = 43, .external_lex_state = 2},
  [692] = {.lex_state = 43, .external_lex_state = 2},
  [693] = {.lex_state = 43, .external_lex_state = 3},
  [694] = {.lex_state = 43, .external_lex_state = 2},
  [695] = {.lex_state = 43, .external_lex_state = 7},
  [696] = {.lex_state = 43, .external_lex_state = 2},
  [697] = {.lex_state = 43, .external_lex_state = 2},
  [698] = {.lex_state = 43, .external_lex_state = 3},
  [699] = {.lex_state = 43, .external_lex_state = 2},
  [700] = {.lex_state = 43, .external_lex_state = 3},
  [701] = {.lex_state = 43, .external_lex_state = 2},
  [702] = {.lex_state = 43, .external_lex_state = 3},
  [703] = {.lex_state = 43, .external_lex_state = 3},
  [704] = {.lex_state = 43, .external_lex_state = 3},
  [705] = {.lex_state = 43, .external_lex_state = 3},
  [706] = {.lex_state = 43, .external_lex_state = 3},
  [707] = {.lex_state = 43, .external_lex_state = 3},
  [708] = {.lex_state = 43, .external_lex_state = 3},
  [709] = {.lex_state = 43, .external_lex_state = 3},
  [710] = {.lex_state = 43, .external_lex_state = 3},
  [711] = {.lex_state = 43, .external_lex_state = 3},
  [712] = {.lex_state = 43, .external_lex_state = 3},
  [713] = {.lex_state = 43, .external_lex_state = 3},
  [714] = {.lex_state = 43, .external_lex_state = 3},
  [715] = {.lex_state = 43, .external_lex_state = 2},
  [716] = {.lex_state = 43, .external_lex_state = 3},
  [717] = {.lex_state = 43, .external_lex_state = 3},
  [718] = {.lex_state = 43, .external_lex_state = 2},
  [719] = {.lex_state = 43, .external_lex_state = 3},
  [720] = {.lex_state = 43, .external_lex_state = 3},
  [721] = {.lex_state = 43, .external_lex_state = 3},
  [722] = {.lex_state = 43, .external_lex_state = 3},
  [723] = {.lex_state = 43, .external_lex_state = 2},
  [724] = {.lex_state = 43, .external_lex_state = 2},
  [725] = {.lex_state = 43, .external_lex_state = 2},
  [726] = {.lex_state = 43, .external_lex_state = 2},
  [727] = {.lex_state = 43, .external_lex_state = 2},
  [728] = {.lex_state = 43, .external_lex_state = 2},
  [729] = {.lex_state = 43, .external_lex_state = 3},
  [730] = {.lex_state = 43, .external_lex_state = 3},
  [731] = {.lex_state = 43, .external_lex_state = 2},
  [732] = {.lex_state = 43, .external_lex_state = 3},
  [733] = {.lex_state = 43, .external_lex_state = 3},
  [734] = {.lex_state = 43, .external_lex_state = 2},
  [735] = {.lex_state = 43, .external_lex_state = 3},
  [736] = {.lex_state = 43, .external_lex_state = 7},
  [737] = {.lex_state = 43, .external_lex_state = 2},
  [738] = {.lex_state = 43, .external_lex_state = 2},
  [739] = {.lex_state = 43, .external_lex_state = 3},
  [740] = {.lex_state = 43, .external_lex_state = 2},
  [741] = {.lex_state = 43, .external_lex_state = 2},
  [742] = {.lex_state = 43, .external_lex_state = 2},
  [743] = {.lex_state = 43, .external_lex_state = 3},
  [744] = {.lex_state = 43, .external_lex_state = 2},
  [745] = {.lex_state = 43, .external_lex_state = 2},
  [746] = {.lex_state = 43, .external_lex_state = 2},
  [747] = {.lex_state = 43, .external_lex_state = 3},
  [748] = {.lex_state = 43, .external_lex_state = 3},
  [749] = {.lex_state = 43, .external_lex_state = 3},
  [750] = {.lex_state = 43, .external_lex_state = 2},
  [751] = {.lex_state = 43, .external_lex_state = 3},
  [752] = {.lex_state = 43, .external_lex_state = 2},
  [753] = {.lex_state = 43, .external_lex_state = 2},
  [754] = {.lex_state = 43, .external_lex_state = 2},
  [755] = {.lex_state = 43, .external_lex_state = 8},
  [756] = {.lex_state = 43, .external_lex_state = 2},
  [757] = {.lex_state = 43, .external_lex_state = 2},
  [758] = {.lex_state = 43, .external_lex_state = 2},
  [759] = {.lex_state = 43, .external_lex_state = 8},
  [760] = {.lex_state = 43, .external_lex_state = 7},
  [761] = {.lex_state = 43, .external_lex_state = 2},
  [762] = {.lex_state = 43, .external_lex_state = 7},
  [763] = {.lex_state = 43, .external_lex_state = 2},
  [764] = {.lex_state = 43, .external_lex_state = 2},
  [765] = {.lex_state = 43, .external_lex_state = 2},
  [766] = {.lex_state = 43, .external_lex_state = 2},
  [767] = {.lex_state = 43, .external_lex_state = 2},
  [768] = {.lex_state = 43, .external_lex_state = 2},
  [769] = {.lex_state = 43, .external_lex_state = 2},
  [770] = {.lex_state = 43, .external_lex_state = 2},
  [771] = {.lex_state = 43, .external_lex_state = 2},
  [772] = {.lex_state = 13, .external_lex_state = 6},
  [773] = {.lex_state = 13, .external_lex_state = 9},
  [774] = {.lex_state = 13, .external_lex_state = 6},
  [775] = {.lex_state = 13, .external_lex_state = 4},
  [776] = {.lex_state = 13, .external_lex_state = 11},
  [777] = {.lex_state = 13, .external_lex_state = 6},
  [778] = {.lex_state = 13, .external_lex_state = 6},
  [779] = {.lex_state = 11, .external_lex_state = 2},
  [780] = {.lex_state = 13, .external_lex_state = 6},
  [781] = {.lex_state = 13, .external_lex_state = 4},
  [782] = {.lex_state = 13, .external_lex_state = 11},
  [783] = {.lex_state = 13, .external_lex_state = 4},
  [784] = {.lex_state = 13, .external_lex_state = 6},
  [785] = {.lex_state = 43, .external_lex_state = 7},
  [786] = {.lex_state = 13, .external_lex_state = 2},
  [787] = {.lex_state = 13, .external_lex_state = 11},
  [788] = {.lex_state = 13, .external_lex_state = 11},
  [789] = {.lex_state = 13, .external_lex_state = 11},
  [790] = {.lex_state = 13, .external_lex_state = 11},
  [791] = {.lex_state = 13, .external_lex_state = 11},
  [792] = {.lex_state = 13, .external_lex_state = 11},
  [793] = {.lex_state = 13, .external_lex_state = 11},
  [794] = {.lex_state = 13, .external_lex_state = 11},
  [795] = {.lex_state = 13, .external_lex_state = 10},
  [796] = {.lex_state = 13, .external_lex_state = 11},
  [797] = {.lex_state = 13, .external_lex_state = 11},
  [798] = {.lex_state = 13, .external_lex_state = 11},
  [799] = {.lex_state = 13, .external_lex_state = 7},
  [800] = {.lex_state = 43, .external_lex_state = 2},
  [801] = {.lex_state = 13, .external_lex_state = 11},
  [802] = {.lex_state = 13, .external_lex_state = 7},
  [803] = {.lex_state = 13, .external_lex_state = 11},
  [804] = {.lex_state = 13, .external_lex_state = 2},
  [805] = {.lex_state = 13, .external_lex_state = 12},
  [806] = {.lex_state = 13, .external_lex_state = 9},
  [807] = {.lex_state = 13, .external_lex_state = 13},
  [808] = {.lex_state = 13, .external_lex_state = 7},
  [809] = {.lex_state = 13, .external_lex_state = 11},
  [810] = {.lex_state = 43, .external_lex_state = 2},
  [811] = {.lex_state = 13, .external_lex_state = 11},
  [812] = {.lex_state = 13, .external_lex_state = 11},
  [813] = {.lex_state = 13, .external_lex_state = 8},
  [814] = {.lex_state = 43, .external_lex_state = 2},
  [815] = {.lex_state = 43, .external_lex_state = 2},
  [816] = {.lex_state = 13, .external_lex_state = 8},
  [817] = {.lex_state = 43, .external_lex_state = 2},
  [818] = {.lex_state = 43, .external_lex_state = 2},
  [819] = {.lex_state = 13, .external_lex_state = 9},
  [820] = {.lex_state = 13, .external_lex_state = 9},
  [821] = {.lex_state = 13, .external_lex_state = 11},
  [822] = {.lex_state = 13, .external_lex_state = 9},
  [823] = {.lex_state = 43, .external_lex_state = 2},
  [824] = {.lex_state = 13, .external_lex_state = 11},
  [825] = {.lex_state = 13, .external_lex_state = 11},
  [826] = {.lex_state = 13, .external_lex_state = 8},
  [827] = {.lex_state = 13, .external_lex_state = 2},
  [828] = {.lex_state = 13, .external_lex_state = 9},
  [829] = {.lex_state = 13, .external_lex_state = 9},
  [830] = {.lex_state = 13, .external_lex_state = 9},
  [831] = {.lex_state = 13, .external_lex_state = 9},
  [832] = {.lex_state = 13, .external_lex_state = 9},
  [833] = {.lex_state = 13, .external_lex_state = 9},
  [834] = {.lex_state = 13, .external_lex_state = 11},
  [835] = {.lex_state = 43, .external_lex_state = 2},
  [836] = {.lex_state = 13, .external_lex_state = 10},
  [837] = {.lex_state = 13, .external_lex_state = 10},
  [838] = {.lex_state = 43, .external_lex_state = 2},
  [839] = {.lex_state = 43, .external_lex_state = 2},
  [840] = {.lex_state = 43, .external_lex_state = 2},
  [841] = {.lex_state = 43, .external_lex_state = 2},
  [842] = {.lex_state = 13, .external_lex_state = 4},
  [843] = {.lex_state = 43, .external_lex_state = 2},
  [844] = {.lex_state = 43, .external_lex_state = 2},
  [845] = {.lex_state = 12, .external_lex_state = 9},
  [846] = {.lex_state = 12, .external_lex_state = 9},
  [847] = {.lex_state = 43, .external_lex_state = 2},
  [848] = {.lex_state = 43, .external_lex_state = 2},
  [849] = {.lex_state = 43, .external_lex_state = 2},
  [850] = {.lex_state = 43, .external_lex_state = 2},
  [851] = {.lex_state = 43, .external_lex_state = 2},
  [852] = {.lex_state = 43, .external_lex_state = 2},
  [853] = {.lex_state = 43, .external_lex_state = 2},
  [854] = {.lex_state = 43, .external_lex_state = 2},
  [855] = {.lex_state = 43, .external_lex_state = 2},
  [856] = {.lex_state = 43, .external_lex_state = 2},
  [857] = {.lex_state = 43, .external_lex_state = 2},
  [858] = {.lex_state = 13, .external_lex_state = 13},
  [859] = {.lex_state = 43, .external_lex_state = 2},
  [860] = {.lex_state = 43, .external_lex_state = 2},
  [861] = {.lex_state = 43, .external_lex_state = 2},
  [862] = {.lex_state = 43, .external_lex_state = 2},
  [863] = {.lex_state = 13, .external_lex_state = 12},
  [864] = {.lex_state = 43, .external_lex_state = 2},
  [865] = {.lex_state = 13, .external_lex_state = 4},
  [866] = {.lex_state = 12, .external_lex_state = 11},
  [867] = {.lex_state = 12, .external_lex_state = 11},
  [868] = {.lex_state = 43, .external_lex_state = 2},
  [869] = {.lex_state = 43, .external_lex_state = 2},
  [870] = {.lex_state = 13, .external_lex_state = 10},
  [871] = {.lex_state = 43, .external_lex_state = 2},
  [872] = {.lex_state = 43, .external_lex_state = 2},
  [873] = {.lex_state = 13, .external_lex_state = 12},
  [874] = {.lex_state = 13, .external_lex_state = 12},
  [875] = {.lex_state = 12, .external_lex_state = 13},
  [876] = {.lex_state = 13, .external_lex_state = 13},
  [877] = {.lex_state = 13, .external_lex_state = 13},
  [878] = {.lex_state = 13, .external_lex_state = 13},
  [879] = {.lex_state = 13, .external_lex_state = 13},
  [880] = {.lex_state = 43, .external_lex_state = 2},
  [881] = {.lex_state = 13, .external_lex_state = 13},
  [882] = {.lex_state = 13, .external_lex_state = 13},
  [883] = {.lex_state = 12, .external_lex_state = 13},
  [884] = {.lex_state = 43, .external_lex_state = 2},
  [885] = {.lex_state = 13, .external_lex_state = 12},
  [886] = {.lex_state = 43, .external_lex_state = 2},
  [887] = {.lex_state = 43, .external_lex_state = 2},
  [888] = {.lex_state = 13, .external_lex_state = 12},
  [889] = {.lex_state = 43, .external_lex_state = 2},
  [890] = {.lex_state = 13, .external_lex_state = 12},
  [891] = {.lex_state = 43, .external_lex_state = 2},
  [892] = {.lex_state = 13, .external_lex_state = 12},
  [893] = {.lex_state = 13, .external_lex_state = 13},
  [894] = {.lex_state = 13, .external_lex_state = 13},
  [895] = {.lex_state = 13, .external_lex_state = 8},
  [896] = {.lex_state = 13, .external_lex_state = 12},
  [897] = {.lex_state = 13, .external_lex_state = 12},
  [898] = {.lex_state = 13, .external_lex_state = 12},
  [899] = {.lex_state = 43, .external_lex_state = 2},
  [900] = {.lex_state = 43, .external_lex_state = 2},
  [901] = {.lex_state = 43, .external_lex_state = 2},
  [902] = {.lex_state = 13, .external_lex_state = 10},
  [903] = {.lex_state = 13, .external_lex_state = 10},
  [904] = {.lex_state = 13, .external_lex_state = 10},
  [905] = {.lex_state = 43, .external_lex_state = 2},
  [906] = {.lex_state = 13, .external_lex_state = 8},
  [907] = {.lex_state = 43, .external_lex_state = 2},
  [908] = {.lex_state = 43, .external_lex_state = 2},
  [909] = {.lex_state = 43, .external_lex_state = 2},
  [910] = {.lex_state = 43, .external_lex_state = 2},
  [911] = {.lex_state = 43, .external_lex_state = 2},
  [912] = {.lex_state = 43, .external_lex_state = 2},
  [913] = {.lex_state = 13, .external_lex_state = 10},
  [914] = {.lex_state = 43, .external_lex_state = 2},
  [915] = {.lex_state = 43, .external_lex_state = 2},
  [916] = {.lex_state = 43, .external_lex_state = 2},
  [917] = {.lex_state = 13, .external_lex_state = 10},
  [918] = {.lex_state = 43, .external_lex_state = 2},
  [919] = {.lex_state = 13, .external_lex_state = 8},
  [920] = {.lex_state = 13, .external_lex_state = 12},
  [921] = {.lex_state = 13, .external_lex_state = 10},
  [922] = {.lex_state = 13, .external_lex_state = 7},
  [923] = {.lex_state = 43, .external_lex_state = 2},
  [924] = {.lex_state = 43, .external_lex_state = 2},
  [925] = {.lex_state = 43, .external_lex_state = 2},
  [926] = {.lex_state = 43, .external_lex_state = 2},
  [927] = {.lex_state = 43, .external_lex_state = 2},
  [928] = {.lex_state = 43, .external_lex_state = 2},
  [929] = {.lex_state = 43, .external_lex_state = 2},
  [930] = {.lex_state = 43, .external_lex_state = 2},
  [931] = {.lex_state = 43, .external_lex_state = 2},
  [932] = {.lex_state = 43, .external_lex_state = 2},
  [933] = {.lex_state = 13, .external_lex_state = 6},
  [934] = {.lex_state = 43, .external_lex_state = 2},
  [935] = {.lex_state = 13, .external_lex_state = 7},
  [936] = {.lex_state = 43, .external_lex_state = 2},
  [937] = {.lex_state = 43, .external_lex_state = 2},
  [938] = {.lex_state = 43, .external_lex_state = 2},
  [939] = {.lex_state = 43, .external_lex_state = 2},
  [940] = {.lex_state = 43, .external_lex_state = 2},
  [941] = {.lex_state = 43, .external_lex_state = 2},
  [942] = {.lex_state = 43, .external_lex_state = 2},
  [943] = {.lex_state = 43, .external_lex_state = 2},
  [944] = {.lex_state = 43, .external_lex_state = 2},
  [945] = {.lex_state = 43, .external_lex_state = 2},
  [946] = {.lex_state = 43, .external_lex_state = 2},
  [947] = {.lex_state = 43, .external_lex_state = 2},
  [948] = {.lex_state = 13, .external_lex_state = 6},
  [949] = {.lex_state = 43, .external_lex_state = 2},
  [950] = {.lex_state = 13, .external_lex_state = 6},
  [951] = {.lex_state = 13, .external_lex_state = 7},
  [952] = {.lex_state = 13, .external_lex_state = 13},
  [953] = {.lex_state = 43, .external_lex_state = 2},
  [954] = {.lex_state = 43, .external_lex_state = 2},
  [955] = {.lex_state = 43, .external_lex_state = 2},
  [956] = {.lex_state = 43, .external_lex_state = 2},
  [957] = {.lex_state = 43, .external_lex_state = 2},
  [958] = {.lex_state = 43, .external_lex_state = 2},
  [959] = {.lex_state = 43, .external_lex_state = 2},
  [960] = {.lex_state = 43, .external_lex_state = 2},
  [961] = {.lex_state = 43, .external_lex_state = 2},
  [962] = {.lex_state = 13, .external_lex_state = 10},
  [963] = {.lex_state = 43, .external_lex_state = 2},
  [964] = {.lex_state = 43, .external_lex_state = 2},
  [965] = {.lex_state = 43, .external_lex_state = 2},
  [966] = {.lex_state = 43, .external_lex_state = 2},
  [967] = {.lex_state = 12, .external_lex_state = 11},
  [968] = {.lex_state = 12, .external_lex_state = 11},
  [969] = {.lex_state = 43, .external_lex_state = 2},
  [970] = {.lex_state = 43, .external_lex_state = 2},
  [971] = {.lex_state = 43, .external_lex_state = 2},
  [972] = {.lex_state = 13, .external_lex_state = 13},
  [973] = {.lex_state = 13, .external_lex_state = 6},
  [974] = {.lex_state = 13, .external_lex_state = 11},
  [975] = {.lex_state = 13, .external_lex_state = 11},
  [976] = {.lex_state = 13, .external_lex_state = 9},
  [977] = {.lex_state = 12, .external_lex_state = 10},
  [978] = {.lex_state = 13, .external_lex_state = 11},
  [979] = {.lex_state = 13, .external_lex_state = 11},
  [980] = {.lex_state = 13, .external_lex_state = 11},
  [981] = {.lex_state = 13, .external_lex_state = 9},
  [982] = {.lex_state = 13, .external_lex_state = 11},
  [983] = {.lex_state = 13, .external_lex_state = 11},
  [984] = {.lex_state = 13, .external_lex_state = 9},
  [985] = {.lex_state = 12, .external_lex_state = 12},
  [986] = {.lex_state = 13, .external_lex_state = 9},
  [987] = {.lex_state = 13, .external_lex_state = 11},
  [988] = {.lex_state = 13, .external_lex_state = 11},
  [989] = {.lex_state = 12, .external_lex_state = 12},
  [990] = {.lex_state = 13, .external_lex_state = 11},
  [991] = {.lex_state = 13, .external_lex_state = 11},
  [992] = {.lex_state = 13, .external_lex_state = 2},
  [993] = {.lex_state = 13, .external_lex_state = 11},
  [994] = {.lex_state = 13, .external_lex_state = 11},
  [995] = {.lex_state = 13, .external_lex_state = 11},
  [996] = {.lex_state = 13, .external_lex_state = 11},
  [997] = {.lex_state = 13, .external_lex_state = 11},
  [998] = {.lex_state = 13, .external_lex_state = 11},
  [999] = {.lex_state = 13, .external_lex_state = 11},
  [1000] = {.lex_state = 13, .external_lex_state = 9},
  [1001] = {.lex_state = 13, .external_lex_state = 11},
  [1002] = {.lex_state = 13, .external_lex_state = 9},
  [1003] = {.lex_state = 13, .external_lex_state = 11},
  [1004] = {.lex_state = 13, .external_lex_state = 11},
  [1005] = {.lex_state = 13, .external_lex_state = 11},
  [1006] = {.lex_state = 13, .external_lex_state = 11},
  [1007] = {.lex_state = 13, .external_lex_state = 11},
  [1008] = {.lex_state = 13, .external_lex_state = 11},
  [1009] = {.lex_state = 13, .external_lex_state = 11},
  [1010] = {.lex_state = 13, .external_lex_state = 11},
  [1011] = {.lex_state = 13, .external_lex_state = 11},
  [1012] = {.lex_state = 12, .external_lex_state = 13},
  [1013] = {.lex_state = 13, .external_lex_state = 11},
  [1014] = {.lex_state = 13, .external_lex_state = 7},
  [1015] = {.lex_state = 13, .external_lex_state = 7},
  [1016] = {.lex_state = 13, .external_lex_state = 11},
  [1017] = {.lex_state = 13, .external_lex_state = 11},
  [1018] = {.lex_state = 13, .external_lex_state = 11},
  [1019] = {.lex_state = 12, .external_lex_state = 12},
  [1020] = {.lex_state = 12, .external_lex_state = 12},
  [1021] = {.lex_state = 13, .external_lex_state = 13},
  [1022] = {.lex_state = 13, .external_lex_state = 9},
  [1023] = {.lex_state = 13, .external_lex_state = 9},
  [1024] = {.lex_state = 13, .external_lex_state = 9},
  [1025] = {.lex_state = 13, .external_lex_state = 13},
  [1026] = {.lex_state = 13, .external_lex_state = 13},
  [1027] = {.lex_state = 12, .external_lex_state = 13},
  [1028] = {.lex_state = 13, .external_lex_state = 11},
  [1029] = {.lex_state = 13, .external_lex_state = 11},
  [1030] = {.lex_state = 13, .external_lex_state = 11},
  [1031] = {.lex_state = 13, .external_lex_state = 2},
  [1032] = {.lex_state = 13, .external_lex_state = 11},
  [1033] = {.lex_state = 13, .external_lex_state = 11},
  [1034] = {.lex_state = 13, .external_lex_state = 11},
  [1035] = {.lex_state = 13, .external_lex_state = 11},
  [1036] = {.lex_state = 13, .external_lex_state = 11},
  [1037] = {.lex_state = 13, .external_lex_state = 11},
  [1038] = {.lex_state = 13, .external_lex_state = 11},
  [1039] = {.lex_state = 13, .external_lex_state = 11},
  [1040] = {.lex_state = 13, .external_lex_state = 11},
  [1041] = {.lex_state = 13, .external_lex_state = 11},
  [1042] = {.lex_state = 13, .external_lex_state = 11},
  [1043] = {.lex_state = 13, .external_lex_state = 11},
  [1044] = {.lex_state = 13, .external_lex_state = 11},
  [1045] = {.lex_state = 13, .external_lex_state = 11},
  [1046] = {.lex_state = 13, .external_lex_state = 11},
  [1047] = {.lex_state = 13, .external_lex_state = 13},
  [1048] = {.lex_state = 13, .external_lex_state = 9},
  [1049] = {.lex_state = 13, .external_lex_state = 11},
  [1050] = {.lex_state = 13, .external_lex_state = 11},
  [1051] = {.lex_state = 13, .external_lex_state = 11},
  [1052] = {.lex_state = 13, .external_lex_state = 11},
  [1053] = {.lex_state = 13, .external_lex_state = 11},
  [1054] = {.lex_state = 13, .external_lex_state = 11},
  [1055] = {.lex_state = 13, .external_lex_state = 11},
  [1056] = {.lex_state = 13, .external_lex_state = 8},
  [1057] = {.lex_state = 13, .external_lex_state = 9},
  [1058] = {.lex_state = 13, .external_lex_state = 11},
  [1059] = {.lex_state = 13, .external_lex_state = 13},
  [1060] = {.lex_state = 12, .external_lex_state = 10},
  [1061] = {.lex_state = 13, .external_lex_state = 13},
  [1062] = {.lex_state = 13, .external_lex_state = 13},
  [1063] = {.lex_state = 13, .external_lex_state = 13},
  [1064] = {.lex_state = 13, .external_lex_state = 13},
  [1065] = {.lex_state = 13, .external_lex_state = 13},
  [1066] = {.lex_state = 13, .external_lex_state = 12},
  [1067] = {.lex_state = 13, .external_lex_state = 9},
  [1068] = {.lex_state = 13, .external_lex_state = 13},
  [1069] = {.lex_state = 13, .external_lex_state = 13},
  [1070] = {.lex_state = 13, .external_lex_state = 12},
  [1071] = {.lex_state = 13, .external_lex_state = 12},
  [1072] = {.lex_state = 13, .external_lex_state = 12},
  [1073] = {.lex_state = 13, .external_lex_state = 12},
  [1074] = {.lex_state = 13, .external_lex_state = 12},
  [1075] = {.lex_state = 13, .external_lex_state = 9},
  [1076] = {.lex_state = 13, .external_lex_state = 11},
  [1077] = {.lex_state = 12, .external_lex_state = 13},
  [1078] = {.lex_state = 13, .external_lex_state = 11},
  [1079] = {.lex_state = 13, .external_lex_state = 8},
  [1080] = {.lex_state = 13, .external_lex_state = 11},
  [1081] = {.lex_state = 13, .external_lex_state = 13},
  [1082] = {.lex_state = 13, .external_lex_state = 12},
  [1083] = {.lex_state = 13, .external_lex_state = 12},
  [1084] = {.lex_state = 13, .external_lex_state = 12},
  [1085] = {.lex_state = 13, .external_lex_state = 12},
  [1086] = {.lex_state = 13, .external_lex_state = 13},
  [1087] = {.lex_state = 13, .external_lex_state = 13},
  [1088] = {.lex_state = 13, .external_lex_state = 13},
  [1089] = {.lex_state = 13, .external_lex_state = 9},
  [1090] = {.lex_state = 13, .external_lex_state = 13},
  [1091] = {.lex_state = 13, .external_lex_state = 11},
  [1092] = {.lex_state = 13, .external_lex_state = 11},
  [1093] = {.lex_state = 13, .external_lex_state = 9},
  [1094] = {.lex_state = 13, .external_lex_state = 9},
  [1095] = {.lex_state = 13, .external_lex_state = 9},
  [1096] = {.lex_state = 13, .external_lex_state = 9},
  [1097] = {.lex_state = 13, .external_lex_state = 9},
  [1098] = {.lex_state = 13, .external_lex_state = 11},
  [1099] = {.lex_state = 13, .external_lex_state = 9},
  [1100] = {.lex_state = 13, .external_lex_state = 9},
  [1101] = {.lex_state = 13, .external_lex_state = 9},
  [1102] = {.lex_state = 13, .external_lex_state = 9},
  [1103] = {.lex_state = 13, .external_lex_state = 13},
  [1104] = {.lex_state = 13, .external_lex_state = 9},
  [1105] = {.lex_state = 13, .external_lex_state = 9},
  [1106] = {.lex_state = 12, .external_lex_state = 13},
  [1107] = {.lex_state = 13, .external_lex_state = 7},
  [1108] = {.lex_state = 13, .external_lex_state = 12},
  [1109] = {.lex_state = 13, .external_lex_state = 13},
  [1110] = {.lex_state = 13, .external_lex_state = 13},
  [1111] = {.lex_state = 13, .external_lex_state = 10},
  [1112] = {.lex_state = 13, .external_lex_state = 10},
  [1113] = {.lex_state = 13, .external_lex_state = 12},
  [1114] = {.lex_state = 13, .external_lex_state = 13},
  [1115] = {.lex_state = 13, .external_lex_state = 12},
  [1116] = {.lex_state = 13, .external_lex_state = 13},
  [1117] = {.lex_state = 13, .external_lex_state = 10},
  [1118] = {.lex_state = 13, .external_lex_state = 13},
  [1119] = {.lex_state = 13, .external_lex_state = 10},
  [1120] = {.lex_state = 13, .external_lex_state = 13},
  [1121] = {.lex_state = 13, .external_lex_state = 13},
  [1122] = {.lex_state = 13, .external_lex_state = 10},
  [1123] = {.lex_state = 13, .external_lex_state = 10},
  [1124] = {.lex_state = 13, .external_lex_state = 13},
  [1125] = {.lex_state = 13, .external_lex_state = 12},
  [1126] = {.lex_state = 13, .external_lex_state = 13},
  [1127] = {.lex_state = 13, .external_lex_state = 13},
  [1128] = {.lex_state = 13, .external_lex_state = 10},
  [1129] = {.lex_state = 13, .external_lex_state = 12},
  [1130] = {.lex_state = 13, .external_lex_state = 13},
  [1131] = {.lex_state = 13, .external_lex_state = 10},
  [1132] = {.lex_state = 13, .external_lex_state = 12},
  [1133] = {.lex_state = 13, .external_lex_state = 13},
  [1134] = {.lex_state = 13, .external_lex_state = 13},
  [1135] = {.lex_state = 13, .external_lex_state = 12},
  [1136] = {.lex_state = 13, .external_lex_state = 10},
  [1137] = {.lex_state = 12, .external_lex_state = 12},
  [1138] = {.lex_state = 13, .external_lex_state = 12},
  [1139] = {.lex_state = 13, .external_lex_state = 10},
  [1140] = {.lex_state = 13, .external_lex_state = 10},
  [1141] = {.lex_state = 13, .external_lex_state = 13},
  [1142] = {.lex_state = 12, .external_lex_state = 12},
  [1143] = {.lex_state = 13, .external_lex_state = 10},
  [1144] = {.lex_state = 13, .external_lex_state = 12},
  [1145] = {.lex_state = 13, .external_lex_state = 13},
  [1146] = {.lex_state = 12, .external_lex_state = 13},
  [1147] = {.lex_state = 13, .external_lex_state = 13},
  [1148] = {.lex_state = 13, .external_lex_state = 13},
  [1149] = {.lex_state = 13, .external_lex_state = 13},
  [1150] = {.lex_state = 13, .external_lex_state = 12},
  [1151] = {.lex_state = 13, .external_lex_state = 13},
  [1152] = {.lex_state = 13, .external_lex_state = 10},
  [1153] = {.lex_state = 13, .external_lex_state = 13},
  [1154] = {.lex_state = 13, .external_lex_state = 7},
  [1155] = {.lex_state = 13, .external_lex_state = 13},
  [1156] = {.lex_state = 13, .external_lex_state = 10},
  [1157] = {.lex_state = 13, .external_lex_state = 10},
  [1158] = {.lex_state = 13, .external_lex_state = 10},
  [1159] = {.lex_state = 13, .external_lex_state = 10},
  [1160] = {.lex_state = 13, .external_lex_state = 10},
  [1161] = {.lex_state = 13, .external_lex_state = 10},
  [1162] = {.lex_state = 13, .external_lex_state = 13},
  [1163] = {.lex_state = 12, .external_lex_state = 13},
  [1164] = {.lex_state = 13, .external_lex_state = 10},
  [1165] = {.lex_state = 13, .external_lex_state = 12},
  [1166] = {.lex_state = 13, .external_lex_state = 10},
  [1167] = {.lex_state = 13, .external_lex_state = 12},
  [1168] = {.lex_state = 12, .external_lex_state = 13},
  [1169] = {.lex_state = 13, .external_lex_state = 12},
  [1170] = {.lex_state = 13, .external_lex_state = 12},
  [1171] = {.lex_state = 13, .external_lex_state = 10},
  [1172] = {.lex_state = 13, .external_lex_state = 13},
  [1173] = {.lex_state = 13, .external_lex_state = 8},
  [1174] = {.lex_state = 13, .external_lex_state = 8},
  [1175] = {.lex_state = 13, .external_lex_state = 12},
  [1176] = {.lex_state = 13, .external_lex_state = 13},
  [1177] = {.lex_state = 13, .external_lex_state = 12},
  [1178] = {.lex_state = 13, .external_lex_state = 13},
  [1179] = {.lex_state = 13, .external_lex_state = 12},
  [1180] = {.lex_state = 13, .external_lex_state = 12},
  [1181] = {.lex_state = 12, .external_lex_state = 13},
  [1182] = {.lex_state = 13, .external_lex_state = 13},
  [1183] = {.lex_state = 13, .external_lex_state = 12},
  [1184] = {.lex_state = 13, .external_lex_state = 13},
  [1185] = {.lex_state = 13, .external_lex_state = 12},
  [1186] = {.lex_state = 13, .external_lex_state = 12},
  [1187] = {.lex_state = 13, .external_lex_state = 12},
  [1188] = {.lex_state = 13, .external_lex_state = 12},
  [1189] = {.lex_state = 13, .external_lex_state = 10},
  [1190] = {.lex_state = 13, .external_lex_state = 10},
  [1191] = {.lex_state = 13, .external_lex_state = 10},
  [1192] = {.lex_state = 13, .external_lex_state = 12},
  [1193] = {.lex_state = 13, .external_lex_state = 10},
  [1194] = {.lex_state = 13, .external_lex_state = 12},
  [1195] = {.lex_state = 13, .external_lex_state = 13},
  [1196] = {.lex_state = 13, .external_lex_state = 12},
  [1197] = {.lex_state = 13, .external_lex_state = 10},
  [1198] = {.lex_state = 13, .external_lex_state = 12},
  [1199] = {.lex_state = 13, .external_lex_state = 12},
  [1200] = {.lex_state = 13, .external_lex_state = 12},
  [1201] = {.lex_state = 13, .external_lex_state = 12},
  [1202] = {.lex_state = 13, .external_lex_state = 12},
  [1203] = {.lex_state = 13, .external_lex_state = 13},
  [1204] = {.lex_state = 13, .external_lex_state = 12},
  [1205] = {.lex_state = 13, .external_lex_state = 12},
  [1206] = {.lex_state = 13, .external_lex_state = 12},
  [1207] = {.lex_state = 13, .external_lex_state = 12},
  [1208] = {.lex_state = 13, .external_lex_state = 12},
  [1209] = {.lex_state = 13, .external_lex_state = 12},
  [1210] = {.lex_state = 13, .external_lex_state = 10},
  [1211] = {.lex_state = 13, .external_lex_state = 13},
  [1212] = {.lex_state = 13, .external_lex_state = 13},
  [1213] = {.lex_state = 13, .external_lex_state = 13},
  [1214] = {.lex_state = 13, .external_lex_state = 13},
  [1215] = {.lex_state = 13, .external_lex_state = 13},
  [1216] = {.lex_state = 13, .external_lex_state = 10},
  [1217] = {.lex_state = 13, .external_lex_state = 13},
  [1218] = {.lex_state = 12, .external_lex_state = 12},
  [1219] = {.lex_state = 13, .external_lex_state = 13},
  [1220] = {.lex_state = 13, .external_lex_state = 13},
  [1221] = {.lex_state = 13, .external_lex_state = 13},
  [1222] = {.lex_state = 13, .external_lex_state = 13},
  [1223] = {.lex_state = 13, .external_lex_state = 13},
  [1224] = {.lex_state = 13, .external_lex_state = 13},
  [1225] = {.lex_state = 13, .external_lex_state = 13},
  [1226] = {.lex_state = 13, .external_lex_state = 13},
  [1227] = {.lex_state = 13, .external_lex_state = 13},
  [1228] = {.lex_state = 13, .external_lex_state = 13},
  [1229] = {.lex_state = 13, .external_lex_state = 13},
  [1230] = {.lex_state = 13, .external_lex_state = 13},
  [1231] = {.lex_state = 13, .external_lex_state = 13},
  [1232] = {.lex_state = 13, .external_lex_state = 13},
  [1233] = {.lex_state = 13, .external_lex_state = 13},
  [1234] = {.lex_state = 13, .external_lex_state = 13},
  [1235] = {.lex_state = 13, .external_lex_state = 13},
  [1236] = {.lex_state = 13, .external_lex_state = 13},
  [1237] = {.lex_state = 13, .external_lex_state = 13},
  [1238] = {.lex_state = 13, .external_lex_state = 13},
  [1239] = {.lex_state = 13, .external_lex_state = 13},
  [1240] = {.lex_state = 13, .external_lex_state = 13},
  [1241] = {.lex_state = 13, .external_lex_state = 13},
  [1242] = {.lex_state = 13, .external_lex_state = 12},
  [1243] = {.lex_state = 13, .external_lex_state = 10},
  [1244] = {.lex_state = 13, .external_lex_state = 10},
  [1245] = {.lex_state = 13, .external_lex_state = 12},
  [1246] = {.lex_state = 13, .external_lex_state = 12},
  [1247] = {.lex_state = 13, .external_lex_state = 12},
  [1248] = {.lex_state = 13, .external_lex_state = 12},
  [1249] = {.lex_state = 13, .external_lex_state = 12},
  [1250] = {.lex_state = 13, .external_lex_state = 12},
  [1251] = {.lex_state = 13, .external_lex_state = 12},
  [1252] = {.lex_state = 13, .external_lex_state = 12},
  [1253] = {.lex_state = 13, .external_lex_state = 12},
  [1254] = {.lex_state = 13, .external_lex_state = 12},
  [1255] = {.lex_state = 13, .external_lex_state = 12},
  [1256] = {.lex_state = 13, .external_lex_state = 12},
  [1257] = {.lex_state = 13, .external_lex_state = 10},
  [1258] = {.lex_state = 13, .external_lex_state = 12},
  [1259] = {.lex_state = 13, .external_lex_state = 12},
  [1260] = {.lex_state = 13, .external_lex_state = 12},
  [1261] = {.lex_state = 13, .external_lex_state = 12},
  [1262] = {.lex_state = 13, .external_lex_state = 13},
  [1263] = {.lex_state = 13, .external_lex_state = 13},
  [1264] = {.lex_state = 13, .external_lex_state = 12},
  [1265] = {.lex_state = 13, .external_lex_state = 13},
  [1266] = {.lex_state = 12, .external_lex_state = 13},
  [1267] = {.lex_state = 13, .external_lex_state = 12},
  [1268] = {.lex_state = 13, .external_lex_state = 12},
  [1269] = {.lex_state = 13, .external_lex_state = 12},
  [1270] = {.lex_state = 13, .external_lex_state = 12},
  [1271] = {.lex_state = 13, .external_lex_state = 13},
  [1272] = {.lex_state = 13, .external_lex_state = 12},
  [1273] = {.lex_state = 13, .external_lex_state = 12},
  [1274] = {.lex_state = 13, .external_lex_state = 12},
  [1275] = {.lex_state = 13, .external_lex_state = 12},
  [1276] = {.lex_state = 13, .external_lex_state = 12},
  [1277] = {.lex_state = 13, .external_lex_state = 12},
  [1278] = {.lex_state = 13, .external_lex_state = 12},
  [1279] = {.lex_state = 13, .external_lex_state = 12},
  [1280] = {.lex_state = 13, .external_lex_state = 12},
  [1281] = {.lex_state = 13, .external_lex_state = 13},
  [1282] = {.lex_state = 13, .external_lex_state = 13},
  [1283] = {.lex_state = 13, .external_lex_state = 12},
  [1284] = {.lex_state = 13, .external_lex_state = 12},
  [1285] = {.lex_state = 11, .external_lex_state = 11},
  [1286] = {.lex_state = 0, .external_lex_state = 9},
  [1287] = {.lex_state = 11, .external_lex_state = 11},
  [1288] = {.lex_state = 11, .external_lex_state = 11},
  [1289] = {.lex_state = 0, .external_lex_state = 9},
  [1290] = {.lex_state = 11, .external_lex_state = 11},
  [1291] = {.lex_state = 13, .external_lex_state = 13},
  [1292] = {.lex_state = 0, .external_lex_state = 13},
  [1293] = {.lex_state = 13, .external_lex_state = 13},
  [1294] = {.lex_state = 11, .external_lex_state = 10},
  [1295] = {.lex_state = 13, .external_lex_state = 9},
  [1296] = {.lex_state = 0, .external_lex_state = 12},
  [1297] = {.lex_state = 0, .external_lex_state = 12},
  [1298] = {.lex_state = 11, .external_lex_state = 10},
  [1299] = {.lex_state = 13, .external_lex_state = 13},
  [1300] = {.lex_state = 13, .external_lex_state = 13},
  [1301] = {.lex_state = 0, .external_lex_state = 13},
  [1302] = {.lex_state = 13, .external_lex_state = 12},
  [1303] = {.lex_state = 13, .external_lex_state = 13},
  [1304] = {.lex_state = 11, .external_lex_state = 10},
  [1305] = {.lex_state = 0, .external_lex_state = 13},
  [1306] = {.lex_state = 11, .external_lex_state = 12},
  [1307] = {.lex_state = 13, .external_lex_state = 12},
  [1308] = {.lex_state = 13, .external_lex_state = 10},
  [1309] = {.lex_state = 13, .external_lex_state = 10},
  [1310] = {.lex_state = 13, .external_lex_state = 10},
  [1311] = {.lex_state = 0, .external_lex_state = 13},
  [1312] = {.lex_state = 13, .external_lex_state = 10},
  [1313] = {.lex_state = 11, .external_lex_state = 12},
  [1314] = {.lex_state = 13, .external_lex_state = 10},
  [1315] = {.lex_state = 11, .external_lex_state = 10},
  [1316] = {.lex_state = 13, .external_lex_state = 13},
  [1317] = {.lex_state = 13, .external_lex_state = 13},
  [1318] = {.lex_state = 13, .external_lex_state = 12},
  [1319] = {.lex_state = 13, .external_lex_state = 13},
  [1320] = {.lex_state = 13, .external_lex_state = 12},
  [1321] = {.lex_state = 13, .external_lex_state = 12},
  [1322] = {.lex_state = 13, .external_lex_state = 12},
  [1323] = {.lex_state = 13, .external_lex_state = 12},
  [1324] = {.lex_state = 13, .external_lex_state = 13},
  [1325] = {.lex_state = 11, .external_lex_state = 10},
  [1326] = {.lex_state = 11, .external_lex_state = 10},
  [1327] = {.lex_state = 11, .external_lex_state = 10},
  [1328] = {.lex_state = 11, .external_lex_state = 10},
  [1329] = {.lex_state = 11, .external_lex_state = 10},
  [1330] = {.lex_state = 11, .external_lex_state = 10},
  [1331] = {.lex_state = 11, .external_lex_state = 10},
  [1332] = {.lex_state = 11, .external_lex_state = 10},
  [1333] = {.lex_state = 11, .external_lex_state = 10},
  [1334] = {.lex_state = 11, .external_lex_state = 10},
  [1335] = {.lex_state = 11, .external_lex_state = 10},
  [1336] = {.lex_state = 11, .external_lex_state = 10},
  [1337] = {.lex_state = 11, .external_lex_state = 10},
  [1338] = {.lex_state = 11, .external_lex_state = 10},
  [1339] = {.lex_state = 11, .external_lex_state = 10},
  [1340] = {.lex_state = 11, .external_lex_state = 10},
  [1341] = {.lex_state = 0, .external_lex_state = 13},
  [1342] = {.lex_state = 11, .external_lex_state = 10},
  [1343] = {.lex_state = 0, .external_lex_state = 13},
  [1344] = {.lex_state = 11, .external_lex_state = 10},
  [1345] = {.lex_state = 0, .external_lex_state = 13},
  [1346] = {.lex_state = 11, .external_lex_state = 10},
  [1347] = {.lex_state = 0, .external_lex_state = 10},
  [1348] = {.lex_state = 0, .external_lex_state = 10},
  [1349] = {.lex_state = 11, .external_lex_state = 11},
  [1350] = {.lex_state = 11, .external_lex_state = 11},
  [1351] = {.lex_state = 11, .external_lex_state = 11},
  [1352] = {.lex_state = 11, .external_lex_state = 11},
  [1353] = {.lex_state = 11, .external_lex_state = 11},
  [1354] = {.lex_state = 11, .external_lex_state = 11},
  [1355] = {.lex_state = 11, .external_lex_state = 11},
  [1356] = {.lex_state = 11, .external_lex_state = 11},
  [1357] = {.lex_state = 0, .external_lex_state = 12},
  [1358] = {.lex_state = 0, .external_lex_state = 13},
  [1359] = {.lex_state = 0, .external_lex_state = 13},
  [1360] = {.lex_state = 0, .external_lex_state = 13},
  [1361] = {.lex_state = 0, .external_lex_state = 13},
  [1362] = {.lex_state = 0, .external_lex_state = 13},
  [1363] = {.lex_state = 0, .external_lex_state = 12},
  [1364] = {.lex_state = 0, .external_lex_state = 13},
  [1365] = {.lex_state = 0, .external_lex_state = 12},
  [1366] = {.lex_state = 0, .external_lex_state = 13},
  [1367] = {.lex_state = 0, .external_lex_state = 12},
  [1368] = {.lex_state = 0, .external_lex_state = 13},
  [1369] = {.lex_state = 0, .external_lex_state = 13},
  [1370] = {.lex_state = 0, .external_lex_state = 13},
  [1371] = {.lex_state = 0, .external_lex_state = 13},
  [1372] = {.lex_state = 0, .external_lex_state = 12},
  [1373] = {.lex_state = 0, .external_lex_state = 12},
  [1374] = {.lex_state = 0, .external_lex_state = 13},
  [1375] = {.lex_state = 0, .external_lex_state = 13},
  [1376] = {.lex_state = 0, .external_lex_state = 13},
  [1377] = {.lex_state = 0, .external_lex_state = 13},
  [1378] = {.lex_state = 0, .external_lex_state = 13},
  [1379] = {.lex_state = 0, .external_lex_state = 13},
  [1380] = {.lex_state = 0, .external_lex_state = 12},
  [1381] = {.lex_state = 0, .external_lex_state = 12},
  [1382] = {.lex_state = 15, .external_lex_state = 14},
  [1383] = {.lex_state = 15, .external_lex_state = 14},
  [1384] = {.lex_state = 15, .external_lex_state = 14},
  [1385] = {.lex_state = 15, .external_lex_state = 14},
  [1386] = {.lex_state = 15, .external_lex_state = 14},
  [1387] = {.lex_state = 15, .external_lex_state = 14},
  [1388] = {.lex_state = 15, .external_lex_state = 14},
  [1389] = {.lex_state = 15, .external_lex_state = 14},
  [1390] = {.lex_state = 15, .external_lex_state = 14},
  [1391] = {.lex_state = 15, .external_lex_state = 14},
  [1392] = {.lex_state = 15, .external_lex_state = 14},
  [1393] = {.lex_state = 15, .external_lex_state = 14},
  [1394] = {.lex_state = 15, .external_lex_state = 14},
  [1395] = {.lex_state = 15, .external_lex_state = 14},
  [1396] = {.lex_state = 15, .external_lex_state = 14},
  [1397] = {.lex_state = 15, .external_lex_state = 14},
  [1398] = {.lex_state = 15, .external_lex_state = 14},
  [1399] = {.lex_state = 15, .external_lex_state = 14},
  [1400] = {.lex_state = 15, .external_lex_state = 14},
  [1401] = {.lex_state = 11, .external_lex_state = 11},
  [1402] = {.lex_state = 11, .external_lex_state = 11},
  [1403] = {.lex_state = 0, .external_lex_state = 9},
  [1404] = {.lex_state = 11, .external_lex_state = 11},
  [1405] = {.lex_state = 11, .external_lex_state = 11},
  [1406] = {.lex_state = 11, .external_lex_state = 11},
  [1407] = {.lex_state = 0, .external_lex_state = 9},
  [1408] = {.lex_state = 11, .external_lex_state = 11},
  [1409] = {.lex_state = 11, .external_lex_state = 11},
  [1410] = {.lex_state = 11, .external_lex_state = 11},
  [1411] = {.lex_state = 11, .external_lex_state = 11},
  [1412] = {.lex_state = 11, .external_lex_state = 11},
  [1413] = {.lex_state = 0, .external_lex_state = 9},
  [1414] = {.lex_state = 11, .external_lex_state = 11},
  [1415] = {.lex_state = 0, .external_lex_state = 9},
  [1416] = {.lex_state = 0, .external_lex_state = 9},
  [1417] = {.lex_state = 11, .external_lex_state = 11},
  [1418] = {.lex_state = 11, .external_lex_state = 11},
  [1419] = {.lex_state = 11, .external_lex_state = 11},
  [1420] = {.lex_state = 0, .external_lex_state = 9},
  [1421] = {.lex_state = 0, .external_lex_state = 9},
  [1422] = {.lex_state = 0, .external_lex_state = 9},
  [1423] = {.lex_state = 11, .external_lex_state = 11},
  [1424] = {.lex_state = 11, .external_lex_state = 11},
  [1425] = {.lex_state = 11, .external_lex_state = 11},
  [1426] = {.lex_state = 0, .external_lex_state = 9},
  [1427] = {.lex_state = 0, .external_lex_state = 9},
  [1428] = {.lex_state = 11, .external_lex_state = 11},
  [1429] = {.lex_state = 0, .external_lex_state = 9},
  [1430] = {.lex_state = 11, .external_lex_state = 11},
  [1431] = {.lex_state = 11, .external_lex_state = 11},
  [1432] = {.lex_state = 11, .external_lex_state = 11},
  [1433] = {.lex_state = 11, .external_lex_state = 10},
  [1434] = {.lex_state = 11, .external_lex_state = 12},
  [1435] = {.lex_state = 0, .external_lex_state = 11},
  [1436] = {.lex_state = 0, .external_lex_state = 13},
  [1437] = {.lex_state = 11, .external_lex_state = 10},
  [1438] = {.lex_state = 11, .external_lex_state = 10},
  [1439] = {.lex_state = 0, .external_lex_state = 10},
  [1440] = {.lex_state = 0, .external_lex_state = 13},
  [1441] = {.lex_state = 0, .external_lex_state = 10},
  [1442] = {.lex_state = 0, .external_lex_state = 12},
  [1443] = {.lex_state = 11, .external_lex_state = 10},
  [1444] = {.lex_state = 0, .external_lex_state = 12},
  [1445] = {.lex_state = 11, .external_lex_state = 12},
  [1446] = {.lex_state = 0, .external_lex_state = 9},
  [1447] = {.lex_state = 0, .external_lex_state = 12},
  [1448] = {.lex_state = 0, .external_lex_state = 11},
  [1449] = {.lex_state = 11, .external_lex_state = 12},
  [1450] = {.lex_state = 11, .external_lex_state = 10},
  [1451] = {.lex_state = 11, .external_lex_state = 12},
  [1452] = {.lex_state = 0, .external_lex_state = 9},
  [1453] = {.lex_state = 0, .external_lex_state = 13},
  [1454] = {.lex_state = 0, .external_lex_state = 13},
  [1455] = {.lex_state = 0, .external_lex_state = 9},
  [1456] = {.lex_state = 0, .external_lex_state = 9},
  [1457] = {.lex_state = 0, .external_lex_state = 13},
  [1458] = {.lex_state = 0, .external_lex_state = 11},
  [1459] = {.lex_state = 0, .external_lex_state = 13},
  [1460] = {.lex_state = 0, .external_lex_state = 9},
  [1461] = {.lex_state = 0, .external_lex_state = 11},
  [1462] = {.lex_state = 0, .external_lex_state = 12},
  [1463] = {.lex_state = 11, .external_lex_state = 10},
  [1464] = {.lex_state = 0, .external_lex_state = 12},
  [1465] = {.lex_state = 0, .external_lex_state = 13},
  [1466] = {.lex_state = 0, .external_lex_state = 12},
  [1467] = {.lex_state = 0, .external_lex_state = 9},
  [1468] = {.lex_state = 0, .external_lex_state = 12},
  [1469] = {.lex_state = 11, .external_lex_state = 10},
  [1470] = {.lex_state = 0, .external_lex_state = 9},
  [1471] = {.lex_state = 0, .external_lex_state = 13},
  [1472] = {.lex_state = 0, .external_lex_state = 12},
  [1473] = {.lex_state = 0, .external_lex_state = 12},
  [1474] = {.lex_state = 0, .external_lex_state = 12},
  [1475] = {.lex_state = 11, .external_lex_state = 10},
  [1476] = {.lex_state = 0, .external_lex_state = 12},
  [1477] = {.lex_state = 0, .external_lex_state = 13},
  [1478] = {.lex_state = 11, .external_lex_state = 12},
  [1479] = {.lex_state = 0, .external_lex_state = 13},
  [1480] = {.lex_state = 0, .external_lex_state = 12},
  [1481] = {.lex_state = 0, .external_lex_state = 13},
  [1482] = {.lex_state = 11, .external_lex_state = 10},
  [1483] = {.lex_state = 0, .external_lex_state = 13},
  [1484] = {.lex_state = 11, .external_lex_state = 12},
  [1485] = {.lex_state = 11, .external_lex_state = 12},
  [1486] = {.lex_state = 11, .external_lex_state = 12},
  [1487] = {.lex_state = 11, .external_lex_state = 10},
  [1488] = {.lex_state = 11, .external_lex_state = 10},
  [1489] = {.lex_state = 0, .external_lex_state = 9},
  [1490] = {.lex_state = 0, .external_lex_state = 12},
  [1491] = {.lex_state = 0, .external_lex_state = 9},
  [1492] = {.lex_state = 11, .external_lex_state = 10},
  [1493] = {.lex_state = 0, .external_lex_state = 13},
  [1494] = {.lex_state = 11, .external_lex_state = 10},
  [1495] = {.lex_state = 11, .external_lex_state = 10},
  [1496] = {.lex_state = 0, .external_lex_state = 13},
  [1497] = {.lex_state = 0, .external_lex_state = 13},
  [1498] = {.lex_state = 0, .external_lex_state = 11},
  [1499] = {.lex_state = 11, .external_lex_state = 12},
  [1500] = {.lex_state = 0, .external_lex_state = 13},
  [1501] = {.lex_state = 0, .external_lex_state = 11},
  [1502] = {.lex_state = 11, .external_lex_state = 12},
  [1503] = {.lex_state = 0, .external_lex_state = 12},
  [1504] = {.lex_state = 0, .external_lex_state = 13},
  [1505] = {.lex_state = 0, .external_lex_state = 11},
  [1506] = {.lex_state = 0, .external_lex_state = 9},
  [1507] = {.lex_state = 0, .external_lex_state = 12},
  [1508] = {.lex_state = 15, .external_lex_state = 14},
  [1509] = {.lex_state = 0, .external_lex_state = 12},
  [1510] = {.lex_state = 0, .external_lex_state = 12},
  [1511] = {.lex_state = 15, .external_lex_state = 14},
  [1512] = {.lex_state = 11, .external_lex_state = 12},
  [1513] = {.lex_state = 11, .external_lex_state = 12},
  [1514] = {.lex_state = 11, .external_lex_state = 10},
  [1515] = {.lex_state = 0, .external_lex_state = 11},
  [1516] = {.lex_state = 11, .external_lex_state = 12},
  [1517] = {.lex_state = 0, .external_lex_state = 11},
  [1518] = {.lex_state = 0, .external_lex_state = 11},
  [1519] = {.lex_state = 11, .external_lex_state = 10},
  [1520] = {.lex_state = 11, .external_lex_state = 12},
  [1521] = {.lex_state = 11, .external_lex_state = 12},
  [1522] = {.lex_state = 11, .external_lex_state = 12},
  [1523] = {.lex_state = 11, .external_lex_state = 12},
  [1524] = {.lex_state = 0, .external_lex_state = 11},
  [1525] = {.lex_state = 0, .external_lex_state = 10},
  [1526] = {.lex_state = 11, .external_lex_state = 10},
  [1527] = {.lex_state = 0, .external_lex_state = 13},
  [1528] = {.lex_state = 0, .external_lex_state = 13},
  [1529] = {.lex_state = 0, .external_lex_state = 13},
  [1530] = {.lex_state = 0, .external_lex_state = 13},
  [1531] = {.lex_state = 0, .external_lex_state = 13},
  [1532] = {.lex_state = 0, .external_lex_state = 13},
  [1533] = {.lex_state = 0, .external_lex_state = 11},
  [1534] = {.lex_state = 0, .external_lex_state = 11},
  [1535] = {.lex_state = 0, .external_lex_state = 11},
  [1536] = {.lex_state = 0, .external_lex_state = 11},
  [1537] = {.lex_state = 0, .external_lex_state = 11},
  [1538] = {.lex_state = 11, .external_lex_state = 10},
  [1539] = {.lex_state = 11, .external_lex_state = 12},
  [1540] = {.lex_state = 15, .external_lex_state = 14},
  [1541] = {.lex_state = 0, .external_lex_state = 9},
  [1542] = {.lex_state = 11, .external_lex_state = 10},
  [1543] = {.lex_state = 13, .external_lex_state = 10},
  [1544] = {.lex_state = 15, .external_lex_state = 14},
  [1545] = {.lex_state = 0, .external_lex_state = 13},
  [1546] = {.lex_state = 0, .external_lex_state = 13},
  [1547] = {.lex_state = 0, .external_lex_state = 13},
  [1548] = {.lex_state = 0, .external_lex_state = 13},
  [1549] = {.lex_state = 11, .external_lex_state = 12},
  [1550] = {.lex_state = 0, .external_lex_state = 13},
  [1551] = {.lex_state = 0, .external_lex_state = 13},
  [1552] = {.lex_state = 0, .external_lex_state = 13},
  [1553] = {.lex_state = 0, .external_lex_state = 9},
  [1554] = {.lex_state = 11, .external_lex_state = 12},
  [1555] = {.lex_state = 11, .external_lex_state = 12},
  [1556] = {.lex_state = 0, .external_lex_state = 12},
  [1557] = {.lex_state = 0, .external_lex_state = 11},
  [1558] = {.lex_state = 11, .external_lex_state = 10},
  [1559] = {.lex_state = 0, .external_lex_state = 13},
  [1560] = {.lex_state = 13, .external_lex_state = 9},
  [1561] = {.lex_state = 0, .external_lex_state = 12},
  [1562] = {.lex_state = 11, .external_lex_state = 10},
  [1563] = {.lex_state = 0, .external_lex_state = 13},
  [1564] = {.lex_state = 0, .external_lex_state = 12},
  [1565] = {.lex_state = 0, .external_lex_state = 11},
  [1566] = {.lex_state = 0, .external_lex_state = 12},
  [1567] = {.lex_state = 0, .external_lex_state = 13},
  [1568] = {.lex_state = 0, .external_lex_state = 11},
  [1569] = {.lex_state = 0, .external_lex_state = 11},
  [1570] = {.lex_state = 0, .external_lex_state = 9},
  [1571] = {.lex_state = 0, .external_lex_state = 9},
  [1572] = {.lex_state = 0, .external_lex_state = 12},
  [1573] = {.lex_state = 0, .external_lex_state = 11},
  [1574] = {.lex_state = 0, .external_lex_state = 11},
  [1575] = {.lex_state = 0, .external_lex_state = 13},
  [1576] = {.lex_state = 0, .external_lex_state = 11},
  [1577] = {.lex_state = 0, .external_lex_state = 12},
  [1578] = {.lex_state = 0, .external_lex_state = 13},
  [1579] = {.lex_state = 0, .external_lex_state = 11},
  [1580] = {.lex_state = 0, .external_lex_state = 13},
  [1581] = {.lex_state = 11, .external_lex_state = 10},
  [1582] = {.lex_state = 0, .external_lex_state = 12},
  [1583] = {.lex_state = 0, .external_lex_state = 12},
  [1584] = {.lex_state = 0, .external_lex_state = 13},
  [1585] = {.lex_state = 11, .external_lex_state = 10},
  [1586] = {.lex_state = 0, .external_lex_state = 13},
  [1587] = {.lex_state = 0, .external_lex_state = 12},
  [1588] = {.lex_state = 0, .external_lex_state = 13},
  [1589] = {.lex_state = 0, .external_lex_state = 13},
  [1590] = {.lex_state = 0, .external_lex_state = 9},
  [1591] = {.lex_state = 11, .external_lex_state = 10},
  [1592] = {.lex_state = 13, .external_lex_state = 9},
  [1593] = {.lex_state = 11, .external_lex_state = 10},
  [1594] = {.lex_state = 0, .external_lex_state = 13},
  [1595] = {.lex_state = 11, .external_lex_state = 10},
  [1596] = {.lex_state = 0, .external_lex_state = 11},
  [1597] = {.lex_state = 11, .external_lex_state = 10},
  [1598] = {.lex_state = 0, .external_lex_state = 13},
  [1599] = {.lex_state = 0, .external_lex_state = 11},
  [1600] = {.lex_state = 0, .external_lex_state = 13},
  [1601] = {.lex_state = 0, .external_lex_state = 11},
  [1602] = {.lex_state = 0, .external_lex_state = 12},
  [1603] = {.lex_state = 0, .external_lex_state = 11},
  [1604] = {.lex_state = 0, .external_lex_state = 10},
  [1605] = {.lex_state = 0, .external_lex_state = 13},
  [1606] = {.lex_state = 11, .external_lex_state = 10},
  [1607] = {.lex_state = 11, .external_lex_state = 10},
  [1608] = {.lex_state = 0, .external_lex_state = 12},
  [1609] = {.lex_state = 0, .external_lex_state = 13},
  [1610] = {.lex_state = 0, .external_lex_state = 13},
  [1611] = {.lex_state = 13, .external_lex_state = 9},
  [1612] = {.lex_state = 0, .external_lex_state = 12},
  [1613] = {.lex_state = 0, .external_lex_state = 12},
  [1614] = {.lex_state = 11, .external_lex_state = 10},
  [1615] = {.lex_state = 0, .external_lex_state = 10},
  [1616] = {.lex_state = 0, .external_lex_state = 10},
  [1617] = {.lex_state = 13, .external_lex_state = 13},
  [1618] = {.lex_state = 0, .external_lex_state = 13},
  [1619] = {.lex_state = 0, .external_lex_state = 9},
  [1620] = {.lex_state = 0, .external_lex_state = 10},
  [1621] = {.lex_state = 11, .external_lex_state = 10},
  [1622] = {.lex_state = 0, .external_lex_state = 10},
  [1623] = {.lex_state = 11, .external_lex_state = 10},
  [1624] = {.lex_state = 0, .external_lex_state = 10},
  [1625] = {.lex_state = 0, .external_lex_state = 9},
  [1626] = {.lex_state = 0, .external_lex_state = 13},
  [1627] = {.lex_state = 11, .external_lex_state = 10},
  [1628] = {.lex_state = 13, .external_lex_state = 13},
  [1629] = {.lex_state = 0, .external_lex_state = 10},
  [1630] = {.lex_state = 0, .external_lex_state = 10},
  [1631] = {.lex_state = 0, .external_lex_state = 12},
  [1632] = {.lex_state = 0, .external_lex_state = 10},
  [1633] = {.lex_state = 11, .external_lex_state = 10},
  [1634] = {.lex_state = 0, .external_lex_state = 9},
  [1635] = {.lex_state = 0, .external_lex_state = 10},
  [1636] = {.lex_state = 0, .external_lex_state = 12},
  [1637] = {.lex_state = 0, .external_lex_state = 11},
  [1638] = {.lex_state = 0, .external_lex_state = 9},
  [1639] = {.lex_state = 0, .external_lex_state = 11},
  [1640] = {.lex_state = 6, .external_lex_state = 11},
  [1641] = {.lex_state = 11, .external_lex_state = 10},
  [1642] = {.lex_state = 13, .external_lex_state = 9},
  [1643] = {.lex_state = 11, .external_lex_state = 10},
  [1644] = {.lex_state = 11, .external_lex_state = 10},
  [1645] = {.lex_state = 0, .external_lex_state = 10},
  [1646] = {.lex_state = 0, .external_lex_state = 11},
  [1647] = {.lex_state = 11, .external_lex_state = 10},
  [1648] = {.lex_state = 0, .external_lex_state = 10},
  [1649] = {.lex_state = 13, .external_lex_state = 13},
  [1650] = {.lex_state = 11, .external_lex_state = 10},
  [1651] = {.lex_state = 6, .external_lex_state = 11},
  [1652] = {.lex_state = 11, .external_lex_state = 10},
  [1653] = {.lex_state = 11, .external_lex_state = 10},
  [1654] = {.lex_state = 11, .external_lex_state = 10},
  [1655] = {.lex_state = 6, .external_lex_state = 11},
  [1656] = {.lex_state = 11, .external_lex_state = 10},
  [1657] = {.lex_state = 11, .external_lex_state = 10},
  [1658] = {.lex_state = 11, .external_lex_state = 10},
  [1659] = {.lex_state = 0, .external_lex_state = 9},
  [1660] = {.lex_state = 0, .external_lex_state = 13},
  [1661] = {.lex_state = 0, .external_lex_state = 10},
  [1662] = {.lex_state = 0, .external_lex_state = 12},
  [1663] = {.lex_state = 0, .external_lex_state = 11},
  [1664] = {.lex_state = 0, .external_lex_state = 9},
  [1665] = {.lex_state = 0, .external_lex_state = 10},
  [1666] = {.lex_state = 0, .external_lex_state = 9},
  [1667] = {.lex_state = 0, .external_lex_state = 13},
  [1668] = {.lex_state = 11, .external_lex_state = 10},
  [1669] = {.lex_state = 0, .external_lex_state = 9},
  [1670] = {.lex_state = 0, .external_lex_state = 9},
  [1671] = {.lex_state = 0, .external_lex_state = 9},
  [1672] = {.lex_state = 0, .external_lex_state = 9},
  [1673] = {.lex_state = 0, .external_lex_state = 13},
  [1674] = {.lex_state = 13, .external_lex_state = 10},
  [1675] = {.lex_state = 0, .external_lex_state = 9},
  [1676] = {.lex_state = 11, .external_lex_state = 11},
  [1677] = {.lex_state = 0, .external_lex_state = 9},
  [1678] = {.lex_state = 0, .external_lex_state = 13},
  [1679] = {.lex_state = 13, .external_lex_state = 10},
  [1680] = {.lex_state = 0, .external_lex_state = 10},
  [1681] = {.lex_state = 0, .external_lex_state = 9},
  [1682] = {.lex_state = 0, .external_lex_state = 9},
  [1683] = {.lex_state = 0, .external_lex_state = 10},
  [1684] = {.lex_state = 0, .external_lex_state = 9},
  [1685] = {.lex_state = 0, .external_lex_state = 9},
  [1686] = {.lex_state = 0, .external_lex_state = 9},
  [1687] = {.lex_state = 0, .external_lex_state = 10},
  [1688] = {.lex_state = 0, .external_lex_state = 9},
  [1689] = {.lex_state = 0, .external_lex_state = 9},
  [1690] = {.lex_state = 0, .external_lex_state = 10},
  [1691] = {.lex_state = 13, .external_lex_state = 13},
  [1692] = {.lex_state = 0, .external_lex_state = 13},
  [1693] = {.lex_state = 0, .external_lex_state = 9},
  [1694] = {.lex_state = 0, .external_lex_state = 9},
  [1695] = {.lex_state = 0, .external_lex_state = 9},
  [1696] = {.lex_state = 11, .external_lex_state = 13},
  [1697] = {.lex_state = 11, .external_lex_state = 10},
  [1698] = {.lex_state = 0, .external_lex_state = 13},
  [1699] = {.lex_state = 0, .external_lex_state = 13},
  [1700] = {.lex_state = 0, .external_lex_state = 13},
  [1701] = {.lex_state = 6, .external_lex_state = 11},
  [1702] = {.lex_state = 0, .external_lex_state = 11},
  [1703] = {.lex_state = 0, .external_lex_state = 13},
  [1704] = {.lex_state = 0, .external_lex_state = 12},
  [1705] = {.lex_state = 0, .external_lex_state = 9},
  [1706] = {.lex_state = 0, .external_lex_state = 9},
  [1707] = {.lex_state = 0, .external_lex_state = 10},
  [1708] = {.lex_state = 13, .external_lex_state = 10},
  [1709] = {.lex_state = 0, .external_lex_state = 9},
  [1710] = {.lex_state = 0, .external_lex_state = 10},
  [1711] = {.lex_state = 0, .external_lex_state = 11},
  [1712] = {.lex_state = 0, .external_lex_state = 11},
  [1713] = {.lex_state = 0, .external_lex_state = 13},
  [1714] = {.lex_state = 0, .external_lex_state = 13},
  [1715] = {.lex_state = 0, .external_lex_state = 10},
  [1716] = {.lex_state = 0, .external_lex_state = 13},
  [1717] = {.lex_state = 0, .external_lex_state = 13},
  [1718] = {.lex_state = 0, .external_lex_state = 13},
  [1719] = {.lex_state = 11, .external_lex_state = 10},
  [1720] = {.lex_state = 0, .external_lex_state = 13},
  [1721] = {.lex_state = 0, .external_lex_state = 12},
  [1722] = {.lex_state = 11, .external_lex_state = 10},
  [1723] = {.lex_state = 0, .external_lex_state = 13},
  [1724] = {.lex_state = 0, .external_lex_state = 10},
  [1725] = {.lex_state = 11, .external_lex_state = 10},
  [1726] = {.lex_state = 0, .external_lex_state = 13},
  [1727] = {.lex_state = 0, .external_lex_state = 9},
  [1728] = {.lex_state = 0, .external_lex_state = 13},
  [1729] = {.lex_state = 11, .external_lex_state = 10},
  [1730] = {.lex_state = 0, .external_lex_state = 13},
  [1731] = {.lex_state = 0, .external_lex_state = 9},
  [1732] = {.lex_state = 0, .external_lex_state = 12},
  [1733] = {.lex_state = 0, .external_lex_state = 9},
  [1734] = {.lex_state = 0, .external_lex_state = 12},
  [1735] = {.lex_state = 0, .external_lex_state = 9},
  [1736] = {.lex_state = 0, .external_lex_state = 11},
  [1737] = {.lex_state = 0, .external_lex_state = 13},
  [1738] = {.lex_state = 0, .external_lex_state = 9},
  [1739] = {.lex_state = 0, .external_lex_state = 11},
  [1740] = {.lex_state = 0, .external_lex_state = 13},
  [1741] = {.lex_state = 0, .external_lex_state = 9},
  [1742] = {.lex_state = 0, .external_lex_state = 13},
  [1743] = {.lex_state = 0, .external_lex_state = 13},
  [1744] = {.lex_state = 0, .external_lex_state = 13},
  [1745] = {.lex_state = 0, .external_lex_state = 11},
  [1746] = {.lex_state = 0, .external_lex_state = 11},
  [1747] = {.lex_state = 11, .external_lex_state = 10},
  [1748] = {.lex_state = 0, .external_lex_state = 11},
  [1749] = {.lex_state = 0, .external_lex_state = 11},
  [1750] = {.lex_state = 0, .external_lex_state = 12},
  [1751] = {.lex_state = 0, .external_lex_state = 13},
  [1752] = {.lex_state = 0, .external_lex_state = 13},
  [1753] = {.lex_state = 0, .external_lex_state = 12},
  [1754] = {.lex_state = 0, .external_lex_state = 13},
  [1755] = {.lex_state = 0, .external_lex_state = 13},
  [1756] = {.lex_state = 0, .external_lex_state = 12},
  [1757] = {.lex_state = 0, .external_lex_state = 12},
  [1758] = {.lex_state = 0, .external_lex_state = 12},
  [1759] = {.lex_state = 0, .external_lex_state = 13},
  [1760] = {.lex_state = 11, .external_lex_state = 11},
  [1761] = {.lex_state = 0, .external_lex_state = 13},
  [1762] = {.lex_state = 0, .external_lex_state = 13},
  [1763] = {.lex_state = 0, .external_lex_state = 13},
  [1764] = {.lex_state = 0, .external_lex_state = 13},
  [1765] = {.lex_state = 0, .external_lex_state = 13},
  [1766] = {.lex_state = 0, .external_lex_state = 12},
  [1767] = {.lex_state = 0, .external_lex_state = 12},
  [1768] = {.lex_state = 0, .external_lex_state = 12},
  [1769] = {.lex_state = 0, .external_lex_state = 13},
  [1770] = {.lex_state = 0, .external_lex_state = 13},
  [1771] = {.lex_state = 0, .external_lex_state = 13},
  [1772] = {.lex_state = 0, .external_lex_state = 9},
  [1773] = {.lex_state = 0, .external_lex_state = 9},
  [1774] = {.lex_state = 0, .external_lex_state = 12},
  [1775] = {.lex_state = 0, .external_lex_state = 13},
  [1776] = {.lex_state = 0, .external_lex_state = 13},
  [1777] = {.lex_state = 11, .external_lex_state = 10},
  [1778] = {.lex_state = 0, .external_lex_state = 12},
  [1779] = {.lex_state = 0, .external_lex_state = 12},
  [1780] = {.lex_state = 0, .external_lex_state = 13},
  [1781] = {.lex_state = 0, .external_lex_state = 13},
  [1782] = {.lex_state = 0, .external_lex_state = 10},
  [1783] = {.lex_state = 0, .external_lex_state = 10},
  [1784] = {.lex_state = 0, .external_lex_state = 13},
  [1785] = {.lex_state = 0, .external_lex_state = 11},
  [1786] = {.lex_state = 0, .external_lex_state = 9},
  [1787] = {.lex_state = 0, .external_lex_state = 13},
  [1788] = {.lex_state = 11, .external_lex_state = 10},
  [1789] = {.lex_state = 0, .external_lex_state = 12},
  [1790] = {.lex_state = 11, .external_lex_state = 10},
  [1791] = {.lex_state = 0, .external_lex_state = 13},
  [1792] = {.lex_state = 11, .external_lex_state = 10},
  [1793] = {.lex_state = 0, .external_lex_state = 11},
  [1794] = {.lex_state = 0, .external_lex_state = 12},
  [1795] = {.lex_state = 0, .external_lex_state = 13},
  [1796] = {.lex_state = 0, .external_lex_state = 11},
  [1797] = {.lex_state = 0, .external_lex_state = 11},
  [1798] = {.lex_state = 0, .external_lex_state = 10},
  [1799] = {.lex_state = 0, .external_lex_state = 11},
  [1800] = {.lex_state = 13, .external_lex_state = 10},
  [1801] = {.lex_state = 0, .external_lex_state = 9},
  [1802] = {.lex_state = 0, .external_lex_state = 12},
  [1803] = {.lex_state = 0, .external_lex_state = 13},
  [1804] = {.lex_state = 0, .external_lex_state = 10},
  [1805] = {.lex_state = 0, .external_lex_state = 12},
  [1806] = {.lex_state = 11, .external_lex_state = 13},
  [1807] = {.lex_state = 0, .external_lex_state = 13},
  [1808] = {.lex_state = 0, .external_lex_state = 11},
  [1809] = {.lex_state = 0, .external_lex_state = 13},
  [1810] = {.lex_state = 0, .external_lex_state = 10},
  [1811] = {.lex_state = 0, .external_lex_state = 13},
  [1812] = {.lex_state = 0, .external_lex_state = 11},
  [1813] = {.lex_state = 0, .external_lex_state = 13},
  [1814] = {.lex_state = 0, .external_lex_state = 13},
  [1815] = {.lex_state = 0, .external_lex_state = 10},
  [1816] = {.lex_state = 0, .external_lex_state = 13},
  [1817] = {.lex_state = 0, .external_lex_state = 12},
  [1818] = {.lex_state = 0, .external_lex_state = 12},
  [1819] = {.lex_state = 0, .external_lex_state = 12},
  [1820] = {.lex_state = 11, .external_lex_state = 10},
  [1821] = {.lex_state = 11, .external_lex_state = 10},
  [1822] = {.lex_state = 11, .external_lex_state = 10},
  [1823] = {.lex_state = 0, .external_lex_state = 13},
  [1824] = {.lex_state = 0, .external_lex_state = 10},
  [1825] = {.lex_state = 0, .external_lex_state = 12},
  [1826] = {.lex_state = 0, .external_lex_state = 12},
  [1827] = {.lex_state = 13, .external_lex_state = 10},
  [1828] = {.lex_state = 0, .external_lex_state = 13},
  [1829] = {.lex_state = 0, .external_lex_state = 13},
  [1830] = {.lex_state = 11, .external_lex_state = 10},
  [1831] = {.lex_state = 0, .external_lex_state = 13},
  [1832] = {.lex_state = 0, .external_lex_state = 10},
  [1833] = {.lex_state = 0, .external_lex_state = 13},
  [1834] = {.lex_state = 0, .external_lex_state = 12},
  [1835] = {.lex_state = 0, .external_lex_state = 13},
  [1836] = {.lex_state = 0, .external_lex_state = 9},
  [1837] = {.lex_state = 0, .external_lex_state = 13},
  [1838] = {.lex_state = 0, .external_lex_state = 9},
  [1839] = {.lex_state = 11, .external_lex_state = 10},
  [1840] = {.lex_state = 0, .external_lex_state = 13},
  [1841] = {.lex_state = 0, .external_lex_state = 13},
  [1842] = {.lex_state = 0, .external_lex_state = 12},
  [1843] = {.lex_state = 0, .external_lex_state = 12},
  [1844] = {.lex_state = 0, .external_lex_state = 10},
  [1845] = {.lex_state = 0, .external_lex_state = 13},
  [1846] = {.lex_state = 0, .external_lex_state = 11},
  [1847] = {.lex_state = 0, .external_lex_state = 13},
  [1848] = {.lex_state = 0, .external_lex_state = 11},
  [1849] = {.lex_state = 11, .external_lex_state = 10},
  [1850] = {.lex_state = 0, .external_lex_state = 12},
  [1851] = {.lex_state = 11, .external_lex_state = 11},
  [1852] = {.lex_state = 0, .external_lex_state = 12},
  [1853] = {.lex_state = 0, .external_lex_state = 12},
  [1854] = {.lex_state = 0, .external_lex_state = 12},
  [1855] = {.lex_state = 0, .external_lex_state = 13},
  [1856] = {.lex_state = 0, .external_lex_state = 11},
  [1857] = {.lex_state = 0, .external_lex_state = 11},
  [1858] = {.lex_state = 0, .external_lex_state = 13},
  [1859] = {.lex_state = 0, .external_lex_state = 12},
  [1860] = {.lex_state = 0, .external_lex_state = 11},
  [1861] = {.lex_state = 0, .external_lex_state = 13},
  [1862] = {.lex_state = 0, .external_lex_state = 13},
  [1863] = {.lex_state = 0, .external_lex_state = 13},
  [1864] = {.lex_state = 0, .external_lex_state = 13},
  [1865] = {.lex_state = 0, .external_lex_state = 13},
  [1866] = {.lex_state = 0, .external_lex_state = 12},
  [1867] = {.lex_state = 0, .external_lex_state = 13},
  [1868] = {.lex_state = 0, .external_lex_state = 11},
  [1869] = {.lex_state = 0, .external_lex_state = 13},
  [1870] = {.lex_state = 0, .external_lex_state = 12},
  [1871] = {.lex_state = 0, .external_lex_state = 11},
  [1872] = {.lex_state = 0, .external_lex_state = 9},
  [1873] = {.lex_state = 0, .external_lex_state = 11},
  [1874] = {.lex_state = 0, .external_lex_state = 13},
  [1875] = {.lex_state = 0, .external_lex_state = 10},
  [1876] = {.lex_state = 11, .external_lex_state = 10},
  [1877] = {.lex_state = 14, .external_lex_state = 10},
  [1878] = {.lex_state = 0, .external_lex_state = 13},
  [1879] = {.lex_state = 0, .external_lex_state = 10},
  [1880] = {.lex_state = 0, .external_lex_state = 12},
  [1881] = {.lex_state = 0, .external_lex_state = 13},
  [1882] = {.lex_state = 0, .external_lex_state = 13},
  [1883] = {.lex_state = 0, .external_lex_state = 13},
  [1884] = {.lex_state = 11, .external_lex_state = 10},
  [1885] = {.lex_state = 0, .external_lex_state = 13},
  [1886] = {.lex_state = 14, .external_lex_state = 10},
  [1887] = {.lex_state = 0, .external_lex_state = 13},
  [1888] = {.lex_state = 14, .external_lex_state = 10},
  [1889] = {.lex_state = 0, .external_lex_state = 12},
  [1890] = {.lex_state = 0, .external_lex_state = 12},
  [1891] = {.lex_state = 0, .external_lex_state = 12},
  [1892] = {.lex_state = 0, .external_lex_state = 10},
  [1893] = {.lex_state = 0, .external_lex_state = 13},
  [1894] = {.lex_state = 0, .external_lex_state = 9},
  [1895] = {.lex_state = 0, .external_lex_state = 13},
  [1896] = {.lex_state = 0, .external_lex_state = 10},
  [1897] = {.lex_state = 14, .external_lex_state = 10},
  [1898] = {.lex_state = 0, .external_lex_state = 9},
  [1899] = {.lex_state = 0, .external_lex_state = 9},
  [1900] = {.lex_state = 11, .external_lex_state = 10},
  [1901] = {.lex_state = 0, .external_lex_state = 12},
  [1902] = {.lex_state = 0, .external_lex_state = 11},
  [1903] = {.lex_state = 0, .external_lex_state = 9},
  [1904] = {.lex_state = 0, .external_lex_state = 9},
  [1905] = {.lex_state = 0, .external_lex_state = 12},
  [1906] = {.lex_state = 0, .external_lex_state = 13},
  [1907] = {.lex_state = 0, .external_lex_state = 13},
  [1908] = {.lex_state = 0, .external_lex_state = 13},
  [1909] = {.lex_state = 11, .external_lex_state = 10},
  [1910] = {.lex_state = 0, .external_lex_state = 9},
  [1911] = {.lex_state = 0, .external_lex_state = 9},
  [1912] = {.lex_state = 14, .external_lex_state = 10},
  [1913] = {.lex_state = 0, .external_lex_state = 13},
  [1914] = {.lex_state = 0, .external_lex_state = 11},
  [1915] = {.lex_state = 0, .external_lex_state = 11},
  [1916] = {.lex_state = 11, .external_lex_state = 10},
  [1917] = {.lex_state = 0, .external_lex_state = 9},
  [1918] = {.lex_state = 0, .external_lex_state = 12},
  [1919] = {.lex_state = 0, .external_lex_state = 10},
  [1920] = {.lex_state = 0, .external_lex_state = 9},
  [1921] = {.lex_state = 0, .external_lex_state = 9},
  [1922] = {.lex_state = 0, .external_lex_state = 9},
  [1923] = {.lex_state = 0, .external_lex_state = 10},
  [1924] = {.lex_state = 0, .external_lex_state = 10},
  [1925] = {.lex_state = 0, .external_lex_state = 13},
  [1926] = {.lex_state = 0, .external_lex_state = 10},
  [1927] = {.lex_state = 0, .external_lex_state = 12},
  [1928] = {.lex_state = 0, .external_lex_state = 9},
  [1929] = {.lex_state = 0, .external_lex_state = 13},
  [1930] = {.lex_state = 0, .external_lex_state = 9},
  [1931] = {.lex_state = 11, .external_lex_state = 10},
  [1932] = {.lex_state = 0, .external_lex_state = 10},
  [1933] = {.lex_state = 0, .external_lex_state = 13},
  [1934] = {.lex_state = 14, .external_lex_state = 10},
  [1935] = {.lex_state = 0, .external_lex_state = 9},
  [1936] = {.lex_state = 11, .external_lex_state = 10},
  [1937] = {.lex_state = 0, .external_lex_state = 13},
  [1938] = {.lex_state = 0, .external_lex_state = 9},
  [1939] = {.lex_state = 0, .external_lex_state = 13},
  [1940] = {.lex_state = 0, .external_lex_state = 9},
  [1941] = {.lex_state = 0, .external_lex_state = 9},
  [1942] = {.lex_state = 13, .external_lex_state = 10},
  [1943] = {.lex_state = 0, .external_lex_state = 13},
  [1944] = {.lex_state = 0, .external_lex_state = 10},
  [1945] = {.lex_state = 0, .external_lex_state = 12},
  [1946] = {.lex_state = 11, .external_lex_state = 10},
  [1947] = {.lex_state = 0, .external_lex_state = 11},
  [1948] = {.lex_state = 0, .external_lex_state = 11},
  [1949] = {.lex_state = 0, .external_lex_state = 10},
  [1950] = {.lex_state = 0, .external_lex_state = 10},
  [1951] = {.lex_state = 0, .external_lex_state = 13},
  [1952] = {.lex_state = 0, .external_lex_state = 12},
  [1953] = {.lex_state = 0, .external_lex_state = 10},
  [1954] = {.lex_state = 0, .external_lex_state = 11},
  [1955] = {.lex_state = 0, .external_lex_state = 11},
  [1956] = {.lex_state = 0, .external_lex_state = 13},
  [1957] = {.lex_state = 0, .external_lex_state = 11},
  [1958] = {.lex_state = 0, .external_lex_state = 13},
  [1959] = {.lex_state = 0, .external_lex_state = 10},
  [1960] = {.lex_state = 11, .external_lex_state = 10},
  [1961] = {.lex_state = 0, .external_lex_state = 13},
  [1962] = {.lex_state = 0, .external_lex_state = 13},
  [1963] = {.lex_state = 0, .external_lex_state = 11},
  [1964] = {.lex_state = 0, .external_lex_state = 11},
  [1965] = {.lex_state = 0, .external_lex_state = 12},
  [1966] = {.lex_state = 0, .external_lex_state = 12},
  [1967] = {.lex_state = 0, .external_lex_state = 13},
  [1968] = {.lex_state = 0, .external_lex_state = 10},
  [1969] = {.lex_state = 0, .external_lex_state = 10},
  [1970] = {.lex_state = 0, .external_lex_state = 11},
  [1971] = {.lex_state = 0, .external_lex_state = 11},
  [1972] = {.lex_state = 0, .external_lex_state = 12},
  [1973] = {.lex_state = 11, .external_lex_state = 10},
  [1974] = {.lex_state = 0, .external_lex_state = 12},
  [1975] = {.lex_state = 0, .external_lex_state = 10},
  [1976] = {.lex_state = 0, .external_lex_state = 13},
  [1977] = {.lex_state = 11, .external_lex_state = 10},
  [1978] = {.lex_state = 0, .external_lex_state = 10},
  [1979] = {.lex_state = 0, .external_lex_state = 13},
  [1980] = {.lex_state = 0, .external_lex_state = 10},
  [1981] = {.lex_state = 0, .external_lex_state = 13},
  [1982] = {.lex_state = 0, .external_lex_state = 13},
  [1983] = {.lex_state = 11, .external_lex_state = 10},
  [1984] = {.lex_state = 11, .external_lex_state = 10},
  [1985] = {.lex_state = 0, .external_lex_state = 12},
  [1986] = {.lex_state = 11, .external_lex_state = 10},
  [1987] = {.lex_state = 0, .external_lex_state = 11},
  [1988] = {.lex_state = 0, .external_lex_state = 12},
  [1989] = {.lex_state = 0, .external_lex_state = 11},
  [1990] = {.lex_state = 0, .external_lex_state = 11},
  [1991] = {.lex_state = 0, .external_lex_state = 10},
  [1992] = {.lex_state = 0, .external_lex_state = 12},
  [1993] = {.lex_state = 0, .external_lex_state = 10},
  [1994] = {.lex_state = 0, .external_lex_state = 13},
  [1995] = {.lex_state = 0, .external_lex_state = 12},
  [1996] = {.lex_state = 11, .external_lex_state = 10},
  [1997] = {.lex_state = 0, .external_lex_state = 13},
  [1998] = {.lex_state = 0, .external_lex_state = 11},
  [1999] = {.lex_state = 0, .external_lex_state = 11},
  [2000] = {.lex_state = 11, .external_lex_state = 10},
  [2001] = {.lex_state = 0, .external_lex_state = 13},
  [2002] = {.lex_state = 0, .external_lex_state = 10},
  [2003] = {.lex_state = 0, .external_lex_state = 11},
  [2004] = {.lex_state = 0, .external_lex_state = 12},
  [2005] = {.lex_state = 0, .external_lex_state = 13},
  [2006] = {.lex_state = 0, .external_lex_state = 10},
  [2007] = {.lex_state = 0, .external_lex_state = 11},
  [2008] = {.lex_state = 0, .external_lex_state = 10},
  [2009] = {.lex_state = 0, .external_lex_state = 11},
  [2010] = {.lex_state = 0, .external_lex_state = 11},
  [2011] = {.lex_state = 0, .external_lex_state = 11},
  [2012] = {.lex_state = 11, .external_lex_state = 10},
  [2013] = {.lex_state = 0, .external_lex_state = 12},
  [2014] = {.lex_state = 0, .external_lex_state = 11},
  [2015] = {.lex_state = 0, .external_lex_state = 13},
  [2016] = {.lex_state = 0, .external_lex_state = 11},
  [2017] = {.lex_state = 0, .external_lex_state = 13},
  [2018] = {.lex_state = 0, .external_lex_state = 10},
  [2019] = {.lex_state = 0, .external_lex_state = 10},
  [2020] = {.lex_state = 0, .external_lex_state = 13},
  [2021] = {.lex_state = 0, .external_lex_state = 13},
  [2022] = {.lex_state = 0, .external_lex_state = 13},
  [2023] = {.lex_state = 0, .external_lex_state = 10},
  [2024] = {.lex_state = 0, .external_lex_state = 10},
  [2025] = {.lex_state = 0, .external_lex_state = 10},
  [2026] = {.lex_state = 11, .external_lex_state = 10},
  [2027] = {.lex_state = 0, .external_lex_state = 10},
  [2028] = {.lex_state = 0, .external_lex_state = 13},
  [2029] = {.lex_state = 11, .external_lex_state = 10},
  [2030] = {.lex_state = 0, .external_lex_state = 13},
  [2031] = {.lex_state = 0, .external_lex_state = 10},
  [2032] = {.lex_state = 11, .external_lex_state = 10},
  [2033] = {.lex_state = 0, .external_lex_state = 10},
  [2034] = {.lex_state = 0, .external_lex_state = 13},
  [2035] = {.lex_state = 11, .external_lex_state = 10},
  [2036] = {.lex_state = 0, .external_lex_state = 12},
  [2037] = {.lex_state = 0, .external_lex_state = 10},
  [2038] = {.lex_state = 0, .external_lex_state = 11},
  [2039] = {.lex_state = 11, .external_lex_state = 10},
  [2040] = {.lex_state = 0, .external_lex_state = 11},
  [2041] = {.lex_state = 0, .external_lex_state = 10},
  [2042] = {.lex_state = 11, .external_lex_state = 10},
  [2043] = {.lex_state = 0, .external_lex_state = 12},
  [2044] = {.lex_state = 0, .external_lex_state = 10},
  [2045] = {.lex_state = 11, .external_lex_state = 10},
  [2046] = {.lex_state = 11, .external_lex_state = 10},
  [2047] = {.lex_state = 11, .external_lex_state = 10},
  [2048] = {.lex_state = 11, .external_lex_state = 10},
  [2049] = {.lex_state = 11, .external_lex_state = 10},
  [2050] = {.lex_state = 0, .external_lex_state = 10},
  [2051] = {.lex_state = 11, .external_lex_state = 10},
  [2052] = {.lex_state = 0, .external_lex_state = 10},
  [2053] = {.lex_state = 0, .external_lex_state = 11},
  [2054] = {.lex_state = 11, .external_lex_state = 10},
  [2055] = {.lex_state = 0, .external_lex_state = 11},
  [2056] = {.lex_state = 11, .external_lex_state = 10},
  [2057] = {.lex_state = 11, .external_lex_state = 10},
  [2058] = {.lex_state = 11, .external_lex_state = 10},
  [2059] = {.lex_state = 11, .external_lex_state = 10},
  [2060] = {.lex_state = 11, .external_lex_state = 10},
  [2061] = {.lex_state = 0, .external_lex_state = 10},
  [2062] = {.lex_state = 11, .external_lex_state = 10},
  [2063] = {.lex_state = 11, .external_lex_state = 10},
  [2064] = {.lex_state = 11, .external_lex_state = 10},
  [2065] = {.lex_state = 11, .external_lex_state = 10},
  [2066] = {.lex_state = 11, .external_lex_state = 10},
  [2067] = {.lex_state = 11, .external_lex_state = 10},
  [2068] = {.lex_state = 0, .external_lex_state = 12},
  [2069] = {.lex_state = 0, .external_lex_state = 10},
  [2070] = {.lex_state = 0, .external_lex_state = 13},
  [2071] = {.lex_state = 0, .external_lex_state = 11},
  [2072] = {.lex_state = 0, .external_lex_state = 10},
  [2073] = {.lex_state = 0, .external_lex_state = 11},
  [2074] = {.lex_state = 0, .external_lex_state = 10},
  [2075] = {.lex_state = 0, .external_lex_state = 13},
  [2076] = {.lex_state = 0, .external_lex_state = 10},
  [2077] = {.lex_state = 0, .external_lex_state = 10},
  [2078] = {.lex_state = 11, .external_lex_state = 10},
  [2079] = {.lex_state = 11, .external_lex_state = 10},
  [2080] = {.lex_state = 0, .external_lex_state = 10},
  [2081] = {.lex_state = 0, .external_lex_state = 10},
  [2082] = {.lex_state = 0, .external_lex_state = 11},
  [2083] = {.lex_state = 11, .external_lex_state = 10},
  [2084] = {.lex_state = 0, .external_lex_state = 10},
  [2085] = {.lex_state = 0, .external_lex_state = 13},
  [2086] = {.lex_state = 0, .external_lex_state = 13},
  [2087] = {.lex_state = 0, .external_lex_state = 11},
  [2088] = {.lex_state = 0, .external_lex_state = 11},
  [2089] = {.lex_state = 0, .external_lex_state = 12},
  [2090] = {.lex_state = 0, .external_lex_state = 13},
  [2091] = {.lex_state = 0, .external_lex_state = 10},
  [2092] = {.lex_state = 0, .external_lex_state = 10},
  [2093] = {.lex_state = 0, .external_lex_state = 10},
  [2094] = {.lex_state = 11, .external_lex_state = 10},
  [2095] = {.lex_state = 0, .external_lex_state = 11},
  [2096] = {.lex_state = 0, .external_lex_state = 11},
  [2097] = {.lex_state = 0, .external_lex_state = 11},
  [2098] = {.lex_state = 0, .external_lex_state = 10},
  [2099] = {.lex_state = 11, .external_lex_state = 10},
  [2100] = {.lex_state = 11, .external_lex_state = 10},
  [2101] = {.lex_state = 11, .external_lex_state = 10},
  [2102] = {.lex_state = 0, .external_lex_state = 10},
  [2103] = {.lex_state = 0, .external_lex_state = 10},
  [2104] = {.lex_state = 0, .external_lex_state = 12},
  [2105] = {.lex_state = 0, .external_lex_state = 12},
  [2106] = {.lex_state = 11, .external_lex_state = 10},
  [2107] = {.lex_state = 0, .external_lex_state = 13},
  [2108] = {.lex_state = 0, .external_lex_state = 13},
  [2109] = {.lex_state = 11, .external_lex_state = 10},
  [2110] = {.lex_state = 0, .external_lex_state = 10},
  [2111] = {.lex_state = 0, .external_lex_state = 10},
  [2112] = {.lex_state = 0, .external_lex_state = 10},
  [2113] = {.lex_state = 0, .external_lex_state = 10},
  [2114] = {.lex_state = 11, .external_lex_state = 10},
  [2115] = {.lex_state = 0, .external_lex_state = 10},
  [2116] = {.lex_state = 0, .external_lex_state = 10},
  [2117] = {.lex_state = 11, .external_lex_state = 10},
  [2118] = {.lex_state = 0, .external_lex_state = 10},
  [2119] = {.lex_state = 0, .external_lex_state = 10},
  [2120] = {.lex_state = 0, .external_lex_state = 10},
  [2121] = {.lex_state = 11, .external_lex_state = 10},
  [2122] = {.lex_state = 0, .external_lex_state = 10},
  [2123] = {.lex_state = 0, .external_lex_state = 10},
  [2124] = {.lex_state = 0, .external_lex_state = 10},
  [2125] = {.lex_state = 0, .external_lex_state = 12},
  [2126] = {.lex_state = 0, .external_lex_state = 10},
  [2127] = {.lex_state = 0, .external_lex_state = 10},
  [2128] = {.lex_state = 0, .external_lex_state = 11},
  [2129] = {.lex_state = 0, .external_lex_state = 11},
};

enum {
  ts_external_token__newline = 0,
  ts_external_token__indent = 1,
  ts_external_token__dedent = 2,
  ts_external_token__string_start = 3,
  ts_external_token__string_content = 4,
  ts_external_token__string_end = 5,
  ts_external_token_comment = 6,
  ts_external_token_RBRACK = 7,
  ts_external_token_RPAREN = 8,
  ts_external_token_RBRACE = 9,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__newline] = sym__newline,
  [ts_external_token__indent] = sym__indent,
  [ts_external_token__dedent] = sym__dedent,
  [ts_external_token__string_start] = sym__string_start,
  [ts_external_token__string_content] = sym__string_content,
  [ts_external_token__string_end] = sym__string_end,
  [ts_external_token_comment] = sym_comment,
  [ts_external_token_RBRACK] = anon_sym_RBRACK,
  [ts_external_token_RPAREN] = anon_sym_RPAREN,
  [ts_external_token_RBRACE] = anon_sym_RBRACE,
};

static const bool ts_external_scanner_states[15][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__dedent] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
    [ts_external_token_RPAREN] = true,
    [ts_external_token_RBRACE] = true,
  },
  [2] = {
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
  },
  [3] = {
    [ts_external_token__dedent] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
  },
  [4] = {
    [ts_external_token__newline] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
  },
  [5] = {
    [ts_external_token__newline] = true,
    [ts_external_token__indent] = true,
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
  },
  [6] = {
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [7] = {
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [8] = {
    [ts_external_token__string_start] = true,
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [9] = {
    [ts_external_token__newline] = true,
    [ts_external_token_comment] = true,
  },
  [10] = {
    [ts_external_token_comment] = true,
  },
  [11] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACE] = true,
  },
  [12] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RBRACK] = true,
  },
  [13] = {
    [ts_external_token_comment] = true,
    [ts_external_token_RPAREN] = true,
  },
  [14] = {
    [ts_external_token__string_content] = true,
    [ts_external_token__string_end] = true,
    [ts_external_token_comment] = true,
  },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_from] = ACTIONS(1),
    [anon_sym___future__] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_print] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_del] = ACTIONS(1),
    [anon_sym_raise] = ACTIONS(1),
    [anon_sym_pass] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_elif] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_async] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_except] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_global] = ACTIONS(1),
    [anon_sym_nonlocal] = ACTIONS(1),
    [anon_sym_exec] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_SLASH_SLASH] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_is] = ACTIONS(1),
    [anon_sym_lambda] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AT_EQ] = ACTIONS(1),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [sym_ellipsis] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_LBRACE_LBRACE] = ACTIONS(1),
    [sym_type_conversion] = ACTIONS(1),
    [sym_integer] = ACTIONS(1),
    [sym_float] = ACTIONS(1),
    [anon_sym_await] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_none] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(1),
    [sym__indent] = ACTIONS(1),
    [sym__dedent] = ACTIONS(1),
    [sym__string_start] = ACTIONS(1),
    [sym__string_content] = ACTIONS(1),
    [sym__string_end] = ACTIONS(1),
  },
  [1] = {
    [sym_module] = STATE(2102),
    [sym__statement] = STATE(66),
    [sym__simple_statements] = STATE(66),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_if_statement] = STATE(66),
    [sym_match_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_try_statement] = STATE(66),
    [sym_with_statement] = STATE(66),
    [sym_function_definition] = STATE(66),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_class_definition] = STATE(66),
    [sym_decorated_definition] = STATE(66),
    [sym_decorator] = STATE(1441),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(66),
    [aux_sym_decorated_definition_repeat1] = STATE(1441),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_with] = ACTIONS(45),
    [anon_sym_def] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(55),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(77),
  },
  [2] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(666),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [3] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(743),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [4] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(506),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [5] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(726),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [6] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(728),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [7] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(592),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [8] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(604),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [9] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(605),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [10] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(730),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [11] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(705),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [12] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(670),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [13] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(676),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [14] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(722),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [15] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(623),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [16] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(681),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [17] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(577),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [18] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(711),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [19] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(661),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [20] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(688),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [21] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(593),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [22] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(590),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [23] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(658),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [24] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(655),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [25] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(574),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [26] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(614),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [27] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [28] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(1632),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [29] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(679),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [30] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(678),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [31] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(668),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [32] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(718),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [33] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(674),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [34] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(671),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [35] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(673),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [36] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(719),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [37] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(707),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [38] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(575),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [39] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(720),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [40] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(691),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [41] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(608),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [42] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(600),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [43] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(664),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [44] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(646),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [45] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(641),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [46] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(656),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [47] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(637),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [48] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(651),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [49] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [50] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(617),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [51] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(648),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [52] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(731),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [53] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(635),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [54] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(634),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [55] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(690),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [56] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(585),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [57] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(611),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [58] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(455),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [59] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(734),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [60] = {
    [sym__statement] = STATE(64),
    [sym__simple_statements] = STATE(64),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(64),
    [sym_match_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_try_statement] = STATE(64),
    [sym_with_statement] = STATE(64),
    [sym_function_definition] = STATE(64),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(64),
    [sym_decorated_definition] = STATE(64),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(1635),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(64),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(101),
    [sym__string_start] = ACTIONS(77),
  },
  [61] = {
    [sym__statement] = STATE(69),
    [sym__simple_statements] = STATE(69),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(69),
    [sym_match_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_with_statement] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(69),
    [sym_decorated_definition] = STATE(69),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(582),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(69),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(99),
    [sym__string_start] = ACTIONS(77),
  },
  [62] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(595),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [63] = {
    [sym__statement] = STATE(65),
    [sym__simple_statements] = STATE(65),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(65),
    [sym_match_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_with_statement] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(65),
    [sym_decorated_definition] = STATE(65),
    [sym_decorator] = STATE(1439),
    [sym_block] = STATE(633),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(65),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(97),
    [sym__string_start] = ACTIONS(77),
  },
  [64] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1439),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(103),
    [sym__string_start] = ACTIONS(77),
  },
  [65] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1439),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(105),
    [sym__string_start] = ACTIONS(77),
  },
  [66] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1441),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1441),
    [ts_builtin_sym_end] = ACTIONS(107),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(21),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(35),
    [anon_sym_async] = ACTIONS(37),
    [anon_sym_for] = ACTIONS(39),
    [anon_sym_while] = ACTIONS(41),
    [anon_sym_try] = ACTIONS(43),
    [anon_sym_with] = ACTIONS(45),
    [anon_sym_def] = ACTIONS(47),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(55),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(77),
  },
  [67] = {
    [sym__statement] = STATE(67),
    [sym__simple_statements] = STATE(67),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_if_statement] = STATE(67),
    [sym_match_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_with_statement] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_class_definition] = STATE(67),
    [sym_decorated_definition] = STATE(67),
    [sym_decorator] = STATE(1441),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(67),
    [aux_sym_decorated_definition_repeat1] = STATE(1441),
    [ts_builtin_sym_end] = ACTIONS(109),
    [sym_identifier] = ACTIONS(111),
    [anon_sym_import] = ACTIONS(114),
    [anon_sym_from] = ACTIONS(117),
    [anon_sym_LPAREN] = ACTIONS(120),
    [anon_sym_STAR] = ACTIONS(123),
    [anon_sym_print] = ACTIONS(126),
    [anon_sym_assert] = ACTIONS(129),
    [anon_sym_match] = ACTIONS(132),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_del] = ACTIONS(138),
    [anon_sym_raise] = ACTIONS(141),
    [anon_sym_pass] = ACTIONS(144),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(150),
    [anon_sym_if] = ACTIONS(153),
    [anon_sym_async] = ACTIONS(156),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_while] = ACTIONS(162),
    [anon_sym_try] = ACTIONS(165),
    [anon_sym_with] = ACTIONS(168),
    [anon_sym_def] = ACTIONS(171),
    [anon_sym_global] = ACTIONS(174),
    [anon_sym_nonlocal] = ACTIONS(177),
    [anon_sym_exec] = ACTIONS(180),
    [anon_sym_class] = ACTIONS(183),
    [anon_sym_AT] = ACTIONS(186),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_not] = ACTIONS(192),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_TILDE] = ACTIONS(195),
    [anon_sym_lambda] = ACTIONS(198),
    [anon_sym_yield] = ACTIONS(201),
    [sym_ellipsis] = ACTIONS(204),
    [anon_sym_LBRACE] = ACTIONS(207),
    [sym_integer] = ACTIONS(210),
    [sym_float] = ACTIONS(204),
    [anon_sym_await] = ACTIONS(213),
    [sym_true] = ACTIONS(210),
    [sym_false] = ACTIONS(210),
    [sym_none] = ACTIONS(210),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(216),
  },
  [68] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1439),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(111),
    [anon_sym_import] = ACTIONS(114),
    [anon_sym_from] = ACTIONS(117),
    [anon_sym_LPAREN] = ACTIONS(120),
    [anon_sym_STAR] = ACTIONS(123),
    [anon_sym_print] = ACTIONS(126),
    [anon_sym_assert] = ACTIONS(129),
    [anon_sym_match] = ACTIONS(219),
    [anon_sym_return] = ACTIONS(135),
    [anon_sym_del] = ACTIONS(138),
    [anon_sym_raise] = ACTIONS(141),
    [anon_sym_pass] = ACTIONS(144),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(150),
    [anon_sym_if] = ACTIONS(222),
    [anon_sym_async] = ACTIONS(225),
    [anon_sym_for] = ACTIONS(228),
    [anon_sym_while] = ACTIONS(231),
    [anon_sym_try] = ACTIONS(234),
    [anon_sym_with] = ACTIONS(237),
    [anon_sym_def] = ACTIONS(240),
    [anon_sym_global] = ACTIONS(174),
    [anon_sym_nonlocal] = ACTIONS(177),
    [anon_sym_exec] = ACTIONS(180),
    [anon_sym_class] = ACTIONS(243),
    [anon_sym_AT] = ACTIONS(186),
    [anon_sym_LBRACK] = ACTIONS(189),
    [anon_sym_not] = ACTIONS(192),
    [anon_sym_PLUS] = ACTIONS(195),
    [anon_sym_DASH] = ACTIONS(195),
    [anon_sym_TILDE] = ACTIONS(195),
    [anon_sym_lambda] = ACTIONS(198),
    [anon_sym_yield] = ACTIONS(201),
    [sym_ellipsis] = ACTIONS(204),
    [anon_sym_LBRACE] = ACTIONS(207),
    [sym_integer] = ACTIONS(210),
    [sym_float] = ACTIONS(204),
    [anon_sym_await] = ACTIONS(213),
    [sym_true] = ACTIONS(210),
    [sym_false] = ACTIONS(210),
    [sym_none] = ACTIONS(210),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(109),
    [sym__string_start] = ACTIONS(216),
  },
  [69] = {
    [sym__statement] = STATE(68),
    [sym__simple_statements] = STATE(68),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_if_statement] = STATE(68),
    [sym_match_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_with_statement] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_class_definition] = STATE(68),
    [sym_decorated_definition] = STATE(68),
    [sym_decorator] = STATE(1439),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [aux_sym_module_repeat1] = STATE(68),
    [aux_sym_decorated_definition_repeat1] = STATE(1439),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(79),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_if] = ACTIONS(81),
    [anon_sym_async] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_while] = ACTIONS(87),
    [anon_sym_try] = ACTIONS(89),
    [anon_sym_with] = ACTIONS(91),
    [anon_sym_def] = ACTIONS(93),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_class] = ACTIONS(95),
    [anon_sym_AT] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__dedent] = ACTIONS(246),
    [sym__string_start] = ACTIONS(77),
  },
  [70] = {
    [sym_named_expression] = STATE(1475),
    [sym__named_expresssion_lhs] = STATE(2115),
    [sym_as_pattern] = STATE(1475),
    [sym_expression] = STATE(1542),
    [sym_primary_expression] = STATE(795),
    [sym_not_operator] = STATE(1475),
    [sym_boolean_operator] = STATE(1475),
    [sym_binary_operator] = STATE(1123),
    [sym_unary_operator] = STATE(1123),
    [sym_comparison_operator] = STATE(1475),
    [sym_lambda] = STATE(1475),
    [sym_attribute] = STATE(1123),
    [sym_subscript] = STATE(1123),
    [sym_call] = STATE(1123),
    [sym_list] = STATE(1123),
    [sym_set] = STATE(1123),
    [sym_tuple] = STATE(1123),
    [sym_dictionary] = STATE(1123),
    [sym_list_comprehension] = STATE(1123),
    [sym_dictionary_comprehension] = STATE(1123),
    [sym_set_comprehension] = STATE(1123),
    [sym_generator_expression] = STATE(1123),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_conditional_expression] = STATE(1475),
    [sym_concatenated_string] = STATE(1123),
    [sym_string] = STATE(786),
    [sym_await] = STATE(1475),
    [sym_identifier] = ACTIONS(248),
    [anon_sym_SEMI] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [anon_sym_COMMA] = ACTIONS(257),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(260),
    [anon_sym_GT_GT] = ACTIONS(252),
    [anon_sym_COLON_EQ] = ACTIONS(262),
    [anon_sym_match] = ACTIONS(264),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_COLON] = ACTIONS(266),
    [anon_sym_async] = ACTIONS(260),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(252),
    [anon_sym_exec] = ACTIONS(260),
    [anon_sym_AT] = ACTIONS(252),
    [anon_sym_LBRACK] = ACTIONS(268),
    [anon_sym_EQ] = ACTIONS(266),
    [anon_sym_not] = ACTIONS(271),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_SLASH_SLASH] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(279),
    [anon_sym_PLUS_EQ] = ACTIONS(281),
    [anon_sym_DASH_EQ] = ACTIONS(281),
    [anon_sym_STAR_EQ] = ACTIONS(281),
    [anon_sym_SLASH_EQ] = ACTIONS(281),
    [anon_sym_AT_EQ] = ACTIONS(281),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(281),
    [anon_sym_PERCENT_EQ] = ACTIONS(281),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_LT_LT_EQ] = ACTIONS(281),
    [anon_sym_AMP_EQ] = ACTIONS(281),
    [anon_sym_CARET_EQ] = ACTIONS(281),
    [anon_sym_PIPE_EQ] = ACTIONS(281),
    [sym_ellipsis] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(285),
    [sym_integer] = ACTIONS(287),
    [sym_float] = ACTIONS(283),
    [anon_sym_await] = ACTIONS(289),
    [sym_true] = ACTIONS(287),
    [sym_false] = ACTIONS(287),
    [sym_none] = ACTIONS(287),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(250),
    [sym__string_start] = ACTIONS(291),
  },
  [71] = {
    [sym_chevron] = STATE(1670),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1470),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_attribute] = STATE(1002),
    [sym_subscript] = STATE(1002),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_SEMI] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(257),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(297),
    [anon_sym_match] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_COLON] = ACTIONS(281),
    [anon_sym_async] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(252),
    [anon_sym_exec] = ACTIONS(295),
    [anon_sym_AT] = ACTIONS(252),
    [anon_sym_LBRACK] = ACTIONS(250),
    [anon_sym_EQ] = ACTIONS(266),
    [anon_sym_not] = ACTIONS(252),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(252),
    [anon_sym_DASH] = ACTIONS(252),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_SLASH_SLASH] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(281),
    [anon_sym_DASH_EQ] = ACTIONS(281),
    [anon_sym_STAR_EQ] = ACTIONS(281),
    [anon_sym_SLASH_EQ] = ACTIONS(281),
    [anon_sym_AT_EQ] = ACTIONS(281),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(281),
    [anon_sym_PERCENT_EQ] = ACTIONS(281),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_LT_LT_EQ] = ACTIONS(281),
    [anon_sym_AMP_EQ] = ACTIONS(281),
    [anon_sym_CARET_EQ] = ACTIONS(281),
    [anon_sym_PIPE_EQ] = ACTIONS(281),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(301),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(250),
    [sym__string_start] = ACTIONS(77),
  },
  [72] = {
    [sym_named_expression] = STATE(1475),
    [sym__named_expresssion_lhs] = STATE(2115),
    [sym_as_pattern] = STATE(1475),
    [sym_expression] = STATE(1494),
    [sym_primary_expression] = STATE(795),
    [sym_not_operator] = STATE(1475),
    [sym_boolean_operator] = STATE(1475),
    [sym_binary_operator] = STATE(1123),
    [sym_unary_operator] = STATE(1123),
    [sym_comparison_operator] = STATE(1475),
    [sym_lambda] = STATE(1475),
    [sym_attribute] = STATE(1123),
    [sym_subscript] = STATE(1123),
    [sym_call] = STATE(1123),
    [sym_list] = STATE(1123),
    [sym_set] = STATE(1123),
    [sym_tuple] = STATE(1123),
    [sym_dictionary] = STATE(1123),
    [sym_list_comprehension] = STATE(1123),
    [sym_dictionary_comprehension] = STATE(1123),
    [sym_set_comprehension] = STATE(1123),
    [sym_generator_expression] = STATE(1123),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_conditional_expression] = STATE(1475),
    [sym_concatenated_string] = STATE(1123),
    [sym_string] = STATE(786),
    [sym_await] = STATE(1475),
    [sym_identifier] = ACTIONS(248),
    [anon_sym_SEMI] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(254),
    [anon_sym_COMMA] = ACTIONS(257),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(260),
    [anon_sym_GT_GT] = ACTIONS(252),
    [anon_sym_COLON_EQ] = ACTIONS(262),
    [anon_sym_match] = ACTIONS(264),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_COLON] = ACTIONS(266),
    [anon_sym_async] = ACTIONS(260),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(252),
    [anon_sym_exec] = ACTIONS(260),
    [anon_sym_AT] = ACTIONS(252),
    [anon_sym_LBRACK] = ACTIONS(268),
    [anon_sym_EQ] = ACTIONS(266),
    [anon_sym_not] = ACTIONS(271),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(274),
    [anon_sym_DASH] = ACTIONS(274),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_SLASH_SLASH] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(279),
    [anon_sym_PLUS_EQ] = ACTIONS(281),
    [anon_sym_DASH_EQ] = ACTIONS(281),
    [anon_sym_STAR_EQ] = ACTIONS(281),
    [anon_sym_SLASH_EQ] = ACTIONS(281),
    [anon_sym_AT_EQ] = ACTIONS(281),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(281),
    [anon_sym_PERCENT_EQ] = ACTIONS(281),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_LT_LT_EQ] = ACTIONS(281),
    [anon_sym_AMP_EQ] = ACTIONS(281),
    [anon_sym_CARET_EQ] = ACTIONS(281),
    [anon_sym_PIPE_EQ] = ACTIONS(281),
    [sym_ellipsis] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(285),
    [sym_integer] = ACTIONS(287),
    [sym_float] = ACTIONS(283),
    [anon_sym_await] = ACTIONS(289),
    [sym_true] = ACTIONS(287),
    [sym_false] = ACTIONS(287),
    [sym_none] = ACTIONS(287),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(250),
    [sym__string_start] = ACTIONS(291),
  },
  [73] = {
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1422),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_attribute] = STATE(1002),
    [sym_subscript] = STATE(1002),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_SEMI] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(257),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(252),
    [anon_sym_match] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_COLON] = ACTIONS(281),
    [anon_sym_async] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(252),
    [anon_sym_exec] = ACTIONS(295),
    [anon_sym_AT] = ACTIONS(252),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_EQ] = ACTIONS(266),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(307),
    [anon_sym_DASH] = ACTIONS(307),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(252),
    [anon_sym_SLASH_SLASH] = ACTIONS(252),
    [anon_sym_PIPE] = ACTIONS(252),
    [anon_sym_AMP] = ACTIONS(252),
    [anon_sym_CARET] = ACTIONS(252),
    [anon_sym_LT_LT] = ACTIONS(252),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_PLUS_EQ] = ACTIONS(281),
    [anon_sym_DASH_EQ] = ACTIONS(281),
    [anon_sym_STAR_EQ] = ACTIONS(281),
    [anon_sym_SLASH_EQ] = ACTIONS(281),
    [anon_sym_AT_EQ] = ACTIONS(281),
    [anon_sym_SLASH_SLASH_EQ] = ACTIONS(281),
    [anon_sym_PERCENT_EQ] = ACTIONS(281),
    [anon_sym_STAR_STAR_EQ] = ACTIONS(281),
    [anon_sym_GT_GT_EQ] = ACTIONS(281),
    [anon_sym_LT_LT_EQ] = ACTIONS(281),
    [anon_sym_AMP_EQ] = ACTIONS(281),
    [anon_sym_CARET_EQ] = ACTIONS(281),
    [anon_sym_PIPE_EQ] = ACTIONS(281),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(301),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(250),
    [sym__string_start] = ACTIONS(77),
  },
  [74] = {
    [sym__simple_statements] = STATE(601),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(313),
    [sym__indent] = ACTIONS(315),
    [sym__string_start] = ACTIONS(77),
  },
  [75] = {
    [sym__simple_statements] = STATE(708),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(317),
    [sym__indent] = ACTIONS(319),
    [sym__string_start] = ACTIONS(77),
  },
  [76] = {
    [sym__simple_statements] = STATE(714),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(321),
    [sym__indent] = ACTIONS(323),
    [sym__string_start] = ACTIONS(77),
  },
  [77] = {
    [sym__simple_statements] = STATE(689),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(325),
    [sym__indent] = ACTIONS(327),
    [sym__string_start] = ACTIONS(77),
  },
  [78] = {
    [sym__simple_statements] = STATE(715),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(329),
    [sym__indent] = ACTIONS(331),
    [sym__string_start] = ACTIONS(77),
  },
  [79] = {
    [sym__simple_statements] = STATE(619),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(333),
    [sym__indent] = ACTIONS(335),
    [sym__string_start] = ACTIONS(77),
  },
  [80] = {
    [sym__simple_statements] = STATE(620),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(337),
    [sym__indent] = ACTIONS(339),
    [sym__string_start] = ACTIONS(77),
  },
  [81] = {
    [sym__simple_statements] = STATE(606),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(341),
    [sym__indent] = ACTIONS(343),
    [sym__string_start] = ACTIONS(77),
  },
  [82] = {
    [sym__simple_statements] = STATE(565),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(345),
    [sym__indent] = ACTIONS(347),
    [sym__string_start] = ACTIONS(77),
  },
  [83] = {
    [sym__simple_statements] = STATE(598),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(349),
    [sym__indent] = ACTIONS(351),
    [sym__string_start] = ACTIONS(77),
  },
  [84] = {
    [sym__simple_statements] = STATE(685),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(353),
    [sym__indent] = ACTIONS(355),
    [sym__string_start] = ACTIONS(77),
  },
  [85] = {
    [sym__simple_statements] = STATE(700),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(357),
    [sym__indent] = ACTIONS(359),
    [sym__string_start] = ACTIONS(77),
  },
  [86] = {
    [sym__simple_statements] = STATE(706),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(361),
    [sym__indent] = ACTIONS(363),
    [sym__string_start] = ACTIONS(77),
  },
  [87] = {
    [sym__simple_statements] = STATE(631),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(365),
    [sym__indent] = ACTIONS(367),
    [sym__string_start] = ACTIONS(77),
  },
  [88] = {
    [sym__simple_statements] = STATE(576),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(369),
    [sym__indent] = ACTIONS(371),
    [sym__string_start] = ACTIONS(77),
  },
  [89] = {
    [sym__simple_statements] = STATE(739),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(373),
    [sym__indent] = ACTIONS(375),
    [sym__string_start] = ACTIONS(77),
  },
  [90] = {
    [sym__simple_statements] = STATE(621),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(377),
    [sym__indent] = ACTIONS(379),
    [sym__string_start] = ACTIONS(77),
  },
  [91] = {
    [sym__simple_statements] = STATE(625),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(381),
    [sym__indent] = ACTIONS(383),
    [sym__string_start] = ACTIONS(77),
  },
  [92] = {
    [sym__simple_statements] = STATE(628),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(385),
    [sym__indent] = ACTIONS(387),
    [sym__string_start] = ACTIONS(77),
  },
  [93] = {
    [sym__simple_statements] = STATE(539),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(389),
    [sym__indent] = ACTIONS(391),
    [sym__string_start] = ACTIONS(77),
  },
  [94] = {
    [sym__simple_statements] = STATE(632),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(393),
    [sym__indent] = ACTIONS(395),
    [sym__string_start] = ACTIONS(77),
  },
  [95] = {
    [sym__simple_statements] = STATE(639),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(397),
    [sym__indent] = ACTIONS(399),
    [sym__string_start] = ACTIONS(77),
  },
  [96] = {
    [sym__simple_statements] = STATE(624),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(401),
    [sym__indent] = ACTIONS(403),
    [sym__string_start] = ACTIONS(77),
  },
  [97] = {
    [sym__simple_statements] = STATE(610),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(405),
    [sym__indent] = ACTIONS(407),
    [sym__string_start] = ACTIONS(77),
  },
  [98] = {
    [sym__simple_statements] = STATE(1620),
    [sym_import_statement] = STATE(1801),
    [sym_future_import_statement] = STATE(1801),
    [sym_import_from_statement] = STATE(1801),
    [sym_print_statement] = STATE(1801),
    [sym_assert_statement] = STATE(1801),
    [sym_expression_statement] = STATE(1801),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1801),
    [sym_delete_statement] = STATE(1801),
    [sym_raise_statement] = STATE(1801),
    [sym_pass_statement] = STATE(1801),
    [sym_break_statement] = STATE(1801),
    [sym_continue_statement] = STATE(1801),
    [sym_global_statement] = STATE(1801),
    [sym_nonlocal_statement] = STATE(1801),
    [sym_exec_statement] = STATE(1801),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(409),
    [sym__indent] = ACTIONS(411),
    [sym__string_start] = ACTIONS(77),
  },
  [99] = {
    [sym__simple_statements] = STATE(754),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(413),
    [sym__indent] = ACTIONS(415),
    [sym__string_start] = ACTIONS(77),
  },
  [100] = {
    [sym__simple_statements] = STATE(738),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(417),
    [sym__indent] = ACTIONS(419),
    [sym__string_start] = ACTIONS(77),
  },
  [101] = {
    [sym__simple_statements] = STATE(612),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(421),
    [sym__indent] = ACTIONS(423),
    [sym__string_start] = ACTIONS(77),
  },
  [102] = {
    [sym__simple_statements] = STATE(618),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(425),
    [sym__indent] = ACTIONS(427),
    [sym__string_start] = ACTIONS(77),
  },
  [103] = {
    [sym__simple_statements] = STATE(1645),
    [sym_import_statement] = STATE(1801),
    [sym_future_import_statement] = STATE(1801),
    [sym_import_from_statement] = STATE(1801),
    [sym_print_statement] = STATE(1801),
    [sym_assert_statement] = STATE(1801),
    [sym_expression_statement] = STATE(1801),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1801),
    [sym_delete_statement] = STATE(1801),
    [sym_raise_statement] = STATE(1801),
    [sym_pass_statement] = STATE(1801),
    [sym_break_statement] = STATE(1801),
    [sym_continue_statement] = STATE(1801),
    [sym_global_statement] = STATE(1801),
    [sym_nonlocal_statement] = STATE(1801),
    [sym_exec_statement] = STATE(1801),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(429),
    [sym__indent] = ACTIONS(431),
    [sym__string_start] = ACTIONS(77),
  },
  [104] = {
    [sym__simple_statements] = STATE(627),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(433),
    [sym__indent] = ACTIONS(435),
    [sym__string_start] = ACTIONS(77),
  },
  [105] = {
    [sym__simple_statements] = STATE(594),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(437),
    [sym__indent] = ACTIONS(439),
    [sym__string_start] = ACTIONS(77),
  },
  [106] = {
    [sym__simple_statements] = STATE(749),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(441),
    [sym__indent] = ACTIONS(443),
    [sym__string_start] = ACTIONS(77),
  },
  [107] = {
    [sym__simple_statements] = STATE(693),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(445),
    [sym__indent] = ACTIONS(447),
    [sym__string_start] = ACTIONS(77),
  },
  [108] = {
    [sym__simple_statements] = STATE(682),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(449),
    [sym__indent] = ACTIONS(451),
    [sym__string_start] = ACTIONS(77),
  },
  [109] = {
    [sym__simple_statements] = STATE(587),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(453),
    [sym__indent] = ACTIONS(455),
    [sym__string_start] = ACTIONS(77),
  },
  [110] = {
    [sym__simple_statements] = STATE(568),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(457),
    [sym__indent] = ACTIONS(459),
    [sym__string_start] = ACTIONS(77),
  },
  [111] = {
    [sym__simple_statements] = STATE(636),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(461),
    [sym__indent] = ACTIONS(463),
    [sym__string_start] = ACTIONS(77),
  },
  [112] = {
    [sym__simple_statements] = STATE(609),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(465),
    [sym__indent] = ACTIONS(467),
    [sym__string_start] = ACTIONS(77),
  },
  [113] = {
    [sym__simple_statements] = STATE(746),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(469),
    [sym__indent] = ACTIONS(471),
    [sym__string_start] = ACTIONS(77),
  },
  [114] = {
    [sym__simple_statements] = STATE(712),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(473),
    [sym__indent] = ACTIONS(475),
    [sym__string_start] = ACTIONS(77),
  },
  [115] = {
    [sym__simple_statements] = STATE(677),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(477),
    [sym__indent] = ACTIONS(479),
    [sym__string_start] = ACTIONS(77),
  },
  [116] = {
    [sym__simple_statements] = STATE(649),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(481),
    [sym__indent] = ACTIONS(483),
    [sym__string_start] = ACTIONS(77),
  },
  [117] = {
    [sym__simple_statements] = STATE(640),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(485),
    [sym__indent] = ACTIONS(487),
    [sym__string_start] = ACTIONS(77),
  },
  [118] = {
    [sym__simple_statements] = STATE(654),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(489),
    [sym__indent] = ACTIONS(491),
    [sym__string_start] = ACTIONS(77),
  },
  [119] = {
    [sym__simple_statements] = STATE(669),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(493),
    [sym__indent] = ACTIONS(495),
    [sym__string_start] = ACTIONS(77),
  },
  [120] = {
    [sym__simple_statements] = STATE(643),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(497),
    [sym__indent] = ACTIONS(499),
    [sym__string_start] = ACTIONS(77),
  },
  [121] = {
    [sym__simple_statements] = STATE(645),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(501),
    [sym__indent] = ACTIONS(503),
    [sym__string_start] = ACTIONS(77),
  },
  [122] = {
    [sym__simple_statements] = STATE(659),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(505),
    [sym__indent] = ACTIONS(507),
    [sym__string_start] = ACTIONS(77),
  },
  [123] = {
    [sym__simple_statements] = STATE(663),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(509),
    [sym__indent] = ACTIONS(511),
    [sym__string_start] = ACTIONS(77),
  },
  [124] = {
    [sym__simple_statements] = STATE(650),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(513),
    [sym__indent] = ACTIONS(515),
    [sym__string_start] = ACTIONS(77),
  },
  [125] = {
    [sym__simple_statements] = STATE(684),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(517),
    [sym__indent] = ACTIONS(519),
    [sym__string_start] = ACTIONS(77),
  },
  [126] = {
    [sym__simple_statements] = STATE(662),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(521),
    [sym__indent] = ACTIONS(523),
    [sym__string_start] = ACTIONS(77),
  },
  [127] = {
    [sym__simple_statements] = STATE(667),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(525),
    [sym__indent] = ACTIONS(527),
    [sym__string_start] = ACTIONS(77),
  },
  [128] = {
    [sym__simple_statements] = STATE(699),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(529),
    [sym__indent] = ACTIONS(531),
    [sym__string_start] = ACTIONS(77),
  },
  [129] = {
    [sym__simple_statements] = STATE(697),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(533),
    [sym__indent] = ACTIONS(535),
    [sym__string_start] = ACTIONS(77),
  },
  [130] = {
    [sym__simple_statements] = STATE(596),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(537),
    [sym__indent] = ACTIONS(539),
    [sym__string_start] = ACTIONS(77),
  },
  [131] = {
    [sym__simple_statements] = STATE(578),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(541),
    [sym__indent] = ACTIONS(543),
    [sym__string_start] = ACTIONS(77),
  },
  [132] = {
    [sym__simple_statements] = STATE(724),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(545),
    [sym__indent] = ACTIONS(547),
    [sym__string_start] = ACTIONS(77),
  },
  [133] = {
    [sym__simple_statements] = STATE(570),
    [sym_import_statement] = STATE(1733),
    [sym_future_import_statement] = STATE(1733),
    [sym_import_from_statement] = STATE(1733),
    [sym_print_statement] = STATE(1733),
    [sym_assert_statement] = STATE(1733),
    [sym_expression_statement] = STATE(1733),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1733),
    [sym_delete_statement] = STATE(1733),
    [sym_raise_statement] = STATE(1733),
    [sym_pass_statement] = STATE(1733),
    [sym_break_statement] = STATE(1733),
    [sym_continue_statement] = STATE(1733),
    [sym_global_statement] = STATE(1733),
    [sym_nonlocal_statement] = STATE(1733),
    [sym_exec_statement] = STATE(1733),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(549),
    [sym__indent] = ACTIONS(551),
    [sym__string_start] = ACTIONS(77),
  },
  [134] = {
    [sym__simple_statements] = STATE(444),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(553),
    [sym__indent] = ACTIONS(555),
    [sym__string_start] = ACTIONS(77),
  },
  [135] = {
    [sym__simple_statements] = STATE(672),
    [sym_import_statement] = STATE(1727),
    [sym_future_import_statement] = STATE(1727),
    [sym_import_from_statement] = STATE(1727),
    [sym_print_statement] = STATE(1727),
    [sym_assert_statement] = STATE(1727),
    [sym_expression_statement] = STATE(1727),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1727),
    [sym_delete_statement] = STATE(1727),
    [sym_raise_statement] = STATE(1727),
    [sym_pass_statement] = STATE(1727),
    [sym_break_statement] = STATE(1727),
    [sym_continue_statement] = STATE(1727),
    [sym_global_statement] = STATE(1727),
    [sym_nonlocal_statement] = STATE(1727),
    [sym_exec_statement] = STATE(1727),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(557),
    [sym__indent] = ACTIONS(559),
    [sym__string_start] = ACTIONS(77),
  },
  [136] = {
    [sym_import_statement] = STATE(1938),
    [sym_future_import_statement] = STATE(1938),
    [sym_import_from_statement] = STATE(1938),
    [sym_print_statement] = STATE(1938),
    [sym_assert_statement] = STATE(1938),
    [sym_expression_statement] = STATE(1938),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1938),
    [sym_delete_statement] = STATE(1938),
    [sym_raise_statement] = STATE(1938),
    [sym_pass_statement] = STATE(1938),
    [sym_break_statement] = STATE(1938),
    [sym_continue_statement] = STATE(1938),
    [sym_global_statement] = STATE(1938),
    [sym_nonlocal_statement] = STATE(1938),
    [sym_exec_statement] = STATE(1938),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(561),
    [sym__string_start] = ACTIONS(77),
  },
  [137] = {
    [sym_import_statement] = STATE(1938),
    [sym_future_import_statement] = STATE(1938),
    [sym_import_from_statement] = STATE(1938),
    [sym_print_statement] = STATE(1938),
    [sym_assert_statement] = STATE(1938),
    [sym_expression_statement] = STATE(1938),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1938),
    [sym_delete_statement] = STATE(1938),
    [sym_raise_statement] = STATE(1938),
    [sym_pass_statement] = STATE(1938),
    [sym_break_statement] = STATE(1938),
    [sym_continue_statement] = STATE(1938),
    [sym_global_statement] = STATE(1938),
    [sym_nonlocal_statement] = STATE(1938),
    [sym_exec_statement] = STATE(1938),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(563),
    [sym__string_start] = ACTIONS(77),
  },
  [138] = {
    [sym_import_statement] = STATE(1938),
    [sym_future_import_statement] = STATE(1938),
    [sym_import_from_statement] = STATE(1938),
    [sym_print_statement] = STATE(1938),
    [sym_assert_statement] = STATE(1938),
    [sym_expression_statement] = STATE(1938),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1938),
    [sym_delete_statement] = STATE(1938),
    [sym_raise_statement] = STATE(1938),
    [sym_pass_statement] = STATE(1938),
    [sym_break_statement] = STATE(1938),
    [sym_continue_statement] = STATE(1938),
    [sym_global_statement] = STATE(1938),
    [sym_nonlocal_statement] = STATE(1938),
    [sym_exec_statement] = STATE(1938),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(565),
    [sym__string_start] = ACTIONS(77),
  },
  [139] = {
    [sym_import_statement] = STATE(1938),
    [sym_future_import_statement] = STATE(1938),
    [sym_import_from_statement] = STATE(1938),
    [sym_print_statement] = STATE(1938),
    [sym_assert_statement] = STATE(1938),
    [sym_expression_statement] = STATE(1938),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1938),
    [sym_delete_statement] = STATE(1938),
    [sym_raise_statement] = STATE(1938),
    [sym_pass_statement] = STATE(1938),
    [sym_break_statement] = STATE(1938),
    [sym_continue_statement] = STATE(1938),
    [sym_global_statement] = STATE(1938),
    [sym_nonlocal_statement] = STATE(1938),
    [sym_exec_statement] = STATE(1938),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(567),
    [sym__string_start] = ACTIONS(77),
  },
  [140] = {
    [sym_import_statement] = STATE(1938),
    [sym_future_import_statement] = STATE(1938),
    [sym_import_from_statement] = STATE(1938),
    [sym_print_statement] = STATE(1938),
    [sym_assert_statement] = STATE(1938),
    [sym_expression_statement] = STATE(1938),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1938),
    [sym_delete_statement] = STATE(1938),
    [sym_raise_statement] = STATE(1938),
    [sym_pass_statement] = STATE(1938),
    [sym_break_statement] = STATE(1938),
    [sym_continue_statement] = STATE(1938),
    [sym_global_statement] = STATE(1938),
    [sym_nonlocal_statement] = STATE(1938),
    [sym_exec_statement] = STATE(1938),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(569),
    [sym__string_start] = ACTIONS(77),
  },
  [141] = {
    [sym_import_statement] = STATE(1938),
    [sym_future_import_statement] = STATE(1938),
    [sym_import_from_statement] = STATE(1938),
    [sym_print_statement] = STATE(1938),
    [sym_assert_statement] = STATE(1938),
    [sym_expression_statement] = STATE(1938),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1938),
    [sym_delete_statement] = STATE(1938),
    [sym_raise_statement] = STATE(1938),
    [sym_pass_statement] = STATE(1938),
    [sym_break_statement] = STATE(1938),
    [sym_continue_statement] = STATE(1938),
    [sym_global_statement] = STATE(1938),
    [sym_nonlocal_statement] = STATE(1938),
    [sym_exec_statement] = STATE(1938),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(571),
    [sym__string_start] = ACTIONS(77),
  },
  [142] = {
    [sym_import_statement] = STATE(1938),
    [sym_future_import_statement] = STATE(1938),
    [sym_import_from_statement] = STATE(1938),
    [sym_print_statement] = STATE(1938),
    [sym_assert_statement] = STATE(1938),
    [sym_expression_statement] = STATE(1938),
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_return_statement] = STATE(1938),
    [sym_delete_statement] = STATE(1938),
    [sym_raise_statement] = STATE(1938),
    [sym_pass_statement] = STATE(1938),
    [sym_break_statement] = STATE(1938),
    [sym_continue_statement] = STATE(1938),
    [sym_global_statement] = STATE(1938),
    [sym_nonlocal_statement] = STATE(1938),
    [sym_exec_statement] = STATE(1938),
    [sym_pattern] = STATE(1337),
    [sym_tuple_pattern] = STATE(1332),
    [sym_list_pattern] = STATE(1332),
    [sym_list_splat_pattern] = STATE(1332),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1489),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_assignment] = STATE(1917),
    [sym_augmented_assignment] = STATE(1917),
    [sym_pattern_list] = STATE(1342),
    [sym_yield] = STATE(1917),
    [sym_attribute] = STATE(423),
    [sym_subscript] = STATE(423),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_import] = ACTIONS(9),
    [anon_sym_from] = ACTIONS(11),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(15),
    [anon_sym_print] = ACTIONS(17),
    [anon_sym_assert] = ACTIONS(19),
    [anon_sym_match] = ACTIONS(309),
    [anon_sym_return] = ACTIONS(23),
    [anon_sym_del] = ACTIONS(25),
    [anon_sym_raise] = ACTIONS(27),
    [anon_sym_pass] = ACTIONS(29),
    [anon_sym_break] = ACTIONS(31),
    [anon_sym_continue] = ACTIONS(33),
    [anon_sym_async] = ACTIONS(311),
    [anon_sym_global] = ACTIONS(49),
    [anon_sym_nonlocal] = ACTIONS(51),
    [anon_sym_exec] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(59),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_lambda] = ACTIONS(65),
    [anon_sym_yield] = ACTIONS(67),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(75),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(77),
  },
  [143] = {
    [sym_named_expression] = STATE(1406),
    [sym__named_expresssion_lhs] = STATE(1980),
    [sym_as_pattern] = STATE(1406),
    [sym_expression] = STATE(1430),
    [sym_primary_expression] = STATE(782),
    [sym_not_operator] = STATE(1406),
    [sym_boolean_operator] = STATE(1406),
    [sym_binary_operator] = STATE(1016),
    [sym_unary_operator] = STATE(1016),
    [sym_comparison_operator] = STATE(1406),
    [sym_lambda] = STATE(1406),
    [sym_attribute] = STATE(1016),
    [sym_subscript] = STATE(1016),
    [sym_call] = STATE(1016),
    [sym_list] = STATE(1016),
    [sym_set] = STATE(1016),
    [sym_tuple] = STATE(1016),
    [sym_dictionary] = STATE(1016),
    [sym_list_comprehension] = STATE(1016),
    [sym_dictionary_comprehension] = STATE(1016),
    [sym_set_comprehension] = STATE(1016),
    [sym_generator_expression] = STATE(1016),
    [sym_parenthesized_expression] = STATE(1016),
    [sym_conditional_expression] = STATE(1406),
    [sym_concatenated_string] = STATE(1016),
    [sym_string] = STATE(780),
    [sym_await] = STATE(1406),
    [sym_identifier] = ACTIONS(573),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(575),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(577),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_match] = ACTIONS(579),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_COLON] = ACTIONS(250),
    [anon_sym_async] = ACTIONS(577),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_exec] = ACTIONS(577),
    [anon_sym_AT] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(581),
    [anon_sym_EQ] = ACTIONS(252),
    [anon_sym_not] = ACTIONS(583),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(585),
    [anon_sym_DASH] = ACTIONS(585),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_TILDE] = ACTIONS(585),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(587),
    [sym_ellipsis] = ACTIONS(589),
    [anon_sym_LBRACE] = ACTIONS(591),
    [anon_sym_RBRACE] = ACTIONS(250),
    [sym_type_conversion] = ACTIONS(250),
    [sym_integer] = ACTIONS(593),
    [sym_float] = ACTIONS(589),
    [anon_sym_await] = ACTIONS(595),
    [sym_true] = ACTIONS(593),
    [sym_false] = ACTIONS(593),
    [sym_none] = ACTIONS(593),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(597),
  },
  [144] = {
    [sym_named_expression] = STATE(1413),
    [sym__named_expresssion_lhs] = STATE(2098),
    [sym_as_pattern] = STATE(1413),
    [sym_expression] = STATE(1422),
    [sym_primary_expression] = STATE(773),
    [sym_not_operator] = STATE(1413),
    [sym_boolean_operator] = STATE(1413),
    [sym_binary_operator] = STATE(1002),
    [sym_unary_operator] = STATE(1002),
    [sym_comparison_operator] = STATE(1413),
    [sym_lambda] = STATE(1413),
    [sym_attribute] = STATE(1002),
    [sym_subscript] = STATE(1002),
    [sym_call] = STATE(1002),
    [sym_list] = STATE(1002),
    [sym_set] = STATE(1002),
    [sym_tuple] = STATE(1002),
    [sym_dictionary] = STATE(1002),
    [sym_list_comprehension] = STATE(1002),
    [sym_dictionary_comprehension] = STATE(1002),
    [sym_set_comprehension] = STATE(1002),
    [sym_generator_expression] = STATE(1002),
    [sym_parenthesized_expression] = STATE(1002),
    [sym_conditional_expression] = STATE(1413),
    [sym_concatenated_string] = STATE(1002),
    [sym_string] = STATE(781),
    [sym_await] = STATE(1413),
    [sym_identifier] = ACTIONS(293),
    [anon_sym_SEMI] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_from] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(303),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(295),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_match] = ACTIONS(299),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_async] = ACTIONS(295),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_exec] = ACTIONS(295),
    [anon_sym_AT] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(305),
    [anon_sym_EQ] = ACTIONS(252),
    [anon_sym_not] = ACTIONS(61),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(63),
    [anon_sym_DASH] = ACTIONS(63),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_TILDE] = ACTIONS(63),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(65),
    [sym_ellipsis] = ACTIONS(69),
    [anon_sym_LBRACE] = ACTIONS(71),
    [sym_integer] = ACTIONS(73),
    [sym_float] = ACTIONS(69),
    [anon_sym_await] = ACTIONS(301),
    [sym_true] = ACTIONS(73),
    [sym_false] = ACTIONS(73),
    [sym_none] = ACTIONS(73),
    [sym_comment] = ACTIONS(3),
    [sym__newline] = ACTIONS(250),
    [sym__string_start] = ACTIONS(77),
  },
  [145] = {
    [sym_named_expression] = STATE(1475),
    [sym__named_expresssion_lhs] = STATE(2115),
    [sym_as_pattern] = STATE(1475),
    [sym_expression] = STATE(1488),
    [sym_primary_expression] = STATE(795),
    [sym_not_operator] = STATE(1475),
    [sym_boolean_operator] = STATE(1475),
    [sym_binary_operator] = STATE(1123),
    [sym_unary_operator] = STATE(1123),
    [sym_comparison_operator] = STATE(1475),
    [sym_lambda] = STATE(1475),
    [sym_attribute] = STATE(1123),
    [sym_subscript] = STATE(1123),
    [sym_call] = STATE(1123),
    [sym_list] = STATE(1123),
    [sym_set] = STATE(1123),
    [sym_tuple] = STATE(1123),
    [sym_dictionary] = STATE(1123),
    [sym_list_comprehension] = STATE(1123),
    [sym_dictionary_comprehension] = STATE(1123),
    [sym_set_comprehension] = STATE(1123),
    [sym_generator_expression] = STATE(1123),
    [sym_parenthesized_expression] = STATE(1123),
    [sym_conditional_expression] = STATE(1475),
    [sym_concatenated_string] = STATE(1123),
    [sym_string] = STATE(786),
    [sym_await] = STATE(1475),
    [sym_identifier] = ACTIONS(248),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(599),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(260),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_match] = ACTIONS(264),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_COLON] = ACTIONS(250),
    [anon_sym_else] = ACTIONS(252),
    [anon_sym_async] = ACTIONS(260),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_exec] = ACTIONS(260),
    [anon_sym_AT] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(601),
    [anon_sym_EQ] = ACTIONS(252),
    [anon_sym_not] = ACTIONS(603),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(277),
    [anon_sym_DASH] = ACTIONS(277),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_TILDE] = ACTIONS(277),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(279),
    [sym_ellipsis] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(285),
    [sym_integer] = ACTIONS(287),
    [sym_float] = ACTIONS(283),
    [anon_sym_await] = ACTIONS(289),
    [sym_true] = ACTIONS(287),
    [sym_false] = ACTIONS(287),
    [sym_none] = ACTIONS(287),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(291),
  },
  [146] = {
    [sym_named_expression] = STATE(1405),
    [sym__named_expresssion_lhs] = STATE(2018),
    [sym_as_pattern] = STATE(1405),
    [sym_expression] = STATE(1401),
    [sym_primary_expression] = STATE(776),
    [sym_not_operator] = STATE(1405),
    [sym_boolean_operator] = STATE(1405),
    [sym_binary_operator] = STATE(1080),
    [sym_unary_operator] = STATE(1080),
    [sym_comparison_operator] = STATE(1405),
    [sym_lambda] = STATE(1405),
    [sym_attribute] = STATE(1080),
    [sym_subscript] = STATE(1080),
    [sym_call] = STATE(1080),
    [sym_list] = STATE(1080),
    [sym_set] = STATE(1080),
    [sym_tuple] = STATE(1080),
    [sym_dictionary] = STATE(1080),
    [sym_list_comprehension] = STATE(1080),
    [sym_dictionary_comprehension] = STATE(1080),
    [sym_set_comprehension] = STATE(1080),
    [sym_generator_expression] = STATE(1080),
    [sym_parenthesized_expression] = STATE(1080),
    [sym_conditional_expression] = STATE(1405),
    [sym_concatenated_string] = STATE(1080),
    [sym_string] = STATE(778),
    [sym_await] = STATE(1405),
    [sym_identifier] = ACTIONS(605),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(607),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(609),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_match] = ACTIONS(611),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_COLON] = ACTIONS(250),
    [anon_sym_async] = ACTIONS(609),
    [anon_sym_for] = ACTIONS(252),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_exec] = ACTIONS(609),
    [anon_sym_AT] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(613),
    [anon_sym_not] = ACTIONS(615),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(617),
    [anon_sym_DASH] = ACTIONS(617),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_TILDE] = ACTIONS(617),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(619),
    [sym_ellipsis] = ACTIONS(621),
    [anon_sym_LBRACE] = ACTIONS(623),
    [anon_sym_RBRACE] = ACTIONS(250),
    [sym_integer] = ACTIONS(625),
    [sym_float] = ACTIONS(621),
    [anon_sym_await] = ACTIONS(627),
    [sym_true] = ACTIONS(625),
    [sym_false] = ACTIONS(625),
    [sym_none] = ACTIONS(625),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(629),
  },
  [147] = {
    [sym_named_expression] = STATE(1481),
    [sym__named_expresssion_lhs] = STATE(1975),
    [sym_as_pattern] = STATE(1481),
    [sym_expression] = STATE(1465),
    [sym_primary_expression] = STATE(807),
    [sym_not_operator] = STATE(1481),
    [sym_boolean_operator] = STATE(1481),
    [sym_binary_operator] = STATE(1153),
    [sym_unary_operator] = STATE(1153),
    [sym_comparison_operator] = STATE(1481),
    [sym_lambda] = STATE(1481),
    [sym_attribute] = STATE(1153),
    [sym_subscript] = STATE(1153),
    [sym_call] = STATE(1153),
    [sym_list] = STATE(1153),
    [sym_set] = STATE(1153),
    [sym_tuple] = STATE(1153),
    [sym_dictionary] = STATE(1153),
    [sym_list_comprehension] = STATE(1153),
    [sym_dictionary_comprehension] = STATE(1153),
    [sym_set_comprehension] = STATE(1153),
    [sym_generator_expression] = STATE(1153),
    [sym_parenthesized_expression] = STATE(1153),
    [sym_conditional_expression] = STATE(1481),
    [sym_concatenated_string] = STATE(1153),
    [sym_string] = STATE(802),
    [sym_await] = STATE(1481),
    [sym_identifier] = ACTIONS(631),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_RPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(635),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_match] = ACTIONS(637),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_async] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(252),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_exec] = ACTIONS(635),
    [anon_sym_AT] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_EQ] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_TILDE] = ACTIONS(645),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(647),
    [sym_ellipsis] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [sym_integer] = ACTIONS(653),
    [sym_float] = ACTIONS(649),
    [anon_sym_await] = ACTIONS(655),
    [sym_true] = ACTIONS(653),
    [sym_false] = ACTIONS(653),
    [sym_none] = ACTIONS(653),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(657),
  },
  [148] = {
    [sym_named_expression] = STATE(1468),
    [sym__named_expresssion_lhs] = STATE(2072),
    [sym_as_pattern] = STATE(1468),
    [sym_expression] = STATE(1490),
    [sym_primary_expression] = STATE(805),
    [sym_not_operator] = STATE(1468),
    [sym_boolean_operator] = STATE(1468),
    [sym_binary_operator] = STATE(1129),
    [sym_unary_operator] = STATE(1129),
    [sym_comparison_operator] = STATE(1468),
    [sym_lambda] = STATE(1468),
    [sym_attribute] = STATE(1129),
    [sym_subscript] = STATE(1129),
    [sym_call] = STATE(1129),
    [sym_list] = STATE(1129),
    [sym_set] = STATE(1129),
    [sym_tuple] = STATE(1129),
    [sym_dictionary] = STATE(1129),
    [sym_list_comprehension] = STATE(1129),
    [sym_dictionary_comprehension] = STATE(1129),
    [sym_set_comprehension] = STATE(1129),
    [sym_generator_expression] = STATE(1129),
    [sym_parenthesized_expression] = STATE(1129),
    [sym_conditional_expression] = STATE(1468),
    [sym_concatenated_string] = STATE(1129),
    [sym_string] = STATE(826),
    [sym_await] = STATE(1468),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(661),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(663),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_match] = ACTIONS(665),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_async] = ACTIONS(663),
    [anon_sym_for] = ACTIONS(252),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_exec] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(250),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_TILDE] = ACTIONS(671),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(673),
    [sym_ellipsis] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [sym_integer] = ACTIONS(679),
    [sym_float] = ACTIONS(675),
    [anon_sym_await] = ACTIONS(681),
    [sym_true] = ACTIONS(679),
    [sym_false] = ACTIONS(679),
    [sym_none] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(683),
  },
  [149] = {
    [sym_named_expression] = STATE(1481),
    [sym__named_expresssion_lhs] = STATE(1975),
    [sym_as_pattern] = STATE(1481),
    [sym_expression] = STATE(1465),
    [sym_primary_expression] = STATE(807),
    [sym_not_operator] = STATE(1481),
    [sym_boolean_operator] = STATE(1481),
    [sym_binary_operator] = STATE(1153),
    [sym_unary_operator] = STATE(1153),
    [sym_comparison_operator] = STATE(1481),
    [sym_lambda] = STATE(1481),
    [sym_attribute] = STATE(1153),
    [sym_subscript] = STATE(1153),
    [sym_call] = STATE(1153),
    [sym_list] = STATE(1153),
    [sym_set] = STATE(1153),
    [sym_tuple] = STATE(1153),
    [sym_dictionary] = STATE(1153),
    [sym_list_comprehension] = STATE(1153),
    [sym_dictionary_comprehension] = STATE(1153),
    [sym_set_comprehension] = STATE(1153),
    [sym_generator_expression] = STATE(1153),
    [sym_parenthesized_expression] = STATE(1153),
    [sym_conditional_expression] = STATE(1481),
    [sym_concatenated_string] = STATE(1153),
    [sym_string] = STATE(802),
    [sym_await] = STATE(1481),
    [sym_identifier] = ACTIONS(631),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_RPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(635),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_match] = ACTIONS(637),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_async] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(252),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_exec] = ACTIONS(635),
    [anon_sym_AT] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_TILDE] = ACTIONS(645),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(647),
    [sym_ellipsis] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [sym_integer] = ACTIONS(653),
    [sym_float] = ACTIONS(649),
    [anon_sym_await] = ACTIONS(655),
    [sym_true] = ACTIONS(653),
    [sym_false] = ACTIONS(653),
    [sym_none] = ACTIONS(653),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(657),
  },
  [150] = {
    [sym_named_expression] = STATE(1512),
    [sym__named_expresssion_lhs] = STATE(1978),
    [sym_as_pattern] = STATE(1512),
    [sym_expression] = STATE(1499),
    [sym_primary_expression] = STATE(920),
    [sym_not_operator] = STATE(1512),
    [sym_boolean_operator] = STATE(1512),
    [sym_binary_operator] = STATE(1242),
    [sym_unary_operator] = STATE(1242),
    [sym_comparison_operator] = STATE(1512),
    [sym_lambda] = STATE(1512),
    [sym_attribute] = STATE(1242),
    [sym_subscript] = STATE(1242),
    [sym_call] = STATE(1242),
    [sym_list] = STATE(1242),
    [sym_set] = STATE(1242),
    [sym_tuple] = STATE(1242),
    [sym_dictionary] = STATE(1242),
    [sym_list_comprehension] = STATE(1242),
    [sym_dictionary_comprehension] = STATE(1242),
    [sym_set_comprehension] = STATE(1242),
    [sym_generator_expression] = STATE(1242),
    [sym_parenthesized_expression] = STATE(1242),
    [sym_conditional_expression] = STATE(1512),
    [sym_concatenated_string] = STATE(1242),
    [sym_string] = STATE(919),
    [sym_await] = STATE(1512),
    [sym_identifier] = ACTIONS(685),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(687),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(689),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_match] = ACTIONS(691),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_COLON] = ACTIONS(250),
    [anon_sym_async] = ACTIONS(689),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_exec] = ACTIONS(689),
    [anon_sym_AT] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_RBRACK] = ACTIONS(250),
    [anon_sym_not] = ACTIONS(695),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(699),
    [sym_ellipsis] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(703),
    [sym_integer] = ACTIONS(705),
    [sym_float] = ACTIONS(701),
    [anon_sym_await] = ACTIONS(707),
    [sym_true] = ACTIONS(705),
    [sym_false] = ACTIONS(705),
    [sym_none] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(709),
  },
  [151] = {
    [sym_named_expression] = STATE(1529),
    [sym__named_expresssion_lhs] = STATE(1959),
    [sym_as_pattern] = STATE(1529),
    [sym_expression] = STATE(1532),
    [sym_primary_expression] = STATE(952),
    [sym_not_operator] = STATE(1529),
    [sym_boolean_operator] = STATE(1529),
    [sym_binary_operator] = STATE(1228),
    [sym_unary_operator] = STATE(1228),
    [sym_comparison_operator] = STATE(1529),
    [sym_lambda] = STATE(1529),
    [sym_attribute] = STATE(1228),
    [sym_subscript] = STATE(1228),
    [sym_call] = STATE(1228),
    [sym_list] = STATE(1228),
    [sym_set] = STATE(1228),
    [sym_tuple] = STATE(1228),
    [sym_dictionary] = STATE(1228),
    [sym_list_comprehension] = STATE(1228),
    [sym_dictionary_comprehension] = STATE(1228),
    [sym_set_comprehension] = STATE(1228),
    [sym_generator_expression] = STATE(1228),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_conditional_expression] = STATE(1529),
    [sym_concatenated_string] = STATE(1228),
    [sym_string] = STATE(951),
    [sym_await] = STATE(1529),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(715),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_match] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_async] = ACTIONS(715),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_exec] = ACTIONS(715),
    [anon_sym_AT] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(719),
    [anon_sym_EQ] = ACTIONS(252),
    [anon_sym_not] = ACTIONS(721),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(723),
    [anon_sym_DASH] = ACTIONS(723),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(725),
    [sym_ellipsis] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(729),
    [sym_integer] = ACTIONS(731),
    [sym_float] = ACTIONS(727),
    [anon_sym_await] = ACTIONS(733),
    [sym_true] = ACTIONS(731),
    [sym_false] = ACTIONS(731),
    [sym_none] = ACTIONS(731),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(735),
  },
  [152] = {
    [sym_named_expression] = STATE(1529),
    [sym__named_expresssion_lhs] = STATE(1959),
    [sym_as_pattern] = STATE(1529),
    [sym_expression] = STATE(1532),
    [sym_primary_expression] = STATE(952),
    [sym_not_operator] = STATE(1529),
    [sym_boolean_operator] = STATE(1529),
    [sym_binary_operator] = STATE(1228),
    [sym_unary_operator] = STATE(1228),
    [sym_comparison_operator] = STATE(1529),
    [sym_lambda] = STATE(1529),
    [sym_attribute] = STATE(1228),
    [sym_subscript] = STATE(1228),
    [sym_call] = STATE(1228),
    [sym_list] = STATE(1228),
    [sym_set] = STATE(1228),
    [sym_tuple] = STATE(1228),
    [sym_dictionary] = STATE(1228),
    [sym_list_comprehension] = STATE(1228),
    [sym_dictionary_comprehension] = STATE(1228),
    [sym_set_comprehension] = STATE(1228),
    [sym_generator_expression] = STATE(1228),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_conditional_expression] = STATE(1529),
    [sym_concatenated_string] = STATE(1228),
    [sym_string] = STATE(951),
    [sym_await] = STATE(1529),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(250),
    [anon_sym_COMMA] = ACTIONS(250),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(715),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_match] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_async] = ACTIONS(715),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_exec] = ACTIONS(715),
    [anon_sym_AT] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(719),
    [anon_sym_EQ] = ACTIONS(641),
    [anon_sym_not] = ACTIONS(721),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(723),
    [anon_sym_DASH] = ACTIONS(723),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(725),
    [sym_ellipsis] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(729),
    [sym_integer] = ACTIONS(731),
    [sym_float] = ACTIONS(727),
    [anon_sym_await] = ACTIONS(733),
    [sym_true] = ACTIONS(731),
    [sym_false] = ACTIONS(731),
    [sym_none] = ACTIONS(731),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(735),
  },
  [153] = {
    [sym_named_expression] = STATE(1481),
    [sym__named_expresssion_lhs] = STATE(1975),
    [sym_as_pattern] = STATE(1481),
    [sym_expression] = STATE(1465),
    [sym_primary_expression] = STATE(807),
    [sym_not_operator] = STATE(1481),
    [sym_boolean_operator] = STATE(1481),
    [sym_binary_operator] = STATE(1153),
    [sym_unary_operator] = STATE(1153),
    [sym_comparison_operator] = STATE(1481),
    [sym_lambda] = STATE(1481),
    [sym_attribute] = STATE(1153),
    [sym_subscript] = STATE(1153),
    [sym_call] = STATE(1153),
    [sym_list] = STATE(1153),
    [sym_set] = STATE(1153),
    [sym_tuple] = STATE(1153),
    [sym_dictionary] = STATE(1153),
    [sym_list_comprehension] = STATE(1153),
    [sym_dictionary_comprehension] = STATE(1153),
    [sym_set_comprehension] = STATE(1153),
    [sym_generator_expression] = STATE(1153),
    [sym_parenthesized_expression] = STATE(1153),
    [sym_conditional_expression] = STATE(1481),
    [sym_concatenated_string] = STATE(1153),
    [sym_string] = STATE(802),
    [sym_await] = STATE(1481),
    [sym_identifier] = ACTIONS(631),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(633),
    [anon_sym_RPAREN] = ACTIONS(257),
    [anon_sym_COMMA] = ACTIONS(257),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(635),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_match] = ACTIONS(637),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_async] = ACTIONS(635),
    [anon_sym_for] = ACTIONS(252),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_exec] = ACTIONS(635),
    [anon_sym_AT] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(639),
    [anon_sym_not] = ACTIONS(643),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(645),
    [anon_sym_DASH] = ACTIONS(645),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_TILDE] = ACTIONS(645),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(647),
    [sym_ellipsis] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [sym_integer] = ACTIONS(653),
    [sym_float] = ACTIONS(649),
    [anon_sym_await] = ACTIONS(655),
    [sym_true] = ACTIONS(653),
    [sym_false] = ACTIONS(653),
    [sym_none] = ACTIONS(653),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(657),
  },
  [154] = {
    [sym_named_expression] = STATE(1468),
    [sym__named_expresssion_lhs] = STATE(2072),
    [sym_as_pattern] = STATE(1468),
    [sym_expression] = STATE(1490),
    [sym_primary_expression] = STATE(805),
    [sym_not_operator] = STATE(1468),
    [sym_boolean_operator] = STATE(1468),
    [sym_binary_operator] = STATE(1129),
    [sym_unary_operator] = STATE(1129),
    [sym_comparison_operator] = STATE(1468),
    [sym_lambda] = STATE(1468),
    [sym_attribute] = STATE(1129),
    [sym_subscript] = STATE(1129),
    [sym_call] = STATE(1129),
    [sym_list] = STATE(1129),
    [sym_set] = STATE(1129),
    [sym_tuple] = STATE(1129),
    [sym_dictionary] = STATE(1129),
    [sym_list_comprehension] = STATE(1129),
    [sym_dictionary_comprehension] = STATE(1129),
    [sym_set_comprehension] = STATE(1129),
    [sym_generator_expression] = STATE(1129),
    [sym_parenthesized_expression] = STATE(1129),
    [sym_conditional_expression] = STATE(1468),
    [sym_concatenated_string] = STATE(1129),
    [sym_string] = STATE(826),
    [sym_await] = STATE(1468),
    [sym_identifier] = ACTIONS(659),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(661),
    [anon_sym_COMMA] = ACTIONS(257),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(663),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_match] = ACTIONS(665),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_async] = ACTIONS(663),
    [anon_sym_for] = ACTIONS(252),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_exec] = ACTIONS(663),
    [anon_sym_AT] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(667),
    [anon_sym_RBRACK] = ACTIONS(257),
    [anon_sym_not] = ACTIONS(669),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(671),
    [anon_sym_DASH] = ACTIONS(671),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_TILDE] = ACTIONS(671),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(673),
    [sym_ellipsis] = ACTIONS(675),
    [anon_sym_LBRACE] = ACTIONS(677),
    [sym_integer] = ACTIONS(679),
    [sym_float] = ACTIONS(675),
    [anon_sym_await] = ACTIONS(681),
    [sym_true] = ACTIONS(679),
    [sym_false] = ACTIONS(679),
    [sym_none] = ACTIONS(679),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(683),
  },
  [155] = {
    [sym_named_expression] = STATE(1512),
    [sym__named_expresssion_lhs] = STATE(1978),
    [sym_as_pattern] = STATE(1512),
    [sym_expression] = STATE(1499),
    [sym_primary_expression] = STATE(920),
    [sym_not_operator] = STATE(1512),
    [sym_boolean_operator] = STATE(1512),
    [sym_binary_operator] = STATE(1242),
    [sym_unary_operator] = STATE(1242),
    [sym_comparison_operator] = STATE(1512),
    [sym_lambda] = STATE(1512),
    [sym_attribute] = STATE(1242),
    [sym_subscript] = STATE(1242),
    [sym_call] = STATE(1242),
    [sym_list] = STATE(1242),
    [sym_set] = STATE(1242),
    [sym_tuple] = STATE(1242),
    [sym_dictionary] = STATE(1242),
    [sym_list_comprehension] = STATE(1242),
    [sym_dictionary_comprehension] = STATE(1242),
    [sym_set_comprehension] = STATE(1242),
    [sym_generator_expression] = STATE(1242),
    [sym_parenthesized_expression] = STATE(1242),
    [sym_conditional_expression] = STATE(1512),
    [sym_concatenated_string] = STATE(1242),
    [sym_string] = STATE(919),
    [sym_await] = STATE(1512),
    [sym_identifier] = ACTIONS(685),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(687),
    [anon_sym_COMMA] = ACTIONS(737),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(689),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_match] = ACTIONS(691),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_async] = ACTIONS(689),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_exec] = ACTIONS(689),
    [anon_sym_AT] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(693),
    [anon_sym_RBRACK] = ACTIONS(737),
    [anon_sym_not] = ACTIONS(695),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_TILDE] = ACTIONS(697),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(699),
    [sym_ellipsis] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(703),
    [sym_integer] = ACTIONS(705),
    [sym_float] = ACTIONS(701),
    [anon_sym_await] = ACTIONS(707),
    [sym_true] = ACTIONS(705),
    [sym_false] = ACTIONS(705),
    [sym_none] = ACTIONS(705),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(709),
  },
  [156] = {
    [sym_named_expression] = STATE(1529),
    [sym__named_expresssion_lhs] = STATE(1959),
    [sym_as_pattern] = STATE(1529),
    [sym_expression] = STATE(1532),
    [sym_primary_expression] = STATE(952),
    [sym_not_operator] = STATE(1529),
    [sym_boolean_operator] = STATE(1529),
    [sym_binary_operator] = STATE(1228),
    [sym_unary_operator] = STATE(1228),
    [sym_comparison_operator] = STATE(1529),
    [sym_lambda] = STATE(1529),
    [sym_attribute] = STATE(1228),
    [sym_subscript] = STATE(1228),
    [sym_call] = STATE(1228),
    [sym_list] = STATE(1228),
    [sym_set] = STATE(1228),
    [sym_tuple] = STATE(1228),
    [sym_dictionary] = STATE(1228),
    [sym_list_comprehension] = STATE(1228),
    [sym_dictionary_comprehension] = STATE(1228),
    [sym_set_comprehension] = STATE(1228),
    [sym_generator_expression] = STATE(1228),
    [sym_parenthesized_expression] = STATE(1228),
    [sym_conditional_expression] = STATE(1529),
    [sym_concatenated_string] = STATE(1228),
    [sym_string] = STATE(951),
    [sym_await] = STATE(1529),
    [sym_identifier] = ACTIONS(711),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_LPAREN] = ACTIONS(713),
    [anon_sym_RPAREN] = ACTIONS(737),
    [anon_sym_COMMA] = ACTIONS(737),
    [anon_sym_as] = ACTIONS(252),
    [anon_sym_STAR] = ACTIONS(252),
    [anon_sym_print] = ACTIONS(715),
    [anon_sym_GT_GT] = ACTIONS(250),
    [anon_sym_match] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(252),
    [anon_sym_async] = ACTIONS(715),
    [anon_sym_in] = ACTIONS(252),
    [anon_sym_STAR_STAR] = ACTIONS(250),
    [anon_sym_exec] = ACTIONS(715),
    [anon_sym_AT] = ACTIONS(250),
    [anon_sym_LBRACK] = ACTIONS(719),
    [anon_sym_not] = ACTIONS(721),
    [anon_sym_and] = ACTIONS(252),
    [anon_sym_or] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(723),
    [anon_sym_DASH] = ACTIONS(723),
    [anon_sym_SLASH] = ACTIONS(252),
    [anon_sym_PERCENT] = ACTIONS(250),
    [anon_sym_SLASH_SLASH] = ACTIONS(250),
    [anon_sym_PIPE] = ACTIONS(250),
    [anon_sym_AMP] = ACTIONS(250),
    [anon_sym_CARET] = ACTIONS(250),
    [anon_sym_LT_LT] = ACTIONS(250),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_LT_EQ] = ACTIONS(250),
    [anon_sym_EQ_EQ] = ACTIONS(250),
    [anon_sym_BANG_EQ] = ACTIONS(250),
    [anon_sym_GT_EQ] = ACTIONS(250),
    [anon_sym_GT] = ACTIONS(252),
    [anon_sym_LT_GT] = ACTIONS(250),
    [anon_sym_is] = ACTIONS(252),
    [anon_sym_lambda] = ACTIONS(725),
    [sym_ellipsis] = ACTIONS(727),
    [anon_sym_LBRACE] = ACTIONS(729),
    [sym_integer] = ACTIONS(731),
    [sym_float] = ACTIONS(727),
    [anon_sym_await] = ACTIONS(733),
    [sym_true] = ACTIONS(731),
    [sym_false] = ACTIONS(731),
    [sym_none] = ACTIONS(731),
    [sym_comment] = ACTIONS(3),
    [sym__string_start] = ACTIONS(735),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(740), 1,
      sym_identifier,
    ACTIONS(742), 1,
      anon_sym_LPAREN,
    ACTIONS(744), 1,
      anon_sym_RPAREN,
    ACTIONS(746), 1,
      anon_sym_STAR,
    ACTIONS(750), 1,
      anon_sym_match,
    ACTIONS(752), 1,
      anon_sym_LBRACK,
    ACTIONS(754), 1,
      anon_sym_yield,
    ACTIONS(756), 1,
      anon_sym_await,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1361), 1,
      sym_expression,
    STATE(1791), 1,
      sym_yield,
    STATE(1828), 1,
      sym_parenthesized_list_splat,
    STATE(1829), 1,
      sym_list_splat,
    STATE(1835), 1,
      sym_pattern,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    STATE(2070), 1,
      sym__collection_elements,
    STATE(2108), 1,
      sym__patterns,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    STATE(1149), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(748), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1883), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [124] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(673), 1,
      anon_sym_lambda,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(758), 1,
      sym_identifier,
    ACTIONS(760), 1,
      anon_sym_LPAREN,
    ACTIONS(762), 1,
      anon_sym_STAR,
    ACTIONS(766), 1,
      anon_sym_match,
    ACTIONS(768), 1,
      anon_sym_LBRACK,
    ACTIONS(770), 1,
      anon_sym_RBRACK,
    ACTIONS(772), 1,
      anon_sym_yield,
    ACTIONS(774), 1,
      anon_sym_await,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1380), 1,
      sym_expression,
    STATE(1819), 1,
      sym_pattern,
    STATE(1988), 1,
      sym__patterns,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    STATE(2104), 1,
      sym__collection_elements,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    STATE(1132), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(764), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    STATE(1927), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [244] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(740), 1,
      sym_identifier,
    ACTIONS(742), 1,
      anon_sym_LPAREN,
    ACTIONS(746), 1,
      anon_sym_STAR,
    ACTIONS(750), 1,
      anon_sym_match,
    ACTIONS(752), 1,
      anon_sym_LBRACK,
    ACTIONS(754), 1,
      anon_sym_yield,
    ACTIONS(756), 1,
      anon_sym_await,
    ACTIONS(776), 1,
      anon_sym_RPAREN,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1362), 1,
      sym_expression,
    STATE(1770), 1,
      sym_parenthesized_list_splat,
    STATE(1771), 1,
      sym_list_splat,
    STATE(1816), 1,
      sym_yield,
    STATE(1835), 1,
      sym_pattern,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    STATE(1979), 1,
      sym__patterns,
    STATE(1981), 1,
      sym__collection_elements,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    STATE(1149), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(748), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1883), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [368] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(673), 1,
      anon_sym_lambda,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(758), 1,
      sym_identifier,
    ACTIONS(760), 1,
      anon_sym_LPAREN,
    ACTIONS(762), 1,
      anon_sym_STAR,
    ACTIONS(766), 1,
      anon_sym_match,
    ACTIONS(768), 1,
      anon_sym_LBRACK,
    ACTIONS(772), 1,
      anon_sym_yield,
    ACTIONS(774), 1,
      anon_sym_await,
    ACTIONS(778), 1,
      anon_sym_RBRACK,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1380), 1,
      sym_expression,
    STATE(1819), 1,
      sym_pattern,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    STATE(2104), 1,
      sym__collection_elements,
    STATE(2105), 1,
      sym__patterns,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    STATE(1132), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(764), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    STATE(1927), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [488] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(740), 1,
      sym_identifier,
    ACTIONS(742), 1,
      anon_sym_LPAREN,
    ACTIONS(746), 1,
      anon_sym_STAR,
    ACTIONS(750), 1,
      anon_sym_match,
    ACTIONS(752), 1,
      anon_sym_LBRACK,
    ACTIONS(754), 1,
      anon_sym_yield,
    ACTIONS(756), 1,
      anon_sym_await,
    ACTIONS(780), 1,
      anon_sym_RPAREN,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1379), 1,
      sym_expression,
    STATE(1835), 1,
      sym_pattern,
    STATE(1841), 1,
      sym_yield,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    STATE(2015), 1,
      sym__collection_elements,
    STATE(2021), 1,
      sym__patterns,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    STATE(1149), 2,
      sym_attribute,
      sym_subscript,
    STATE(1831), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(748), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1883), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [610] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(740), 1,
      sym_identifier,
    ACTIONS(742), 1,
      anon_sym_LPAREN,
    ACTIONS(746), 1,
      anon_sym_STAR,
    ACTIONS(750), 1,
      anon_sym_match,
    ACTIONS(752), 1,
      anon_sym_LBRACK,
    ACTIONS(754), 1,
      anon_sym_yield,
    ACTIONS(756), 1,
      anon_sym_await,
    ACTIONS(782), 1,
      anon_sym_RPAREN,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1369), 1,
      sym_expression,
    STATE(1730), 1,
      sym_yield,
    STATE(1835), 1,
      sym_pattern,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    STATE(2107), 1,
      sym__collection_elements,
    STATE(2108), 1,
      sym__patterns,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    STATE(1149), 2,
      sym_attribute,
      sym_subscript,
    STATE(1831), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(748), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1883), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [732] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(673), 1,
      anon_sym_lambda,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(758), 1,
      sym_identifier,
    ACTIONS(760), 1,
      anon_sym_LPAREN,
    ACTIONS(762), 1,
      anon_sym_STAR,
    ACTIONS(766), 1,
      anon_sym_match,
    ACTIONS(768), 1,
      anon_sym_LBRACK,
    ACTIONS(772), 1,
      anon_sym_yield,
    ACTIONS(774), 1,
      anon_sym_await,
    ACTIONS(784), 1,
      anon_sym_RBRACK,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1367), 1,
      sym_expression,
    STATE(1819), 1,
      sym_pattern,
    STATE(2068), 1,
      sym__collection_elements,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    STATE(2105), 1,
      sym__patterns,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    STATE(1132), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(764), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    STATE(1927), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [852] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(673), 1,
      anon_sym_lambda,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(758), 1,
      sym_identifier,
    ACTIONS(760), 1,
      anon_sym_LPAREN,
    ACTIONS(762), 1,
      anon_sym_STAR,
    ACTIONS(766), 1,
      anon_sym_match,
    ACTIONS(768), 1,
      anon_sym_LBRACK,
    ACTIONS(772), 1,
      anon_sym_yield,
    ACTIONS(774), 1,
      anon_sym_await,
    ACTIONS(786), 1,
      anon_sym_RBRACK,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1373), 1,
      sym_expression,
    STATE(1819), 1,
      sym_pattern,
    STATE(1988), 1,
      sym__patterns,
    STATE(1992), 1,
      sym__collection_elements,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    STATE(1132), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(764), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    STATE(1927), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [972] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(740), 1,
      sym_identifier,
    ACTIONS(742), 1,
      anon_sym_LPAREN,
    ACTIONS(746), 1,
      anon_sym_STAR,
    ACTIONS(750), 1,
      anon_sym_match,
    ACTIONS(752), 1,
      anon_sym_LBRACK,
    ACTIONS(754), 1,
      anon_sym_yield,
    ACTIONS(756), 1,
      anon_sym_await,
    ACTIONS(788), 1,
      anon_sym_RPAREN,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1369), 1,
      sym_expression,
    STATE(1730), 1,
      sym_yield,
    STATE(1835), 1,
      sym_pattern,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    STATE(2021), 1,
      sym__patterns,
    STATE(2107), 1,
      sym__collection_elements,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    STATE(1149), 2,
      sym_attribute,
      sym_subscript,
    STATE(1831), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(748), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1883), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1094] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      anon_sym_yield,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(75), 1,
      anon_sym_await,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      anon_sym_match,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1337), 1,
      sym_pattern,
    STATE(1342), 1,
      sym_pattern_list,
    STATE(1452), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    STATE(423), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1332), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1941), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1210] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      anon_sym_yield,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(75), 1,
      anon_sym_await,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      anon_sym_match,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1337), 1,
      sym_pattern,
    STATE(1342), 1,
      sym_pattern_list,
    STATE(1452), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    STATE(423), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1332), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1940), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1326] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(673), 1,
      anon_sym_lambda,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(758), 1,
      sym_identifier,
    ACTIONS(760), 1,
      anon_sym_LPAREN,
    ACTIONS(762), 1,
      anon_sym_STAR,
    ACTIONS(766), 1,
      anon_sym_match,
    ACTIONS(768), 1,
      anon_sym_LBRACK,
    ACTIONS(772), 1,
      anon_sym_yield,
    ACTIONS(774), 1,
      anon_sym_await,
    ACTIONS(790), 1,
      anon_sym_RBRACK,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1372), 1,
      sym_expression,
    STATE(1819), 1,
      sym_pattern,
    STATE(1965), 1,
      sym__patterns,
    STATE(1972), 1,
      sym__collection_elements,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    STATE(1132), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(764), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    STATE(1927), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1446] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(740), 1,
      sym_identifier,
    ACTIONS(742), 1,
      anon_sym_LPAREN,
    ACTIONS(746), 1,
      anon_sym_STAR,
    ACTIONS(750), 1,
      anon_sym_match,
    ACTIONS(752), 1,
      anon_sym_LBRACK,
    ACTIONS(754), 1,
      anon_sym_yield,
    ACTIONS(756), 1,
      anon_sym_await,
    ACTIONS(792), 1,
      anon_sym_RPAREN,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1369), 1,
      sym_expression,
    STATE(1730), 1,
      sym_yield,
    STATE(1835), 1,
      sym_pattern,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    STATE(1979), 1,
      sym__patterns,
    STATE(2107), 1,
      sym__collection_elements,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    STATE(1149), 2,
      sym_attribute,
      sym_subscript,
    STATE(1831), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(748), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1883), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1568] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      sym_identifier,
    ACTIONS(13), 1,
      anon_sym_LPAREN,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(59), 1,
      anon_sym_LBRACK,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(67), 1,
      anon_sym_yield,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(75), 1,
      anon_sym_await,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(309), 1,
      anon_sym_match,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1337), 1,
      sym_pattern,
    STATE(1342), 1,
      sym_pattern_list,
    STATE(1452), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    STATE(423), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(311), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1332), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1899), 5,
      sym_expression_list,
      sym_assignment,
      sym_augmented_assignment,
      sym__right_hand_side,
      sym_yield,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1684] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(673), 1,
      anon_sym_lambda,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(758), 1,
      sym_identifier,
    ACTIONS(760), 1,
      anon_sym_LPAREN,
    ACTIONS(762), 1,
      anon_sym_STAR,
    ACTIONS(766), 1,
      anon_sym_match,
    ACTIONS(768), 1,
      anon_sym_LBRACK,
    ACTIONS(772), 1,
      anon_sym_yield,
    ACTIONS(774), 1,
      anon_sym_await,
    ACTIONS(794), 1,
      anon_sym_RBRACK,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1380), 1,
      sym_expression,
    STATE(1819), 1,
      sym_pattern,
    STATE(1965), 1,
      sym__patterns,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    STATE(2104), 1,
      sym__collection_elements,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    STATE(1132), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(764), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    STATE(1927), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1804] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(619), 1,
      anon_sym_lambda,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(798), 1,
      anon_sym_COMMA,
    ACTIONS(800), 1,
      anon_sym_STAR,
    ACTIONS(802), 1,
      anon_sym_STAR_STAR,
    ACTIONS(804), 1,
      anon_sym_yield,
    ACTIONS(806), 1,
      anon_sym_RBRACE,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1352), 1,
      sym_expression,
    STATE(1534), 1,
      sym_pair,
    STATE(1736), 1,
      sym_dictionary_splat,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    STATE(2095), 1,
      sym__collection_elements,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(609), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1749), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [1923] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(619), 1,
      anon_sym_lambda,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(800), 1,
      anon_sym_STAR,
    ACTIONS(802), 1,
      anon_sym_STAR_STAR,
    ACTIONS(804), 1,
      anon_sym_yield,
    ACTIONS(808), 1,
      anon_sym_COMMA,
    ACTIONS(810), 1,
      anon_sym_RBRACE,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1353), 1,
      sym_expression,
    STATE(1533), 1,
      sym_pair,
    STATE(1846), 1,
      sym_dictionary_splat,
    STATE(2016), 1,
      sym__collection_elements,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(609), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1749), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2042] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(619), 1,
      anon_sym_lambda,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(800), 1,
      anon_sym_STAR,
    ACTIONS(802), 1,
      anon_sym_STAR_STAR,
    ACTIONS(804), 1,
      anon_sym_yield,
    ACTIONS(812), 1,
      anon_sym_COMMA,
    ACTIONS(814), 1,
      anon_sym_RBRACE,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1354), 1,
      sym_expression,
    STATE(1501), 1,
      sym_pair,
    STATE(1799), 1,
      sym_dictionary_splat,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    STATE(2053), 1,
      sym__collection_elements,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(609), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1749), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2161] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(619), 1,
      anon_sym_lambda,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(800), 1,
      anon_sym_STAR,
    ACTIONS(802), 1,
      anon_sym_STAR_STAR,
    ACTIONS(804), 1,
      anon_sym_yield,
    ACTIONS(816), 1,
      anon_sym_COMMA,
    ACTIONS(818), 1,
      anon_sym_RBRACE,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1355), 1,
      sym_expression,
    STATE(1535), 1,
      sym_pair,
    STATE(1856), 1,
      sym_dictionary_splat,
    STATE(2014), 1,
      sym__collection_elements,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(609), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1749), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2280] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(619), 1,
      anon_sym_lambda,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(800), 1,
      anon_sym_STAR,
    ACTIONS(802), 1,
      anon_sym_STAR_STAR,
    ACTIONS(804), 1,
      anon_sym_yield,
    ACTIONS(820), 1,
      anon_sym_COMMA,
    ACTIONS(822), 1,
      anon_sym_RBRACE,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1351), 1,
      sym_expression,
    STATE(1536), 1,
      sym_pair,
    STATE(1848), 1,
      sym_dictionary_splat,
    STATE(2009), 1,
      sym__collection_elements,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(609), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1749), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2399] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(619), 1,
      anon_sym_lambda,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(800), 1,
      anon_sym_STAR,
    ACTIONS(802), 1,
      anon_sym_STAR_STAR,
    ACTIONS(804), 1,
      anon_sym_yield,
    ACTIONS(824), 1,
      anon_sym_COMMA,
    ACTIONS(826), 1,
      anon_sym_RBRACE,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1350), 1,
      sym_expression,
    STATE(1517), 1,
      sym_pair,
    STATE(1868), 1,
      sym_dictionary_splat,
    STATE(1990), 1,
      sym__collection_elements,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(609), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1749), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2518] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(619), 1,
      anon_sym_lambda,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(800), 1,
      anon_sym_STAR,
    ACTIONS(802), 1,
      anon_sym_STAR_STAR,
    ACTIONS(804), 1,
      anon_sym_yield,
    ACTIONS(828), 1,
      anon_sym_COMMA,
    ACTIONS(830), 1,
      anon_sym_RBRACE,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1356), 1,
      sym_expression,
    STATE(1557), 1,
      sym_pair,
    STATE(1796), 1,
      sym_dictionary_splat,
    STATE(1970), 1,
      sym__collection_elements,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(609), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1749), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2637] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(619), 1,
      anon_sym_lambda,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(796), 1,
      anon_sym_LPAREN,
    ACTIONS(800), 1,
      anon_sym_STAR,
    ACTIONS(802), 1,
      anon_sym_STAR_STAR,
    ACTIONS(804), 1,
      anon_sym_yield,
    ACTIONS(832), 1,
      anon_sym_COMMA,
    ACTIONS(834), 1,
      anon_sym_RBRACE,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1349), 1,
      sym_expression,
    STATE(1498), 1,
      sym_pair,
    STATE(1702), 1,
      sym_dictionary_splat,
    STATE(1948), 1,
      sym__collection_elements,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(609), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1749), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [2756] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 1,
      anon_sym_TILDE,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(836), 1,
      sym_identifier,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_STAR,
    ACTIONS(844), 1,
      anon_sym_match,
    ACTIONS(848), 1,
      anon_sym_in,
    ACTIONS(850), 1,
      anon_sym_LBRACK,
    STATE(786), 1,
      sym_string,
    STATE(1308), 1,
      sym_primary_expression,
    STATE(1327), 1,
      sym_pattern,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1243), 2,
      sym_attribute,
      sym_subscript,
    STATE(1332), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(842), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
    ACTIONS(846), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [2857] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(277), 1,
      anon_sym_TILDE,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(836), 1,
      sym_identifier,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(840), 1,
      anon_sym_STAR,
    ACTIONS(844), 1,
      anon_sym_match,
    ACTIONS(850), 1,
      anon_sym_LBRACK,
    ACTIONS(856), 1,
      anon_sym_in,
    STATE(786), 1,
      sym_string,
    STATE(1308), 1,
      sym_primary_expression,
    STATE(1327), 1,
      sym_pattern,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(852), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1243), 2,
      sym_attribute,
      sym_subscript,
    STATE(1332), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(842), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
    ACTIONS(854), 15,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [2958] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(858), 1,
      sym_identifier,
    ACTIONS(860), 1,
      anon_sym_LPAREN,
    ACTIONS(862), 1,
      anon_sym_RPAREN,
    ACTIONS(864), 1,
      anon_sym_COMMA,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(870), 1,
      anon_sym_match,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(874), 1,
      anon_sym_await,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1378), 1,
      sym_expression,
    STATE(1814), 1,
      sym_parenthesized_list_splat,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(868), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1813), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3068] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(754), 1,
      anon_sym_yield,
    ACTIONS(860), 1,
      anon_sym_LPAREN,
    ACTIONS(876), 1,
      anon_sym_RPAREN,
    ACTIONS(878), 1,
      anon_sym_STAR,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1366), 1,
      sym_expression,
    STATE(1720), 1,
      sym_with_item,
    STATE(1730), 1,
      sym_yield,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    STATE(2107), 1,
      sym__collection_elements,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    STATE(1831), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3180] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(858), 1,
      sym_identifier,
    ACTIONS(860), 1,
      anon_sym_LPAREN,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(870), 1,
      anon_sym_match,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(874), 1,
      anon_sym_await,
    ACTIONS(880), 1,
      anon_sym_RPAREN,
    ACTIONS(882), 1,
      anon_sym_COMMA,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1374), 1,
      sym_expression,
    STATE(1752), 1,
      sym_parenthesized_list_splat,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(868), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1780), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3290] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(858), 1,
      sym_identifier,
    ACTIONS(860), 1,
      anon_sym_LPAREN,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(870), 1,
      anon_sym_match,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(874), 1,
      anon_sym_await,
    ACTIONS(884), 1,
      anon_sym_RPAREN,
    ACTIONS(886), 1,
      anon_sym_COMMA,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1377), 1,
      sym_expression,
    STATE(1755), 1,
      sym_parenthesized_list_splat,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(868), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1754), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3400] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(858), 1,
      sym_identifier,
    ACTIONS(860), 1,
      anon_sym_LPAREN,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(870), 1,
      anon_sym_match,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(874), 1,
      anon_sym_await,
    ACTIONS(888), 1,
      anon_sym_RPAREN,
    ACTIONS(890), 1,
      anon_sym_COMMA,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1360), 1,
      sym_expression,
    STATE(1713), 1,
      sym_parenthesized_list_splat,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(868), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1703), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3510] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(858), 1,
      sym_identifier,
    ACTIONS(860), 1,
      anon_sym_LPAREN,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(870), 1,
      anon_sym_match,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(874), 1,
      anon_sym_await,
    ACTIONS(892), 1,
      anon_sym_RPAREN,
    ACTIONS(894), 1,
      anon_sym_COMMA,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1370), 1,
      sym_expression,
    STATE(1775), 1,
      sym_parenthesized_list_splat,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(868), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1776), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3620] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(858), 1,
      sym_identifier,
    ACTIONS(860), 1,
      anon_sym_LPAREN,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(870), 1,
      anon_sym_match,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(874), 1,
      anon_sym_await,
    ACTIONS(896), 1,
      anon_sym_RPAREN,
    ACTIONS(898), 1,
      anon_sym_COMMA,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1368), 1,
      sym_expression,
    STATE(1855), 1,
      sym_parenthesized_list_splat,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(868), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1858), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3730] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(858), 1,
      sym_identifier,
    ACTIONS(860), 1,
      anon_sym_LPAREN,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(870), 1,
      anon_sym_match,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(874), 1,
      anon_sym_await,
    ACTIONS(900), 1,
      anon_sym_RPAREN,
    ACTIONS(902), 1,
      anon_sym_COMMA,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1375), 1,
      sym_expression,
    STATE(1699), 1,
      sym_parenthesized_list_splat,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(868), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1700), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3840] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(858), 1,
      sym_identifier,
    ACTIONS(860), 1,
      anon_sym_LPAREN,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(870), 1,
      anon_sym_match,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(874), 1,
      anon_sym_await,
    ACTIONS(904), 1,
      anon_sym_RPAREN,
    ACTIONS(906), 1,
      anon_sym_COMMA,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1359), 1,
      sym_expression,
    STATE(1863), 1,
      sym_parenthesized_list_splat,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(868), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1862), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [3950] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(884), 1,
      anon_sym_RPAREN,
    ACTIONS(886), 1,
      anon_sym_COMMA,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1496), 1,
      sym_expression,
    STATE(1755), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1754), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4060] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(673), 1,
      anon_sym_lambda,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(772), 1,
      anon_sym_yield,
    ACTIONS(918), 1,
      anon_sym_LPAREN,
    ACTIONS(920), 1,
      anon_sym_STAR,
    ACTIONS(922), 1,
      anon_sym_RBRACK,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1357), 1,
      sym_expression,
    STATE(1985), 1,
      sym__collection_elements,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4167] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(924), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4274] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(926), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4381] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(928), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4488] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(930), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4595] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(932), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4702] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(934), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4809] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(936), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [4916] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(754), 1,
      anon_sym_yield,
    ACTIONS(860), 1,
      anon_sym_LPAREN,
    ACTIONS(876), 1,
      anon_sym_RPAREN,
    ACTIONS(878), 1,
      anon_sym_STAR,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1369), 1,
      sym_expression,
    STATE(1730), 1,
      sym_yield,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    STATE(2107), 1,
      sym__collection_elements,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    STATE(1831), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5025] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(938), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5132] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(940), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5239] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(942), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5346] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(754), 1,
      anon_sym_yield,
    ACTIONS(860), 1,
      anon_sym_LPAREN,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(944), 1,
      anon_sym_RPAREN,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1362), 1,
      sym_expression,
    STATE(1770), 1,
      sym_parenthesized_list_splat,
    STATE(1771), 1,
      sym_list_splat,
    STATE(1816), 1,
      sym_yield,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    STATE(1981), 1,
      sym__collection_elements,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5457] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(673), 1,
      anon_sym_lambda,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(772), 1,
      anon_sym_yield,
    ACTIONS(918), 1,
      anon_sym_LPAREN,
    ACTIONS(920), 1,
      anon_sym_STAR,
    ACTIONS(946), 1,
      anon_sym_RBRACK,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1372), 1,
      sym_expression,
    STATE(1972), 1,
      sym__collection_elements,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5564] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(948), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5671] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(950), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5778] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(952), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5885] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(754), 1,
      anon_sym_yield,
    ACTIONS(860), 1,
      anon_sym_LPAREN,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(954), 1,
      anon_sym_RPAREN,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1361), 1,
      sym_expression,
    STATE(1791), 1,
      sym_yield,
    STATE(1828), 1,
      sym_parenthesized_list_splat,
    STATE(1829), 1,
      sym_list_splat,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    STATE(2070), 1,
      sym__collection_elements,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [5996] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(673), 1,
      anon_sym_lambda,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(772), 1,
      anon_sym_yield,
    ACTIONS(918), 1,
      anon_sym_LPAREN,
    ACTIONS(920), 1,
      anon_sym_STAR,
    ACTIONS(956), 1,
      anon_sym_RBRACK,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1381), 1,
      sym_expression,
    STATE(2013), 1,
      sym__collection_elements,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6103] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(958), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6210] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(754), 1,
      anon_sym_yield,
    ACTIONS(860), 1,
      anon_sym_LPAREN,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(960), 1,
      anon_sym_RPAREN,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_expression,
    STATE(1809), 1,
      sym_yield,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    STATE(1976), 1,
      sym__collection_elements,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    STATE(1831), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6319] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(673), 1,
      anon_sym_lambda,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(772), 1,
      anon_sym_yield,
    ACTIONS(918), 1,
      anon_sym_LPAREN,
    ACTIONS(920), 1,
      anon_sym_STAR,
    ACTIONS(962), 1,
      anon_sym_RBRACK,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1380), 1,
      sym_expression,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    STATE(2104), 1,
      sym__collection_elements,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6426] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(754), 1,
      anon_sym_yield,
    ACTIONS(860), 1,
      anon_sym_LPAREN,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_RPAREN,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1358), 1,
      sym_expression,
    STATE(1717), 1,
      sym_yield,
    STATE(1958), 1,
      sym__collection_elements,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    STATE(1831), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6535] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(966), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6642] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(968), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6749] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(754), 1,
      anon_sym_yield,
    ACTIONS(860), 1,
      anon_sym_LPAREN,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(970), 1,
      anon_sym_RPAREN,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1364), 1,
      sym_expression,
    STATE(1840), 1,
      sym_yield,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    STATE(2017), 1,
      sym__collection_elements,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    STATE(1831), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6858] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(673), 1,
      anon_sym_lambda,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(772), 1,
      anon_sym_yield,
    ACTIONS(918), 1,
      anon_sym_LPAREN,
    ACTIONS(920), 1,
      anon_sym_STAR,
    ACTIONS(972), 1,
      anon_sym_RBRACK,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1363), 1,
      sym_expression,
    STATE(1974), 1,
      sym__collection_elements,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [6965] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(754), 1,
      anon_sym_yield,
    ACTIONS(860), 1,
      anon_sym_LPAREN,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(964), 1,
      anon_sym_RPAREN,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1358), 1,
      sym_expression,
    STATE(1717), 1,
      sym_yield,
    STATE(1770), 1,
      sym_parenthesized_list_splat,
    STATE(1771), 1,
      sym_list_splat,
    STATE(1958), 1,
      sym__collection_elements,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7076] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(974), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7183] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(976), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7290] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(754), 1,
      anon_sym_yield,
    ACTIONS(860), 1,
      anon_sym_LPAREN,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(978), 1,
      anon_sym_RPAREN,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1379), 1,
      sym_expression,
    STATE(1841), 1,
      sym_yield,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    STATE(2015), 1,
      sym__collection_elements,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    STATE(1831), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7399] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(980), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7506] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(982), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7613] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(673), 1,
      anon_sym_lambda,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(772), 1,
      anon_sym_yield,
    ACTIONS(918), 1,
      anon_sym_LPAREN,
    ACTIONS(920), 1,
      anon_sym_STAR,
    ACTIONS(984), 1,
      anon_sym_RBRACK,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1367), 1,
      sym_expression,
    STATE(2068), 1,
      sym__collection_elements,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7720] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(986), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7827] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(988), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [7934] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(754), 1,
      anon_sym_yield,
    ACTIONS(860), 1,
      anon_sym_LPAREN,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(954), 1,
      anon_sym_RPAREN,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1361), 1,
      sym_expression,
    STATE(1791), 1,
      sym_yield,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    STATE(2070), 1,
      sym__collection_elements,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    STATE(1831), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8043] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(990), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8150] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(992), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8257] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(994), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8364] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(996), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8471] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(754), 1,
      anon_sym_yield,
    ACTIONS(860), 1,
      anon_sym_LPAREN,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(944), 1,
      anon_sym_RPAREN,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1362), 1,
      sym_expression,
    STATE(1816), 1,
      sym_yield,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    STATE(1981), 1,
      sym__collection_elements,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    STATE(1831), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8580] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(673), 1,
      anon_sym_lambda,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(772), 1,
      anon_sym_yield,
    ACTIONS(918), 1,
      anon_sym_LPAREN,
    ACTIONS(920), 1,
      anon_sym_STAR,
    ACTIONS(998), 1,
      anon_sym_RBRACK,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1365), 1,
      sym_expression,
    STATE(1945), 1,
      sym__collection_elements,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8687] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(754), 1,
      anon_sym_yield,
    ACTIONS(860), 1,
      anon_sym_LPAREN,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(1000), 1,
      anon_sym_RPAREN,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_expression,
    STATE(1828), 1,
      sym_parenthesized_list_splat,
    STATE(1829), 1,
      sym_list_splat,
    STATE(1833), 1,
      sym_yield,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    STATE(1982), 1,
      sym__collection_elements,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8798] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(1002), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [8905] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(1004), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9012] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(754), 1,
      anon_sym_yield,
    ACTIONS(860), 1,
      anon_sym_LPAREN,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(960), 1,
      anon_sym_RPAREN,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1371), 1,
      sym_expression,
    STATE(1743), 1,
      sym_list_splat,
    STATE(1744), 1,
      sym_parenthesized_list_splat,
    STATE(1809), 1,
      sym_yield,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    STATE(1976), 1,
      sym__collection_elements,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9123] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(673), 1,
      anon_sym_lambda,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(772), 1,
      anon_sym_yield,
    ACTIONS(918), 1,
      anon_sym_LPAREN,
    ACTIONS(920), 1,
      anon_sym_STAR,
    ACTIONS(1006), 1,
      anon_sym_RBRACK,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1373), 1,
      sym_expression,
    STATE(1992), 1,
      sym__collection_elements,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1834), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9230] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(754), 1,
      anon_sym_yield,
    ACTIONS(860), 1,
      anon_sym_LPAREN,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(970), 1,
      anon_sym_RPAREN,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1364), 1,
      sym_expression,
    STATE(1743), 1,
      sym_list_splat,
    STATE(1744), 1,
      sym_parenthesized_list_splat,
    STATE(1840), 1,
      sym_yield,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    STATE(2017), 1,
      sym__collection_elements,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9341] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(1008), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9448] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(1010), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9555] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(754), 1,
      anon_sym_yield,
    ACTIONS(860), 1,
      anon_sym_LPAREN,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(1000), 1,
      anon_sym_RPAREN,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1376), 1,
      sym_expression,
    STATE(1833), 1,
      sym_yield,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    STATE(1982), 1,
      sym__collection_elements,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    STATE(1831), 2,
      sym_list_splat,
      sym_parenthesized_list_splat,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9664] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(1012), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9771] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    ACTIONS(1014), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9878] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(754), 1,
      anon_sym_yield,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(1016), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1559), 1,
      sym_expression,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1893), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [9982] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(772), 1,
      anon_sym_yield,
    ACTIONS(920), 1,
      anon_sym_STAR,
    ACTIONS(1016), 1,
      anon_sym_RBRACK,
    ACTIONS(1018), 1,
      anon_sym_LPAREN,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1612), 1,
      sym_expression,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1890), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10086] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(754), 1,
      anon_sym_yield,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(1020), 1,
      anon_sym_RPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1559), 1,
      sym_expression,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1893), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10190] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(579), 1,
      anon_sym_match,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_not,
    ACTIONS(587), 1,
      anon_sym_lambda,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(595), 1,
      anon_sym_await,
    ACTIONS(597), 1,
      sym__string_start,
    ACTIONS(804), 1,
      anon_sym_yield,
    ACTIONS(1016), 1,
      anon_sym_RBRACE,
    ACTIONS(1022), 1,
      anon_sym_LPAREN,
    ACTIONS(1024), 1,
      anon_sym_STAR,
    STATE(780), 1,
      sym_string,
    STATE(782), 1,
      sym_primary_expression,
    STATE(1569), 1,
      sym_expression,
    STATE(1980), 1,
      sym__named_expresssion_lhs,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(577), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1915), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(593), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1406), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10294] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(579), 1,
      anon_sym_match,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_not,
    ACTIONS(587), 1,
      anon_sym_lambda,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(595), 1,
      anon_sym_await,
    ACTIONS(597), 1,
      sym__string_start,
    ACTIONS(804), 1,
      anon_sym_yield,
    ACTIONS(1020), 1,
      anon_sym_RBRACE,
    ACTIONS(1022), 1,
      anon_sym_LPAREN,
    ACTIONS(1024), 1,
      anon_sym_STAR,
    STATE(780), 1,
      sym_string,
    STATE(782), 1,
      sym_primary_expression,
    STATE(1569), 1,
      sym_expression,
    STATE(1980), 1,
      sym__named_expresssion_lhs,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(577), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1915), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(593), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1406), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10398] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(772), 1,
      anon_sym_yield,
    ACTIONS(920), 1,
      anon_sym_STAR,
    ACTIONS(1018), 1,
      anon_sym_LPAREN,
    ACTIONS(1020), 1,
      anon_sym_RBRACK,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1612), 1,
      sym_expression,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1890), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10502] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(866), 1,
      anon_sym_STAR,
    ACTIONS(872), 1,
      anon_sym_STAR_STAR,
    ACTIONS(908), 1,
      sym_identifier,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    ACTIONS(914), 1,
      anon_sym_match,
    ACTIONS(916), 1,
      anon_sym_await,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1600), 1,
      sym_expression,
    STATE(1913), 1,
      sym_parenthesized_list_splat,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(912), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    STATE(1907), 3,
      sym_list_splat,
      sym_dictionary_splat,
      sym_keyword_argument,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10606] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(1028), 1,
      anon_sym_lambda,
    ACTIONS(1030), 1,
      anon_sym_RBRACE,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1435), 1,
      sym_expression,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    ACTIONS(609), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    STATE(1646), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1026), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10707] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(1028), 1,
      anon_sym_lambda,
    ACTIONS(1034), 1,
      anon_sym_RBRACE,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1435), 1,
      sym_expression,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    ACTIONS(609), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    STATE(1646), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1032), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10808] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(1034), 1,
      anon_sym_RPAREN,
    ACTIONS(1036), 1,
      anon_sym_lambda,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1493), 1,
      sym_expression,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(635), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    STATE(1618), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1032), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [10909] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(1040), 1,
      anon_sym_RBRACK,
    ACTIONS(1042), 1,
      anon_sym_lambda,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1464), 1,
      sym_expression,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(663), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    STATE(1631), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1038), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11010] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(1030), 1,
      anon_sym_RBRACK,
    ACTIONS(1042), 1,
      anon_sym_lambda,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1464), 1,
      sym_expression,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(663), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    STATE(1631), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1026), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11111] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(579), 1,
      anon_sym_match,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_not,
    ACTIONS(587), 1,
      anon_sym_lambda,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(595), 1,
      anon_sym_await,
    ACTIONS(597), 1,
      sym__string_start,
    ACTIONS(804), 1,
      anon_sym_yield,
    ACTIONS(1022), 1,
      anon_sym_LPAREN,
    ACTIONS(1024), 1,
      anon_sym_STAR,
    STATE(780), 1,
      sym_string,
    STATE(782), 1,
      sym_primary_expression,
    STATE(1569), 1,
      sym_expression,
    STATE(1980), 1,
      sym__named_expresssion_lhs,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(577), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1915), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(593), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1406), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11212] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(772), 1,
      anon_sym_yield,
    ACTIONS(920), 1,
      anon_sym_STAR,
    ACTIONS(1018), 1,
      anon_sym_LPAREN,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1612), 1,
      sym_expression,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1890), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11313] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(1034), 1,
      anon_sym_RBRACK,
    ACTIONS(1042), 1,
      anon_sym_lambda,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1464), 1,
      sym_expression,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(663), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    STATE(1631), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1032), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11414] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(1030), 1,
      anon_sym_RPAREN,
    ACTIONS(1036), 1,
      anon_sym_lambda,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1493), 1,
      sym_expression,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(635), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    STATE(1618), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1026), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11515] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(1036), 1,
      anon_sym_lambda,
    ACTIONS(1040), 1,
      anon_sym_RPAREN,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1493), 1,
      sym_expression,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(635), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    STATE(1618), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1038), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11616] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(1036), 1,
      anon_sym_lambda,
    ACTIONS(1044), 1,
      anon_sym_RPAREN,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1493), 1,
      sym_expression,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(635), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    STATE(1618), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1046), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11717] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(1028), 1,
      anon_sym_lambda,
    ACTIONS(1044), 1,
      anon_sym_RBRACE,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1435), 1,
      sym_expression,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    ACTIONS(609), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    STATE(1646), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1046), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11818] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(1048), 1,
      anon_sym_if,
    ACTIONS(1050), 1,
      anon_sym_COLON,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1607), 1,
      sym_expression,
    STATE(1790), 1,
      sym_list_splat_pattern,
    STATE(2067), 1,
      sym_if_clause,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [11923] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(1048), 1,
      anon_sym_if,
    ACTIONS(1052), 1,
      anon_sym_COLON,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1607), 1,
      sym_expression,
    STATE(1790), 1,
      sym_list_splat_pattern,
    STATE(2066), 1,
      sym_if_clause,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12028] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(1048), 1,
      anon_sym_if,
    ACTIONS(1054), 1,
      anon_sym_COLON,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1607), 1,
      sym_expression,
    STATE(1790), 1,
      sym_list_splat_pattern,
    STATE(2060), 1,
      sym_if_clause,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12133] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(1048), 1,
      anon_sym_if,
    ACTIONS(1056), 1,
      anon_sym_COLON,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1607), 1,
      sym_expression,
    STATE(1790), 1,
      sym_list_splat_pattern,
    STATE(2065), 1,
      sym_if_clause,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12238] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(1028), 1,
      anon_sym_lambda,
    ACTIONS(1040), 1,
      anon_sym_RBRACE,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1435), 1,
      sym_expression,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    ACTIONS(609), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    STATE(1646), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1038), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12339] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(1042), 1,
      anon_sym_lambda,
    ACTIONS(1044), 1,
      anon_sym_RBRACK,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1464), 1,
      sym_expression,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(663), 2,
      anon_sym_print,
      anon_sym_exec,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    STATE(1631), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1046), 3,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12440] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(1048), 1,
      anon_sym_if,
    ACTIONS(1058), 1,
      anon_sym_COLON,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1607), 1,
      sym_expression,
    STATE(1790), 1,
      sym_list_splat_pattern,
    STATE(2046), 1,
      sym_if_clause,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12545] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(1048), 1,
      anon_sym_if,
    ACTIONS(1060), 1,
      anon_sym_COLON,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1607), 1,
      sym_expression,
    STATE(1790), 1,
      sym_list_splat_pattern,
    STATE(2049), 1,
      sym_if_clause,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12650] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(754), 1,
      anon_sym_yield,
    ACTIONS(878), 1,
      anon_sym_STAR,
    ACTIONS(910), 1,
      anon_sym_LPAREN,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1559), 1,
      sym_expression,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1893), 3,
      sym_list_splat,
      sym_parenthesized_list_splat,
      sym_yield,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12751] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(802), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1062), 1,
      anon_sym_RBRACE,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1654), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1902), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12851] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(802), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1064), 1,
      anon_sym_RBRACE,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1654), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1902), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [12951] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(802), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1066), 1,
      anon_sym_RBRACE,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1654), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1902), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13051] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(802), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1068), 1,
      anon_sym_RBRACE,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1654), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1902), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13151] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(802), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1070), 1,
      anon_sym_RBRACE,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1654), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1902), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13251] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(802), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1072), 1,
      anon_sym_RBRACE,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1654), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1902), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13351] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(802), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1074), 1,
      anon_sym_RBRACE,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1654), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1902), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13451] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1078), 1,
      anon_sym_from,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1415), 1,
      sym_expression,
    STATE(1786), 1,
      sym_expression_list,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1076), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13551] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(802), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1080), 1,
      anon_sym_RBRACE,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1654), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1902), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13651] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(802), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1082), 1,
      anon_sym_RBRACE,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1654), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1902), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13751] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_match,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_not,
    ACTIONS(587), 1,
      anon_sym_lambda,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(595), 1,
      anon_sym_await,
    ACTIONS(597), 1,
      sym__string_start,
    ACTIONS(1084), 1,
      anon_sym_from,
    STATE(780), 1,
      sym_string,
    STATE(782), 1,
      sym_primary_expression,
    STATE(1505), 1,
      sym_expression,
    STATE(1871), 1,
      sym_expression_list,
    STATE(1980), 1,
      sym__named_expresssion_lhs,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1086), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(577), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(593), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1406), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13851] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1088), 1,
      anon_sym_from,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1503), 1,
      sym_expression,
    STATE(1880), 1,
      sym_expression_list,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1086), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [13951] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(802), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1090), 1,
      anon_sym_RBRACE,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1654), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1902), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14051] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(802), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1092), 1,
      anon_sym_RBRACE,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1654), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1902), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14151] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(1094), 1,
      anon_sym_from,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1528), 1,
      sym_expression,
    STATE(1874), 1,
      sym_expression_list,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1086), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14251] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1096), 1,
      anon_sym_from,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1446), 1,
      sym_expression,
    STATE(1872), 1,
      sym_expression_list,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1086), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14351] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(802), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1098), 1,
      anon_sym_RBRACE,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1654), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1902), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14451] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(802), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1100), 1,
      anon_sym_RBRACE,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1654), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1902), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14551] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(802), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1102), 1,
      anon_sym_RBRACE,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1654), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1902), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14651] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(802), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1104), 1,
      anon_sym_RBRACE,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1654), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1902), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14751] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(802), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1106), 1,
      anon_sym_RBRACE,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1654), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1902), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14851] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    ACTIONS(1110), 1,
      anon_sym_RBRACK,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [14950] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    ACTIONS(1112), 1,
      anon_sym_RBRACK,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15049] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    ACTIONS(1114), 1,
      anon_sym_RBRACK,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15148] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    ACTIONS(1116), 1,
      anon_sym_RBRACK,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15247] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1120), 1,
      anon_sym_from,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1456), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1118), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15344] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    ACTIONS(1122), 1,
      anon_sym_RBRACK,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15443] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(802), 1,
      anon_sym_STAR_STAR,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1654), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1902), 2,
      sym_dictionary_splat,
      sym_pair,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15540] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1126), 1,
      anon_sym_COLON,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1513), 1,
      sym_expression,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1124), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15637] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    ACTIONS(1128), 1,
      anon_sym_RBRACK,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15736] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    ACTIONS(1130), 1,
      anon_sym_RBRACK,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15835] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    ACTIONS(1132), 1,
      anon_sym_RBRACK,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [15934] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    ACTIONS(1134), 1,
      anon_sym_RBRACK,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16033] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    ACTIONS(1136), 1,
      anon_sym_RBRACK,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16132] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    ACTIONS(1138), 1,
      anon_sym_RBRACK,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16231] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(257), 1,
      anon_sym_COMMA,
    ACTIONS(266), 1,
      anon_sym_EQ,
    ACTIONS(1140), 1,
      anon_sym_for,
    ACTIONS(1142), 1,
      anon_sym_with,
    ACTIONS(1144), 1,
      anon_sym_def,
    ACTIONS(281), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(252), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [16302] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    ACTIONS(1146), 1,
      anon_sym_RBRACK,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16401] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    ACTIONS(1148), 1,
      anon_sym_RBRACK,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16500] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    ACTIONS(1150), 1,
      anon_sym_RBRACK,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16599] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    ACTIONS(1152), 1,
      anon_sym_RBRACK,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16698] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    ACTIONS(1154), 1,
      anon_sym_RBRACK,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16797] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    ACTIONS(1156), 1,
      anon_sym_RBRACK,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16896] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1160), 1,
      anon_sym_COLON,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1554), 1,
      sym_expression,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1158), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [16993] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(257), 1,
      anon_sym_COMMA,
    ACTIONS(266), 1,
      anon_sym_EQ,
    ACTIONS(1162), 1,
      anon_sym_for,
    ACTIONS(1164), 1,
      anon_sym_with,
    ACTIONS(1166), 1,
      anon_sym_def,
    ACTIONS(281), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(252), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [17064] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    ACTIONS(1168), 1,
      anon_sym_RBRACK,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17163] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    ACTIONS(1170), 1,
      anon_sym_RBRACK,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17262] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    ACTIONS(1172), 1,
      anon_sym_RBRACK,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17361] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1460), 1,
      sym_expression,
    STATE(1894), 1,
      sym_expression_list,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1174), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17458] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    ACTIONS(1176), 1,
      anon_sym_RBRACK,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17557] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1180), 1,
      anon_sym_from,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1456), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1178), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17654] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    ACTIONS(1182), 1,
      anon_sym_RBRACK,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17753] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    ACTIONS(1184), 1,
      anon_sym_RBRACK,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17852] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    ACTIONS(1186), 1,
      anon_sym_RBRACK,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [17951] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1607), 1,
      sym_expression,
    STATE(1790), 1,
      sym_list_splat_pattern,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18047] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(1188), 1,
      anon_sym_LPAREN,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1558), 1,
      sym_expression,
    STATE(1729), 1,
      sym_with_item,
    STATE(2032), 1,
      sym_with_clause,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18143] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1449), 1,
      sym_expression,
    STATE(1866), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18239] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1572), 1,
      sym_expression,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1178), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18333] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1506), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1190), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18427] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1196), 1,
      anon_sym_else,
    ACTIONS(1198), 1,
      anon_sym_except,
    ACTIONS(1200), 1,
      anon_sym_finally,
    STATE(607), 1,
      sym_else_clause,
    STATE(717), 1,
      sym_finally_clause,
    STATE(413), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1194), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1192), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [18497] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1486), 1,
      sym_expression,
    STATE(1817), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18593] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1506), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1202), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18687] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(1036), 1,
      anon_sym_lambda,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1477), 1,
      sym_expression,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    STATE(1660), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18781] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(1042), 1,
      anon_sym_lambda,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1462), 1,
      sym_expression,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    STATE(1662), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(663), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [18875] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1196), 1,
      anon_sym_else,
    ACTIONS(1198), 1,
      anon_sym_except,
    ACTIONS(1200), 1,
      anon_sym_finally,
    STATE(599), 1,
      sym_else_clause,
    STATE(703), 1,
      sym_finally_clause,
    STATE(413), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1206), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1204), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [18945] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1484), 1,
      sym_expression,
    STATE(1758), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19041] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(1036), 1,
      anon_sym_lambda,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1493), 1,
      sym_expression,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    STATE(1610), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19135] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1564), 1,
      sym_expression,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1158), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19229] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      sym__string_start,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1594), 1,
      sym_expression,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1118), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19323] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1434), 1,
      sym_expression,
    STATE(1778), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19419] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1572), 1,
      sym_expression,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1118), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19513] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      sym__string_start,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1594), 1,
      sym_expression,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1178), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19607] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1506), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1208), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19701] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1451), 1,
      sym_expression,
    STATE(1753), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19797] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1506), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1210), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19891] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(1188), 1,
      anon_sym_LPAREN,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1558), 1,
      sym_expression,
    STATE(1729), 1,
      sym_with_item,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    STATE(2117), 1,
      sym_with_clause,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [19987] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1445), 1,
      sym_expression,
    STATE(1766), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20083] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1482), 1,
      sym_expression,
    STATE(1614), 1,
      sym_list_splat_pattern,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20179] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(1188), 1,
      anon_sym_LPAREN,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1558), 1,
      sym_expression,
    STATE(1729), 1,
      sym_with_item,
    STATE(1960), 1,
      sym_with_clause,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20275] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(1036), 1,
      anon_sym_lambda,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1436), 1,
      sym_expression,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    STATE(1626), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20369] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(1028), 1,
      anon_sym_lambda,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1435), 1,
      sym_expression,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    STATE(1568), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(609), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20463] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(1028), 1,
      anon_sym_lambda,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1435), 1,
      sym_expression,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    STATE(1565), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(609), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20557] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1555), 1,
      sym_expression,
    STATE(1918), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20653] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1212), 1,
      anon_sym_else,
    ACTIONS(1214), 1,
      anon_sym_except,
    ACTIONS(1216), 1,
      anon_sym_finally,
    STATE(591), 1,
      sym_else_clause,
    STATE(725), 1,
      sym_finally_clause,
    STATE(409), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1194), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1192), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [20723] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1587), 1,
      sym_expression,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1218), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20817] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1485), 1,
      sym_expression,
    STATE(1852), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [20913] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(1036), 1,
      anon_sym_lambda,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1493), 1,
      sym_expression,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    STATE(1618), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21007] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(1028), 1,
      anon_sym_lambda,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1448), 1,
      sym_expression,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    STATE(1639), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(609), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21101] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(1042), 1,
      anon_sym_lambda,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1464), 1,
      sym_expression,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    STATE(1566), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(663), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21195] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(1028), 1,
      anon_sym_lambda,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1461), 1,
      sym_expression,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    STATE(1663), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(609), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21289] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1456), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1220), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21383] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(1042), 1,
      anon_sym_lambda,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1464), 1,
      sym_expression,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    STATE(1631), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(663), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21477] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(1188), 1,
      anon_sym_LPAREN,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1558), 1,
      sym_expression,
    STATE(1729), 1,
      sym_with_item,
    STATE(2026), 1,
      sym_with_clause,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21573] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(1042), 1,
      anon_sym_lambda,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1464), 1,
      sym_expression,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    STATE(1602), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(663), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21667] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(1028), 1,
      anon_sym_lambda,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1435), 1,
      sym_expression,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    STATE(1646), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(609), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21761] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1456), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1222), 2,
      sym__newline,
      anon_sym_SEMI,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21855] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1582), 1,
      sym_expression,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1224), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [21949] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1212), 1,
      anon_sym_else,
    ACTIONS(1214), 1,
      anon_sym_except,
    ACTIONS(1216), 1,
      anon_sym_finally,
    STATE(597), 1,
      sym_else_clause,
    STATE(744), 1,
      sym_finally_clause,
    STATE(409), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1206), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1204), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [22019] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_match,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_not,
    ACTIONS(587), 1,
      anon_sym_lambda,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(595), 1,
      anon_sym_await,
    ACTIONS(597), 1,
      sym__string_start,
    STATE(780), 1,
      sym_string,
    STATE(782), 1,
      sym_primary_expression,
    STATE(1599), 1,
      sym_expression,
    STATE(1980), 1,
      sym__named_expresssion_lhs,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1118), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(577), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(593), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1406), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22113] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(1042), 1,
      anon_sym_lambda,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1447), 1,
      sym_expression,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    STATE(1636), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(663), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22207] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1108), 1,
      anon_sym_COLON,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1478), 1,
      sym_expression,
    STATE(1805), 1,
      sym_slice,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22303] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(257), 1,
      anon_sym_COMMA,
    ACTIONS(266), 1,
      anon_sym_EQ,
    ACTIONS(1226), 1,
      sym__string_start,
    STATE(1741), 1,
      sym_string,
    ACTIONS(281), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(252), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [22371] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(1036), 1,
      anon_sym_lambda,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1493), 1,
      sym_expression,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    STATE(1567), 2,
      sym__expression_within_for_in_clause,
      sym_lambda_within_for_in_clause,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22465] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1469), 1,
      sym_expression,
    STATE(1641), 1,
      sym_list_splat_pattern,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22561] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_match,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_not,
    ACTIONS(587), 1,
      anon_sym_lambda,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(595), 1,
      anon_sym_await,
    ACTIONS(597), 1,
      sym__string_start,
    STATE(780), 1,
      sym_string,
    STATE(782), 1,
      sym_primary_expression,
    STATE(1599), 1,
      sym_expression,
    STATE(1980), 1,
      sym__named_expresssion_lhs,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1178), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(577), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(593), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1406), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22655] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1495), 1,
      sym_expression,
    STATE(2048), 1,
      sym_expression_list,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22748] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1514), 1,
      sym_expression,
    STATE(2039), 1,
      sym_expression_list,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [22841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1228), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [22898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1228), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [22955] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1526), 1,
      sym_expression,
    STATE(2051), 1,
      sym_type,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [23048] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1526), 1,
      sym_expression,
    STATE(2063), 1,
      sym_type,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [23141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1232), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1236), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23255] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(1178), 1,
      anon_sym_COLON,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1581), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [23348] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(257), 1,
      anon_sym_COMMA,
    ACTIONS(262), 1,
      anon_sym_COLON_EQ,
    ACTIONS(266), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(281), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(252), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [23413] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(1240), 1,
      anon_sym_COLON,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1593), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [23506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1244), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1242), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23563] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1558), 1,
      sym_expression,
    STATE(1900), 1,
      sym_with_item,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [23656] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1541), 1,
      sym_expression,
    STATE(1705), 1,
      sym_type,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [23749] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1248), 1,
      anon_sym_COMMA,
    ACTIONS(1253), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1255), 2,
      anon_sym_COLON,
      anon_sym_EQ,
    ACTIONS(1257), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1251), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [23814] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1538), 1,
      sym_expression,
    STATE(2000), 1,
      sym_expression_list,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [23907] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1519), 1,
      sym_expression,
    STATE(2045), 1,
      sym_expression_list,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1259), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1259), 33,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24114] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(1263), 1,
      anon_sym_COLON,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1597), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24207] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1526), 1,
      sym_expression,
    STATE(2058), 1,
      sym_type,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24300] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1526), 1,
      sym_expression,
    STATE(2109), 1,
      sym_type,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24393] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(1118), 1,
      anon_sym_COLON,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1581), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24486] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(1265), 1,
      anon_sym_COLON,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1597), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24579] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1455), 1,
      sym_expression,
    STATE(1898), 1,
      sym_expression_list,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24672] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(1267), 1,
      anon_sym_COLON,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1595), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24765] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      sym__string_start,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1584), 1,
      sym_expression,
    STATE(1908), 1,
      sym_with_item,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24858] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      sym__string_start,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1548), 1,
      sym_expression,
    STATE(1728), 1,
      sym_type,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [24951] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      sym__string_start,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1548), 1,
      sym_expression,
    STATE(1939), 1,
      sym_type,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25044] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(1269), 1,
      anon_sym_COLON,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1597), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25137] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    ACTIONS(1271), 1,
      anon_sym_COLON,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1597), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25230] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 1,
      anon_sym_except,
    STATE(409), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1273), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1275), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [25290] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1539), 1,
      sym_expression,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25380] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1583), 1,
      sym_expression,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25470] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1590), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1280), 1,
      anon_sym_except,
    STATE(413), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(1273), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1275), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [25620] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_match,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_not,
    ACTIONS(587), 1,
      anon_sym_lambda,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(595), 1,
      anon_sym_await,
    ACTIONS(597), 1,
      sym__string_start,
    STATE(780), 1,
      sym_string,
    STATE(782), 1,
      sym_primary_expression,
    STATE(1412), 1,
      sym_expression,
    STATE(1980), 1,
      sym__named_expresssion_lhs,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(577), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(593), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1406), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1285), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [25766] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1572), 1,
      sym_expression,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25856] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1616), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [25946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1289), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26002] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1420), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26092] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_match,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_not,
    ACTIONS(587), 1,
      anon_sym_lambda,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(595), 1,
      anon_sym_await,
    ACTIONS(597), 1,
      sym__string_start,
    STATE(780), 1,
      sym_string,
    STATE(782), 1,
      sym_primary_expression,
    STATE(1596), 1,
      sym_expression,
    STATE(1980), 1,
      sym__named_expresssion_lhs,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(577), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(593), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1406), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26182] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      sym__string_start,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1578), 1,
      sym_expression,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26272] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      sym__string_start,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1575), 1,
      sym_expression,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26362] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1248), 1,
      anon_sym_COMMA,
    ACTIONS(1255), 1,
      anon_sym_EQ,
    ACTIONS(1257), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1251), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [26424] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1196), 1,
      anon_sym_else,
    ACTIONS(1295), 1,
      anon_sym_elif,
    STATE(553), 1,
      aux_sym_if_statement_repeat1,
    STATE(603), 1,
      sym_elif_clause,
    STATE(729), 1,
      sym_else_clause,
    ACTIONS(1293), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1291), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [26490] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1487), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26580] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      sym__string_start,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1588), 1,
      sym_expression,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26670] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1661), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26760] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1456), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26850] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(673), 1,
      anon_sym_lambda,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1510), 1,
      sym_expression,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [26940] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_match,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_not,
    ACTIONS(587), 1,
      anon_sym_lambda,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(595), 1,
      anon_sym_await,
    ACTIONS(597), 1,
      sym__string_start,
    STATE(780), 1,
      sym_string,
    STATE(782), 1,
      sym_primary_expression,
    STATE(1410), 1,
      sym_expression,
    STATE(1980), 1,
      sym__named_expresssion_lhs,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(577), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(593), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1406), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27030] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1440), 1,
      sym_expression,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27120] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_match,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_not,
    ACTIONS(587), 1,
      anon_sym_lambda,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(595), 1,
      anon_sym_await,
    ACTIONS(597), 1,
      sym__string_start,
    STATE(780), 1,
      sym_string,
    STATE(782), 1,
      sym_primary_expression,
    STATE(1637), 1,
      sym_expression,
    STATE(1980), 1,
      sym__named_expresssion_lhs,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(577), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(593), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1406), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27210] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1463), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27300] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_match,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_not,
    ACTIONS(587), 1,
      anon_sym_lambda,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(595), 1,
      anon_sym_await,
    ACTIONS(597), 1,
      sym__string_start,
    STATE(780), 1,
      sym_string,
    STATE(782), 1,
      sym_primary_expression,
    STATE(1409), 1,
      sym_expression,
    STATE(1980), 1,
      sym__named_expresssion_lhs,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(577), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(593), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1406), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27390] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1622), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1297), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [27536] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_match,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_not,
    ACTIONS(587), 1,
      anon_sym_lambda,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(595), 1,
      anon_sym_await,
    ACTIONS(597), 1,
      sym__string_start,
    STATE(780), 1,
      sym_string,
    STATE(782), 1,
      sym_primary_expression,
    STATE(1408), 1,
      sym_expression,
    STATE(1980), 1,
      sym__named_expresssion_lhs,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(577), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(593), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1406), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27626] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_match,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_not,
    ACTIONS(587), 1,
      anon_sym_lambda,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(595), 1,
      anon_sym_await,
    ACTIONS(597), 1,
      sym__string_start,
    STATE(780), 1,
      sym_string,
    STATE(782), 1,
      sym_primary_expression,
    STATE(1417), 1,
      sym_expression,
    STATE(1980), 1,
      sym__named_expresssion_lhs,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(577), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(593), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1406), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27716] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_match,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_not,
    ACTIONS(587), 1,
      anon_sym_lambda,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(595), 1,
      anon_sym_await,
    ACTIONS(597), 1,
      sym__string_start,
    STATE(780), 1,
      sym_string,
    STATE(782), 1,
      sym_primary_expression,
    STATE(1418), 1,
      sym_expression,
    STATE(1980), 1,
      sym__named_expresssion_lhs,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(577), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(593), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1406), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27806] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_match,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_not,
    ACTIONS(587), 1,
      anon_sym_lambda,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(595), 1,
      anon_sym_await,
    ACTIONS(597), 1,
      sym__string_start,
    STATE(780), 1,
      sym_string,
    STATE(782), 1,
      sym_primary_expression,
    STATE(1419), 1,
      sym_expression,
    STATE(1980), 1,
      sym__named_expresssion_lhs,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(577), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(593), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1406), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27896] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_match,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_not,
    ACTIONS(587), 1,
      anon_sym_lambda,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(595), 1,
      anon_sym_await,
    ACTIONS(597), 1,
      sym__string_start,
    STATE(780), 1,
      sym_string,
    STATE(782), 1,
      sym_primary_expression,
    STATE(1424), 1,
      sym_expression,
    STATE(1980), 1,
      sym__named_expresssion_lhs,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(577), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(593), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1406), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [27986] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1570), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28076] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1506), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28166] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1196), 1,
      anon_sym_else,
    ACTIONS(1295), 1,
      anon_sym_elif,
    STATE(517), 1,
      aux_sym_if_statement_repeat1,
    STATE(603), 1,
      sym_elif_clause,
    STATE(698), 1,
      sym_else_clause,
    ACTIONS(1303), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1301), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28232] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1648), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28322] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      sym__string_start,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1594), 1,
      sym_expression,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28412] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1500), 1,
      sym_expression,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28502] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1307), 1,
      anon_sym_COMMA,
    ACTIONS(1314), 1,
      anon_sym_EQ,
    ACTIONS(1312), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1310), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1305), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [28564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1316), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [28620] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1597), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28710] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1658), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28800] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1467), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28890] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(1320), 1,
      sym_identifier,
    ACTIONS(1324), 1,
      anon_sym_await,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1589), 1,
      sym_expression,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    STATE(1282), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1322), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [28982] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1212), 1,
      anon_sym_else,
    ACTIONS(1330), 1,
      anon_sym_elif,
    STATE(556), 1,
      aux_sym_if_statement_repeat1,
    STATE(602), 1,
      sym_elif_clause,
    STATE(694), 1,
      sym_else_clause,
    ACTIONS(1326), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1328), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29048] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1212), 1,
      anon_sym_else,
    ACTIONS(1330), 1,
      anon_sym_elif,
    STATE(533), 1,
      aux_sym_if_statement_repeat1,
    STATE(602), 1,
      sym_elif_clause,
    STATE(692), 1,
      sym_else_clause,
    ACTIONS(1332), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1334), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [29114] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(619), 1,
      anon_sym_lambda,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1411), 1,
      sym_expression,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(609), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29204] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1520), 1,
      sym_expression,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29294] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1657), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29384] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1624), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29474] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(619), 1,
      anon_sym_lambda,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1524), 1,
      sym_expression,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(609), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29564] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      sym__string_start,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1551), 1,
      sym_expression,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29654] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1553), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29744] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      sym__string_start,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1550), 1,
      sym_expression,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29834] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1502), 1,
      sym_expression,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [29924] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      sym__string_start,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1547), 1,
      sym_expression,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1285), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [30070] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      sym__string_start,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1546), 1,
      sym_expression,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30160] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1571), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30250] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1650), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30340] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1581), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30430] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1454), 1,
      sym_expression,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30520] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1492), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30610] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1457), 1,
      sym_expression,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30700] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1459), 1,
      sym_expression,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30790] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1483), 1,
      sym_expression,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30880] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      sym__string_start,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1586), 1,
      sym_expression,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [30970] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      sym__string_start,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1531), 1,
      sym_expression,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31060] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      sym__string_start,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1530), 1,
      sym_expression,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31150] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1338), 1,
      anon_sym_COMMA,
    ACTIONS(1345), 1,
      anon_sym_EQ,
    ACTIONS(1343), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1341), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1336), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [31212] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1453), 1,
      sym_expression,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31302] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      sym__string_start,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1527), 1,
      sym_expression,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31392] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1629), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31482] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1516), 1,
      sym_expression,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31572] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1585), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31662] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1656), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31752] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1653), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [31842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1316), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [31898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1289), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [31954] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(619), 1,
      anon_sym_lambda,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1402), 1,
      sym_expression,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(609), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32044] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1521), 1,
      sym_expression,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32134] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1450), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1347), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [32280] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(619), 1,
      anon_sym_lambda,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1425), 1,
      sym_expression,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(609), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32370] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(619), 1,
      anon_sym_lambda,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1428), 1,
      sym_expression,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(609), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32460] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(619), 1,
      anon_sym_lambda,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1431), 1,
      sym_expression,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(609), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32550] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_match,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_not,
    ACTIONS(587), 1,
      anon_sym_lambda,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(595), 1,
      anon_sym_await,
    ACTIONS(597), 1,
      sym__string_start,
    STATE(780), 1,
      sym_string,
    STATE(782), 1,
      sym_primary_expression,
    STATE(1601), 1,
      sym_expression,
    STATE(1980), 1,
      sym__named_expresssion_lhs,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(577), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(593), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1406), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32640] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(619), 1,
      anon_sym_lambda,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1432), 1,
      sym_expression,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(609), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32730] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(619), 1,
      anon_sym_lambda,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1423), 1,
      sym_expression,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(609), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32820] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_match,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_not,
    ACTIONS(587), 1,
      anon_sym_lambda,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(595), 1,
      anon_sym_await,
    ACTIONS(597), 1,
      sym__string_start,
    STATE(780), 1,
      sym_string,
    STATE(782), 1,
      sym_primary_expression,
    STATE(1599), 1,
      sym_expression,
    STATE(1980), 1,
      sym__named_expresssion_lhs,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(577), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(593), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1406), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [32910] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1443), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33000] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1522), 1,
      sym_expression,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33090] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1523), 1,
      sym_expression,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33180] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(673), 1,
      anon_sym_lambda,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1474), 1,
      sym_expression,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33270] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1438), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33360] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1437), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33450] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1196), 1,
      anon_sym_else,
    ACTIONS(1295), 1,
      anon_sym_elif,
    STATE(424), 1,
      aux_sym_if_statement_repeat1,
    STATE(603), 1,
      sym_elif_clause,
    STATE(710), 1,
      sym_else_clause,
    ACTIONS(1332), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1334), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [33516] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1491), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33606] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(673), 1,
      anon_sym_lambda,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1442), 1,
      sym_expression,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33696] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1433), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33786] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      sym__string_start,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1552), 1,
      sym_expression,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33876] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1549), 1,
      sym_expression,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [33966] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1562), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34056] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(673), 1,
      anon_sym_lambda,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1444), 1,
      sym_expression,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34146] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1407), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34236] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1479), 1,
      sym_expression,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34326] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_identifier,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_await,
    ACTIONS(709), 1,
      sym__string_start,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1608), 1,
      sym_expression,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(689), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34416] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1196), 1,
      anon_sym_else,
    ACTIONS(1295), 1,
      anon_sym_elif,
    STATE(553), 1,
      aux_sym_if_statement_repeat1,
    STATE(603), 1,
      sym_elif_clause,
    STATE(709), 1,
      sym_else_clause,
    ACTIONS(1326), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1328), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [34482] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(673), 1,
      anon_sym_lambda,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1466), 1,
      sym_expression,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34572] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(673), 1,
      anon_sym_lambda,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1472), 1,
      sym_expression,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34662] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(673), 1,
      anon_sym_lambda,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1473), 1,
      sym_expression,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34752] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(631), 1,
      sym_identifier,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(637), 1,
      anon_sym_match,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(643), 1,
      anon_sym_not,
    ACTIONS(647), 1,
      anon_sym_lambda,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(655), 1,
      anon_sym_await,
    ACTIONS(657), 1,
      sym__string_start,
    STATE(802), 1,
      sym_string,
    STATE(807), 1,
      sym_primary_expression,
    STATE(1471), 1,
      sym_expression,
    STATE(1975), 1,
      sym__named_expresssion_lhs,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(635), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(653), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1481), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34842] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1633), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [34932] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(673), 1,
      anon_sym_lambda,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1476), 1,
      sym_expression,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35022] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(659), 1,
      sym_identifier,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(665), 1,
      anon_sym_match,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(669), 1,
      anon_sym_not,
    ACTIONS(673), 1,
      anon_sym_lambda,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(681), 1,
      anon_sym_await,
    ACTIONS(683), 1,
      sym__string_start,
    STATE(805), 1,
      sym_primary_expression,
    STATE(826), 1,
      sym_string,
    STATE(1480), 1,
      sym_expression,
    STATE(2072), 1,
      sym__named_expresssion_lhs,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(663), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(679), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1468), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35112] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1606), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35202] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(619), 1,
      anon_sym_lambda,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1458), 1,
      sym_expression,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(609), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35292] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1429), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35382] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(257), 1,
      anon_sym_COMMA,
    ACTIONS(266), 1,
      anon_sym_EQ,
    ACTIONS(281), 14,
      anon_sym_COLON,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(252), 15,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [35444] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1427), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35534] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_match,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_not,
    ACTIONS(587), 1,
      anon_sym_lambda,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(595), 1,
      anon_sym_await,
    ACTIONS(597), 1,
      sym__string_start,
    STATE(780), 1,
      sym_string,
    STATE(782), 1,
      sym_primary_expression,
    STATE(1414), 1,
      sym_expression,
    STATE(1980), 1,
      sym__named_expresssion_lhs,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(577), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(593), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1406), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35624] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      sym__string_start,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1598), 1,
      sym_expression,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35714] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      sym__string_start,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1589), 1,
      sym_expression,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35804] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1212), 1,
      anon_sym_else,
    ACTIONS(1330), 1,
      anon_sym_elif,
    STATE(556), 1,
      aux_sym_if_statement_repeat1,
    STATE(602), 1,
      sym_elif_clause,
    STATE(723), 1,
      sym_else_clause,
    ACTIONS(1293), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1291), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [35870] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1426), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [35960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1297), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [36016] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1403), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36106] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1665), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36196] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(691), 1,
      anon_sym_match,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(695), 1,
      anon_sym_not,
    ACTIONS(699), 1,
      anon_sym_lambda,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1351), 1,
      sym_identifier,
    ACTIONS(1355), 1,
      anon_sym_await,
    STATE(919), 1,
      sym_string,
    STATE(920), 1,
      sym_primary_expression,
    STATE(1608), 1,
      sym_expression,
    STATE(1978), 1,
      sym__named_expresssion_lhs,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    STATE(1284), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(1353), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(705), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1512), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1242), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36288] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1212), 1,
      anon_sym_else,
    ACTIONS(1330), 1,
      anon_sym_elif,
    STATE(454), 1,
      aux_sym_if_statement_repeat1,
    STATE(602), 1,
      sym_elif_clause,
    STATE(742), 1,
      sym_else_clause,
    ACTIONS(1303), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1301), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [36354] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1421), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36444] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1615), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36534] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_match,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_not,
    ACTIONS(587), 1,
      anon_sym_lambda,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(595), 1,
      anon_sym_await,
    ACTIONS(597), 1,
      sym__string_start,
    STATE(780), 1,
      sym_string,
    STATE(782), 1,
      sym_primary_expression,
    STATE(1603), 1,
      sym_expression,
    STATE(1980), 1,
      sym__named_expresssion_lhs,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(577), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(593), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1406), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36624] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(573), 1,
      sym_identifier,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(579), 1,
      anon_sym_match,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(583), 1,
      anon_sym_not,
    ACTIONS(587), 1,
      anon_sym_lambda,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(595), 1,
      anon_sym_await,
    ACTIONS(597), 1,
      sym__string_start,
    STATE(780), 1,
      sym_string,
    STATE(782), 1,
      sym_primary_expression,
    STATE(1573), 1,
      sym_expression,
    STATE(1980), 1,
      sym__named_expresssion_lhs,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(577), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(593), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1406), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36714] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1621), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36804] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1591), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [36894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1347), 36,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [36950] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(711), 1,
      sym_identifier,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(717), 1,
      anon_sym_match,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(721), 1,
      anon_sym_not,
    ACTIONS(725), 1,
      anon_sym_lambda,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(733), 1,
      anon_sym_await,
    ACTIONS(735), 1,
      sym__string_start,
    STATE(951), 1,
      sym_string,
    STATE(952), 1,
      sym_primary_expression,
    STATE(1609), 1,
      sym_expression,
    STATE(1959), 1,
      sym__named_expresssion_lhs,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(715), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(731), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1529), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [37040] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_not,
    ACTIONS(65), 1,
      anon_sym_lambda,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(293), 1,
      sym_identifier,
    ACTIONS(299), 1,
      anon_sym_match,
    ACTIONS(301), 1,
      anon_sym_await,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    STATE(773), 1,
      sym_primary_expression,
    STATE(781), 1,
      sym_string,
    STATE(1416), 1,
      sym_expression,
    STATE(2098), 1,
      sym__named_expresssion_lhs,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(73), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1413), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [37130] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1623), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [37220] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(605), 1,
      sym_identifier,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(611), 1,
      anon_sym_match,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(615), 1,
      anon_sym_not,
    ACTIONS(619), 1,
      anon_sym_lambda,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(627), 1,
      anon_sym_await,
    ACTIONS(629), 1,
      sym__string_start,
    STATE(776), 1,
      sym_primary_expression,
    STATE(778), 1,
      sym_string,
    STATE(1404), 1,
      sym_expression,
    STATE(2018), 1,
      sym__named_expresssion_lhs,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(609), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(625), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1405), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [37310] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(248), 1,
      sym_identifier,
    ACTIONS(264), 1,
      anon_sym_match,
    ACTIONS(279), 1,
      anon_sym_lambda,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(289), 1,
      anon_sym_await,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(603), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(795), 1,
      sym_primary_expression,
    STATE(1644), 1,
      sym_expression,
    STATE(2115), 1,
      sym__named_expresssion_lhs,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(260), 3,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    STATE(1475), 8,
      sym_named_expression,
      sym_as_pattern,
      sym_not_operator,
      sym_boolean_operator,
      sym_comparison_operator,
      sym_lambda,
      sym_conditional_expression,
      sym_await,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [37400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1259), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37455] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 1,
      anon_sym_elif,
    STATE(553), 1,
      aux_sym_if_statement_repeat1,
    STATE(603), 1,
      sym_elif_clause,
    ACTIONS(1359), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1357), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [37516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1244), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1242), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1232), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37626] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1364), 1,
      anon_sym_elif,
    STATE(556), 1,
      aux_sym_if_statement_repeat1,
    STATE(602), 1,
      sym_elif_clause,
    ACTIONS(1359), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1357), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [37687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1228), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1236), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1259), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 16,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1228), 31,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37907] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 1,
      anon_sym_case,
    STATE(563), 1,
      aux_sym_match_statement_repeat2,
    STATE(615), 1,
      sym_case_clause,
    ACTIONS(1369), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1367), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [37967] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_case,
    STATE(562), 1,
      aux_sym_match_statement_repeat2,
    STATE(616), 1,
      sym_case_clause,
    ACTIONS(1373), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1375), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38027] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 1,
      anon_sym_case,
    STATE(567), 1,
      aux_sym_match_statement_repeat2,
    STATE(615), 1,
      sym_case_clause,
    ACTIONS(1382), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1380), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38087] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 1,
      anon_sym_case,
    STATE(573), 1,
      aux_sym_match_statement_repeat2,
    STATE(616), 1,
      sym_case_clause,
    ACTIONS(1384), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1386), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1390), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1392), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38201] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 1,
      anon_sym_case,
    STATE(567), 1,
      aux_sym_match_statement_repeat2,
    STATE(615), 1,
      sym_case_clause,
    ACTIONS(1396), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1394), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38261] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_case,
    STATE(567), 1,
      aux_sym_match_statement_repeat2,
    STATE(615), 1,
      sym_case_clause,
    ACTIONS(1373), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1375), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1390), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1392), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38375] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 1,
      anon_sym_case,
    STATE(567), 1,
      aux_sym_match_statement_repeat2,
    STATE(615), 1,
      sym_case_clause,
    ACTIONS(1403), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1401), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1407), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38489] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 1,
      anon_sym_case,
    STATE(562), 1,
      aux_sym_match_statement_repeat2,
    STATE(616), 1,
      sym_case_clause,
    ACTIONS(1396), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1394), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38549] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 1,
      anon_sym_case,
    STATE(589), 1,
      aux_sym_match_statement_repeat2,
    STATE(616), 1,
      sym_case_clause,
    ACTIONS(1369), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1367), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38609] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 1,
      anon_sym_case,
    STATE(562), 1,
      aux_sym_match_statement_repeat2,
    STATE(616), 1,
      sym_case_clause,
    ACTIONS(1409), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1411), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1415), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1417), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1421), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1413), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1415), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1405), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1407), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38939] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 1,
      anon_sym_case,
    STATE(562), 1,
      aux_sym_match_statement_repeat2,
    STATE(616), 1,
      sym_case_clause,
    ACTIONS(1403), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1401), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [38999] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 1,
      anon_sym_case,
    STATE(569), 1,
      aux_sym_match_statement_repeat2,
    STATE(615), 1,
      sym_case_clause,
    ACTIONS(1427), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1425), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39059] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 1,
      anon_sym_case,
    STATE(588), 1,
      aux_sym_match_statement_repeat2,
    STATE(615), 1,
      sym_case_clause,
    ACTIONS(1384), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1386), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1431), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39173] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 1,
      anon_sym_case,
    STATE(579), 1,
      aux_sym_match_statement_repeat2,
    STATE(616), 1,
      sym_case_clause,
    ACTIONS(1427), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1425), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39233] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 1,
      anon_sym_case,
    STATE(566), 1,
      aux_sym_match_statement_repeat2,
    STATE(615), 1,
      sym_case_clause,
    ACTIONS(1435), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1433), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1431), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39347] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 1,
      anon_sym_case,
    STATE(571), 1,
      aux_sym_match_statement_repeat2,
    STATE(616), 1,
      sym_case_clause,
    ACTIONS(1435), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1433), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1423), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1421), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39461] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1371), 1,
      anon_sym_case,
    STATE(567), 1,
      aux_sym_match_statement_repeat2,
    STATE(615), 1,
      sym_case_clause,
    ACTIONS(1409), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1411), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39521] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1388), 1,
      anon_sym_case,
    STATE(562), 1,
      aux_sym_match_statement_repeat2,
    STATE(616), 1,
      sym_case_clause,
    ACTIONS(1382), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1380), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1417), 34,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_except,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39635] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1216), 1,
      anon_sym_finally,
    STATE(745), 1,
      sym_finally_clause,
    ACTIONS(1437), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1439), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1212), 1,
      anon_sym_else,
    STATE(686), 1,
      sym_else_clause,
    ACTIONS(1441), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1443), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39749] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1212), 1,
      anon_sym_else,
    STATE(737), 1,
      sym_else_clause,
    ACTIONS(1445), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1447), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1212), 1,
      anon_sym_else,
    STATE(740), 1,
      sym_else_clause,
    ACTIONS(1449), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1451), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39863] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1196), 1,
      anon_sym_else,
    STATE(721), 1,
      sym_else_clause,
    ACTIONS(1455), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1453), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1196), 1,
      anon_sym_else,
    STATE(702), 1,
      sym_else_clause,
    ACTIONS(1459), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1457), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [39977] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1216), 1,
      anon_sym_finally,
    STATE(752), 1,
      sym_finally_clause,
    ACTIONS(1461), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1463), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1467), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40087] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 1,
      anon_sym_finally,
    STATE(716), 1,
      sym_finally_clause,
    ACTIONS(1461), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1463), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1469), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1467), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1473), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1475), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1473), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1475), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40356] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1196), 1,
      anon_sym_else,
    STATE(713), 1,
      sym_else_clause,
    ACTIONS(1441), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1443), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40413] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1196), 1,
      anon_sym_else,
    STATE(748), 1,
      sym_else_clause,
    ACTIONS(1445), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1447), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1196), 1,
      anon_sym_else,
    STATE(751), 1,
      sym_else_clause,
    ACTIONS(1449), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1451), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40527] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 1,
      anon_sym_finally,
    STATE(735), 1,
      sym_finally_clause,
    ACTIONS(1437), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1439), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1469), 33,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_elif,
      anon_sym_else,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40637] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1196), 1,
      anon_sym_else,
    STATE(732), 1,
      sym_else_clause,
    ACTIONS(1479), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1477), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40694] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1212), 1,
      anon_sym_else,
    STATE(753), 1,
      sym_else_clause,
    ACTIONS(1479), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1477), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40751] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1212), 1,
      anon_sym_else,
    STATE(683), 1,
      sym_else_clause,
    ACTIONS(1455), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1453), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40808] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1212), 1,
      anon_sym_else,
    STATE(750), 1,
      sym_else_clause,
    ACTIONS(1459), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1457), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1481), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1487), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [40969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1491), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1489), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1491), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1489), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1493), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1495), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1497), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1499), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1501), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1507), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1505), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1511), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1509), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1513), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1515), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1493), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1495), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1513), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1515), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1497), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1499), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1513), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1515), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1507), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1505), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1513), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1515), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1513), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1515), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1513), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1515), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41801] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1513), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1515), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1513), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1515), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1519), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1517), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [41957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1523), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1521), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1519), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1517), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_finally,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42061] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1527), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1525), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1531), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1529), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1533), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1501), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1533), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1539), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1537), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1543), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1541), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1543), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1541), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1533), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1533), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1539), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1537), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1543), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1541), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1523), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1521), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1527), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1525), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1543), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1541), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1531), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1529), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1533), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1481), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [42997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1533), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1547), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1539), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1537), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1543), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1541), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1547), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1543), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1541), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1533), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1487), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1533), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1481), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1539), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1537), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1543), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1541), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1549), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1543), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1541), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1549), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1511), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1509), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1555), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1553), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1487), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1481), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [43985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1555), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1553), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1549), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1481), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1547), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1481), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1487), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1551), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1549), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1481), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1547), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1481), 32,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_case,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1557), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1559), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1563), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1561), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1565), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1567), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44658] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1571), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1206), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1204), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1575), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1579), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1581), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1583), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1585), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1587), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [44964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1589), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1591), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1595), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1593), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1599), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45117] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(1601), 1,
      sym_identifier,
    ACTIONS(1603), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_RPAREN,
    ACTIONS(1607), 1,
      anon_sym_STAR,
    ACTIONS(1611), 1,
      anon_sym_match,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    STATE(786), 1,
      sym_string,
    STATE(1314), 1,
      sym_primary_expression,
    STATE(1835), 1,
      sym_pattern,
    STATE(1979), 1,
      sym__patterns,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1317), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1883), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1609), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [45202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1206), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1204), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1563), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1561), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1615), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1595), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1593), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1619), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1623), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1625), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1627), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1463), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1194), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1192), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1633), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1631), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1635), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1641), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1639), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1645), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1643), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1597), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1599), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1589), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1591), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [45967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1581), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1583), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1579), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1569), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1571), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1565), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1567), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1621), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1619), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1649), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1647), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1439), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1641), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1639), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1653), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1651), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1585), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1587), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1557), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1559), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1657), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1655), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1661), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1637), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1635), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1437), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1439), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46732] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1653), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1651), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46783] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1663), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1665), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1657), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1655), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1659), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1661), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1575), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [46987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1633), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1631), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1667), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1663), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1665), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1673), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1677), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1675), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47242] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(1601), 1,
      sym_identifier,
    ACTIONS(1603), 1,
      anon_sym_LPAREN,
    ACTIONS(1607), 1,
      anon_sym_STAR,
    ACTIONS(1611), 1,
      anon_sym_match,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1679), 1,
      anon_sym_RPAREN,
    STATE(786), 1,
      sym_string,
    STATE(1314), 1,
      sym_primary_expression,
    STATE(1835), 1,
      sym_pattern,
    STATE(2021), 1,
      sym__patterns,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1317), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1883), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1609), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [47327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1681), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1683), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1687), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1689), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1695), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1194), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1192), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1617), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1615), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1673), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1463), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1677), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1675), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1691), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1689), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1623), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1625), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1681), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1683), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1685), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1687), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [47990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1629), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1627), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1693), 12,
      sym__dedent,
      sym__string_start,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1695), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1649), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1647), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1667), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1645), 12,
      sym__string_start,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
      sym_ellipsis,
      anon_sym_LBRACE,
      sym_float,
    ACTIONS(1643), 31,
      anon_sym_import,
      anon_sym_from,
      anon_sym_print,
      anon_sym_assert,
      anon_sym_match,
      anon_sym_return,
      anon_sym_del,
      anon_sym_raise,
      anon_sym_pass,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_while,
      anon_sym_try,
      anon_sym_with,
      anon_sym_def,
      anon_sym_global,
      anon_sym_nonlocal,
      anon_sym_exec,
      anon_sym_class,
      anon_sym_not,
      anon_sym_lambda,
      anon_sym_yield,
      sym_integer,
      sym_identifier,
      anon_sym_await,
      sym_true,
      sym_false,
      sym_none,
  [48245] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(1697), 1,
      sym_identifier,
    ACTIONS(1699), 1,
      anon_sym_LPAREN,
    ACTIONS(1701), 1,
      anon_sym_STAR,
    ACTIONS(1705), 1,
      anon_sym_match,
    ACTIONS(1707), 1,
      anon_sym_LBRACK,
    ACTIONS(1709), 1,
      anon_sym_RBRACK,
    STATE(786), 1,
      sym_string,
    STATE(1310), 1,
      sym_primary_expression,
    STATE(1901), 1,
      sym_pattern,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1318), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1927), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1703), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [48327] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(836), 1,
      sym_identifier,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(844), 1,
      anon_sym_match,
    ACTIONS(850), 1,
      anon_sym_LBRACK,
    STATE(786), 1,
      sym_string,
    STATE(1308), 1,
      sym_primary_expression,
    STATE(1783), 1,
      sym_pattern,
    STATE(2074), 1,
      sym_pattern_list,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1243), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1332), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(842), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [48409] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(836), 1,
      sym_identifier,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(844), 1,
      anon_sym_match,
    ACTIONS(850), 1,
      anon_sym_LBRACK,
    STATE(786), 1,
      sym_string,
    STATE(1308), 1,
      sym_primary_expression,
    STATE(1815), 1,
      sym_pattern,
    STATE(2033), 1,
      sym_pattern_list,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1243), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1332), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(842), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [48491] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(836), 1,
      sym_identifier,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(844), 1,
      anon_sym_match,
    ACTIONS(850), 1,
      anon_sym_LBRACK,
    STATE(786), 1,
      sym_string,
    STATE(1308), 1,
      sym_primary_expression,
    STATE(1707), 1,
      sym_pattern,
    STATE(1944), 1,
      sym_pattern_list,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1243), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1332), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(842), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [48573] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(1697), 1,
      sym_identifier,
    ACTIONS(1699), 1,
      anon_sym_LPAREN,
    ACTIONS(1701), 1,
      anon_sym_STAR,
    ACTIONS(1705), 1,
      anon_sym_match,
    ACTIONS(1707), 1,
      anon_sym_LBRACK,
    ACTIONS(1711), 1,
      anon_sym_RBRACK,
    STATE(786), 1,
      sym_string,
    STATE(1310), 1,
      sym_primary_expression,
    STATE(1901), 1,
      sym_pattern,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1318), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1927), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1703), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [48655] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(1601), 1,
      sym_identifier,
    ACTIONS(1603), 1,
      anon_sym_LPAREN,
    ACTIONS(1607), 1,
      anon_sym_STAR,
    ACTIONS(1611), 1,
      anon_sym_match,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1711), 1,
      anon_sym_RPAREN,
    STATE(786), 1,
      sym_string,
    STATE(1314), 1,
      sym_primary_expression,
    STATE(1925), 1,
      sym_pattern,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1317), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1883), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1609), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [48737] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(836), 1,
      sym_identifier,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(844), 1,
      anon_sym_match,
    ACTIONS(850), 1,
      anon_sym_LBRACK,
    STATE(786), 1,
      sym_string,
    STATE(1308), 1,
      sym_primary_expression,
    STATE(1724), 1,
      sym_pattern,
    STATE(2116), 1,
      sym_pattern_list,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1243), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1332), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(842), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [48819] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(1601), 1,
      sym_identifier,
    ACTIONS(1603), 1,
      anon_sym_LPAREN,
    ACTIONS(1607), 1,
      anon_sym_STAR,
    ACTIONS(1611), 1,
      anon_sym_match,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    ACTIONS(1709), 1,
      anon_sym_RPAREN,
    STATE(786), 1,
      sym_string,
    STATE(1314), 1,
      sym_primary_expression,
    STATE(1925), 1,
      sym_pattern,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1317), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1883), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1609), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [48901] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(836), 1,
      sym_identifier,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(844), 1,
      anon_sym_match,
    ACTIONS(850), 1,
      anon_sym_LBRACK,
    STATE(786), 1,
      sym_string,
    STATE(1308), 1,
      sym_primary_expression,
    STATE(1782), 1,
      sym_pattern,
    STATE(2076), 1,
      sym_pattern_list,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1243), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1332), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(842), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [48983] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(836), 1,
      sym_identifier,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(844), 1,
      anon_sym_match,
    ACTIONS(850), 1,
      anon_sym_LBRACK,
    STATE(786), 1,
      sym_string,
    STATE(1308), 1,
      sym_primary_expression,
    STATE(1832), 1,
      sym_pattern,
    STATE(2024), 1,
      sym_pattern_list,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1243), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1332), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(842), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [49065] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(836), 1,
      sym_identifier,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(844), 1,
      anon_sym_match,
    ACTIONS(850), 1,
      anon_sym_LBRACK,
    STATE(786), 1,
      sym_string,
    STATE(1308), 1,
      sym_primary_expression,
    STATE(1810), 1,
      sym_pattern,
    STATE(2037), 1,
      sym_pattern_list,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1243), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1332), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(842), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [49147] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(836), 1,
      sym_identifier,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(844), 1,
      anon_sym_match,
    ACTIONS(850), 1,
      anon_sym_LBRACK,
    STATE(786), 1,
      sym_string,
    STATE(1308), 1,
      sym_primary_expression,
    STATE(1710), 1,
      sym_pattern,
    STATE(2126), 1,
      sym_pattern_list,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1243), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1332), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(842), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [49229] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(836), 1,
      sym_identifier,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(844), 1,
      anon_sym_match,
    ACTIONS(850), 1,
      anon_sym_LBRACK,
    STATE(786), 1,
      sym_string,
    STATE(1308), 1,
      sym_primary_expression,
    STATE(1804), 1,
      sym_pattern,
    STATE(2044), 1,
      sym_pattern_list,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1243), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1332), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(842), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [49311] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(836), 1,
      sym_identifier,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(844), 1,
      anon_sym_match,
    ACTIONS(850), 1,
      anon_sym_LBRACK,
    STATE(786), 1,
      sym_string,
    STATE(1308), 1,
      sym_primary_expression,
    STATE(1715), 1,
      sym_pattern,
    STATE(2122), 1,
      sym_pattern_list,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1243), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1332), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(842), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [49393] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(1697), 1,
      sym_identifier,
    ACTIONS(1699), 1,
      anon_sym_LPAREN,
    ACTIONS(1701), 1,
      anon_sym_STAR,
    ACTIONS(1705), 1,
      anon_sym_match,
    ACTIONS(1707), 1,
      anon_sym_LBRACK,
    STATE(786), 1,
      sym_string,
    STATE(1310), 1,
      sym_primary_expression,
    STATE(1901), 1,
      sym_pattern,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1318), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1927), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1703), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [49472] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_STAR,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(836), 1,
      sym_identifier,
    ACTIONS(838), 1,
      anon_sym_LPAREN,
    ACTIONS(844), 1,
      anon_sym_match,
    ACTIONS(850), 1,
      anon_sym_LBRACK,
    STATE(786), 1,
      sym_string,
    STATE(1308), 1,
      sym_primary_expression,
    STATE(1327), 1,
      sym_pattern,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1243), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1332), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(842), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [49551] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(1601), 1,
      sym_identifier,
    ACTIONS(1603), 1,
      anon_sym_LPAREN,
    ACTIONS(1607), 1,
      anon_sym_STAR,
    ACTIONS(1611), 1,
      anon_sym_match,
    ACTIONS(1613), 1,
      anon_sym_LBRACK,
    STATE(786), 1,
      sym_string,
    STATE(1314), 1,
      sym_primary_expression,
    STATE(1925), 1,
      sym_pattern,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1317), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    STATE(1883), 3,
      sym_tuple_pattern,
      sym_list_pattern,
      sym_list_splat_pattern,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1609), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [49630] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1717), 1,
      sym__string_start,
    STATE(772), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1715), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1713), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [49680] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_DOT,
    ACTIONS(1724), 1,
      anon_sym_LPAREN,
    ACTIONS(1732), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1736), 1,
      anon_sym_LBRACK,
    ACTIONS(1738), 1,
      anon_sym_EQ,
    ACTIONS(1740), 1,
      anon_sym_not,
    ACTIONS(1744), 1,
      anon_sym_PIPE,
    ACTIONS(1746), 1,
      anon_sym_AMP,
    ACTIONS(1748), 1,
      anon_sym_CARET,
    ACTIONS(1752), 1,
      anon_sym_is,
    STATE(1286), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1726), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1728), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1742), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1750), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1102), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1734), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1730), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1720), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [49760] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(597), 1,
      sym__string_start,
    STATE(777), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1756), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1754), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [49810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(77), 1,
      sym__string_start,
    STATE(783), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1756), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1754), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [49860] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(1758), 1,
      anon_sym_DOT,
    ACTIONS(1760), 1,
      anon_sym_LPAREN,
    ACTIONS(1768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1772), 1,
      anon_sym_LBRACK,
    ACTIONS(1774), 1,
      anon_sym_not,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1782), 1,
      anon_sym_CARET,
    ACTIONS(1786), 1,
      anon_sym_is,
    STATE(1288), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1764), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1776), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1784), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1058), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1770), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1766), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1720), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [49940] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1788), 1,
      sym__string_start,
    STATE(777), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1715), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1713), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [49990] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 1,
      sym__string_start,
    STATE(784), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1251), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [50040] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(1791), 1,
      sym_identifier,
    ACTIONS(1797), 1,
      anon_sym_match,
    STATE(786), 1,
      sym_string,
    STATE(1308), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1793), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    STATE(1131), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1795), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [50112] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(597), 1,
      sym__string_start,
    STATE(774), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1251), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [50162] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(77), 1,
      sym__string_start,
    STATE(775), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1251), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [50212] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1738), 1,
      anon_sym_EQ,
    ACTIONS(1799), 1,
      anon_sym_DOT,
    ACTIONS(1801), 1,
      anon_sym_LPAREN,
    ACTIONS(1809), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1813), 1,
      anon_sym_LBRACK,
    ACTIONS(1815), 1,
      anon_sym_not,
    ACTIONS(1819), 1,
      anon_sym_PIPE,
    ACTIONS(1821), 1,
      anon_sym_AMP,
    ACTIONS(1823), 1,
      anon_sym_CARET,
    ACTIONS(1827), 1,
      anon_sym_is,
    STATE(1287), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1805), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1825), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(998), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1811), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1807), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1720), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [50292] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1829), 1,
      sym__string_start,
    STATE(783), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1715), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1713), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [50342] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(629), 1,
      sym__string_start,
    STATE(772), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1756), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1754), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [50392] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(1797), 1,
      anon_sym_match,
    ACTIONS(1832), 1,
      sym_identifier,
    STATE(786), 1,
      sym_string,
    STATE(1314), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(1793), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(1293), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1834), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [50464] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      sym__string_start,
    STATE(804), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1251), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [50513] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1758), 1,
      anon_sym_DOT,
    ACTIONS(1760), 1,
      anon_sym_LPAREN,
    ACTIONS(1768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1772), 1,
      anon_sym_LBRACK,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1782), 1,
      anon_sym_CARET,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1764), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1776), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1058), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1770), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1838), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [50580] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1758), 1,
      anon_sym_DOT,
    ACTIONS(1760), 1,
      anon_sym_LPAREN,
    ACTIONS(1768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1772), 1,
      anon_sym_LBRACK,
    STATE(1058), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [50635] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      anon_sym_DOT,
    ACTIONS(1801), 1,
      anon_sym_LPAREN,
    ACTIONS(1809), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1813), 1,
      anon_sym_LBRACK,
    ACTIONS(1803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(998), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1811), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1838), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 21,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [50696] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1758), 1,
      anon_sym_DOT,
    ACTIONS(1760), 1,
      anon_sym_LPAREN,
    ACTIONS(1768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1772), 1,
      anon_sym_LBRACK,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1782), 1,
      anon_sym_CARET,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1764), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1776), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1058), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1770), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1842), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1840), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [50765] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      anon_sym_DOT,
    ACTIONS(1801), 1,
      anon_sym_LPAREN,
    ACTIONS(1809), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1813), 1,
      anon_sym_LBRACK,
    ACTIONS(1819), 1,
      anon_sym_PIPE,
    ACTIONS(1821), 1,
      anon_sym_AMP,
    ACTIONS(1823), 1,
      anon_sym_CARET,
    ACTIONS(1803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1805), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(998), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1811), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1842), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1840), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [50834] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1758), 1,
      anon_sym_DOT,
    ACTIONS(1760), 1,
      anon_sym_LPAREN,
    ACTIONS(1768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1772), 1,
      anon_sym_LBRACK,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1776), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1058), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1770), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1838), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 21,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [50895] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      anon_sym_DOT,
    ACTIONS(1801), 1,
      anon_sym_LPAREN,
    ACTIONS(1809), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1813), 1,
      anon_sym_LBRACK,
    STATE(998), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [50950] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1758), 1,
      anon_sym_DOT,
    ACTIONS(1760), 1,
      anon_sym_LPAREN,
    ACTIONS(1768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1772), 1,
      anon_sym_LBRACK,
    STATE(1058), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [51005] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1738), 1,
      anon_sym_EQ,
    ACTIONS(1844), 1,
      anon_sym_DOT,
    ACTIONS(1846), 1,
      anon_sym_LPAREN,
    ACTIONS(1854), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1858), 1,
      anon_sym_LBRACK,
    ACTIONS(1860), 1,
      anon_sym_not,
    ACTIONS(1864), 1,
      anon_sym_PIPE,
    ACTIONS(1866), 1,
      anon_sym_AMP,
    ACTIONS(1868), 1,
      anon_sym_CARET,
    ACTIONS(1872), 1,
      anon_sym_is,
    STATE(1298), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1848), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1850), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1862), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1870), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1856), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1852), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1720), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_or,
  [51084] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      anon_sym_DOT,
    ACTIONS(1801), 1,
      anon_sym_LPAREN,
    ACTIONS(1809), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1813), 1,
      anon_sym_LBRACK,
    ACTIONS(1803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(998), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1811), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1838), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 23,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [51143] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      anon_sym_DOT,
    ACTIONS(1801), 1,
      anon_sym_LPAREN,
    ACTIONS(1809), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1813), 1,
      anon_sym_LBRACK,
    ACTIONS(1821), 1,
      anon_sym_AMP,
    ACTIONS(1823), 1,
      anon_sym_CARET,
    ACTIONS(1803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1805), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(998), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1811), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1838), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [51210] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      anon_sym_DOT,
    ACTIONS(1801), 1,
      anon_sym_LPAREN,
    ACTIONS(1809), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1813), 1,
      anon_sym_LBRACK,
    ACTIONS(1823), 1,
      anon_sym_CARET,
    ACTIONS(1803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1805), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(998), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1811), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1838), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [51275] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(657), 1,
      sym__string_start,
    STATE(808), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1756), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1754), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [51324] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(1874), 1,
      anon_sym_match,
    ACTIONS(1876), 1,
      anon_sym_not,
    STATE(778), 1,
      sym_string,
    STATE(790), 1,
      sym_primary_expression,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(609), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(625), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [51391] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1758), 1,
      anon_sym_DOT,
    ACTIONS(1760), 1,
      anon_sym_LPAREN,
    ACTIONS(1768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1772), 1,
      anon_sym_LBRACK,
    STATE(1058), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1880), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1878), 26,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [51446] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(657), 1,
      sym__string_start,
    STATE(799), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1251), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [51495] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      anon_sym_DOT,
    ACTIONS(1801), 1,
      anon_sym_LPAREN,
    ACTIONS(1809), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1813), 1,
      anon_sym_LBRACK,
    ACTIONS(1803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1805), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(998), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1811), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1838), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 19,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [51558] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      sym__string_start,
    STATE(827), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1756), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1754), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [51607] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(1882), 1,
      anon_sym_DOT,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    ACTIONS(1892), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1898), 1,
      anon_sym_not,
    ACTIONS(1902), 1,
      anon_sym_PIPE,
    ACTIONS(1904), 1,
      anon_sym_AMP,
    ACTIONS(1906), 1,
      anon_sym_CARET,
    ACTIONS(1910), 1,
      anon_sym_is,
    STATE(1296), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1886), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1888), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1908), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1165), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1894), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1890), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1720), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [51686] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_DOT,
    ACTIONS(1724), 1,
      anon_sym_LPAREN,
    ACTIONS(1732), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1736), 1,
      anon_sym_LBRACK,
    ACTIONS(1744), 1,
      anon_sym_PIPE,
    ACTIONS(1746), 1,
      anon_sym_AMP,
    ACTIONS(1748), 1,
      anon_sym_CARET,
    ACTIONS(1726), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1728), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1742), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1102), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1734), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1912), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [51755] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(1916), 1,
      anon_sym_DOT,
    ACTIONS(1918), 1,
      anon_sym_LPAREN,
    ACTIONS(1926), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1930), 1,
      anon_sym_LBRACK,
    ACTIONS(1932), 1,
      anon_sym_not,
    ACTIONS(1936), 1,
      anon_sym_PIPE,
    ACTIONS(1938), 1,
      anon_sym_AMP,
    ACTIONS(1940), 1,
      anon_sym_CARET,
    ACTIONS(1944), 1,
      anon_sym_is,
    STATE(1301), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1920), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1922), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1934), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1942), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1116), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1928), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1924), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1720), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [51834] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1946), 1,
      sym__string_start,
    STATE(808), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1715), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1713), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [51883] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      anon_sym_DOT,
    ACTIONS(1801), 1,
      anon_sym_LPAREN,
    ACTIONS(1809), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1813), 1,
      anon_sym_LBRACK,
    ACTIONS(1819), 1,
      anon_sym_PIPE,
    ACTIONS(1821), 1,
      anon_sym_AMP,
    ACTIONS(1823), 1,
      anon_sym_CARET,
    ACTIONS(1803), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1805), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1817), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(998), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1811), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1912), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [51952] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(1949), 1,
      anon_sym_match,
    ACTIONS(1951), 1,
      anon_sym_not,
    STATE(951), 1,
      sym_string,
    STATE(1047), 1,
      sym_primary_expression,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(715), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [52019] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1758), 1,
      anon_sym_DOT,
    ACTIONS(1760), 1,
      anon_sym_LPAREN,
    ACTIONS(1768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1772), 1,
      anon_sym_LBRACK,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1058), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1770), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1838), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 23,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [52078] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      anon_sym_DOT,
    ACTIONS(1801), 1,
      anon_sym_LPAREN,
    ACTIONS(1809), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1813), 1,
      anon_sym_LBRACK,
    STATE(998), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [52133] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1953), 1,
      sym__string_start,
    STATE(813), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1715), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1713), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [52182] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1956), 1,
      anon_sym_match,
    ACTIONS(1958), 1,
      anon_sym_not,
    STATE(919), 1,
      sym_string,
    STATE(1072), 1,
      sym_primary_expression,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(689), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(705), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [52249] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(1797), 1,
      anon_sym_match,
    ACTIONS(1960), 1,
      anon_sym_not,
    STATE(786), 1,
      sym_string,
    STATE(917), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(287), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [52316] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 1,
      sym__string_start,
    STATE(813), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1756), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1754), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [52365] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(1962), 1,
      anon_sym_match,
    ACTIONS(1964), 1,
      anon_sym_not,
    STATE(826), 1,
      sym_string,
    STATE(885), 1,
      sym_primary_expression,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(663), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(679), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [52432] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1966), 1,
      anon_sym_match,
    ACTIONS(1968), 1,
      anon_sym_not,
    STATE(781), 1,
      sym_string,
    STATE(822), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [52499] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_DOT,
    ACTIONS(1724), 1,
      anon_sym_LPAREN,
    ACTIONS(1732), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1736), 1,
      anon_sym_LBRACK,
    STATE(1102), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 26,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [52554] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_DOT,
    ACTIONS(1724), 1,
      anon_sym_LPAREN,
    ACTIONS(1732), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1736), 1,
      anon_sym_LBRACK,
    ACTIONS(1726), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1742), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1102), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1734), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1838), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 21,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [52615] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1758), 1,
      anon_sym_DOT,
    ACTIONS(1760), 1,
      anon_sym_LPAREN,
    ACTIONS(1768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1772), 1,
      anon_sym_LBRACK,
    ACTIONS(1782), 1,
      anon_sym_CARET,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1764), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1776), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1058), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1770), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1838), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [52680] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_DOT,
    ACTIONS(1724), 1,
      anon_sym_LPAREN,
    ACTIONS(1732), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1736), 1,
      anon_sym_LBRACK,
    ACTIONS(1744), 1,
      anon_sym_PIPE,
    ACTIONS(1746), 1,
      anon_sym_AMP,
    ACTIONS(1748), 1,
      anon_sym_CARET,
    ACTIONS(1726), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1728), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1742), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1102), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1734), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1842), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1840), 16,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [52749] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(597), 1,
      sym__string_start,
    ACTIONS(1970), 1,
      anon_sym_match,
    ACTIONS(1972), 1,
      anon_sym_not,
    STATE(780), 1,
      sym_string,
    STATE(791), 1,
      sym_primary_expression,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(577), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(593), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [52816] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1799), 1,
      anon_sym_DOT,
    ACTIONS(1801), 1,
      anon_sym_LPAREN,
    ACTIONS(1809), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1813), 1,
      anon_sym_LBRACK,
    STATE(998), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1880), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1878), 26,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [52871] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1758), 1,
      anon_sym_DOT,
    ACTIONS(1760), 1,
      anon_sym_LPAREN,
    ACTIONS(1768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1772), 1,
      anon_sym_LBRACK,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1764), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1776), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1058), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1770), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1838), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 19,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [52934] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 1,
      sym__string_start,
    STATE(816), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1251), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [52983] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1974), 1,
      sym__string_start,
    STATE(827), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1715), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1713), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [53032] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_DOT,
    ACTIONS(1724), 1,
      anon_sym_LPAREN,
    ACTIONS(1732), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1736), 1,
      anon_sym_LBRACK,
    STATE(1102), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 26,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [53087] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_DOT,
    ACTIONS(1724), 1,
      anon_sym_LPAREN,
    ACTIONS(1732), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1736), 1,
      anon_sym_LBRACK,
    ACTIONS(1726), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1102), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1734), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1838), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 23,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [53146] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_DOT,
    ACTIONS(1724), 1,
      anon_sym_LPAREN,
    ACTIONS(1732), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1736), 1,
      anon_sym_LBRACK,
    ACTIONS(1746), 1,
      anon_sym_AMP,
    ACTIONS(1748), 1,
      anon_sym_CARET,
    ACTIONS(1726), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1728), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1742), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1102), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1734), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1838), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 17,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [53213] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_DOT,
    ACTIONS(1724), 1,
      anon_sym_LPAREN,
    ACTIONS(1732), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1736), 1,
      anon_sym_LBRACK,
    ACTIONS(1748), 1,
      anon_sym_CARET,
    ACTIONS(1726), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1728), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1742), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1102), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1734), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1838), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 18,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [53278] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_DOT,
    ACTIONS(1724), 1,
      anon_sym_LPAREN,
    ACTIONS(1732), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1736), 1,
      anon_sym_LBRACK,
    ACTIONS(1726), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1728), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1742), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1102), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1734), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1838), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 19,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [53341] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_DOT,
    ACTIONS(1724), 1,
      anon_sym_LPAREN,
    ACTIONS(1732), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1736), 1,
      anon_sym_LBRACK,
    STATE(1102), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1880), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1878), 26,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [53396] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1758), 1,
      anon_sym_DOT,
    ACTIONS(1760), 1,
      anon_sym_LPAREN,
    ACTIONS(1768), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1772), 1,
      anon_sym_LBRACK,
    ACTIONS(1778), 1,
      anon_sym_PIPE,
    ACTIONS(1780), 1,
      anon_sym_AMP,
    ACTIONS(1782), 1,
      anon_sym_CARET,
    ACTIONS(1762), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1764), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1776), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1058), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1770), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1912), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [53465] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(1977), 1,
      anon_sym_match,
    ACTIONS(1979), 1,
      anon_sym_not,
    STATE(802), 1,
      sym_string,
    STATE(882), 1,
      sym_primary_expression,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(635), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(653), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [53532] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1844), 1,
      anon_sym_DOT,
    ACTIONS(1846), 1,
      anon_sym_LPAREN,
    ACTIONS(1854), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1858), 1,
      anon_sym_LBRACK,
    ACTIONS(1848), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1862), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1856), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1836), 20,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [53592] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1844), 1,
      anon_sym_DOT,
    ACTIONS(1846), 1,
      anon_sym_LPAREN,
    ACTIONS(1854), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1858), 1,
      anon_sym_LBRACK,
    ACTIONS(1848), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1856), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1836), 22,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [53650] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(1791), 1,
      sym_identifier,
    ACTIONS(1797), 1,
      anon_sym_match,
    STATE(786), 1,
      sym_string,
    STATE(1308), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1131), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1795), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [53718] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1966), 1,
      anon_sym_match,
    STATE(781), 1,
      sym_string,
    STATE(1295), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [53782] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1966), 1,
      anon_sym_match,
    STATE(781), 1,
      sym_string,
    STATE(833), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [53846] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(1962), 1,
      anon_sym_match,
    STATE(826), 1,
      sym_string,
    STATE(890), 1,
      sym_primary_expression,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(663), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(679), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [53910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1981), 31,
      sym__newline,
      sym__string_start,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [53954] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(1962), 1,
      anon_sym_match,
    STATE(826), 1,
      sym_string,
    STATE(888), 1,
      sym_primary_expression,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(663), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(679), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [54018] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(1962), 1,
      anon_sym_match,
    STATE(826), 1,
      sym_string,
    STATE(885), 1,
      sym_primary_expression,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(663), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(679), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [54082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      anon_sym_COLON_EQ,
    ACTIONS(252), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [54128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1251), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [54174] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1956), 1,
      anon_sym_match,
    STATE(919), 1,
      sym_string,
    STATE(1066), 1,
      sym_primary_expression,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(689), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(705), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [54238] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(1949), 1,
      anon_sym_match,
    STATE(951), 1,
      sym_string,
    STATE(1021), 1,
      sym_primary_expression,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(715), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [54302] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(1797), 1,
      anon_sym_match,
    ACTIONS(1985), 1,
      sym_identifier,
    STATE(786), 1,
      sym_string,
    STATE(1308), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1312), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1987), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [54370] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(597), 1,
      sym__string_start,
    ACTIONS(1970), 1,
      anon_sym_match,
    STATE(780), 1,
      sym_string,
    STATE(824), 1,
      sym_primary_expression,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(577), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(593), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [54434] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(1962), 1,
      anon_sym_match,
    STATE(826), 1,
      sym_string,
    STATE(874), 1,
      sym_primary_expression,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(663), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(679), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [54498] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(1874), 1,
      anon_sym_match,
    STATE(778), 1,
      sym_string,
    STATE(801), 1,
      sym_primary_expression,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(609), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(625), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [54562] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1966), 1,
      anon_sym_match,
    STATE(781), 1,
      sym_string,
    STATE(819), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [54626] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1966), 1,
      anon_sym_match,
    STATE(781), 1,
      sym_string,
    STATE(820), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [54690] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1966), 1,
      anon_sym_match,
    STATE(781), 1,
      sym_string,
    STATE(822), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [54754] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1966), 1,
      anon_sym_match,
    STATE(781), 1,
      sym_string,
    STATE(828), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [54818] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(1962), 1,
      anon_sym_match,
    STATE(826), 1,
      sym_string,
    STATE(873), 1,
      sym_primary_expression,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(663), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(679), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [54882] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1916), 1,
      anon_sym_DOT,
    ACTIONS(1918), 1,
      anon_sym_LPAREN,
    ACTIONS(1926), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1930), 1,
      anon_sym_LBRACK,
    ACTIONS(1936), 1,
      anon_sym_PIPE,
    ACTIONS(1938), 1,
      anon_sym_AMP,
    ACTIONS(1940), 1,
      anon_sym_CARET,
    ACTIONS(1920), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1922), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1934), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1116), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1914), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1928), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1912), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [54950] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1966), 1,
      anon_sym_match,
    STATE(781), 1,
      sym_string,
    STATE(829), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [55014] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1966), 1,
      anon_sym_match,
    STATE(781), 1,
      sym_string,
    STATE(830), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [55078] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1966), 1,
      anon_sym_match,
    STATE(781), 1,
      sym_string,
    STATE(831), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [55142] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1966), 1,
      anon_sym_match,
    STATE(781), 1,
      sym_string,
    STATE(832), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [55206] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_DOT,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    ACTIONS(1892), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(1165), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1880), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1878), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [55260] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(1962), 1,
      anon_sym_match,
    STATE(826), 1,
      sym_string,
    STATE(863), 1,
      sym_primary_expression,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(663), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(679), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [55324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1991), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1989), 31,
      sym__newline,
      sym__string_start,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [55368] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1251), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [55414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      anon_sym_COLON_EQ,
    ACTIONS(252), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [55460] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(1797), 1,
      anon_sym_match,
    STATE(786), 1,
      sym_string,
    STATE(962), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(287), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [55524] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(1797), 1,
      anon_sym_match,
    ACTIONS(1993), 1,
      sym_identifier,
    STATE(786), 1,
      sym_string,
    STATE(1310), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1302), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1995), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [55592] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1844), 1,
      anon_sym_DOT,
    ACTIONS(1846), 1,
      anon_sym_LPAREN,
    ACTIONS(1854), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1858), 1,
      anon_sym_LBRACK,
    ACTIONS(1864), 1,
      anon_sym_PIPE,
    ACTIONS(1866), 1,
      anon_sym_AMP,
    ACTIONS(1868), 1,
      anon_sym_CARET,
    ACTIONS(1848), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1850), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1862), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1856), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1912), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [55660] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(1962), 1,
      anon_sym_match,
    STATE(826), 1,
      sym_string,
    STATE(896), 1,
      sym_primary_expression,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(663), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(679), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [55724] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(1962), 1,
      anon_sym_match,
    STATE(826), 1,
      sym_string,
    STATE(897), 1,
      sym_primary_expression,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(663), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(679), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [55788] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_DOT,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    ACTIONS(1892), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(1165), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [55842] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_DOT,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    ACTIONS(1892), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1886), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1165), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1894), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1836), 20,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [55902] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      anon_sym_COLON_EQ,
    ACTIONS(641), 1,
      anon_sym_EQ,
    ACTIONS(252), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [55950] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1916), 1,
      anon_sym_DOT,
    ACTIONS(1918), 1,
      anon_sym_LPAREN,
    ACTIONS(1926), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1930), 1,
      anon_sym_LBRACK,
    ACTIONS(1920), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1922), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1934), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1116), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1928), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1836), 18,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [56012] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1916), 1,
      anon_sym_DOT,
    ACTIONS(1918), 1,
      anon_sym_LPAREN,
    ACTIONS(1926), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1930), 1,
      anon_sym_LBRACK,
    ACTIONS(1940), 1,
      anon_sym_CARET,
    ACTIONS(1920), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1922), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1934), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1116), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1928), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1836), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [56076] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1916), 1,
      anon_sym_DOT,
    ACTIONS(1918), 1,
      anon_sym_LPAREN,
    ACTIONS(1926), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1930), 1,
      anon_sym_LBRACK,
    ACTIONS(1938), 1,
      anon_sym_AMP,
    ACTIONS(1940), 1,
      anon_sym_CARET,
    ACTIONS(1920), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1922), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1934), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1116), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1928), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1836), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [56142] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1916), 1,
      anon_sym_DOT,
    ACTIONS(1918), 1,
      anon_sym_LPAREN,
    ACTIONS(1926), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1930), 1,
      anon_sym_LBRACK,
    ACTIONS(1920), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1116), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1928), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1836), 22,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [56200] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(1977), 1,
      anon_sym_match,
    STATE(802), 1,
      sym_string,
    STATE(858), 1,
      sym_primary_expression,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(635), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(653), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56264] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1916), 1,
      anon_sym_DOT,
    ACTIONS(1918), 1,
      anon_sym_LPAREN,
    ACTIONS(1926), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1930), 1,
      anon_sym_LBRACK,
    STATE(1116), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [56318] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1916), 1,
      anon_sym_DOT,
    ACTIONS(1918), 1,
      anon_sym_LPAREN,
    ACTIONS(1926), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1930), 1,
      anon_sym_LBRACK,
    ACTIONS(1936), 1,
      anon_sym_PIPE,
    ACTIONS(1938), 1,
      anon_sym_AMP,
    ACTIONS(1940), 1,
      anon_sym_CARET,
    ACTIONS(1920), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1922), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1934), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1116), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1842), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1928), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1840), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [56386] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1997), 1,
      anon_sym_EQ,
    ACTIONS(1251), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [56434] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_LBRACE,
    ACTIONS(77), 1,
      sym__string_start,
    ACTIONS(303), 1,
      anon_sym_LPAREN,
    ACTIONS(305), 1,
      anon_sym_LBRACK,
    ACTIONS(1966), 1,
      anon_sym_match,
    STATE(781), 1,
      sym_string,
    STATE(806), 1,
      sym_primary_expression,
    ACTIONS(69), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(63), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(295), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(73), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1002), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56498] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_DOT,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    ACTIONS(1892), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1902), 1,
      anon_sym_PIPE,
    ACTIONS(1904), 1,
      anon_sym_AMP,
    ACTIONS(1906), 1,
      anon_sym_CARET,
    ACTIONS(1886), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1888), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1165), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1842), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1894), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1840), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [56566] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(1797), 1,
      anon_sym_match,
    ACTIONS(1999), 1,
      sym_identifier,
    STATE(786), 1,
      sym_string,
    STATE(1314), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1299), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(2001), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56634] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(1977), 1,
      anon_sym_match,
    STATE(802), 1,
      sym_string,
    STATE(972), 1,
      sym_primary_expression,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(635), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(653), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56698] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_DOT,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    ACTIONS(1892), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    STATE(1165), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 25,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [56752] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(1962), 1,
      anon_sym_match,
    STATE(826), 1,
      sym_string,
    STATE(898), 1,
      sym_primary_expression,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(663), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(679), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56816] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_DOT,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    ACTIONS(1892), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1886), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1165), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1894), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1836), 22,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [56874] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(1797), 1,
      anon_sym_match,
    ACTIONS(1832), 1,
      sym_identifier,
    STATE(786), 1,
      sym_string,
    STATE(1314), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    STATE(1293), 2,
      sym_attribute,
      sym_subscript,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(287), 4,
      sym_integer,
      sym_true,
      sym_false,
      sym_none,
    ACTIONS(1834), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    STATE(1123), 13,
      sym_binary_operator,
      sym_unary_operator,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [56942] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_DOT,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    ACTIONS(1892), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1904), 1,
      anon_sym_AMP,
    ACTIONS(1906), 1,
      anon_sym_CARET,
    ACTIONS(1886), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1888), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1165), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1894), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1836), 16,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [57008] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1916), 1,
      anon_sym_DOT,
    ACTIONS(1918), 1,
      anon_sym_LPAREN,
    ACTIONS(1926), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1930), 1,
      anon_sym_LBRACK,
    ACTIONS(1920), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1934), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1116), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1928), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1836), 20,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [57068] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1916), 1,
      anon_sym_DOT,
    ACTIONS(1918), 1,
      anon_sym_LPAREN,
    ACTIONS(1926), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1930), 1,
      anon_sym_LBRACK,
    STATE(1116), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [57122] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2003), 1,
      sym__string_start,
    STATE(895), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1715), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1713), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [57170] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_DOT,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    ACTIONS(1892), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1906), 1,
      anon_sym_CARET,
    ACTIONS(1886), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1888), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1165), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1894), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1836), 17,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [57234] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_DOT,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    ACTIONS(1892), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1886), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1888), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1165), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1894), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1836), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [57296] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1882), 1,
      anon_sym_DOT,
    ACTIONS(1884), 1,
      anon_sym_LPAREN,
    ACTIONS(1892), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1902), 1,
      anon_sym_PIPE,
    ACTIONS(1904), 1,
      anon_sym_AMP,
    ACTIONS(1906), 1,
      anon_sym_CARET,
    ACTIONS(1886), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1888), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1900), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1165), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1894), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1914), 3,
      anon_sym_as,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1912), 15,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [57364] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(1874), 1,
      anon_sym_match,
    STATE(778), 1,
      sym_string,
    STATE(794), 1,
      sym_primary_expression,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(609), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(625), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57428] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(1874), 1,
      anon_sym_match,
    STATE(778), 1,
      sym_string,
    STATE(792), 1,
      sym_primary_expression,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(609), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(625), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57492] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1956), 1,
      anon_sym_match,
    STATE(919), 1,
      sym_string,
    STATE(1085), 1,
      sym_primary_expression,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(689), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(705), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57556] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1844), 1,
      anon_sym_DOT,
    ACTIONS(1846), 1,
      anon_sym_LPAREN,
    ACTIONS(1854), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1858), 1,
      anon_sym_LBRACK,
    ACTIONS(1848), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1850), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1862), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1856), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1836), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [57618] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1844), 1,
      anon_sym_DOT,
    ACTIONS(1846), 1,
      anon_sym_LPAREN,
    ACTIONS(1854), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1858), 1,
      anon_sym_LBRACK,
    ACTIONS(1868), 1,
      anon_sym_CARET,
    ACTIONS(1848), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1850), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1862), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1856), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1836), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [57682] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1844), 1,
      anon_sym_DOT,
    ACTIONS(1846), 1,
      anon_sym_LPAREN,
    ACTIONS(1854), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1858), 1,
      anon_sym_LBRACK,
    ACTIONS(1866), 1,
      anon_sym_AMP,
    ACTIONS(1868), 1,
      anon_sym_CARET,
    ACTIONS(1848), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1850), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1862), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1856), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1836), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [57748] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(597), 1,
      sym__string_start,
    ACTIONS(1970), 1,
      anon_sym_match,
    STATE(780), 1,
      sym_string,
    STATE(809), 1,
      sym_primary_expression,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(577), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(593), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      sym__string_start,
    STATE(895), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1756), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1754), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [57860] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1956), 1,
      anon_sym_match,
    STATE(919), 1,
      sym_string,
    STATE(1084), 1,
      sym_primary_expression,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(689), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(705), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57924] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1956), 1,
      anon_sym_match,
    STATE(919), 1,
      sym_string,
    STATE(1083), 1,
      sym_primary_expression,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(689), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(705), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [57988] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1956), 1,
      anon_sym_match,
    STATE(919), 1,
      sym_string,
    STATE(1082), 1,
      sym_primary_expression,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(689), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(705), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58052] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1956), 1,
      anon_sym_match,
    STATE(919), 1,
      sym_string,
    STATE(1074), 1,
      sym_primary_expression,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(689), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(705), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58116] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1956), 1,
      anon_sym_match,
    STATE(919), 1,
      sym_string,
    STATE(1073), 1,
      sym_primary_expression,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(689), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(705), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58180] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(1797), 1,
      anon_sym_match,
    STATE(786), 1,
      sym_string,
    STATE(870), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(287), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58244] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1844), 1,
      anon_sym_DOT,
    ACTIONS(1846), 1,
      anon_sym_LPAREN,
    ACTIONS(1854), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1858), 1,
      anon_sym_LBRACK,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [58298] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1956), 1,
      anon_sym_match,
    STATE(919), 1,
      sym_string,
    STATE(1072), 1,
      sym_primary_expression,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(689), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(705), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58362] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1956), 1,
      anon_sym_match,
    STATE(919), 1,
      sym_string,
    STATE(1071), 1,
      sym_primary_expression,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(689), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(705), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58426] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(687), 1,
      anon_sym_LPAREN,
    ACTIONS(693), 1,
      anon_sym_LBRACK,
    ACTIONS(703), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      sym__string_start,
    ACTIONS(1956), 1,
      anon_sym_match,
    STATE(919), 1,
      sym_string,
    STATE(1070), 1,
      sym_primary_expression,
    ACTIONS(701), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(697), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(689), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(705), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1242), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58490] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1844), 1,
      anon_sym_DOT,
    ACTIONS(1846), 1,
      anon_sym_LPAREN,
    ACTIONS(1854), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1858), 1,
      anon_sym_LBRACK,
    ACTIONS(1864), 1,
      anon_sym_PIPE,
    ACTIONS(1866), 1,
      anon_sym_AMP,
    ACTIONS(1868), 1,
      anon_sym_CARET,
    ACTIONS(1848), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1850), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1862), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1842), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1856), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1840), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [58558] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(1874), 1,
      anon_sym_match,
    STATE(778), 1,
      sym_string,
    STATE(790), 1,
      sym_primary_expression,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(609), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(625), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58622] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(709), 1,
      sym__string_start,
    STATE(906), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1251), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [58670] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2006), 1,
      anon_sym_DOT,
    ACTIONS(2008), 1,
      anon_sym_LPAREN,
    ACTIONS(2016), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    ACTIONS(2022), 1,
      anon_sym_not,
    ACTIONS(2026), 1,
      anon_sym_PIPE,
    ACTIONS(2028), 1,
      anon_sym_AMP,
    ACTIONS(2030), 1,
      anon_sym_CARET,
    ACTIONS(2034), 1,
      anon_sym_is,
    STATE(1313), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2010), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2012), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2024), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2032), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2018), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(2014), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(1720), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [58746] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1844), 1,
      anon_sym_DOT,
    ACTIONS(1846), 1,
      anon_sym_LPAREN,
    ACTIONS(1854), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1858), 1,
      anon_sym_LBRACK,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [58800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2036), 1,
      sym__string_start,
    STATE(922), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1715), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1713), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [58848] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(1874), 1,
      anon_sym_match,
    STATE(778), 1,
      sym_string,
    STATE(788), 1,
      sym_primary_expression,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(609), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(625), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58912] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(1874), 1,
      anon_sym_match,
    STATE(778), 1,
      sym_string,
    STATE(811), 1,
      sym_primary_expression,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(609), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(625), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [58976] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(1874), 1,
      anon_sym_match,
    STATE(778), 1,
      sym_string,
    STATE(787), 1,
      sym_primary_expression,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(609), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(625), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59040] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(1874), 1,
      anon_sym_match,
    STATE(778), 1,
      sym_string,
    STATE(821), 1,
      sym_primary_expression,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(609), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(625), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59104] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(1949), 1,
      anon_sym_match,
    STATE(951), 1,
      sym_string,
    STATE(1065), 1,
      sym_primary_expression,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(715), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59168] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(1874), 1,
      anon_sym_match,
    STATE(778), 1,
      sym_string,
    STATE(825), 1,
      sym_primary_expression,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(609), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(625), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59232] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_LPAREN,
    ACTIONS(613), 1,
      anon_sym_LBRACK,
    ACTIONS(623), 1,
      anon_sym_LBRACE,
    ACTIONS(629), 1,
      sym__string_start,
    ACTIONS(1874), 1,
      anon_sym_match,
    STATE(778), 1,
      sym_string,
    STATE(834), 1,
      sym_primary_expression,
    ACTIONS(621), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(617), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(609), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(625), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1080), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59296] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(1797), 1,
      anon_sym_match,
    STATE(786), 1,
      sym_string,
    STATE(902), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(287), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59360] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(1797), 1,
      anon_sym_match,
    STATE(786), 1,
      sym_string,
    STATE(903), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(287), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59424] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(1797), 1,
      anon_sym_match,
    STATE(786), 1,
      sym_string,
    STATE(904), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(287), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1991), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1989), 31,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [59532] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(1797), 1,
      anon_sym_match,
    STATE(786), 1,
      sym_string,
    STATE(837), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(287), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59596] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 1,
      sym__string_start,
    STATE(922), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1756), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1754), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [59644] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(1797), 1,
      anon_sym_match,
    STATE(786), 1,
      sym_string,
    STATE(913), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(287), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59708] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(1949), 1,
      anon_sym_match,
    STATE(951), 1,
      sym_string,
    STATE(1064), 1,
      sym_primary_expression,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(715), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59772] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(1949), 1,
      anon_sym_match,
    STATE(951), 1,
      sym_string,
    STATE(1063), 1,
      sym_primary_expression,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(715), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59836] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(1949), 1,
      anon_sym_match,
    STATE(951), 1,
      sym_string,
    STATE(1062), 1,
      sym_primary_expression,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(715), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59900] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(1949), 1,
      anon_sym_match,
    STATE(951), 1,
      sym_string,
    STATE(1061), 1,
      sym_primary_expression,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(715), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [59964] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(1949), 1,
      anon_sym_match,
    STATE(951), 1,
      sym_string,
    STATE(1059), 1,
      sym_primary_expression,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(715), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60028] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(1949), 1,
      anon_sym_match,
    STATE(951), 1,
      sym_string,
    STATE(1047), 1,
      sym_primary_expression,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(715), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60092] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(1949), 1,
      anon_sym_match,
    STATE(951), 1,
      sym_string,
    STATE(1026), 1,
      sym_primary_expression,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(715), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60156] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_LBRACK,
    ACTIONS(729), 1,
      anon_sym_LBRACE,
    ACTIONS(735), 1,
      sym__string_start,
    ACTIONS(1949), 1,
      anon_sym_match,
    STATE(951), 1,
      sym_string,
    STATE(1025), 1,
      sym_primary_expression,
    ACTIONS(727), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(723), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(715), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(731), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1228), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60220] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(1797), 1,
      anon_sym_match,
    STATE(786), 1,
      sym_string,
    STATE(917), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(287), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60284] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(1797), 1,
      anon_sym_match,
    STATE(786), 1,
      sym_string,
    STATE(836), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(287), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60348] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(291), 1,
      sym__string_start,
    ACTIONS(599), 1,
      anon_sym_LPAREN,
    ACTIONS(601), 1,
      anon_sym_LBRACK,
    ACTIONS(1797), 1,
      anon_sym_match,
    STATE(786), 1,
      sym_string,
    STATE(921), 1,
      sym_primary_expression,
    ACTIONS(283), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(277), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(260), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(287), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1123), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1981), 31,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [60456] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(597), 1,
      sym__string_start,
    ACTIONS(1970), 1,
      anon_sym_match,
    STATE(780), 1,
      sym_string,
    STATE(812), 1,
      sym_primary_expression,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(577), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(593), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1981), 31,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [60564] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(735), 1,
      sym__string_start,
    STATE(935), 2,
      sym_string,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(1251), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [60612] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1738), 1,
      anon_sym_EQ,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      anon_sym_LPAREN,
    ACTIONS(2049), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2053), 1,
      anon_sym_LBRACK,
    ACTIONS(2055), 1,
      anon_sym_not,
    ACTIONS(2059), 1,
      anon_sym_PIPE,
    ACTIONS(2061), 1,
      anon_sym_AMP,
    ACTIONS(2063), 1,
      anon_sym_CARET,
    ACTIONS(2067), 1,
      anon_sym_is,
    STATE(1305), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2043), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2045), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2057), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2065), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1214), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2051), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1720), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2047), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [60690] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(597), 1,
      sym__string_start,
    ACTIONS(1970), 1,
      anon_sym_match,
    STATE(780), 1,
      sym_string,
    STATE(789), 1,
      sym_primary_expression,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(577), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(593), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60754] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(1977), 1,
      anon_sym_match,
    STATE(802), 1,
      sym_string,
    STATE(876), 1,
      sym_primary_expression,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(635), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(653), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60818] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(1977), 1,
      anon_sym_match,
    STATE(802), 1,
      sym_string,
    STATE(877), 1,
      sym_primary_expression,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(635), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(653), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60882] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(1977), 1,
      anon_sym_match,
    STATE(802), 1,
      sym_string,
    STATE(878), 1,
      sym_primary_expression,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(635), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(653), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [60946] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(1977), 1,
      anon_sym_match,
    STATE(802), 1,
      sym_string,
    STATE(879), 1,
      sym_primary_expression,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(635), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(653), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61010] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(1977), 1,
      anon_sym_match,
    STATE(802), 1,
      sym_string,
    STATE(881), 1,
      sym_primary_expression,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(635), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(653), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61074] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(1977), 1,
      anon_sym_match,
    STATE(802), 1,
      sym_string,
    STATE(882), 1,
      sym_primary_expression,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(635), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(653), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61138] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(1977), 1,
      anon_sym_match,
    STATE(802), 1,
      sym_string,
    STATE(893), 1,
      sym_primary_expression,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(635), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(653), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61202] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(633), 1,
      anon_sym_LPAREN,
    ACTIONS(639), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(657), 1,
      sym__string_start,
    ACTIONS(1977), 1,
      anon_sym_match,
    STATE(802), 1,
      sym_string,
    STATE(894), 1,
      sym_primary_expression,
    ACTIONS(649), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(645), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(635), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(653), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1153), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61266] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1844), 1,
      anon_sym_DOT,
    ACTIONS(1846), 1,
      anon_sym_LPAREN,
    ACTIONS(1854), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1858), 1,
      anon_sym_LBRACK,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1880), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1878), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [61320] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(597), 1,
      sym__string_start,
    ACTIONS(1970), 1,
      anon_sym_match,
    STATE(780), 1,
      sym_string,
    STATE(791), 1,
      sym_primary_expression,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(577), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(593), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61384] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(597), 1,
      sym__string_start,
    ACTIONS(1970), 1,
      anon_sym_match,
    STATE(780), 1,
      sym_string,
    STATE(793), 1,
      sym_primary_expression,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(577), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(593), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61448] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(597), 1,
      sym__string_start,
    ACTIONS(1970), 1,
      anon_sym_match,
    STATE(780), 1,
      sym_string,
    STATE(796), 1,
      sym_primary_expression,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(577), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(593), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61512] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(597), 1,
      sym__string_start,
    ACTIONS(1970), 1,
      anon_sym_match,
    STATE(780), 1,
      sym_string,
    STATE(797), 1,
      sym_primary_expression,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(577), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(593), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61576] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1251), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [61622] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      anon_sym_COLON_EQ,
    ACTIONS(252), 6,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [61668] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(597), 1,
      sym__string_start,
    ACTIONS(1970), 1,
      anon_sym_match,
    STATE(780), 1,
      sym_string,
    STATE(798), 1,
      sym_primary_expression,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(577), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(593), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61732] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(661), 1,
      anon_sym_LPAREN,
    ACTIONS(667), 1,
      anon_sym_LBRACK,
    ACTIONS(677), 1,
      anon_sym_LBRACE,
    ACTIONS(683), 1,
      sym__string_start,
    ACTIONS(1962), 1,
      anon_sym_match,
    STATE(826), 1,
      sym_string,
    STATE(892), 1,
      sym_primary_expression,
    ACTIONS(675), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(671), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(663), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(679), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1129), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61796] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(575), 1,
      anon_sym_LPAREN,
    ACTIONS(581), 1,
      anon_sym_LBRACK,
    ACTIONS(591), 1,
      anon_sym_LBRACE,
    ACTIONS(597), 1,
      sym__string_start,
    ACTIONS(1970), 1,
      anon_sym_match,
    STATE(780), 1,
      sym_string,
    STATE(803), 1,
      sym_primary_expression,
    ACTIONS(589), 2,
      sym_ellipsis,
      sym_float,
    ACTIONS(585), 3,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_TILDE,
    ACTIONS(577), 4,
      anon_sym_print,
      anon_sym_async,
      anon_sym_exec,
      anon_sym_await,
    ACTIONS(593), 5,
      sym_integer,
      sym_identifier,
      sym_true,
      sym_false,
      sym_none,
    STATE(1016), 15,
      sym_binary_operator,
      sym_unary_operator,
      sym_attribute,
      sym_subscript,
      sym_call,
      sym_list,
      sym_set,
      sym_tuple,
      sym_dictionary,
      sym_list_comprehension,
      sym_dictionary_comprehension,
      sym_set_comprehension,
      sym_generator_expression,
      sym_parenthesized_expression,
      sym_concatenated_string,
  [61860] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1916), 1,
      anon_sym_DOT,
    ACTIONS(1918), 1,
      anon_sym_LPAREN,
    ACTIONS(1926), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1930), 1,
      anon_sym_LBRACK,
    STATE(1116), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1880), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1878), 25,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [61914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1991), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1989), 31,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [61958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2069), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [62001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2075), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2073), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [62044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2079), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2077), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [62087] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1251), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [62132] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2079), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2077), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [62175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2081), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [62218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2085), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [62261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [62304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2091), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2089), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [62347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2093), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [62390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2075), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2073), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [62433] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1248), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1251), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [62480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2097), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [62523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2101), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [62566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2105), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [62609] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      anon_sym_COLON_EQ,
    ACTIONS(257), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(252), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [62656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1244), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1242), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [62699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2111), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2109), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [62742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1981), 30,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [62785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2115), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2113), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [62828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2119), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2117), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [62871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2123), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2121), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [62914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2125), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [62957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2097), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [63000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2131), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2129), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [63043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1236), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [63086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2081), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [63129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [63172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [63215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2133), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [63258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1232), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [63301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1228), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [63344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1228), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [63387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2139), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2137), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [63430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2143), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2141), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [63473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1259), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [63516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1259), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [63559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2145), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [63602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      anon_sym_COLON_EQ,
    ACTIONS(252), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [63647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [63690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1991), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1989), 30,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [63733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1981), 30,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [63776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [63819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1259), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [63862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1259), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [63905] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      anon_sym_COLON_EQ,
    ACTIONS(252), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [63950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1251), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [63995] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      anon_sym_LPAREN,
    ACTIONS(2049), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2053), 1,
      anon_sym_LBRACK,
    STATE(1214), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1880), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1878), 24,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2085), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1310), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1305), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1341), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1336), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64177] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      anon_sym_LPAREN,
    ACTIONS(2049), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2053), 1,
      anon_sym_LBRACK,
    STATE(1214), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 24,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64230] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      anon_sym_LPAREN,
    ACTIONS(2049), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2053), 1,
      anon_sym_LBRACK,
    ACTIONS(2043), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2057), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1214), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1836), 19,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1248), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1251), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2143), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2141), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [64379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2139), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2137), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [64422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1228), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [64465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1991), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1989), 30,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [64508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1228), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [64551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1232), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [64594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2133), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [64637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2101), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [64680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2071), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2069), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [64723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1236), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [64766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2097), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [64809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2075), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2073), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [64852] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1310), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1305), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [64895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1341), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1336), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [64938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2079), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2077), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [64981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2081), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [65024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2085), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [65067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2091), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2089), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [65110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2093), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [65153] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      anon_sym_LPAREN,
    ACTIONS(2049), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2053), 1,
      anon_sym_LBRACK,
    ACTIONS(2059), 1,
      anon_sym_PIPE,
    ACTIONS(2061), 1,
      anon_sym_AMP,
    ACTIONS(2063), 1,
      anon_sym_CARET,
    ACTIONS(2043), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2045), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2057), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1214), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1842), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1840), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2069), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2107), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2105), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [65306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1244), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1242), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [65349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2111), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2109), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [65392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2115), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2113), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [65435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2119), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2117), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [65478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2123), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2121), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [65521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2125), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [65564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1991), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1989), 30,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2101), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2131), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2129), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [65693] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      anon_sym_LPAREN,
    ACTIONS(2049), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2053), 1,
      anon_sym_LBRACK,
    STATE(1214), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 24,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65746] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      anon_sym_COLON_EQ,
    ACTIONS(252), 6,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65791] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      anon_sym_LPAREN,
    ACTIONS(2049), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2053), 1,
      anon_sym_LBRACK,
    ACTIONS(2043), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1214), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1836), 21,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65848] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      anon_sym_LPAREN,
    ACTIONS(2049), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2053), 1,
      anon_sym_LBRACK,
    ACTIONS(2061), 1,
      anon_sym_AMP,
    ACTIONS(2063), 1,
      anon_sym_CARET,
    ACTIONS(2043), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2045), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2057), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1214), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1836), 15,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65913] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      anon_sym_LPAREN,
    ACTIONS(2049), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2053), 1,
      anon_sym_LBRACK,
    ACTIONS(2063), 1,
      anon_sym_CARET,
    ACTIONS(2043), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2045), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2057), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1214), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1836), 16,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [65976] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      anon_sym_LPAREN,
    ACTIONS(2049), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2053), 1,
      anon_sym_LBRACK,
    ACTIONS(2043), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2045), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2057), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1214), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1836), 17,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66037] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2039), 1,
      anon_sym_DOT,
    ACTIONS(2041), 1,
      anon_sym_LPAREN,
    ACTIONS(2049), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2053), 1,
      anon_sym_LBRACK,
    ACTIONS(2059), 1,
      anon_sym_PIPE,
    ACTIONS(2061), 1,
      anon_sym_AMP,
    ACTIONS(2063), 1,
      anon_sym_CARET,
    ACTIONS(2043), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2045), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2057), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1214), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1914), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2051), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1912), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_in,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66104] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2006), 1,
      anon_sym_DOT,
    ACTIONS(2008), 1,
      anon_sym_LPAREN,
    ACTIONS(2016), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    STATE(1277), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1880), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1878), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2091), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2089), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1259), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1259), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66286] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2006), 1,
      anon_sym_DOT,
    ACTIONS(2008), 1,
      anon_sym_LPAREN,
    ACTIONS(2016), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    STATE(1277), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66339] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2006), 1,
      anon_sym_DOT,
    ACTIONS(2008), 1,
      anon_sym_LPAREN,
    ACTIONS(2016), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    ACTIONS(1838), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2010), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2024), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1277), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2018), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1836), 20,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66398] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2006), 1,
      anon_sym_DOT,
    ACTIONS(2008), 1,
      anon_sym_LPAREN,
    ACTIONS(2016), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_PIPE,
    ACTIONS(2028), 1,
      anon_sym_AMP,
    ACTIONS(2030), 1,
      anon_sym_CARET,
    ACTIONS(1842), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2010), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2012), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2024), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1277), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2018), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1840), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66465] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2006), 1,
      anon_sym_DOT,
    ACTIONS(2008), 1,
      anon_sym_LPAREN,
    ACTIONS(2016), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    STATE(1277), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1838), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1836), 25,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66518] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2006), 1,
      anon_sym_DOT,
    ACTIONS(2008), 1,
      anon_sym_LPAREN,
    ACTIONS(2016), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    ACTIONS(1838), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2010), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    STATE(1277), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2018), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1836), 22,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2133), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2145), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [66661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1251), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [66749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1981), 30,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
  [66835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1244), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1242), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66878] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2006), 1,
      anon_sym_DOT,
    ACTIONS(2008), 1,
      anon_sym_LPAREN,
    ACTIONS(2016), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    ACTIONS(2028), 1,
      anon_sym_AMP,
    ACTIONS(2030), 1,
      anon_sym_CARET,
    ACTIONS(1838), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2010), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2012), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2024), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1277), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2018), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1836), 16,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [66943] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2006), 1,
      anon_sym_DOT,
    ACTIONS(2008), 1,
      anon_sym_LPAREN,
    ACTIONS(2016), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    ACTIONS(2030), 1,
      anon_sym_CARET,
    ACTIONS(1838), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2010), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2012), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2024), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1277), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2018), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1836), 17,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67006] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2006), 1,
      anon_sym_DOT,
    ACTIONS(2008), 1,
      anon_sym_LPAREN,
    ACTIONS(2016), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    ACTIONS(1838), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2010), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2012), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2024), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1277), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2018), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1836), 18,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67067] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2006), 1,
      anon_sym_DOT,
    ACTIONS(2008), 1,
      anon_sym_LPAREN,
    ACTIONS(2016), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2020), 1,
      anon_sym_LBRACK,
    ACTIONS(2026), 1,
      anon_sym_PIPE,
    ACTIONS(2028), 1,
      anon_sym_AMP,
    ACTIONS(2030), 1,
      anon_sym_CARET,
    ACTIONS(1914), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2010), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2012), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(2024), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1277), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(2018), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
    ACTIONS(1912), 15,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1228), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1228), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1232), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2093), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67306] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 1,
      anon_sym_EQ,
    ACTIONS(252), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1341), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1336), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1310), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1305), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2105), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2111), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2109), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2115), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2113), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2143), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2141), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2139), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2137), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
      anon_sym_RBRACE,
      sym_type_conversion,
  [67695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2119), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2117), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2123), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2121), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2125), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2131), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2129), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1236), 30,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2145), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 30,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_from,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [67996] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      anon_sym_COLON_EQ,
    ACTIONS(257), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(252), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1981), 29,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2097), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2123), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2121), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2125), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2139), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2137), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2143), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2141), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1341), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1336), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2119), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2117), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2131), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2129), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1310), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1305), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2145), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1341), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1336), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2085), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1338), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1341), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1336), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2101), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(257), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(252), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1341), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1336), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1310), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1305), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2097), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [68971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69013] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1307), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1310), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1305), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69057] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1251), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2149), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [69101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1248), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1251), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2091), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2089), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69229] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1307), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1310), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1305), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69315] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      anon_sym_COLON_EQ,
    ACTIONS(252), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(250), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(252), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(2151), 18,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [69445] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2075), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2073), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2071), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2069), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1251), 5,
      anon_sym_STAR,
      anon_sym_COLON,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2145), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69615] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1338), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1341), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1336), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2115), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2113), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1251), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2111), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2109), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2143), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2141), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69829] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1248), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1251), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2145), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2139), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2137), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2131), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2129), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [69999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1991), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1989), 29,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70083] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(257), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(252), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 27,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2069), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2125), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2101), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2133), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2123), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2121), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2119), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2117), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2107), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2105), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70421] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      anon_sym_COLON_EQ,
    ACTIONS(641), 1,
      anon_sym_EQ,
    ACTIONS(252), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2115), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2113), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2131), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2129), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2111), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2109), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1310), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1305), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70635] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1997), 1,
      anon_sym_EQ,
    ACTIONS(1251), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2125), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2123), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2121), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2105), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2097), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1983), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1981), 30,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1991), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1989), 30,
      sym__string_start,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2119), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2117), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [70975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2075), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2073), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1236), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2093), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2115), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2113), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2111), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2109), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 1,
      anon_sym_COLON_EQ,
    ACTIONS(252), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2081), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2071), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2069), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2101), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2133), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1244), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1242), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2107), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2105), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2079), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2077), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2081), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2085), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1232), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2091), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2089), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1228), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2133), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1228), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2093), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2139), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2137), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2143), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2141), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [71985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2093), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1259), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2091), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2089), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2079), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2077), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2085), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2081), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2079), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2077), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1259), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2075), 5,
      anon_sym_as,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2073), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2075), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2073), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1310), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1312), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [72447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2123), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2121), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2125), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2115), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2113), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2131), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2129), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2111), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2109), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72652] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(250), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(252), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(281), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [72695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2119), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2117), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2153), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1251), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1244), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1242), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2107), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2105), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2145), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2093), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2091), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2089), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [72986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2085), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2081), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2079), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2077), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2075), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2073), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2097), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1236), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2071), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2069), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2101), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2133), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1232), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1228), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1228), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2139), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2137), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2143), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2141), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73642] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1259), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1259), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73765] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1246), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1251), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1257), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [73808] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(250), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(252), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(281), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [73851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1259), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73892] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2091), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2089), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1259), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [73974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2143), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2141), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2139), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2137), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1228), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1230), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1228), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74220] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1244), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1242), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2087), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2085), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1234), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1232), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74343] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1336), 3,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
    ACTIONS(1341), 13,
      anon_sym_STAR,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
    ACTIONS(1343), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [74386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2135), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2133), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2103), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2101), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2071), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2069), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2147), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2145), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1310), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1305), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1341), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1336), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1238), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1236), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 5,
      anon_sym_STAR,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74714] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1253), 1,
      anon_sym_COLON_EQ,
    ACTIONS(2153), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1251), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2095), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2093), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74800] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2099), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2097), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2111), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2109), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74882] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2115), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2113), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(641), 1,
      anon_sym_EQ,
    ACTIONS(252), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 28,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [74966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2079), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2077), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2119), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2117), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2123), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2121), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1341), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1336), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1310), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1305), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2131), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2129), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2127), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2125), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2107), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2105), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2083), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2081), 29,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75335] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(252), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75377] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1251), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75419] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(737), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(252), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(250), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2153), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1251), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1246), 26,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_as,
      anon_sym_GT_GT,
      anon_sym_if,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_not,
      anon_sym_and,
      anon_sym_or,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
      anon_sym_is,
  [75503] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_EQ,
    ACTIONS(2163), 1,
      anon_sym_not,
    ACTIONS(2169), 1,
      anon_sym_is,
    STATE(1285), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2166), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2158), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2156), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [75541] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1740), 1,
      anon_sym_not,
    ACTIONS(1752), 1,
      anon_sym_is,
    ACTIONS(2174), 1,
      anon_sym_EQ,
    STATE(1289), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1750), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1730), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2172), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [75579] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1815), 1,
      anon_sym_not,
    ACTIONS(1827), 1,
      anon_sym_is,
    ACTIONS(2174), 1,
      anon_sym_EQ,
    STATE(1285), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1825), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1807), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2172), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [75617] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1774), 1,
      anon_sym_not,
    ACTIONS(1786), 1,
      anon_sym_is,
    ACTIONS(2174), 1,
      anon_sym_as,
    STATE(1290), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1784), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1766), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2172), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [75655] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_EQ,
    ACTIONS(2179), 1,
      anon_sym_not,
    ACTIONS(2185), 1,
      anon_sym_is,
    STATE(1289), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2182), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2176), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2156), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [75693] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_as,
    ACTIONS(2191), 1,
      anon_sym_not,
    ACTIONS(2197), 1,
      anon_sym_is,
    STATE(1290), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2194), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2188), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2156), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [75731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2151), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(250), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [75760] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_as,
    ACTIONS(2203), 1,
      anon_sym_not,
    ACTIONS(2209), 1,
      anon_sym_is,
    STATE(1292), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2206), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2200), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2156), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [75797] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2149), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1246), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [75826] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_EQ,
    ACTIONS(2215), 1,
      anon_sym_not,
    ACTIONS(2221), 1,
      anon_sym_is,
    STATE(1294), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2218), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2212), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2156), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_or,
  [75863] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_DOT,
    ACTIONS(1724), 1,
      anon_sym_LPAREN,
    ACTIONS(1732), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1736), 1,
      anon_sym_LBRACK,
    ACTIONS(1744), 1,
      anon_sym_PIPE,
    ACTIONS(1746), 1,
      anon_sym_AMP,
    ACTIONS(1748), 1,
      anon_sym_CARET,
    ACTIONS(2224), 1,
      sym__newline,
    ACTIONS(1726), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1728), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1742), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1102), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1734), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [75912] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_not,
    ACTIONS(1910), 1,
      anon_sym_is,
    ACTIONS(2174), 1,
      anon_sym_as,
    STATE(1297), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1908), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2172), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [75949] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_as,
    ACTIONS(2229), 1,
      anon_sym_not,
    ACTIONS(2235), 1,
      anon_sym_is,
    STATE(1297), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2232), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2226), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2156), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [75986] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1860), 1,
      anon_sym_not,
    ACTIONS(1872), 1,
      anon_sym_is,
    ACTIONS(2174), 1,
      anon_sym_EQ,
    STATE(1294), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1870), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1852), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2172), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_and,
      anon_sym_or,
  [76023] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1246), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76052] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(250), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76081] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1932), 1,
      anon_sym_not,
    ACTIONS(1944), 1,
      anon_sym_is,
    ACTIONS(2174), 1,
      anon_sym_as,
    STATE(1292), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(1942), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1924), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2172), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [76118] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2149), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1246), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1341), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1343), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1336), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76174] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2242), 1,
      anon_sym_COMMA,
    STATE(1315), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(846), 16,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [76202] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2055), 1,
      anon_sym_not,
    ACTIONS(2067), 1,
      anon_sym_is,
    ACTIONS(2174), 1,
      anon_sym_EQ,
    STATE(1311), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2065), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2047), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2172), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
  [76238] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2247), 1,
      anon_sym_not,
    ACTIONS(2253), 1,
      anon_sym_is,
    STATE(1306), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2250), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2244), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2156), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [76272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(281), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(250), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76300] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1844), 1,
      anon_sym_DOT,
    ACTIONS(1846), 1,
      anon_sym_LPAREN,
    ACTIONS(1854), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1858), 1,
      anon_sym_LBRACK,
    ACTIONS(1864), 1,
      anon_sym_PIPE,
    ACTIONS(1866), 1,
      anon_sym_AMP,
    ACTIONS(1868), 1,
      anon_sym_CARET,
    ACTIONS(1848), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1850), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1862), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1856), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [76346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2240), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(250), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76374] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_LPAREN,
    ACTIONS(1854), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1864), 1,
      anon_sym_PIPE,
    ACTIONS(1866), 1,
      anon_sym_AMP,
    ACTIONS(1868), 1,
      anon_sym_CARET,
    ACTIONS(1882), 1,
      anon_sym_DOT,
    ACTIONS(1896), 1,
      anon_sym_LBRACK,
    ACTIONS(1848), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1850), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1862), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1856), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [76420] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2161), 1,
      anon_sym_EQ,
    ACTIONS(2259), 1,
      anon_sym_not,
    ACTIONS(2265), 1,
      anon_sym_is,
    STATE(1311), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2262), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2156), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_and,
      anon_sym_or,
    ACTIONS(2256), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
  [76456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2238), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
    ACTIONS(1246), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76484] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2022), 1,
      anon_sym_not,
    ACTIONS(2034), 1,
      anon_sym_is,
    STATE(1306), 1,
      aux_sym_comparison_operator_repeat1,
    ACTIONS(2032), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2014), 6,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_GT,
    ACTIONS(2172), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [76518] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1846), 1,
      anon_sym_LPAREN,
    ACTIONS(1854), 1,
      anon_sym_STAR_STAR,
    ACTIONS(1864), 1,
      anon_sym_PIPE,
    ACTIONS(1866), 1,
      anon_sym_AMP,
    ACTIONS(1868), 1,
      anon_sym_CARET,
    ACTIONS(1916), 1,
      anon_sym_DOT,
    ACTIONS(1930), 1,
      anon_sym_LBRACK,
    ACTIONS(1848), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1850), 2,
      anon_sym_GT_GT,
      anon_sym_LT_LT,
    ACTIONS(1862), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    STATE(1152), 2,
      sym_argument_list,
      sym_generator_expression,
    ACTIONS(1856), 3,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
  [76564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2268), 1,
      anon_sym_COMMA,
    STATE(1315), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(2271), 16,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [76592] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(281), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(250), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1257), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1246), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1251), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1257), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1246), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1310), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1312), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1305), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1341), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1343), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1336), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76732] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1310), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1312), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(1305), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76760] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(281), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(250), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76788] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(2151), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(250), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76816] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(252), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(281), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(250), 14,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_AT,
      anon_sym_LBRACK,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PERCENT,
      anon_sym_SLASH_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_CARET,
      anon_sym_LT_LT,
  [76844] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2273), 1,
      sym_identifier,
    ACTIONS(2275), 1,
      anon_sym_LPAREN,
    ACTIONS(2277), 1,
      anon_sym_STAR,
    ACTIONS(2279), 1,
      anon_sym_COLON,
    ACTIONS(2281), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2283), 1,
      anon_sym_SLASH,
    STATE(1849), 1,
      sym_parameter,
    STATE(1984), 1,
      sym__parameters,
    STATE(2059), 1,
      sym_lambda_parameters,
    STATE(1916), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1876), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [76887] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2273), 1,
      sym_identifier,
    ACTIONS(2275), 1,
      anon_sym_LPAREN,
    ACTIONS(2277), 1,
      anon_sym_STAR,
    ACTIONS(2281), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2283), 1,
      anon_sym_SLASH,
    ACTIONS(2285), 1,
      anon_sym_COLON,
    STATE(1849), 1,
      sym_parameter,
    STATE(1984), 1,
      sym__parameters,
    STATE(2078), 1,
      sym_lambda_parameters,
    STATE(1916), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1876), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [76930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2271), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [76953] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2273), 1,
      sym_identifier,
    ACTIONS(2275), 1,
      anon_sym_LPAREN,
    ACTIONS(2277), 1,
      anon_sym_STAR,
    ACTIONS(2281), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2283), 1,
      anon_sym_SLASH,
    ACTIONS(2287), 1,
      anon_sym_COLON,
    STATE(1849), 1,
      sym_parameter,
    STATE(1984), 1,
      sym__parameters,
    STATE(1986), 1,
      sym_lambda_parameters,
    STATE(1916), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1876), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [76996] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2273), 1,
      sym_identifier,
    ACTIONS(2275), 1,
      anon_sym_LPAREN,
    ACTIONS(2277), 1,
      anon_sym_STAR,
    ACTIONS(2281), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2283), 1,
      anon_sym_SLASH,
    ACTIONS(2289), 1,
      anon_sym_COLON,
    STATE(1849), 1,
      sym_parameter,
    STATE(1946), 1,
      sym_lambda_parameters,
    STATE(1984), 1,
      sym__parameters,
    STATE(1916), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1876), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [77039] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2273), 1,
      sym_identifier,
    ACTIONS(2275), 1,
      anon_sym_LPAREN,
    ACTIONS(2277), 1,
      anon_sym_STAR,
    ACTIONS(2281), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2283), 1,
      anon_sym_SLASH,
    ACTIONS(2291), 1,
      anon_sym_COLON,
    STATE(1849), 1,
      sym_parameter,
    STATE(1983), 1,
      sym_lambda_parameters,
    STATE(1984), 1,
      sym__parameters,
    STATE(1916), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1876), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [77082] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2273), 1,
      sym_identifier,
    ACTIONS(2275), 1,
      anon_sym_LPAREN,
    ACTIONS(2277), 1,
      anon_sym_STAR,
    ACTIONS(2281), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2283), 1,
      anon_sym_SLASH,
    ACTIONS(2293), 1,
      anon_sym_COLON,
    STATE(1849), 1,
      sym_parameter,
    STATE(1984), 1,
      sym__parameters,
    STATE(1996), 1,
      sym_lambda_parameters,
    STATE(1916), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1876), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [77125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [77148] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2273), 1,
      sym_identifier,
    ACTIONS(2275), 1,
      anon_sym_LPAREN,
    ACTIONS(2277), 1,
      anon_sym_STAR,
    ACTIONS(2281), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2283), 1,
      anon_sym_SLASH,
    ACTIONS(2295), 1,
      anon_sym_COLON,
    STATE(1849), 1,
      sym_parameter,
    STATE(1973), 1,
      sym_lambda_parameters,
    STATE(1984), 1,
      sym__parameters,
    STATE(1916), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1876), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [77191] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2273), 1,
      sym_identifier,
    ACTIONS(2275), 1,
      anon_sym_LPAREN,
    ACTIONS(2277), 1,
      anon_sym_STAR,
    ACTIONS(2281), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2283), 1,
      anon_sym_SLASH,
    ACTIONS(2297), 1,
      anon_sym_COLON,
    STATE(1849), 1,
      sym_parameter,
    STATE(1984), 1,
      sym__parameters,
    STATE(2057), 1,
      sym_lambda_parameters,
    STATE(1916), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1876), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [77234] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2273), 1,
      sym_identifier,
    ACTIONS(2275), 1,
      anon_sym_LPAREN,
    ACTIONS(2277), 1,
      anon_sym_STAR,
    ACTIONS(2281), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2283), 1,
      anon_sym_SLASH,
    ACTIONS(2299), 1,
      anon_sym_COLON,
    STATE(1849), 1,
      sym_parameter,
    STATE(1984), 1,
      sym__parameters,
    STATE(2012), 1,
      sym_lambda_parameters,
    STATE(1916), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1876), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [77277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2301), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [77300] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_COMMA,
    ACTIONS(2305), 1,
      anon_sym_COLON,
    ACTIONS(2307), 1,
      anon_sym_EQ,
    STATE(1304), 1,
      aux_sym__patterns_repeat1,
    ACTIONS(2309), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [77331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2311), 17,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [77354] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2273), 1,
      sym_identifier,
    ACTIONS(2275), 1,
      anon_sym_LPAREN,
    ACTIONS(2277), 1,
      anon_sym_STAR,
    ACTIONS(2281), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2283), 1,
      anon_sym_SLASH,
    ACTIONS(2313), 1,
      anon_sym_COLON,
    STATE(1849), 1,
      sym_parameter,
    STATE(1984), 1,
      sym__parameters,
    STATE(2100), 1,
      sym_lambda_parameters,
    STATE(1916), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1876), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [77397] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2273), 1,
      sym_identifier,
    ACTIONS(2275), 1,
      anon_sym_LPAREN,
    ACTIONS(2277), 1,
      anon_sym_STAR,
    ACTIONS(2281), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2283), 1,
      anon_sym_SLASH,
    ACTIONS(2315), 1,
      anon_sym_COLON,
    STATE(1849), 1,
      sym_parameter,
    STATE(1984), 1,
      sym__parameters,
    STATE(2083), 1,
      sym_lambda_parameters,
    STATE(1916), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1876), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [77440] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2317), 1,
      sym_identifier,
    ACTIONS(2319), 1,
      anon_sym_LPAREN,
    ACTIONS(2321), 1,
      anon_sym_RPAREN,
    ACTIONS(2323), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2327), 1,
      anon_sym_SLASH,
    STATE(1811), 1,
      sym_parameter,
    STATE(1961), 1,
      sym__parameters,
    STATE(1806), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1887), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [77480] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2305), 1,
      anon_sym_COLON,
    ACTIONS(2307), 1,
      anon_sym_EQ,
    ACTIONS(2309), 13,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AT_EQ,
      anon_sym_SLASH_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_STAR_STAR_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [77505] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2317), 1,
      sym_identifier,
    ACTIONS(2319), 1,
      anon_sym_LPAREN,
    ACTIONS(2323), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2327), 1,
      anon_sym_SLASH,
    ACTIONS(2329), 1,
      anon_sym_RPAREN,
    STATE(1881), 1,
      sym_parameter,
    STATE(1806), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1887), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [77542] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2273), 1,
      sym_identifier,
    ACTIONS(2275), 1,
      anon_sym_LPAREN,
    ACTIONS(2277), 1,
      anon_sym_STAR,
    ACTIONS(2281), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2283), 1,
      anon_sym_SLASH,
    ACTIONS(2329), 1,
      anon_sym_COLON,
    STATE(1931), 1,
      sym_parameter,
    STATE(1916), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1876), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [77579] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2317), 1,
      sym_identifier,
    ACTIONS(2319), 1,
      anon_sym_LPAREN,
    ACTIONS(2323), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2327), 1,
      anon_sym_SLASH,
    ACTIONS(2331), 1,
      anon_sym_RPAREN,
    STATE(1881), 1,
      sym_parameter,
    STATE(1806), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1887), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [77616] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2273), 1,
      sym_identifier,
    ACTIONS(2275), 1,
      anon_sym_LPAREN,
    ACTIONS(2277), 1,
      anon_sym_STAR,
    ACTIONS(2281), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2283), 1,
      anon_sym_SLASH,
    ACTIONS(2331), 1,
      anon_sym_COLON,
    STATE(1931), 1,
      sym_parameter,
    STATE(1916), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1876), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [77653] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2317), 1,
      sym_identifier,
    ACTIONS(2319), 1,
      anon_sym_LPAREN,
    ACTIONS(2323), 1,
      anon_sym_STAR,
    ACTIONS(2325), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2327), 1,
      anon_sym_SLASH,
    STATE(1881), 1,
      sym_parameter,
    STATE(1806), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1887), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [77687] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2273), 1,
      sym_identifier,
    ACTIONS(2275), 1,
      anon_sym_LPAREN,
    ACTIONS(2277), 1,
      anon_sym_STAR,
    ACTIONS(2281), 1,
      anon_sym_STAR_STAR,
    ACTIONS(2283), 1,
      anon_sym_SLASH,
    STATE(1931), 1,
      sym_parameter,
    STATE(1916), 2,
      sym_list_splat_pattern,
      sym_dictionary_splat_pattern,
    STATE(1876), 6,
      sym_tuple_pattern,
      sym_default_parameter,
      sym_typed_default_parameter,
      sym_typed_parameter,
      sym_positional_separator,
      sym_keyword_separator,
  [77721] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2337), 1,
      anon_sym_if,
    ACTIONS(2339), 1,
      anon_sym_COLON,
    ACTIONS(2341), 1,
      anon_sym_async,
    ACTIONS(2343), 1,
      anon_sym_for,
    ACTIONS(2345), 1,
      anon_sym_and,
    ACTIONS(2347), 1,
      anon_sym_or,
    ACTIONS(2349), 1,
      anon_sym_RBRACE,
    STATE(1515), 1,
      sym_for_in_clause,
    STATE(1812), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1954), 1,
      sym__comprehension_clauses,
  [77761] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2337), 1,
      anon_sym_if,
    ACTIONS(2339), 1,
      anon_sym_COLON,
    ACTIONS(2341), 1,
      anon_sym_async,
    ACTIONS(2343), 1,
      anon_sym_for,
    ACTIONS(2345), 1,
      anon_sym_and,
    ACTIONS(2347), 1,
      anon_sym_or,
    ACTIONS(2349), 1,
      anon_sym_RBRACE,
    STATE(1515), 1,
      sym_for_in_clause,
    STATE(1812), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1998), 1,
      sym__comprehension_clauses,
  [77801] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2337), 1,
      anon_sym_if,
    ACTIONS(2339), 1,
      anon_sym_COLON,
    ACTIONS(2341), 1,
      anon_sym_async,
    ACTIONS(2343), 1,
      anon_sym_for,
    ACTIONS(2345), 1,
      anon_sym_and,
    ACTIONS(2347), 1,
      anon_sym_or,
    ACTIONS(2349), 1,
      anon_sym_RBRACE,
    STATE(1515), 1,
      sym_for_in_clause,
    STATE(1812), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2003), 1,
      sym__comprehension_clauses,
  [77841] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2337), 1,
      anon_sym_if,
    ACTIONS(2339), 1,
      anon_sym_COLON,
    ACTIONS(2341), 1,
      anon_sym_async,
    ACTIONS(2343), 1,
      anon_sym_for,
    ACTIONS(2345), 1,
      anon_sym_and,
    ACTIONS(2347), 1,
      anon_sym_or,
    ACTIONS(2349), 1,
      anon_sym_RBRACE,
    STATE(1515), 1,
      sym_for_in_clause,
    STATE(1812), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2088), 1,
      sym__comprehension_clauses,
  [77881] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2337), 1,
      anon_sym_if,
    ACTIONS(2339), 1,
      anon_sym_COLON,
    ACTIONS(2341), 1,
      anon_sym_async,
    ACTIONS(2343), 1,
      anon_sym_for,
    ACTIONS(2345), 1,
      anon_sym_and,
    ACTIONS(2347), 1,
      anon_sym_or,
    ACTIONS(2349), 1,
      anon_sym_RBRACE,
    STATE(1515), 1,
      sym_for_in_clause,
    STATE(1812), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2071), 1,
      sym__comprehension_clauses,
  [77921] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2337), 1,
      anon_sym_if,
    ACTIONS(2339), 1,
      anon_sym_COLON,
    ACTIONS(2341), 1,
      anon_sym_async,
    ACTIONS(2343), 1,
      anon_sym_for,
    ACTIONS(2345), 1,
      anon_sym_and,
    ACTIONS(2347), 1,
      anon_sym_or,
    ACTIONS(2349), 1,
      anon_sym_RBRACE,
    STATE(1515), 1,
      sym_for_in_clause,
    STATE(1812), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2040), 1,
      sym__comprehension_clauses,
  [77961] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2337), 1,
      anon_sym_if,
    ACTIONS(2339), 1,
      anon_sym_COLON,
    ACTIONS(2341), 1,
      anon_sym_async,
    ACTIONS(2343), 1,
      anon_sym_for,
    ACTIONS(2345), 1,
      anon_sym_and,
    ACTIONS(2347), 1,
      anon_sym_or,
    ACTIONS(2349), 1,
      anon_sym_RBRACE,
    STATE(1515), 1,
      sym_for_in_clause,
    STATE(1812), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2128), 1,
      sym__comprehension_clauses,
  [78001] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2337), 1,
      anon_sym_if,
    ACTIONS(2339), 1,
      anon_sym_COLON,
    ACTIONS(2341), 1,
      anon_sym_async,
    ACTIONS(2343), 1,
      anon_sym_for,
    ACTIONS(2345), 1,
      anon_sym_and,
    ACTIONS(2347), 1,
      anon_sym_or,
    ACTIONS(2349), 1,
      anon_sym_RBRACE,
    STATE(1515), 1,
      sym_for_in_clause,
    STATE(1812), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1964), 1,
      sym__comprehension_clauses,
  [78041] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2349), 1,
      anon_sym_RBRACK,
    ACTIONS(2351), 1,
      anon_sym_COMMA,
    ACTIONS(2353), 1,
      anon_sym_as,
    ACTIONS(2355), 1,
      anon_sym_if,
    ACTIONS(2357), 1,
      anon_sym_async,
    ACTIONS(2359), 1,
      anon_sym_for,
    ACTIONS(2361), 1,
      anon_sym_and,
    ACTIONS(2363), 1,
      anon_sym_or,
    STATE(1556), 1,
      sym_for_in_clause,
    STATE(1721), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1995), 1,
      sym__comprehension_clauses,
  [78078] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2365), 1,
      anon_sym_RPAREN,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(2369), 1,
      anon_sym_as,
    ACTIONS(2371), 1,
      anon_sym_if,
    ACTIONS(2373), 1,
      anon_sym_async,
    ACTIONS(2375), 1,
      anon_sym_for,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    STATE(1545), 1,
      sym_for_in_clause,
    STATE(1764), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1951), 1,
      sym__comprehension_clauses,
  [78115] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_as,
    ACTIONS(2371), 1,
      anon_sym_if,
    ACTIONS(2373), 1,
      anon_sym_async,
    ACTIONS(2375), 1,
      anon_sym_for,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    ACTIONS(2381), 1,
      anon_sym_RPAREN,
    ACTIONS(2383), 1,
      anon_sym_COMMA,
    STATE(1545), 1,
      sym_for_in_clause,
    STATE(1869), 1,
      aux_sym_argument_list_repeat1,
    STATE(2005), 1,
      sym__comprehension_clauses,
  [78152] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_as,
    ACTIONS(2371), 1,
      anon_sym_if,
    ACTIONS(2373), 1,
      anon_sym_async,
    ACTIONS(2375), 1,
      anon_sym_for,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    ACTIONS(2385), 1,
      anon_sym_RPAREN,
    ACTIONS(2387), 1,
      anon_sym_COMMA,
    STATE(1545), 1,
      sym_for_in_clause,
    STATE(1784), 1,
      aux_sym_argument_list_repeat1,
    STATE(1951), 1,
      sym__comprehension_clauses,
  [78189] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(2369), 1,
      anon_sym_as,
    ACTIONS(2371), 1,
      anon_sym_if,
    ACTIONS(2373), 1,
      anon_sym_async,
    ACTIONS(2375), 1,
      anon_sym_for,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    ACTIONS(2389), 1,
      anon_sym_RPAREN,
    STATE(1545), 1,
      sym_for_in_clause,
    STATE(1764), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1943), 1,
      sym__comprehension_clauses,
  [78226] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(2369), 1,
      anon_sym_as,
    ACTIONS(2371), 1,
      anon_sym_if,
    ACTIONS(2373), 1,
      anon_sym_async,
    ACTIONS(2375), 1,
      anon_sym_for,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    ACTIONS(2391), 1,
      anon_sym_RPAREN,
    STATE(1545), 1,
      sym_for_in_clause,
    STATE(1764), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2030), 1,
      sym__comprehension_clauses,
  [78263] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2349), 1,
      anon_sym_RBRACK,
    ACTIONS(2351), 1,
      anon_sym_COMMA,
    ACTIONS(2353), 1,
      anon_sym_as,
    ACTIONS(2355), 1,
      anon_sym_if,
    ACTIONS(2357), 1,
      anon_sym_async,
    ACTIONS(2359), 1,
      anon_sym_for,
    ACTIONS(2361), 1,
      anon_sym_and,
    ACTIONS(2363), 1,
      anon_sym_or,
    STATE(1556), 1,
      sym_for_in_clause,
    STATE(1721), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1966), 1,
      sym__comprehension_clauses,
  [78300] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(2369), 1,
      anon_sym_as,
    ACTIONS(2371), 1,
      anon_sym_if,
    ACTIONS(2373), 1,
      anon_sym_async,
    ACTIONS(2375), 1,
      anon_sym_for,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    ACTIONS(2393), 1,
      anon_sym_RPAREN,
    STATE(1545), 1,
      sym_for_in_clause,
    STATE(1764), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2005), 1,
      sym__comprehension_clauses,
  [78337] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2349), 1,
      anon_sym_RBRACK,
    ACTIONS(2351), 1,
      anon_sym_COMMA,
    ACTIONS(2353), 1,
      anon_sym_as,
    ACTIONS(2355), 1,
      anon_sym_if,
    ACTIONS(2357), 1,
      anon_sym_async,
    ACTIONS(2359), 1,
      anon_sym_for,
    ACTIONS(2361), 1,
      anon_sym_and,
    ACTIONS(2363), 1,
      anon_sym_or,
    STATE(1556), 1,
      sym_for_in_clause,
    STATE(1721), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1952), 1,
      sym__comprehension_clauses,
  [78374] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_as,
    ACTIONS(2371), 1,
      anon_sym_if,
    ACTIONS(2373), 1,
      anon_sym_async,
    ACTIONS(2375), 1,
      anon_sym_for,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    ACTIONS(2395), 1,
      anon_sym_RPAREN,
    ACTIONS(2397), 1,
      anon_sym_COMMA,
    STATE(1545), 1,
      sym_for_in_clause,
    STATE(1764), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2090), 1,
      sym__comprehension_clauses,
  [78411] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2349), 1,
      anon_sym_RBRACK,
    ACTIONS(2351), 1,
      anon_sym_COMMA,
    ACTIONS(2353), 1,
      anon_sym_as,
    ACTIONS(2355), 1,
      anon_sym_if,
    ACTIONS(2357), 1,
      anon_sym_async,
    ACTIONS(2359), 1,
      anon_sym_for,
    ACTIONS(2361), 1,
      anon_sym_and,
    ACTIONS(2363), 1,
      anon_sym_or,
    STATE(1556), 1,
      sym_for_in_clause,
    STATE(1721), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2043), 1,
      sym__comprehension_clauses,
  [78448] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_as,
    ACTIONS(2371), 1,
      anon_sym_if,
    ACTIONS(2373), 1,
      anon_sym_async,
    ACTIONS(2375), 1,
      anon_sym_for,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    ACTIONS(2400), 1,
      anon_sym_RPAREN,
    ACTIONS(2402), 1,
      anon_sym_COMMA,
    STATE(1545), 1,
      sym_for_in_clause,
    STATE(1847), 1,
      aux_sym_argument_list_repeat1,
    STATE(1994), 1,
      sym__comprehension_clauses,
  [78485] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(2369), 1,
      anon_sym_as,
    ACTIONS(2371), 1,
      anon_sym_if,
    ACTIONS(2373), 1,
      anon_sym_async,
    ACTIONS(2375), 1,
      anon_sym_for,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    ACTIONS(2395), 1,
      anon_sym_RPAREN,
    STATE(1545), 1,
      sym_for_in_clause,
    STATE(1764), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2090), 1,
      sym__comprehension_clauses,
  [78522] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_as,
    ACTIONS(2371), 1,
      anon_sym_if,
    ACTIONS(2373), 1,
      anon_sym_async,
    ACTIONS(2375), 1,
      anon_sym_for,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    ACTIONS(2404), 1,
      anon_sym_RPAREN,
    ACTIONS(2406), 1,
      anon_sym_COMMA,
    STATE(1545), 1,
      sym_for_in_clause,
    STATE(1742), 1,
      aux_sym_argument_list_repeat1,
    STATE(1967), 1,
      sym__comprehension_clauses,
  [78559] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(2369), 1,
      anon_sym_as,
    ACTIONS(2371), 1,
      anon_sym_if,
    ACTIONS(2373), 1,
      anon_sym_async,
    ACTIONS(2375), 1,
      anon_sym_for,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    ACTIONS(2408), 1,
      anon_sym_RPAREN,
    STATE(1545), 1,
      sym_for_in_clause,
    STATE(1764), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1967), 1,
      sym__comprehension_clauses,
  [78596] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2349), 1,
      anon_sym_RBRACK,
    ACTIONS(2351), 1,
      anon_sym_COMMA,
    ACTIONS(2353), 1,
      anon_sym_as,
    ACTIONS(2355), 1,
      anon_sym_if,
    ACTIONS(2357), 1,
      anon_sym_async,
    ACTIONS(2359), 1,
      anon_sym_for,
    ACTIONS(2361), 1,
      anon_sym_and,
    ACTIONS(2363), 1,
      anon_sym_or,
    STATE(1556), 1,
      sym_for_in_clause,
    STATE(1721), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2125), 1,
      sym__comprehension_clauses,
  [78633] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2349), 1,
      anon_sym_RBRACK,
    ACTIONS(2351), 1,
      anon_sym_COMMA,
    ACTIONS(2353), 1,
      anon_sym_as,
    ACTIONS(2355), 1,
      anon_sym_if,
    ACTIONS(2357), 1,
      anon_sym_async,
    ACTIONS(2359), 1,
      anon_sym_for,
    ACTIONS(2361), 1,
      anon_sym_and,
    ACTIONS(2363), 1,
      anon_sym_or,
    STATE(1556), 1,
      sym_for_in_clause,
    STATE(1721), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2036), 1,
      sym__comprehension_clauses,
  [78670] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_as,
    ACTIONS(2371), 1,
      anon_sym_if,
    ACTIONS(2373), 1,
      anon_sym_async,
    ACTIONS(2375), 1,
      anon_sym_for,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    ACTIONS(2410), 1,
      anon_sym_RPAREN,
    ACTIONS(2412), 1,
      anon_sym_COMMA,
    STATE(1545), 1,
      sym_for_in_clause,
    STATE(1769), 1,
      aux_sym_argument_list_repeat1,
    STATE(2030), 1,
      sym__comprehension_clauses,
  [78707] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_as,
    ACTIONS(2371), 1,
      anon_sym_if,
    ACTIONS(2373), 1,
      anon_sym_async,
    ACTIONS(2375), 1,
      anon_sym_for,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    ACTIONS(2414), 1,
      anon_sym_RPAREN,
    ACTIONS(2416), 1,
      anon_sym_COMMA,
    STATE(1545), 1,
      sym_for_in_clause,
    STATE(1865), 1,
      aux_sym_argument_list_repeat1,
    STATE(2086), 1,
      sym__comprehension_clauses,
  [78744] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(2369), 1,
      anon_sym_as,
    ACTIONS(2371), 1,
      anon_sym_if,
    ACTIONS(2373), 1,
      anon_sym_async,
    ACTIONS(2375), 1,
      anon_sym_for,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    ACTIONS(2418), 1,
      anon_sym_RPAREN,
    STATE(1545), 1,
      sym_for_in_clause,
    STATE(1764), 1,
      aux_sym__collection_elements_repeat1,
    STATE(1994), 1,
      sym__comprehension_clauses,
  [78781] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_as,
    ACTIONS(2371), 1,
      anon_sym_if,
    ACTIONS(2373), 1,
      anon_sym_async,
    ACTIONS(2375), 1,
      anon_sym_for,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    ACTIONS(2420), 1,
      anon_sym_RPAREN,
    ACTIONS(2422), 1,
      anon_sym_COMMA,
    STATE(1545), 1,
      sym_for_in_clause,
    STATE(1763), 1,
      aux_sym_argument_list_repeat1,
    STATE(2090), 1,
      sym__comprehension_clauses,
  [78818] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_as,
    ACTIONS(2371), 1,
      anon_sym_if,
    ACTIONS(2373), 1,
      anon_sym_async,
    ACTIONS(2375), 1,
      anon_sym_for,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    ACTIONS(2424), 1,
      anon_sym_RPAREN,
    ACTIONS(2426), 1,
      anon_sym_COMMA,
    STATE(1545), 1,
      sym_for_in_clause,
    STATE(1698), 1,
      aux_sym_argument_list_repeat1,
    STATE(1943), 1,
      sym__comprehension_clauses,
  [78855] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(2369), 1,
      anon_sym_as,
    ACTIONS(2371), 1,
      anon_sym_if,
    ACTIONS(2373), 1,
      anon_sym_async,
    ACTIONS(2375), 1,
      anon_sym_for,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    ACTIONS(2428), 1,
      anon_sym_RPAREN,
    STATE(1545), 1,
      sym_for_in_clause,
    STATE(1764), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2086), 1,
      sym__comprehension_clauses,
  [78892] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2349), 1,
      anon_sym_RBRACK,
    ACTIONS(2351), 1,
      anon_sym_COMMA,
    ACTIONS(2353), 1,
      anon_sym_as,
    ACTIONS(2355), 1,
      anon_sym_if,
    ACTIONS(2357), 1,
      anon_sym_async,
    ACTIONS(2359), 1,
      anon_sym_for,
    ACTIONS(2361), 1,
      anon_sym_and,
    ACTIONS(2363), 1,
      anon_sym_or,
    STATE(1556), 1,
      sym_for_in_clause,
    STATE(1721), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2089), 1,
      sym__comprehension_clauses,
  [78929] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2349), 1,
      anon_sym_RBRACK,
    ACTIONS(2351), 1,
      anon_sym_COMMA,
    ACTIONS(2353), 1,
      anon_sym_as,
    ACTIONS(2355), 1,
      anon_sym_if,
    ACTIONS(2357), 1,
      anon_sym_async,
    ACTIONS(2359), 1,
      anon_sym_for,
    ACTIONS(2361), 1,
      anon_sym_and,
    ACTIONS(2363), 1,
      anon_sym_or,
    STATE(1556), 1,
      sym_for_in_clause,
    STATE(1721), 1,
      aux_sym__collection_elements_repeat1,
    STATE(2004), 1,
      sym__comprehension_clauses,
  [78966] = 6,
    ACTIONS(2430), 1,
      anon_sym_LBRACE,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(2436), 1,
      sym__string_content,
    ACTIONS(2438), 1,
      sym__string_end,
    STATE(1385), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2432), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [78990] = 6,
    ACTIONS(2430), 1,
      anon_sym_LBRACE,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(2442), 1,
      sym__string_content,
    ACTIONS(2444), 1,
      sym__string_end,
    STATE(1390), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2440), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [79014] = 6,
    ACTIONS(2430), 1,
      anon_sym_LBRACE,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(2442), 1,
      sym__string_content,
    ACTIONS(2446), 1,
      sym__string_end,
    STATE(1390), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2440), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [79038] = 6,
    ACTIONS(2430), 1,
      anon_sym_LBRACE,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(2442), 1,
      sym__string_content,
    ACTIONS(2448), 1,
      sym__string_end,
    STATE(1390), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2440), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [79062] = 6,
    ACTIONS(2430), 1,
      anon_sym_LBRACE,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(2442), 1,
      sym__string_content,
    ACTIONS(2450), 1,
      sym__string_end,
    STATE(1390), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2440), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [79086] = 6,
    ACTIONS(2430), 1,
      anon_sym_LBRACE,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(2442), 1,
      sym__string_content,
    ACTIONS(2452), 1,
      sym__string_end,
    STATE(1390), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2440), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [79110] = 6,
    ACTIONS(2430), 1,
      anon_sym_LBRACE,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(2456), 1,
      sym__string_content,
    ACTIONS(2458), 1,
      sym__string_end,
    STATE(1386), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2454), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [79134] = 6,
    ACTIONS(2430), 1,
      anon_sym_LBRACE,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(2462), 1,
      sym__string_content,
    ACTIONS(2464), 1,
      sym__string_end,
    STATE(1392), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2460), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [79158] = 6,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(2466), 1,
      anon_sym_LBRACE,
    ACTIONS(2472), 1,
      sym__string_content,
    ACTIONS(2475), 1,
      sym__string_end,
    STATE(1390), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2469), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [79182] = 6,
    ACTIONS(2430), 1,
      anon_sym_LBRACE,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(2479), 1,
      sym__string_content,
    ACTIONS(2481), 1,
      sym__string_end,
    STATE(1399), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2477), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [79206] = 6,
    ACTIONS(2430), 1,
      anon_sym_LBRACE,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(2442), 1,
      sym__string_content,
    ACTIONS(2483), 1,
      sym__string_end,
    STATE(1390), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2440), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [79230] = 6,
    ACTIONS(2430), 1,
      anon_sym_LBRACE,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(2442), 1,
      sym__string_content,
    ACTIONS(2485), 1,
      sym__string_end,
    STATE(1390), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2440), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [79254] = 6,
    ACTIONS(2430), 1,
      anon_sym_LBRACE,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(2489), 1,
      sym__string_content,
    ACTIONS(2491), 1,
      sym__string_end,
    STATE(1384), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2487), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [79278] = 6,
    ACTIONS(2430), 1,
      anon_sym_LBRACE,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(2495), 1,
      sym__string_content,
    ACTIONS(2497), 1,
      sym__string_end,
    STATE(1383), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2493), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [79302] = 6,
    ACTIONS(2430), 1,
      anon_sym_LBRACE,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(2442), 1,
      sym__string_content,
    ACTIONS(2499), 1,
      sym__string_end,
    STATE(1390), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2440), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [79326] = 6,
    ACTIONS(2430), 1,
      anon_sym_LBRACE,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(2503), 1,
      sym__string_content,
    ACTIONS(2505), 1,
      sym__string_end,
    STATE(1387), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2501), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [79350] = 6,
    ACTIONS(2430), 1,
      anon_sym_LBRACE,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(2509), 1,
      sym__string_content,
    ACTIONS(2511), 1,
      sym__string_end,
    STATE(1393), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2507), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [79374] = 6,
    ACTIONS(2430), 1,
      anon_sym_LBRACE,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(2442), 1,
      sym__string_content,
    ACTIONS(2513), 1,
      sym__string_end,
    STATE(1390), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2440), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [79398] = 6,
    ACTIONS(2430), 1,
      anon_sym_LBRACE,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(2517), 1,
      sym__string_content,
    ACTIONS(2519), 1,
      sym__string_end,
    STATE(1396), 3,
      sym_interpolation,
      sym__escape_interpolation,
      aux_sym_string_repeat1,
    ACTIONS(2515), 4,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [79422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2523), 1,
      anon_sym_as,
    ACTIONS(2521), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [79439] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2337), 1,
      anon_sym_if,
    ACTIONS(2345), 1,
      anon_sym_and,
    ACTIONS(2347), 1,
      anon_sym_or,
    ACTIONS(2525), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [79462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [79477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2529), 1,
      anon_sym_as,
    ACTIONS(2527), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [79494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(1720), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [79511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1720), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [79526] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 1,
      anon_sym_as,
    ACTIONS(2533), 1,
      anon_sym_if,
    ACTIONS(2535), 1,
      anon_sym_and,
    ACTIONS(2537), 1,
      anon_sym_or,
    ACTIONS(2525), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_EQ,
  [79549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_and,
    ACTIONS(2539), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [79566] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_and,
    ACTIONS(2543), 1,
      anon_sym_as,
    ACTIONS(2545), 1,
      anon_sym_if,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2525), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [79589] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_and,
    ACTIONS(2543), 1,
      anon_sym_as,
    ACTIONS(2545), 1,
      anon_sym_if,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2549), 1,
      anon_sym_COLON,
    ACTIONS(2551), 1,
      anon_sym_EQ,
    ACTIONS(2553), 1,
      anon_sym_RBRACE,
    ACTIONS(2555), 1,
      sym_type_conversion,
    STATE(2082), 1,
      sym_format_specifier,
  [79620] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2337), 1,
      anon_sym_if,
    ACTIONS(2345), 1,
      anon_sym_and,
    ACTIONS(2347), 1,
      anon_sym_or,
    ACTIONS(2557), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [79643] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_and,
    ACTIONS(2543), 1,
      anon_sym_as,
    ACTIONS(2545), 1,
      anon_sym_if,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2557), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [79666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1720), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [79681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [79696] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 1,
      anon_sym_as,
    ACTIONS(2533), 1,
      anon_sym_if,
    ACTIONS(2535), 1,
      anon_sym_and,
    ACTIONS(2537), 1,
      anon_sym_or,
    ACTIONS(2561), 1,
      anon_sym_from,
    ACTIONS(2563), 1,
      anon_sym_COMMA,
    STATE(1619), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2559), 2,
      sym__newline,
      anon_sym_SEMI,
  [79725] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2535), 1,
      anon_sym_and,
    ACTIONS(2537), 1,
      anon_sym_or,
    ACTIONS(2567), 1,
      anon_sym_as,
    ACTIONS(2565), 6,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_EQ,
  [79746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2539), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [79761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_and,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2570), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [79780] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_and,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2572), 1,
      anon_sym_as,
    ACTIONS(2565), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [79801] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 1,
      anon_sym_as,
    ACTIONS(2533), 1,
      anon_sym_if,
    ACTIONS(2535), 1,
      anon_sym_and,
    ACTIONS(2537), 1,
      anon_sym_or,
    ACTIONS(2557), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_EQ,
  [79824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2535), 1,
      anon_sym_and,
    ACTIONS(2537), 1,
      anon_sym_or,
    ACTIONS(2570), 7,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
  [79843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [79858] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2337), 1,
      anon_sym_if,
    ACTIONS(2345), 1,
      anon_sym_and,
    ACTIONS(2347), 1,
      anon_sym_or,
    ACTIONS(2575), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [79881] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_and,
    ACTIONS(2543), 1,
      anon_sym_as,
    ACTIONS(2545), 1,
      anon_sym_if,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2575), 5,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RBRACE,
      sym_type_conversion,
  [79904] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2345), 1,
      anon_sym_and,
    ACTIONS(2577), 1,
      anon_sym_as,
    ACTIONS(2539), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_or,
      anon_sym_RBRACE,
  [79923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2539), 9,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [79938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2535), 1,
      anon_sym_and,
    ACTIONS(2539), 8,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_or,
  [79955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2577), 1,
      anon_sym_as,
    ACTIONS(2539), 8,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
  [79972] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 1,
      anon_sym_as,
    ACTIONS(2533), 1,
      anon_sym_if,
    ACTIONS(2535), 1,
      anon_sym_and,
    ACTIONS(2537), 1,
      anon_sym_or,
    ACTIONS(2575), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
      anon_sym_EQ,
  [79995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 9,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
      anon_sym_RBRACE,
      sym_type_conversion,
  [80010] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2345), 1,
      anon_sym_and,
    ACTIONS(2347), 1,
      anon_sym_or,
    ACTIONS(2579), 1,
      anon_sym_as,
    ACTIONS(2570), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [80031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2345), 1,
      anon_sym_and,
    ACTIONS(2347), 1,
      anon_sym_or,
    ACTIONS(2581), 1,
      anon_sym_as,
    ACTIONS(2565), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [80052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2539), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_or,
  [80068] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2586), 1,
      anon_sym_COMMA,
    ACTIONS(2588), 1,
      anon_sym_as,
    ACTIONS(2590), 1,
      anon_sym_if,
    ACTIONS(2592), 1,
      anon_sym_COLON,
    ACTIONS(2594), 1,
      anon_sym_RBRACK,
    ACTIONS(2596), 1,
      anon_sym_and,
    ACTIONS(2598), 1,
      anon_sym_or,
    STATE(1757), 1,
      aux_sym_subscript_repeat1,
  [80096] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2345), 1,
      anon_sym_and,
    ACTIONS(2347), 1,
      anon_sym_or,
    ACTIONS(2600), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [80116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_as,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    ACTIONS(2600), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [80136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2539), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [80150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2570), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
  [80168] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_AT,
    ACTIONS(2604), 1,
      anon_sym_async,
    ACTIONS(2606), 1,
      anon_sym_def,
    ACTIONS(2608), 1,
      anon_sym_class,
    STATE(747), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(1604), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [80192] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_as,
    ACTIONS(2371), 1,
      anon_sym_if,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    ACTIONS(2525), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [80214] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(57), 1,
      anon_sym_AT,
    ACTIONS(2610), 1,
      anon_sym_async,
    ACTIONS(2612), 1,
      anon_sym_def,
    ACTIONS(2614), 1,
      anon_sym_class,
    STATE(701), 2,
      sym_function_definition,
      sym_class_definition,
    STATE(1604), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
  [80238] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 1,
      anon_sym_as,
    ACTIONS(2355), 1,
      anon_sym_if,
    ACTIONS(2361), 1,
      anon_sym_and,
    ACTIONS(2363), 1,
      anon_sym_or,
    ACTIONS(2557), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [80260] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2616), 1,
      anon_sym_as,
    ACTIONS(2565), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
  [80280] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 1,
      anon_sym_as,
    ACTIONS(2355), 1,
      anon_sym_if,
    ACTIONS(2361), 1,
      anon_sym_and,
    ACTIONS(2363), 1,
      anon_sym_or,
    ACTIONS(2525), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [80302] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_as,
    ACTIONS(2590), 1,
      anon_sym_if,
    ACTIONS(2592), 1,
      anon_sym_COLON,
    ACTIONS(2596), 1,
      anon_sym_and,
    ACTIONS(2598), 1,
      anon_sym_or,
    ACTIONS(2619), 1,
      anon_sym_COMMA,
    ACTIONS(2621), 1,
      anon_sym_RBRACK,
    STATE(1789), 1,
      aux_sym_subscript_repeat1,
  [80330] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 1,
      anon_sym_as,
    ACTIONS(2533), 1,
      anon_sym_if,
    ACTIONS(2535), 1,
      anon_sym_and,
    ACTIONS(2537), 1,
      anon_sym_or,
    ACTIONS(2563), 1,
      anon_sym_COMMA,
    STATE(1619), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2623), 2,
      sym__newline,
      anon_sym_SEMI,
  [80356] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 1,
      anon_sym_as,
    ACTIONS(2361), 1,
      anon_sym_and,
    ACTIONS(2363), 1,
      anon_sym_or,
    ACTIONS(2600), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [80376] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2345), 1,
      anon_sym_and,
    ACTIONS(2347), 1,
      anon_sym_or,
    ACTIONS(2600), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [80396] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_as,
    ACTIONS(2590), 1,
      anon_sym_if,
    ACTIONS(2592), 1,
      anon_sym_COLON,
    ACTIONS(2596), 1,
      anon_sym_and,
    ACTIONS(2598), 1,
      anon_sym_or,
    ACTIONS(2625), 1,
      anon_sym_COMMA,
    ACTIONS(2627), 1,
      anon_sym_RBRACK,
    STATE(1854), 1,
      aux_sym_subscript_repeat1,
  [80424] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2575), 4,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
  [80446] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_as,
    ACTIONS(2590), 1,
      anon_sym_if,
    ACTIONS(2592), 1,
      anon_sym_COLON,
    ACTIONS(2596), 1,
      anon_sym_and,
    ACTIONS(2598), 1,
      anon_sym_or,
    ACTIONS(2633), 1,
      anon_sym_COMMA,
    ACTIONS(2635), 1,
      anon_sym_RBRACK,
    STATE(1734), 1,
      aux_sym_subscript_repeat1,
  [80474] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 1,
      anon_sym_as,
    ACTIONS(2533), 1,
      anon_sym_if,
    ACTIONS(2535), 1,
      anon_sym_and,
    ACTIONS(2537), 1,
      anon_sym_or,
    ACTIONS(2563), 1,
      anon_sym_COMMA,
    STATE(1619), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2637), 2,
      sym__newline,
      anon_sym_SEMI,
  [80500] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_as,
    ACTIONS(2371), 1,
      anon_sym_if,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    ACTIONS(2575), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [80522] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2577), 1,
      anon_sym_as,
    ACTIONS(2539), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_or,
  [80540] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 1,
      anon_sym_as,
    ACTIONS(2533), 1,
      anon_sym_if,
    ACTIONS(2535), 1,
      anon_sym_and,
    ACTIONS(2537), 1,
      anon_sym_or,
    ACTIONS(2563), 1,
      anon_sym_COMMA,
    STATE(1619), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2639), 2,
      sym__newline,
      anon_sym_SEMI,
  [80566] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 1,
      anon_sym_as,
    ACTIONS(2533), 1,
      anon_sym_if,
    ACTIONS(2535), 1,
      anon_sym_and,
    ACTIONS(2537), 1,
      anon_sym_or,
    ACTIONS(2641), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
      anon_sym_COMMA,
  [80588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2577), 1,
      anon_sym_as,
    ACTIONS(2539), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [80604] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2337), 1,
      anon_sym_if,
    ACTIONS(2345), 1,
      anon_sym_and,
    ACTIONS(2347), 1,
      anon_sym_or,
    ACTIONS(2643), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [80626] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    ACTIONS(2579), 1,
      anon_sym_as,
    ACTIONS(2570), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [80646] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 1,
      anon_sym_as,
    ACTIONS(2533), 1,
      anon_sym_if,
    ACTIONS(2535), 1,
      anon_sym_and,
    ACTIONS(2537), 1,
      anon_sym_or,
    ACTIONS(2563), 1,
      anon_sym_COMMA,
    STATE(1619), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2645), 2,
      sym__newline,
      anon_sym_SEMI,
  [80672] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2345), 1,
      anon_sym_and,
    ACTIONS(2347), 1,
      anon_sym_or,
    ACTIONS(2600), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [80692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 1,
      anon_sym_as,
    ACTIONS(2361), 1,
      anon_sym_and,
    ACTIONS(2363), 1,
      anon_sym_or,
    ACTIONS(2600), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [80712] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2525), 4,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
  [80734] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 1,
      anon_sym_as,
    ACTIONS(2361), 1,
      anon_sym_and,
    ACTIONS(2363), 1,
      anon_sym_or,
    ACTIONS(2600), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [80754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2523), 1,
      anon_sym_as,
    ACTIONS(2521), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [80770] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2361), 1,
      anon_sym_and,
    ACTIONS(2577), 1,
      anon_sym_as,
    ACTIONS(2539), 6,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_or,
  [80788] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 1,
      anon_sym_as,
    ACTIONS(2533), 1,
      anon_sym_if,
    ACTIONS(2535), 1,
      anon_sym_and,
    ACTIONS(2537), 1,
      anon_sym_or,
    ACTIONS(2649), 1,
      anon_sym_COMMA,
    STATE(1669), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2647), 2,
      sym__newline,
      anon_sym_SEMI,
  [80814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(1720), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [80830] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2651), 1,
      anon_sym_COMMA,
    ACTIONS(2653), 1,
      anon_sym_if,
    ACTIONS(2655), 1,
      anon_sym_COLON,
    STATE(1652), 1,
      aux_sym_case_clause_repeat1,
    STATE(2054), 1,
      sym_if_clause,
  [80858] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 1,
      anon_sym_as,
    ACTIONS(2533), 1,
      anon_sym_if,
    ACTIONS(2535), 1,
      anon_sym_and,
    ACTIONS(2537), 1,
      anon_sym_or,
    ACTIONS(2659), 1,
      anon_sym_COMMA,
    STATE(1686), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(2657), 2,
      sym__newline,
      anon_sym_SEMI,
  [80884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2529), 1,
      anon_sym_as,
    ACTIONS(2527), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [80900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2577), 1,
      anon_sym_as,
    ACTIONS(2539), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [80916] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2361), 1,
      anon_sym_and,
    ACTIONS(2363), 1,
      anon_sym_or,
    ACTIONS(2579), 1,
      anon_sym_as,
    ACTIONS(2570), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [80936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2529), 1,
      anon_sym_as,
    ACTIONS(2527), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [80952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1720), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [80966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2361), 1,
      anon_sym_and,
    ACTIONS(2363), 1,
      anon_sym_or,
    ACTIONS(2661), 1,
      anon_sym_as,
    ACTIONS(2565), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [80986] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_as,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    ACTIONS(2600), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [81006] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_as,
    ACTIONS(2590), 1,
      anon_sym_if,
    ACTIONS(2592), 1,
      anon_sym_COLON,
    ACTIONS(2596), 1,
      anon_sym_and,
    ACTIONS(2598), 1,
      anon_sym_or,
    ACTIONS(2664), 1,
      anon_sym_COMMA,
    ACTIONS(2666), 1,
      anon_sym_RBRACK,
    STATE(1859), 1,
      aux_sym_subscript_repeat1,
  [81034] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_as,
    ACTIONS(2371), 1,
      anon_sym_if,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    ACTIONS(2557), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
  [81056] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 1,
      anon_sym_as,
    ACTIONS(2355), 1,
      anon_sym_if,
    ACTIONS(2361), 1,
      anon_sym_and,
    ACTIONS(2363), 1,
      anon_sym_or,
    ACTIONS(2575), 4,
      anon_sym_COMMA,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [81078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1738), 1,
      anon_sym_as,
    ACTIONS(1720), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_and,
      anon_sym_or,
  [81094] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2653), 1,
      anon_sym_if,
    ACTIONS(2668), 1,
      anon_sym_COMMA,
    ACTIONS(2670), 1,
      anon_sym_COLON,
    STATE(1647), 1,
      aux_sym_case_clause_repeat1,
    STATE(2099), 1,
      sym_if_clause,
  [81122] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    ACTIONS(2672), 1,
      anon_sym_as,
    ACTIONS(2565), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [81142] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_as,
    ACTIONS(2590), 1,
      anon_sym_if,
    ACTIONS(2592), 1,
      anon_sym_COLON,
    ACTIONS(2596), 1,
      anon_sym_and,
    ACTIONS(2598), 1,
      anon_sym_or,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(2677), 1,
      anon_sym_RBRACK,
    STATE(1767), 1,
      aux_sym_subscript_repeat1,
  [81170] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_as,
    ACTIONS(2590), 1,
      anon_sym_if,
    ACTIONS(2592), 1,
      anon_sym_COLON,
    ACTIONS(2596), 1,
      anon_sym_and,
    ACTIONS(2598), 1,
      anon_sym_or,
    ACTIONS(2679), 1,
      anon_sym_COMMA,
    ACTIONS(2681), 1,
      anon_sym_RBRACK,
    STATE(1843), 1,
      aux_sym_subscript_repeat1,
  [81198] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_as,
    ACTIONS(2590), 1,
      anon_sym_if,
    ACTIONS(2592), 1,
      anon_sym_COLON,
    ACTIONS(2596), 1,
      anon_sym_and,
    ACTIONS(2598), 1,
      anon_sym_or,
    ACTIONS(2683), 1,
      anon_sym_COMMA,
    ACTIONS(2685), 1,
      anon_sym_RBRACK,
    STATE(1825), 1,
      aux_sym_subscript_repeat1,
  [81226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [81240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 8,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [81254] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 1,
      anon_sym_as,
    ACTIONS(2533), 1,
      anon_sym_if,
    ACTIONS(2535), 1,
      anon_sym_and,
    ACTIONS(2537), 1,
      anon_sym_or,
    ACTIONS(2689), 1,
      anon_sym_COMMA,
    STATE(1682), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2687), 2,
      sym__newline,
      anon_sym_SEMI,
  [81280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2523), 1,
      anon_sym_as,
    ACTIONS(2521), 7,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [81296] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 1,
      anon_sym_as,
    ACTIONS(2533), 1,
      anon_sym_if,
    ACTIONS(2535), 1,
      anon_sym_and,
    ACTIONS(2537), 1,
      anon_sym_or,
    ACTIONS(2649), 1,
      anon_sym_COMMA,
    STATE(1681), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2691), 2,
      sym__newline,
      anon_sym_SEMI,
  [81322] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2557), 4,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ,
  [81344] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_as,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    ACTIONS(2600), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [81364] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2693), 1,
      anon_sym_COMMA,
    ACTIONS(2695), 1,
      anon_sym_COLON,
    STATE(1725), 1,
      aux_sym_match_statement_repeat1,
  [81389] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2697), 1,
      anon_sym_COMMA,
    ACTIONS(2699), 1,
      anon_sym_COLON,
    STATE(1788), 1,
      aux_sym_assert_statement_repeat1,
  [81414] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_RPAREN,
    ACTIONS(2422), 1,
      anon_sym_COMMA,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_and,
    ACTIONS(2707), 1,
      anon_sym_or,
    STATE(1763), 1,
      aux_sym_argument_list_repeat1,
  [81439] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2709), 1,
      anon_sym_RPAREN,
    ACTIONS(2711), 1,
      anon_sym_if,
    ACTIONS(2714), 1,
      anon_sym_async,
    ACTIONS(2717), 1,
      anon_sym_for,
    STATE(1497), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [81460] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2341), 1,
      anon_sym_async,
    ACTIONS(2343), 1,
      anon_sym_for,
    ACTIONS(2720), 1,
      anon_sym_COMMA,
    ACTIONS(2722), 1,
      anon_sym_RBRACE,
    STATE(1515), 1,
      sym_for_in_clause,
    STATE(1712), 1,
      aux_sym_dictionary_repeat1,
    STATE(1955), 1,
      sym__comprehension_clauses,
  [81485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [81498] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2369), 1,
      anon_sym_as,
    ACTIONS(2377), 1,
      anon_sym_and,
    ACTIONS(2379), 1,
      anon_sym_or,
    ACTIONS(2724), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [81517] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2341), 1,
      anon_sym_async,
    ACTIONS(2343), 1,
      anon_sym_for,
    ACTIONS(2726), 1,
      anon_sym_COMMA,
    ACTIONS(2728), 1,
      anon_sym_RBRACE,
    STATE(1515), 1,
      sym_for_in_clause,
    STATE(1808), 1,
      aux_sym_dictionary_repeat1,
    STATE(2038), 1,
      sym__comprehension_clauses,
  [81542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [81555] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_as,
    ACTIONS(2590), 1,
      anon_sym_if,
    ACTIONS(2596), 1,
      anon_sym_and,
    ACTIONS(2598), 1,
      anon_sym_or,
    ACTIONS(2623), 1,
      anon_sym_RBRACK,
    ACTIONS(2730), 1,
      anon_sym_COMMA,
    STATE(1802), 1,
      aux_sym_assert_statement_repeat1,
  [81580] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2373), 1,
      anon_sym_async,
    ACTIONS(2375), 1,
      anon_sym_for,
    ACTIONS(2732), 1,
      anon_sym_RPAREN,
    ACTIONS(2734), 1,
      anon_sym_if,
    STATE(1497), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [81601] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_and,
    ACTIONS(2543), 1,
      anon_sym_as,
    ACTIONS(2545), 1,
      anon_sym_if,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2623), 1,
      anon_sym_RBRACE,
    ACTIONS(2736), 1,
      anon_sym_COMMA,
    STATE(1739), 1,
      aux_sym_assert_statement_repeat1,
  [81626] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 1,
      anon_sym_as,
    ACTIONS(2533), 1,
      anon_sym_if,
    ACTIONS(2535), 1,
      anon_sym_and,
    ACTIONS(2537), 1,
      anon_sym_or,
    ACTIONS(2738), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [81647] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2357), 1,
      anon_sym_async,
    ACTIONS(2359), 1,
      anon_sym_for,
    ACTIONS(2732), 1,
      anon_sym_RBRACK,
    ACTIONS(2740), 1,
      anon_sym_if,
    STATE(1509), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [81668] = 3,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(2744), 2,
      sym__string_content,
      sym__string_end,
    ACTIONS(2742), 5,
      anon_sym_LBRACE,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [81683] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2709), 1,
      anon_sym_RBRACK,
    ACTIONS(2746), 1,
      anon_sym_if,
    ACTIONS(2749), 1,
      anon_sym_async,
    ACTIONS(2752), 1,
      anon_sym_for,
    STATE(1509), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [81704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2353), 1,
      anon_sym_as,
    ACTIONS(2361), 1,
      anon_sym_and,
    ACTIONS(2363), 1,
      anon_sym_or,
    ACTIONS(2724), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [81723] = 3,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(2757), 2,
      sym__string_content,
      sym__string_end,
    ACTIONS(2755), 5,
      anon_sym_LBRACE,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [81738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1720), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [81751] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 1,
      anon_sym_COLON,
    ACTIONS(2588), 1,
      anon_sym_as,
    ACTIONS(2590), 1,
      anon_sym_if,
    ACTIONS(2596), 1,
      anon_sym_and,
    ACTIONS(2598), 1,
      anon_sym_or,
    ACTIONS(1158), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [81774] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2697), 1,
      anon_sym_COMMA,
    ACTIONS(2759), 1,
      anon_sym_COLON,
    STATE(1788), 1,
      aux_sym_assert_statement_repeat1,
  [81799] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2341), 1,
      anon_sym_async,
    ACTIONS(2343), 1,
      anon_sym_for,
    ACTIONS(2761), 1,
      anon_sym_if,
    ACTIONS(2763), 1,
      anon_sym_RBRACE,
    STATE(1537), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [81820] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_as,
    ACTIONS(2590), 1,
      anon_sym_if,
    ACTIONS(2596), 1,
      anon_sym_and,
    ACTIONS(2598), 1,
      anon_sym_or,
    ACTIONS(2575), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [81841] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2341), 1,
      anon_sym_async,
    ACTIONS(2343), 1,
      anon_sym_for,
    ACTIONS(2765), 1,
      anon_sym_COMMA,
    ACTIONS(2767), 1,
      anon_sym_RBRACE,
    STATE(1515), 1,
      sym_for_in_clause,
    STATE(1860), 1,
      aux_sym_dictionary_repeat1,
    STATE(1999), 1,
      sym__comprehension_clauses,
  [81866] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2709), 1,
      anon_sym_RBRACE,
    ACTIONS(2769), 1,
      anon_sym_if,
    ACTIONS(2772), 1,
      anon_sym_async,
    ACTIONS(2775), 1,
      anon_sym_for,
    STATE(1518), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [81887] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2697), 1,
      anon_sym_COMMA,
    ACTIONS(2778), 1,
      anon_sym_COLON,
    STATE(1788), 1,
      aux_sym_assert_statement_repeat1,
  [81912] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2596), 1,
      anon_sym_and,
    ACTIONS(2598), 1,
      anon_sym_or,
    ACTIONS(2780), 1,
      anon_sym_as,
    ACTIONS(2565), 4,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [81931] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2596), 1,
      anon_sym_and,
    ACTIONS(2598), 1,
      anon_sym_or,
    ACTIONS(2570), 5,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [81948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2539), 7,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_and,
      anon_sym_or,
  [81961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2596), 1,
      anon_sym_and,
    ACTIONS(2539), 6,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_or,
  [81976] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2335), 1,
      anon_sym_as,
    ACTIONS(2345), 1,
      anon_sym_and,
    ACTIONS(2347), 1,
      anon_sym_or,
    ACTIONS(2724), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [81995] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2785), 1,
      anon_sym_LPAREN,
    ACTIONS(2787), 1,
      anon_sym_STAR,
    STATE(1659), 1,
      sym_dotted_name,
    STATE(1685), 1,
      sym_aliased_import,
    STATE(1904), 1,
      sym_wildcard_import,
    STATE(1922), 1,
      sym__import_list,
  [82020] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2789), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
  [82041] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_and,
    ACTIONS(2707), 1,
      anon_sym_or,
    ACTIONS(2557), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [82062] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2623), 1,
      anon_sym_RPAREN,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_and,
    ACTIONS(2707), 1,
      anon_sym_or,
    ACTIONS(2791), 1,
      anon_sym_COMMA,
    STATE(1718), 1,
      aux_sym_assert_statement_repeat1,
  [82087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1720), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [82100] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_and,
    ACTIONS(2707), 1,
      anon_sym_or,
    ACTIONS(2525), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [82121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2527), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [82134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [82147] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2341), 1,
      anon_sym_async,
    ACTIONS(2343), 1,
      anon_sym_for,
    ACTIONS(2793), 1,
      anon_sym_COMMA,
    ACTIONS(2795), 1,
      anon_sym_RBRACE,
    STATE(1515), 1,
      sym_for_in_clause,
    STATE(1793), 1,
      aux_sym_dictionary_repeat1,
    STATE(2073), 1,
      sym__comprehension_clauses,
  [82172] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2341), 1,
      anon_sym_async,
    ACTIONS(2343), 1,
      anon_sym_for,
    ACTIONS(2797), 1,
      anon_sym_COMMA,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    STATE(1515), 1,
      sym_for_in_clause,
    STATE(1748), 1,
      aux_sym_dictionary_repeat1,
    STATE(2087), 1,
      sym__comprehension_clauses,
  [82197] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2341), 1,
      anon_sym_async,
    ACTIONS(2343), 1,
      anon_sym_for,
    ACTIONS(2801), 1,
      anon_sym_COMMA,
    ACTIONS(2803), 1,
      anon_sym_RBRACE,
    STATE(1515), 1,
      sym_for_in_clause,
    STATE(1711), 1,
      aux_sym_dictionary_repeat1,
    STATE(2129), 1,
      sym__comprehension_clauses,
  [82222] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2341), 1,
      anon_sym_async,
    ACTIONS(2343), 1,
      anon_sym_for,
    ACTIONS(2805), 1,
      anon_sym_COMMA,
    ACTIONS(2807), 1,
      anon_sym_RBRACE,
    STATE(1515), 1,
      sym_for_in_clause,
    STATE(1857), 1,
      aux_sym_dictionary_repeat1,
    STATE(1957), 1,
      sym__comprehension_clauses,
  [82247] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2341), 1,
      anon_sym_async,
    ACTIONS(2343), 1,
      anon_sym_for,
    ACTIONS(2732), 1,
      anon_sym_RBRACE,
    ACTIONS(2761), 1,
      anon_sym_if,
    STATE(1518), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [82268] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2697), 1,
      anon_sym_COMMA,
    ACTIONS(2809), 1,
      anon_sym_COLON,
    STATE(1788), 1,
      aux_sym_assert_statement_repeat1,
  [82293] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_as,
    ACTIONS(2590), 1,
      anon_sym_if,
    ACTIONS(2596), 1,
      anon_sym_and,
    ACTIONS(2598), 1,
      anon_sym_or,
    ACTIONS(2525), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [82314] = 3,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(2813), 2,
      sym__string_content,
      sym__string_end,
    ACTIONS(2811), 5,
      anon_sym_LBRACE,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [82329] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 1,
      anon_sym_as,
    ACTIONS(2533), 1,
      anon_sym_if,
    ACTIONS(2535), 1,
      anon_sym_and,
    ACTIONS(2537), 1,
      anon_sym_or,
    ACTIONS(2789), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_EQ,
  [82350] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2815), 1,
      anon_sym_COMMA,
    ACTIONS(2817), 1,
      anon_sym_COLON,
    STATE(1820), 1,
      aux_sym_match_statement_repeat1,
  [82375] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2819), 1,
      sym_identifier,
    ACTIONS(2821), 1,
      anon_sym_DOT,
    ACTIONS(2823), 1,
      anon_sym___future__,
    STATE(1674), 1,
      aux_sym_import_prefix_repeat1,
    STATE(1798), 1,
      sym_import_prefix,
    STATE(2041), 2,
      sym_relative_import,
      sym_dotted_name,
  [82398] = 3,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(2827), 2,
      sym__string_content,
      sym__string_end,
    ACTIONS(2825), 5,
      anon_sym_LBRACE,
      anon_sym_LBRACE_LBRACE,
      anon_sym_RBRACE_RBRACE,
      sym_escape_sequence,
      sym__not_escape_sequence,
  [82413] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2373), 1,
      anon_sym_async,
    ACTIONS(2375), 1,
      anon_sym_for,
    ACTIONS(2734), 1,
      anon_sym_if,
    ACTIONS(2763), 1,
      anon_sym_RPAREN,
    STATE(1504), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [82434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2705), 1,
      anon_sym_and,
    ACTIONS(2539), 6,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_or,
  [82449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2539), 7,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
      anon_sym_and,
      anon_sym_or,
  [82462] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_and,
    ACTIONS(2707), 1,
      anon_sym_or,
    ACTIONS(2789), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [82483] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_as,
    ACTIONS(2590), 1,
      anon_sym_if,
    ACTIONS(2596), 1,
      anon_sym_and,
    ACTIONS(2598), 1,
      anon_sym_or,
    ACTIONS(2557), 3,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
  [82504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2705), 1,
      anon_sym_and,
    ACTIONS(2707), 1,
      anon_sym_or,
    ACTIONS(2570), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_EQ,
  [82521] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2705), 1,
      anon_sym_and,
    ACTIONS(2707), 1,
      anon_sym_or,
    ACTIONS(2829), 1,
      anon_sym_as,
    ACTIONS(2565), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_EQ,
  [82540] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_and,
    ACTIONS(2707), 1,
      anon_sym_or,
    ACTIONS(2575), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
  [82561] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 1,
      anon_sym_as,
    ACTIONS(2533), 1,
      anon_sym_if,
    ACTIONS(2535), 1,
      anon_sym_and,
    ACTIONS(2537), 1,
      anon_sym_or,
    ACTIONS(2832), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [82582] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_as,
    ACTIONS(2590), 1,
      anon_sym_if,
    ACTIONS(2596), 1,
      anon_sym_and,
    ACTIONS(2598), 1,
      anon_sym_or,
    ACTIONS(2834), 1,
      anon_sym_COLON,
    ACTIONS(1224), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [82605] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_as,
    ACTIONS(2590), 1,
      anon_sym_if,
    ACTIONS(2592), 1,
      anon_sym_COLON,
    ACTIONS(2596), 1,
      anon_sym_and,
    ACTIONS(2598), 1,
      anon_sym_or,
    ACTIONS(2836), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [82628] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2357), 1,
      anon_sym_async,
    ACTIONS(2359), 1,
      anon_sym_for,
    ACTIONS(2740), 1,
      anon_sym_if,
    ACTIONS(2763), 1,
      anon_sym_RBRACK,
    STATE(1507), 3,
      sym_for_in_clause,
      sym_if_clause,
      aux_sym__comprehension_clauses_repeat1,
  [82649] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2341), 1,
      anon_sym_async,
    ACTIONS(2343), 1,
      anon_sym_for,
    ACTIONS(2838), 1,
      anon_sym_COMMA,
    ACTIONS(2840), 1,
      anon_sym_RBRACE,
    STATE(1515), 1,
      sym_for_in_clause,
    STATE(1785), 1,
      aux_sym_dictionary_repeat1,
    STATE(1963), 1,
      sym__comprehension_clauses,
  [82674] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2842), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [82694] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_and,
    ACTIONS(2707), 1,
      anon_sym_or,
    ACTIONS(2844), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [82714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2848), 1,
      anon_sym_DOT,
    STATE(1611), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(2846), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [82730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2850), 1,
      anon_sym_COMMA,
    STATE(1561), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2853), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [82746] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2855), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [82766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      anon_sym_COMMA,
    STATE(1580), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2857), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [82782] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_as,
    ACTIONS(2590), 1,
      anon_sym_if,
    ACTIONS(2596), 1,
      anon_sym_and,
    ACTIONS(2598), 1,
      anon_sym_or,
    ACTIONS(1224), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [82802] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2861), 1,
      anon_sym_COMMA,
    STATE(1576), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2863), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [82818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2865), 1,
      anon_sym_COMMA,
    STATE(1613), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2867), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [82834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2869), 1,
      anon_sym_COMMA,
    STATE(1605), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2863), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [82850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2871), 1,
      anon_sym_COMMA,
    STATE(1574), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2867), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [82866] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_and,
    ACTIONS(2543), 1,
      anon_sym_as,
    ACTIONS(2545), 1,
      anon_sym_if,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2844), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [82886] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 1,
      anon_sym_as,
    ACTIONS(2533), 1,
      anon_sym_if,
    ACTIONS(2535), 1,
      anon_sym_and,
    ACTIONS(2537), 1,
      anon_sym_or,
    ACTIONS(2873), 2,
      sym__newline,
      anon_sym_SEMI,
  [82906] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 1,
      anon_sym_as,
    ACTIONS(2533), 1,
      anon_sym_if,
    ACTIONS(2535), 1,
      anon_sym_and,
    ACTIONS(2537), 1,
      anon_sym_or,
    ACTIONS(2875), 2,
      sym__newline,
      anon_sym_SEMI,
  [82926] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_as,
    ACTIONS(2590), 1,
      anon_sym_if,
    ACTIONS(2596), 1,
      anon_sym_and,
    ACTIONS(2598), 1,
      anon_sym_or,
    ACTIONS(2641), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [82946] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_and,
    ACTIONS(2543), 1,
      anon_sym_as,
    ACTIONS(2545), 1,
      anon_sym_if,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2877), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [82966] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2879), 1,
      anon_sym_COMMA,
    STATE(1579), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2857), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [82982] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_and,
    ACTIONS(2707), 1,
      anon_sym_or,
    ACTIONS(2881), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [83002] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2883), 1,
      anon_sym_COMMA,
    STATE(1579), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2885), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [83018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2887), 1,
      anon_sym_COMMA,
    STATE(1561), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2885), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [83034] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_and,
    ACTIONS(2707), 1,
      anon_sym_or,
    ACTIONS(2889), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [83054] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2891), 1,
      anon_sym_COMMA,
    STATE(1579), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2853), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [83070] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2894), 1,
      anon_sym_COMMA,
    STATE(1580), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2853), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [83086] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2641), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [83106] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_as,
    ACTIONS(2590), 1,
      anon_sym_if,
    ACTIONS(2596), 1,
      anon_sym_and,
    ACTIONS(2598), 1,
      anon_sym_or,
    ACTIONS(1218), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [83126] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_as,
    ACTIONS(2590), 1,
      anon_sym_if,
    ACTIONS(2596), 1,
      anon_sym_and,
    ACTIONS(2598), 1,
      anon_sym_or,
    ACTIONS(2873), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [83146] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_and,
    ACTIONS(2707), 1,
      anon_sym_or,
    ACTIONS(2842), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [83166] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2897), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [83186] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_and,
    ACTIONS(2707), 1,
      anon_sym_or,
    ACTIONS(2873), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [83206] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_as,
    ACTIONS(2590), 1,
      anon_sym_if,
    ACTIONS(2596), 1,
      anon_sym_and,
    ACTIONS(2598), 1,
      anon_sym_or,
    ACTIONS(2899), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [83226] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_and,
    ACTIONS(2707), 1,
      anon_sym_or,
    ACTIONS(2855), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [83246] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_and,
    ACTIONS(2707), 1,
      anon_sym_or,
    ACTIONS(2901), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [83266] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2531), 1,
      anon_sym_as,
    ACTIONS(2533), 1,
      anon_sym_if,
    ACTIONS(2535), 1,
      anon_sym_and,
    ACTIONS(2537), 1,
      anon_sym_or,
    ACTIONS(2903), 2,
      sym__newline,
      anon_sym_SEMI,
  [83286] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2570), 4,
      anon_sym_COMMA,
      anon_sym_as,
      anon_sym_if,
      anon_sym_COLON,
  [83302] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2907), 1,
      anon_sym_DOT,
    STATE(1592), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(2905), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [83318] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2910), 1,
      anon_sym_COMMA,
    ACTIONS(2912), 1,
      anon_sym_as,
    ACTIONS(2914), 1,
      anon_sym_COLON,
  [83340] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_and,
    ACTIONS(2707), 1,
      anon_sym_or,
    ACTIONS(2641), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [83360] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2912), 1,
      anon_sym_as,
    ACTIONS(2916), 1,
      anon_sym_COMMA,
    ACTIONS(2918), 1,
      anon_sym_COLON,
  [83382] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_and,
    ACTIONS(2543), 1,
      anon_sym_as,
    ACTIONS(2545), 1,
      anon_sym_if,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2643), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [83402] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2920), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [83422] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_and,
    ACTIONS(2707), 1,
      anon_sym_or,
    ACTIONS(2877), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [83442] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_and,
    ACTIONS(2543), 1,
      anon_sym_as,
    ACTIONS(2545), 1,
      anon_sym_if,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2641), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [83462] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_and,
    ACTIONS(2707), 1,
      anon_sym_or,
    ACTIONS(2922), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [83482] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_and,
    ACTIONS(2543), 1,
      anon_sym_as,
    ACTIONS(2545), 1,
      anon_sym_if,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2873), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [83502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2924), 1,
      anon_sym_COMMA,
    STATE(1577), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2863), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [83518] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_and,
    ACTIONS(2543), 1,
      anon_sym_as,
    ACTIONS(2545), 1,
      anon_sym_if,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2901), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [83538] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_AT,
    STATE(1604), 2,
      sym_decorator,
      aux_sym_decorated_definition_repeat1,
    ACTIONS(2926), 3,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
  [83554] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2931), 1,
      anon_sym_COMMA,
    STATE(1580), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2885), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [83570] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2724), 1,
      anon_sym_COLON,
    ACTIONS(2933), 1,
      anon_sym_else,
  [83592] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2935), 3,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
  [83610] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_as,
    ACTIONS(2590), 1,
      anon_sym_if,
    ACTIONS(2596), 1,
      anon_sym_and,
    ACTIONS(2598), 1,
      anon_sym_or,
    ACTIONS(2901), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [83630] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2701), 1,
      anon_sym_as,
    ACTIONS(2703), 1,
      anon_sym_if,
    ACTIONS(2705), 1,
      anon_sym_and,
    ACTIONS(2707), 1,
      anon_sym_or,
    ACTIONS(2897), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [83650] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2937), 1,
      anon_sym_COMMA,
    STATE(1563), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2867), 4,
      anon_sym_RPAREN,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [83666] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2848), 1,
      anon_sym_DOT,
    STATE(1592), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(2939), 4,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_as,
  [83682] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_as,
    ACTIONS(2590), 1,
      anon_sym_if,
    ACTIONS(2596), 1,
      anon_sym_and,
    ACTIONS(2598), 1,
      anon_sym_or,
    ACTIONS(2844), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [83702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2941), 1,
      anon_sym_COMMA,
    STATE(1561), 1,
      aux_sym_for_in_clause_repeat1,
    ACTIONS(2857), 4,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [83718] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2668), 1,
      anon_sym_COMMA,
    ACTIONS(2670), 1,
      anon_sym_COLON,
    ACTIONS(2943), 1,
      anon_sym_if,
    STATE(1627), 1,
      aux_sym_case_clause_repeat1,
    STATE(2099), 1,
      sym_if_clause,
  [83737] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2945), 1,
      anon_sym_else,
  [83756] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2947), 1,
      anon_sym_else,
  [83775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2949), 1,
      anon_sym_DOT,
    STATE(1628), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(2939), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [83790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2853), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [83801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2951), 1,
      anon_sym_COMMA,
    STATE(1664), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1178), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
  [83816] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2953), 1,
      anon_sym_except,
    ACTIONS(2955), 1,
      anon_sym_finally,
    STATE(687), 1,
      sym_finally_clause,
    STATE(337), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [83833] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2957), 1,
      anon_sym_COLON,
  [83852] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2959), 1,
      anon_sym_else,
  [83871] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2961), 1,
      anon_sym_COLON,
  [83890] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2963), 1,
      anon_sym_else,
  [83909] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2783), 1,
      sym_identifier,
    STATE(1666), 1,
      sym_dotted_name,
    STATE(1772), 1,
      sym_aliased_import,
    ACTIONS(2965), 2,
      sym__newline,
      anon_sym_SEMI,
  [83926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2967), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [83937] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2943), 1,
      anon_sym_if,
    ACTIONS(2969), 1,
      anon_sym_COMMA,
    ACTIONS(2971), 1,
      anon_sym_COLON,
    STATE(1668), 1,
      aux_sym_case_clause_repeat1,
    STATE(2106), 1,
      sym_if_clause,
  [83956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2973), 1,
      anon_sym_DOT,
    STATE(1628), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(2905), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [83971] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2976), 1,
      anon_sym_else,
  [83990] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2783), 1,
      sym_identifier,
    ACTIONS(2978), 1,
      anon_sym_LPAREN,
    STATE(1659), 1,
      sym_dotted_name,
    STATE(1685), 1,
      sym_aliased_import,
    STATE(1911), 1,
      sym__import_list,
  [84009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2853), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [84020] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2980), 1,
      anon_sym_except,
    ACTIONS(2982), 1,
      anon_sym_finally,
    STATE(741), 1,
      sym_finally_clause,
    STATE(356), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [84037] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2724), 1,
      anon_sym_COLON,
  [84056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2783), 1,
      sym_identifier,
    STATE(1666), 1,
      sym_dotted_name,
    STATE(1772), 1,
      sym_aliased_import,
    ACTIONS(2984), 2,
      sym__newline,
      anon_sym_SEMI,
  [84073] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2953), 1,
      anon_sym_except,
    ACTIONS(2955), 1,
      anon_sym_finally,
    STATE(704), 1,
      sym_finally_clause,
    STATE(332), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [84090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2967), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [84101] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2541), 1,
      anon_sym_and,
    ACTIONS(2543), 1,
      anon_sym_as,
    ACTIONS(2545), 1,
      anon_sym_if,
    ACTIONS(2547), 1,
      anon_sym_or,
    ACTIONS(2986), 1,
      anon_sym_RBRACE,
  [84120] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2783), 1,
      sym_identifier,
    STATE(1666), 1,
      sym_dotted_name,
    STATE(1772), 1,
      sym_aliased_import,
    ACTIONS(2984), 2,
      sym__newline,
      anon_sym_SEMI,
  [84137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2967), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [84148] = 5,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_LBRACE,
    ACTIONS(2991), 1,
      anon_sym_RBRACE,
    ACTIONS(2993), 1,
      aux_sym_format_specifier_token1,
    STATE(1640), 2,
      sym_format_expression,
      aux_sym_format_specifier_repeat1,
  [84165] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2651), 1,
      anon_sym_COMMA,
    ACTIONS(2655), 1,
      anon_sym_COLON,
    ACTIONS(2943), 1,
      anon_sym_if,
    STATE(1643), 1,
      aux_sym_case_clause_repeat1,
    STATE(2054), 1,
      sym_if_clause,
  [84184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2905), 5,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_DOT,
      anon_sym_COMMA,
      anon_sym_as,
  [84195] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2943), 1,
      anon_sym_if,
    ACTIONS(2996), 1,
      anon_sym_COMMA,
    ACTIONS(2998), 1,
      anon_sym_COLON,
    STATE(1668), 1,
      aux_sym_case_clause_repeat1,
    STATE(2062), 1,
      sym_if_clause,
  [84214] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(3000), 1,
      anon_sym_COLON,
  [84233] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2980), 1,
      anon_sym_except,
    ACTIONS(2982), 1,
      anon_sym_finally,
    STATE(696), 1,
      sym_finally_clause,
    STATE(370), 2,
      sym_except_clause,
      aux_sym_try_statement_repeat1,
  [84250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2853), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [84261] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2943), 1,
      anon_sym_if,
    ACTIONS(3002), 1,
      anon_sym_COMMA,
    ACTIONS(3004), 1,
      anon_sym_COLON,
    STATE(1668), 1,
      aux_sym_case_clause_repeat1,
    STATE(2094), 1,
      sym_if_clause,
  [84280] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(2933), 1,
      anon_sym_else,
  [84299] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2949), 1,
      anon_sym_DOT,
    STATE(1617), 1,
      aux_sym_dotted_name_repeat1,
    ACTIONS(2846), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [84314] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(3006), 1,
      anon_sym_COLON,
  [84333] = 5,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(3008), 1,
      anon_sym_LBRACE,
    ACTIONS(3010), 1,
      anon_sym_RBRACE,
    ACTIONS(3012), 1,
      aux_sym_format_specifier_token1,
    STATE(1655), 2,
      sym_format_expression,
      aux_sym_format_specifier_repeat1,
  [84350] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2943), 1,
      anon_sym_if,
    ACTIONS(3014), 1,
      anon_sym_COMMA,
    ACTIONS(3016), 1,
      anon_sym_COLON,
    STATE(1668), 1,
      aux_sym_case_clause_repeat1,
    STATE(2064), 1,
      sym_if_clause,
  [84369] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(3018), 1,
      anon_sym_COLON,
  [84388] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(3020), 1,
      anon_sym_COLON,
  [84407] = 5,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(3008), 1,
      anon_sym_LBRACE,
    ACTIONS(3022), 1,
      anon_sym_RBRACE,
    ACTIONS(3024), 1,
      aux_sym_format_specifier_token1,
    STATE(1640), 2,
      sym_format_expression,
      aux_sym_format_specifier_repeat1,
  [84424] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(3026), 1,
      anon_sym_COLON,
  [84443] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(3028), 1,
      anon_sym_COLON,
  [84462] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(3030), 1,
      anon_sym_COLON,
  [84481] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3034), 1,
      anon_sym_COMMA,
    ACTIONS(3036), 1,
      anon_sym_as,
    STATE(1688), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3032), 2,
      sym__newline,
      anon_sym_SEMI,
  [84498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3038), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
  [84509] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(3040), 1,
      anon_sym_else,
  [84528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3038), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACK,
  [84539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3038), 5,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_async,
      anon_sym_for,
      anon_sym_RBRACE,
  [84550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3042), 1,
      anon_sym_COMMA,
    STATE(1664), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(2641), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_from,
  [84565] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_and,
    ACTIONS(2602), 1,
      anon_sym_or,
    ACTIONS(2629), 1,
      anon_sym_as,
    ACTIONS(2631), 1,
      anon_sym_if,
    ACTIONS(3045), 1,
      anon_sym_else,
  [84584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3036), 1,
      anon_sym_as,
    ACTIONS(3047), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [84596] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3032), 1,
      anon_sym_RPAREN,
    ACTIONS(3049), 1,
      anon_sym_COMMA,
    ACTIONS(3051), 1,
      anon_sym_as,
    STATE(1723), 1,
      aux_sym__import_list_repeat1,
  [84612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3053), 1,
      anon_sym_COMMA,
    STATE(1668), 1,
      aux_sym_case_clause_repeat1,
    ACTIONS(3056), 2,
      anon_sym_if,
      anon_sym_COLON,
  [84626] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2649), 1,
      anon_sym_COMMA,
    STATE(1664), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3058), 2,
      sym__newline,
      anon_sym_SEMI,
  [84640] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3062), 1,
      anon_sym_COMMA,
    STATE(1671), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3060), 2,
      sym__newline,
      anon_sym_SEMI,
  [84654] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3066), 1,
      anon_sym_COMMA,
    STATE(1695), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3064), 2,
      sym__newline,
      anon_sym_SEMI,
  [84668] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3070), 1,
      anon_sym_COMMA,
    STATE(1693), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3068), 2,
      sym__newline,
      anon_sym_SEMI,
  [84682] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2965), 1,
      anon_sym_RPAREN,
    ACTIONS(3072), 1,
      sym_identifier,
    STATE(1714), 1,
      sym_dotted_name,
    STATE(1937), 1,
      sym_aliased_import,
  [84698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3076), 1,
      anon_sym_DOT,
    STATE(1679), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(3074), 2,
      anon_sym_import,
      sym_identifier,
  [84712] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3070), 1,
      anon_sym_COMMA,
    STATE(1693), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3078), 2,
      sym__newline,
      anon_sym_SEMI,
  [84726] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2549), 1,
      anon_sym_COLON,
    ACTIONS(3080), 1,
      anon_sym_RBRACE,
    ACTIONS(3082), 1,
      sym_type_conversion,
    STATE(2010), 1,
      sym_format_specifier,
  [84742] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3086), 1,
      anon_sym_COMMA,
    STATE(1677), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3084), 2,
      sym__newline,
      anon_sym_SEMI,
  [84756] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2984), 1,
      anon_sym_RPAREN,
    ACTIONS(3072), 1,
      sym_identifier,
    STATE(1714), 1,
      sym_dotted_name,
    STATE(1937), 1,
      sym_aliased_import,
  [84772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3091), 1,
      anon_sym_DOT,
    STATE(1679), 1,
      aux_sym_import_prefix_repeat1,
    ACTIONS(3089), 2,
      anon_sym_import,
      sym_identifier,
  [84786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3094), 4,
      anon_sym_async,
      anon_sym_def,
      anon_sym_class,
      anon_sym_AT,
  [84796] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2649), 1,
      anon_sym_COMMA,
    STATE(1664), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(3096), 2,
      sym__newline,
      anon_sym_SEMI,
  [84810] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3098), 1,
      anon_sym_COMMA,
    STATE(1664), 1,
      aux_sym_assert_statement_repeat1,
    ACTIONS(1220), 2,
      sym__newline,
      anon_sym_SEMI,
  [84824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3072), 1,
      sym_identifier,
    STATE(1667), 1,
      sym_dotted_name,
    STATE(1837), 1,
      sym_aliased_import,
    STATE(2020), 1,
      sym__import_list,
  [84840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3070), 1,
      anon_sym_COMMA,
    STATE(1675), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3100), 2,
      sym__newline,
      anon_sym_SEMI,
  [84854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3034), 1,
      anon_sym_COMMA,
    STATE(1689), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3032), 2,
      sym__newline,
      anon_sym_SEMI,
  [84868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3104), 1,
      anon_sym_COMMA,
    STATE(1695), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3102), 2,
      sym__newline,
      anon_sym_SEMI,
  [84882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3072), 1,
      sym_identifier,
    STATE(1667), 1,
      sym_dotted_name,
    STATE(1837), 1,
      sym_aliased_import,
    STATE(2022), 1,
      sym__import_list,
  [84898] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3108), 1,
      anon_sym_COMMA,
    STATE(1677), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3106), 2,
      sym__newline,
      anon_sym_SEMI,
  [84912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3110), 1,
      anon_sym_COMMA,
    STATE(1677), 1,
      aux_sym__import_list_repeat1,
    ACTIONS(3106), 2,
      sym__newline,
      anon_sym_SEMI,
  [84926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2783), 1,
      sym_identifier,
    STATE(1659), 1,
      sym_dotted_name,
    STATE(1685), 1,
      sym_aliased_import,
    STATE(1903), 1,
      sym__import_list,
  [84942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2905), 4,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_as,
  [84952] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2984), 1,
      anon_sym_RPAREN,
    ACTIONS(3072), 1,
      sym_identifier,
    STATE(1714), 1,
      sym_dotted_name,
    STATE(1937), 1,
      sym_aliased_import,
  [84968] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3114), 1,
      anon_sym_COMMA,
    STATE(1693), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3112), 2,
      sym__newline,
      anon_sym_SEMI,
  [84982] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3070), 1,
      anon_sym_COMMA,
    STATE(1672), 1,
      aux_sym_global_statement_repeat1,
    ACTIONS(3117), 2,
      sym__newline,
      anon_sym_SEMI,
  [84996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3121), 1,
      anon_sym_COMMA,
    STATE(1695), 1,
      aux_sym_print_statement_repeat1,
    ACTIONS(3119), 2,
      sym__newline,
      anon_sym_SEMI,
  [85010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3126), 1,
      anon_sym_COLON,
    ACTIONS(3128), 1,
      anon_sym_EQ,
    ACTIONS(3124), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [85024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 1,
      anon_sym_COLON,
    ACTIONS(3130), 1,
      anon_sym_COMMA,
    STATE(1821), 1,
      aux_sym__parameters_repeat1,
  [85037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(986), 1,
      anon_sym_RPAREN,
    ACTIONS(3132), 1,
      anon_sym_COMMA,
    STATE(1759), 1,
      aux_sym_argument_list_repeat1,
  [85050] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3134), 1,
      anon_sym_RPAREN,
    ACTIONS(3136), 1,
      anon_sym_COMMA,
    STATE(1861), 1,
      aux_sym_argument_list_repeat1,
  [85063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_RPAREN,
    ACTIONS(2416), 1,
      anon_sym_COMMA,
    STATE(1865), 1,
      aux_sym_argument_list_repeat1,
  [85076] = 3,
    ACTIONS(2434), 1,
      sym_comment,
    ACTIONS(3140), 1,
      aux_sym_format_specifier_token1,
    ACTIONS(3138), 2,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
  [85087] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2720), 1,
      anon_sym_COMMA,
    ACTIONS(2722), 1,
      anon_sym_RBRACE,
    STATE(1712), 1,
      aux_sym_dictionary_repeat1,
  [85100] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2385), 1,
      anon_sym_RPAREN,
    ACTIONS(2387), 1,
      anon_sym_COMMA,
    STATE(1784), 1,
      aux_sym_argument_list_repeat1,
  [85113] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_RBRACK,
    ACTIONS(3142), 1,
      anon_sym_COMMA,
    STATE(1779), 1,
      aux_sym__patterns_repeat1,
  [85126] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3146), 1,
      anon_sym_EQ,
    ACTIONS(3144), 2,
      sym__newline,
      anon_sym_SEMI,
  [85137] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3148), 1,
      anon_sym_SEMI,
    ACTIONS(3151), 1,
      sym__newline,
    STATE(1706), 1,
      aux_sym__simple_statements_repeat1,
  [85150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_COMMA,
    ACTIONS(3153), 1,
      anon_sym_in,
    STATE(1304), 1,
      aux_sym__patterns_repeat1,
  [85163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2905), 1,
      anon_sym_import,
    ACTIONS(3155), 1,
      anon_sym_DOT,
    STATE(1708), 1,
      aux_sym_dotted_name_repeat1,
  [85176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1981), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_in,
  [85185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_COMMA,
    ACTIONS(3158), 1,
      anon_sym_in,
    STATE(1304), 1,
      aux_sym__patterns_repeat1,
  [85198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1098), 1,
      anon_sym_RBRACE,
    ACTIONS(3160), 1,
      anon_sym_COMMA,
    STATE(1797), 1,
      aux_sym_dictionary_repeat1,
  [85211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1102), 1,
      anon_sym_RBRACE,
    ACTIONS(3162), 1,
      anon_sym_COMMA,
    STATE(1797), 1,
      aux_sym_dictionary_repeat1,
  [85224] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3164), 1,
      anon_sym_RPAREN,
    ACTIONS(3166), 1,
      anon_sym_COMMA,
    STATE(1787), 1,
      aux_sym_argument_list_repeat1,
  [85237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3051), 1,
      anon_sym_as,
    ACTIONS(3047), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [85248] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_COMMA,
    ACTIONS(3168), 1,
      anon_sym_in,
    STATE(1304), 1,
      aux_sym__patterns_repeat1,
  [85261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3170), 1,
      anon_sym_RPAREN,
    ACTIONS(3172), 1,
      anon_sym_COMMA,
    STATE(1716), 1,
      aux_sym_with_clause_repeat1,
  [85274] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2365), 1,
      anon_sym_RPAREN,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    STATE(1764), 1,
      aux_sym__collection_elements_repeat1,
  [85287] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1178), 1,
      anon_sym_RPAREN,
    ACTIONS(3175), 1,
      anon_sym_COMMA,
    STATE(1751), 1,
      aux_sym_assert_statement_repeat1,
  [85300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      anon_sym_COMMA,
    ACTIONS(3179), 1,
      anon_sym_COLON,
    STATE(1777), 1,
      aux_sym_with_clause_repeat1,
  [85313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
    ACTIONS(3183), 1,
      anon_sym_COMMA,
    STATE(1795), 1,
      aux_sym_with_clause_repeat1,
  [85326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_RBRACK,
    ACTIONS(3185), 1,
      anon_sym_COMMA,
    STATE(1818), 1,
      aux_sym__collection_elements_repeat1,
  [85339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3189), 1,
      anon_sym_EQ,
    ACTIONS(3187), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [85350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3106), 1,
      anon_sym_RPAREN,
    ACTIONS(3191), 1,
      anon_sym_COMMA,
    STATE(1726), 1,
      aux_sym__import_list_repeat1,
  [85363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_COMMA,
    ACTIONS(3193), 1,
      anon_sym_in,
    STATE(1304), 1,
      aux_sym__patterns_repeat1,
  [85376] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3195), 1,
      anon_sym_COMMA,
    ACTIONS(3197), 1,
      anon_sym_COLON,
    STATE(1839), 1,
      aux_sym_match_statement_repeat1,
  [85389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3084), 1,
      anon_sym_RPAREN,
    ACTIONS(3199), 1,
      anon_sym_COMMA,
    STATE(1726), 1,
      aux_sym__import_list_repeat1,
  [85402] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3202), 1,
      anon_sym_SEMI,
    ACTIONS(3204), 1,
      sym__newline,
    STATE(1738), 1,
      aux_sym__simple_statements_repeat1,
  [85415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3206), 1,
      anon_sym_EQ,
    ACTIONS(3187), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [85426] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3177), 1,
      anon_sym_COMMA,
    ACTIONS(3208), 1,
      anon_sym_COLON,
    STATE(1719), 1,
      aux_sym_with_clause_repeat1,
  [85439] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(2395), 1,
      anon_sym_RPAREN,
    STATE(1764), 1,
      aux_sym__collection_elements_repeat1,
  [85452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3112), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [85461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3210), 1,
      anon_sym_COMMA,
    ACTIONS(3212), 1,
      anon_sym_RBRACK,
    STATE(1750), 1,
      aux_sym_subscript_repeat1,
  [85474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3214), 1,
      anon_sym_SEMI,
    ACTIONS(3216), 1,
      sym__newline,
    STATE(1836), 1,
      aux_sym__simple_statements_repeat1,
  [85487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 1,
      anon_sym_COMMA,
    ACTIONS(3220), 1,
      anon_sym_RBRACK,
    STATE(1750), 1,
      aux_sym_subscript_repeat1,
  [85500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1989), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_in,
  [85509] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      anon_sym_COMMA,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
    STATE(1748), 1,
      aux_sym_dictionary_repeat1,
  [85522] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_RPAREN,
    ACTIONS(3222), 1,
      anon_sym_COMMA,
    STATE(1737), 1,
      aux_sym__patterns_repeat1,
  [85535] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(571), 1,
      sym__newline,
    ACTIONS(3225), 1,
      anon_sym_SEMI,
    STATE(1706), 1,
      aux_sym__simple_statements_repeat1,
  [85548] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1178), 1,
      anon_sym_RBRACE,
    ACTIONS(3227), 1,
      anon_sym_COMMA,
    STATE(1745), 1,
      aux_sym_assert_statement_repeat1,
  [85561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(924), 1,
      anon_sym_RPAREN,
    ACTIONS(3229), 1,
      anon_sym_COMMA,
    STATE(1759), 1,
      aux_sym_argument_list_repeat1,
  [85574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3233), 1,
      anon_sym_in,
    ACTIONS(3231), 2,
      sym__newline,
      anon_sym_SEMI,
  [85585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1004), 1,
      anon_sym_RPAREN,
    ACTIONS(3235), 1,
      anon_sym_COMMA,
    STATE(1759), 1,
      aux_sym_argument_list_repeat1,
  [85598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(3237), 1,
      anon_sym_RPAREN,
    STATE(1764), 1,
      aux_sym__collection_elements_repeat1,
  [85611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(3239), 1,
      anon_sym_RPAREN,
    STATE(1764), 1,
      aux_sym__collection_elements_repeat1,
  [85624] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2641), 1,
      anon_sym_RBRACE,
    ACTIONS(3241), 1,
      anon_sym_COMMA,
    STATE(1745), 1,
      aux_sym_assert_statement_repeat1,
  [85637] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2844), 1,
      anon_sym_RBRACE,
    ACTIONS(3244), 1,
      anon_sym_COMMA,
    STATE(1746), 1,
      aux_sym__collection_elements_repeat1,
  [85650] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3247), 1,
      anon_sym_LPAREN,
    ACTIONS(3249), 1,
      anon_sym_COLON,
    STATE(2121), 1,
      sym_argument_list,
  [85663] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1062), 1,
      anon_sym_RBRACE,
    ACTIONS(3251), 1,
      anon_sym_COMMA,
    STATE(1797), 1,
      aux_sym_dictionary_repeat1,
  [85676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_COMMA,
    ACTIONS(2349), 1,
      anon_sym_RBRACE,
    STATE(1812), 1,
      aux_sym__collection_elements_repeat1,
  [85689] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3253), 1,
      anon_sym_COMMA,
    ACTIONS(3256), 1,
      anon_sym_RBRACK,
    STATE(1750), 1,
      aux_sym_subscript_repeat1,
  [85702] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2641), 1,
      anon_sym_RPAREN,
    ACTIONS(3258), 1,
      anon_sym_COMMA,
    STATE(1751), 1,
      aux_sym_assert_statement_repeat1,
  [85715] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3261), 1,
      anon_sym_RPAREN,
    ACTIONS(3263), 1,
      anon_sym_COMMA,
    STATE(1762), 1,
      aux_sym_argument_list_repeat1,
  [85728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2633), 1,
      anon_sym_COMMA,
    ACTIONS(2635), 1,
      anon_sym_RBRACK,
    STATE(1732), 1,
      aux_sym_subscript_repeat1,
  [85741] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_RPAREN,
    ACTIONS(2422), 1,
      anon_sym_COMMA,
    STATE(1763), 1,
      aux_sym_argument_list_repeat1,
  [85754] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3265), 1,
      anon_sym_RPAREN,
    ACTIONS(3267), 1,
      anon_sym_COMMA,
    STATE(1765), 1,
      aux_sym_argument_list_repeat1,
  [85767] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3269), 1,
      anon_sym_COMMA,
    ACTIONS(3271), 1,
      anon_sym_RBRACK,
    STATE(1750), 1,
      aux_sym_subscript_repeat1,
  [85780] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3273), 1,
      anon_sym_COMMA,
    ACTIONS(3275), 1,
      anon_sym_RBRACK,
    STATE(1750), 1,
      aux_sym_subscript_repeat1,
  [85793] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2675), 1,
      anon_sym_COMMA,
    ACTIONS(2677), 1,
      anon_sym_RBRACK,
    STATE(1768), 1,
      aux_sym_subscript_repeat1,
  [85806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2922), 1,
      anon_sym_RPAREN,
    ACTIONS(3277), 1,
      anon_sym_COMMA,
    STATE(1759), 1,
      aux_sym_argument_list_repeat1,
  [85819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2549), 1,
      anon_sym_COLON,
    ACTIONS(3080), 1,
      anon_sym_RBRACE,
    STATE(2010), 1,
      sym_format_specifier,
  [85832] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1711), 1,
      anon_sym_RPAREN,
    ACTIONS(3280), 1,
      anon_sym_COMMA,
    STATE(1737), 1,
      aux_sym__patterns_repeat1,
  [85845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(928), 1,
      anon_sym_RPAREN,
    ACTIONS(3282), 1,
      anon_sym_COMMA,
    STATE(1759), 1,
      aux_sym_argument_list_repeat1,
  [85858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(934), 1,
      anon_sym_RPAREN,
    ACTIONS(3284), 1,
      anon_sym_COMMA,
    STATE(1759), 1,
      aux_sym_argument_list_repeat1,
  [85871] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_RPAREN,
    ACTIONS(3286), 1,
      anon_sym_COMMA,
    STATE(1807), 1,
      aux_sym__collection_elements_repeat1,
  [85884] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(930), 1,
      anon_sym_RPAREN,
    ACTIONS(3288), 1,
      anon_sym_COMMA,
    STATE(1759), 1,
      aux_sym_argument_list_repeat1,
  [85897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2619), 1,
      anon_sym_COMMA,
    ACTIONS(2621), 1,
      anon_sym_RBRACK,
    STATE(1794), 1,
      aux_sym_subscript_repeat1,
  [85910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 1,
      anon_sym_COMMA,
    ACTIONS(3292), 1,
      anon_sym_RBRACK,
    STATE(1750), 1,
      aux_sym_subscript_repeat1,
  [85923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3294), 1,
      anon_sym_COMMA,
    ACTIONS(3296), 1,
      anon_sym_RBRACK,
    STATE(1750), 1,
      aux_sym_subscript_repeat1,
  [85936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(926), 1,
      anon_sym_RPAREN,
    ACTIONS(3298), 1,
      anon_sym_COMMA,
    STATE(1759), 1,
      aux_sym_argument_list_repeat1,
  [85949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(3300), 1,
      anon_sym_RPAREN,
    STATE(1764), 1,
      aux_sym__collection_elements_repeat1,
  [85962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(3302), 1,
      anon_sym_RPAREN,
    STATE(1764), 1,
      aux_sym__collection_elements_repeat1,
  [85975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3047), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [85984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3304), 3,
      sym__newline,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [85993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2641), 1,
      anon_sym_RBRACK,
    ACTIONS(3306), 1,
      anon_sym_COMMA,
    STATE(1774), 1,
      aux_sym_assert_statement_repeat1,
  [86006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3309), 1,
      anon_sym_RPAREN,
    ACTIONS(3311), 1,
      anon_sym_COMMA,
    STATE(1740), 1,
      aux_sym_argument_list_repeat1,
  [86019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2404), 1,
      anon_sym_RPAREN,
    ACTIONS(2406), 1,
      anon_sym_COMMA,
    STATE(1742), 1,
      aux_sym_argument_list_repeat1,
  [86032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3170), 1,
      anon_sym_COLON,
    ACTIONS(3313), 1,
      anon_sym_COMMA,
    STATE(1777), 1,
      aux_sym_with_clause_repeat1,
  [86045] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2586), 1,
      anon_sym_COMMA,
    ACTIONS(2594), 1,
      anon_sym_RBRACK,
    STATE(1756), 1,
      aux_sym_subscript_repeat1,
  [86058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2271), 1,
      anon_sym_RBRACK,
    ACTIONS(3316), 1,
      anon_sym_COMMA,
    STATE(1779), 1,
      aux_sym__patterns_repeat1,
  [86071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2410), 1,
      anon_sym_RPAREN,
    ACTIONS(2412), 1,
      anon_sym_COMMA,
    STATE(1769), 1,
      aux_sym_argument_list_repeat1,
  [86084] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3106), 1,
      anon_sym_RPAREN,
    ACTIONS(3319), 1,
      anon_sym_COMMA,
    STATE(1726), 1,
      aux_sym__import_list_repeat1,
  [86097] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_COMMA,
    ACTIONS(3321), 1,
      anon_sym_in,
    STATE(1304), 1,
      aux_sym__patterns_repeat1,
  [86110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_COMMA,
    ACTIONS(3323), 1,
      anon_sym_in,
    STATE(1304), 1,
      aux_sym__patterns_repeat1,
  [86123] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(982), 1,
      anon_sym_RPAREN,
    ACTIONS(3325), 1,
      anon_sym_COMMA,
    STATE(1759), 1,
      aux_sym_argument_list_repeat1,
  [86136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1072), 1,
      anon_sym_RBRACE,
    ACTIONS(3327), 1,
      anon_sym_COMMA,
    STATE(1797), 1,
      aux_sym_dictionary_repeat1,
  [86149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2561), 1,
      anon_sym_from,
    ACTIONS(2559), 2,
      sym__newline,
      anon_sym_SEMI,
  [86160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(980), 1,
      anon_sym_RPAREN,
    ACTIONS(3329), 1,
      anon_sym_COMMA,
    STATE(1759), 1,
      aux_sym_argument_list_repeat1,
  [86173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1178), 1,
      anon_sym_COLON,
    ACTIONS(3331), 1,
      anon_sym_COMMA,
    STATE(1792), 1,
      aux_sym_assert_statement_repeat1,
  [86186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3333), 1,
      anon_sym_COMMA,
    ACTIONS(3335), 1,
      anon_sym_RBRACK,
    STATE(1750), 1,
      aux_sym_subscript_repeat1,
  [86199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2935), 3,
      anon_sym_COMMA,
      anon_sym_if,
      anon_sym_COLON,
  [86208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(2389), 1,
      anon_sym_RPAREN,
    STATE(1764), 1,
      aux_sym__collection_elements_repeat1,
  [86221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2641), 1,
      anon_sym_COLON,
    ACTIONS(3337), 1,
      anon_sym_COMMA,
    STATE(1792), 1,
      aux_sym_assert_statement_repeat1,
  [86234] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1068), 1,
      anon_sym_RBRACE,
    ACTIONS(3340), 1,
      anon_sym_COMMA,
    STATE(1797), 1,
      aux_sym_dictionary_repeat1,
  [86247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3342), 1,
      anon_sym_COMMA,
    ACTIONS(3344), 1,
      anon_sym_RBRACK,
    STATE(1750), 1,
      aux_sym_subscript_repeat1,
  [86260] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3183), 1,
      anon_sym_COMMA,
    ACTIONS(3346), 1,
      anon_sym_RPAREN,
    STATE(1716), 1,
      aux_sym_with_clause_repeat1,
  [86273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_COMMA,
    ACTIONS(2840), 1,
      anon_sym_RBRACE,
    STATE(1785), 1,
      aux_sym_dictionary_repeat1,
  [86286] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3348), 1,
      anon_sym_COMMA,
    ACTIONS(3351), 1,
      anon_sym_RBRACE,
    STATE(1797), 1,
      aux_sym_dictionary_repeat1,
  [86299] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2819), 1,
      sym_identifier,
    ACTIONS(3353), 1,
      anon_sym_import,
    STATE(2081), 1,
      sym_dotted_name,
  [86312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2726), 1,
      anon_sym_COMMA,
    ACTIONS(2728), 1,
      anon_sym_RBRACE,
    STATE(1808), 1,
      aux_sym_dictionary_repeat1,
  [86325] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2939), 1,
      anon_sym_import,
    ACTIONS(3355), 1,
      anon_sym_DOT,
    STATE(1708), 1,
      aux_sym_dotted_name_repeat1,
  [86338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3357), 1,
      anon_sym_SEMI,
    ACTIONS(3359), 1,
      sym__newline,
    STATE(1838), 1,
      aux_sym__simple_statements_repeat1,
  [86351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1178), 1,
      anon_sym_RBRACK,
    ACTIONS(3361), 1,
      anon_sym_COMMA,
    STATE(1774), 1,
      aux_sym_assert_statement_repeat1,
  [86364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 1,
      anon_sym_RPAREN,
    ACTIONS(3363), 1,
      anon_sym_COMMA,
    STATE(1867), 1,
      aux_sym__parameters_repeat1,
  [86377] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_COMMA,
    ACTIONS(3365), 1,
      anon_sym_in,
    STATE(1304), 1,
      aux_sym__patterns_repeat1,
  [86390] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2664), 1,
      anon_sym_COMMA,
    ACTIONS(2666), 1,
      anon_sym_RBRACK,
    STATE(1853), 1,
      aux_sym_subscript_repeat1,
  [86403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3367), 1,
      anon_sym_COLON,
    ACTIONS(3124), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [86414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2844), 1,
      anon_sym_RPAREN,
    ACTIONS(3369), 1,
      anon_sym_COMMA,
    STATE(1807), 1,
      aux_sym__collection_elements_repeat1,
  [86427] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1066), 1,
      anon_sym_RBRACE,
    ACTIONS(3372), 1,
      anon_sym_COMMA,
    STATE(1797), 1,
      aux_sym_dictionary_repeat1,
  [86440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(2408), 1,
      anon_sym_RPAREN,
    STATE(1764), 1,
      aux_sym__collection_elements_repeat1,
  [86453] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_COMMA,
    ACTIONS(3374), 1,
      anon_sym_in,
    STATE(1304), 1,
      aux_sym__patterns_repeat1,
  [86466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3376), 1,
      anon_sym_RPAREN,
    ACTIONS(3378), 1,
      anon_sym_COMMA,
    STATE(1803), 1,
      aux_sym__parameters_repeat1,
  [86479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_RBRACE,
    ACTIONS(3380), 1,
      anon_sym_COMMA,
    STATE(1746), 1,
      aux_sym__collection_elements_repeat1,
  [86492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2424), 1,
      anon_sym_RPAREN,
    ACTIONS(2426), 1,
      anon_sym_COMMA,
    STATE(1698), 1,
      aux_sym_argument_list_repeat1,
  [86505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 1,
      anon_sym_RPAREN,
    ACTIONS(3384), 1,
      anon_sym_COMMA,
    STATE(1823), 1,
      aux_sym_argument_list_repeat1,
  [86518] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_COMMA,
    ACTIONS(3386), 1,
      anon_sym_in,
    STATE(1304), 1,
      aux_sym__patterns_repeat1,
  [86531] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(2391), 1,
      anon_sym_RPAREN,
    STATE(1764), 1,
      aux_sym__collection_elements_repeat1,
  [86544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2683), 1,
      anon_sym_COMMA,
    ACTIONS(2685), 1,
      anon_sym_RBRACK,
    STATE(1826), 1,
      aux_sym_subscript_repeat1,
  [86557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2844), 1,
      anon_sym_RBRACK,
    ACTIONS(3388), 1,
      anon_sym_COMMA,
    STATE(1818), 1,
      aux_sym__collection_elements_repeat1,
  [86570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3391), 1,
      anon_sym_COMMA,
    ACTIONS(3393), 1,
      anon_sym_RBRACK,
    STATE(1704), 1,
      aux_sym__patterns_repeat1,
  [86583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_COMMA,
    ACTIONS(3397), 1,
      anon_sym_COLON,
    STATE(1839), 1,
      aux_sym_match_statement_repeat1,
  [86596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3399), 1,
      anon_sym_COMMA,
    ACTIONS(3402), 1,
      anon_sym_COLON,
    STATE(1821), 1,
      aux_sym__parameters_repeat1,
  [86609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 1,
      anon_sym_EQ,
    ACTIONS(3124), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [86620] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(988), 1,
      anon_sym_RPAREN,
    ACTIONS(3406), 1,
      anon_sym_COMMA,
    STATE(1759), 1,
      aux_sym_argument_list_repeat1,
  [86633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3072), 1,
      sym_identifier,
    STATE(1714), 1,
      sym_dotted_name,
    STATE(1937), 1,
      sym_aliased_import,
  [86646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3408), 1,
      anon_sym_COMMA,
    ACTIONS(3410), 1,
      anon_sym_RBRACK,
    STATE(1750), 1,
      aux_sym_subscript_repeat1,
  [86659] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3412), 1,
      anon_sym_COMMA,
    ACTIONS(3414), 1,
      anon_sym_RBRACK,
    STATE(1750), 1,
      aux_sym_subscript_repeat1,
  [86672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2846), 1,
      anon_sym_import,
    ACTIONS(3355), 1,
      anon_sym_DOT,
    STATE(1800), 1,
      aux_sym_dotted_name_repeat1,
  [86685] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(3416), 1,
      anon_sym_RPAREN,
    STATE(1764), 1,
      aux_sym__collection_elements_repeat1,
  [86698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(3418), 1,
      anon_sym_RPAREN,
    STATE(1764), 1,
      aux_sym__collection_elements_repeat1,
  [86711] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3247), 1,
      anon_sym_LPAREN,
    ACTIONS(3420), 1,
      anon_sym_COLON,
    STATE(2035), 1,
      sym_argument_list,
  [86724] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2349), 1,
      anon_sym_RPAREN,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    STATE(1764), 1,
      aux_sym__collection_elements_repeat1,
  [86737] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2303), 1,
      anon_sym_COMMA,
    ACTIONS(3422), 1,
      anon_sym_in,
    STATE(1304), 1,
      aux_sym__patterns_repeat1,
  [86750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(2418), 1,
      anon_sym_RPAREN,
    STATE(1764), 1,
      aux_sym__collection_elements_repeat1,
  [86763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2349), 1,
      anon_sym_RBRACK,
    ACTIONS(2351), 1,
      anon_sym_COMMA,
    STATE(1721), 1,
      aux_sym__collection_elements_repeat1,
  [86776] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3393), 1,
      anon_sym_RPAREN,
    ACTIONS(3424), 1,
      anon_sym_COMMA,
    STATE(1761), 1,
      aux_sym__patterns_repeat1,
  [86789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(561), 1,
      sym__newline,
    ACTIONS(3426), 1,
      anon_sym_SEMI,
    STATE(1706), 1,
      aux_sym__simple_statements_repeat1,
  [86802] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3032), 1,
      anon_sym_RPAREN,
    ACTIONS(3049), 1,
      anon_sym_COMMA,
    STATE(1781), 1,
      aux_sym__import_list_repeat1,
  [86815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      sym__newline,
    ACTIONS(3428), 1,
      anon_sym_SEMI,
    STATE(1706), 1,
      aux_sym__simple_statements_repeat1,
  [86828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_COMMA,
    ACTIONS(3433), 1,
      anon_sym_COLON,
    STATE(1839), 1,
      aux_sym_match_statement_repeat1,
  [86841] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(2393), 1,
      anon_sym_RPAREN,
    STATE(1764), 1,
      aux_sym__collection_elements_repeat1,
  [86854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2367), 1,
      anon_sym_COMMA,
    ACTIONS(2428), 1,
      anon_sym_RPAREN,
    STATE(1764), 1,
      aux_sym__collection_elements_repeat1,
  [86867] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3435), 1,
      anon_sym_COMMA,
    ACTIONS(3437), 1,
      anon_sym_RBRACK,
    STATE(1750), 1,
      aux_sym_subscript_repeat1,
  [86880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3439), 1,
      anon_sym_COMMA,
    ACTIONS(3441), 1,
      anon_sym_RBRACK,
    STATE(1750), 1,
      aux_sym_subscript_repeat1,
  [86893] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2783), 1,
      sym_identifier,
    STATE(1666), 1,
      sym_dotted_name,
    STATE(1772), 1,
      sym_aliased_import,
  [86906] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(952), 1,
      anon_sym_RPAREN,
    ACTIONS(3443), 1,
      anon_sym_COMMA,
    STATE(1759), 1,
      aux_sym_argument_list_repeat1,
  [86919] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2793), 1,
      anon_sym_COMMA,
    ACTIONS(2795), 1,
      anon_sym_RBRACE,
    STATE(1793), 1,
      aux_sym_dictionary_repeat1,
  [86932] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(958), 1,
      anon_sym_RPAREN,
    ACTIONS(3445), 1,
      anon_sym_COMMA,
    STATE(1759), 1,
      aux_sym_argument_list_repeat1,
  [86945] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2805), 1,
      anon_sym_COMMA,
    ACTIONS(2807), 1,
      anon_sym_RBRACE,
    STATE(1857), 1,
      aux_sym_dictionary_repeat1,
  [86958] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3376), 1,
      anon_sym_COLON,
    ACTIONS(3447), 1,
      anon_sym_COMMA,
    STATE(1697), 1,
      aux_sym__parameters_repeat1,
  [86971] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3449), 1,
      anon_sym_COMMA,
    ACTIONS(3451), 1,
      anon_sym_RBRACK,
    STATE(1750), 1,
      aux_sym_subscript_repeat1,
  [86984] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2549), 1,
      anon_sym_COLON,
    ACTIONS(3453), 1,
      anon_sym_RBRACE,
    STATE(2097), 1,
      sym_format_specifier,
  [86997] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2679), 1,
      anon_sym_COMMA,
    ACTIONS(2681), 1,
      anon_sym_RBRACK,
    STATE(1842), 1,
      aux_sym_subscript_repeat1,
  [87010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3455), 1,
      anon_sym_COMMA,
    ACTIONS(3457), 1,
      anon_sym_RBRACK,
    STATE(1750), 1,
      aux_sym_subscript_repeat1,
  [87023] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3459), 1,
      anon_sym_COMMA,
    ACTIONS(3461), 1,
      anon_sym_RBRACK,
    STATE(1750), 1,
      aux_sym_subscript_repeat1,
  [87036] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3463), 1,
      anon_sym_RPAREN,
    ACTIONS(3465), 1,
      anon_sym_COMMA,
    STATE(1845), 1,
      aux_sym_argument_list_repeat1,
  [87049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2801), 1,
      anon_sym_COMMA,
    ACTIONS(2803), 1,
      anon_sym_RBRACE,
    STATE(1711), 1,
      aux_sym_dictionary_repeat1,
  [87062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1090), 1,
      anon_sym_RBRACE,
    ACTIONS(3467), 1,
      anon_sym_COMMA,
    STATE(1797), 1,
      aux_sym_dictionary_repeat1,
  [87075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2400), 1,
      anon_sym_RPAREN,
    ACTIONS(2402), 1,
      anon_sym_COMMA,
    STATE(1847), 1,
      aux_sym_argument_list_repeat1,
  [87088] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3469), 1,
      anon_sym_COMMA,
    ACTIONS(3471), 1,
      anon_sym_RBRACK,
    STATE(1750), 1,
      aux_sym_subscript_repeat1,
  [87101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1080), 1,
      anon_sym_RBRACE,
    ACTIONS(3473), 1,
      anon_sym_COMMA,
    STATE(1797), 1,
      aux_sym_dictionary_repeat1,
  [87114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(966), 1,
      anon_sym_RPAREN,
    ACTIONS(3475), 1,
      anon_sym_COMMA,
    STATE(1759), 1,
      aux_sym_argument_list_repeat1,
  [87127] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2381), 1,
      anon_sym_RPAREN,
    ACTIONS(2383), 1,
      anon_sym_COMMA,
    STATE(1869), 1,
      aux_sym_argument_list_repeat1,
  [87140] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3477), 1,
      anon_sym_RPAREN,
    ACTIONS(3479), 1,
      anon_sym_COMMA,
    STATE(1864), 1,
      aux_sym_argument_list_repeat1,
  [87153] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1010), 1,
      anon_sym_RPAREN,
    ACTIONS(3481), 1,
      anon_sym_COMMA,
    STATE(1759), 1,
      aux_sym_argument_list_repeat1,
  [87166] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(968), 1,
      anon_sym_RPAREN,
    ACTIONS(3483), 1,
      anon_sym_COMMA,
    STATE(1759), 1,
      aux_sym_argument_list_repeat1,
  [87179] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_COMMA,
    ACTIONS(2627), 1,
      anon_sym_RBRACK,
    STATE(1850), 1,
      aux_sym_subscript_repeat1,
  [87192] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3402), 1,
      anon_sym_RPAREN,
    ACTIONS(3485), 1,
      anon_sym_COMMA,
    STATE(1867), 1,
      aux_sym__parameters_repeat1,
  [87205] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2765), 1,
      anon_sym_COMMA,
    ACTIONS(2767), 1,
      anon_sym_RBRACE,
    STATE(1860), 1,
      aux_sym_dictionary_repeat1,
  [87218] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1008), 1,
      anon_sym_RPAREN,
    ACTIONS(3488), 1,
      anon_sym_COMMA,
    STATE(1759), 1,
      aux_sym_argument_list_repeat1,
  [87231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3490), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [87239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2623), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [87247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2623), 2,
      sym__newline,
      anon_sym_SEMI,
  [87255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3490), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [87263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2623), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [87271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 2,
      anon_sym_except,
      anon_sym_finally,
  [87279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3124), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [87287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3492), 1,
      anon_sym_COLON,
    ACTIONS(3494), 1,
      anon_sym_DASH_GT,
  [87297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2311), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [87305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1318), 2,
      anon_sym_except,
      anon_sym_finally,
  [87313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2623), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [87321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3402), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [87329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3304), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [87337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [87345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3496), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [87353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3496), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [87361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_COLON,
    ACTIONS(3500), 1,
      anon_sym_DASH_GT,
  [87371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3124), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [87379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym_COLON,
    ACTIONS(3504), 1,
      anon_sym_DASH_GT,
  [87389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2301), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [87397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2844), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [87405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2311), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [87413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1349), 2,
      anon_sym_except,
      anon_sym_finally,
  [87421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2844), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [87429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2645), 2,
      sym__newline,
      anon_sym_SEMI,
  [87437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3506), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [87445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 2,
      anon_sym_except,
      anon_sym_finally,
  [87453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3508), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [87461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2639), 2,
      sym__newline,
      anon_sym_SEMI,
  [87469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3510), 2,
      sym__newline,
      anon_sym_SEMI,
  [87477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3170), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [87485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2271), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [87493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3351), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [87501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3512), 2,
      sym__newline,
      anon_sym_SEMI,
  [87509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3514), 2,
      sym__newline,
      anon_sym_SEMI,
  [87517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3506), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [87525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2301), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [87533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2922), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [87541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3170), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [87549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [87557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3516), 2,
      sym__newline,
      anon_sym_SEMI,
  [87565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3518), 2,
      sym__newline,
      anon_sym_SEMI,
  [87573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3520), 2,
      anon_sym_COLON,
      anon_sym_DASH_GT,
  [87581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3522), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [87589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3506), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [87597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2844), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [87605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3124), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [87613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2687), 2,
      sym__newline,
      anon_sym_SEMI,
  [87621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2836), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [87629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1283), 2,
      anon_sym_except,
      anon_sym_finally,
  [87637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3524), 2,
      sym__newline,
      anon_sym_SEMI,
  [87645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3526), 2,
      sym__newline,
      anon_sym_SEMI,
  [87653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3528), 2,
      sym__newline,
      anon_sym_SEMI,
  [87661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3530), 1,
      anon_sym_LPAREN,
    STATE(1886), 1,
      sym_parameters,
  [87671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3530), 1,
      anon_sym_LPAREN,
    STATE(1934), 1,
      sym_parameters,
  [87681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2271), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [87689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3530), 1,
      anon_sym_LPAREN,
    STATE(1888), 1,
      sym_parameters,
  [87699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1257), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [87707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3532), 2,
      sym__newline,
      anon_sym_SEMI,
  [87715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3490), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [87723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3534), 2,
      sym__newline,
      anon_sym_SEMI,
  [87731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3402), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [87739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3530), 1,
      anon_sym_LPAREN,
    STATE(1877), 1,
      sym_parameters,
  [87749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [87757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_COLON,
    ACTIONS(3538), 1,
      anon_sym_DASH_GT,
  [87767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3540), 2,
      sym__newline,
      anon_sym_SEMI,
  [87775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1312), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [87783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3047), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [87791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3151), 2,
      sym__newline,
      anon_sym_SEMI,
  [87799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3187), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [87807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3542), 2,
      sym__newline,
      anon_sym_SEMI,
  [87815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3544), 2,
      sym__newline,
      anon_sym_SEMI,
  [87823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2905), 2,
      anon_sym_import,
      anon_sym_DOT,
  [87831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3546), 1,
      anon_sym_RPAREN,
  [87838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3153), 1,
      anon_sym_in,
  [87845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3548), 1,
      anon_sym_RBRACK,
  [87852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3550), 1,
      anon_sym_COLON,
  [87859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2722), 1,
      anon_sym_RBRACE,
  [87866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3552), 1,
      anon_sym_RBRACE,
  [87873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      sym_identifier,
  [87880] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3556), 1,
      anon_sym_in,
  [87887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3558), 1,
      anon_sym_RPAREN,
  [87894] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym_RBRACK,
  [87901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3562), 1,
      sym_identifier,
  [87908] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3564), 1,
      anon_sym_RBRACE,
  [87915] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3566), 1,
      anon_sym_RBRACE,
  [87922] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2385), 1,
      anon_sym_RPAREN,
  [87929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_RBRACE,
  [87936] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3570), 1,
      anon_sym_RPAREN,
  [87943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3572), 1,
      anon_sym_COLON_EQ,
  [87950] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3574), 1,
      anon_sym_COLON,
  [87957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3576), 1,
      anon_sym_RPAREN,
  [87964] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2404), 1,
      anon_sym_RPAREN,
  [87971] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3578), 1,
      anon_sym_RBRACE,
  [87978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3580), 1,
      anon_sym_RBRACE,
  [87985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3582), 1,
      anon_sym_RBRACK,
  [87992] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      anon_sym_RBRACK,
  [87999] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3586), 1,
      anon_sym_RPAREN,
  [88006] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3588), 1,
      anon_sym_in,
  [88013] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3590), 1,
      sym_identifier,
  [88020] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3592), 1,
      anon_sym_RBRACE,
  [88027] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2840), 1,
      anon_sym_RBRACE,
  [88034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3594), 1,
      anon_sym_RBRACK,
  [88041] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3596), 1,
      anon_sym_COLON,
  [88048] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3598), 1,
      anon_sym_RBRACK,
  [88055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3600), 1,
      anon_sym_COLON_EQ,
  [88062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3602), 1,
      anon_sym_RPAREN,
  [88069] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3604), 1,
      anon_sym_COLON,
  [88076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3606), 1,
      anon_sym_COLON_EQ,
  [88083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_RPAREN,
  [88090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3610), 1,
      anon_sym_COLON_EQ,
  [88097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3612), 1,
      anon_sym_RPAREN,
  [88104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_RPAREN,
  [88111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3616), 1,
      anon_sym_COLON,
  [88118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_COLON,
  [88125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_RBRACK,
  [88132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3622), 1,
      anon_sym_COLON,
  [88139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2767), 1,
      anon_sym_RBRACE,
  [88146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3624), 1,
      anon_sym_RBRACK,
  [88153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2803), 1,
      anon_sym_RBRACE,
  [88160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3626), 1,
      anon_sym_RBRACE,
  [88167] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 1,
      sym_identifier,
  [88174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3630), 1,
      anon_sym_RBRACK,
  [88181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      anon_sym_in,
  [88188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3634), 1,
      anon_sym_RPAREN,
  [88195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3636), 1,
      anon_sym_RBRACK,
  [88202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3638), 1,
      anon_sym_COLON,
  [88209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2381), 1,
      anon_sym_RPAREN,
  [88216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3640), 1,
      anon_sym_RBRACE,
  [88223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3642), 1,
      anon_sym_RBRACE,
  [88230] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2809), 1,
      anon_sym_COLON,
  [88237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2400), 1,
      anon_sym_RPAREN,
  [88244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3644), 1,
      sym_identifier,
  [88251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3646), 1,
      anon_sym_RBRACE,
  [88258] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3648), 1,
      anon_sym_RBRACK,
  [88265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3650), 1,
      anon_sym_RPAREN,
  [88272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3652), 1,
      anon_sym_in,
  [88279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_RBRACE,
  [88286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3654), 1,
      sym_identifier,
  [88293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3656), 1,
      anon_sym_RBRACE,
  [88300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3453), 1,
      anon_sym_RBRACE,
  [88307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2807), 1,
      anon_sym_RBRACE,
  [88314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3658), 1,
      anon_sym_COLON,
  [88321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3660), 1,
      anon_sym_RBRACK,
  [88328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3662), 1,
      anon_sym_RBRACE,
  [88335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3664), 1,
      anon_sym_RPAREN,
  [88342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3666), 1,
      anon_sym_RBRACE,
  [88349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3668), 1,
      anon_sym_RPAREN,
  [88356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3670), 1,
      anon_sym_COLON_EQ,
  [88363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3672), 1,
      sym_identifier,
  [88370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3674), 1,
      anon_sym_RPAREN,
  [88377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3676), 1,
      anon_sym_RPAREN,
  [88384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3678), 1,
      anon_sym_RPAREN,
  [88391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3680), 1,
      anon_sym_in,
  [88398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3422), 1,
      anon_sym_in,
  [88405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3682), 1,
      sym_identifier,
  [88412] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3684), 1,
      anon_sym_COLON,
  [88419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3686), 1,
      sym_identifier,
  [88426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym_RPAREN,
  [88433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3688), 1,
      anon_sym_COLON,
  [88440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3690), 1,
      anon_sym_RPAREN,
  [88447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3692), 1,
      anon_sym_in,
  [88454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3694), 1,
      anon_sym_COLON,
  [88461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3386), 1,
      anon_sym_in,
  [88468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2424), 1,
      anon_sym_RPAREN,
  [88475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3696), 1,
      anon_sym_COLON,
  [88482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3698), 1,
      anon_sym_RBRACK,
  [88489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3374), 1,
      anon_sym_in,
  [88496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3700), 1,
      anon_sym_RBRACE,
  [88503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2759), 1,
      anon_sym_COLON,
  [88510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3702), 1,
      anon_sym_RBRACE,
  [88517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3704), 1,
      anon_sym_import,
  [88524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3706), 1,
      anon_sym_COLON,
  [88531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3708), 1,
      anon_sym_RBRACK,
  [88538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3365), 1,
      anon_sym_in,
  [88545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2778), 1,
      anon_sym_COLON,
  [88552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3710), 1,
      anon_sym_COLON,
  [88559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3712), 1,
      anon_sym_COLON,
  [88566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2699), 1,
      anon_sym_COLON,
  [88573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3714), 1,
      anon_sym_COLON,
  [88580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3716), 1,
      anon_sym_in,
  [88587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3718), 1,
      anon_sym_COLON,
  [88594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3720), 1,
      sym_identifier,
  [88601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3722), 1,
      anon_sym_RBRACE,
  [88608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3724), 1,
      anon_sym_COLON,
  [88615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2728), 1,
      anon_sym_RBRACE,
  [88622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3726), 1,
      anon_sym_COLON,
  [88629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3728), 1,
      anon_sym_COLON,
  [88636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3730), 1,
      anon_sym_COLON,
  [88643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3732), 1,
      anon_sym_COLON,
  [88650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3734), 1,
      anon_sym_COLON,
  [88657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3736), 1,
      anon_sym_import,
  [88664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3738), 1,
      anon_sym_COLON,
  [88671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3740), 1,
      anon_sym_COLON,
  [88678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3742), 1,
      anon_sym_COLON,
  [88685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3744), 1,
      anon_sym_COLON,
  [88692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3746), 1,
      anon_sym_COLON,
  [88699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3748), 1,
      anon_sym_COLON,
  [88706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3750), 1,
      anon_sym_RBRACK,
  [88713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 1,
      anon_sym_def,
  [88720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3752), 1,
      anon_sym_RPAREN,
  [88727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3754), 1,
      anon_sym_RBRACE,
  [88734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3756), 1,
      anon_sym_COLON_EQ,
  [88741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3758), 1,
      anon_sym_RBRACE,
  [88748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3323), 1,
      anon_sym_in,
  [88755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2410), 1,
      anon_sym_RPAREN,
  [88762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3321), 1,
      anon_sym_in,
  [88769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3760), 1,
      sym_identifier,
  [88776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3762), 1,
      anon_sym_COLON,
  [88783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3764), 1,
      anon_sym_COLON,
  [88790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3766), 1,
      sym_identifier,
  [88797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3768), 1,
      anon_sym_import,
  [88804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3080), 1,
      anon_sym_RBRACE,
  [88811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3770), 1,
      anon_sym_COLON,
  [88818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3772), 1,
      anon_sym_for,
  [88825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2420), 1,
      anon_sym_RPAREN,
  [88832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3774), 1,
      anon_sym_RPAREN,
  [88839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3776), 1,
      anon_sym_RBRACE,
  [88846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3778), 1,
      anon_sym_RBRACE,
  [88853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3780), 1,
      anon_sym_RBRACK,
  [88860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3782), 1,
      anon_sym_RPAREN,
  [88867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3784), 1,
      sym_identifier,
  [88874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3786), 1,
      anon_sym_in,
  [88881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3788), 1,
      sym_identifier,
  [88888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3790), 1,
      anon_sym_COLON,
  [88895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3792), 1,
      anon_sym_RBRACE,
  [88902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2799), 1,
      anon_sym_RBRACE,
  [88909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3794), 1,
      anon_sym_RBRACE,
  [88916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3796), 1,
      anon_sym_COLON_EQ,
  [88923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3798), 1,
      anon_sym_COLON,
  [88930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3800), 1,
      anon_sym_COLON,
  [88937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3802), 1,
      anon_sym_COLON,
  [88944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3804), 1,
      ts_builtin_sym_end,
  [88951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3806), 1,
      sym_identifier,
  [88958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3808), 1,
      anon_sym_RBRACK,
  [88965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3810), 1,
      anon_sym_RBRACK,
  [88972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3812), 1,
      anon_sym_COLON,
  [88979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3814), 1,
      anon_sym_RPAREN,
  [88986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3816), 1,
      anon_sym_RPAREN,
  [88993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3818), 1,
      anon_sym_COLON,
  [89000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3820), 1,
      sym_identifier,
  [89007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3822), 1,
      sym_identifier,
  [89014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3824), 1,
      sym_identifier,
  [89021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3826), 1,
      sym_identifier,
  [89028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3828), 1,
      anon_sym_COLON,
  [89035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3830), 1,
      anon_sym_COLON_EQ,
  [89042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3193), 1,
      anon_sym_in,
  [89049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3832), 1,
      anon_sym_COLON,
  [89056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3834), 1,
      sym_identifier,
  [89063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3836), 1,
      sym_identifier,
  [89070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3838), 1,
      sym_identifier,
  [89077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3840), 1,
      anon_sym_COLON,
  [89084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3168), 1,
      anon_sym_in,
  [89091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1144), 1,
      anon_sym_def,
  [89098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3842), 1,
      anon_sym_for,
  [89105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3844), 1,
      anon_sym_RBRACK,
  [89112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3158), 1,
      anon_sym_in,
  [89119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3846), 1,
      anon_sym_for,
  [89126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3848), 1,
      anon_sym_RBRACE,
  [89133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      anon_sym_RBRACE,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(157)] = 0,
  [SMALL_STATE(158)] = 124,
  [SMALL_STATE(159)] = 244,
  [SMALL_STATE(160)] = 368,
  [SMALL_STATE(161)] = 488,
  [SMALL_STATE(162)] = 610,
  [SMALL_STATE(163)] = 732,
  [SMALL_STATE(164)] = 852,
  [SMALL_STATE(165)] = 972,
  [SMALL_STATE(166)] = 1094,
  [SMALL_STATE(167)] = 1210,
  [SMALL_STATE(168)] = 1326,
  [SMALL_STATE(169)] = 1446,
  [SMALL_STATE(170)] = 1568,
  [SMALL_STATE(171)] = 1684,
  [SMALL_STATE(172)] = 1804,
  [SMALL_STATE(173)] = 1923,
  [SMALL_STATE(174)] = 2042,
  [SMALL_STATE(175)] = 2161,
  [SMALL_STATE(176)] = 2280,
  [SMALL_STATE(177)] = 2399,
  [SMALL_STATE(178)] = 2518,
  [SMALL_STATE(179)] = 2637,
  [SMALL_STATE(180)] = 2756,
  [SMALL_STATE(181)] = 2857,
  [SMALL_STATE(182)] = 2958,
  [SMALL_STATE(183)] = 3068,
  [SMALL_STATE(184)] = 3180,
  [SMALL_STATE(185)] = 3290,
  [SMALL_STATE(186)] = 3400,
  [SMALL_STATE(187)] = 3510,
  [SMALL_STATE(188)] = 3620,
  [SMALL_STATE(189)] = 3730,
  [SMALL_STATE(190)] = 3840,
  [SMALL_STATE(191)] = 3950,
  [SMALL_STATE(192)] = 4060,
  [SMALL_STATE(193)] = 4167,
  [SMALL_STATE(194)] = 4274,
  [SMALL_STATE(195)] = 4381,
  [SMALL_STATE(196)] = 4488,
  [SMALL_STATE(197)] = 4595,
  [SMALL_STATE(198)] = 4702,
  [SMALL_STATE(199)] = 4809,
  [SMALL_STATE(200)] = 4916,
  [SMALL_STATE(201)] = 5025,
  [SMALL_STATE(202)] = 5132,
  [SMALL_STATE(203)] = 5239,
  [SMALL_STATE(204)] = 5346,
  [SMALL_STATE(205)] = 5457,
  [SMALL_STATE(206)] = 5564,
  [SMALL_STATE(207)] = 5671,
  [SMALL_STATE(208)] = 5778,
  [SMALL_STATE(209)] = 5885,
  [SMALL_STATE(210)] = 5996,
  [SMALL_STATE(211)] = 6103,
  [SMALL_STATE(212)] = 6210,
  [SMALL_STATE(213)] = 6319,
  [SMALL_STATE(214)] = 6426,
  [SMALL_STATE(215)] = 6535,
  [SMALL_STATE(216)] = 6642,
  [SMALL_STATE(217)] = 6749,
  [SMALL_STATE(218)] = 6858,
  [SMALL_STATE(219)] = 6965,
  [SMALL_STATE(220)] = 7076,
  [SMALL_STATE(221)] = 7183,
  [SMALL_STATE(222)] = 7290,
  [SMALL_STATE(223)] = 7399,
  [SMALL_STATE(224)] = 7506,
  [SMALL_STATE(225)] = 7613,
  [SMALL_STATE(226)] = 7720,
  [SMALL_STATE(227)] = 7827,
  [SMALL_STATE(228)] = 7934,
  [SMALL_STATE(229)] = 8043,
  [SMALL_STATE(230)] = 8150,
  [SMALL_STATE(231)] = 8257,
  [SMALL_STATE(232)] = 8364,
  [SMALL_STATE(233)] = 8471,
  [SMALL_STATE(234)] = 8580,
  [SMALL_STATE(235)] = 8687,
  [SMALL_STATE(236)] = 8798,
  [SMALL_STATE(237)] = 8905,
  [SMALL_STATE(238)] = 9012,
  [SMALL_STATE(239)] = 9123,
  [SMALL_STATE(240)] = 9230,
  [SMALL_STATE(241)] = 9341,
  [SMALL_STATE(242)] = 9448,
  [SMALL_STATE(243)] = 9555,
  [SMALL_STATE(244)] = 9664,
  [SMALL_STATE(245)] = 9771,
  [SMALL_STATE(246)] = 9878,
  [SMALL_STATE(247)] = 9982,
  [SMALL_STATE(248)] = 10086,
  [SMALL_STATE(249)] = 10190,
  [SMALL_STATE(250)] = 10294,
  [SMALL_STATE(251)] = 10398,
  [SMALL_STATE(252)] = 10502,
  [SMALL_STATE(253)] = 10606,
  [SMALL_STATE(254)] = 10707,
  [SMALL_STATE(255)] = 10808,
  [SMALL_STATE(256)] = 10909,
  [SMALL_STATE(257)] = 11010,
  [SMALL_STATE(258)] = 11111,
  [SMALL_STATE(259)] = 11212,
  [SMALL_STATE(260)] = 11313,
  [SMALL_STATE(261)] = 11414,
  [SMALL_STATE(262)] = 11515,
  [SMALL_STATE(263)] = 11616,
  [SMALL_STATE(264)] = 11717,
  [SMALL_STATE(265)] = 11818,
  [SMALL_STATE(266)] = 11923,
  [SMALL_STATE(267)] = 12028,
  [SMALL_STATE(268)] = 12133,
  [SMALL_STATE(269)] = 12238,
  [SMALL_STATE(270)] = 12339,
  [SMALL_STATE(271)] = 12440,
  [SMALL_STATE(272)] = 12545,
  [SMALL_STATE(273)] = 12650,
  [SMALL_STATE(274)] = 12751,
  [SMALL_STATE(275)] = 12851,
  [SMALL_STATE(276)] = 12951,
  [SMALL_STATE(277)] = 13051,
  [SMALL_STATE(278)] = 13151,
  [SMALL_STATE(279)] = 13251,
  [SMALL_STATE(280)] = 13351,
  [SMALL_STATE(281)] = 13451,
  [SMALL_STATE(282)] = 13551,
  [SMALL_STATE(283)] = 13651,
  [SMALL_STATE(284)] = 13751,
  [SMALL_STATE(285)] = 13851,
  [SMALL_STATE(286)] = 13951,
  [SMALL_STATE(287)] = 14051,
  [SMALL_STATE(288)] = 14151,
  [SMALL_STATE(289)] = 14251,
  [SMALL_STATE(290)] = 14351,
  [SMALL_STATE(291)] = 14451,
  [SMALL_STATE(292)] = 14551,
  [SMALL_STATE(293)] = 14651,
  [SMALL_STATE(294)] = 14751,
  [SMALL_STATE(295)] = 14851,
  [SMALL_STATE(296)] = 14950,
  [SMALL_STATE(297)] = 15049,
  [SMALL_STATE(298)] = 15148,
  [SMALL_STATE(299)] = 15247,
  [SMALL_STATE(300)] = 15344,
  [SMALL_STATE(301)] = 15443,
  [SMALL_STATE(302)] = 15540,
  [SMALL_STATE(303)] = 15637,
  [SMALL_STATE(304)] = 15736,
  [SMALL_STATE(305)] = 15835,
  [SMALL_STATE(306)] = 15934,
  [SMALL_STATE(307)] = 16033,
  [SMALL_STATE(308)] = 16132,
  [SMALL_STATE(309)] = 16231,
  [SMALL_STATE(310)] = 16302,
  [SMALL_STATE(311)] = 16401,
  [SMALL_STATE(312)] = 16500,
  [SMALL_STATE(313)] = 16599,
  [SMALL_STATE(314)] = 16698,
  [SMALL_STATE(315)] = 16797,
  [SMALL_STATE(316)] = 16896,
  [SMALL_STATE(317)] = 16993,
  [SMALL_STATE(318)] = 17064,
  [SMALL_STATE(319)] = 17163,
  [SMALL_STATE(320)] = 17262,
  [SMALL_STATE(321)] = 17361,
  [SMALL_STATE(322)] = 17458,
  [SMALL_STATE(323)] = 17557,
  [SMALL_STATE(324)] = 17654,
  [SMALL_STATE(325)] = 17753,
  [SMALL_STATE(326)] = 17852,
  [SMALL_STATE(327)] = 17951,
  [SMALL_STATE(328)] = 18047,
  [SMALL_STATE(329)] = 18143,
  [SMALL_STATE(330)] = 18239,
  [SMALL_STATE(331)] = 18333,
  [SMALL_STATE(332)] = 18427,
  [SMALL_STATE(333)] = 18497,
  [SMALL_STATE(334)] = 18593,
  [SMALL_STATE(335)] = 18687,
  [SMALL_STATE(336)] = 18781,
  [SMALL_STATE(337)] = 18875,
  [SMALL_STATE(338)] = 18945,
  [SMALL_STATE(339)] = 19041,
  [SMALL_STATE(340)] = 19135,
  [SMALL_STATE(341)] = 19229,
  [SMALL_STATE(342)] = 19323,
  [SMALL_STATE(343)] = 19419,
  [SMALL_STATE(344)] = 19513,
  [SMALL_STATE(345)] = 19607,
  [SMALL_STATE(346)] = 19701,
  [SMALL_STATE(347)] = 19797,
  [SMALL_STATE(348)] = 19891,
  [SMALL_STATE(349)] = 19987,
  [SMALL_STATE(350)] = 20083,
  [SMALL_STATE(351)] = 20179,
  [SMALL_STATE(352)] = 20275,
  [SMALL_STATE(353)] = 20369,
  [SMALL_STATE(354)] = 20463,
  [SMALL_STATE(355)] = 20557,
  [SMALL_STATE(356)] = 20653,
  [SMALL_STATE(357)] = 20723,
  [SMALL_STATE(358)] = 20817,
  [SMALL_STATE(359)] = 20913,
  [SMALL_STATE(360)] = 21007,
  [SMALL_STATE(361)] = 21101,
  [SMALL_STATE(362)] = 21195,
  [SMALL_STATE(363)] = 21289,
  [SMALL_STATE(364)] = 21383,
  [SMALL_STATE(365)] = 21477,
  [SMALL_STATE(366)] = 21573,
  [SMALL_STATE(367)] = 21667,
  [SMALL_STATE(368)] = 21761,
  [SMALL_STATE(369)] = 21855,
  [SMALL_STATE(370)] = 21949,
  [SMALL_STATE(371)] = 22019,
  [SMALL_STATE(372)] = 22113,
  [SMALL_STATE(373)] = 22207,
  [SMALL_STATE(374)] = 22303,
  [SMALL_STATE(375)] = 22371,
  [SMALL_STATE(376)] = 22465,
  [SMALL_STATE(377)] = 22561,
  [SMALL_STATE(378)] = 22655,
  [SMALL_STATE(379)] = 22748,
  [SMALL_STATE(380)] = 22841,
  [SMALL_STATE(381)] = 22898,
  [SMALL_STATE(382)] = 22955,
  [SMALL_STATE(383)] = 23048,
  [SMALL_STATE(384)] = 23141,
  [SMALL_STATE(385)] = 23198,
  [SMALL_STATE(386)] = 23255,
  [SMALL_STATE(387)] = 23348,
  [SMALL_STATE(388)] = 23413,
  [SMALL_STATE(389)] = 23506,
  [SMALL_STATE(390)] = 23563,
  [SMALL_STATE(391)] = 23656,
  [SMALL_STATE(392)] = 23749,
  [SMALL_STATE(393)] = 23814,
  [SMALL_STATE(394)] = 23907,
  [SMALL_STATE(395)] = 24000,
  [SMALL_STATE(396)] = 24057,
  [SMALL_STATE(397)] = 24114,
  [SMALL_STATE(398)] = 24207,
  [SMALL_STATE(399)] = 24300,
  [SMALL_STATE(400)] = 24393,
  [SMALL_STATE(401)] = 24486,
  [SMALL_STATE(402)] = 24579,
  [SMALL_STATE(403)] = 24672,
  [SMALL_STATE(404)] = 24765,
  [SMALL_STATE(405)] = 24858,
  [SMALL_STATE(406)] = 24951,
  [SMALL_STATE(407)] = 25044,
  [SMALL_STATE(408)] = 25137,
  [SMALL_STATE(409)] = 25230,
  [SMALL_STATE(410)] = 25290,
  [SMALL_STATE(411)] = 25380,
  [SMALL_STATE(412)] = 25470,
  [SMALL_STATE(413)] = 25560,
  [SMALL_STATE(414)] = 25620,
  [SMALL_STATE(415)] = 25710,
  [SMALL_STATE(416)] = 25766,
  [SMALL_STATE(417)] = 25856,
  [SMALL_STATE(418)] = 25946,
  [SMALL_STATE(419)] = 26002,
  [SMALL_STATE(420)] = 26092,
  [SMALL_STATE(421)] = 26182,
  [SMALL_STATE(422)] = 26272,
  [SMALL_STATE(423)] = 26362,
  [SMALL_STATE(424)] = 26424,
  [SMALL_STATE(425)] = 26490,
  [SMALL_STATE(426)] = 26580,
  [SMALL_STATE(427)] = 26670,
  [SMALL_STATE(428)] = 26760,
  [SMALL_STATE(429)] = 26850,
  [SMALL_STATE(430)] = 26940,
  [SMALL_STATE(431)] = 27030,
  [SMALL_STATE(432)] = 27120,
  [SMALL_STATE(433)] = 27210,
  [SMALL_STATE(434)] = 27300,
  [SMALL_STATE(435)] = 27390,
  [SMALL_STATE(436)] = 27480,
  [SMALL_STATE(437)] = 27536,
  [SMALL_STATE(438)] = 27626,
  [SMALL_STATE(439)] = 27716,
  [SMALL_STATE(440)] = 27806,
  [SMALL_STATE(441)] = 27896,
  [SMALL_STATE(442)] = 27986,
  [SMALL_STATE(443)] = 28076,
  [SMALL_STATE(444)] = 28166,
  [SMALL_STATE(445)] = 28232,
  [SMALL_STATE(446)] = 28322,
  [SMALL_STATE(447)] = 28412,
  [SMALL_STATE(448)] = 28502,
  [SMALL_STATE(449)] = 28564,
  [SMALL_STATE(450)] = 28620,
  [SMALL_STATE(451)] = 28710,
  [SMALL_STATE(452)] = 28800,
  [SMALL_STATE(453)] = 28890,
  [SMALL_STATE(454)] = 28982,
  [SMALL_STATE(455)] = 29048,
  [SMALL_STATE(456)] = 29114,
  [SMALL_STATE(457)] = 29204,
  [SMALL_STATE(458)] = 29294,
  [SMALL_STATE(459)] = 29384,
  [SMALL_STATE(460)] = 29474,
  [SMALL_STATE(461)] = 29564,
  [SMALL_STATE(462)] = 29654,
  [SMALL_STATE(463)] = 29744,
  [SMALL_STATE(464)] = 29834,
  [SMALL_STATE(465)] = 29924,
  [SMALL_STATE(466)] = 30014,
  [SMALL_STATE(467)] = 30070,
  [SMALL_STATE(468)] = 30160,
  [SMALL_STATE(469)] = 30250,
  [SMALL_STATE(470)] = 30340,
  [SMALL_STATE(471)] = 30430,
  [SMALL_STATE(472)] = 30520,
  [SMALL_STATE(473)] = 30610,
  [SMALL_STATE(474)] = 30700,
  [SMALL_STATE(475)] = 30790,
  [SMALL_STATE(476)] = 30880,
  [SMALL_STATE(477)] = 30970,
  [SMALL_STATE(478)] = 31060,
  [SMALL_STATE(479)] = 31150,
  [SMALL_STATE(480)] = 31212,
  [SMALL_STATE(481)] = 31302,
  [SMALL_STATE(482)] = 31392,
  [SMALL_STATE(483)] = 31482,
  [SMALL_STATE(484)] = 31572,
  [SMALL_STATE(485)] = 31662,
  [SMALL_STATE(486)] = 31752,
  [SMALL_STATE(487)] = 31842,
  [SMALL_STATE(488)] = 31898,
  [SMALL_STATE(489)] = 31954,
  [SMALL_STATE(490)] = 32044,
  [SMALL_STATE(491)] = 32134,
  [SMALL_STATE(492)] = 32224,
  [SMALL_STATE(493)] = 32280,
  [SMALL_STATE(494)] = 32370,
  [SMALL_STATE(495)] = 32460,
  [SMALL_STATE(496)] = 32550,
  [SMALL_STATE(497)] = 32640,
  [SMALL_STATE(498)] = 32730,
  [SMALL_STATE(499)] = 32820,
  [SMALL_STATE(500)] = 32910,
  [SMALL_STATE(501)] = 33000,
  [SMALL_STATE(502)] = 33090,
  [SMALL_STATE(503)] = 33180,
  [SMALL_STATE(504)] = 33270,
  [SMALL_STATE(505)] = 33360,
  [SMALL_STATE(506)] = 33450,
  [SMALL_STATE(507)] = 33516,
  [SMALL_STATE(508)] = 33606,
  [SMALL_STATE(509)] = 33696,
  [SMALL_STATE(510)] = 33786,
  [SMALL_STATE(511)] = 33876,
  [SMALL_STATE(512)] = 33966,
  [SMALL_STATE(513)] = 34056,
  [SMALL_STATE(514)] = 34146,
  [SMALL_STATE(515)] = 34236,
  [SMALL_STATE(516)] = 34326,
  [SMALL_STATE(517)] = 34416,
  [SMALL_STATE(518)] = 34482,
  [SMALL_STATE(519)] = 34572,
  [SMALL_STATE(520)] = 34662,
  [SMALL_STATE(521)] = 34752,
  [SMALL_STATE(522)] = 34842,
  [SMALL_STATE(523)] = 34932,
  [SMALL_STATE(524)] = 35022,
  [SMALL_STATE(525)] = 35112,
  [SMALL_STATE(526)] = 35202,
  [SMALL_STATE(527)] = 35292,
  [SMALL_STATE(528)] = 35382,
  [SMALL_STATE(529)] = 35444,
  [SMALL_STATE(530)] = 35534,
  [SMALL_STATE(531)] = 35624,
  [SMALL_STATE(532)] = 35714,
  [SMALL_STATE(533)] = 35804,
  [SMALL_STATE(534)] = 35870,
  [SMALL_STATE(535)] = 35960,
  [SMALL_STATE(536)] = 36016,
  [SMALL_STATE(537)] = 36106,
  [SMALL_STATE(538)] = 36196,
  [SMALL_STATE(539)] = 36288,
  [SMALL_STATE(540)] = 36354,
  [SMALL_STATE(541)] = 36444,
  [SMALL_STATE(542)] = 36534,
  [SMALL_STATE(543)] = 36624,
  [SMALL_STATE(544)] = 36714,
  [SMALL_STATE(545)] = 36804,
  [SMALL_STATE(546)] = 36894,
  [SMALL_STATE(547)] = 36950,
  [SMALL_STATE(548)] = 37040,
  [SMALL_STATE(549)] = 37130,
  [SMALL_STATE(550)] = 37220,
  [SMALL_STATE(551)] = 37310,
  [SMALL_STATE(552)] = 37400,
  [SMALL_STATE(553)] = 37455,
  [SMALL_STATE(554)] = 37516,
  [SMALL_STATE(555)] = 37571,
  [SMALL_STATE(556)] = 37626,
  [SMALL_STATE(557)] = 37687,
  [SMALL_STATE(558)] = 37742,
  [SMALL_STATE(559)] = 37797,
  [SMALL_STATE(560)] = 37852,
  [SMALL_STATE(561)] = 37907,
  [SMALL_STATE(562)] = 37967,
  [SMALL_STATE(563)] = 38027,
  [SMALL_STATE(564)] = 38087,
  [SMALL_STATE(565)] = 38147,
  [SMALL_STATE(566)] = 38201,
  [SMALL_STATE(567)] = 38261,
  [SMALL_STATE(568)] = 38321,
  [SMALL_STATE(569)] = 38375,
  [SMALL_STATE(570)] = 38435,
  [SMALL_STATE(571)] = 38489,
  [SMALL_STATE(572)] = 38549,
  [SMALL_STATE(573)] = 38609,
  [SMALL_STATE(574)] = 38669,
  [SMALL_STATE(575)] = 38723,
  [SMALL_STATE(576)] = 38777,
  [SMALL_STATE(577)] = 38831,
  [SMALL_STATE(578)] = 38885,
  [SMALL_STATE(579)] = 38939,
  [SMALL_STATE(580)] = 38999,
  [SMALL_STATE(581)] = 39059,
  [SMALL_STATE(582)] = 39119,
  [SMALL_STATE(583)] = 39173,
  [SMALL_STATE(584)] = 39233,
  [SMALL_STATE(585)] = 39293,
  [SMALL_STATE(586)] = 39347,
  [SMALL_STATE(587)] = 39407,
  [SMALL_STATE(588)] = 39461,
  [SMALL_STATE(589)] = 39521,
  [SMALL_STATE(590)] = 39581,
  [SMALL_STATE(591)] = 39635,
  [SMALL_STATE(592)] = 39692,
  [SMALL_STATE(593)] = 39749,
  [SMALL_STATE(594)] = 39806,
  [SMALL_STATE(595)] = 39863,
  [SMALL_STATE(596)] = 39920,
  [SMALL_STATE(597)] = 39977,
  [SMALL_STATE(598)] = 40034,
  [SMALL_STATE(599)] = 40087,
  [SMALL_STATE(600)] = 40144,
  [SMALL_STATE(601)] = 40197,
  [SMALL_STATE(602)] = 40250,
  [SMALL_STATE(603)] = 40303,
  [SMALL_STATE(604)] = 40356,
  [SMALL_STATE(605)] = 40413,
  [SMALL_STATE(606)] = 40470,
  [SMALL_STATE(607)] = 40527,
  [SMALL_STATE(608)] = 40584,
  [SMALL_STATE(609)] = 40637,
  [SMALL_STATE(610)] = 40694,
  [SMALL_STATE(611)] = 40751,
  [SMALL_STATE(612)] = 40808,
  [SMALL_STATE(613)] = 40865,
  [SMALL_STATE(614)] = 40917,
  [SMALL_STATE(615)] = 40969,
  [SMALL_STATE(616)] = 41021,
  [SMALL_STATE(617)] = 41073,
  [SMALL_STATE(618)] = 41125,
  [SMALL_STATE(619)] = 41177,
  [SMALL_STATE(620)] = 41229,
  [SMALL_STATE(621)] = 41281,
  [SMALL_STATE(622)] = 41333,
  [SMALL_STATE(623)] = 41385,
  [SMALL_STATE(624)] = 41437,
  [SMALL_STATE(625)] = 41489,
  [SMALL_STATE(626)] = 41541,
  [SMALL_STATE(627)] = 41593,
  [SMALL_STATE(628)] = 41645,
  [SMALL_STATE(629)] = 41697,
  [SMALL_STATE(630)] = 41749,
  [SMALL_STATE(631)] = 41801,
  [SMALL_STATE(632)] = 41853,
  [SMALL_STATE(633)] = 41905,
  [SMALL_STATE(634)] = 41957,
  [SMALL_STATE(635)] = 42009,
  [SMALL_STATE(636)] = 42061,
  [SMALL_STATE(637)] = 42113,
  [SMALL_STATE(638)] = 42165,
  [SMALL_STATE(639)] = 42217,
  [SMALL_STATE(640)] = 42269,
  [SMALL_STATE(641)] = 42321,
  [SMALL_STATE(642)] = 42373,
  [SMALL_STATE(643)] = 42425,
  [SMALL_STATE(644)] = 42477,
  [SMALL_STATE(645)] = 42529,
  [SMALL_STATE(646)] = 42581,
  [SMALL_STATE(647)] = 42633,
  [SMALL_STATE(648)] = 42685,
  [SMALL_STATE(649)] = 42737,
  [SMALL_STATE(650)] = 42789,
  [SMALL_STATE(651)] = 42841,
  [SMALL_STATE(652)] = 42893,
  [SMALL_STATE(653)] = 42945,
  [SMALL_STATE(654)] = 42997,
  [SMALL_STATE(655)] = 43049,
  [SMALL_STATE(656)] = 43101,
  [SMALL_STATE(657)] = 43153,
  [SMALL_STATE(658)] = 43205,
  [SMALL_STATE(659)] = 43257,
  [SMALL_STATE(660)] = 43309,
  [SMALL_STATE(661)] = 43361,
  [SMALL_STATE(662)] = 43413,
  [SMALL_STATE(663)] = 43465,
  [SMALL_STATE(664)] = 43517,
  [SMALL_STATE(665)] = 43569,
  [SMALL_STATE(666)] = 43621,
  [SMALL_STATE(667)] = 43673,
  [SMALL_STATE(668)] = 43725,
  [SMALL_STATE(669)] = 43777,
  [SMALL_STATE(670)] = 43829,
  [SMALL_STATE(671)] = 43881,
  [SMALL_STATE(672)] = 43933,
  [SMALL_STATE(673)] = 43985,
  [SMALL_STATE(674)] = 44037,
  [SMALL_STATE(675)] = 44089,
  [SMALL_STATE(676)] = 44141,
  [SMALL_STATE(677)] = 44193,
  [SMALL_STATE(678)] = 44245,
  [SMALL_STATE(679)] = 44297,
  [SMALL_STATE(680)] = 44349,
  [SMALL_STATE(681)] = 44401,
  [SMALL_STATE(682)] = 44453,
  [SMALL_STATE(683)] = 44505,
  [SMALL_STATE(684)] = 44556,
  [SMALL_STATE(685)] = 44607,
  [SMALL_STATE(686)] = 44658,
  [SMALL_STATE(687)] = 44709,
  [SMALL_STATE(688)] = 44760,
  [SMALL_STATE(689)] = 44811,
  [SMALL_STATE(690)] = 44862,
  [SMALL_STATE(691)] = 44913,
  [SMALL_STATE(692)] = 44964,
  [SMALL_STATE(693)] = 45015,
  [SMALL_STATE(694)] = 45066,
  [SMALL_STATE(695)] = 45117,
  [SMALL_STATE(696)] = 45202,
  [SMALL_STATE(697)] = 45253,
  [SMALL_STATE(698)] = 45304,
  [SMALL_STATE(699)] = 45355,
  [SMALL_STATE(700)] = 45406,
  [SMALL_STATE(701)] = 45457,
  [SMALL_STATE(702)] = 45508,
  [SMALL_STATE(703)] = 45559,
  [SMALL_STATE(704)] = 45610,
  [SMALL_STATE(705)] = 45661,
  [SMALL_STATE(706)] = 45712,
  [SMALL_STATE(707)] = 45763,
  [SMALL_STATE(708)] = 45814,
  [SMALL_STATE(709)] = 45865,
  [SMALL_STATE(710)] = 45916,
  [SMALL_STATE(711)] = 45967,
  [SMALL_STATE(712)] = 46018,
  [SMALL_STATE(713)] = 46069,
  [SMALL_STATE(714)] = 46120,
  [SMALL_STATE(715)] = 46171,
  [SMALL_STATE(716)] = 46222,
  [SMALL_STATE(717)] = 46273,
  [SMALL_STATE(718)] = 46324,
  [SMALL_STATE(719)] = 46375,
  [SMALL_STATE(720)] = 46426,
  [SMALL_STATE(721)] = 46477,
  [SMALL_STATE(722)] = 46528,
  [SMALL_STATE(723)] = 46579,
  [SMALL_STATE(724)] = 46630,
  [SMALL_STATE(725)] = 46681,
  [SMALL_STATE(726)] = 46732,
  [SMALL_STATE(727)] = 46783,
  [SMALL_STATE(728)] = 46834,
  [SMALL_STATE(729)] = 46885,
  [SMALL_STATE(730)] = 46936,
  [SMALL_STATE(731)] = 46987,
  [SMALL_STATE(732)] = 47038,
  [SMALL_STATE(733)] = 47089,
  [SMALL_STATE(734)] = 47140,
  [SMALL_STATE(735)] = 47191,
  [SMALL_STATE(736)] = 47242,
  [SMALL_STATE(737)] = 47327,
  [SMALL_STATE(738)] = 47378,
  [SMALL_STATE(739)] = 47429,
  [SMALL_STATE(740)] = 47480,
  [SMALL_STATE(741)] = 47531,
  [SMALL_STATE(742)] = 47582,
  [SMALL_STATE(743)] = 47633,
  [SMALL_STATE(744)] = 47684,
  [SMALL_STATE(745)] = 47735,
  [SMALL_STATE(746)] = 47786,
  [SMALL_STATE(747)] = 47837,
  [SMALL_STATE(748)] = 47888,
  [SMALL_STATE(749)] = 47939,
  [SMALL_STATE(750)] = 47990,
  [SMALL_STATE(751)] = 48041,
  [SMALL_STATE(752)] = 48092,
  [SMALL_STATE(753)] = 48143,
  [SMALL_STATE(754)] = 48194,
  [SMALL_STATE(755)] = 48245,
  [SMALL_STATE(756)] = 48327,
  [SMALL_STATE(757)] = 48409,
  [SMALL_STATE(758)] = 48491,
  [SMALL_STATE(759)] = 48573,
  [SMALL_STATE(760)] = 48655,
  [SMALL_STATE(761)] = 48737,
  [SMALL_STATE(762)] = 48819,
  [SMALL_STATE(763)] = 48901,
  [SMALL_STATE(764)] = 48983,
  [SMALL_STATE(765)] = 49065,
  [SMALL_STATE(766)] = 49147,
  [SMALL_STATE(767)] = 49229,
  [SMALL_STATE(768)] = 49311,
  [SMALL_STATE(769)] = 49393,
  [SMALL_STATE(770)] = 49472,
  [SMALL_STATE(771)] = 49551,
  [SMALL_STATE(772)] = 49630,
  [SMALL_STATE(773)] = 49680,
  [SMALL_STATE(774)] = 49760,
  [SMALL_STATE(775)] = 49810,
  [SMALL_STATE(776)] = 49860,
  [SMALL_STATE(777)] = 49940,
  [SMALL_STATE(778)] = 49990,
  [SMALL_STATE(779)] = 50040,
  [SMALL_STATE(780)] = 50112,
  [SMALL_STATE(781)] = 50162,
  [SMALL_STATE(782)] = 50212,
  [SMALL_STATE(783)] = 50292,
  [SMALL_STATE(784)] = 50342,
  [SMALL_STATE(785)] = 50392,
  [SMALL_STATE(786)] = 50464,
  [SMALL_STATE(787)] = 50513,
  [SMALL_STATE(788)] = 50580,
  [SMALL_STATE(789)] = 50635,
  [SMALL_STATE(790)] = 50696,
  [SMALL_STATE(791)] = 50765,
  [SMALL_STATE(792)] = 50834,
  [SMALL_STATE(793)] = 50895,
  [SMALL_STATE(794)] = 50950,
  [SMALL_STATE(795)] = 51005,
  [SMALL_STATE(796)] = 51084,
  [SMALL_STATE(797)] = 51143,
  [SMALL_STATE(798)] = 51210,
  [SMALL_STATE(799)] = 51275,
  [SMALL_STATE(800)] = 51324,
  [SMALL_STATE(801)] = 51391,
  [SMALL_STATE(802)] = 51446,
  [SMALL_STATE(803)] = 51495,
  [SMALL_STATE(804)] = 51558,
  [SMALL_STATE(805)] = 51607,
  [SMALL_STATE(806)] = 51686,
  [SMALL_STATE(807)] = 51755,
  [SMALL_STATE(808)] = 51834,
  [SMALL_STATE(809)] = 51883,
  [SMALL_STATE(810)] = 51952,
  [SMALL_STATE(811)] = 52019,
  [SMALL_STATE(812)] = 52078,
  [SMALL_STATE(813)] = 52133,
  [SMALL_STATE(814)] = 52182,
  [SMALL_STATE(815)] = 52249,
  [SMALL_STATE(816)] = 52316,
  [SMALL_STATE(817)] = 52365,
  [SMALL_STATE(818)] = 52432,
  [SMALL_STATE(819)] = 52499,
  [SMALL_STATE(820)] = 52554,
  [SMALL_STATE(821)] = 52615,
  [SMALL_STATE(822)] = 52680,
  [SMALL_STATE(823)] = 52749,
  [SMALL_STATE(824)] = 52816,
  [SMALL_STATE(825)] = 52871,
  [SMALL_STATE(826)] = 52934,
  [SMALL_STATE(827)] = 52983,
  [SMALL_STATE(828)] = 53032,
  [SMALL_STATE(829)] = 53087,
  [SMALL_STATE(830)] = 53146,
  [SMALL_STATE(831)] = 53213,
  [SMALL_STATE(832)] = 53278,
  [SMALL_STATE(833)] = 53341,
  [SMALL_STATE(834)] = 53396,
  [SMALL_STATE(835)] = 53465,
  [SMALL_STATE(836)] = 53532,
  [SMALL_STATE(837)] = 53592,
  [SMALL_STATE(838)] = 53650,
  [SMALL_STATE(839)] = 53718,
  [SMALL_STATE(840)] = 53782,
  [SMALL_STATE(841)] = 53846,
  [SMALL_STATE(842)] = 53910,
  [SMALL_STATE(843)] = 53954,
  [SMALL_STATE(844)] = 54018,
  [SMALL_STATE(845)] = 54082,
  [SMALL_STATE(846)] = 54128,
  [SMALL_STATE(847)] = 54174,
  [SMALL_STATE(848)] = 54238,
  [SMALL_STATE(849)] = 54302,
  [SMALL_STATE(850)] = 54370,
  [SMALL_STATE(851)] = 54434,
  [SMALL_STATE(852)] = 54498,
  [SMALL_STATE(853)] = 54562,
  [SMALL_STATE(854)] = 54626,
  [SMALL_STATE(855)] = 54690,
  [SMALL_STATE(856)] = 54754,
  [SMALL_STATE(857)] = 54818,
  [SMALL_STATE(858)] = 54882,
  [SMALL_STATE(859)] = 54950,
  [SMALL_STATE(860)] = 55014,
  [SMALL_STATE(861)] = 55078,
  [SMALL_STATE(862)] = 55142,
  [SMALL_STATE(863)] = 55206,
  [SMALL_STATE(864)] = 55260,
  [SMALL_STATE(865)] = 55324,
  [SMALL_STATE(866)] = 55368,
  [SMALL_STATE(867)] = 55414,
  [SMALL_STATE(868)] = 55460,
  [SMALL_STATE(869)] = 55524,
  [SMALL_STATE(870)] = 55592,
  [SMALL_STATE(871)] = 55660,
  [SMALL_STATE(872)] = 55724,
  [SMALL_STATE(873)] = 55788,
  [SMALL_STATE(874)] = 55842,
  [SMALL_STATE(875)] = 55902,
  [SMALL_STATE(876)] = 55950,
  [SMALL_STATE(877)] = 56012,
  [SMALL_STATE(878)] = 56076,
  [SMALL_STATE(879)] = 56142,
  [SMALL_STATE(880)] = 56200,
  [SMALL_STATE(881)] = 56264,
  [SMALL_STATE(882)] = 56318,
  [SMALL_STATE(883)] = 56386,
  [SMALL_STATE(884)] = 56434,
  [SMALL_STATE(885)] = 56498,
  [SMALL_STATE(886)] = 56566,
  [SMALL_STATE(887)] = 56634,
  [SMALL_STATE(888)] = 56698,
  [SMALL_STATE(889)] = 56752,
  [SMALL_STATE(890)] = 56816,
  [SMALL_STATE(891)] = 56874,
  [SMALL_STATE(892)] = 56942,
  [SMALL_STATE(893)] = 57008,
  [SMALL_STATE(894)] = 57068,
  [SMALL_STATE(895)] = 57122,
  [SMALL_STATE(896)] = 57170,
  [SMALL_STATE(897)] = 57234,
  [SMALL_STATE(898)] = 57296,
  [SMALL_STATE(899)] = 57364,
  [SMALL_STATE(900)] = 57428,
  [SMALL_STATE(901)] = 57492,
  [SMALL_STATE(902)] = 57556,
  [SMALL_STATE(903)] = 57618,
  [SMALL_STATE(904)] = 57682,
  [SMALL_STATE(905)] = 57748,
  [SMALL_STATE(906)] = 57812,
  [SMALL_STATE(907)] = 57860,
  [SMALL_STATE(908)] = 57924,
  [SMALL_STATE(909)] = 57988,
  [SMALL_STATE(910)] = 58052,
  [SMALL_STATE(911)] = 58116,
  [SMALL_STATE(912)] = 58180,
  [SMALL_STATE(913)] = 58244,
  [SMALL_STATE(914)] = 58298,
  [SMALL_STATE(915)] = 58362,
  [SMALL_STATE(916)] = 58426,
  [SMALL_STATE(917)] = 58490,
  [SMALL_STATE(918)] = 58558,
  [SMALL_STATE(919)] = 58622,
  [SMALL_STATE(920)] = 58670,
  [SMALL_STATE(921)] = 58746,
  [SMALL_STATE(922)] = 58800,
  [SMALL_STATE(923)] = 58848,
  [SMALL_STATE(924)] = 58912,
  [SMALL_STATE(925)] = 58976,
  [SMALL_STATE(926)] = 59040,
  [SMALL_STATE(927)] = 59104,
  [SMALL_STATE(928)] = 59168,
  [SMALL_STATE(929)] = 59232,
  [SMALL_STATE(930)] = 59296,
  [SMALL_STATE(931)] = 59360,
  [SMALL_STATE(932)] = 59424,
  [SMALL_STATE(933)] = 59488,
  [SMALL_STATE(934)] = 59532,
  [SMALL_STATE(935)] = 59596,
  [SMALL_STATE(936)] = 59644,
  [SMALL_STATE(937)] = 59708,
  [SMALL_STATE(938)] = 59772,
  [SMALL_STATE(939)] = 59836,
  [SMALL_STATE(940)] = 59900,
  [SMALL_STATE(941)] = 59964,
  [SMALL_STATE(942)] = 60028,
  [SMALL_STATE(943)] = 60092,
  [SMALL_STATE(944)] = 60156,
  [SMALL_STATE(945)] = 60220,
  [SMALL_STATE(946)] = 60284,
  [SMALL_STATE(947)] = 60348,
  [SMALL_STATE(948)] = 60412,
  [SMALL_STATE(949)] = 60456,
  [SMALL_STATE(950)] = 60520,
  [SMALL_STATE(951)] = 60564,
  [SMALL_STATE(952)] = 60612,
  [SMALL_STATE(953)] = 60690,
  [SMALL_STATE(954)] = 60754,
  [SMALL_STATE(955)] = 60818,
  [SMALL_STATE(956)] = 60882,
  [SMALL_STATE(957)] = 60946,
  [SMALL_STATE(958)] = 61010,
  [SMALL_STATE(959)] = 61074,
  [SMALL_STATE(960)] = 61138,
  [SMALL_STATE(961)] = 61202,
  [SMALL_STATE(962)] = 61266,
  [SMALL_STATE(963)] = 61320,
  [SMALL_STATE(964)] = 61384,
  [SMALL_STATE(965)] = 61448,
  [SMALL_STATE(966)] = 61512,
  [SMALL_STATE(967)] = 61576,
  [SMALL_STATE(968)] = 61622,
  [SMALL_STATE(969)] = 61668,
  [SMALL_STATE(970)] = 61732,
  [SMALL_STATE(971)] = 61796,
  [SMALL_STATE(972)] = 61860,
  [SMALL_STATE(973)] = 61914,
  [SMALL_STATE(974)] = 61958,
  [SMALL_STATE(975)] = 62001,
  [SMALL_STATE(976)] = 62044,
  [SMALL_STATE(977)] = 62087,
  [SMALL_STATE(978)] = 62132,
  [SMALL_STATE(979)] = 62175,
  [SMALL_STATE(980)] = 62218,
  [SMALL_STATE(981)] = 62261,
  [SMALL_STATE(982)] = 62304,
  [SMALL_STATE(983)] = 62347,
  [SMALL_STATE(984)] = 62390,
  [SMALL_STATE(985)] = 62433,
  [SMALL_STATE(986)] = 62480,
  [SMALL_STATE(987)] = 62523,
  [SMALL_STATE(988)] = 62566,
  [SMALL_STATE(989)] = 62609,
  [SMALL_STATE(990)] = 62656,
  [SMALL_STATE(991)] = 62699,
  [SMALL_STATE(992)] = 62742,
  [SMALL_STATE(993)] = 62785,
  [SMALL_STATE(994)] = 62828,
  [SMALL_STATE(995)] = 62871,
  [SMALL_STATE(996)] = 62914,
  [SMALL_STATE(997)] = 62957,
  [SMALL_STATE(998)] = 63000,
  [SMALL_STATE(999)] = 63043,
  [SMALL_STATE(1000)] = 63086,
  [SMALL_STATE(1001)] = 63129,
  [SMALL_STATE(1002)] = 63172,
  [SMALL_STATE(1003)] = 63215,
  [SMALL_STATE(1004)] = 63258,
  [SMALL_STATE(1005)] = 63301,
  [SMALL_STATE(1006)] = 63344,
  [SMALL_STATE(1007)] = 63387,
  [SMALL_STATE(1008)] = 63430,
  [SMALL_STATE(1009)] = 63473,
  [SMALL_STATE(1010)] = 63516,
  [SMALL_STATE(1011)] = 63559,
  [SMALL_STATE(1012)] = 63602,
  [SMALL_STATE(1013)] = 63647,
  [SMALL_STATE(1014)] = 63690,
  [SMALL_STATE(1015)] = 63733,
  [SMALL_STATE(1016)] = 63776,
  [SMALL_STATE(1017)] = 63819,
  [SMALL_STATE(1018)] = 63862,
  [SMALL_STATE(1019)] = 63905,
  [SMALL_STATE(1020)] = 63950,
  [SMALL_STATE(1021)] = 63995,
  [SMALL_STATE(1022)] = 64048,
  [SMALL_STATE(1023)] = 64091,
  [SMALL_STATE(1024)] = 64134,
  [SMALL_STATE(1025)] = 64177,
  [SMALL_STATE(1026)] = 64230,
  [SMALL_STATE(1027)] = 64289,
  [SMALL_STATE(1028)] = 64336,
  [SMALL_STATE(1029)] = 64379,
  [SMALL_STATE(1030)] = 64422,
  [SMALL_STATE(1031)] = 64465,
  [SMALL_STATE(1032)] = 64508,
  [SMALL_STATE(1033)] = 64551,
  [SMALL_STATE(1034)] = 64594,
  [SMALL_STATE(1035)] = 64637,
  [SMALL_STATE(1036)] = 64680,
  [SMALL_STATE(1037)] = 64723,
  [SMALL_STATE(1038)] = 64766,
  [SMALL_STATE(1039)] = 64809,
  [SMALL_STATE(1040)] = 64852,
  [SMALL_STATE(1041)] = 64895,
  [SMALL_STATE(1042)] = 64938,
  [SMALL_STATE(1043)] = 64981,
  [SMALL_STATE(1044)] = 65024,
  [SMALL_STATE(1045)] = 65067,
  [SMALL_STATE(1046)] = 65110,
  [SMALL_STATE(1047)] = 65153,
  [SMALL_STATE(1048)] = 65220,
  [SMALL_STATE(1049)] = 65263,
  [SMALL_STATE(1050)] = 65306,
  [SMALL_STATE(1051)] = 65349,
  [SMALL_STATE(1052)] = 65392,
  [SMALL_STATE(1053)] = 65435,
  [SMALL_STATE(1054)] = 65478,
  [SMALL_STATE(1055)] = 65521,
  [SMALL_STATE(1056)] = 65564,
  [SMALL_STATE(1057)] = 65607,
  [SMALL_STATE(1058)] = 65650,
  [SMALL_STATE(1059)] = 65693,
  [SMALL_STATE(1060)] = 65746,
  [SMALL_STATE(1061)] = 65791,
  [SMALL_STATE(1062)] = 65848,
  [SMALL_STATE(1063)] = 65913,
  [SMALL_STATE(1064)] = 65976,
  [SMALL_STATE(1065)] = 66037,
  [SMALL_STATE(1066)] = 66104,
  [SMALL_STATE(1067)] = 66157,
  [SMALL_STATE(1068)] = 66200,
  [SMALL_STATE(1069)] = 66243,
  [SMALL_STATE(1070)] = 66286,
  [SMALL_STATE(1071)] = 66339,
  [SMALL_STATE(1072)] = 66398,
  [SMALL_STATE(1073)] = 66465,
  [SMALL_STATE(1074)] = 66518,
  [SMALL_STATE(1075)] = 66575,
  [SMALL_STATE(1076)] = 66618,
  [SMALL_STATE(1077)] = 66661,
  [SMALL_STATE(1078)] = 66706,
  [SMALL_STATE(1079)] = 66749,
  [SMALL_STATE(1080)] = 66792,
  [SMALL_STATE(1081)] = 66835,
  [SMALL_STATE(1082)] = 66878,
  [SMALL_STATE(1083)] = 66943,
  [SMALL_STATE(1084)] = 67006,
  [SMALL_STATE(1085)] = 67067,
  [SMALL_STATE(1086)] = 67134,
  [SMALL_STATE(1087)] = 67177,
  [SMALL_STATE(1088)] = 67220,
  [SMALL_STATE(1089)] = 67263,
  [SMALL_STATE(1090)] = 67306,
  [SMALL_STATE(1091)] = 67351,
  [SMALL_STATE(1092)] = 67394,
  [SMALL_STATE(1093)] = 67437,
  [SMALL_STATE(1094)] = 67480,
  [SMALL_STATE(1095)] = 67523,
  [SMALL_STATE(1096)] = 67566,
  [SMALL_STATE(1097)] = 67609,
  [SMALL_STATE(1098)] = 67652,
  [SMALL_STATE(1099)] = 67695,
  [SMALL_STATE(1100)] = 67738,
  [SMALL_STATE(1101)] = 67781,
  [SMALL_STATE(1102)] = 67824,
  [SMALL_STATE(1103)] = 67867,
  [SMALL_STATE(1104)] = 67910,
  [SMALL_STATE(1105)] = 67953,
  [SMALL_STATE(1106)] = 67996,
  [SMALL_STATE(1107)] = 68043,
  [SMALL_STATE(1108)] = 68085,
  [SMALL_STATE(1109)] = 68127,
  [SMALL_STATE(1110)] = 68169,
  [SMALL_STATE(1111)] = 68211,
  [SMALL_STATE(1112)] = 68253,
  [SMALL_STATE(1113)] = 68295,
  [SMALL_STATE(1114)] = 68337,
  [SMALL_STATE(1115)] = 68379,
  [SMALL_STATE(1116)] = 68421,
  [SMALL_STATE(1117)] = 68463,
  [SMALL_STATE(1118)] = 68505,
  [SMALL_STATE(1119)] = 68547,
  [SMALL_STATE(1120)] = 68589,
  [SMALL_STATE(1121)] = 68631,
  [SMALL_STATE(1122)] = 68675,
  [SMALL_STATE(1123)] = 68717,
  [SMALL_STATE(1124)] = 68759,
  [SMALL_STATE(1125)] = 68801,
  [SMALL_STATE(1126)] = 68845,
  [SMALL_STATE(1127)] = 68887,
  [SMALL_STATE(1128)] = 68929,
  [SMALL_STATE(1129)] = 68971,
  [SMALL_STATE(1130)] = 69013,
  [SMALL_STATE(1131)] = 69057,
  [SMALL_STATE(1132)] = 69101,
  [SMALL_STATE(1133)] = 69145,
  [SMALL_STATE(1134)] = 69187,
  [SMALL_STATE(1135)] = 69229,
  [SMALL_STATE(1136)] = 69273,
  [SMALL_STATE(1137)] = 69315,
  [SMALL_STATE(1138)] = 69359,
  [SMALL_STATE(1139)] = 69401,
  [SMALL_STATE(1140)] = 69445,
  [SMALL_STATE(1141)] = 69487,
  [SMALL_STATE(1142)] = 69529,
  [SMALL_STATE(1143)] = 69573,
  [SMALL_STATE(1144)] = 69615,
  [SMALL_STATE(1145)] = 69659,
  [SMALL_STATE(1146)] = 69701,
  [SMALL_STATE(1147)] = 69745,
  [SMALL_STATE(1148)] = 69787,
  [SMALL_STATE(1149)] = 69829,
  [SMALL_STATE(1150)] = 69873,
  [SMALL_STATE(1151)] = 69915,
  [SMALL_STATE(1152)] = 69957,
  [SMALL_STATE(1153)] = 69999,
  [SMALL_STATE(1154)] = 70041,
  [SMALL_STATE(1155)] = 70083,
  [SMALL_STATE(1156)] = 70127,
  [SMALL_STATE(1157)] = 70169,
  [SMALL_STATE(1158)] = 70211,
  [SMALL_STATE(1159)] = 70253,
  [SMALL_STATE(1160)] = 70295,
  [SMALL_STATE(1161)] = 70337,
  [SMALL_STATE(1162)] = 70379,
  [SMALL_STATE(1163)] = 70421,
  [SMALL_STATE(1164)] = 70467,
  [SMALL_STATE(1165)] = 70509,
  [SMALL_STATE(1166)] = 70551,
  [SMALL_STATE(1167)] = 70593,
  [SMALL_STATE(1168)] = 70635,
  [SMALL_STATE(1169)] = 70681,
  [SMALL_STATE(1170)] = 70723,
  [SMALL_STATE(1171)] = 70765,
  [SMALL_STATE(1172)] = 70807,
  [SMALL_STATE(1173)] = 70849,
  [SMALL_STATE(1174)] = 70891,
  [SMALL_STATE(1175)] = 70933,
  [SMALL_STATE(1176)] = 70975,
  [SMALL_STATE(1177)] = 71017,
  [SMALL_STATE(1178)] = 71059,
  [SMALL_STATE(1179)] = 71101,
  [SMALL_STATE(1180)] = 71143,
  [SMALL_STATE(1181)] = 71185,
  [SMALL_STATE(1182)] = 71229,
  [SMALL_STATE(1183)] = 71271,
  [SMALL_STATE(1184)] = 71313,
  [SMALL_STATE(1185)] = 71355,
  [SMALL_STATE(1186)] = 71397,
  [SMALL_STATE(1187)] = 71439,
  [SMALL_STATE(1188)] = 71481,
  [SMALL_STATE(1189)] = 71523,
  [SMALL_STATE(1190)] = 71565,
  [SMALL_STATE(1191)] = 71607,
  [SMALL_STATE(1192)] = 71649,
  [SMALL_STATE(1193)] = 71691,
  [SMALL_STATE(1194)] = 71733,
  [SMALL_STATE(1195)] = 71775,
  [SMALL_STATE(1196)] = 71817,
  [SMALL_STATE(1197)] = 71859,
  [SMALL_STATE(1198)] = 71901,
  [SMALL_STATE(1199)] = 71943,
  [SMALL_STATE(1200)] = 71985,
  [SMALL_STATE(1201)] = 72027,
  [SMALL_STATE(1202)] = 72069,
  [SMALL_STATE(1203)] = 72111,
  [SMALL_STATE(1204)] = 72153,
  [SMALL_STATE(1205)] = 72195,
  [SMALL_STATE(1206)] = 72237,
  [SMALL_STATE(1207)] = 72279,
  [SMALL_STATE(1208)] = 72321,
  [SMALL_STATE(1209)] = 72363,
  [SMALL_STATE(1210)] = 72404,
  [SMALL_STATE(1211)] = 72447,
  [SMALL_STATE(1212)] = 72488,
  [SMALL_STATE(1213)] = 72529,
  [SMALL_STATE(1214)] = 72570,
  [SMALL_STATE(1215)] = 72611,
  [SMALL_STATE(1216)] = 72652,
  [SMALL_STATE(1217)] = 72695,
  [SMALL_STATE(1218)] = 72736,
  [SMALL_STATE(1219)] = 72781,
  [SMALL_STATE(1220)] = 72822,
  [SMALL_STATE(1221)] = 72863,
  [SMALL_STATE(1222)] = 72904,
  [SMALL_STATE(1223)] = 72945,
  [SMALL_STATE(1224)] = 72986,
  [SMALL_STATE(1225)] = 73027,
  [SMALL_STATE(1226)] = 73068,
  [SMALL_STATE(1227)] = 73109,
  [SMALL_STATE(1228)] = 73150,
  [SMALL_STATE(1229)] = 73191,
  [SMALL_STATE(1230)] = 73232,
  [SMALL_STATE(1231)] = 73273,
  [SMALL_STATE(1232)] = 73314,
  [SMALL_STATE(1233)] = 73355,
  [SMALL_STATE(1234)] = 73396,
  [SMALL_STATE(1235)] = 73437,
  [SMALL_STATE(1236)] = 73478,
  [SMALL_STATE(1237)] = 73519,
  [SMALL_STATE(1238)] = 73560,
  [SMALL_STATE(1239)] = 73601,
  [SMALL_STATE(1240)] = 73642,
  [SMALL_STATE(1241)] = 73683,
  [SMALL_STATE(1242)] = 73724,
  [SMALL_STATE(1243)] = 73765,
  [SMALL_STATE(1244)] = 73808,
  [SMALL_STATE(1245)] = 73851,
  [SMALL_STATE(1246)] = 73892,
  [SMALL_STATE(1247)] = 73933,
  [SMALL_STATE(1248)] = 73974,
  [SMALL_STATE(1249)] = 74015,
  [SMALL_STATE(1250)] = 74056,
  [SMALL_STATE(1251)] = 74097,
  [SMALL_STATE(1252)] = 74138,
  [SMALL_STATE(1253)] = 74179,
  [SMALL_STATE(1254)] = 74220,
  [SMALL_STATE(1255)] = 74261,
  [SMALL_STATE(1256)] = 74302,
  [SMALL_STATE(1257)] = 74343,
  [SMALL_STATE(1258)] = 74386,
  [SMALL_STATE(1259)] = 74427,
  [SMALL_STATE(1260)] = 74468,
  [SMALL_STATE(1261)] = 74509,
  [SMALL_STATE(1262)] = 74550,
  [SMALL_STATE(1263)] = 74591,
  [SMALL_STATE(1264)] = 74632,
  [SMALL_STATE(1265)] = 74673,
  [SMALL_STATE(1266)] = 74714,
  [SMALL_STATE(1267)] = 74759,
  [SMALL_STATE(1268)] = 74800,
  [SMALL_STATE(1269)] = 74841,
  [SMALL_STATE(1270)] = 74882,
  [SMALL_STATE(1271)] = 74923,
  [SMALL_STATE(1272)] = 74966,
  [SMALL_STATE(1273)] = 75007,
  [SMALL_STATE(1274)] = 75048,
  [SMALL_STATE(1275)] = 75089,
  [SMALL_STATE(1276)] = 75130,
  [SMALL_STATE(1277)] = 75171,
  [SMALL_STATE(1278)] = 75212,
  [SMALL_STATE(1279)] = 75253,
  [SMALL_STATE(1280)] = 75294,
  [SMALL_STATE(1281)] = 75335,
  [SMALL_STATE(1282)] = 75377,
  [SMALL_STATE(1283)] = 75419,
  [SMALL_STATE(1284)] = 75461,
  [SMALL_STATE(1285)] = 75503,
  [SMALL_STATE(1286)] = 75541,
  [SMALL_STATE(1287)] = 75579,
  [SMALL_STATE(1288)] = 75617,
  [SMALL_STATE(1289)] = 75655,
  [SMALL_STATE(1290)] = 75693,
  [SMALL_STATE(1291)] = 75731,
  [SMALL_STATE(1292)] = 75760,
  [SMALL_STATE(1293)] = 75797,
  [SMALL_STATE(1294)] = 75826,
  [SMALL_STATE(1295)] = 75863,
  [SMALL_STATE(1296)] = 75912,
  [SMALL_STATE(1297)] = 75949,
  [SMALL_STATE(1298)] = 75986,
  [SMALL_STATE(1299)] = 76023,
  [SMALL_STATE(1300)] = 76052,
  [SMALL_STATE(1301)] = 76081,
  [SMALL_STATE(1302)] = 76118,
  [SMALL_STATE(1303)] = 76146,
  [SMALL_STATE(1304)] = 76174,
  [SMALL_STATE(1305)] = 76202,
  [SMALL_STATE(1306)] = 76238,
  [SMALL_STATE(1307)] = 76272,
  [SMALL_STATE(1308)] = 76300,
  [SMALL_STATE(1309)] = 76346,
  [SMALL_STATE(1310)] = 76374,
  [SMALL_STATE(1311)] = 76420,
  [SMALL_STATE(1312)] = 76456,
  [SMALL_STATE(1313)] = 76484,
  [SMALL_STATE(1314)] = 76518,
  [SMALL_STATE(1315)] = 76564,
  [SMALL_STATE(1316)] = 76592,
  [SMALL_STATE(1317)] = 76620,
  [SMALL_STATE(1318)] = 76648,
  [SMALL_STATE(1319)] = 76676,
  [SMALL_STATE(1320)] = 76704,
  [SMALL_STATE(1321)] = 76732,
  [SMALL_STATE(1322)] = 76760,
  [SMALL_STATE(1323)] = 76788,
  [SMALL_STATE(1324)] = 76816,
  [SMALL_STATE(1325)] = 76844,
  [SMALL_STATE(1326)] = 76887,
  [SMALL_STATE(1327)] = 76930,
  [SMALL_STATE(1328)] = 76953,
  [SMALL_STATE(1329)] = 76996,
  [SMALL_STATE(1330)] = 77039,
  [SMALL_STATE(1331)] = 77082,
  [SMALL_STATE(1332)] = 77125,
  [SMALL_STATE(1333)] = 77148,
  [SMALL_STATE(1334)] = 77191,
  [SMALL_STATE(1335)] = 77234,
  [SMALL_STATE(1336)] = 77277,
  [SMALL_STATE(1337)] = 77300,
  [SMALL_STATE(1338)] = 77331,
  [SMALL_STATE(1339)] = 77354,
  [SMALL_STATE(1340)] = 77397,
  [SMALL_STATE(1341)] = 77440,
  [SMALL_STATE(1342)] = 77480,
  [SMALL_STATE(1343)] = 77505,
  [SMALL_STATE(1344)] = 77542,
  [SMALL_STATE(1345)] = 77579,
  [SMALL_STATE(1346)] = 77616,
  [SMALL_STATE(1347)] = 77653,
  [SMALL_STATE(1348)] = 77687,
  [SMALL_STATE(1349)] = 77721,
  [SMALL_STATE(1350)] = 77761,
  [SMALL_STATE(1351)] = 77801,
  [SMALL_STATE(1352)] = 77841,
  [SMALL_STATE(1353)] = 77881,
  [SMALL_STATE(1354)] = 77921,
  [SMALL_STATE(1355)] = 77961,
  [SMALL_STATE(1356)] = 78001,
  [SMALL_STATE(1357)] = 78041,
  [SMALL_STATE(1358)] = 78078,
  [SMALL_STATE(1359)] = 78115,
  [SMALL_STATE(1360)] = 78152,
  [SMALL_STATE(1361)] = 78189,
  [SMALL_STATE(1362)] = 78226,
  [SMALL_STATE(1363)] = 78263,
  [SMALL_STATE(1364)] = 78300,
  [SMALL_STATE(1365)] = 78337,
  [SMALL_STATE(1366)] = 78374,
  [SMALL_STATE(1367)] = 78411,
  [SMALL_STATE(1368)] = 78448,
  [SMALL_STATE(1369)] = 78485,
  [SMALL_STATE(1370)] = 78522,
  [SMALL_STATE(1371)] = 78559,
  [SMALL_STATE(1372)] = 78596,
  [SMALL_STATE(1373)] = 78633,
  [SMALL_STATE(1374)] = 78670,
  [SMALL_STATE(1375)] = 78707,
  [SMALL_STATE(1376)] = 78744,
  [SMALL_STATE(1377)] = 78781,
  [SMALL_STATE(1378)] = 78818,
  [SMALL_STATE(1379)] = 78855,
  [SMALL_STATE(1380)] = 78892,
  [SMALL_STATE(1381)] = 78929,
  [SMALL_STATE(1382)] = 78966,
  [SMALL_STATE(1383)] = 78990,
  [SMALL_STATE(1384)] = 79014,
  [SMALL_STATE(1385)] = 79038,
  [SMALL_STATE(1386)] = 79062,
  [SMALL_STATE(1387)] = 79086,
  [SMALL_STATE(1388)] = 79110,
  [SMALL_STATE(1389)] = 79134,
  [SMALL_STATE(1390)] = 79158,
  [SMALL_STATE(1391)] = 79182,
  [SMALL_STATE(1392)] = 79206,
  [SMALL_STATE(1393)] = 79230,
  [SMALL_STATE(1394)] = 79254,
  [SMALL_STATE(1395)] = 79278,
  [SMALL_STATE(1396)] = 79302,
  [SMALL_STATE(1397)] = 79326,
  [SMALL_STATE(1398)] = 79350,
  [SMALL_STATE(1399)] = 79374,
  [SMALL_STATE(1400)] = 79398,
  [SMALL_STATE(1401)] = 79422,
  [SMALL_STATE(1402)] = 79439,
  [SMALL_STATE(1403)] = 79462,
  [SMALL_STATE(1404)] = 79477,
  [SMALL_STATE(1405)] = 79494,
  [SMALL_STATE(1406)] = 79511,
  [SMALL_STATE(1407)] = 79526,
  [SMALL_STATE(1408)] = 79549,
  [SMALL_STATE(1409)] = 79566,
  [SMALL_STATE(1410)] = 79589,
  [SMALL_STATE(1411)] = 79620,
  [SMALL_STATE(1412)] = 79643,
  [SMALL_STATE(1413)] = 79666,
  [SMALL_STATE(1414)] = 79681,
  [SMALL_STATE(1415)] = 79696,
  [SMALL_STATE(1416)] = 79725,
  [SMALL_STATE(1417)] = 79746,
  [SMALL_STATE(1418)] = 79761,
  [SMALL_STATE(1419)] = 79780,
  [SMALL_STATE(1420)] = 79801,
  [SMALL_STATE(1421)] = 79824,
  [SMALL_STATE(1422)] = 79843,
  [SMALL_STATE(1423)] = 79858,
  [SMALL_STATE(1424)] = 79881,
  [SMALL_STATE(1425)] = 79904,
  [SMALL_STATE(1426)] = 79923,
  [SMALL_STATE(1427)] = 79938,
  [SMALL_STATE(1428)] = 79955,
  [SMALL_STATE(1429)] = 79972,
  [SMALL_STATE(1430)] = 79995,
  [SMALL_STATE(1431)] = 80010,
  [SMALL_STATE(1432)] = 80031,
  [SMALL_STATE(1433)] = 80052,
  [SMALL_STATE(1434)] = 80068,
  [SMALL_STATE(1435)] = 80096,
  [SMALL_STATE(1436)] = 80116,
  [SMALL_STATE(1437)] = 80136,
  [SMALL_STATE(1438)] = 80150,
  [SMALL_STATE(1439)] = 80168,
  [SMALL_STATE(1440)] = 80192,
  [SMALL_STATE(1441)] = 80214,
  [SMALL_STATE(1442)] = 80238,
  [SMALL_STATE(1443)] = 80260,
  [SMALL_STATE(1444)] = 80280,
  [SMALL_STATE(1445)] = 80302,
  [SMALL_STATE(1446)] = 80330,
  [SMALL_STATE(1447)] = 80356,
  [SMALL_STATE(1448)] = 80376,
  [SMALL_STATE(1449)] = 80396,
  [SMALL_STATE(1450)] = 80424,
  [SMALL_STATE(1451)] = 80446,
  [SMALL_STATE(1452)] = 80474,
  [SMALL_STATE(1453)] = 80500,
  [SMALL_STATE(1454)] = 80522,
  [SMALL_STATE(1455)] = 80540,
  [SMALL_STATE(1456)] = 80566,
  [SMALL_STATE(1457)] = 80588,
  [SMALL_STATE(1458)] = 80604,
  [SMALL_STATE(1459)] = 80626,
  [SMALL_STATE(1460)] = 80646,
  [SMALL_STATE(1461)] = 80672,
  [SMALL_STATE(1462)] = 80692,
  [SMALL_STATE(1463)] = 80712,
  [SMALL_STATE(1464)] = 80734,
  [SMALL_STATE(1465)] = 80754,
  [SMALL_STATE(1466)] = 80770,
  [SMALL_STATE(1467)] = 80788,
  [SMALL_STATE(1468)] = 80814,
  [SMALL_STATE(1469)] = 80830,
  [SMALL_STATE(1470)] = 80858,
  [SMALL_STATE(1471)] = 80884,
  [SMALL_STATE(1472)] = 80900,
  [SMALL_STATE(1473)] = 80916,
  [SMALL_STATE(1474)] = 80936,
  [SMALL_STATE(1475)] = 80952,
  [SMALL_STATE(1476)] = 80966,
  [SMALL_STATE(1477)] = 80986,
  [SMALL_STATE(1478)] = 81006,
  [SMALL_STATE(1479)] = 81034,
  [SMALL_STATE(1480)] = 81056,
  [SMALL_STATE(1481)] = 81078,
  [SMALL_STATE(1482)] = 81094,
  [SMALL_STATE(1483)] = 81122,
  [SMALL_STATE(1484)] = 81142,
  [SMALL_STATE(1485)] = 81170,
  [SMALL_STATE(1486)] = 81198,
  [SMALL_STATE(1487)] = 81226,
  [SMALL_STATE(1488)] = 81240,
  [SMALL_STATE(1489)] = 81254,
  [SMALL_STATE(1490)] = 81280,
  [SMALL_STATE(1491)] = 81296,
  [SMALL_STATE(1492)] = 81322,
  [SMALL_STATE(1493)] = 81344,
  [SMALL_STATE(1494)] = 81364,
  [SMALL_STATE(1495)] = 81389,
  [SMALL_STATE(1496)] = 81414,
  [SMALL_STATE(1497)] = 81439,
  [SMALL_STATE(1498)] = 81460,
  [SMALL_STATE(1499)] = 81485,
  [SMALL_STATE(1500)] = 81498,
  [SMALL_STATE(1501)] = 81517,
  [SMALL_STATE(1502)] = 81542,
  [SMALL_STATE(1503)] = 81555,
  [SMALL_STATE(1504)] = 81580,
  [SMALL_STATE(1505)] = 81601,
  [SMALL_STATE(1506)] = 81626,
  [SMALL_STATE(1507)] = 81647,
  [SMALL_STATE(1508)] = 81668,
  [SMALL_STATE(1509)] = 81683,
  [SMALL_STATE(1510)] = 81704,
  [SMALL_STATE(1511)] = 81723,
  [SMALL_STATE(1512)] = 81738,
  [SMALL_STATE(1513)] = 81751,
  [SMALL_STATE(1514)] = 81774,
  [SMALL_STATE(1515)] = 81799,
  [SMALL_STATE(1516)] = 81820,
  [SMALL_STATE(1517)] = 81841,
  [SMALL_STATE(1518)] = 81866,
  [SMALL_STATE(1519)] = 81887,
  [SMALL_STATE(1520)] = 81912,
  [SMALL_STATE(1521)] = 81931,
  [SMALL_STATE(1522)] = 81948,
  [SMALL_STATE(1523)] = 81961,
  [SMALL_STATE(1524)] = 81976,
  [SMALL_STATE(1525)] = 81995,
  [SMALL_STATE(1526)] = 82020,
  [SMALL_STATE(1527)] = 82041,
  [SMALL_STATE(1528)] = 82062,
  [SMALL_STATE(1529)] = 82087,
  [SMALL_STATE(1530)] = 82100,
  [SMALL_STATE(1531)] = 82121,
  [SMALL_STATE(1532)] = 82134,
  [SMALL_STATE(1533)] = 82147,
  [SMALL_STATE(1534)] = 82172,
  [SMALL_STATE(1535)] = 82197,
  [SMALL_STATE(1536)] = 82222,
  [SMALL_STATE(1537)] = 82247,
  [SMALL_STATE(1538)] = 82268,
  [SMALL_STATE(1539)] = 82293,
  [SMALL_STATE(1540)] = 82314,
  [SMALL_STATE(1541)] = 82329,
  [SMALL_STATE(1542)] = 82350,
  [SMALL_STATE(1543)] = 82375,
  [SMALL_STATE(1544)] = 82398,
  [SMALL_STATE(1545)] = 82413,
  [SMALL_STATE(1546)] = 82434,
  [SMALL_STATE(1547)] = 82449,
  [SMALL_STATE(1548)] = 82462,
  [SMALL_STATE(1549)] = 82483,
  [SMALL_STATE(1550)] = 82504,
  [SMALL_STATE(1551)] = 82521,
  [SMALL_STATE(1552)] = 82540,
  [SMALL_STATE(1553)] = 82561,
  [SMALL_STATE(1554)] = 82582,
  [SMALL_STATE(1555)] = 82605,
  [SMALL_STATE(1556)] = 82628,
  [SMALL_STATE(1557)] = 82649,
  [SMALL_STATE(1558)] = 82674,
  [SMALL_STATE(1559)] = 82694,
  [SMALL_STATE(1560)] = 82714,
  [SMALL_STATE(1561)] = 82730,
  [SMALL_STATE(1562)] = 82746,
  [SMALL_STATE(1563)] = 82766,
  [SMALL_STATE(1564)] = 82782,
  [SMALL_STATE(1565)] = 82802,
  [SMALL_STATE(1566)] = 82818,
  [SMALL_STATE(1567)] = 82834,
  [SMALL_STATE(1568)] = 82850,
  [SMALL_STATE(1569)] = 82866,
  [SMALL_STATE(1570)] = 82886,
  [SMALL_STATE(1571)] = 82906,
  [SMALL_STATE(1572)] = 82926,
  [SMALL_STATE(1573)] = 82946,
  [SMALL_STATE(1574)] = 82966,
  [SMALL_STATE(1575)] = 82982,
  [SMALL_STATE(1576)] = 83002,
  [SMALL_STATE(1577)] = 83018,
  [SMALL_STATE(1578)] = 83034,
  [SMALL_STATE(1579)] = 83054,
  [SMALL_STATE(1580)] = 83070,
  [SMALL_STATE(1581)] = 83086,
  [SMALL_STATE(1582)] = 83106,
  [SMALL_STATE(1583)] = 83126,
  [SMALL_STATE(1584)] = 83146,
  [SMALL_STATE(1585)] = 83166,
  [SMALL_STATE(1586)] = 83186,
  [SMALL_STATE(1587)] = 83206,
  [SMALL_STATE(1588)] = 83226,
  [SMALL_STATE(1589)] = 83246,
  [SMALL_STATE(1590)] = 83266,
  [SMALL_STATE(1591)] = 83286,
  [SMALL_STATE(1592)] = 83302,
  [SMALL_STATE(1593)] = 83318,
  [SMALL_STATE(1594)] = 83340,
  [SMALL_STATE(1595)] = 83360,
  [SMALL_STATE(1596)] = 83382,
  [SMALL_STATE(1597)] = 83402,
  [SMALL_STATE(1598)] = 83422,
  [SMALL_STATE(1599)] = 83442,
  [SMALL_STATE(1600)] = 83462,
  [SMALL_STATE(1601)] = 83482,
  [SMALL_STATE(1602)] = 83502,
  [SMALL_STATE(1603)] = 83518,
  [SMALL_STATE(1604)] = 83538,
  [SMALL_STATE(1605)] = 83554,
  [SMALL_STATE(1606)] = 83570,
  [SMALL_STATE(1607)] = 83592,
  [SMALL_STATE(1608)] = 83610,
  [SMALL_STATE(1609)] = 83630,
  [SMALL_STATE(1610)] = 83650,
  [SMALL_STATE(1611)] = 83666,
  [SMALL_STATE(1612)] = 83682,
  [SMALL_STATE(1613)] = 83702,
  [SMALL_STATE(1614)] = 83718,
  [SMALL_STATE(1615)] = 83737,
  [SMALL_STATE(1616)] = 83756,
  [SMALL_STATE(1617)] = 83775,
  [SMALL_STATE(1618)] = 83790,
  [SMALL_STATE(1619)] = 83801,
  [SMALL_STATE(1620)] = 83816,
  [SMALL_STATE(1621)] = 83833,
  [SMALL_STATE(1622)] = 83852,
  [SMALL_STATE(1623)] = 83871,
  [SMALL_STATE(1624)] = 83890,
  [SMALL_STATE(1625)] = 83909,
  [SMALL_STATE(1626)] = 83926,
  [SMALL_STATE(1627)] = 83937,
  [SMALL_STATE(1628)] = 83956,
  [SMALL_STATE(1629)] = 83971,
  [SMALL_STATE(1630)] = 83990,
  [SMALL_STATE(1631)] = 84009,
  [SMALL_STATE(1632)] = 84020,
  [SMALL_STATE(1633)] = 84037,
  [SMALL_STATE(1634)] = 84056,
  [SMALL_STATE(1635)] = 84073,
  [SMALL_STATE(1636)] = 84090,
  [SMALL_STATE(1637)] = 84101,
  [SMALL_STATE(1638)] = 84120,
  [SMALL_STATE(1639)] = 84137,
  [SMALL_STATE(1640)] = 84148,
  [SMALL_STATE(1641)] = 84165,
  [SMALL_STATE(1642)] = 84184,
  [SMALL_STATE(1643)] = 84195,
  [SMALL_STATE(1644)] = 84214,
  [SMALL_STATE(1645)] = 84233,
  [SMALL_STATE(1646)] = 84250,
  [SMALL_STATE(1647)] = 84261,
  [SMALL_STATE(1648)] = 84280,
  [SMALL_STATE(1649)] = 84299,
  [SMALL_STATE(1650)] = 84314,
  [SMALL_STATE(1651)] = 84333,
  [SMALL_STATE(1652)] = 84350,
  [SMALL_STATE(1653)] = 84369,
  [SMALL_STATE(1654)] = 84388,
  [SMALL_STATE(1655)] = 84407,
  [SMALL_STATE(1656)] = 84424,
  [SMALL_STATE(1657)] = 84443,
  [SMALL_STATE(1658)] = 84462,
  [SMALL_STATE(1659)] = 84481,
  [SMALL_STATE(1660)] = 84498,
  [SMALL_STATE(1661)] = 84509,
  [SMALL_STATE(1662)] = 84528,
  [SMALL_STATE(1663)] = 84539,
  [SMALL_STATE(1664)] = 84550,
  [SMALL_STATE(1665)] = 84565,
  [SMALL_STATE(1666)] = 84584,
  [SMALL_STATE(1667)] = 84596,
  [SMALL_STATE(1668)] = 84612,
  [SMALL_STATE(1669)] = 84626,
  [SMALL_STATE(1670)] = 84640,
  [SMALL_STATE(1671)] = 84654,
  [SMALL_STATE(1672)] = 84668,
  [SMALL_STATE(1673)] = 84682,
  [SMALL_STATE(1674)] = 84698,
  [SMALL_STATE(1675)] = 84712,
  [SMALL_STATE(1676)] = 84726,
  [SMALL_STATE(1677)] = 84742,
  [SMALL_STATE(1678)] = 84756,
  [SMALL_STATE(1679)] = 84772,
  [SMALL_STATE(1680)] = 84786,
  [SMALL_STATE(1681)] = 84796,
  [SMALL_STATE(1682)] = 84810,
  [SMALL_STATE(1683)] = 84824,
  [SMALL_STATE(1684)] = 84840,
  [SMALL_STATE(1685)] = 84854,
  [SMALL_STATE(1686)] = 84868,
  [SMALL_STATE(1687)] = 84882,
  [SMALL_STATE(1688)] = 84898,
  [SMALL_STATE(1689)] = 84912,
  [SMALL_STATE(1690)] = 84926,
  [SMALL_STATE(1691)] = 84942,
  [SMALL_STATE(1692)] = 84952,
  [SMALL_STATE(1693)] = 84968,
  [SMALL_STATE(1694)] = 84982,
  [SMALL_STATE(1695)] = 84996,
  [SMALL_STATE(1696)] = 85010,
  [SMALL_STATE(1697)] = 85024,
  [SMALL_STATE(1698)] = 85037,
  [SMALL_STATE(1699)] = 85050,
  [SMALL_STATE(1700)] = 85063,
  [SMALL_STATE(1701)] = 85076,
  [SMALL_STATE(1702)] = 85087,
  [SMALL_STATE(1703)] = 85100,
  [SMALL_STATE(1704)] = 85113,
  [SMALL_STATE(1705)] = 85126,
  [SMALL_STATE(1706)] = 85137,
  [SMALL_STATE(1707)] = 85150,
  [SMALL_STATE(1708)] = 85163,
  [SMALL_STATE(1709)] = 85176,
  [SMALL_STATE(1710)] = 85185,
  [SMALL_STATE(1711)] = 85198,
  [SMALL_STATE(1712)] = 85211,
  [SMALL_STATE(1713)] = 85224,
  [SMALL_STATE(1714)] = 85237,
  [SMALL_STATE(1715)] = 85248,
  [SMALL_STATE(1716)] = 85261,
  [SMALL_STATE(1717)] = 85274,
  [SMALL_STATE(1718)] = 85287,
  [SMALL_STATE(1719)] = 85300,
  [SMALL_STATE(1720)] = 85313,
  [SMALL_STATE(1721)] = 85326,
  [SMALL_STATE(1722)] = 85339,
  [SMALL_STATE(1723)] = 85350,
  [SMALL_STATE(1724)] = 85363,
  [SMALL_STATE(1725)] = 85376,
  [SMALL_STATE(1726)] = 85389,
  [SMALL_STATE(1727)] = 85402,
  [SMALL_STATE(1728)] = 85415,
  [SMALL_STATE(1729)] = 85426,
  [SMALL_STATE(1730)] = 85439,
  [SMALL_STATE(1731)] = 85452,
  [SMALL_STATE(1732)] = 85461,
  [SMALL_STATE(1733)] = 85474,
  [SMALL_STATE(1734)] = 85487,
  [SMALL_STATE(1735)] = 85500,
  [SMALL_STATE(1736)] = 85509,
  [SMALL_STATE(1737)] = 85522,
  [SMALL_STATE(1738)] = 85535,
  [SMALL_STATE(1739)] = 85548,
  [SMALL_STATE(1740)] = 85561,
  [SMALL_STATE(1741)] = 85574,
  [SMALL_STATE(1742)] = 85585,
  [SMALL_STATE(1743)] = 85598,
  [SMALL_STATE(1744)] = 85611,
  [SMALL_STATE(1745)] = 85624,
  [SMALL_STATE(1746)] = 85637,
  [SMALL_STATE(1747)] = 85650,
  [SMALL_STATE(1748)] = 85663,
  [SMALL_STATE(1749)] = 85676,
  [SMALL_STATE(1750)] = 85689,
  [SMALL_STATE(1751)] = 85702,
  [SMALL_STATE(1752)] = 85715,
  [SMALL_STATE(1753)] = 85728,
  [SMALL_STATE(1754)] = 85741,
  [SMALL_STATE(1755)] = 85754,
  [SMALL_STATE(1756)] = 85767,
  [SMALL_STATE(1757)] = 85780,
  [SMALL_STATE(1758)] = 85793,
  [SMALL_STATE(1759)] = 85806,
  [SMALL_STATE(1760)] = 85819,
  [SMALL_STATE(1761)] = 85832,
  [SMALL_STATE(1762)] = 85845,
  [SMALL_STATE(1763)] = 85858,
  [SMALL_STATE(1764)] = 85871,
  [SMALL_STATE(1765)] = 85884,
  [SMALL_STATE(1766)] = 85897,
  [SMALL_STATE(1767)] = 85910,
  [SMALL_STATE(1768)] = 85923,
  [SMALL_STATE(1769)] = 85936,
  [SMALL_STATE(1770)] = 85949,
  [SMALL_STATE(1771)] = 85962,
  [SMALL_STATE(1772)] = 85975,
  [SMALL_STATE(1773)] = 85984,
  [SMALL_STATE(1774)] = 85993,
  [SMALL_STATE(1775)] = 86006,
  [SMALL_STATE(1776)] = 86019,
  [SMALL_STATE(1777)] = 86032,
  [SMALL_STATE(1778)] = 86045,
  [SMALL_STATE(1779)] = 86058,
  [SMALL_STATE(1780)] = 86071,
  [SMALL_STATE(1781)] = 86084,
  [SMALL_STATE(1782)] = 86097,
  [SMALL_STATE(1783)] = 86110,
  [SMALL_STATE(1784)] = 86123,
  [SMALL_STATE(1785)] = 86136,
  [SMALL_STATE(1786)] = 86149,
  [SMALL_STATE(1787)] = 86160,
  [SMALL_STATE(1788)] = 86173,
  [SMALL_STATE(1789)] = 86186,
  [SMALL_STATE(1790)] = 86199,
  [SMALL_STATE(1791)] = 86208,
  [SMALL_STATE(1792)] = 86221,
  [SMALL_STATE(1793)] = 86234,
  [SMALL_STATE(1794)] = 86247,
  [SMALL_STATE(1795)] = 86260,
  [SMALL_STATE(1796)] = 86273,
  [SMALL_STATE(1797)] = 86286,
  [SMALL_STATE(1798)] = 86299,
  [SMALL_STATE(1799)] = 86312,
  [SMALL_STATE(1800)] = 86325,
  [SMALL_STATE(1801)] = 86338,
  [SMALL_STATE(1802)] = 86351,
  [SMALL_STATE(1803)] = 86364,
  [SMALL_STATE(1804)] = 86377,
  [SMALL_STATE(1805)] = 86390,
  [SMALL_STATE(1806)] = 86403,
  [SMALL_STATE(1807)] = 86414,
  [SMALL_STATE(1808)] = 86427,
  [SMALL_STATE(1809)] = 86440,
  [SMALL_STATE(1810)] = 86453,
  [SMALL_STATE(1811)] = 86466,
  [SMALL_STATE(1812)] = 86479,
  [SMALL_STATE(1813)] = 86492,
  [SMALL_STATE(1814)] = 86505,
  [SMALL_STATE(1815)] = 86518,
  [SMALL_STATE(1816)] = 86531,
  [SMALL_STATE(1817)] = 86544,
  [SMALL_STATE(1818)] = 86557,
  [SMALL_STATE(1819)] = 86570,
  [SMALL_STATE(1820)] = 86583,
  [SMALL_STATE(1821)] = 86596,
  [SMALL_STATE(1822)] = 86609,
  [SMALL_STATE(1823)] = 86620,
  [SMALL_STATE(1824)] = 86633,
  [SMALL_STATE(1825)] = 86646,
  [SMALL_STATE(1826)] = 86659,
  [SMALL_STATE(1827)] = 86672,
  [SMALL_STATE(1828)] = 86685,
  [SMALL_STATE(1829)] = 86698,
  [SMALL_STATE(1830)] = 86711,
  [SMALL_STATE(1831)] = 86724,
  [SMALL_STATE(1832)] = 86737,
  [SMALL_STATE(1833)] = 86750,
  [SMALL_STATE(1834)] = 86763,
  [SMALL_STATE(1835)] = 86776,
  [SMALL_STATE(1836)] = 86789,
  [SMALL_STATE(1837)] = 86802,
  [SMALL_STATE(1838)] = 86815,
  [SMALL_STATE(1839)] = 86828,
  [SMALL_STATE(1840)] = 86841,
  [SMALL_STATE(1841)] = 86854,
  [SMALL_STATE(1842)] = 86867,
  [SMALL_STATE(1843)] = 86880,
  [SMALL_STATE(1844)] = 86893,
  [SMALL_STATE(1845)] = 86906,
  [SMALL_STATE(1846)] = 86919,
  [SMALL_STATE(1847)] = 86932,
  [SMALL_STATE(1848)] = 86945,
  [SMALL_STATE(1849)] = 86958,
  [SMALL_STATE(1850)] = 86971,
  [SMALL_STATE(1851)] = 86984,
  [SMALL_STATE(1852)] = 86997,
  [SMALL_STATE(1853)] = 87010,
  [SMALL_STATE(1854)] = 87023,
  [SMALL_STATE(1855)] = 87036,
  [SMALL_STATE(1856)] = 87049,
  [SMALL_STATE(1857)] = 87062,
  [SMALL_STATE(1858)] = 87075,
  [SMALL_STATE(1859)] = 87088,
  [SMALL_STATE(1860)] = 87101,
  [SMALL_STATE(1861)] = 87114,
  [SMALL_STATE(1862)] = 87127,
  [SMALL_STATE(1863)] = 87140,
  [SMALL_STATE(1864)] = 87153,
  [SMALL_STATE(1865)] = 87166,
  [SMALL_STATE(1866)] = 87179,
  [SMALL_STATE(1867)] = 87192,
  [SMALL_STATE(1868)] = 87205,
  [SMALL_STATE(1869)] = 87218,
  [SMALL_STATE(1870)] = 87231,
  [SMALL_STATE(1871)] = 87239,
  [SMALL_STATE(1872)] = 87247,
  [SMALL_STATE(1873)] = 87255,
  [SMALL_STATE(1874)] = 87263,
  [SMALL_STATE(1875)] = 87271,
  [SMALL_STATE(1876)] = 87279,
  [SMALL_STATE(1877)] = 87287,
  [SMALL_STATE(1878)] = 87297,
  [SMALL_STATE(1879)] = 87305,
  [SMALL_STATE(1880)] = 87313,
  [SMALL_STATE(1881)] = 87321,
  [SMALL_STATE(1882)] = 87329,
  [SMALL_STATE(1883)] = 87337,
  [SMALL_STATE(1884)] = 87345,
  [SMALL_STATE(1885)] = 87353,
  [SMALL_STATE(1886)] = 87361,
  [SMALL_STATE(1887)] = 87371,
  [SMALL_STATE(1888)] = 87379,
  [SMALL_STATE(1889)] = 87389,
  [SMALL_STATE(1890)] = 87397,
  [SMALL_STATE(1891)] = 87405,
  [SMALL_STATE(1892)] = 87413,
  [SMALL_STATE(1893)] = 87421,
  [SMALL_STATE(1894)] = 87429,
  [SMALL_STATE(1895)] = 87437,
  [SMALL_STATE(1896)] = 87445,
  [SMALL_STATE(1897)] = 87453,
  [SMALL_STATE(1898)] = 87461,
  [SMALL_STATE(1899)] = 87469,
  [SMALL_STATE(1900)] = 87477,
  [SMALL_STATE(1901)] = 87485,
  [SMALL_STATE(1902)] = 87493,
  [SMALL_STATE(1903)] = 87501,
  [SMALL_STATE(1904)] = 87509,
  [SMALL_STATE(1905)] = 87517,
  [SMALL_STATE(1906)] = 87525,
  [SMALL_STATE(1907)] = 87533,
  [SMALL_STATE(1908)] = 87541,
  [SMALL_STATE(1909)] = 87549,
  [SMALL_STATE(1910)] = 87557,
  [SMALL_STATE(1911)] = 87565,
  [SMALL_STATE(1912)] = 87573,
  [SMALL_STATE(1913)] = 87581,
  [SMALL_STATE(1914)] = 87589,
  [SMALL_STATE(1915)] = 87597,
  [SMALL_STATE(1916)] = 87605,
  [SMALL_STATE(1917)] = 87613,
  [SMALL_STATE(1918)] = 87621,
  [SMALL_STATE(1919)] = 87629,
  [SMALL_STATE(1920)] = 87637,
  [SMALL_STATE(1921)] = 87645,
  [SMALL_STATE(1922)] = 87653,
  [SMALL_STATE(1923)] = 87661,
  [SMALL_STATE(1924)] = 87671,
  [SMALL_STATE(1925)] = 87681,
  [SMALL_STATE(1926)] = 87689,
  [SMALL_STATE(1927)] = 87699,
  [SMALL_STATE(1928)] = 87707,
  [SMALL_STATE(1929)] = 87715,
  [SMALL_STATE(1930)] = 87723,
  [SMALL_STATE(1931)] = 87731,
  [SMALL_STATE(1932)] = 87739,
  [SMALL_STATE(1933)] = 87749,
  [SMALL_STATE(1934)] = 87757,
  [SMALL_STATE(1935)] = 87767,
  [SMALL_STATE(1936)] = 87775,
  [SMALL_STATE(1937)] = 87783,
  [SMALL_STATE(1938)] = 87791,
  [SMALL_STATE(1939)] = 87799,
  [SMALL_STATE(1940)] = 87807,
  [SMALL_STATE(1941)] = 87815,
  [SMALL_STATE(1942)] = 87823,
  [SMALL_STATE(1943)] = 87831,
  [SMALL_STATE(1944)] = 87838,
  [SMALL_STATE(1945)] = 87845,
  [SMALL_STATE(1946)] = 87852,
  [SMALL_STATE(1947)] = 87859,
  [SMALL_STATE(1948)] = 87866,
  [SMALL_STATE(1949)] = 87873,
  [SMALL_STATE(1950)] = 87880,
  [SMALL_STATE(1951)] = 87887,
  [SMALL_STATE(1952)] = 87894,
  [SMALL_STATE(1953)] = 87901,
  [SMALL_STATE(1954)] = 87908,
  [SMALL_STATE(1955)] = 87915,
  [SMALL_STATE(1956)] = 87922,
  [SMALL_STATE(1957)] = 87929,
  [SMALL_STATE(1958)] = 87936,
  [SMALL_STATE(1959)] = 87943,
  [SMALL_STATE(1960)] = 87950,
  [SMALL_STATE(1961)] = 87957,
  [SMALL_STATE(1962)] = 87964,
  [SMALL_STATE(1963)] = 87971,
  [SMALL_STATE(1964)] = 87978,
  [SMALL_STATE(1965)] = 87985,
  [SMALL_STATE(1966)] = 87992,
  [SMALL_STATE(1967)] = 87999,
  [SMALL_STATE(1968)] = 88006,
  [SMALL_STATE(1969)] = 88013,
  [SMALL_STATE(1970)] = 88020,
  [SMALL_STATE(1971)] = 88027,
  [SMALL_STATE(1972)] = 88034,
  [SMALL_STATE(1973)] = 88041,
  [SMALL_STATE(1974)] = 88048,
  [SMALL_STATE(1975)] = 88055,
  [SMALL_STATE(1976)] = 88062,
  [SMALL_STATE(1977)] = 88069,
  [SMALL_STATE(1978)] = 88076,
  [SMALL_STATE(1979)] = 88083,
  [SMALL_STATE(1980)] = 88090,
  [SMALL_STATE(1981)] = 88097,
  [SMALL_STATE(1982)] = 88104,
  [SMALL_STATE(1983)] = 88111,
  [SMALL_STATE(1984)] = 88118,
  [SMALL_STATE(1985)] = 88125,
  [SMALL_STATE(1986)] = 88132,
  [SMALL_STATE(1987)] = 88139,
  [SMALL_STATE(1988)] = 88146,
  [SMALL_STATE(1989)] = 88153,
  [SMALL_STATE(1990)] = 88160,
  [SMALL_STATE(1991)] = 88167,
  [SMALL_STATE(1992)] = 88174,
  [SMALL_STATE(1993)] = 88181,
  [SMALL_STATE(1994)] = 88188,
  [SMALL_STATE(1995)] = 88195,
  [SMALL_STATE(1996)] = 88202,
  [SMALL_STATE(1997)] = 88209,
  [SMALL_STATE(1998)] = 88216,
  [SMALL_STATE(1999)] = 88223,
  [SMALL_STATE(2000)] = 88230,
  [SMALL_STATE(2001)] = 88237,
  [SMALL_STATE(2002)] = 88244,
  [SMALL_STATE(2003)] = 88251,
  [SMALL_STATE(2004)] = 88258,
  [SMALL_STATE(2005)] = 88265,
  [SMALL_STATE(2006)] = 88272,
  [SMALL_STATE(2007)] = 88279,
  [SMALL_STATE(2008)] = 88286,
  [SMALL_STATE(2009)] = 88293,
  [SMALL_STATE(2010)] = 88300,
  [SMALL_STATE(2011)] = 88307,
  [SMALL_STATE(2012)] = 88314,
  [SMALL_STATE(2013)] = 88321,
  [SMALL_STATE(2014)] = 88328,
  [SMALL_STATE(2015)] = 88335,
  [SMALL_STATE(2016)] = 88342,
  [SMALL_STATE(2017)] = 88349,
  [SMALL_STATE(2018)] = 88356,
  [SMALL_STATE(2019)] = 88363,
  [SMALL_STATE(2020)] = 88370,
  [SMALL_STATE(2021)] = 88377,
  [SMALL_STATE(2022)] = 88384,
  [SMALL_STATE(2023)] = 88391,
  [SMALL_STATE(2024)] = 88398,
  [SMALL_STATE(2025)] = 88405,
  [SMALL_STATE(2026)] = 88412,
  [SMALL_STATE(2027)] = 88419,
  [SMALL_STATE(2028)] = 88426,
  [SMALL_STATE(2029)] = 88433,
  [SMALL_STATE(2030)] = 88440,
  [SMALL_STATE(2031)] = 88447,
  [SMALL_STATE(2032)] = 88454,
  [SMALL_STATE(2033)] = 88461,
  [SMALL_STATE(2034)] = 88468,
  [SMALL_STATE(2035)] = 88475,
  [SMALL_STATE(2036)] = 88482,
  [SMALL_STATE(2037)] = 88489,
  [SMALL_STATE(2038)] = 88496,
  [SMALL_STATE(2039)] = 88503,
  [SMALL_STATE(2040)] = 88510,
  [SMALL_STATE(2041)] = 88517,
  [SMALL_STATE(2042)] = 88524,
  [SMALL_STATE(2043)] = 88531,
  [SMALL_STATE(2044)] = 88538,
  [SMALL_STATE(2045)] = 88545,
  [SMALL_STATE(2046)] = 88552,
  [SMALL_STATE(2047)] = 88559,
  [SMALL_STATE(2048)] = 88566,
  [SMALL_STATE(2049)] = 88573,
  [SMALL_STATE(2050)] = 88580,
  [SMALL_STATE(2051)] = 88587,
  [SMALL_STATE(2052)] = 88594,
  [SMALL_STATE(2053)] = 88601,
  [SMALL_STATE(2054)] = 88608,
  [SMALL_STATE(2055)] = 88615,
  [SMALL_STATE(2056)] = 88622,
  [SMALL_STATE(2057)] = 88629,
  [SMALL_STATE(2058)] = 88636,
  [SMALL_STATE(2059)] = 88643,
  [SMALL_STATE(2060)] = 88650,
  [SMALL_STATE(2061)] = 88657,
  [SMALL_STATE(2062)] = 88664,
  [SMALL_STATE(2063)] = 88671,
  [SMALL_STATE(2064)] = 88678,
  [SMALL_STATE(2065)] = 88685,
  [SMALL_STATE(2066)] = 88692,
  [SMALL_STATE(2067)] = 88699,
  [SMALL_STATE(2068)] = 88706,
  [SMALL_STATE(2069)] = 88713,
  [SMALL_STATE(2070)] = 88720,
  [SMALL_STATE(2071)] = 88727,
  [SMALL_STATE(2072)] = 88734,
  [SMALL_STATE(2073)] = 88741,
  [SMALL_STATE(2074)] = 88748,
  [SMALL_STATE(2075)] = 88755,
  [SMALL_STATE(2076)] = 88762,
  [SMALL_STATE(2077)] = 88769,
  [SMALL_STATE(2078)] = 88776,
  [SMALL_STATE(2079)] = 88783,
  [SMALL_STATE(2080)] = 88790,
  [SMALL_STATE(2081)] = 88797,
  [SMALL_STATE(2082)] = 88804,
  [SMALL_STATE(2083)] = 88811,
  [SMALL_STATE(2084)] = 88818,
  [SMALL_STATE(2085)] = 88825,
  [SMALL_STATE(2086)] = 88832,
  [SMALL_STATE(2087)] = 88839,
  [SMALL_STATE(2088)] = 88846,
  [SMALL_STATE(2089)] = 88853,
  [SMALL_STATE(2090)] = 88860,
  [SMALL_STATE(2091)] = 88867,
  [SMALL_STATE(2092)] = 88874,
  [SMALL_STATE(2093)] = 88881,
  [SMALL_STATE(2094)] = 88888,
  [SMALL_STATE(2095)] = 88895,
  [SMALL_STATE(2096)] = 88902,
  [SMALL_STATE(2097)] = 88909,
  [SMALL_STATE(2098)] = 88916,
  [SMALL_STATE(2099)] = 88923,
  [SMALL_STATE(2100)] = 88930,
  [SMALL_STATE(2101)] = 88937,
  [SMALL_STATE(2102)] = 88944,
  [SMALL_STATE(2103)] = 88951,
  [SMALL_STATE(2104)] = 88958,
  [SMALL_STATE(2105)] = 88965,
  [SMALL_STATE(2106)] = 88972,
  [SMALL_STATE(2107)] = 88979,
  [SMALL_STATE(2108)] = 88986,
  [SMALL_STATE(2109)] = 88993,
  [SMALL_STATE(2110)] = 89000,
  [SMALL_STATE(2111)] = 89007,
  [SMALL_STATE(2112)] = 89014,
  [SMALL_STATE(2113)] = 89021,
  [SMALL_STATE(2114)] = 89028,
  [SMALL_STATE(2115)] = 89035,
  [SMALL_STATE(2116)] = 89042,
  [SMALL_STATE(2117)] = 89049,
  [SMALL_STATE(2118)] = 89056,
  [SMALL_STATE(2119)] = 89063,
  [SMALL_STATE(2120)] = 89070,
  [SMALL_STATE(2121)] = 89077,
  [SMALL_STATE(2122)] = 89084,
  [SMALL_STATE(2123)] = 89091,
  [SMALL_STATE(2124)] = 89098,
  [SMALL_STATE(2125)] = 89105,
  [SMALL_STATE(2126)] = 89112,
  [SMALL_STATE(2127)] = 89119,
  [SMALL_STATE(2128)] = 89126,
  [SMALL_STATE(2129)] = 89133,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1928),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(536),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module, 1),
  [109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2),
  [111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(392),
  [114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1690),
  [117] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1543),
  [120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(161),
  [123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(838),
  [126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(71),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(452),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(72),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(321),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(402),
  [141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(281),
  [144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1935),
  [147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1930),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1928),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(469),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(317),
  [159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(758),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(485),
  [165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2114),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(351),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2113),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2112),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2111),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(374),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2110),
  [186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(839),
  [189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(168),
  [192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(536),
  [195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(840),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1330),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(289),
  [204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1002),
  [207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(175),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1002),
  [213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(73),
  [216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(1391),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(70),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(551),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(309),
  [228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(768),
  [231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(549),
  [234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2101),
  [237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(365),
  [240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2119),
  [243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_module_repeat1, 2), SHIFT_REPEAT(2103),
  [246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [252] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1),
  [254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(200),
  [257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1, .production_id = 1), REDUCE(sym_primary_expression, 1, .production_id = 1),
  [260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expresssion_lhs, 1, .production_id = 1),
  [264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .production_id = 1),
  [268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(213),
  [271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(425),
  [274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, .production_id = 1), SHIFT(868),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1339),
  [281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .production_id = 1),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(550),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(146),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(150),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, .production_id = 1), REDUCE(sym_list_splat_pattern, 2, .production_id = 4),
  [740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1216),
  [846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 2),
  [848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 2),
  [850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern_list, 3),
  [856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern_list, 3),
  [858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(147),
  [876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [1000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [1002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [1004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [1006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [1008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [1010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [1012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [1014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [1016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 3),
  [1018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [1020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 2),
  [1022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [1024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [1026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 7, .production_id = 96),
  [1028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [1030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 7, .production_id = 96),
  [1032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 5, .production_id = 71),
  [1034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, .production_id = 71),
  [1036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [1038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, .production_id = 85),
  [1040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, .production_id = 85),
  [1042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [1044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, .production_id = 84),
  [1046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_in_clause, 6, .production_id = 84),
  [1048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [1050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [1058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [1064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [1066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [1076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 1),
  [1078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [1084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [1086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 1),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [1118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 3),
  [1120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 3),
  [1122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 1),
  [1126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [1132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [1142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [1144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [1146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [1148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [1150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [1152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [1154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [1156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [1158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 2),
  [1160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [1164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [1172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [1174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1),
  [1176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [1178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 2),
  [1180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 2),
  [1182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [1184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [1186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [1188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, .production_id = 5),
  [1192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, .production_id = 59),
  [1194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, .production_id = 59),
  [1196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [1198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [1200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [1202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3),
  [1204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 42),
  [1206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 42),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, .production_id = 13),
  [1210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 4, .production_id = 14),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [1214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [1216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [1218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 4),
  [1220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [1222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 3),
  [1224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 3),
  [1226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [1228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 67),
  [1230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 67),
  [1232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 5, .production_id = 48),
  [1234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 5, .production_id = 48),
  [1236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, .production_id = 48),
  [1238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, .production_id = 48),
  [1240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [1242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, .production_id = 23),
  [1244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute, 3, .production_id = 23),
  [1246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1),
  [1248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_pattern, 1), REDUCE(sym_primary_expression, 1),
  [1251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1),
  [1253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__named_expresssion_lhs, 1),
  [1255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1),
  [1257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1),
  [1259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, .production_id = 67),
  [1261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, .production_id = 67),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [1273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [1275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [1277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(388),
  [1280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(403),
  [1283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 4),
  [1285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 4),
  [1287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2),
  [1289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2),
  [1291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 75),
  [1293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 75),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [1297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 3),
  [1299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 3),
  [1301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 40),
  [1303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 40),
  [1305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 2),
  [1307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_tuple_pattern, 2), REDUCE(sym_tuple, 2),
  [1310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 2),
  [1312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 2),
  [1314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 2),
  [1316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 1),
  [1318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 1),
  [1320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [1322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [1324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [1326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 54),
  [1328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 54),
  [1330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [1332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 55),
  [1334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 55),
  [1336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2),
  [1338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_list_pattern, 2), REDUCE(sym_list, 2),
  [1341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2),
  [1343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2),
  [1345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 2),
  [1347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statements, 2),
  [1349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statements, 2),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [1357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 51),
  [1359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 51),
  [1361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 51), SHIFT_REPEAT(486),
  [1364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2, .production_id = 51), SHIFT_REPEAT(451),
  [1367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 4, .production_id = 37),
  [1369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 4, .production_id = 37),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [1373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat2, 2, .production_id = 51),
  [1375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_match_statement_repeat2, 2, .production_id = 51),
  [1377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_statement_repeat2, 2, .production_id = 51), SHIFT_REPEAT(350),
  [1380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, .production_id = 52),
  [1382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, .production_id = 52),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 3, .production_id = 15),
  [1386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 3, .production_id = 15),
  [1388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [1390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 3, .production_id = 80),
  [1392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 3, .production_id = 80),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 6, .production_id = 72),
  [1396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 6, .production_id = 72),
  [1398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_match_statement_repeat2, 2, .production_id = 51), SHIFT_REPEAT(376),
  [1401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, .production_id = 50),
  [1403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, .production_id = 50),
  [1405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 6, .production_id = 114),
  [1407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 6, .production_id = 114),
  [1409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 4, .production_id = 36),
  [1411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 4, .production_id = 36),
  [1413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 7),
  [1415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 7),
  [1417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4),
  [1419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4),
  [1421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 4, .production_id = 94),
  [1423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 4, .production_id = 94),
  [1425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 4, .production_id = 15),
  [1427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 4, .production_id = 15),
  [1429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_except_clause, 5),
  [1431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_except_clause, 5),
  [1433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_statement, 5, .production_id = 37),
  [1435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_statement, 5, .production_id = 37),
  [1437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, .production_id = 59),
  [1439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, .production_id = 59),
  [1441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, .production_id = 58),
  [1443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, .production_id = 58),
  [1445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 93),
  [1447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 93),
  [1449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 90),
  [1451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 90),
  [1453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 102),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 102),
  [1457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 4, .production_id = 41),
  [1459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 4, .production_id = 41),
  [1461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 5, .production_id = 42),
  [1463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 5, .production_id = 42),
  [1465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 4, .production_id = 40),
  [1467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 4, .production_id = 40),
  [1469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_elif_clause, 5, .production_id = 55),
  [1471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif_clause, 5, .production_id = 55),
  [1473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 35),
  [1475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 1, .production_id = 35),
  [1477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 78),
  [1479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 78),
  [1481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 7, .production_id = 117),
  [1483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, .production_id = 117),
  [1485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, .production_id = 118),
  [1487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 7, .production_id = 118),
  [1489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_match_statement_repeat2, 1, .production_id = 35),
  [1491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat2, 1, .production_id = 35),
  [1493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, .production_id = 98),
  [1495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 5, .production_id = 98),
  [1497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, .production_id = 99),
  [1499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 5, .production_id = 99),
  [1501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 4, .production_id = 87),
  [1503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 4, .production_id = 87),
  [1505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 3, .production_id = 42),
  [1507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 3, .production_id = 42),
  [1509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 5, .production_id = 97),
  [1511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, .production_id = 97),
  [1513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 5, .production_id = 100),
  [1515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 5, .production_id = 100),
  [1517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 4, .production_id = 59),
  [1519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 4, .production_id = 59),
  [1521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 6, .production_id = 106),
  [1523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 106),
  [1525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 6, .production_id = 107),
  [1527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 107),
  [1529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 6, .production_id = 108),
  [1531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 108),
  [1533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 6, .production_id = 109),
  [1535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 109),
  [1537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 6, .production_id = 110),
  [1539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 110),
  [1541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 6, .production_id = 111),
  [1543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 6, .production_id = 111),
  [1545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 8, .production_id = 119),
  [1547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 8, .production_id = 119),
  [1549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 7, .production_id = 116),
  [1551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, .production_id = 116),
  [1553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_clause, 7, .production_id = 115),
  [1555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_clause, 7, .production_id = 115),
  [1557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, .production_id = 112),
  [1559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, .production_id = 112),
  [1561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 4, .production_id = 43),
  [1563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 4, .production_id = 43),
  [1565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 3, .production_id = 80),
  [1567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 3, .production_id = 80),
  [1569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 6, .production_id = 79),
  [1571] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 6, .production_id = 79),
  [1573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 91),
  [1575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 91),
  [1577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 77),
  [1579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 77),
  [1581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 6, .production_id = 76),
  [1583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 6, .production_id = 76),
  [1585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 9, .production_id = 113),
  [1587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 9, .production_id = 113),
  [1589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 74),
  [1591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 74),
  [1593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, .production_id = 44),
  [1595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, .production_id = 44),
  [1597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6, .production_id = 73),
  [1599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6, .production_id = 73),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [1615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 53),
  [1617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 53),
  [1619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, .production_id = 56),
  [1621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, .production_id = 56),
  [1623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorated_definition, 2, .production_id = 11),
  [1625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decorated_definition, 2, .production_id = 11),
  [1627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 5, .production_id = 57),
  [1629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 5, .production_id = 57),
  [1631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_with_statement, 5, .production_id = 60),
  [1633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_statement, 5, .production_id = 60),
  [1635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 61),
  [1637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 61),
  [1639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 62),
  [1641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 62),
  [1643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 5, .production_id = 63),
  [1645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 5, .production_id = 63),
  [1647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 6, .production_id = 42),
  [1649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 6, .production_id = 42),
  [1651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, .production_id = 81),
  [1653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, .production_id = 81),
  [1655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 6, .production_id = 82),
  [1657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 6, .production_id = 82),
  [1659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 89),
  [1661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 89),
  [1663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 4),
  [1665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 4),
  [1667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 92),
  [1669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 92),
  [1671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, .production_id = 105),
  [1673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, .production_id = 105),
  [1675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 7, .production_id = 59),
  [1677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 7, .production_id = 59),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [1681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 104),
  [1683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 104),
  [1685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 8, .production_id = 103),
  [1687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 8, .production_id = 103),
  [1689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 7, .production_id = 95),
  [1691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 7, .production_id = 95),
  [1693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 101),
  [1695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 101),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [1703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [1705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [1709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 3),
  [1711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 2),
  [1713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [1715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [1717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1389),
  [1720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [1722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [1724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(853),
  [1728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [1738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [1740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [1742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [1746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [1750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [1752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [1754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2),
  [1756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2),
  [1758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [1766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [1768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [1770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [1780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [1784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [1788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1388),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [1793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_separator, 1),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [1797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [1803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [1829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1391),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [1834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [1836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_operator, 3, .production_id = 21),
  [1838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_operator, 3, .production_id = 21),
  [1840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 24),
  [1842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 24),
  [1844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [1850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [1852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [1856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [1858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [1860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [1862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [1864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [1866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [1868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(945),
  [1872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [1874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [1876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [1878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 2, .production_id = 8),
  [1880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 2, .production_id = 8),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [1884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [1890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [1896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [1898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [1904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [1906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [1908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [1912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, .production_id = 49),
  [1914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 3, .production_id = 49),
  [1916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [1918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [1922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [1924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [1926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [1928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [1930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [1932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [1934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [1936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [1938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [1940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [1942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [1944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [1946] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1395),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [1951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [1953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1382),
  [1956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1249),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [1960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [1962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [1964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [1966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [1968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [1972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [1974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1400),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1133),
  [1979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [1981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2),
  [1983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2),
  [1985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [1989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [1991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [1993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1302),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1299),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [2003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1398),
  [2006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [2008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [2010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [2014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [2016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [2022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [2028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [2030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [2032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [2034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [2036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1394),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [2053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [2069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 5),
  [2071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 5),
  [2073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [2075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [2077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_comprehension, 4, .production_id = 33),
  [2079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary_comprehension, 4, .production_id = 33),
  [2081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_comprehension, 4, .production_id = 33),
  [2083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_comprehension, 4, .production_id = 33),
  [2085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 4),
  [2087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 4),
  [2089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_comprehension, 4, .production_id = 33),
  [2091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_comprehension, 4, .production_id = 33),
  [2093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generator_expression, 4, .production_id = 33),
  [2095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generator_expression, 4, .production_id = 33),
  [2097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, .production_id = 32),
  [2099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, .production_id = 32),
  [2101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4),
  [2103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4),
  [2105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [2107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [2109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set, 3),
  [2111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set, 3),
  [2113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 3),
  [2115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 3),
  [2117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3),
  [2119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3),
  [2121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple, 3),
  [2123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple, 3),
  [2125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [2127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [2129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 2, .production_id = 9),
  [2131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 2, .production_id = 9),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, .production_id = 32),
  [2135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, .production_id = 32),
  [2137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5),
  [2139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5),
  [2141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, .production_id = 32),
  [2143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, .production_id = 32),
  [2145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary, 2),
  [2147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dictionary, 2),
  [2149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2),
  [2151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat_pattern, 2, .production_id = 4),
  [2153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym_list_splat_pattern, 2),
  [2156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25),
  [2158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(963),
  [2161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25),
  [2163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(1968),
  [2166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(963),
  [2169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(823),
  [2172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comparison_operator, 2, .production_id = 10),
  [2174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_comparison_operator, 2, .production_id = 10),
  [2176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(855),
  [2179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(2031),
  [2182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(855),
  [2185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(818),
  [2188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(918),
  [2191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(2006),
  [2194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(918),
  [2197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(800),
  [2200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(959),
  [2203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(2023),
  [2206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(959),
  [2209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(835),
  [2212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(945),
  [2215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(2092),
  [2218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(945),
  [2221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(815),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [2226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(844),
  [2229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(2050),
  [2232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(844),
  [2235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(817),
  [2238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2),
  [2240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat_pattern, 2, .production_id = 4),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [2244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(914),
  [2247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(1993),
  [2250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(914),
  [2253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(814),
  [2256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(942),
  [2259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(1950),
  [2262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(942),
  [2265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_comparison_operator_repeat1, 2, .production_id = 25), SHIFT_REPEAT(810),
  [2268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2), SHIFT_REPEAT(770),
  [2271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [2277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [2301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [2311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [2321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [2329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 2),
  [2331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 3),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [2349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__collection_elements, 1),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2124),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [2397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_with_item, 1, .dynamic_precedence = -1, .production_id = 6), SHIFT(248),
  [2400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [2402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [2404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [2410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [2412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [2414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [2420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [2422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [2426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [2430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [2432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [2434] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [2444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [2446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [2448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [2450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [2452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [2454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1386),
  [2456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [2458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [2460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [2462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [2466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(430),
  [2469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(1390),
  [2472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2), SHIFT_REPEAT(1390),
  [2475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_repeat1, 2),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [2487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [2493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [2501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1387),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [2507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [2511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [2515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1396),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [2521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_await, 2),
  [2523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_await, 2),
  [2525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 4, .production_id = 46),
  [2527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_operator, 2, .production_id = 5),
  [2529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_operator, 2, .production_id = 5),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [2539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean_operator, 3, .production_id = 21),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [2557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5),
  [2559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 2),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [2565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18),
  [2567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(540),
  [2570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_as_pattern, 3, .production_id = 22),
  [2572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(439),
  [2575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda, 3, .production_id = 17),
  [2577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean_operator, 3, .production_id = 21),
  [2579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_as_pattern, 3, .production_id = 22),
  [2581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(495),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [2600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_within_for_in_clause, 1),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [2606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [2612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [2616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(504),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [2623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 2),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [2637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__right_hand_side, 1),
  [2639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_statement, 2),
  [2641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2),
  [2643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pair, 3, .production_id = 47),
  [2645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [2647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 2),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [2657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2, .production_id = 5),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [2661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(520),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [2672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(474),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [2687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1),
  [2689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 4, .production_id = 7),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [2699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [2709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2),
  [2711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(447),
  [2714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(2084),
  [2717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(757),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [2724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_clause, 2),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [2732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 2),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [2736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [2738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 5),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [2742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 3),
  [2744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 3),
  [2746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(429),
  [2749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(2124),
  [2752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(765),
  [2755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 4),
  [2757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 4),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [2763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comprehension_clauses, 1),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [2769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(460),
  [2772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(2127),
  [2775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__comprehension_clauses_repeat1, 2), SHIFT_REPEAT(756),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [2780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(490),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [2789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [2811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 5),
  [2813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 5),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [2819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [2825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpolation, 6),
  [2827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpolation, 6),
  [2829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_named_expression, 3, .production_id = 18), SHIFT(463),
  [2832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chevron, 2),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [2836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, .production_id = 66),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [2842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_item, 1, .dynamic_precedence = -1, .production_id = 6),
  [2844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2),
  [2846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 1),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [2850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(364),
  [2853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2),
  [2855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_parameter, 3, .production_id = 18),
  [2857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, .production_id = 85),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [2863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 5, .production_id = 84),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 4, .production_id = 71),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield, 3),
  [2875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 3, .production_id = 16),
  [2877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dictionary_splat, 2),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [2881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, .production_id = 18),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [2885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_in_clause, 6, .production_id = 96),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [2889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_argument, 3, .production_id = 65),
  [2891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(367),
  [2894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_in_clause_repeat1, 2), SHIFT_REPEAT(359),
  [2897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_default_parameter, 5, .production_id = 83),
  [2899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice, 5),
  [2901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_splat, 2),
  [2903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raise_statement, 4, .production_id = 39),
  [2905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2),
  [2907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(2077),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [2920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, .production_id = 15),
  [2922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2),
  [2928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_decorated_definition_repeat1, 2), SHIFT_REPEAT(839),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [2935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, .production_id = 86),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [2939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dotted_name, 2),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [2965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, .production_id = 3),
  [2967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 3, .production_id = 17),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [2973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(2091),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [2984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 3, .production_id = 12),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [2988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2), SHIFT_REPEAT(432),
  [2991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_format_specifier_repeat1, 2),
  [2993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_format_specifier_repeat1, 2), SHIFT_REPEAT(1640),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [3006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [3008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [3010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 1),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [3022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_specifier, 2),
  [3024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [3032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 1, .production_id = 3),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_within_for_in_clause, 4, .production_id = 46),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [3042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(428),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 26),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [3053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, .production_id = 88), SHIFT_REPEAT(327),
  [3056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_clause_repeat1, 2, .production_id = 88),
  [3058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 3),
  [3060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 2),
  [3062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [3064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, .production_id = 13),
  [3066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [3068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 3),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [3074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_prefix, 1),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [3078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 3),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [3084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 27),
  [3086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 27), SHIFT_REPEAT(1844),
  [3089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_import_prefix_repeat1, 2),
  [3091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_import_prefix_repeat1, 2), SHIFT_REPEAT(1679),
  [3094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decorator, 3),
  [3096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 5, .production_id = 7),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [3100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nonlocal_statement, 2),
  [3102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_print_statement, 3, .production_id = 14),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [3106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__import_list, 2, .production_id = 12),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [3112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2),
  [3114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_global_statement_repeat1, 2), SHIFT_REPEAT(2118),
  [3117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_global_statement, 2),
  [3119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 34),
  [3121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_print_statement_repeat1, 2, .production_id = 34), SHIFT_REPEAT(443),
  [3124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [3132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [3138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_format_expression, 3),
  [3140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_format_expression, 3),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [3144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, .production_id = 19),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [3148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2), SHIFT_REPEAT(142),
  [3151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__simple_statements_repeat1, 2),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [3155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dotted_name_repeat1, 2), SHIFT_REPEAT(2025),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [3168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [3170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2),
  [3172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2), SHIFT_REPEAT(404),
  [3175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [3179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 2),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [3187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_parameter, 3, .production_id = 45),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [3199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__import_list_repeat1, 2, .production_id = 27), SHIFT_REPEAT(1824),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [3208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 1),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [3220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [3222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2), SHIFT_REPEAT(771),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [3227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [3231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exec_statement, 2, .production_id = 7),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [3239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [3241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(499),
  [3244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2), SHIFT_REPEAT(258),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [3251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [3253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, .production_id = 68), SHIFT_REPEAT(355),
  [3256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_repeat1, 2, .production_id = 68),
  [3258] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(446),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [3277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(252),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [3302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [3304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aliased_import, 3, .production_id = 28),
  [3306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(416),
  [3309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [3313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_with_clause_repeat1, 2), SHIFT_REPEAT(390),
  [3316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__patterns_repeat1, 2), SHIFT_REPEAT(769),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [3337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assert_statement_repeat1, 2), SHIFT_REPEAT(470),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [3348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2), SHIFT_REPEAT(301),
  [3351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dictionary_repeat1, 2),
  [3353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relative_import, 1),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [3369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2), SHIFT_REPEAT(273),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [3376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parameters, 1),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [3380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__collection_elements_repeat1, 2), SHIFT_REPEAT(259),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [3393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__patterns, 1),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [3399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(1348),
  [3402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2),
  [3404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [3410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [3414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [3416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [3418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [3422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [3426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [3430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, .production_id = 38), SHIFT_REPEAT(450),
  [3433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_match_statement_repeat1, 2, .production_id = 38),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [3443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [3445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [3449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [3457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [3459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [3475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [3477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [3479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [3485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__parameters_repeat1, 2), SHIFT_REPEAT(1347),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [3490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [3496] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_positional_separator, 1),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [3506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_list_splat, 3, .production_id = 32),
  [3508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 3),
  [3510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 5, .production_id = 64),
  [3512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_statement, 2, .production_id = 2),
  [3514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, .production_id = 31),
  [3516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard_import, 1),
  [3518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 4, .production_id = 29),
  [3520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameters, 2),
  [3522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, .production_id = 32),
  [3524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_future_import_statement, 6, .production_id = 69),
  [3526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 6, .production_id = 70),
  [3528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_from_statement, 4, .production_id = 30),
  [3530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [3532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1),
  [3534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [3540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pass_statement, 1),
  [3542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, .production_id = 20),
  [3544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_augmented_assignment, 3, .production_id = 21),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [3550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [3566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [3604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 3),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [3618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_parameters, 1),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [3636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [3640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [3646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [3650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [3662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [3666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [3668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [3670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [3672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [3674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [3678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [3680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [3682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [3684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [3686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [3694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [3696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [3698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [3700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [3702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [3704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [3706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [3708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [3710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [3716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [3718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [3722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [3726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_with_clause, 4),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [3732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [3740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [3744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [3746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [3748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [3760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [3762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [3766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [3768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relative_import, 2),
  [3770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [3776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [3778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [3780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [3782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [3784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [3786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [3788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [3790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [3792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [3794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [3796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [3798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [3804] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [3816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [3818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [3820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [3822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [3824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [3838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_python_external_scanner_create(void);
void tree_sitter_python_external_scanner_destroy(void *);
bool tree_sitter_python_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_python_external_scanner_serialize(void *, char *);
void tree_sitter_python_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_python(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_python_external_scanner_create,
      tree_sitter_python_external_scanner_destroy,
      tree_sitter_python_external_scanner_scan,
      tree_sitter_python_external_scanner_serialize,
      tree_sitter_python_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
